<?
	header("Cache-Control: no-cache"); 
	header("Pragma: no-cache");

	include("admin/config.php");
	include("seguridad.php");
	require_once(LOGICA."/Acceso.php");

	$oP=new Acceso_clsPersona();
	$oC=new Acceso_clsClave();

	$rowPersona=$oP->getROW($sessCodigoTemp);
	$rowClave=$oC->getROW($sessCodigoTemp);
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?=TITULO?> - RENOVAR CLAVE</title>
        <? include("admin/interfaz/php/head.php"); ?>
		<script language="javascript" type="text/javascript">
			var ajSend=null;
			$(document).ready(function(){
				$("#txtClave_Nueva").keydown(function(e){ var vKeyCode = (e.keyCode ? e.keyCode : e.which); if(vKeyCode==13) $("#txtConfirmacion").focus(); });
				$("#txtConfirmacion").keydown(function(e){ var vKeyCode = (e.keyCode ? e.keyCode : e.which); if(vKeyCode==13) $("#btnSubmit").focus(); });
				$('#btnSubmit').click(function(e){
					var myForm = $(this).parents('form');
					if ($.trim($("#txtClave_Nueva").val())==""){ bootbox.alert("Falta ingresar la clave. No debe dejarse en blanco.", function(){$("#txtClave_Nueva").focus()}); return false; }
					var oData=ValidatePassword($.trim($('#txtClave_Nueva').val()));
					if(oData.length>0){
						var vMsg='<p>Problemas al validar la clave. El sistema no permite claves sencillas.</p>';
						vMsg+='<ul>';
						$.each(oData, function(oIndex, oRow){ vMsg+='<li>'+oRow.description+'</li>';});
						vMsg+='</ul>';
						bootbox.alert(vMsg, function(){ $('#txtClave_Nueva').focus() });
						return false;
					}
					if ($.trim($("#txtClave_Nueva").val())!==$.trim($("#txtConfirmacion").val())){ bootbox.alert("Las claves son distintas. Asegurese de que sean iguales.", function(){ $("#txtConfirmacion").focus(); }); return false; }

					if(ajSend)ajSend.abort();
					ajSend=$.ajax({
						url: 'tools/ajRenovar_Clave.php',
						type: 'POST',
						dataType: 'json',
						data: $('#frmPassword').serialize()+"&miopcion=renovar",
						beforeSend: function(){ myForm.find('.loader').show(); },
						success: function(oRpta){
							myForm.find('.loader').hide();
							if(oRpta.oErr){
								myForm.find('div.response').html('').slideDown().fadeOut(5000);
								$.each(oRpta.oData, function(oIndex, oRow){
									myForm.find('div.response').append('<p class="warning-box">'+oRow.description+'</p>');
								})
							}else{
								location.href="principal.php";
							}
						}
					});
					return false;
				});
			});
		</script>
	</head>
    <body style="overflow:hidden; padding:20px;" onLoad="$('#txtClave_Nueva').focus();">
    	<div class="row-fluid">
            <div class="span2" style="text-align:center">
            	<img src="<?=LOGO01?>">
            </div>
            <div class="span9">
            	<h2 style="color:#FF6600">Renovaci&oacute;n de clave</h2>
                <p class="lead">Recuerde que su contrase&ntilde;a es el unico medio de acceso al sistema, no la divulgue, mantengalo en secreto. Nosotros no nos hacemos responsables del mal uso de su clave.</p>
                <p>
                	<h3>Requisitos para la nueva clave</h3>
                	<ul>
                        <li>La nueva clave debe tener como m&iacute;nimo <b>6</b> caracteres y como m&aacute;ximo <b>20</b>.</li>
                        <li>La clave debe tener como m&iacute;nimo una Letra Min&uacute;scula.</li>
                        <li>La clave debe tener como m&iacute;nimo una Letra MAY&Uacute;SCULA.</li>
                        <li>La clave debe tener como m&iacute;nimo un n&uacute;mero.</li>
                        <li>La clave debe tener como m&iacute;nimo un car&aacute;cter especial ( <b>- ! $ % ^ & * # (  ) _ + | ~  =  `  {  } [  ] :  " ;  '  <  >  ?  ,   .  \  / </b>)</li>
                    </ul>
                </p>
                <p>Se le recomienda cambiar periodicamente su contrase&ntilde;a. </p>
                <h4><?=Mostrar_Dato((trim($rowPersona['titulo'])!=""?$rowPersona['titulo']." ":"").$rowPersona['nombre_ab']." ".$rowPersona['ape_pat_mayus']." ".$rowPersona['ape_mat_mayus'])?></h4>
                <p><span style="font-size:22px; padding:10px" class="badge badge-info"><?=Mostrar_Dato($rowClave['usuario'])?></span></p>
                <form id="frmPassword" class="form-horizontal form-medium">
                    <div class="row-fluid">
                        <div class="control-group mb0">
                            <label class="control-label">Ingrese la nueva clave:</label>
                            <div class="controls">
                                <input type="password" value="" name="txtClave_Nueva" id="txtClave_Nueva" class="span5" maxlength="20" placeholder="Ingrese una nueva clave">
                            </div>
                        </div>
                    </div>
                    <div class="row-fluid">
                        <div class="control-group mb0">
                            <label class="control-label">Confirme su clave:</label>
                            <div class="controls">
                                <input type="password" value="" name="txtConfirmacion" id="txtConfirmacion" class="span5" maxlength="20" placeholder="Confirme la nueva clave">
                            </div>
                        </div>
                    </div>
                    <div class="row-fluid">
                        <div class="control-group mb0">
                            <label class="control-label"></label>
                            <div class="controls">
                                <button type="button" name="btnSubmit" id="btnSubmit" class="btn btn-primary"><i class="icon-ok"></i> Cambiar Clave</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
		</div>
    </body>
</html>