<?
class Acceso_clsAlmacen{
    public $pAlmacenId;
    public $pUnidadNegocioId;
    public $pNombre;
    public $pAbreviatura;
    public $pDireccion;
    public $pTelefono;
    public $pDistritoId;
    public $pZonaId;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vZonaId=0, $vEmpresaId=0, $vUnidadNegocioId=0){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paalmacen_leer(".intval($vZonaId).", ".intval($vEmpresaId).", ".intval($vUnidadNegocioId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paalmacen_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pUnidadNegocioId).",";
        $vC.=" ".intval($this->pZonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDireccion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTelefono))."',";
        $vC.=" ".intval($this->pDistritoId).",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vAlmacenId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paalmacen_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($this->pUnidadNegocioId).",";
        $vC.=" ".intval($this->pZonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDireccion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTelefono))."',";
        $vC.=" ".intval($this->pDistritoId).",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vAlmacenId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paalmacen_eliminar(";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paalmacen_getrow(".intval($vAlmacenId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vAlmacenId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paalmacen_cambiar_estado(";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }
    }
    function Consultar($vPersonaId, $vModuloId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paalmacen_consultar(".intval($vPersonaId).", ".intval($vModuloId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>