<?
class Acceso_clsArea{
    public $pAreaId;
    public $pNombre;
    public $pAbreviatura;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $vC="select * from basic.paarea_leer()";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vAreaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paarea_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pAreaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vAreaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vAreaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paarea_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vAreaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vAreaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paarea_eliminar(".intval($vAreaId).")";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vAreaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.area where areaid=".intval($vAreaId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vAreaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paarea_cambiar_estado(";
        $vC.=" ".intval($vAreaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select basic.paarea_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>