<?
class Acceso_clsCargo{
    public $pCargoId;
    public $pNombre;
    public $pAbreviatura;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $vC="select * from basic.pacargo_leer()";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vCargoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pacargo_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pCargoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCargoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vCargoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pacargo_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vCargoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vCargoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pacargo_eliminar(".intval($vCargoId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vCargoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.cargo where cargoid=".intval($vCargoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vCargoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pacargo_cambiar_estado(";
        $vC.=" ".intval($vCargoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select basic.pacargo_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>