<?
class Acceso_clsCertificadoDigital{
    public $pCertificadoId;
    public $pNombre;
    public $pArchivo;
    public $pClave;
    public $pAlias;
    public $pSignatureId;
    public $pSignatureName;
    public $pSignatureNotes;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pacertificadodigital_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vCertificadoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pacertificadodigital_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pArchivo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pClave))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAlias))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSignatureId))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSignatureName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSignatureNotes))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCertificadoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vCertificadoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pacertificadodigital_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vCertificadoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pArchivo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pClave))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAlias))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSignatureId))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSignatureName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSignatureNotes))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vCertificadoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pacertificadodigital_eliminar(";
        $vC.=" ".intval($vCertificadoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vCertificadoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.certificadodigital where certificadoid=".intval($vCertificadoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
}
?>