<?
class Acceso_clsClave{
    public $pPersonaId;
    public $pUsuario;
    public $pClave;
    public $pClave_Temporal;
    public $pRenovar_Clave;
    public $pTipo_Cambio;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer_Personas($vFirst, $vLast, $vApePat, $vApeMat, $vNombre, $arrRol){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_claves_leer(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApePat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApeMat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".trim($arrRol)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }

    function Cambiar_Renovar_Clave($vPersonaId, $vRenovar){
        $oC= new Access_clsConexion();
        $vC="update basic.clave set renovar_clave=".($vRenovar?"true":"false")." where personaid=".intval($vPersonaId);
        return $oC->Ejecutar_SQL($vC);
    }

    function getROW($vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.clave where personaid=".intval($vPersonaId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Existe_Usuario($vUsuario, $vDistintoId, &$vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select basic.paclave_existe_usuario(";
        $vC.=" '".$oC->Escapar_Caracteres($vUsuario)."',";
        $vC.=" ".intval($vDistintoId)." ";
        $vC.=" ) as personaid";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vPersonaId=0;
        if ($rs){
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vPersonaId=intval($row['personaid']);
        }
        return ($vPersonaId>0);
    }
    function Verificar_Usuario($vUsuario, $vClave, &$vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select basic.paclave_validar(";
        $vC.=" '".$oC->Escapar_Caracteres($vUsuario)."',";
        $vC.=" '".$oC->Escapar_Caracteres($vClave)."' ";
        $vC.=" ) as personaid";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vPersonaId=0;
        if($rs){
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vPersonaId=intval($row['personaid']);
        }
        return ($vPersonaId>0);
    }
    function Cambiar_Clave($vPersonaId, $vClave){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paclave_cambiar_temporal(";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vClave))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>