<?
class Acceso_clsEmpresa{
    public $pEmpresaId;
    public $pRUC;
    public $pNombre;
    public $pNombreComercial;
    public $pAbreviatura;
    public $pDireccion;
    public $pUrl;
    public $pDistritoId;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vEmpresaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pRUC))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombreComercial))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDireccion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".intval($this->pDistritoId)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vEmpresaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }
    }
    function Modificar($vEmpresaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pRUC))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombreComercial))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDireccion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".intval($this->pDistritoId)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vEmpresaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_eliminar(".intval($vEmpresaId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vEmpresaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_getrow(".intval($vEmpresaId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
}
?>