<?
class Acceso_clsGrupo_Permisos{
    public $pCodigo;
    public $pProceso;
    public $pNombre;
    public $pDescripcion;
    public $pOrden;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pagrupo_permisos_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pagrupo_permisos_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pProceso))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCodigo=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pagrupo_permisos_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pProceso))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }
    }
    function Eliminar($vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pagrupo_permisos_eliminar(".intval($vCodigo).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vCodigo, $vNombre){
        $oC= new Access_clsConexion();
        if(trim($vNombre)!=''){
            $vC="select * from basic.grupo_permisos where nombre='".$oC->Escapar_Caracteres(trim($vNombre))."'";
        }else{
            $vC="select * from basic.grupo_permisos where codigo=".intval($vCodigo);
        }
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vCodigo){
        $oC= new Access_clsConexion();
        $vC="update basic.grupo_permisos set estado=not estado where codigo=".intval($vCodigo);
        return $oC->Ejecutar_SQL($vC);
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select basic.pagrupo_permisos_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>