<?
class Acceso_clsLicenciaConducir{
    public $pLicenciaId;
    public $pPersonaId;
    public $pCategoriaId;
    public $pFechaExpedicion;
    public $pFechaRevalidacion;
    public $pRestricciones;
    public $pArchivo;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vPersonaId){
        $vC="select * from basic.palicencia_conducir_leer(".intval($vPersonaId).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vLicenciaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.palicencia_conducir_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pPersonaId).",";
        $vC.=" ".intval($this->pCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFechaExpedicion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFechaRevalidacion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pRestricciones))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pArchivo))."',";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vLicenciaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vLicenciaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.palicencia_conducir_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vLicenciaId).",";
        $vC.=" ".intval($this->pPersonaId).",";
        $vC.=" ".intval($this->pCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFechaExpedicion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFechaRevalidacion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pRestricciones))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pArchivo))."',";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vLicenciaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.palicencia_conducir_eliminar(";
        $vC.=" ".intval($vLicenciaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vLicenciaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.palicencia_conducir_getrow(".intval($vLicenciaId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function CambiarEstado($vLicenciaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.palicencia_conducir_cambiar_estado(";
        $vC.=" ".intval($vLicenciaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>