<?
class Acceso_clsPersona{
    public $pPersonaId;
    public $pTipo;

    public $pTitulo;
    public $pApellido_Paterno;
    public $pApellido_Materno;
    public $pNombre;
    public $pDNI;
    public $pPerNatRUC;
    public $pSexo;
    public $pEstado_Civil;
    public $pNacimiento;

    public $pRazon_Social;
    public $pPerJurRUC;

    public $pDireccion;
    public $pFoto;
    public $pNombre_Comercial;
    public $pDistritoId;
    
    public $pLicencia;
    
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio, $vFin, $vApePat, $vApeMat, $vNombre, $vSexo, $vEstado, $vConFoto, $arrRol, $vOrderBy){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApePat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApeMat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vSexo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vEstado))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vConFoto))."',";
        $vC.=" ".trim($arrRol).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vOrderBy))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vApePat, $vApeMat, $vNombre, $vSexo, $vEstado, $vConFoto, $arrRol){
        $oC= new Access_clsConexion();
        $vC="select basic.papersona_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApePat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApeMat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vSexo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vEstado))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vConFoto))."',";
        $vC.=" ".trim($arrRol)." ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }

    function Consulta($vApePat, $vApeMat, $vNombre, $vOpcion, $arrRol, $vFilas, $vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_consulta(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApePat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApeMat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" '".trim($vOpcion)."',";
        $vC.=" ".trim($arrRol).",";
        $vC.=" ".intval($vFilas).",";
        $vC.=" ".intval($vPersonaId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_getrow(".intval($vPersonaId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Agregar(&$vPersonaId, $vArrPhone, $vArrEmail, $vArrSocMed, $vArrRol, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres($this->pTipo)."',";

        $vC.=" '".$oC->Escapar_Caracteres($this->pTitulo)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pApellido_Paterno)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pApellido_Materno)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pDNI)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPerNatRUC)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pSexo)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pEstado_Civil)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNacimiento)."',";

        $vC.=" '".$oC->Escapar_Caracteres($this->pRazon_Social)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPerJurRUC)."',";

        $vC.=" '".$oC->Escapar_Caracteres($this->pDireccion)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre_Comercial)."',";
        $vC.=" ".intval($this->pDistritoId).",";
        
        $vC.=" '".$oC->Escapar_Caracteres($this->pLicencia)."',";

        $vC.=" ".trim($vArrPhone).",";
        $vC.=" ".trim($vArrEmail).",";
        $vC.=" ".trim($vArrSocMed).",";
        $vC.=" ".trim($vArrRol).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($vIP)."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vPersonaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vPersonaId, $vArrPhone, $vArrEmail, $vArrSocMed, $vArrRol, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_actualizar(";
        $vC.=" false,";
        $vC.=" '".intval($vPersonaId)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pTipo)."',";

        $vC.=" '".$oC->Escapar_Caracteres($this->pTitulo)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pApellido_Paterno)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pApellido_Materno)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pDNI)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPerNatRUC)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pSexo)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pEstado_Civil)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNacimiento)."',";

        $vC.=" '".$oC->Escapar_Caracteres($this->pRazon_Social)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPerJurRUC)."',";

        $vC.=" '".$oC->Escapar_Caracteres($this->pDireccion)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre_Comercial)."',";
        $vC.=" ".intval($this->pDistritoId).",";
        
        $vC.=" '".$oC->Escapar_Caracteres($this->pLicencia)."',";        

        $vC.=" ".trim($vArrPhone).",";
        $vC.=" ".trim($vArrEmail).",";
        $vC.=" ".trim($vArrSocMed).",";
        $vC.=" ".trim($vArrRol).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($vIP)."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function UpdateRastro(&$vPersonaId, $swProcesar, $vUsuarioId, $vIP, $swNew, $vArrPhone, $vArrEmail, $vArrSocMed){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_actualizar(";
        $vC.=" ".($swProcesar?"true":"false").",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($vIP)."',";
        $vC.=" ".intval($this->pPersonaId).",";

        $vC.=" '".$oC->Escapar_Caracteres($this->pTitulo)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pApellido_Paterno)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pApellido_Materno)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pDNI)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPerNatRUC)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pSexo)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pEstado_Civil)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNacimiento)."',";

        $vC.=" '".$oC->Escapar_Caracteres($this->pRazon_Social)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPerJurRUC)."',";

        $vC.=" '".$oC->Escapar_Caracteres($this->pDireccion)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre_Comercial)."',";
        $vC.=" ".intval($this->pDistritoId).",";

        $vC.=" ".trim($vArrPhone).",";
        $vC.=" ".trim($vArrEmail).",";
        $vC.=" ".trim($vArrSocMed)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vPersonaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vPersonaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_eliminar(";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Estado($vPersonaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_cambiar_estado(";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Sexo($vPersonaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_cambiar_sexo(";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Foto($vPersonaId, $vFoto, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_cambiar_foto(";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFoto))."',";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function SocialMedia($vPersonaId){
        $vC="select * from basic.papersona_socialmedia_leer(".intval($vPersonaId).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Rol($vPersonaId){
        $vC="select * from basic.papersona_rol_leer(".intval($vPersonaId).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function getIDBYDNI($vDNI){
        $oC= new Access_clsConexion();
        $vC="select basic.papersona_getidbydni('".$oC->Escapar_Caracteres(trim($vDNI))."') as personaid";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vPersonaId=0;
        if ($rs){
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vPersonaId=intval($row['personaid']);
        }
        return $vPersonaId;
    }
    function Leer_NonGrupoPermisos($vInicio, $vFin, $vCodigo, $vNombre){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_non_grupo_permisos(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    function getIDBYRUC($vRUC){
        $oC= new Access_clsConexion();
        $vC="select basic.papersona_getidbyruc(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vRUC))."' ";
        $vC.=" ) as personaid";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vPersonaId=0;
        if ($rs){
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vPersonaId=intval($row['personaid']);
        }
        return $vPersonaId;
    }
    function getNombre($vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select basic.papersona_getnombre(";
        $vC.=" ".intval($vPersonaId)." ";
        $vC.=" ) as nombre";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vPersonaNombre="";
        if ($rs){
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vPersonaNombre=trim($row['nombre']);
        }
        return $vPersonaNombre;
    }
    
}
?>