<?
class Acceso_clsPersonaGallery{
    public $pPersonaGalleryId;
    public $pPersonaId;
    public $pFileName;
    public $pWidth;
    public $pHeight;
    public $pDPI;
    public $pSize;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vPersonaId){
        $vC="select * from basic.papersonagallery_read(".intval($vPersonaId).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Add(&$vPersonaGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersonagallery_add(";
        $vC.=" ".intval($this->pPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFileName))."',";
        $vC.=" ".intval($this->pWidth).",";
        $vC.=" ".intval($this->pHeight).",";
        $vC.=" ".intval($this->pDPI).",";
        $vC.=" ".intval($this->pSize)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vPersonaGalleryId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vPersonaGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersonagallery_delete(".intval($vPersonaGalleryId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vPersonaGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersonagallery_getrow(".intval($vPersonaGalleryId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function setDefault($vPersonaGalleryId){
        $oC= new Access_clsConexion();
        $vC="select basic.papersonagallery_setdefault(".intval($vPersonaGalleryId).")";
        return $oC->Ejecutar_SQL($vC);
    }

    function Change_Order($vPersonaId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select basic.papersonagallery_change_order(".intval($vPersonaId).", $vArray)";
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vPersonaGalleryId){
        $oC= new Access_clsConexion();
        $vC="update basic.personagallery set status=not status where personagalleryid=".intval($vPersonaGalleryId);
        return $oC->Ejecutar_SQL($vC);
    }
    function Rotate($vPersonaGalleryId, $vName, $vWidth, $vHeight, $vSize){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersonagallery_rotate(";
        $vC.=" ".intval($vPersonaGalleryId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vWidth).",";
        $vC.=" ".intval($vHeight).",";
        $vC.=" ".intval($vSize)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>