<?
class Acceso_clsPersona_Notas{
    public $pCodigo;
    public $pCodigo_Persona;
    public $pCodigo_Usuario;
    public $pTitulo;
    public $pTexto;
    public $pImportante;
    public $pPrivado;
    public $pIP;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_notas_leer(".intval($vPersonaId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select basic.papersona_notas_count(".intval($vPersonaId).") as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Agregar(&$vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_notas_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pCodigo_Persona).",";
        $vC.=" ".intval($this->pCodigo_Usuario).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTitulo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTexto))."',";
        $vC.=" ".($this->pImportante?'true':'false').",";
        $vC.=" ".($this->pPrivado?'true':'false').",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCodigo=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_notas_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" ".intval($this->pCodigo_Persona).",";
        $vC.=" ".intval($this->pCodigo_Usuario).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTitulo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTexto))."',";
        $vC.=" ".($this->pImportante?'true':'false').",";
        $vC.=" ".($this->pPrivado?'true':'false').",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papersona_notas_eliminar(".intval($vCodigo).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.persona_notas where codigo=".intval($vCodigo);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
}
?>