<?
class Acceso_clsProceso{
    public $pProcesoId;
    public $pTipoProcesoId;
    public $pNombre;
    public $pDescripcion;
    public $pMensaje;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vTipoProcesoId){
        $vC="select * from basic.paproceso_leer(".intval($vTipoProcesoId).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vProcesoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paproceso_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pProcesoId).",";
        $vC.=" ".intval($this->pTipoProcesoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMensaje))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vProcesoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vProcesoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paproceso_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vProcesoId).",";
        $vC.=" ".intval($this->pTipoProcesoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMensaje))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vProcesoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paproceso_eliminar(".intval($vProcesoId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vProcesoId, $vNombre){
        $oC= new Access_clsConexion();
        if(trim($vNombre)!=''){
            $vC="select * from basic.proceso where nombre='".$oC->Escapar_Caracteres(trim($vNombre))."'";
        }else{
            $vC="select * from basic.proceso where procesoid=".intval($vProcesoId);
        }
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vProcesoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paproceso_cambiar_estado(";
        $vC.=" ".intval($vProcesoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select basic.paproceso_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>