<?
class Acceso_clsProvincia{
    public $pProvinciaId;
    public $pDepartamentoId;
    public $pNombre;
    public $pAbreviatura;
    public $pUbigeo;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vDepartamentoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paprovincia_leer(".intval($vDepartamentoId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vProvinciaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paprovincia_getrow(".intval($vProvinciaId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Agregar(&$vProvinciaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paprovincia_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pDepartamentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pAbreviatura)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pUbigeo)."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vProvinciaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vProvinciaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paprovincia_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vProvinciaId).",";
        $vC.=" ".intval($this->pDepartamentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pAbreviatura)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pUbigeo)."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vProvinciaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paprovincia_eliminar(".intval($vProvinciaId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>