<?
class Acceso_clsVisita_Intranet{
    public $pCodigo;
    public $pIntranet;
    public $pUsuarioId;
    public $pUsuario;
    public $pClave;
    public $pIP;
    public $pExito;
    public $pBrower;
    public $pBrowserVersion;
    public $pPlataform;
    public $pMobile;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio, $vFin, $vIntranet, $vDesde, $vHasta, $vTexto, $vExito, $vBrowser, $vPlataform, $vMobile, $vPersona){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pavisita_intranet_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIntranet))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vExito))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vBrowser))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vPlataform))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vMobile))."',";
        $vC.=" ".intval($vPersona)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vIntranet, $vDesde, $vHasta, $vTexto, $vExito, $vBrowser, $vPlataform, $vMobile, $vPersona){
        $oC= new Access_clsConexion();
        $vC="select basic.pavisita_intranet_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIntranet))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vExito))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vBrowser))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vPlataform))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vMobile))."',";
        $vC.=" ".intval($vPersona)." ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Agregar(&$vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pavisita_intranet_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pIntranet))."',";
        $vC.=" ".intval($this->pUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUsuario))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pClave))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pIP))."',";
        $vC.=" ".(($this->pExito)?"true":"false").",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pBrower))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pBrowserVersion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPlataform))."',";
        $vC.=" ".(($this->pMobile)?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCodigo=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }

    function ResumenBrowser($vIntranet, $vDesde, $vHasta, $vExito, $vMobile, $vPlataform){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pavisita_intranet_resumen_browser(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIntranet))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vExito))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vMobile))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vPlataform))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function ResumenPlataform($vIntranet, $vDesde, $vHasta, $vExito, $vMobile, $vBrowser){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pavisita_intranet_resumen_plataform(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIntranet))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vExito))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vMobile))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vBrowser))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>