<?
class Acceso_clsProducto{
    public $pProductoId;
    public $pLineaId;
    public $pSubCategoriaId;
    public $pMarcaId;
    public $pUnidadMedidaId;
    public $pNombre;
    public $pPresentacion;
    public $pAbreviatura;
    public $pSigla;
    public $pBackColor;
    public $pForeColor;
    public $pCodigoBarras;
    public $pCodigoInterno;
    public $pMoneda;
    public $pPrecioCompra;
    public $pPrecioVA;
    public $pPrecioVB;
    public $pPrecioVC;
    public $pPrecioVD;
    public $pFraccion;
    public $pFraccionCantidad;
    public $pFraccionProductoId;
    public $pStockMin;
    public $pStockMax;
    public $pPeso;
    public $pFlete;
    public $pStand;
    public $pServicio;
    public $pGrabado;
    public $pOferta;
    public $pDestinadoCompra;
    public $pDestinadoVenta;
    public $pISC;
    public $pISCProcentaje;
    public $pPercepcion;
    public $pPercepcionPorcentaje;
    public $pObservacion;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio=0, $vFin=0, $vAno=0, $vNombre='', $vProductoId=0, $vLineaId=0, $vSubCategoriaId=0, $vCategoriaId=0, $vMarcaId=0, $vUnidadMedidaId=0, $vStock='', $vEstado='', $vOrderBy=''){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vAno).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vLineaId).",";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vMarcaId).",";
        $vC.=" ".intval($vUnidadMedidaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vStock))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vEstado))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vOrderBy))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vAno, $vNombre, $vProductoId, $vLineaId, $vSubCategoriaId, $vCategoriaId, $vMarcaId, $vUnidadMedidaId, $vStock, $vEstado){
        $oC= new Access_clsConexion();
        $vC="select catalogo.paproducto_count(";
        $vC.=" ".intval($vAno).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vLineaId).",";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vMarcaId).",";
        $vC.=" ".intval($vUnidadMedidaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vStock))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vEstado))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Agregar(&$vProductoId, $vArrayGrupo, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pLineaId).",";
        $vC.=" ".intval($this->pSubCategoriaId).",";
        $vC.=" ".intval($this->pMarcaId).",";
        $vC.=" ".intval($this->pUnidadMedidaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPresentacion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSigla))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pBackColor))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pForeColor))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigoBarras))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigoInterno))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" ".doubleval($this->pPrecioCompra).",";
        $vC.=" ".doubleval($this->pPrecioVA).",";
        $vC.=" ".doubleval($this->pPrecioVB).",";
        $vC.=" ".doubleval($this->pPrecioVC).",";
        $vC.=" ".doubleval($this->pPrecioVD).",";
        $vC.=" ".($this->pFraccion?'true':'false').",";
        $vC.=" ".intval($this->pFraccionCantidad).",";
        $vC.=" ".intval($this->pFraccionProductoId).",";
        $vC.=" ".intval($this->pStockMin).",";
        $vC.=" ".intval($this->pStockMax).",";
        $vC.=" ".doubleval($this->pPeso).",";
        $vC.=" ".doubleval($this->pFlete).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pStand))."',";
        $vC.=" ".($this->pServicio?'true':'false').",";
        $vC.=" ".($this->pGrabado?'true':'false').",";
        $vC.=" ".($this->pDestinadoCompra?'true':'false').",";
        $vC.=" ".($this->pDestinadoVenta?'true':'false').",";
        $vC.=" ".($this->pISC?'true':'false').",";
        $vC.=" ".doubleval($this->pISCProcentaje).",";
        $vC.=" ".($this->pPercepcion?'true':'false').",";
        $vC.=" ".doubleval($this->pPercepcionPorcentaje).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" ".trim($vArrayGrupo).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vProductoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vProductoId, $vArrayGrupo, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($this->pLineaId).",";
        $vC.=" ".intval($this->pSubCategoriaId).",";
        $vC.=" ".intval($this->pMarcaId).",";
        $vC.=" ".intval($this->pUnidadMedidaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPresentacion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSigla))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pBackColor))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pForeColor))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigoBarras))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigoInterno))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" ".doubleval($this->pPrecioCompra).",";
        $vC.=" ".doubleval($this->pPrecioVA).",";
        $vC.=" ".doubleval($this->pPrecioVB).",";
        $vC.=" ".doubleval($this->pPrecioVC).",";
        $vC.=" ".doubleval($this->pPrecioVD).",";
        $vC.=" ".($this->pFraccion?'true':'false').",";
        $vC.=" ".intval($this->pFraccionCantidad).",";
        $vC.=" ".intval($this->pFraccionProductoId).",";
        $vC.=" ".intval($this->pStockMin).",";
        $vC.=" ".intval($this->pStockMax).",";
        $vC.=" ".doubleval($this->pPeso).",";
        $vC.=" ".doubleval($this->pFlete).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pStand))."',";
        $vC.=" ".($this->pServicio?'true':'false').",";
        $vC.=" ".($this->pGrabado?'true':'false').",";
        $vC.=" ".($this->pDestinadoCompra?'true':'false').",";
        $vC.=" ".($this->pDestinadoVenta?'true':'false').",";
        $vC.=" ".($this->pISC?'true':'false').",";
        $vC.=" ".doubleval($this->pISCProcentaje).",";
        $vC.=" ".($this->pPercepcion?'true':'false').",";
        $vC.=" ".doubleval($this->pPercepcionPorcentaje).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" ".trim($vArrayGrupo).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vProductoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_eliminar(";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vProductoId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_getrow(".intval($vProductoId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vProductoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_cambiar_estado(";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Oferta($vProductoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_cambiar_oferta(";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Consulta($vAno, $vEmpresaId, $vAlmacenId, $vLimite, $vNombre, $vProductoId, $vIDBarras, $vOrderBy){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_consulta(";
        $vC.=" ".intval($vAno).",";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vLimite).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIDBarras))."' ";
        //$vC.=" '".$oC->Escapar_Caracteres(trim($vOrderBy))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Grupos($vProductoId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_grupo_leer_grupos(";
        $vC.=" ".intval($vProductoId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerNonGrupo($vGrupoId, $vLineaId, $vCategoriaId, $vSubCategoriaId, $vMarcaId, $vNombre){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproducto_leer_nongrupo(";
        $vC.=" ".intval($vGrupoId).",";
        $vC.=" ".intval($vLineaId).",";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vMarcaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Kardex($vProductoId, $vAlmacenId, $vAno){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pakardex_leer(";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vAno)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>