<?
class Acceso_clsUnidadMedida{
    public $pUnidadMedidaId;
    public $pNombre;
    public $pAbreviatura;
    public $pCodigo_Contable;
    public $pCodigo_Internacional;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vNombre=''){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paunidadmedida_leer('".$oC->Escapar_Caracteres(trim($vNombre))."')";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vUnidadMedidaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paunidadmedida_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pUnidadMedidaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigo_Contable))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigo_Internacional))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vUnidadMedidaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vUnidadMedidaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paunidadmedida_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vUnidadMedidaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigo_Contable))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigo_Internacional))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vUnidadMedidaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paunidadmedida_eliminar(";
        $vC.=" ".intval($vUnidadMedidaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vUnidadMedidaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.unidadmedida where unidadmedidaid=".intval($vUnidadMedidaId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vUnidadMedidaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paunidadmedida_cambiar_estado(";
        $vC.=" ".intval($vUnidadMedidaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>