<?
class Acceso_clsGaleria_Imagenes{
    public $pGaleriaId;
    public $pUnidadNegocioId;
    public $pNombre;
    public $pDescripcion;
    public $pContenido;
    public $pPublicacion;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio, $vFin, $vUnidadNegocioId, $vTexto){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagaleria_imagenes_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vUnidadNegocioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."'";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vUnidadNegocioId, $vTexto){
        $oC= new Access_clsConexion();
        $vC="select cms.pagaleria_imagenes_count(";
        $vC.=" ".intval($vUnidadNegocioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."'";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function getROW($vGaleriaId) {
        $vC="select * from cms.galeria_imagenes where galeriaid=".intval($vGaleriaId);
        $oC= new Access_clsConexion();
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Agregar(&$vGaleriaId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagaleria_imagenes_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pUnidadNegocioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pDescripcion)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pContenido)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPublicacion)."',";
        $vC.=" ".(($this->pEstado)?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vGaleriaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vGaleriaId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagaleria_imagenes_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vGaleriaId).",";
        $vC.=" ".intval($this->pUnidadNegocioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pDescripcion)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pContenido)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPublicacion)."',";
        $vC.=" ".(($this->pEstado)?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function setDefault($vImagenId){
        $oC= new Access_clsConexion();
        $vC="select cms.pagaleria_imagenes_cambiar_imagen_defecto(".intval($vImagenId).")";
        return $oC->Ejecutar_SQL($vC);
    }
    function Eliminar($vGaleriaId){
        $vC="select * from cms.pagaleria_imagenes_eliminar(".intval($vGaleriaId).")";
        $oC= new Access_clsConexion();
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Estado($vGaleriaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagaleria_imagenes_cambiar_estado(";
        $vC.=" ".intval($vGaleriaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }

    function Visitas_Leer($vInicio, $vFin, $vGaleriaId, $vDeDonde, $vTexto){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagaleria_imagenes_visitas_read(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vGaleriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDeDonde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."'";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Visitas_Count($vGaleriaId, $vDeDonde, $vTexto){
        $oC= new Access_clsConexion();
        $vC="select cms.pagaleria_imagenes_visitas_count(";
        $vC.=" ".intval($vGaleriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDeDonde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."'";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
}
?>