<?
class Acceso_clsNoticia{
    public $pNoticiaId;
    public $pUnidadNegocioId;
    public $pPublicacion;
    public $pTitulo;
    public $pDescripcion;
    public $pContenido;
    public $pGaleriaId;
    public $pUsuarioId;
    public $pImagen;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio, $vFin, $vUnidadNegocioId, $vTexto, $vDesde, $vHasta, $vSoloActivos){
        $oC= new Access_clsConexion();
        $vC="select * from cms.panoticia_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vUnidadNegocioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."',";
        $vC.=" '".trim($vDesde)."',";
        $vC.=" '".trim($vHasta)."',";
        $vC.=" '".trim($vSoloActivos)."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vUnidadNegocioId, $vTexto, $vDesde, $vHasta, $vSoloActivos){
        $oC= new Access_clsConexion();
        $vC="select cms.panoticia_count(";
        $vC.=" ".intval($vUnidadNegocioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."',";
        $vC.=" '".trim($vDesde)."',";
        $vC.=" '".trim($vHasta)."',";
        $vC.=" '".trim($vSoloActivos)."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function getROW($vNoticiaId) {
        $vC="select * from cms.noticia where noticiaid=".intval($vNoticiaId);
        $oC= new Access_clsConexion();
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Agregar(&$vNoticiaId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.panoticia_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pUnidadNegocioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPublicacion)."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTitulo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContenido))."',";
        $vC.=" ".intval($this->pGaleriaId).",";
        $vC.=" ".intval($this->pUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pImagen))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vNoticiaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vNoticiaId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.panoticia_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vNoticiaId).",";
        $vC.=" ".intval($this->pUnidadNegocioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pPublicacion)."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTitulo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContenido))."',";
        $vC.=" ".intval($this->pGaleriaId).",";
        $vC.=" ".intval($this->pUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pImagen))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vNoticiaId){
        $vC="select * from cms.panoticia_eliminar(".intval($vNoticiaId).")";
        $oC= new Access_clsConexion();
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Estado($vNoticiaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from cms.panoticia_cambiar_estado(";
        $vC.=" ".intval($vNoticiaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }

    function Visitas_Leer($vInicio, $vFin, $vNoticiaId, $vDeDonde, $vTexto){
        $oC= new Access_clsConexion();
        $vC="select * from cms.panoticia_visitas_read(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vNoticiaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDeDonde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."'";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Visitas_Count($vNoticiaId, $vDeDonde, $vTexto){
        $oC= new Access_clsConexion();
        $vC="select cms.panoticia_visitas_count(";
        $vC.=" ".intval($vNoticiaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDeDonde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."'";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
}
?>