<?
class Access_clsConfig{
    public $pConfigId;
    public $pName;
    public $pDescription;
    public $pContent;
    public $pConfigGroupId;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0, $vConfigGroupId=-1, $vName=''){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paconfig_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" ".intval($vConfigGroupId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vConfigGroupId=-1, $vName=''){
        $oC= new Access_clsConexion();
        $vC="select cms.paconfig_count(";
        $vC.=" ".intval($vConfigGroupId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vConfigId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paconfig_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContent))."',";
        $vC.=" ".intval($this->pConfigGroupId)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vConfigId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vConfigId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vConfigId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paconfig_update(";
        $vC.=" false,";
        $vC.=" ".intval($vConfigId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContent))."',";
        $vC.=" ".intval($this->pConfigGroupId)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vConfigId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paconfig_delete(".intval($vConfigId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vConfigId, $vName){
        $oC= new Access_clsConexion();
        if(trim($vName)!=''){
            $vC="select * from cms.config where name='".$oC->Escapar_Caracteres(trim($vName))."'";
        }else{
            $vC="select * from cms.config where configid=".intval($vConfigId);
        }
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Content($vConfigId, $vContent){
        $oC= new Access_clsConexion();
        $vC="update cms.config set content='".$oC->Escapar_Caracteres(trim($vContent))."' where configid=".intval($vConfigId);
        return $oC->Ejecutar_SQL($vC);
    }
}
?>