<?
class Access_clsGalleryImages{
    public $pGalleryImagesId;
    public $pGalleryId;
    public $pName;
    public $pDescription;
    public $pWidth;
    public $pHeight;
    public $pDPI;
    public $pSize;
    public $pDefault;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagalleryimages_read(".intval($vGalleryId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Add(&$vGalleryImagesId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagalleryimages_add(";
        $vC.=" ".intval($this->pGalleryId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" ".intval($this->pWidth).",";
        $vC.=" ".intval($this->pHeight).",";
        $vC.=" ".intval($this->pDPI).",";
        $vC.=" ".intval($this->pSize)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vGalleryImagesId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vGalleryImagesId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagalleryimages_delete(".intval($vGalleryImagesId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vGalleryImagesId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagalleryimages_getrow(".intval($vGalleryImagesId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function setDefault($vGalleryImagesId){
        $oC= new Access_clsConexion();
        $vC="select cms.pagalleryimages_setdefault(".intval($vGalleryImagesId).")";
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vGalleryImagesId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagalleryimages_change_status(";
        $vC.=" ".intval($vGalleryImagesId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Change_Order($vGalleryId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select cms.pagalleryimages_change_order(".intval($vGalleryId).", $vArray)";
        return $oC->Ejecutar_SQL($vC);
    }
    function SetCaptions($vGalleryId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select cms.pagalleryimages_setcaptions(".intval($vGalleryId).", $vArray)";
        return $oC->Ejecutar_SQL($vC);
    }
    function Rotate($vGalleryImagesId, $vName, $vWidth, $vHeight, $vSize){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagalleryimages_rotate(";
        $vC.=" ".intval($vGalleryImagesId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vWidth).",";
        $vC.=" ".intval($vHeight).",";
        $vC.=" ".intval($vSize)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>