<?
class Access_clsLanguage{
    public $pLanguageId;
    public $pName;
    public $pNomenclature;
    public $pIcon;
    public $pDefault;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0){
        $oC= new Access_clsConexion();
        $vC="select * from cms.palanguage_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count(){
        $oC= new Access_clsConexion();
        $vC="select cms.palanguage_count() as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }

    function Add(&$vLanguageId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.palanguage_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNomenclature))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pIcon))."',";
        $vC.=" ".($this->pDefault?"true":"false").",";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vLanguageId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vLanguageId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vLanguageId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.palanguage_update(";
        $vC.=" false, ";
        $vC.=" ".intval($vLanguageId).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNomenclature))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pIcon))."',";
        $vC.=" ".($this->pDefault?"true":"false").",";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vLanguageId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.palanguage_delete(".intval($vLanguageId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vLanguageId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.language where languageid=".intval($vLanguageId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function getDefault(){
        $oC= new Access_clsConexion();
        $vC='select * from cms.language where "default"=true';
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Status($vLanguageId){
        $vC="update cms.language set status=not status where languageid=".$vLanguageId;
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }

    function Change_Order($vArray, $vStart){
        $vC="select cms.palanguage_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>