<?
class Access_clsProject{
    public $pProjectId;
    public $pProjectCategoryId;
    public $pName;
    public $pDescription;
    public $pContent;
    public $pUrl;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0, $vName='', $vProjectCategoryId=0){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paproject_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vProjectCategoryId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vName='', $vProjectCategoryId=0){
        $oC= new Access_clsConexion();
        $vC="select cms.paproject_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vProjectCategoryId)." ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs){
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vProjectId, $vArrFiles){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paproject_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pProjectCategoryId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContent))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".($this->pStatus?"true":"false").",";
        $vC.=" ".trim($vArrFiles)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vProjectId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vProjectId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vProjectId, $vArrFiles){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paproject_update(";
        $vC.=" false,";
        $vC.=" ".intval($vProjectId).",";
        $vC.=" ".intval($this->pProjectCategoryId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContent))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".($this->pStatus?"true":"false").",";
        $vC.=" ".trim($vArrFiles)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vProjectId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paproject_delete(".intval($vProjectId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vProjectId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.project where projectid=".intval($vProjectId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Order($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select cms.paproject_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" )";
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vProjectId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paproject_change_status(";
        $vC.=" ".intval($vProjectId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Docs($vProjectId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paproject_docs(".intval($vProjectId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>