<?
class Access_clsProjectPhoto{
    public $pProjectPhotoId;
    public $pProjectId;
    public $pName;
    public $pDescription;
    public $pWidth;
    public $pHeight;
    public $pDPI;
    public $pSize;
    public $pDefault;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vProjectId){
        $vC="select * from cms.paprojectphoto_read(".intval($vProjectId).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Add(&$vProjectPhotoId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectphoto_add(";
        $vC.=" ".intval($this->pProjectId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" ".intval($this->pWidth).",";
        $vC.=" ".intval($this->pHeight).",";
        $vC.=" ".intval($this->pDPI).",";
        $vC.=" ".intval($this->pSize)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vProjectPhotoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vProjectPhotoId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectphoto_delete(".intval($vProjectPhotoId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vProjectPhotoId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectphoto_getrow(".intval($vProjectPhotoId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function setDefault($vProjectPhotoId){
        $oC= new Access_clsConexion();
        $vC="select cms.paprojectphoto_setdefault(".intval($vProjectPhotoId).")";
        return $oC->Ejecutar_SQL($vC);
    }

    function Change_Order($vProjectId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select cms.paprojectphoto_change_order(".intval($vProjectId).", ".trim($vArray).")";
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vProjectPhotoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectphoto_change_status(";
        $vC.=" ".intval($vProjectPhotoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function SetCaptions($vProjectId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select cms.paprojectphoto_setcaptions(".intval($vProjectId).", ".trim($vArray).")";
        return $oC->Ejecutar_SQL($vC);
    }
    function Rotate($vProjectPhotoId, $vName, $vWidth, $vHeight, $vSize){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectphoto_rotate(";
        $vC.=" ".intval($vProjectPhotoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vWidth).",";
        $vC.=" ".intval($vHeight).",";
        $vC.=" ".intval($vSize)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>