<?
class Access_clsReceiver{
    public $pReceiverId;
    public $pAutoReplyId;
    public $pName;
    public $pEmail;
    public $pCodigo_Unidad;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
   
    function Read($vFirst, $vLast, $vReceiverId){
        $vC="select * from cms.pareceiver_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" ".intval($vReceiverId)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vReceiverId){
        $oC= new Access_clsConexion();
        $vC="select cms.pareceiver_count(".intval($vReceiverId).") as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vReceiverId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pareceiver_update(";
        $vC.=" true, ";
        $vC.=" 0, ";
        $vC.=" ".intval($this->pAutoReplyId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEmail))."',";
        $vC.=" ".intval($this->pCodigo_Unidad).",";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vReceiverId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Edit($vReceiverId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pareceiver_update(";
        $vC.=" false, ";
        $vC.=" ".intval($vReceiverId).", ";
        $vC.=" ".intval($this->pAutoReplyId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEmail))."',";
        $vC.=" ".intval($this->pCodigo_Unidad).",";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vReceiverId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pareceiver_delete(".intval($vReceiverId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vReceiverId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.receiver where receiverid=".intval($vReceiverId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Status($vReceiverId){
        $oC= new Access_clsConexion();
        $vC="update cms.receiver set status=not status where receiverid=".intval($vReceiverId);
        return $oC->Ejecutar_SQL($vC);
    }
    function Query($vReceiverId){
        $vC="select * from cms.pareceiver_query(".intval($vReceiverId).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>