<?
class Access_clsVars{
    public $pVarsId;
    public $pName;
    public $pDescription;
    public $pText;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0, $vName=''){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pavars_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vName=''){
        $oC= new Access_clsConexion();
        $vC="select cms.pavars_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vVarsId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pavars_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pText))."' ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vVarsId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vVarsId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vVarsId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pavars_update(";
        $vC.=" false,";
        $vC.=" ".intval($vVarsId).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pText))."' ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vVarsId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pavars_delete(".intval($vVarsId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vVarsId, $vName){
        $oC= new Access_clsConexion();
        if(trim($vName)!=''){
            $vC="select * from cms.vars where name='".$oC->Escapar_Caracteres(trim($vName))."'";
        }else{
            $vC="select * from cms.vars where varsid=".intval($vVarsId);
        }
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Text($vVarsId, $vText){
        $oC= new Access_clsConexion();
        $vC="update cms.vars set text='".$oC->Escapar_Caracteres(trim($vText))."' where varsid=".intval($vVarsId);
        return $oC->Ejecutar_SQL($vC);
    }
}
?>