<?
class Access_clsWebContent{
    public $pWebContentId;
    public $pWebContentCategoryId;
    public $pLanguageId;
    public $pParentId;
    public $pPage;
    public $pFileName;
    public $pCaption;
    public $pDescription;
    public $pMetadata_Title;
    public $pMetadata_Description;
    public $pMetadata_Keywords;
    public $pPage_Title;
    public $pPage_SubTitle;
    public $pPage_Content;
    public $pUrl;
    public $pTarget;
    public $pScriptJS;
    public $pScriptPHP;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function ReadParents($vParentId=0, $vWebContentCategoryId=0, $vLanguageId=0){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pawebcontent_read_parents(";
        $vC.=" ".intval($vParentId).",";
        $vC.=" ".intval($vWebContentCategoryId).",";
        $vC.=" ".intval($vLanguageId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function ReadChilds($vParentId=0, $vWebContentCategoryId=0, $vLanguageId=0){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pawebcontent_read_childs(";
        $vC.=" ".intval($vParentId).",";
        $vC.=" ".intval($vWebContentCategoryId).",";
        $vC.=" ".intval($vLanguageId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function ReadAll($vLanguageId, $vWebContentCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pawebcontent_read_all(";
        $vC.=" ".intval($vLanguageId).",";
        $vC.=" ".intval($vWebContentCategoryId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }

    function Add(&$vWebContentId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pawebcontent_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pWebContentCategoryId).",";
        $vC.=" ".intval($this->pLanguageId).",";
        $vC.=" ".intval($this->pParentId).",";
        $vC.=" ".($this->pPage?"true":"false").",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFileName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCaption))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMetadata_Title))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMetadata_Description))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMetadata_Keywords))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPage_Title))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPage_SubTitle))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPage_Content))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTarget))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pScriptJS))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pScriptPHP))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vWebContentId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vWebContentId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vWebContentId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pawebcontent_update(";
        $vC.=" false, ";
        $vC.=" ".intval($vWebContentId).", ";
        $vC.=" ".intval($this->pWebContentCategoryId).",";
        $vC.=" ".intval($this->pLanguageId).",";
        $vC.=" ".intval($this->pParentId).",";
        $vC.=" ".($this->pPage?"true":"false").",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFileName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCaption))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMetadata_Title))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMetadata_Description))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMetadata_Keywords))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPage_Title))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPage_SubTitle))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPage_Content))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTarget))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pScriptJS))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pScriptPHP))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vWebContentId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pawebcontent_delete(".intval($vWebContentId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vWebContentId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.webcontent where webcontentid=".intval($vWebContentId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Order($vParent, $vArray){
        $vC="select cms.pawebcontent_change_order(";
        $vC.=" ".intval($vWebContentId).",";
        $vC.=" ".trim($vArray)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vWebContentId){
        $vC="update cms.webcontent set status=not status where webcontentid=".intval($vWebContentId);
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Position($vWebContentId, $vWebContentCategoryId, $vParentId){
        $vC="select * from cms.pawebcontent_change_position(";
        $vC.=" ".intval($vWebContentId).",";
        $vC.=" ".intval($vWebContentCategoryId).",";
        $vC.=" ".intval($vParentId)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function SiteMap(){
        $vC="select * from cms.pasitemap_read();";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Read_FileName(){
        $vC="select * from cms.pawebcontent_read_filename();";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function ReadSiteMap(){
        $vC="select * from cms.pawebcontent_query_sitemap();";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>