<?
class Acceso_clsConfigVars{
    public $pConfigVarsId;
    public $pConfigVarsTypeId;
    public $pName;
    public $pDescription;
    public $pType;
    public $pLength;
    public $pMin;
    public $pMax;
    public $pInputType;
    public $pStatus;

    function Read($vFirst, $vLast, $vConfigVarsTypeId, $vName){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigvars_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" ".intval($vConfigVarsTypeId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vConfigVarsTypeId, $vName){
        $oC= new Access_clsConexion();
        $vC="select public.paconfigvars_count(";
        $vC.=" ".intval($vConfigVarsTypeId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs){
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigvars_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pConfigVarsTypeId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pType))."',";
        $vC.=" ".intval($this->pLength).",";
        $vC.=" ".intval($this->pMin).",";
        $vC.=" ".intval($this->pMax).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pInputType))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        return $oC->Ejecutar_SQL2($vC);
    }
    function Edit($vConfigVarsId){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigvars_update(";
        $vC.=" false,";
        $vC.=" ".intval($vConfigVarsId).",";
        $vC.=" ".intval($this->pConfigVarsTypeId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pType))."',";
        $vC.=" ".intval($this->pLength).",";
        $vC.=" ".intval($this->pMin).",";
        $vC.=" ".intval($this->pMax).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pInputType))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        return $oC->Ejecutar_SQL2($vC);
    }
    function Delete($vConfigVarsId){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigvars_delete(".intval($vConfigVarsId).")";
        return $oC->Ejecutar_SQL2($vC);
    }
    function getROW($vConfigVarsId){
        $oC= new Access_clsConexion();
        $vC="select * from public.configvars where configvarsid=".intval($vConfigVarsId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Order($vArray, $vStart){
        $vC="select public.paconfigvars_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vConfigVarsId){
        $vC="update public.configvars set status=not status where configvarsid=".intval($vConfigVarsId);
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
    function ReadNonSubGroups($vFirst, $vLast, $vConfigSubGroupId, $vConfigVarsTypeId, $vName){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigvars_read_non_configsubgroups(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" ".intval($vConfigSubGroupId).",";
        $vC.=" ".intval($vConfigVarsTypeId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>