<?
class Access_Docs_clsFormat{
    public $pFormatId;
    public $pName;
    public $pDescription;
    public $pExtension;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0, $vName=''){
        $oC= new Access_clsConexion();
        $vC="select * from docs.paformat_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vName=''){
        $oC= new Access_clsConexion();
        $vC="select docs.paformat_count('".$oC->Escapar_Caracteres(trim($vName))."') as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vFormatId){
        $oC= new Access_clsConexion();
        $vC="select * from docs.paformat_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pExtension))."' ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vFormatId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vFormatId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vFormatId){
        $oC= new Access_clsConexion();
        $vC="select * from docs.paformat_update(";
        $vC.=" false,";
        $vC.=" ".intval($vFormatId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pExtension))."' ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vFormatId){
        $oC= new Access_clsConexion();
        $vC="select * from docs.paformat_delete(".intval($vFormatId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vFormatId, $vExtension=""){
        $oC= new Access_clsConexion();
        if($vFormatId>0){
            $vC="select * from docs.format where formatid=".intval($vFormatId);
        }else{
            $vC="select * from docs.format where lower(extension)='".$oC->Escapar_Caracteres(trim(strtolower($vExtension)))."'";
        }
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
}
?>