<?
class Access_Images_clsGallery{
    public $pGalleryId;
    public $pCategoryId;
    public $pFormatId;
    public $pUploadDate;
    public $pName;
    public $pDescription;
    public $pWidth;
    public $pHeight;
    public $pSize;
    public $pDPI;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst, $vLast, $vName, $arrCategory, $arrFormat, $arrKeyword){
        $oC= new Access_clsConexion();
        $vC="select * from images.pagallery_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".trim($arrCategory).",";
        $vC.=" ".trim($arrFormat).",";
        $vC.=" ".trim($arrKeyword)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vName, $arrCategory, $arrFormat, $arrKeyword){
        $oC= new Access_clsConexion();
        $vC="select images.pagallery_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".trim($arrCategory).",";
        $vC.=" ".trim($arrFormat).",";
        $vC.=" ".trim($arrKeyword)." ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vGalleryId, $vArrKeywords){
        $oC= new Access_clsConexion();
        $vC="select * from images.pagallery_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pCategoryId).",";
        $vC.=" ".intval($this->pFormatId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."', ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."', ";
        $vC.=" ".intval($this->pWidth).",";
        $vC.=" ".intval($this->pHeight).",";
        $vC.=" ".intval($this->pSize).",";
        $vC.=" ".intval($this->pDPI).",";
        $vC.=" ".trim($vArrKeywords)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vGalleryId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vGalleryId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vGalleryId, $vArrKeywords){
        $oC= new Access_clsConexion();
        $vC="select * from images.pagallery_update(";
        $vC.=" false,";
        $vC.=" ".intval($vGalleryId).",";
        $vC.=" ".intval($this->pCategoryId).",";
        $vC.=" ".intval($this->pFormatId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."', ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."', ";
        $vC.=" ".intval($this->pWidth).",";
        $vC.=" ".intval($this->pHeight).",";
        $vC.=" ".intval($this->pSize).",";
        $vC.=" ".intval($this->pDPI).",";
        $vC.=" ".trim($vArrKeywords)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from images.pagallery_delete(".intval($vGalleryId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from images.pagallery_getrow(".intval($vGalleryId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Read_Keywords($vGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from images.pagallery_keyword_read(".intval($vGalleryId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Rotate($vGalleryId, $vName, $vWidth, $vHeight, $vSize){
        $oC= new Access_clsConexion();
        $vC="select * from images.pagallery_rotate(";
        $vC.=" ".intval($vGalleryId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vWidth).",";
        $vC.=" ".intval($vHeight).",";
        $vC.=" ".intval($vSize)." ";
        $vC.=" ) ";
        return $oC->Ejecutar_SQL2($vC);
    }
}
?>