<?
class Acceso_Inventarios_clsReportes{

    function VentasMensuales($vEmpresaId, $vTipo, $vAno, $vZonaId, $vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_resumen_ventas_mensual(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vTipo).",";
        $vC.=" ".intval($vAno).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function VentasDiarias($vEmpresaId, $vTipo, $vZonaId, $vDesde, $vHasta){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_resumen_ventas_diaria(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vTipo).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function ProductosMasVendidos($vEmpresaId, $vZonaId, $vAlmacenId, $vTipoDocumentoId, $vCondicion, $vPersonaId, $vDesde, $vHasta){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_productos_mas_vendidos(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vTipoDocumentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vCondicion))."',";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function ProductosMasVendidosDetalle($vEmpresaId, $vZonaId, $vAlmacenId, $vTipoDocumentoId, $vCondicion, $vPersonaId, $vDesde, $vHasta){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_productos_mas_vendidos_detalle(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vTipoDocumentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vCondicion))."',";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function StockGeneral($vAno, $vEmpresaId, $vZonaId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_resumen_stock_general(";
        $vC.=" ".intval($vAno).",";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vZonaId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function PreciosPorAlmacen($vEmpresaId, $vZonaId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_precios_poralmacen_general(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vZonaId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    function VentasDetalladasProducto($vEmpresaId, $vZonaId, $vAlmacenId, $vDesde, $vHasta, $vProductoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_ventas_detalladas_producto(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" ".intval($vProductoId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    function CorrelativosLibres($vEmpresaId, $vZonaId, $vAlmacenId, $vDesde, $vHasta){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_correlativos_libres(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function KardexPromedio($vProductoId, $vZonaId, $vAlmacenId, $vAno, $vUserId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_kardex_promedio(";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vAno).",";
        $vC.=" ".intval($vUserId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function PreciosGeneral($vEmpresaId, $vZonaId, $vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_precios_general(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function KardexCabecera($vDesde, $vHasta, $vCategoriaId, $vSubCategoriaId, $vZonaId, $vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_kardex_cabecera(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function KardexDetalle($vDesde, $vHasta, $vCategoriaId, $vSubCategoriaId, $vZonaId, $vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_kardex_detalle(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function KardexCategoriaCabecera($vDesde, $vHasta, $vCategoriaId, $vSubCategoriaId, $vZonaId, $vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_kardex_subcategoria_cabecera(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function KardexCategoriaDetalle($vDesde, $vHasta, $vCategoriaId, $vSubCategoriaId, $vZonaId, $vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pareporte_kardex_subcategoria_detalle(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vZonaId).",";
        $vC.=" ".intval($vAlmacenId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    
}
?>