<?
class Acceso_clsTransferencia{
    public $pTransferenciaId;
    public $pEmpresaId;
    public $pFecha;
    public $pTipMovMerId;
    public $pAlmacenOrigenId;
    public $pAlmacenDestinoId;
    public $pMoneda;
    public $pObservacion;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio=0, $vFin=0, $vEmpresaId=0, $vAlmacenOrigenId=0, $vAlmacenDestinoId=0, $vProductoId=0, $vFechaDesde='', $vFechaHasta=''){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patransferencia_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vAlmacenOrigenId).",";
        $vC.=" ".intval($vAlmacenDestinoId).",";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaHasta))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vEmpresaId=0, $vAlmacenOrigenId=0, $vAlmacenDestinoId=0, $vProductoId=0, $vFechaDesde='', $vFechaHasta=''){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patransferencia_count(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vAlmacenOrigenId).",";
        $vC.=" ".intval($vAlmacenDestinoId).",";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaHasta))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Agregar(&$vTransferenciaId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patransferencia_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFecha))."',";
        $vC.=" ".intval($this->pTipMovMerId).",";
        $vC.=" ".intval($this->pAlmacenOrigenId).",";
        $vC.=" ".intval($this->pAlmacenDestinoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" ". intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."',";
        $vC.=" ". trim($vArray)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTransferenciaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vTransferenciaId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patransferencia_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vTransferenciaId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFecha))."',";
        $vC.=" ".intval($this->pTipMovMerId).",";
        $vC.=" ".intval($this->pAlmacenOrigenId).",";
        $vC.=" ".intval($this->pAlmacenDestinoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" ". intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."',";
        $vC.=" ". trim($vArray)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTransferenciaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patransferencia_eliminar(";
        $vC.=" ".intval($vTransferenciaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function LeerItems($vTransferenciaId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patransferencia_leer_items(".intval($vTransferenciaId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vTransferenciaId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patransferencia_getrow(".intval($vTransferenciaId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vTransferenciaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patransferencia_cambiar_estado(";
        $vC.=" ".intval($vTransferenciaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>