<?
class Acceso_Planillas_clsConcepto{
    public $pConceptoId;
    public $pTipoConceptoId;
    public $pNombre;
    public $pAbreviatura;
    public $pEvaluacion;
    public $pTipoIngreso;
    public $pTipo;
    public $pVariable;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vTipoConceptoId=0, $vTexto=''){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paconcepto_leer(";
        $vC.=" ".intval($vTipoConceptoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vConceptoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paconcepto_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pTipoConceptoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEvaluacion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipoIngreso))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pVariable))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vConceptoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vConceptoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paconcepto_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vConceptoId).",";
        $vC.=" ".intval($this->pTipoConceptoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEvaluacion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipoIngreso))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pVariable))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vConceptoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paconcepto_eliminar(";
        $vC.=" ".intval($vConceptoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vConceptoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.concepto where conceptoid=".intval($vConceptoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vConceptoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paconcepto_cambiar_estado(";
        $vC.=" ".intval($vConceptoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    
    function Leer_NonTipoPlanillaIngreso($vTipoPlanillaId, $vNombre=''){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paconcepto_non_tipoplanilla_ingreso(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    function Leer_NonTipoPlanillaCalculo($vTipoPlanillaId, $vNombre=''){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paconcepto_non_tipoplanilla_calculo(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    
}
?>