<?
class Acceso_Planillas_clsTipoContrato{
    public $pTipoContratoId;
    public $pNombre;
    public $pAbreviatura;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipocontrato_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vTipoContratoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipocontrato_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pTipoContratoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTipoContratoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vTipoContratoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipocontrato_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vTipoContratoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipoContratoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipocontrato_eliminar(".intval($vTipoContratoId).")";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vTipoContratoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.tipocontrato where tipocontratoid=".intval($vTipoContratoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vTipoContratoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipocontrato_cambiar_estado(";
        $vC.=" ".intval($vTipoContratoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select planillas.patipocontrato_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        return $oC->Ejecutar_SQL($vC);
    }
}
?>