<?
class Acceso_Planillas_clsTipoPlanilla{
    public $pTipoPlanillaId;
    public $pNombre;
    public $pAbreviatura;
    public $pTipoPeriodo;
    public $pCantidadPeriodos;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vTipoPlanillaId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pTipoPlanillaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipoPeriodo))."',";
        $vC.=" ".intval($this->pCantidadPeriodos)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTipoPlanillaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vTipoPlanillaId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipoPeriodo))."',";
        $vC.=" ".intval($this->pCantidadPeriodos)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipoPlanillaId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_eliminar(".intval($vTipoPlanillaId).")";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vTipoPlanillaId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.tipoplanilla where tipoplanillaid=".intval($vTipoPlanillaId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vTipoPlanillaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_cambiar_estado(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select planillas.patipoplanilla_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        return $oC->Ejecutar_SQL($vC);
    }
}
?>