<?
class Acceso_Planillas_clsTipoPlanillaIngreso{

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vTipoPlanillaId, $vNombre=''){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_ingreso_leer(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar($vTipoPlanillaId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_ingreso_add(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipoPlanillaId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_ingreso_delete(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Registrar($vTipoPlanillaId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_ingreso_registrar(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vTipoPlanillaId, $vConceptoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.tipoplanilla_ingreso where tipoplanillaid=".intval($vTipoPlanillaId)." and conceptoid=".intval($vConceptoId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vTipoPlanillaId, $vConceptoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patipoplanilla_ingreso_cambiar_estado(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".intval($vConceptoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vTipoPlanillaId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select planillas.patipoplanilla_ingreso_cambiar_orden(";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" );";
        return $oC->Ejecutar_SQL($vC);
    }
}
?>