<?
class Acceso_Planillas_clsTipoSeguro{
    public $pTipoSeguroId;
    public $pNombre;
    public $pAbreviatura;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patiposegurosalud_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vTipoSeguroId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patiposegurosalud_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pTipoSeguroId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTipoSeguroId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vTipoSeguroId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patiposegurosalud_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vTipoSeguroId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipoSeguroId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patiposegurosalud_eliminar(".intval($vTipoSeguroId).")";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vTipoSeguroId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.tiposegurosalud where tiposegurosaludid=".intval($vTipoSeguroId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vTipoSeguroId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.patiposegurosalud_cambiar_estado(";
        $vC.=" ".intval($vTipoSeguroId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select planillas.patiposegurosalud_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        return $oC->Ejecutar_SQL($vC);
    }
}
?>