<?
class Acceso_Tesoreria_clsConcepto{
    public $pConceptoId;
    public $pCategoriaId;
    public $pNombre;
    public $pAbreviatura;
    public $pImporte;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }

    function Leer($vInicio=0, $vFin=0, $vCategoriaId=0, $vNombre='', $vOrderBy=''){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.paconcepto_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vOrderBy))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vCategoriaId=0, $vNombre=''){
        $oC= new Access_clsConexion();
        $vC="select tesoreria.paconcepto_count(";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Agregar(&$vConceptoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.paconcepto_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" ".doubleval($this->pImporte)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vConceptoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vConceptoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.paconcepto_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vConceptoId).",";
        $vC.=" ".intval($this->pCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" ".doubleval($this->pImporte)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vConceptoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.paconcepto_eliminar(".intval($vConceptoId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Estado($vConceptoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.paconcepto_cambiar_estado(";
        $vC.=" ".intval($vConceptoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vConceptoId) {
        $vC="select * from tesoreria.concepto where conceptoid=".intval($vConceptoId);
        $oC= new Access_clsConexion();
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function getIDS($vArray){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.paconcepto_getids(";
        $vC.=" ".trim($vArray)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>