<?
class Acceso_Tesoreria_clsCondicionPago{
    public $pCondicionPagoId;
    public $pNombre;
    public $pAbreviatura;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }

    function Leer(){
        $vC="select * from tesoreria.pacondicionpago_leer()";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vCondicionPagoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.pacondicionpago_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pCondicionPagoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCondicionPagoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vCondicionPagoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.pacondicionpago_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vCondicionPagoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vCondicionPagoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.pacondicionpago_eliminar(".intval($vCondicionPagoId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vCondicionPagoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.condicionpago where condicionpagoid=".intval($vCondicionPagoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vCondicionPagoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.pacondicionpago_cambiar_estado(";
        $vC.=" ".intval($vCondicionPagoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select tesoreria.pacondicionpago_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>