<?
class Acceso_Tesoreria_clsSerie{
    public $pSerieId;
    public $pTipoDocumentoId;
    public $pEmpresaId;
    public $pSerie;
    public $pCorrelativo;
    public $pAlmacenId;
    public $pClienteValidacion;
    public $pClienteVarios;
    public $pCantidadDigitos;
    public $pNoPermitirGravYExo;
    public $pNoPermitirGravYExoImpMin;
    public $pValidarAntes;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }

    function Leer($vTipoDocumentoId=0, $vEmpresaId=0, $vAlmacenId=0){
        $vC="select * from inventarios.paserie_leer(";
        $vC.=" ".intval($vTipoDocumentoId).",";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vAlmacenId)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vSerieId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paserie_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pTipoDocumentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSerie))."',";
        $vC.=" ".intval($this->pCorrelativo).",";
        $vC.=" ".intval($this->pAlmacenId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pClienteValidacion))."',";
        $vC.=" ".($this->pClienteVarios?"true":"false").",";
        $vC.=" ".intval($this->pCantidadDigitos).",";
        $vC.=" ".($this->pNoPermitirGravYExo?"true":"false").",";
        $vC.=" ".doubleval($this->pNoPermitirGravYExoImpMin).",";
        $vC.=" ".($this->pValidarAntes?"true":"false").",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vSerieId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vSerieId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paserie_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vSerieId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pTipoDocumentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSerie))."',";
        $vC.=" ".intval($this->pCorrelativo).",";
        $vC.=" ".intval($this->pAlmacenId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pClienteValidacion))."',";
        $vC.=" ".($this->pClienteVarios?"true":"false").",";
        $vC.=" ".intval($this->pCantidadDigitos).",";
        $vC.=" ".($this->pNoPermitirGravYExo?"true":"false").",";
        $vC.=" ".doubleval($this->pNoPermitirGravYExoImpMin).",";
        $vC.=" ".($this->pValidarAntes?"true":"false").",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vSerieId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paserie_eliminar(".intval($vSerieId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vSerieId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.serie where serieid=".intval($vSerieId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Consultar($vAlmacenId, $vPersonaId){
        $vC="select * from inventarios.paserie_consulta(";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vPersonaId)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>