<?
class Acceso_Tesoreria_clsTipoFormaPago{
    public $pTipoFormaPagoId;
    public $pNombre;
    public $pAbreviatura;
    public $pEstructura;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }

    function Leer(){
        $vC="select * from tesoreria.patipo_forma_pago_leer()";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vTipoFormaPagoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.patipo_forma_pago_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pTipoFormaPagoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEstructura))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTipoFormaPagoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vTipoFormaPagoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.patipo_forma_pago_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vTipoFormaPagoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEstructura))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipoFormaPagoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.patipo_forma_pago_eliminar(".intval($vTipoFormaPagoId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vTipoFormaPagoId){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.tipo_forma_pago where tipoformapagoid=".intval($vTipoFormaPagoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vTipoFormaPagoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from tesoreria.patipo_forma_pago_cambiar_estado(";
        $vC.=" ".intval($vTipoFormaPagoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select tesoreria.patipo_forma_pago_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>