<?
class Acceso_Transportes_clsVehiculo{
    public $pVehiculoId;
    public $pTipoVehiculoId;
    public $pMarcaId;
    public $pModeloId;
    public $pTipoAroId;
    public $pTipoLlantaId;
    public $pTipoCobertorId;
    public $pColores;
    public $pTipoCombustibles;
    public $pPlaca;
    public $pSerieChasis;
    public $pAnioFab;
    public $pAnioModelo;
    public $pAncho;
    public $pLargo;
    public $pAlto;
    public $pCargaUtil;
    public $pPesoBruto;
    public $pPesoNeto;
    public $pRuedas;
    public $pNEjes;
    public $pObservacion;
    public $pEstado;
    
    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from transa.pavehiculo_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    function Buscar($tipovehiculoid=0,$marcaid=0,$placa =''){
        $oC= new Access_clsConexion();
        $vC="select * from transa.pavehiculo_buscar(".intval($tipovehiculoid).",".intval($marcaid).",'".$oC->Escapar_Caracteres(trim($placa))."')";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerMarcas(){
        $oC= new Access_clsConexion();
        $vC="select * from transa.pamarca_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerColores(){
        $oC= new Access_clsConexion();
        $vC="select * from transa.pacolor_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerTipoCombustibles(){
        $oC= new Access_clsConexion();
        $vC="select * from transa.patipocombustible_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    function LeerTipoLlantas(){
        $oC= new Access_clsConexion();
        $vC="select * from transa.patipollanta_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerTipoAros(){
        $oC= new Access_clsConexion();
        $vC="select * from transa.patipoaro_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerTipoCobertores(){
        $oC= new Access_clsConexion();
        $vC="select * from transa.patipocobertor_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    
    function buscarModelos($idmarca){
        $oC= new Access_clsConexion();
        $vC="select * from transa.pamodelo_buscar(".intval($idmarca).",'')";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    
    function getTipoCombustibles($vVehiculoId){
        $oC= new Access_clsConexion();
        $vC="select * from transa.vehiculo_combustible where vehiculoid=".intval($vVehiculoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetchAll(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function getColores($vVehiculoId){
        $oC= new Access_clsConexion();
        $vC="select * from transa.vehiculo_color where vehiculoid=".intval($vVehiculoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetchAll(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    
    function LeerTipoVehiculos(){
        $oC= new Access_clsConexion();
        $vC="select * from transa.patipovehiculo_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    
    function Agregar(&$vVehiculoId){
        $tCobertorId= $this->pTipoCobertorId;
        if ( intval($tCobertorId) == 0){ $tCobertorId = ' null ' ; }
        else $tCobertorId = intval($this->pTipoCobertorId);
        
        $oC= new Access_clsConexion();
        $vC="select * from transa.pavehiculo_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($vVehiculoId).",";
        $vC.=" ".intval($this->pTipoVehiculoId).",";
        $vC.=" ".intval($this->pMarcaId).",";
        $vC.=" ".intval($this->pModeloId).",";
        $vC.=" ".intval($this->pTipoAroId).",";
        $vC.=" ".intval($this->pTipoLlantaId).",";
        $vC.=" ".$tCobertorId.",";
        $vC.=" '{".$this->pColores."}',"; 
        $vC.=" '{".$this->pTipoCombustibles."}',";  
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPlaca))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSerieChasis))."',";
        $vC.=" ".intval($this->pAnioFab).",";
        $vC.=" ".intval($this->pAnioModelo).",";
        $vC.=" ".doubleval($this->pAncho).",";
        $vC.=" ".doubleval($this->pLargo).",";
        $vC.=" ".doubleval($this->pAlto).",";
        $vC.=" ".doubleval($this->pCargaUtil).",";
        $vC.=" ".doubleval($this->pPesoBruto).",";
        $vC.=" ".doubleval($this->pPesoNeto).",";
        $vC.=" ".intval($this->pRuedas).",";
        $vC.=" ".intval($this->pNEjes).",";
        
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" true ";
        $vC.=" )";
        
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTipoPlanillaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vVehiculoId){
        $tCobertorId= $this->pTipoCobertorId;
        if ( intval($tCobertorId) == 0){ $tCobertorId = ' null ' ; }
        else $tCobertorId = intval($this->pTipoCobertorId);
        $oC= new Access_clsConexion();
        $vC="select * from transa.pavehiculo_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vVehiculoId).",";
        $vC.=" ".intval($this->pTipoVehiculoId).",";
        $vC.=" ".intval($this->pMarcaId).",";
        $vC.=" ".intval($this->pModeloId).",";
        $vC.=" ".intval($this->pTipoAroId).",";
        $vC.=" ".intval($this->pTipoLlantaId).",";
        $vC.=" ".$tCobertorId.",";
        $vC.=" '{".$this->pColores."}',";   
        $vC.=" '{".$this->pTipoCombustibles."}',";  
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPlaca))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSerieChasis))."',";
        $vC.=" ".intval($this->pAnioFab).",";
        $vC.=" ".intval($this->pAnioModelo).",";
        $vC.=" ".intval($this->pAncho).",";
        $vC.=" ".intval($this->pLargo).",";
        $vC.=" ".intval($this->pAlto).",";
        $vC.=" ".intval($this->pCargaUtil).",";
        $vC.=" ".intval($this->pPesoBruto).",";
        $vC.=" ".intval($this->pPesoNeto).",";
        $vC.=" ".intval($this->pRuedas).",";
        $vC.=" ".intval($this->pNEjes).",";
        
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" true ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipoPlanillaId){
        $oC= new Access_clsConexion();
        $vC="select * from transa.pavehiculo_eliminar(".intval($vTipoPlanillaId).")";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vVehiculoId){
        $oC= new Access_clsConexion();
        $vC="select * from transa.vehiculo where vehiculoid=".intval($vVehiculoId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vVehiculoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from  transa.pavehiculo_cambiar_estado(";
        $vC.=" ".intval($vVehiculoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    
}
?>