<?
class Acceso_WebService_clsInstitucion{
    public $pInstitucionId;
    public $pNombre;
    public $pAbreviatura;
    public $pReferencia;
    public $pUrl;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $vC="select * from webservice.painstitucion_leer()";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vInstitucionId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.painstitucion_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferencia))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vInstitucionId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vInstitucionId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.painstitucion_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vInstitucionId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferencia))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function Eliminar($vInstitucionId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.painstitucion_eliminar(".intval($vInstitucionId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function getROW($vInstitucionId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.painstitucion_getrow(".intval($vInstitucionId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vInstitucionId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.painstitucion_cambiar_estado(";
        $vC.=" ".intval($vInstitucionId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select webservice.painstitucion_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>