<?
class Acceso_WebService_clsUsuario{
    public $pUsuarioId;
    public $pInstitucionId;
    public $pEmpresaId;
    public $pNombre;
    public $pUsuario;
    public $pClave;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInstitucionId, $vEmpresaId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pausuario_leer(".intval($vInstitucionId).", ".intval($vEmpresaId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vUsuarioId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pausuario_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pInstitucionId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUsuario))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pClave))."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vUsuarioId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vUsuarioId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pausuario_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" ".intval($this->pInstitucionId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUsuario))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pClave))."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function Eliminar($vUsuarioId, $vUserId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pausuario_eliminar(";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" ".intval($vUserId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function getROW($vUsuarioId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pausuario_getrow(".intval($vUsuarioId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vUsuarioId, $vUserId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pausuario_cambiar_estado(";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" ".intval($vUserId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select webservice.pausuario_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
    function Consulta($vInstitucionId, $vInstitucionRef, $vEmpresaId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pausuario_consulta(";
        $vC.=" ".intval($vInstitucionId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vInstitucionRef))."',";
        $vC.=" ".intval($vEmpresaId)." ";
        $vC.=" );";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>