<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");
	
    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="SUPERV-VENTAS"; include(INTERFAZ."/seguridad_redirect_admin.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $vVentaEditId=intval($array['ventaeditid']);
    $oRastro=new Acceso_Rastro_clsVenta();
    $oVenta=new Acceso_clsVenta();
    $rowEdit=$oRastro->getROW($vVentaEditId);
    $vVentaId=0; $rowVenta=false; $vNombreProceso='';
    if($rowEdit){
        $vVentaId=intval($rowEdit['ventaid']);
        $rowVenta=$oVenta->getROW($vVentaId);
        switch($rowEdit['tipo']){
            case "N": $vNombreProceso=" - INSERCION"; break;
            case "E": $vNombreProceso=" - MODIFICACION"; break;
            case "D": $vNombreProceso=" - ELIMINACION"; break;
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>OPERACION - RASTRO - DETALLES</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_number.php"); ?>
        <script language="javascript" type="text/javascript" src="js/venta-detalles.js?20170922"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols2.js"></script>
        <style type="text/css">
            .BodyContentL {font:bold 12px/16px verdana; text-align:right; vertical-align:top; padding:2px}
            .BodyContentR {font:12px/16px verdana; text-align:left; vertical-align:top; padding:2px}
            .Edit{ color:#F00; }
        </style>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <input type="hidden" value="<?=$vVentaEditId?>" name="ventaeditid" id="ventaeditid">
        <input type="hidden" value="<?=$vVentaId?>" name="ventaid" id="ventaid">
        <div id="divHeader">
            <?=btnRefresh()?>
            <?= getTitle("RASTRO DE CAMBIOS: PROCESO # ".$vVentaEditId.$vNombreProceso)?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:3px; overflow:hidden;">
                <div id="divLeft" style="overflow:hidden;">
                    <div id="divLeftTop1" class="BORDER_ALL BG_IMG1" style="height:22px; padding:3px; border-bottom:0px;"><b class="SUBTITULO">DATOS ANTERIORES</b></div>
                    <div id="divLeftMain" class="BORDER_ALL" style="border-bottom:0px; padding:3px;">
                        <table id="tblOld">
                            <tbody></tbody>
                        </table>
                    </div>
                    <div id="divLeftBottom1" style="height:40px; padding:5px; overflow:hidden"  class="BORDER_ALL BG1 standard">
                        <div class="float-left FS_11" id="lblPieOld"></div>
                        <div class="float-right">
                            <? if($rowVenta){echo bWarning("btnEdit", "Editar documento actual", "pencil", "", "btn-sm"); }?>
                        </div>
                    </div>
                </div>
                <div id="divRight" style="overflow:hidden;">
                    <div id="divRightTop1" class="BORDER_ALL BG_IMG1" style="height:22px; padding:3px; border-bottom:0px;"><b class="SUBTITULO">DATOS NUEVOS</b></div>
                    <div id="divRightMain" class="BORDER_ALL" style="border-bottom:0px; padding:3px;">
                        <table id="tblNew">
                            <tbody></tbody>
                        </table>
                    </div>
                    <div id="divRightBottom1" style="height:40px; padding:5px; overflow: hidden;"  class="BORDER_ALL BG1 standard">
                        <div class="float-left FS_11" id="lblPieNew"></div>
                        <div class="float-right"></div>
                    </div>
                </div>
            </div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border:0px; z-index:99999999;"></div>
    </body>
</html>