<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="ALMACEN"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vAlmacenId=intval($array['almacenid']);
    $swNew=(intval($array['swnew'])==1);

    $rowAlmacen=array("almacenid"=>0, "unidadnegocioid"=>0, "nombre"=>'', "abreviatura"=>'', "direccion"=>'', "telefono"=>'', "estado"=>true);
    $oA=new Acceso_clsAlmacen();

    if (!$swNew) {
        $rowAlmacen=$oA->getROW($vAlmacenId);
    }
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>ALMACEN - EDITAR</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/almacenedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
    </head>
    <body onLoad="$('#txtNombre').focus();">
        <div id="divHeader">
            <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." ALMACEN")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="overflow: hidden; padding: 5px;">
                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" data-toggle="tab">General</a></li>
                    <? if(!$swNew){?>
                        <li><a href="#oTabs-2" data-toggle="tab">Configuraci&oacute;n</a></li>
                        <li><a href="#oTabs-3" data-toggle="tab">Horario</a></li>
                    <? }?>
                </ul>
                <div class="tab-content" style="margin-top:0px; overflow:hidden;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:auto; padding:5px;">
                        <form id="frmPanel" class="form-horizontal">
                            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                            <input type="hidden" name="almacenid" id="almacenid" value="<?=$vAlmacenId?>">
                            <?
                            $oU=new Acceso_clsUnidad_Negocio();
                            $rs=$oU->Leer();
                            $arrEmp=array(); if($rs)$arrEmp=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrEmp, "cboUnidadNegocio", "UNIDAD", "unidadnegocioid", "nombre", intval($rowAlmacen['unidadnegocioid']), "0", "Seleccione", true, "col-sm-5");

                            $oZ=new Acceso_clsZona();
                            $rs=$oZ->Leer();
                            $arrZona=array(); if($rs)$arrZona=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrZona, "cboZona", "ZONA", "zonaid", "nombre", intval($rowAlmacen['zonaid']), "0", "Seleccione", true, "col-sm-5");

                            getFormGroupText("txtNombre", "NOMBRE", $rowAlmacen['nombre'], 50, "Ingrese el nombre");
                            getFormGroupText("txtAbreviatura", "ABREVIATURA", $rowAlmacen['abreviatura'], 20, "", "", "", "col-sm-5");
                            getFormGroupText("txtDireccion", "DIRECCI&Oacute;N", $rowAlmacen['direccion'], 100);
                            getFormGroupText("txtTelefono", "TEL&Eacute;FONO", $rowAlmacen['telefono'], 20, "", "", "", "col-sm-5");

                            $oD=new Acceso_clsDepartamento();
                            $rs=$oD->Leer();
                            $arrDpto=array(); if($rs)$arrDpto=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrDpto, "cboDepartamento", "DEPARTAMENTO", "departamentoid", "nombre", intval($rowAlmacen['departamentoid']), "0", "Seleccione", true, "col-sm-5");

                            $arrProv=array();
                            if(intval($rowAlmacen['departamentoid'])>0){
                                $oP=new Acceso_clsProvincia();
                                $rs=$oP->Leer(intval($rowAlmacen['departamentoid']));
                                if($rs)$arrProv=$rs->fetchAll(PDO::FETCH_ASSOC);
                            }
                            getFormGroupSelect($arrProv, "cboProvincia", "PROVINCIA", "provinciaid", "nombre", intval($rowAlmacen['provinciaid']), "0", "Seleccione", true, "col-sm-5");

                            $arrDist=array();
                            if(intval($rowAlmacen['provinciaid'])>0){
                                $oD=new Acceso_clsDistrito();
                                $rs=$oD->Leer(intval($rowAlmacen['departamentoid']), intval($rowAlmacen['provinciaid']), "");
                                if($rs)$arrDist=$rs->fetchAll(PDO::FETCH_ASSOC);
                            }
                            getFormGroupSelect($arrDist, "cboDistrito", "DISTRITO", "distritoid", "nombre", intval($rowAlmacen['distritoid']), "0", "Seleccione", true, "col-sm-5");

                            getFormGroupCheck("chkEstado", "ACTIVO", $rowAlmacen['estado']);
                            ?>
                        </form>
                        
                    </div>
                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;"></div>
                    <div id="oTabs-3" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;"></div>
                </div>
            </div>
        </div>
    </body>
</html>