<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vZonaId=intval($array['zonaid']);
            $oA=new Acceso_clsAlmacen();
            $rs=$oA->Leer($vZonaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oA=new Acceso_clsAlmacen();
            $oA->pUnidadNegocioId=intval($array['cboUnidadNegocio']);
            $oA->pZonaId=intval($array['cboZona']);
            $oA->pNombre=Almacenar_Dato($array['txtNombre']);
            $oA->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oA->pDireccion=Almacenar_Dato($array['txtDireccion']);
            $oA->pTelefono=Almacenar_Dato($array['txtTelefono']);
            $oA->pDistritoId=intval($array['cboDistrito']);
            $oA->pEstado=isset($array['chkEstado']);

            $vAlmacenId=intval($array['almacenid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oA->Agregar($vAlmacenId);
            }else{
                $intError=$oA->Modificar($vAlmacenId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oA->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oA=new Acceso_clsAlmacen();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vAlmacenId){
                    $intError=$oA->Eliminar($vAlmacenId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oA->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "cambiar_estado";
            $vAlmacenId=intval($array['almacenid']);

            $oA=new Acceso_clsAlmacen();
            $intError=$oA->Cambiar_Estado($vAlmacenId, $sessCodigo, miIP());

            $rowAlm=$oA->getROW($vAlmacenId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oA->getErrMsg($intError));
            $jsondata['Status'] = ($rowAlm['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>