<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oC=new Acceso_clsCertificadoDigital();
            $rs=$oC->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oC=new Acceso_clsCertificadoDigital();
            $oC->pNombre= Almacenar_Dato($array['txtNombre']);
            $oC->pArchivo=Almacenar_Dato($array['txtArchivo']);
            $oC->pClave=Almacenar_Dato($array['txtClave']);
            $oC->pAlias=Almacenar_Dato($array['txtAlias']);
            $oC->pSignatureId=Almacenar_Dato($array['txtSignatureId']);
            $oC->pSignatureName=Almacenar_Dato($array['txtSignatureName']);
            $oC->pSignatureNotes=Almacenar_Dato($array['txtSignatureNotes']);

            $vCertificadoId=intval($array['certificadoid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oC->Agregar($vCertificadoId);
            }else{
                $intError=$oC->Modificar($vCertificadoId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oC=new Acceso_clsCertificadoDigital();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCertificadoId){
                    $intError=$oC->Eliminar($vCertificadoId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>