<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");
	
    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu=array("BOL-PROCESO"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    $array=$_GET;

    $vProcesoId=intval($array['procesoid']);

    $oP=new Acceso_Boletaje_clsProceso();
    $rowProceso=$oP->getROW($vProcesoId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>BOLETAJE: CARGA DE ARCHIVOS</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <div id="divMain">
            <div id="divGrid" style="padding:20px">
                <form id="frmPanel">
                    <input type="hidden" value="<?=$vProcesoId?>" name="procesoid" id="procesoid">
                    <p>
                        <b>Importante:</b>
                        <ul style="line-height:22px;">
                            <li>El archivo no debe exceder de <span class="badge badge-success"><?=FormatSizeFile(SIZE_BOLETAJE_PROCESO_FILES*1024)?></span> de tama&ntilde;o.</li>
                            <li>Solo se esta permitido subir imagenes de las siguientes extensiones: <?=ShowArrBadge($EXT_BOLETAJE_PROCESO_FILES, 'badge-primary')?></li>
                        </ul>
                    </p>
                    <p><img src="boletaje-formato.png" class="pic" ></p>
                    <p>
                        <div id="custom-queue"></div>
                        <input type="file" name="txtFile" id="txtFile">
                    </p>
                </form>
            </div>
        </div>
	</body>
</html>
<script type="text/javascript">
    $(function() {
        $('#txtFile').uploadifive({
            'uploadScript'	: 'ajax/ajProcesoPorProcesarUpload.php',
            'fileSizeLimit' 	: <?=intval(SIZE_BOLETAJE_PROCESO_FILES)?>,
            'multi'          	: true,
            'auto'           	: true,
            'buttonText'	: 'Examinar',
            'queueID'        	: 'custom-queue',
            'formData'  	: {'miopcion':'upload', procesoid:<?=$vProcesoId?>, session:"<?=session_id()?>" },
            'removeCompleted'	: true,
            'onUploadComplete': function(oFile, oData){
                try{
                    var oRpta = jQuery.parseJSON(oData);
                    if(oRpta.pUpload===1){
                        if(oRpta.pUpdate===0){
                            parent.DetShow();
                            bootbox.alert("Proceso completo!", function(){ parent.ViewGrid(); });
                        }else{
                            bootbox.alert(oRpta.pUpdateMsg);
                        }
                    }else{
                        bootbox.alert(oRpta.pUploadMsg);
                    }
                }catch(e){
                    bootbox.alert(oData);
                }
            }
        });
    });
</script>