<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vEmpresaId=intval($array['empresaid']);
            $vAlmacenId=intval($array['almacenid']);
            $vNombre=trim($array['nombre']);

            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;
            $vInicio = ($vPage-1) * $vCount;
            
            $oP=new Acceso_Boletaje_clsProceso();
            $rs=$oP->Leer($vInicio, $vCount, $vEmpresaId, $vAlmacenId, "", $vNombre);
            $vTotalFilas=$oP->Count($vEmpresaId, $vAlmacenId, "", $vNombre);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oData'] = $arrDatos;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oP=new Acceso_Boletaje_clsProceso();
            $oP->pTipo=Almacenar_Dato($array['cboTipo']);
            $oP->pEmpresaId=intval($array['cboEmpresa']);
            $oP->pAlmacenId=intval($array['cboAlmacen']);
            $oP->pNombre=Almacenar_Dato($array['txtNombre']);
            $oP->pTipoDocumentoId=intval($array['cboTipoDocumento']);
            $oP->pSerie=Almacenar_Dato($array['txtSerie']);
            $oP->pNumero=intval($array['txtNumero']);
            $oP->pLimitarFechas=isset($array['chkLimitarFechas']);
            $oP->pDesde=CDate($array['txtDesde']);
            $oP->pHasta=CDate($array['txtHasta']);
            $oP->pImporteMaximo=doubleval(str_replace(",", "", $array['txtImporteMaximo']));
            $oP->pCantidadItems=intval(str_replace(",", "", $array['txtCantidadItems']));
            $oP->pCantidadMaximaItem=intval(str_replace(",", "", $array['txtCantidadMaximaItem']));
            $oP->pObservacion=Almacenar_Dato($array['txtObservacion']);
            $vProcesoId=intval($array['procesoid']);
            if (intval($array['swnew'])==1){
                $intError=$oP->Agregar($vProcesoId, $sessCodigo, miIP());
            }else{
                $intError=$oP->Modificar($vProcesoId, $sessCodigo, miIP());
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oP->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oP=new Acceso_Boletaje_clsProceso();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vProcesoId){
                    $intError=$oP->Eliminar($vProcesoId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oP->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>