<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once("Spreadsheet/Excel/Reader.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "upload":
            $vProcesoId=intval($array['procesoid']);
            $msgDatabase="";
            $intErrorDatabase=0;

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vPath=FTP_PATH.FTP_DIR.PATH_BOLETAJE_PROCESO_FILES."/";
            if (!$oFTP->Directory_Exists($vPath)) $oFTP->Create_Dir($vPath);

            $msgUpload=""; $swUpload=false;
            $vFileName="";
            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=SanitizeFilename($_FILES[$vArchivo]['name']);

                if ($vFileName!=""){
                    if ($oFTP->Directory_Exists($vPath)){
                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                        if (!$oFTP->File_Exists($vPath, $vFileName)){
                            $oFTP->pFile=$vArchivo;
                            $oFTP->pMaxSize=SIZE_BOLETAJE_PROCESO_FILES;
                            $oFTP->pExtensions=$EXT_BOLETAJE_PROCESO_FILES;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $swUpload=true;
                                //BEGIN LECGTURA DEL ARCHIVO
                                $vFileNameTmp=$_FILES[$vArchivo]['tmp_name'];

                                $xls = new Spreadsheet_Excel_Reader();
                                $xls->read($vFileNameTmp);

                                $vHoja=0;
                                $vFilIni=2;

                                $vCadena="";
                                if(count($xls->boundsheets)>0){
                                    foreach($xls->boundsheets as $vHoja=>$rowHoja){
                                        $vRows = $xls->sheets[$vHoja]['numRows'];
                                        $vCols = $xls->sheets[$vHoja]['numCols'];
                                        $vNombre=$xls->boundsheets[$vHoja]['name'];

                                        for ($vFila=$vFilIni;$vFila<=$vRows;$vFila++){
                                            $vNumero    = Codificar(str_replace("'", "''", trim($xls->sheets[$vHoja]['cells'][$vFila][1])));
                                            $vFecha	= Codificar(str_replace("'", "''", trim($xls->sheets[$vHoja]['cells'][$vFila][2])));
                                            $vDNI	= Codificar(str_replace("'", "''", trim($xls->sheets[$vHoja]['cells'][$vFila][3])));
                                            $vApePat	= Codificar(str_replace("'", "''", trim($xls->sheets[$vHoja]['cells'][$vFila][4])));
                                            $vApeMat	= Codificar(str_replace("'", "''", trim($xls->sheets[$vHoja]['cells'][$vFila][5])));
                                            $vNombre	= Codificar(str_replace("'", "''", trim($xls->sheets[$vHoja]['cells'][$vFila][6])));
                                            $vCantidad	= doubleval($xls->sheets[$vHoja]['cells'][$vFila][7]);
                                            $vUnidad	= Codificar(str_replace("'", "''", trim($xls->sheets[$vHoja]['cells'][$vFila][8])));
                                            $vProducto	= Codificar(str_replace("'", "''", trim($xls->sheets[$vHoja]['cells'][$vFila][9])));
                                            $vPrecio	= doubleval($xls->sheets[$vHoja]['cells'][$vFila][10]);
                                            $vCadena.="['".$vNumero."', '".$vFecha."','".$vDNI."', '".$vApePat."', '".$vApeMat."', '".$vNombre."', '".$vCantidad."', '".$vUnidad."', '".$vProducto."', '".$vPrecio."'],";
                                        }
                                    }
                                }
                                if(trim($vCadena)!=''){
                                    $vCadena=substr($vCadena, 0, strlen($vCadena)-1);
                                    $vCadena="array[".$vCadena."]";
                                }else $vCadena="null";
                                
                                $oP=new Acceso_Boletaje_clsProcesoPorProcesar();
                                $intErrorDatabase=$oP->Registrar($vProcesoId, $vCadena, $sessCodigo, miIP());
                                if($intErrorDatabase>0)	$msgDatabase=$oP->getErrMsg($intErrorDatabase);

                                //END LECTURA DEL ARCHIVO
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }else{
                            $swUpload=false;
                            $msgUpload="El archivo ya existe";
                        }
                    }else{
                        $msgUpload="El directorio no existe: $vPath";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pUpload'] = ($swUpload?1:0);
            $jsondata['pUploadMsg'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pUpdate'] = $intErrorDatabase;
            $jsondata['pUpdateMsg'] = $msgDatabase;
            $jsondata['pPath'] = $vPath;
            echo json_encode($jsondata);
            break;
        case "probar":
            //BEGIN LECGTURA DEL ARCHIVO
            $vFileNameTmp="RegNotPer20121212004305.xls";

            $xls = new Spreadsheet_Excel_Reader();
            $xls->read($vFileNameTmp);

            $vHoja=0;
            $vFilIni=4;
            $vColIni=2;
            $vColIniNot=$vColIni+3;

            $vRows = $xls->sheets[$vHoja]['numRows'];
            $vCols = $xls->sheets[$vHoja]['numCols'];
            $vNombre=$xls->boundsheets[$vHoja]['name'];
            echo "CANTIDAD: ".count($xls->boundsheets);
            print_r($xls->boundsheets);

            $arrNombre=split("-", $vNombre);
            $vGraSec=intval($arrNombre[0]);
            $vPeriodo=intval($arrNombre[1]);

            $vCadena="";
            for ($vFila=$vFilIni;$vFila<=$vRows;$vFila++){
                $vAlumno = intval($xls->sheets[$vHoja]['cells'][$vFila][2]);
                for ($vCol=$vColIniNot;$vCol<=$vCols;$vCol++){
                    $vCurso	= trim($xls->sheets[$vHoja]['cells'][$vFilIni-2][$vCol]);
                    $vNota 	= trim($xls->sheets[$vHoja]['cells'][$vFila][$vCol]);
                    $vCadena.="['".$vGraSec."', '".$vPeriodo."','".$vAlumno."', '".$vCurso."', '".$vNota."'],";
                }
            }
            if(trim($vCadena)!=''){
                $vCadena=substr($vCadena, 0, strlen($vCadena)-1);
                $vCadena="array[".$vCadena."]";
            }else $vCadena="null";
            echo $vCadena;


            //echo "ROWS:".$vRows." COLS:".$vCols." ".$vCadena;
            break;
    }
?>