    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajProceso.php",
            data: ({miopcion:"read", nombre:$('#txtNombre').val(), empresaid:$('#cboEmpresa').val(), almacenid:$('#cboAlmacen').val(), count:$('#txtCount').val(), page:$('#txtPage').val() }),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.procesoid+'" procesoid="'+oRow.procesoid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.procesoid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.procesoid+'</td>';
            tblRow+='<td>'+oRow.nombre+'</td>';
            tblRow+='<td>'+oRow.empresa_nombre+'</td>';
            tblRow+='<td>'+oRow.almacen_nombre+'</td>';
            tblRow+='<td>'+oRow.estado_detalle+'</td>';
            tblRow+='<td><button type="button" class="btn btn-info btn-xs">'+oRow.cantidad_porprocesar+'</button></td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $("#lblMsg").html('<span class="badge badge-important">'+oData.oData.length+'</span> de <span class="badge badge-info">'+oData.oTotal+'</span> registros');
        $("#lblPage").html(oData.oPaginado);
        $('#tblContent').show();
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(4), #tblMain tbody tr td:nth-child(5), #tblMain tbody tr td:nth-child(6), #tblMain tbody tr td:nth-child(7)").css({'text-align':'left'});
        $("#tblMain tbody tr:nth-child(2n+1)").addClass("odd");
        $("#tblMain tbody tr:nth-child(2n+2)").addClass("even");
        $("#tblMain tbody tr td:nth-child(7)").css("background-color", "#EDEF7D");
        $("#tblMain tbody tr td:nth-child(8)").css("padding", "1px");
        $("#tblMain tbody tr td:nth-child(8) button").css({"width":"100%"});

        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e){ Editar($(this).parents("tr").attr('procesoid'), 0); });
        $("#tblMain tbody tr td:nth-child(8) button").addClass('HAND').click(function(e){ PorProcesar($(this).parents("tr").attr('procesoid')); });

        $("#tblMain tbody input:checkbox[name='chk[]']").click(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
        $("#lblPage li a[page]").click(function(e){ $('#txtPage').val($(this).attr('page')); Show();});
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+$("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon('trash')+' Eliminar registros',
                    className: "btn-success",
                    callback: function(){
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajProceso.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}}
                        });	
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });
    }
    function Cerrar(){ $("#oEdit").hide().html(""); }
    function Editar(vProcesoId, swNew){ $("#oEdit").show().html("<iframe src='ProcesoEdit.php?procesoid="+vProcesoId+"&swnew="+swNew+"&empresaid="+$("#cboEmpresa").val()+"&almacenid="+$("#cboAlmacen").val()+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function PorProcesar(vProcesoId){ $("#oEdit").show().html("<iframe src='ProcesoPorProcesar.php?procesoid="+vProcesoId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Editar(0, 1);});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){ $("#txtPage").val(1); Show();}).click();
        $("#txtNombre").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){ e.preventDefault(); $("#btnRefresh").click(); }});
        $("#txtCount, #cboEmpresa, #cboAlmacen").change(function(e){$("#btnRefresh").click();});
    });