<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu=array("CAT-PRODUCTO"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PRODUCTOS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_number.php"); ?>
        <? include(INTERFAZ."/php/head_fancy.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsKardex.js" ></script>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/producto.js?20180201"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnAdd()?><?=btnDelete()?><?=btnRefresh()?><?=getTitle("ADMINISTRACION DE PRODUCTOS")?>
        </div>
        <div id="divSearch" class="BORDER_B" style="height: 100px;">
            <div class="float-left">
                <table>
                    <tbody>
                        <tr>
                            <td>
                                <?
                                $oC= new Acceso_Catalogo_clsCategoria();
                                $rs=$oC->Leer();
                                $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                echo getSelect($arrAux, "cboCategoria", "categoriaid", "nombre", 0, 'form-control', "width:250px;", "-1", "Todas las categorias", true);
                                ?>
                            </td>
                            <td>
                                <?
                                $oM= new Acceso_clsMarca();
                                $rs=$oM->Leer();
                                $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                echo getSelect($arrAux, "cboMarca", "marcaid", "nombre", 0, 'form-control', "width:250px;", "-1", "Todas las marcas", true);
                                ?>
                            </td>
                            <td>
                                <?
                                $arrAux=array();
                                $arrAux[]=array("codigo"=>'CONSTOCK', "nombre"=>'CON STOCK');
                                $arrAux[]=array("codigo"=>'SINSTOCK', "nombre"=>'SIN STOCK');
                                $arrAux[]=array("codigo"=>'STOCKNEGATIVO', "nombre"=>'STOCK NEGATIVO');
                                echo getSelect($arrAux, "cboStock", "codigo", "nombre", '', 'form-control', "width:250px;", "", "STOCK", true);
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <?=getSelect(array(), "cboSubCategoria", "", "", 0, 'form-control', "width:250px;", "-1", "Todas las subcategorias", true);?>
                            </td>
                            <td>
                                <?
                                $oU= new Acceso_clsUnidadMedida();
                                $rs=$oU->Leer();
                                $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                echo getSelect($arrAux, "cboUnidadMedida", "unidadmedidaid", "nombre", 0, 'form-control', "width:250px;", "-1", "Todas las unidades", true);
                                ?>
                            </td>
                            <td>
                                <?
                                $arrAux=array();
                                $arrAux[]=array("codigo"=>'Y', "nombre"=>'SOLO ACTIVOS');
                                $arrAux[]=array("codigo"=>'N', "nombre"=>'SOLO ANULADOS');
                                echo getSelect($arrAux, "cboEstado", "codigo", "nombre", '', 'form-control', "width:250px;", "", "ESTADO", true);
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <?
                                $oL= new Acceso_clsLinea();
                                $rs=$oL->Leer();
                                $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                echo getSelect($arrAux, "cboLinea", "lineaid", "nombre", 0, 'form-control', "width:250px;", "-1", "Todas las lineas", true);
                                ?>
                            </td>
                            <td><?= getInputText("txtNombre", "Buscar producto", "", 0, "form-control", "max-width:250px;")?></td>
                            <td></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px;">
                <form id="frmPanel" method="post" action="#">
                    <input type="hidden" value="1" name="txtPage" id="txtPage">
                    <input type="hidden" value="" name="orderby" id="orderby" />
                    <table width="100%" id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="30px">&nbsp;</th>
                                <th width="30px"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                <th width="50px" orderby="productoid">ID<span o="down" t="n"></span></th>
                                <th width="50px"></th>
                                <th width="35px"></th>
                                <th class="left" orderby="nombre">NOMBRE<span o="down" t="a"><?=getIcon("sort-by-alphabet")?></span></th>
                                <th class="left">SUBCATEGORIA</th>
                                <th width="70px" orderby="stock">STOCK<span o="down" t="n"></span></th>
                                <th width="70px" orderby="precio_com">COMPRA<span o="down" t="n"></span></th>
                                <th width="70px" orderby="precio_va">A<span o="down" t="n"></span></th>
                                <th width="70px" orderby="precio_vb">B<span o="down" t="n"></span></th>
                                <th width="20px"></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T" style="height: 45px; padding: 5px">
            <div class="float-left">
                <div class="float-left" id="lblMsg" style="padding: 5px"></div>
            </div>
            <div class="float-right">
            	<div class="float-left" id="lblPage"></div>
            	<div class="float-right" style="padding-left:15px"><? echo ShowSelectPage(100); ?></div>
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border: 0px; z-index: 9999999;"></div>
    </body>
</html>