<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PROJECT"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    $array=$_GET;

    $vFotoId=intval($array['fotoid']);
    
    $oFoto=new Acceso_clsProductoFoto();
    $oPro=new Acceso_clsProducto();
    
    $rowImage=$oFoto->getROW($vFotoId);
    $vProductoId=intval($rowImage['productoid']);
    $vFileName=trim($rowImage['nombre']);
    $rowProducto=$oPro->getROW($vProductoId);
    
    $vPath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/";
    $oFTP=new FTP();
    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    $swExiste=false; $vW=0; $vH=0;
    if ($vFileName!=""){
        $swExiste=$oFTP->File_Exists($vPath, $vFileName);
        if($swExiste){
            $arrData=$oFTP->Dimensions($vPath.$vFileName);
            $vW=intval($arrData['width']);
            $vH=intval($arrData['height']);
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ROTAR FOTO DEL PRODUCTO</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_number.php"); ?>
        <? include("../php/head_crop.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/productofotorotate.js"></script>
    </head>
    <body>
        <div id="divHeader"><?=getTitle("ROTAR IM&Aacute;GEN")?><?=btnClose()?></div>
        <div id="divTit" style="height:36px; padding:2px;" class="BORDER_B BG1">
            <div class="float-left">
                <div class="<?=clsInputGroup()." ".clsBtnGroup()?>">
                    <?=InputGroupAddOn("", "", "", "Ancho:")?><?=InputGroupAddOn("lblWidth", "width:60px; color: #f35626; font-weight: bold;", "", intval($rowImage['width'])."px")?>
                    <?=InputGroupAddOn("", "", "", "Alto:")?><?=InputGroupAddOn("lblHeight", "width:60px; color: #f35626; font-weight: bold;", "", intval($rowImage['height'])."px")?>
                    <?=InputGroupAddOn("", "", "", "Tama&ntilde;o:")?><?=InputGroupAddOn("lblSize", "width:60px; color: #0033CC; font-weight: bold;", "", FormatSizeFile(intval($rowImage['size'])))?>
                    <?=bWarning("btnGL", "Girar a la izquierda", "arrow-left")?><?=bInfo("btnGR", "Girar a la derecha", "arrow-right")?><?=bDefault("btnDown", "Descargar", "download")?>
                </div>
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:5px">
                <form id="frmPanel" style="width:100%; height:100%;">
                    <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                    <input type="hidden" value="<?=$vFotoId?>" name="fotoid" id="fotoid">
                    <input type="hidden" value="<?=$vProductoId?>" name="productoid" id="productoid">
                    <input type="hidden" name="filename" id="filename" value="<?=$vFileName?>">
                    <?
                    $vStyleSize="";
                    if($swExiste){
                        if($vW>0 && $vH>0){
                            $vStyleSize='height:'.$vH.'px; width:'.$vW.'px; min-height:'.$vH.'px; min-width:'.$vW.'px;';
                        }
                        ?>
                        <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/".$vFileName."?".trim($rowImage['lastchange'])?>" filename="<?=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/".$vFileName?>" style="<?=$vStyleSize?>" id="btnRotate">
                        <?
                    }
                    ?>
                </form>
            </div>
        </div>
    </body>
</html>