<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu=array("CAT-PRODUCTO"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $array=$_GET;
    $vProductoId=intval($array['productoid']);
    $vEmpresaId=intval($array['empresaid']);
    
    $oP=new Acceso_clsProducto();
    $rowPro=$oP->getROW($vProductoId);

    $oE= new Acceso_clsPermisos_Empresa();
    $rs=$oE->Empresas($sessCodigo);
    $arrEmpresas=array(); if($rs)$arrEmpresas=$rs->fetchAll(PDO::FETCH_ASSOC);
    
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PRODUCTO - PRECIOS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsKardex.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/productoprecios.js?20170930001"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnRefresh()?><?=getTitle("PRECIOS: ".$rowPro['nombre'].(trim($rowPro['presentacion'])!=''?' / '.trim($rowPro['presentacion']):''))?><?= btnClose()?>
        </div>
        <div id="divTit" class="BORDER_B">
            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                <?
                echo getSelect($arrEmpresas, "cboEmpresa", "empresaid", "nombre", $vEmpresaId, 'form-control', "width:300px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                ?>
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px;">
                <form id="frmPanel" method="post" action="#">
                    <input type="hidden" value="<?=$vProductoId?>" id="productoid" name="productoid">
                    <table width="100%" id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="30px"><input type="checkbox" name="chkAll" id="chkAll"></th>
                                <th class="left">ZONA</th>
                                <th class="left">ALMACEN</th>
                                <th width="70px">STOCK</th>
                                <th width="60px">MIN</th>
                                <th width="60px">MAX</th>
                                <th width="100px">PRECIO A</th>
                                <th width="80px"></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T standard" style="padding:4px;">
            <div class="float-left">
                <div class="<?= clsBtnGroup()?>" id="objZona"></div>
            </div>
            <div class="float-right">
            	<div class="float-right" id="lblMsg"></div>
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border: 0px; z-index: 9999999;"></div>
    </body>
</html>