<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu=array("CAT-PRODUCTO"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $array=$_GET;
    $vCambiarPrecioId=intval($array['id']);
    $vProductoId=intval($array['productoid']);
    $vAlmacenId=intval($array['almacenid']);
    $deDonde=trim($array['dedonde']);

    $oP=new Acceso_clsProducto();
    $oA=new Acceso_clsAlmacen();
    $oPA=new Acceso_clsProductoAlmacen();
    $oCP=new Acceso_Catalogo_clsCambiarPrecios();
    
    $vCambiarPrecioEstado=-1;
    if($vCambiarPrecioId>0){
        $rowCamPre=$oCP->getROW($vCambiarPrecioId);
        $vProductoId=intval($rowCamPre['productoid']);
        $vAlmacenId=intval($rowCamPre['almacenid']);
        $vCambiarPrecioEstado=intval($rowCamPre['estado']);
    }

    $rowPro=$oP->getROW($vProductoId);
    $rowAlm=$oA->getROW($vAlmacenId);
    $rowProAlm=$oPA->getROW($vProductoId, $vAlmacenId, date('Y'));
    
    $vDecPrecio=2;
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PRODUCTO - CAMBIAR PRECIO</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsKardex.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/productoprecioscambiar.js?20170922001"></script>
    </head>
    <body onload="$('#txtPrecioVA').select().focus();">
        <div id="divHeader">
            <?=getTitle("CAMBIAR PRECIOS")?><?= btnClose()?>
        </div>
        <div id="divTit" class="BORDER_B" style="padding: 5px; height: 32px;">
            <div class="float-left"><strong class="BLUE" style="font-size: 14px;"><?= Mostrar_Dato($rowPro['nombre'].(trim($rowPro['presentacion'])!=''?' / '.trim($rowPro['presentacion']):''))?></strong></div>
            <div class="float-right"><strong class="RED" style="font-size: 14px;"><?= Mostrar_Dato($rowAlm['zona_nombre']." / ".$rowAlm['nombre'])?></strong></div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px;">
                <form id="frmPanel" method="post" action="#">
                    <input type="hidden" value="<?=$vProductoId?>" id="productoid" name="productoid">
                    <input type="hidden" value="<?=$vAlmacenId?>" id="almacenid" name="almacenid">
                    <input type="hidden" value="<?=$vCambiarPrecioId?>" id="cambiarprecioid" name="cambiarprecioid">
                    <input type="hidden" name="decpre" id="decpre" value="<?=$vDecPrecio?>">
                    <input type="hidden" value="<?=$deDonde?>" id="dedonde" name="dedonde">
                    <table id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="150px"></th>
                                <th width="100px">CATALOGO</th>
                                <th width="100px">ANTERIOR</th>
                                <th width="100px">NUEVO</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <th class="right">STOCK MINIMO:</th>
                                <td><strong class="RED"><?=number_format(intval($rowPro['stock_min']), 0)?></strong></td>
                                <td><strong class="BLUE"><?=number_format(intval($rowProAlm['stock_min']), 0)?></strong></td>
                                <td><strong><?= getInputText("txtStockMin", "", number_format(intval($rowProAlm['stock_min']), 0), 0, "form-control standard-grid")?></td>
                            </tr>
                            <tr>
                                <th class="right">STOCK MAXIMO:</th>
                                <td><strong class="RED"><?=number_format(intval($rowPro['stock_max']), 0)?></strong></td>
                                <td><strong class="BLUE"><?=number_format(intval($rowProAlm['stock_max']), 0)?></strong></td>
                                <td><?= getInputText("txtStockMax", "", number_format(intval($rowProAlm['stock_max']), 0), 0, "form-control standard-grid")?></td>
                            </tr>
                            <tr>
                                <th class="right">PRECIO:</th>
                                <td><strong class="RED"><?=number_format(doubleval($rowPro['precio_va']), 2)?></strong></td>
                                <td><strong class="BLUE"><?=number_format(doubleval($rowProAlm['precio_va']), 2)?></strong></td>
                                <td style="background-color: #FFC"><?= getInputText("txtPrecioVA", "", number_format(doubleval($rowProAlm['precio_va']),2), 0, "form-control standard-grid", "background-color:transparent;")?></td>
                            </tr>
                            <tr>
                                <th class="right">B:</th>
                                <td><strong class="RED"><?=number_format(intval($rowPro['precio_vb']), 2)?></strong></td>
                                <td><strong class="BLUE"><?=number_format(intval($rowProAlm['precio_vb']), 2)?></strong></td>
                                <td><?= getInputText("txtPrecioVB", "", number_format(doubleval($rowProAlm['precio_vb']),2), 0, "form-control standard-grid")?></td>
                            </tr>
                            <tr>
                                <th class="right">C:</th>
                                <td><strong class="RED"><?=number_format(doubleval($rowPro['precio_vc']), 2)?></strong></td>
                                <td><strong class="BLUE"><?=number_format(doubleval($rowProAlm['precio_vc']), 2)?></strong></td>
                                <td><?= getInputText("txtPrecioVC", "", number_format(doubleval($rowProAlm['precio_vc']),2), 0, "form-control standard-grid")?></td>
                            </tr>
                            <tr>
                                <th class="right">D:</th>
                                <td><strong class="RED"><?=number_format(doubleval($rowPro['precio_vd']), 2)?></strong></td>
                                <td><strong class="BLUE"><?=number_format(doubleval($rowProAlm['precio_vd']), 2)?></strong></td>
                                <td><?= getInputText("txtPrecioVD", "", number_format(doubleval($rowProAlm['precio_vd']),2), 0, "form-control standard-grid")?></td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="3"><?= bCheckDefault("chkRecordar", "chkRecordar", "Recordar este cambio para revertirlo", "", "", "", "", false)?></td>
                                <td style="text-align: center; padding: 5px"><?=bSuccess("btnSave", "Guardar cambios", "ok", "", "", "", ($vCambiarPrecioId>0?($vCambiarPrecioEstado!=1):false))?></td>
                            </tr>
                            <tr>
                                <td colspan="3"><strong>ULTIMO PRECIO  DE VENTA: <span class="badge badge-primary"><?=number_format(doubleval($rowProAlm['ultimo_precio_venta']), 2)?></span></strong></td>
                                <td style="text-align: center; padding: 5px"></td>
                            </tr>
                            <tr>
                                <td colspan="3"></td>
                                <td style="text-align: center; padding: 5px"><?= bWarning("btnKardex", "Mostrar kardex", "list")?></td>
                            </tr>
                        </tfoot>
                    </table>
                </form>
            </div>
        </div>
    </body>
</html>