<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu=array("CAT-PRODUCTO"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $array=$_GET;
    $vProductoId=intval($array['productoid']);
    $vEmpresaId=intval($array['empresaid']);
    $vArrAlm=array(); if(isset($array['almacenid']))$vArrAlm=$array['almacenid'];
    $vAlmacenId=intval($vArrAlm[0]);

    $oP=new Acceso_clsProducto();
    $oE=new Acceso_clsEmpresa();
    $oPA=new Acceso_clsProductoAlmacen();
    $oCP=new Acceso_Catalogo_clsCambiarPrecios();
    
    $rowPro=$oP->getROW($vProductoId);
    $rowEmp=$oE->getROW($vEmpresaId);
    
    $rowProAlm=$oPA->getROW($vProductoId, $vAlmacenId, date('Y'));
    
    $vDecPrecio=2;
    
    $oEmpAlm=new Acceso_clsEmpresaAlmacen();
    $rsAlm=$oEmpAlm->LeerAlmacenes($vEmpresaId);
    $arrAlmacen=array(); if($rsAlm) $arrAlmacen=$rsAlm->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PRODUCTO - CAMBIAR PRECIO</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsKardex.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols1.js"></script>
        <script language="javascript" type="text/javascript" src="js/productoprecioscambiarvarios.js?20170922001"></script>
    </head>
    <body onload="$('#txtPrecioVA').select().focus();">
        <form id="frmPanel" method="post" action="#">
            <input type="hidden" value="<?=$vProductoId?>" id="productoid" name="productoid">
            <input type="hidden" value="<?=$vAlmacenId?>" id="almacenid" name="almacenid">
            <input type="hidden" name="decpre" id="decpre" value="<?=$vDecPrecio?>">
            <input type="hidden" value="<?=$deDonde?>" id="dedonde" name="dedonde">
            <div id="divHeader">
                <?=btnRefresh()?><?=getTitle("CAMBIAR PRECIOS")?><?= btnClose()?>
            </div>
            <div id="divTit" class="BORDER_B" style="padding: 5px; height: 32px;">
                <div class="float-left"><strong class="BLUE" style="font-size: 14px;"><?= Mostrar_Dato($rowPro['nombre'].(trim($rowPro['presentacion'])!=''?' / '.trim($rowPro['presentacion']):''))?></strong></div>
                <div class="float-right"><strong class="RED" style="font-size: 14px;"><?= Mostrar_Dato($rowEmp['nombre'])?></strong></div>
            </div>
            <div id="divMain">
                <div id="divGrid" style="overflow: hidden; padding: 2px; ">
                    <div id="divLeft" style="width:250px; overflow: hidden;">
                        <div id="divLeftMain">
                            <table width="100%" class="standard" id="tblAlmacen">
                                <thead>
                                    <tr class="title1">
                                        <th width="30px"><input type="checkbox" name="chkAll" id="chkAll"></th>
                                        <th class="left">ALMACEN</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?
                                    foreach($arrAlmacen as $iAlm=>$rowAlm){
                                        $vAlmId=intval($rowAlm['almacenid']);
                                        $swExiste=in_array($vAlmId, $vArrAlm);
                                        ?>
                                        <tr>
                                            <td><input type="checkbox" value="<?=$vAlmId?>" name="chk[]" id="chk<?=$vAlmId?>" <?=($swExiste?'checked':'')?> ></td>
                                            <td><label for="chk<?=$vAlmId?>"><?= Mostrar_Dato($rowAlm['nombre'])?></label></td>
                                        </tr>
                                        <?
                                    }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div id="divRight" style="overflow: hidden;">
                        <div id="divRightMain">
                            <table id="tblMain" class="standard">
                                <thead>
                                    <tr class="title1">
                                        <th width="150px"></th>
                                        <th width="120px">NUEVO</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr class="hidden">
                                        <th class="right">STOCK MINIMO:</th>
                                        <td><strong><?= getInputText("txtStockMin", "", number_format(intval($rowProAlm['stock_min']), 0), 0, "form-control standard-grid")?></td>
                                    </tr>
                                    <tr class="hidden">
                                        <th class="right">STOCK MAXIMO:</th>
                                        <td><?= getInputText("txtStockMax", "", number_format(intval($rowProAlm['stock_max']), 0), 0, "form-control standard-grid")?></td>
                                    </tr>
                                    <tr>
                                        <th class="right">PRECIO:</th>
                                        <td style="background-color: #FFC"><?= getInputText("txtPrecioVA", "", number_format(doubleval($rowProAlm['precio_va']),2), 0, "form-control standard-grid", "background-color:transparent;")?></td>
                                    </tr>
                                    <tr class="hidden">
                                        <th class="right">B:</th>
                                        <td><?= getInputText("txtPrecioVB", "", number_format(doubleval($rowProAlm['precio_vb']),2), 0, "form-control standard-grid")?></td>
                                    </tr>
                                    <tr class="hidden">
                                        <th class="right">C:</th>
                                        <td><?= getInputText("txtPrecioVC", "", number_format(doubleval($rowProAlm['precio_vc']),2), 0, "form-control standard-grid")?></td>
                                    </tr>
                                    <tr class="hidden">
                                        <th class="right">D:</th>
                                        <td><?= getInputText("txtPrecioVD", "", number_format(doubleval($rowProAlm['precio_vd']),2), 0, "form-control standard-grid")?></td>
                                    </tr>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <td></td>
                                        <td style="padding-top: 5px; text-align: center;"><?=bSuccess("btnSave", "Guardar", "ok", "", "", "")?></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="padding-top:5px"><?= bCheckDefault("chkRecordar", "chkRecordar", "Recordar este cambio para revertirlo", "", "", "btn-sm", "", false)?></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>