<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oG=new Acceso_clsGrupo();
            $rs=$oG->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oG=new Acceso_clsGrupo();
            $oG->pNombre=Almacenar_Dato($array['txtNombre']);
            $oG->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oG->pEstado=isset($array['chkEstado']);
            $vGrupoId=intval($array['grupoid']);
            if (intval($array['swnew'])==1){
                $intError=$oG->Agregar($vGrupoId);
            }else{
                $intError=$oG->Modificar($vGrupoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oG->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oG=new Acceso_clsGrupo();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vGrupoId){
                    $intError=$oG->Eliminar($vGrupoId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oG->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vGrupoId=intval($array['grupoid']);

            $oG=new Acceso_clsGrupo();
            $intError=$oG->Cambiar_Estado($vGrupoId, $sessCodigo, miIP());

            $rowTipo=$oG->getROW($vGrupoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oG->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oG=new Acceso_clsGrupo();
            $vRpta=$oG->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>