<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vGrupoId=intval($array['grupoid']);
            $vLineaId=intval($array['lineaid']);
            $vCategoriaId=intval($array['categoriaid']);
            $vSubCategoriaId=intval($array['subcategoriaid']);
            $vMarcaId=intval($array['marcaid']);
            $vNombre=trim($array['nombre']);

            $oPG=new Acceso_clsProductoGrupo();
            $rs=$oPG->Leer($vGrupoId, $vLineaId, $vCategoriaId, $vSubCategoriaId, $vMarcaId, $vNombre);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "add":
            $vGrupoId=intval($array['grupoid']);
            $arrIDS=array(); if(isset($array['chk']))$arrIDS=$array['chk'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oPG=new Acceso_clsProductoGrupo();
            $intError=$oPG->Agregar($vGrupoId, $vArray, $sessCodigo, miIP());

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oPG->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $vGrupoId=intval($array['grupoid']);
            $arrIDS=array(); if(isset($array['chk']))$arrIDS=$array['chk'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oPG=new Acceso_clsProductoGrupo();
            $intError=$oPG->Eliminar($vGrupoId, $vArray, $sessCodigo, miIP());

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oPG->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "add-all":
            $vGrupoId=intval($array['grupoid']);

            $oPG=new Acceso_clsProductoGrupo();
            $intError=$oPG->AgregarTodos($vGrupoId, $sessCodigo, miIP());

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oPG->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        
        case "read-non-grupo":
            $vGrupoId=intval($array['grupoid']);
            $vLineaId=intval($array['lineaid']);
            $vCategoriaId=intval($array['categoriaid']);
            $vSubCategoriaId=intval($array['subcategoriaid']);
            $vMarcaId=intval($array['marcaid']);
            $vNombre=trim($array['nombre']);

            $oPG=new Acceso_clsProducto();
            $rs=$oPG->LeerNonGrupo($vGrupoId, $vLineaId, $vCategoriaId, $vSubCategoriaId, $vMarcaId, $vNombre);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>