<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oL=new Acceso_clsLinea();
            $rs=$oL->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oL=new Acceso_clsLinea();
            $oL->pNombre=Almacenar_Dato($array['txtNombre']);
            $oL->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $vLineaId=intval($array['lineaid']);
            if (intval($array['swnew'])==1){
                $intError=$oL->Agregar($vLineaId);
            }else{
                $intError=$oL->Modificar($vLineaId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oL->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oL=new Acceso_clsLinea();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vLineaId){
                    $intError=$oL->Eliminar($vLineaId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oL->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vLineaId=intval($array['lineaid']);

            $oL=new Acceso_clsLinea();
            $intError=$oL->Cambiar_Estado($vLineaId, $sessCodigo, miIP());

            $rowTipo=$oL->getROW($vLineaId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oL->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oL=new Acceso_clsLinea();
            $vRpta=$oL->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>