<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vAno=date('Y');
            $vNombre=trim($array['nombre']);
            $vLineaId=intval($array['lineaid']);
            $vCategoriaId=intval($array['categoriaid']);
            $vSubCategoriaId=intval($array['subcategoriaid']);
            $vMarcaId=intval($array['marcaid']);
            $vUnidadMedidaId=intval($array['unidadmedidaid']);
            $vStock=trim($array['stock']);
            $vEstado=trim($array['estado']);
            $vOrderBy=trim($array['orderby']);

            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;
            $vInicio = ($vPage-1) * $vCount;
            
            $oP=new Acceso_clsProducto();
            $rs=$oP->Leer($vInicio, $vCount, $vAno, $vNombre, 0, $vLineaId, $vSubCategoriaId, $vCategoriaId, $vMarcaId, $vUnidadMedidaId, $vStock, $vEstado, $vOrderBy);
            $vTotalFilas=$oP->Count($vAno, $vNombre, 0, $vLineaId, $vSubCategoriaId, $vCategoriaId, $vMarcaId, $vUnidadMedidaId, $vStock, $vEstado);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oData'] = $arrDatos;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oImages'] = IMAGES;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath'] = FTP_PATH;
            $jsondata['oDir'] = FTP_DIR.PATH_PRODUCTO_FOTOS."/";
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oP=new Acceso_clsProducto();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vProductoId){
                    $intError=$oP->Eliminar($vProductoId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oP->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vProductoId=intval($array['productoid']);

            $oP=new Acceso_clsProducto();
            $intError=$oP->Cambiar_Estado($vProductoId, $sessCodigo, miIP());

            $rowPro=$oP->getROW($vProductoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oP->getErrMsg($intError));
            $jsondata['Status'] = ($rowPro['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>