<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vEmpresaId=intval($array['empresaid']);
            $vProductoId=intval($array['productoid']);
            
            $oEmpAlm=new Acceso_clsEmpresaAlmacen();
            $oProAlm=new Acceso_clsProductoAlmacen();
            
            $rsAlm=$oEmpAlm->LeerAlmacenes($vEmpresaId);
            $rsPre=$oProAlm->Leer(date('Y'), $vProductoId);

            $arrDatos=array(); if($rsAlm) $arrDatos=$rsAlm->fetchAll(PDO::FETCH_ASSOC);
            $arrPreAux=array(); if($rsPre) $arrPreAux=$rsPre->fetchAll(PDO::FETCH_ASSOC);
            $arrPrecio=array(); foreach($arrPreAux as $i=>$row){ $arrPrecio[$row['almacenid']]=array("stock"=>$row['stock'], "stock_min"=>$row['stock_min'], "stock_max"=>$row['stock_max'], "precio_va"=>$row['precio_va'], "precio_vb"=>$row['precio_vb'], "precio_vc"=>$row['precio_vc'], "precio_vd"=>$row['precio_vd']); }

            $arrZona=array(); 
            foreach($arrDatos as $i=>$row){ 
                if(!isset($arrZona['ZONA'.$row['zonaid']])){
                    $arrZona['ZONA'.$row['zonaid']]=array("zonaid"=>$row['zonaid'], "nombre"=>$row['zona_nombre'], "abreviatura"=>$row['zona_abreviatura']);
                }
            }
            
            foreach($arrDatos as $i=>$row){
                $arrDatos[$i]['stock']=intval($arrPrecio[$row['almacenid']]['stock']);
                $arrDatos[$i]['stock_min']=intval($arrPrecio[$row['almacenid']]['stock_min']);
                $arrDatos[$i]['stock_max']=intval($arrPrecio[$row['almacenid']]['stock_max']);
                $arrDatos[$i]['precio_va']=doubleval($arrPrecio[$row['almacenid']]['precio_va']);
                $arrDatos[$i]['precio_vb']=doubleval($arrPrecio[$row['almacenid']]['precio_vb']);
                $arrDatos[$i]['precio_vc']=doubleval($arrPrecio[$row['almacenid']]['precio_vc']);
                $arrDatos[$i]['precio_vd']=doubleval($arrPrecio[$row['almacenid']]['precio_vd']);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oZona'] = $arrZona;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>