    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajGrupo.php",
            data: ({miopcion:"read"}),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.grupoid+'" grupoid="'+oRow.grupoid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.grupoid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.grupoid+'</td>';
            tblRow+='<td>'+oRow.nombre+'</td>';
            tblRow+='<td>'+oRow.abreviatura+'</td>';
            tblRow+='<td><button type="button" class="btn btn-xs '+(oRow.cantidad_productos>0?'btn-success':'btn-default')+'">'+getIcon('list')+' '+oRow.cantidad_productos+'</button></td>';
            tblRow+='<td><img src="'+oData.oImages+(oRow.estado?"/valido.gif":"/invalido.gif")+'" title="'+(oRow.estado?"Click para anular":"Click para activar")+'"></td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $('#lblMsg').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> registros');
        $('#tblContent').show();
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(4)").css({'text-align':'left'});
        $("#tblMain tbody tr td:nth-child(6)").css({'padding':'1px'});
        $("#tblMain tbody tr:nth-child(2n+1)").addClass("odd");
        $("#tblMain tbody tr:nth-child(2n+2)").addClass("even");

        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e){ Editar($(this).parents("tr").attr('grupoid'), 0); });

        $("#tblMain tbody tr td:nth-child(6) button").css({'width':'100%'}).attr('title', 'PRODUCTOS').click(function(e){ GrupoProductos($(this).parents("tr").attr('grupoid')); });

        $("#tblMain tbody input:checkbox[name='chk[]']").change(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
        $("#tblMain tbody tr td:nth-child(7) img").addClass('HAND').click(function(e){ 
            var vGrupoId=$(this).parents("tr").attr('grupoid');
            var vImg=$(this);
            $.ajax({
                type: "POST",
                dataType: 'json',
                timeout: 2000,
                global: false,
                url: "ajax/ajGrupo.php",
                data: ({miopcion:"change_status", grupoid:vGrupoId }),
                success: function(oRpta){ if(!oRpta.Err){ vImg.attr('src', oRpta.oImages+(oRpta.Status?'/valido.gif':'/invalido.gif'));  vImg.attr('title', (oRpta.Status?'Click para anular':'Click para activar')); }else{bootbox.alert(oRpta.Description)}; }
            });
        });
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+$("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon('trash')+' Eliminar registros',
                    className: "btn-success",
                    callback: function(){
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajGrupo.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{bootbox.alert(oRpta.Description);}}}
                        });	
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });
    }
    function Cerrar(){ $("#oEdit").hide().html(""); }
    function GrupoProductos(vGrupoId){ $("#oEdit").show().html("<iframe src='GrupoProductos.php?grupoid="+vGrupoId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Editar(vGrupoId, swNew){ $("#oEdit").show().html("<iframe src='GrupoEdit.php?grupoid="+vGrupoId+"&swnew="+swNew+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Editar(0, 1);});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){Show();}).click();
        $("#btnClose").click(function(e){parent.Cerrar();});
    });