    function Kardex(vAlmacenId){
        var oK=new clsKardex();
        oK.pProductoId=$('#productoid').val();
        oK.pAlmacenId=vAlmacenId;
        oK.Show("KARDEX");
    }
    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        $("#objZona").html("");
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajProductoPrecios.php",
            data: ({miopcion:"read", productoid:$('#productoid').val(), empresaid:$('#cboEmpresa').val() }),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr almacenid="'+oRow.almacenid+'">';				
            tblRow+='<td><input type="checkbox" name="chk[]" id="chk'+oRow.almacenid+'" zonaid="'+oRow.zonaid+'" value="'+oRow.almacenid+'"></td>';
            tblRow+='<td><label for="chk'+oRow.almacenid+'">'+oRow.zona_nombre+'</label></td>';
            tblRow+='<td><label for="chk'+oRow.almacenid+'">'+oRow.nombre+'</label></td>';
            tblRow+='<td tipo="'+(oRow.stock>0?'CS':(oRow.stock<0?'SS':''))+'">'+(oRow.stock!=0?oRow.stock:'')+'</td>';
            tblRow+='<td>'+(oRow.stock_min!=0?oRow.stock_min:'')+'</td>';
            tblRow+='<td>'+(oRow.stock_max!=0?oRow.stock_max:'')+'</td>';
            tblRow+='<td>'+(oRow.precio_va>0?$.formatNumber(oRow.precio_va, {format:"#,##0.00", locale:"us"}):'')+'</td>';
            tblRow+='<td><button type="button" class="btn btn-success btn-xs" id="btnCambiar">Cambiar</button></td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $('#lblMsg').html('Existen <span class="badge badge-primary">'+oData.oData.length+'</span> tiendas');
        $('#tblContent').show();
        tblRow='';
        $.each(oData.oZona, function(oInd, oRow){
            tblRow+='<label for="chkZona'+oRow.zonaid+'" class="btn btn-default" title="'+oRow.nombre+'"><input type="checkbox" value="'+oRow.zonaid+'" name="chkZona[]" id="chkZona'+oRow.zonaid+'" style="padding:0px; margin:0px;"> '+oRow.abreviatura+'</label>';
        });
        tblRow+='<button type="button" class="btn btn-success" id="btnCambiarVarios">'+getIcon('th-list')+' Cambiar varios precios</button>';
        $("#objZona").html(tblRow);
        $("#objZona input:checkbox").change(function(e){
            if(!$(this).is(':checked')) $(this).parent().removeClass('btn-warning'); else $(this).parent().addClass('btn-warning');
            $("#tblMain tbody input:checkbox[zonaid='"+$(this).val()+"']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[zonaid='"+$(this).val()+"']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[zonaid='"+$(this).val()+"']:checked").parent().parent().addClass('ROW_SELECTED2');
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
        }).change();
        $("#objZona #btnCambiarVarios").click(function(e){ CambiarVarios(); });
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(2), #tblMain tbody tr td:nth-child(3)").css({'text-align':'left'});
        $("#tblMain tbody tr td:nth-child(4), #tblMain tbody tr td:nth-child(7)").css({'font-weight':'bold'});
        $("#tblMain tbody tr td:nth-child(8)").css({'padding':'2px'});
        $("#tblMain tbody label").addClass('HAND').css({'padding':'0px', 'margin':'0px'});

        $("#tblMain tbody input:checkbox[name='chk[]']").change(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
        
        $("#tblMain tbody tr td:nth-child(4)").addClass('HAND').click(function(e){ Kardex($(this).parents("tr").attr('almacenid')); });
        $("#tblMain tbody tr td:nth-child(7)").addClass('HAND').click(function(e){ Cambiar($(this).parents("tr").attr('almacenid')); });
        
        $("#tblMain tbody tr td[tipo='SS']").css({"background-color":"#FA5858", "color":"#FFFFFF"});
        $("#tblMain tbody tr td[tipo='CS']").css({"background-color":"#2E9AFE", "color":"#FFFFFF"});
        
        $("#tblMain tbody button[id='btnCambiar']").css({'width':'100%'}).attr('title', 'Cambiar precio').click(function(e){ Cambiar($(this).parents("tr").attr('almacenid')); });
    }
    function Cambiar(vAlmacenId){ $("#oEdit").show().html("<iframe src='ProductoPreciosCambiar.php?productoid="+$("#productoid").val()+"&almacenid="+vAlmacenId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function CambiarVarios(){
        var vAlm="";
        $("#tblMain tbody input:checkbox[name='chk[]']:checked").each(function(oIndex){ vAlm+="&almacenid[]="+$(this).val(); });
        $("#oEdit").show().html("<iframe src='ProductoPreciosCambiarVarios.php?productoid="+$("#productoid").val()+"&empresaid="+$("#cboEmpresa").val()+vAlm+"' frameborder='0' width='100%' height='100%'></iframe>"); 
    }
    function Cerrar(){ $("#oEdit").hide().html(""); }
    $(function(){
        $("#btnRefresh").click(function(e){ Show(); }).click();
        $("#btnClose").click(function(e){ parent.Cerrar(); });
        $("#cboEmpresa").change(function(e){ Show(); });
        $("#btnClose").click(function(e){ parent.Cerrar(); });
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
    });