<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="CMS_AUTOREPLY"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vAutoReplyId=intval($array['autoreplyid']);
    $swNew=(intval($array['swnew'])==1);

    $rowAutoReply=array("autoreplyid"=>0, "process"=>'', "subject"=>'', "fromname"=>'', "content"=>'', "mailingid"=>0, "status"=>true);
    $oA=new Access_clsAutoReply();

    if (!$swNew) {
        $rowAutoReply=$oA->getROW($vAutoReplyId);
    }
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>Editar AutoReply</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_editor.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsDocs.js" ></script>
        <script language="javascript" type="text/javascript" src="js/autoreplyedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
    </head>
    <body onLoad="$('#txtProcess').focus();">
        <div id="divHeader">
            <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." CONTENIDO DEL CORREO")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="autoreplyid" id="autoreplyid" value="<?=$vAutoReplyId?>">
                    <input type="hidden" name="sd" id="sd" value="">
                    
                    <?
                    $oServer= new Access_clsMailing();
                    $rs=$oServer->Read();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboMailing", "SERVIDOR", "mailingid", "mailer", intval($rowAutoReply['mailingid']));
                    
                    getFormGroupText("txtProcess", "PROCESO ID", $rowAutoReply['process'], 50);
                    getFormGroupText("txtSubject", "ASUNTO", $rowAutoReply['subject'], 250);
                    getFormGroupText("txtFromName", "DE", $rowAutoReply['fromname'], 250);
                    getFormGroupTextArea("txtContent", "CONTENIDO", $rowAutoReply['content']);
                    getFormGroupBegin("ARCHIVOS");
                    ?>
                    <div class="btn-group">
                        <?=bInfo("btnFiles", "Galer&iacute;a de documentos")?>
                        <? if(!$swNew){?><?=bRefresh("btnDocsRef")?><? } ?>
                    </div>
                    <p><div id="objFiles"></div></p>
                    <p><div id="custom-queue"></div><input type="file" name="txtFile" id="txtFile" style="width:100%"></p>
                    <?
                    getFormGroupEnd();
                    getFormGroupCheck("chkStatus", "ACTIVO", $rowAutoReply['status']);
                    ?>
                    
                </form>
            </div>
        </div>
    </body>
</html>
<?
if(!$swNew){
    //BEGIN FILES
    $rs=$oA->Docs($vAutoReplyId);

    $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

    foreach($arrData as $i=>$rowGallery){
        $vFileName=trim($rowGallery['name']);
        $arrData[$i]['existe']=0;
        $arrData[$i]['extension']='';
        if($vFileName!=''){
            $arrData[$i]['existe']=1;					
            $arrList=explode(".", $vFileName);
            $vExt=strtolower($arrList[count($arrList)-1]);
            $arrData[$i]['size']=FormatSizeFile($arrData[$i]['size']);
            $arrData[$i]['extension']=$vExt;
        }
    }
    
    $jsondata['oData'] = $arrData;
    $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_DOCS."/";
    $jsondata['oPath_FTP'] = FTP_PATH;
    $jsondata['oDomain'] = FTP_DOMAIN;
    $jsondata['oPath_Icons'] = HERRAMIENTAS_PHP_WEB."/iconos";
    $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
    $jsondata['oImages'] = IMAGES;
    ?>
    <script>
        ShowGridFiles(<?=json_encode($jsondata)?>);
    </script>
    <?
    //END FILES
}
?>
<script type="text/javascript">
    $(function(){
        $('#txtFile').uploadifive({
            'uploadScript'      : 'ajax/ajAutoReply.php',
            'multi'          	: true,
            'auto'           	: true,
            'buttonText'	: 'Examinar',
            'queueID'        	: 'custom-queue',
            'formData'  	: {miopcion:'upload', session:"<?=session_id()?>"},
            'removeCompleted'	: true,
            'onAddQueueItem'    : function(oFile){ swUpdate=false; },
            'onUploadComplete'  : function(oFile, oData){
                try{
                    var oData= jQuery.parseJSON(oData);
                    if(oData){
                        ShowGridFiles(oData);
                    }else{
                        bootbox.alert(oData);
                    }
                    swUpdate=true;
                }catch(e){
                    bootbox.alert(oData);
                }
            },
            'onQueueComplete' : function(uploads){}
        });
    });
</script>