<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");
	
    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PHOTOGALLERY"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    $array=$_GET;

    $vGalleryId=intval($array['galleryid']);

    $oP=new Access_clsGallery();
    $rowGallery=$oP->getROW($vGalleryId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Gallery Images Upload</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <div id="divMain">
            <div id="divGrid" style="padding:20px">
                <form id="frmPanel">
                    <input type="hidden" value="<?=$vGalleryId?>" name="galleryid" id="galleryid">
                    <p>
                        <b>Importante:</b>
                        <ul style="line-height:22px;">
                            <li>El archivo no debe exceder de <span class="badge badge-success"><?=FormatSizeFile(SIZE_IMAGES_GALLERY*1024)?></span> de tama&ntilde;o.</li>
                            <li>Solo se esta permitido subir imagenes de las siguientes extensiones: <?=ShowArrBadge($EXT_IMAGES_GALLERY, 'badge-primary')?></li>
                        </ul>
                    </p>
                    <p>
                        <div id="custom-queue"></div>
                        <input type="file" name="txtImage" id="txtImage">
                    </p>
                </form>
            </div>
        </div>
	</body>
</html>
<script type="text/javascript">
    $(function() {
        $('#txtImage').uploadifive({
            'uploadScript'	: 'ajax/ajGalleryImagesUpload.php',
            'fileSizeLimit' 	: <?=intval(SIZE_IMAGES_GALLERY)?>,
            'fileType'        	: 'image',
            'multi'          	: true,
            'auto'           	: true,
            'buttonText'	: 'Examinar',
            'queueID'        	: 'custom-queue',
            'formData'  	: {'miopcion':'upload', galleryid:<?=$vGalleryId?>, session:"<?=session_id()?>" },
            'removeCompleted'	: true,
            'onUploadComplete': function(oFile, oData){
                try{
                    var oRpta = jQuery.parseJSON(oData);
                    if(oRpta.pResult){
                        parent.Show(); 
                    }else{
                        bootbox.alert(oRpta.pMessage);
                    }
                }catch(e){
                    bootbox.alert(oData);
                }
            }
        });
    });
</script>