<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PROJECT"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vProjectId=intval($array['projectid']);
    $swNew=(intval($array['swnew'])==1);
    $vProjectCategoryId=intval($array['projectcategoryid']);

    $rowProject=array("projectid"=>0, "name"=>'', "description"=>'', "content"=>'', "projectcategoryid"=>$vProjectCategoryId, "status"=>true);
    $oP=new Access_clsProject();

    if (!$swNew) {
        $rowProject=$oP->getROW($vProjectId);
    }
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>Edit Project</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_editor.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsDocs.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/projectedit.js"></script>
    </head>
    <body onLoad="$('#cboProjectCategory').focus();">
        <div id="divHeader">
            <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." PROYECTO")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal form-small">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="projectid" id="projectid" value="<?=$vProjectId?>">
                    <input type="hidden" name="sd" id="sd" value="">
                    
                    <?
                    $oT= new Access_clsProjectCategory();
                    $rs=$oT->Read();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboProjectCategory", "CATEGORIA", "projectcategoryid", "name", intval($rowProject['projectcategoryid']));
                    
                    getFormGroupText("txtName", "NOMBRE", $rowProject['name'], 50);
                    getFormGroupTextArea("txtDescription", "DESCRIPCI&Oacute;N", $rowProject['description'], "Ingrese una descripcion", "height:50px;");
                    getFormGroupTextEditor("txtContent", "CONTENIDO", $rowProject['content']);
                    getFormGroupText("txtUrl", "URL", $rowProject['url'], 50);
                    getFormGroupBegin("ARCHIVOS");
                    ?>
                    <div class="btn-group">
                        <?=bInfo("btnFiles", "Galer&iacute;a de documentos")?>
                        <? if(!$swNew){?><?=bRefresh("btnDocsRef")?><? } ?>
                    </div>
                    <p><div id="objFiles"></div></p>
                    <p><div id="custom-queue"></div><input type="file" name="txtFile" id="txtFile" style="width:100%"></p>
                    <?
                    getFormGroupEnd();
                    
                    getFormGroupCheck("chkStatus", "ACTIVO", $rowProject['status']);
                    ?>
                    
                </form>
            </div>
        </div>
    </body>
</html>
<?
if(!$swNew){
    //BEGIN FILES
    $rs=$oP->Docs($vProjectId);

    $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

    foreach($arrData as $i=>$rowGallery){
        $vFileName=trim($rowGallery['name']);
        $arrData[$i]['existe']=0;
        $arrData[$i]['extension']='';
        if($vFileName!=''){
            $arrData[$i]['existe']=1;					
            $arrList=explode(".", $vFileName);
            $vExt=strtolower($arrList[count($arrList)-1]);
            $arrData[$i]['size']=FormatSizeFile($arrData[$i]['size']);
            $arrData[$i]['extension']=$vExt;
        }
    }
    
    $jsondata['oData'] = $arrData;
    $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";
    $jsondata['oPath_FTP'] = FTP_PATH;
    $jsondata['oDomain'] = FTP_DOMAIN;
    $jsondata['oPath_Icons'] = HERRAMIENTAS_PHP_WEB."/iconos";
    $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
    $jsondata['oImages'] = IMAGES;
    ?>
    <script>
        ShowGridFiles(<?=json_encode($jsondata)?>);
    </script>
    <?
    //END FILES
}
?>
<script type="text/javascript">
    $(function(){
        $('#txtFile').uploadifive({
            'uploadScript'      : 'ajax/ajProject.php',
            'multi'          	: true,
            'auto'           	: true,
            'buttonText'	: 'Examinar',
            'queueID'        	: 'custom-queue',
            'formData'  	: {miopcion:'upload', session:"<?=session_id()?>"},
            'removeCompleted'	: true,
            'onAddQueueItem'    : function(oFile){ swUpdate=false; },
            'onUploadComplete'  : function(oFile, oData){
                try{
                    var oData= jQuery.parseJSON(oData);
                    if(oData){
                        ShowGridFiles(oData);
                    }else{
                        bootbox.alert(oData);
                    }
                    swUpdate=true;
                }catch(e){
                    bootbox.alert(oData);
                }
            },
            'onQueueComplete' : function(uploads){}
        });
    });
</script>