<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $array=$_GET;

    $vProjectId=intval($array['projectid']);

    $oP=new Access_clsProject();
    $rowProject=$oP->getROW($vProjectId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Project Images</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmWebContentImg.js"></script>
        <script language="javascript" type="text/javascript" src="js/projectphoto.js"></script>
        <style type="text/css">
            #sortable{ padding:0px; margin:0px;}
            #sortable li{ list-style-type:none}
            .gbox{ width:140px; height:170px; position:relative; float:left; margin-right: 5px; margin-bottom:12px; }
            .default{border:1px solid #F30; background:#F30;}
            .normal{border:1px solid #CCC; background:#CCC;}
            .gbox .imagen {height:145px; background-color:transparent;}
            .gbox .imagen img{width:138px; height:145px;}
            .gbox .options{ height:33px; padding:4px 4px; position:relative; width:140px;}
            .gbox .options .check{float:left; position:relative;}
            .gbox .options .edit{float:right; position:relative;padding:1px; text-align:center}
            .gbox .options .text{float:left; position:relative; padding-left:5px; padding-top:2px;}
        </style>
    </head>
    <body>
        <div id="divHeader">
            <?=getTitle(Mostrar_Dato($rowProject['name']).": IM&Aacute;GENES")?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:5px; overflow:hidden;">
            
                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" name="oTabs-1" data-toggle="tab"><?= getIcon("picture")?> Fotos</a></li>
                    <li><a href="#oTabs-2" name="oTabs-2" data-toggle="tab"><?= getIcon("plus")?> Subir m&aacute;s fotos</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:38px; padding:2px;" id="objTabs1Top">
                            <div class="<?=clsBtnGroup()?>">
                                <?=bRefresh("btnRefresh", "Refrescar")?><?=bDelete("btnDelete", "Eliminar")?><?=bInfo("btnCaption", "Descripciones", "text-height")?><?=bDefault("btnVP", "Vista Preliminar", "eye-open")?>
                                <?=bCheckDefault("chkAll", "chkAll", "Seleccionar todas")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs1Body">
                            <form id="frmPanel">
                                <input type="hidden" value="<?=$vProjectId?>" name="projectid" id="projectid">
                                <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                                <div><ul id="sortable"></ul></div>
                            </form>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:5px;" id="objTabs1Bottom">
                            <div class="float-left">
                                <div class="float-left" id="lblMsg"></div>
                            </div>
                            <div class="float-right">
                                <div class="float-left" id="lblPag"></div>
                            </div>
                        </div>
                    </div>
                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                    </div>
                </div>

            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; z-index:999999; border:0px;"></div>

    </body>
</html>