<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PROJECT"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vProjectPhotoId=intval($array['projectphotoid']);
    $vProjectId=intval($array['projectid']);
    $swNew=(intval($array['swnew'])==1);

    $rowI=array("projectphotoid"=>'',"projectid"=>0, "image"=>'', "caption"=>'', "description"=>'', "url"=>'', "target"=>'_blank', "order"=>0, "default"=>false, "status"=>true);

    $oI=new Access_clsProjectPhoto();
    $oWC=new Access_clsProject();
    if(!$swNew){
        $rowI=$oI->getROW($vProjectPhotoId);
        $vProjectId=intval($rowI['projectid']);
    }
    $rowProject=$oWC->getROW($vProjectId);
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>Edit Image</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/projectphotoedit.js"></script>
    </head>
    <body onLoad="$('#txtDescription').focus();">
        <div id="divHeader">
            <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." IMAGEN")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal form-small">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="projectphotoid" id="projectphotoid" value="<?=$vProjectPhotoId?>">
                    <input type="hidden" name="projectid" id="projectid" value="<?=$vProjectId?>">
                    <input type="hidden" name="image" id="image" value="<?=$rowI['name']?>">
                    <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">

                    <?
                    getFormGroupText("txtDescription", "DESCRIPCI&Oacute;N", $rowI['description'], 250);
                    
                    getFormGroupBegin("IMAGEN");
                    ?>
                        <div>
                            <div id="custom-queue"></div>
                            <input type="file" name="txtImage" id="txtImage">
                        </div>
                        <div class="float-left" style="padding:0 10px 0 20px">
                            <ul style="padding:0px; margin:0 0 0 10px;">
                                <li>Maximum file size:&nbsp;<?=FormatSizeFile(SIZE_PROJECT_PHOTO*1024)?></li>
                                <li>Supported file types: <b style="color:#FF3300"><?=ShowExt($EXT_PROJECT_PHOTO)?></b></li>
                            </ul>
                        </div>                                                                    
                        <div class="float-left">
                            <?
                            $vFile=trim($rowI['name']); $swFoundImg=false; $vSize="";
                            if($vFile!=''){
                                $oFTP=new FTP();
                                $oFTP->pServer=FTP_DOMAIN;
                                $oFTP->pUser=FTP_USER;
                                $oFTP->pPassword=FTP_PASS;
                                $oFTP->pPort=FTP_PORT;
                                $vPath=FTP_PATH.FTP_DIR.PATH_PROJECT_PHOTO."/".$vProjectId."/";
                                if ($oFTP->File_Exists($vPath, $vFile)){
                                    $swFoundImg=true;
                                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFile)));
                                    ?>
                                    <div class="float-left" style="width:60px">
                                        <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_PROJECT_PHOTO."/".$vProjectId."/".$vFile?>" alt="<?=$vPath.$vFile?>" style="width:55px; height:55px" id="btnImagen" class="pic">
                                    </div>
                                    <?
                                }
                            }
                            if(!$swFoundImg){
                                ?>
                                <div class="float-left" style="width:60px">
                                    <img src="<?=IMAGEBLANK?>" style="width:55px; height:55px;" id="btnImagen" alt="" class="pic">
                                </div>
                                <?
                            }
                            ?>
                            <div class="float-left" style="padding-left:5px;">
                                <div class="<?=clsBtnGroup()?>">
                                    <?=bDefault("btnDownload", "Descargar", "download")?><?=bDanger("btnDelImg", "", "trash", "Eliminar archivo del servidor")?>
                                </div>
                            </div>
                            <div class="float-left" style="padding-left:10px;" id="lblNameSize">
                                <b><?=Mostrar_Dato($vFile)?></b>
                                <br /><?=$vSize?>
                            </div>
                        </div>

                    <?
                    getFormGroupEnd();
                    getFormGroupCheck("chkDefault", "POR DEFECTO", $rowI['default']);
                    getFormGroupCheck("chkStatus", "ACTIVO", $rowI['status']);
                    ?>

                </form>
            </div>
        </div>
    </body>
</html>
<script type="text/javascript">
    $(function(){
        $('#txtImage').uploadifive({
            'uploadScript'     	: 'ajax/ajProjectPhoto.php',
            'fileSizeLimit' 	: <?=intval(SIZE_PROJECT_PHOTO)?>,
            'fileType'        	: 'image',
            'multi'          	: false,
            'auto'           	: true,
            'buttonText'	 	: 'Browse',
            'queueID'        	: 'custom-queue',
            'formData'  	 	: { miopcion:'upload', projectid:<?=$vProjectId?>, session:"<?=session_id()?>" },
            'removeCompleted'	: true,

            'onAddQueueItem': function(oFile){ swUpdate=false; },
            'onUploadComplete': function(oFile, oData){
                try{
                    var oRpta = jQuery.parseJSON(oData);
                    if(oRpta.pResult){
                        $('#image').val(oRpta.pFileName);
                        $('#btnImagen').attr('src', oRpta.pFileNameFull).attr('alt', oRpta.pFileNamePath).css({'width':oRpta.pWidth+'px', 'height':oRpta.pHeight+'px'});
                        $('#lblNameSize').html('<b>'+oRpta.pFileName+'</b><br>'+oRpta.pSize);
                    }else{
                        bootbox.alert(oRpta.pMessage);
                    }
                    swUpdate=true;
                }catch(e){
                    bootbox.alert(oData);
                }
            },
            'onCancel': function(oFile) {
                swUpdate=true;
            }
        });
    });
</script>