<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu=array("CMS-WEBCONTENT", "CMS-WEBCONTENT-ADDITIONAL"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vWebContentId=intval($array['webcontentid']);
    $swNew=(intval($array['swnew'])==1);
    $vLanguageId=intval($array['languageid']);
    $vParentId=intval($array['parentid']);
    $vWebContentCategoryId=intval($array['webcontentcategoryid']);

    $rowWebContent=array("webcontentid"=>0, "languageid"=>$vLanguageId, "filename"=>'', "caption"=>'', "description"=>'', "metadata_title"=>'', "metadata_description"=>'', "metadata_keywords"=>'', "page_title"=>'', "page_subtitle"=>'', "page_content"=>'', "image"=>'', "sound"=>'', "url"=>'', "target"=>'', "parentid"=>$vParentId, "rotation"=>0, "animationrutine"=>'', "animation"=>'fade', "script_js"=>'', "script_php"=>'', "page"=>true, "status"=>true);
    $oWC=new Access_clsWebContent();

    if (!$swNew) {
        $rowWebContent=$oWC->getROW($vWebContentId);
        $vParentId=intval($rowWebContent['parentid']);
    }
    $vParentIdParent=-1;
    if($vParentId>0){
        $rowParent=$oWC->getROW($vParentId);
        $vParentIdParent=intval($rowParent['parentid']);
    }
    $oC=new Access_clsWebContentCategory();
    $rowC=$oC->getROW($vMenu);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO MENU</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_editor.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <script language="javascript" type="text/javascript" src="js/webcontentedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
	</head>
	<body onLoad="$('#txtFileName').focus();">
        <div id="capFondo" class="fondo"></div>
        <div id="divHeader">
            <?=btnSave()?><?=btnGallery()?><?=btnDocs()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." CONTENIDO WEB")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="webcontentid" id="webcontentid" value="<?=$vWebContentId?>">
                    <input type="hidden" name="parentid" id="parentid" value="<?=$vParentId?>">
                    <input type="hidden" name="parentidparent" id="parentidparent" value="<?=$vParentIdParent?>">
                    <input type="hidden" name="webcontentcategoryid" id="webcontentcategoryid" value="<?=$vWebContentCategoryId?>">
                    <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                    
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="cboLanguage">IDIOMA:</label>
                        <div class="col-sm-10">
                            <div class="row">
                                <div class="col-sm-10" style="padding-left: 0px;">
                                    <select name="cboLanguage" id="cboLanguage"  class="form-control">
                                        <?
                                        $oL= new Access_clsLanguage();
                                        $rs=$oL->Read();
                                        $arrLan=array(); if($rs) $arrLan=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        if(count($arrLan)>0){
                                            echo ShowListSelect($arrLan, "languageid", "name", intval($rowWebContent['languageid']));
                                        }else{
                                            ?>
                                            <option value="0">Select language</option>
                                            <?
                                                                                }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-2" style="padding-right:0px">
                                    <div class="float-right">
                                        <label class="btn btn-default btn-sm" for="chkPage">
                                            P&aacute;gina interna <input type="checkbox" id="chkPage" name="chkPage" style="margin-top:0px;" <?=($rowWebContent['page']?"checked":"")?> >
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <? if($vParentIdParent>=0){?>
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="cboParent">PARENT:</label>
                            <div class="col-sm-10">
                                <select name="cboParent" id="cboParent" class="form-control">
                                    <?
                                    $oWC= new Access_clsWebContent();
                                    $rs=$oWC->ReadParents($vParentIdParent, $vWebContentCategoryId, $vLanguageId);
                                    if($rs)echo ShowListSelect($rs, "webcontentid", "caption", intval($rowWebContent['parentid']));
                                    ?>
                                </select>
                            </div>
                        </div>
                    <? } ?>
                    <div class="form-group" page="S">
                        <label class="col-sm-2 control-label" for="txtFileName">NOMBRE DE ARCHIVO:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['filename'])?>" name="txtFileName" id="txtFileName" class="form-control" maxlength="100" placeholder="Ingrese el nombre del archivo"/></div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="txtCaption">TITULO:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['caption'])?>" name="txtCaption" id="txtCaption" class="form-control" maxlength="100" placeholder="Ingrese el titulo"/></div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="txtDescription">DESCRIPCI&Oacute;N:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['description'])?>" maxlength="500" class="form-control" name="txtDescription" id="txtDescription" placeholder="Ingrese la descripcion"></div>
                    </div>
                    <div class="form-group" page="N">
                        <label class="col-sm-2 control-label" for="txtUrl">URL:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['url'])?>" name="txtUrl" id="txtUrl" class="form-control" maxlength="500" placeholder="Ejem: http://www.google.com"/></div>
                    </div>
                    <div class="form-group" page="N">
                        <label class="col-sm-2 control-label" for="cboTarget">TARGET:</label>
                        <div class="col-sm-10">
                            <select name="cboTarget" id="cboTarget" class="form-control">
                                <option value="_blank" <?=($rowWebContent['target']=="_blank"?" SELECTED ":"")?> >_blank</option>
                                <option value="_new" <?=($rowWebContent['target']=="_new"?" SELECTED ":"")?> >_new</option>
                                <option value="_parent" <?=($rowWebContent['target']=="_parent"?" SELECTED ":"")?> >_parent</option>
                                <option value="_self" <?=($rowWebContent['target']=="_self"?" SELECTED ":"")?> >_self</option>
                                <option value="_top" <?=($rowWebContent['target']=="_top"?" SELECTED ":"")?> >_top</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group" page="S">
                        <label class="col-sm-2 control-label" for="txtPage_Title">TITULO DE P&Aacute;GINA:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['page_title'])?>" maxlength="500" name="txtPage_Title" id="txtPage_Title" class="form-control" placeholder="Ingrese el titulo de la pagina"></div>
                    </div>
                    <div class="form-group" page="S">
                        <label class="col-sm-2 control-label" for="txtPage_SubTitle">SUBTITULO DE P&Aacute;GINA:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['page_subtitle'])?>" maxlength="500" name="txtPage_SubTitle" id="txtPage_SubTitle" class="form-control" placeholder="Ingrese el subtitulo de la pagina"></div>
                    </div>
                    <div class="form-group" page="S">
                        <label class="col-sm-2 control-label" for="txtMetadata_Title">METADATA TITULO:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['metadata_title'])?>" maxlength="500" name="txtMetadata_Title" id="txtMetadata_Title" class="form-control" placeholder="Ingrese el valor de <title>"></div>
                    </div>
                    <div class="form-group" page="S">
                        <label class="col-sm-2 control-label" for="txtMetadata_Description">METADATA DESCRIPCION:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['metadata_description'])?>" maxlength="500" name="txtMetadata_Description" id="txtMetadata_Description" class="form-control" placeholder="Ingrese el meta description"></div>
                    </div>
                    <div class="form-group" page="S">
                        <label class="col-sm-2 control-label" for="txtMetadata_Keywords">METADATA KEYWORDS:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowWebContent['metadata_keywords'])?>" maxlength="500" name="txtMetadata_Keywords" id="txtMetadata_Keywords" class="form-control" placeholder="Ingrese el meta keywords"></div>
                    </div>
                    <div class="form-group" page="S">
                        <label class="col-sm-2 control-label" for="txtPage_Content">CONTENIDO:</label>
                        <div class="col-sm-10"><textarea name="txtPage_Content" id="txtPage_Content" style="width:600px; height:100px;"><?=($rowWebContent['page_content'])?></textarea></div>
                    </div>
                    <div class="form-group" page="S">
                        <label class="col-sm-2 control-label">SCRIPTS:</label>
                        <div class="col-sm-10">
                            <img src="<?=IMAGES?>/php-code.png" id="btnPHP">
                            &nbsp;&nbsp;
                            <img src="<?=IMAGES?>/javascript-code.png" id="btnJS">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="chkStatus">ACTIVO:</label>
                        <div class="col-sm-10"><input type="checkbox" class="demo-switch" id="chkStatus" name="chkStatus" <?=($rowWebContent['status']?"checked":"")?> ></div>
                    </div>

                    <div id="oPHP" class="divFrame" style="width:80%; height:80%; top:10%; left:10%; border:1px solid #000; z-index: 9999;">
                    	<div id="phpTit" class="BG1" style="height:40px; padding:5px;">
                            <span class="txtWinHeader" style="padding-left:0px">Script PHP</span>
                            <?=btnClose('btnClosePHP')?>
                        </div>
                        <div id="phpBody" style="float:left; width:100%;">
                            <textarea name="txtScriptPHP" id="txtScriptPHP" style="width:100%; height:100%; background:#FFF;" class="TextArea"><?=($rowWebContent['script_php'])?></textarea>
                        </div>
                    </div>
                    <div id="oJS" class="divFrame" style="width:80%; height:80%; top:10%; left:10%;  border:1px solid #000; z-index: 9999;">
                    	<div id="jsTit" class="BG1" style="height:40px; padding:5px;">
                            <span class="txtWinHeader" style="padding-left:0px">Script Java Script</span>
                            <?=btnClose('btnCloseJS')?>
                        </div>
                        <div id="jsBody" style="float:left; width:100%;">
                            <textarea name="txtScriptJS" id="txtScriptJS" style="width:100%; height:100%; background:#FFF;" class="TextArea"><?=($rowWebContent['script_js'])?></textarea>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border:0px; padding:0px; margin:0px; z-index: 99999;"></div>
    </body>
</html>