<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu=array("CMS-WEBCONTENT", "CMS-WEBCONTENT-ADDITIONAL"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    $array=$_GET;

    $vWebContentId=intval($array['webcontentid']);

    $oWebContent=new Access_clsWebContent();
    $rowWebContent=$oWebContent->getROW($vWebContentId);
    $vParentId=intval($rowWebContent['parentid']);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>WEB CONTENT IMAGES</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_sort.php"); ?>
        <? include("../php/head_fancy.php"); ?>

        <script language="javascript" type="text/javascript" src="js/webcontentimages.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmWebContentImg.js"></script>

        <style type="text/css">
            #sortable{ padding:0px; margin:0px;}
            #sortable li{ list-style-type:none}
            .iImagen{float:left; padding:0px; margin:0px;}
            .ui-state-highlight { width:140px; height:172px; margin-right: 5px; margin-bottom:5px; padding-bottom:5px; float:left; }

            .gbox{ width:140px; height:170px; position:relative; float:left; margin-right: 5px; margin-bottom:15px; }
            .default{border:1px solid #F30; background:#F30;}
            .normal{border:1px solid #CCC; background:#CCC;}
            .gbox .imagen {}
            .gbox .imagen img{width:138px; height:140px;}
            .gbox .options{ height:30px; padding:2px 10px; position:relative; width:140px;}
            .gbox .options .check{float:left; position:relative;}
            .gbox .options .edit{float:right; position:relative;}
            .gbox .options .text{float:left; position:relative; padding-left:5px; padding-top:2px;}
        </style>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=getTitle("IMAGENES DEL CONTENIDO WEB: ".Mostrar_Dato($rowWebContent['caption']))?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px; overflow:hidden;">
                <input type="hidden" value="<?=$vParentId?>" name="parentid" id="parentid">
                <input type="hidden" value="<?=$vWebContentId?>" name="webcontentid" id="webcontentid">
                <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">

                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" name="oTabs-1" data-toggle="tab">Im&aacute;genes</a></li>
                    <li><a href="#oTabs-2" name="oTabs-2" data-toggle="tab">Agregar im&aacute;genes</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px; overflow:hidden;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:42px; padding:2px;" id="objTabs1Top">
                            <div class="<?=clsBtnGroup("")?>">
                                <?=bRefresh("btnRefresh", "Refrescar")?>
                                <?=bDelete("btnDelete", "Eliminar")?>
                                <? //bAdd("btnAdd", "Agregar")?>
                                <?=bInfo("btnCaption", "Descripciones", "text-height")?>
                                <?=bCheckDefault("chkAll", "chkAll", "Seleccionar todas")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs1Body">
                            <form id="frmPanel">
                                <input type="hidden" value="<?=$vParentId?>" name="parentid" id="parentid">
                                <input type="hidden" value="<?=$vWebContentId?>" name="webcontentid" id="webcontentid">
                                <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                                <div>
                                    <ul id="sortable"></ul>
                                </div>
                            </form>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:2px;" id="objTabs1Bottom">
                            <div class="float-left">
                                <div class="float-left" id="lblMsg"></div>
                            </div>
                            <div class="float-right">
                                <div class="float-left" id="lblPag"></div>
                                <div class="float-right">
                                    <div class="<?=clsBtnGroup("")?>">
                                        <?=bDefault("btnVP", "Vista Preliminar", "eye-open")?>
                                        <?=bPrimary("btnRecortar", "Recortar Im&aacute;genes", "retweet")?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                    </div>
                </div>

            </div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; padding:0px; margin:0px; border:0px; z-index:99999999;"></div>
    </body>
</html>