<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vConfigGroupId=intval($array['configgroupid']);
            $vName=trim($array['name']);
            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oC=new Access_clsConfig();
            $rs=$oC->Read($vInicio, $vCount, $vConfigGroupId, $vName);
            $vTotalFilas=$oC->Count($vConfigGroupId, $vName);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oC=new Access_clsConfig();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vConfigId){
                    $intError=$oC->Delete($vConfigId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":			
            $vConfigId=intval($array['configid']);
            $swNew=(intval($array['swnew'])==1);

            $oC=new Access_clsConfig();

            $oC->pConfigId=$vConfigId;
            $oC->pName=Almacenar_Dato(trim($array['txtName']));
            $oC->pDescription=Almacenar_Dato(trim($array['txtDescription']));
            $oC->pContent=Almacenar_Dato(trim($array['txtContent']));
            $oC->pConfigGroupId=intval($array['cboConfigGroup']);
            if($swNew){
                $intError=$oC->Add($vConfigId);
            }else{
                $intError=$oC->Edit($vConfigId);
            }
            
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
    }
?>