<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vCategoryId=intval($array['categoryid']);			
            $vName=trim($array['name']);			
            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oC=new Access_clsGallery();
            $rs=$oC->Read($vInicio, $vCount, $vName, $vCategoryId);
            $vTotalFilas=$oC->Count($vName, $vCategoryId);

            $vPath=FTP_PATH.FTP_DIR.PATH_IMAGES_GALLERY."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['image']);

                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath.intval($row['galleryid'])."/", $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Paginar(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath'] = FTP_PATH;
            $jsondata['oDir'] = FTP_DIR.PATH_IMAGES_GALLERY."/";
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oC=new Access_clsGallery();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vGalleryId){
                    $intError=$oC->Delete($vGalleryId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vGalleryId=intval($array['galleryid']);
            $swNew=(intval($array['swnew'])==1);

            $oC=new Access_clsGallery();

            $oC->pGalleryId=$vGalleryId;
            $oC->pCategoryId=intval($array['cboCategory']);
            $oC->pName=Almacenar_Dato(trim($array['txtName']));
            $oC->pDescription=Almacenar_Dato(trim($array['txtDescription']));
            $oC->pRotation=intval($array['cboRotation']);
            $oC->pStatus=isset($array['chkStatus']);
            if($swNew){
                $intError=$oC->Add($vGalleryId);
            }else{
                $intError=$oC->Edit($vGalleryId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_status":
            $vGalleryId=intval($array['galleryid']);

            $oC=new Access_clsGallery();
            $vRpta=$oC->Change_Status($vGalleryId);

            $rowType=$oC->getROW($vGalleryId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowType['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oC=new Access_clsGallery();
            $vRpta=$oC->Change_Order($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;
    }
?>