<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "upload":
            $vGalleryId=intval($array['galleryid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_IMAGES_GALLERY."/".$vGalleryId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            if (!$oFTP->Directory_Exists($vPath)){
                $oFTP->Create_Dir($vPath);
            }

            $msgUpload=""; $swUpload=false; $msgUpdate=""; $swUpdate=false;
            $vImageName="";
            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vImageName=SanitizeFilename($_FILES[$vArchivo]['name']);

                if ($vImageName!=""){
                    if ($oFTP->Directory_Exists($vPath)){
                        $vImageName=$oFTP->NewFileName($vPath, $vImageName);
                        if ($oFTP->File_Exists($vPath, $vImageName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{
                            $oFTP->pFile=$vArchivo;
                            $oFTP->pResize=true;
                            $oFTP->pResizeOption='proportional';
                            $oFTP->pWidth=GALLERY_IMAGES_WIDTH;
                            $oFTP->pHeight=GALLERY_IMAGES_HEIGHT;
                            $oFTP->pMaxSize=SIZE_IMAGES_GALLERY;
                            $oFTP->pExtensions=$EXT_IMAGES_GALLERY;
                            $intError=intval($oFTP->Upload($vImageName, $vPath));
                            if ($intError==0){
                                $msgUpload="File upload ok";
                                $swUpload=true;

                                $arrData=$oFTP->Dimensions($vPath.$vImageName);
                                $vSize=$oFTP->Size($vPath.$vImageName);
                                $vW=intval($arrData['width']);
                                $vH=intval($arrData['height']);
                                
                                $vGalleryImagesId=0;
                                $oI=new Access_clsGalleryImages();
                                $oI->pGalleryId=$vGalleryId;
                                $oI->pName=trim($vImageName);
                                $oI->pWidth=$vW;
                                $oI->pHeight=$vH;
                                $oI->pSize=$vSize;
                                $intError=$oI->Add($vGalleryImagesId);
                                if($intError==0){
                                    $msgUpdate="Update Ok. ";
                                    $swUpdate=true;
                                }else{
                                    $msgUpdate=$oI->getErrMsg($intError);
                                    $swUpdate=false;
                                }
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist.";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vImageName;
            echo json_encode($jsondata);
            break;
    }
?>