<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oMail=new Access_clsMailing();
            $rs=$oMail->Read(0,0);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oMail=new Access_clsMailing();
            $oMail->pServer=Almacenar_Dato($array['txtServer']);
            $oMail->pMailer=Almacenar_Dato($array['txtMailer']);
            $oMail->pPassword=Almacenar_Dato($array['txtPassword']);
            $oMail->pPort=Almacenar_Dato($array['txtPort']);
            $oMail->pEncryption=Almacenar_Dato($array['txtEncryption']);
            $oMail->pStatus=isset($array['chkStatus']);

            $vMailingId=intval($array['mailingid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oMail->Add($vMailingId);
            }else{
                $intError=$oMail->Edit($vMailingId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oMail->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oMail=new Access_clsMailing();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vMailingId){
                    $intError=$oMail->Delete($vMailingId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oMail->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vMailingId=intval($array['mailingid']);

            $oMail=new Access_clsMailing();
            $vRpta=$oMail->Change_Status($vMailingId);

            $rowMailing=$oMail->getROW($vMailingId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar el estado");
            $jsondata['Status'] = ($rowMailing['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>