<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vName=trim($array['name']);			
            $vProjectCategoryId=intval($array['projectcategoryid']);			
            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oC=new Access_clsProject();
            $rs=$oC->Read($vInicio, $vCount, $vName, $vProjectCategoryId);
            $vTotalFilas=$oC->Count($vName, $vProjectCategoryId);

            $vPath=FTP_PATH.FTP_DIR.PATH_PROJECT_PHOTO."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['image_default']);
                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath.intval($row['projectid'])."/", $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Paginar(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath'] = FTP_PATH;
            $jsondata['oDir'] = FTP_DIR.PATH_PROJECT_PHOTO."/";
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oC=new Access_clsProject();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vProjectId){
                    $intError=$oC->Delete($vProjectId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vProjectId=intval($array['projectid']);
            $swNew=(intval($array['swnew'])==1);

            $arrDocs=array(); if(isset($array['txtDOCSID'])) $arrDocs=$array['txtDOCSID'];

            $vArrFiles=implode(",", $arrDocs);
            if(trim($vArrFiles)!="")$vArrFiles="array[$vArrFiles]"; else $vArrFiles="null";
            
            $oC=new Access_clsProject();

            $oC->pProjectId=$vProjectId;
            $oC->pProjectCategoryId=intval($array['cboProjectCategory']);
            $oC->pName=Almacenar_Dato(trim($array['txtName']));
            $oC->pDescription=Almacenar_Dato(trim($array['txtDescription']));
            $oC->pContent=Almacenar_Dato(trim($array['txtContent']));
            $oC->pUrl=Almacenar_Dato(trim($array['txtUrl']));
            $oC->pStatus=isset($array['chkStatus']);
            if($swNew){
                $intError=$oC->Add($vProjectId, $vArrFiles);
            }else{
                $intError=$oC->Edit($vProjectId, $vArrFiles);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_status":
            $vProjectId=intval($array['projectid']);

            $oC=new Access_clsProject();
            $vRpta=$oC->Change_Status($vProjectId);

            $rowType=$oC->getROW($vProjectId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowType['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oC=new Access_clsProject();
            $vRpta=$oC->Change_Order($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;
            
            
        case "getdocs":
            $vProjectId=intval($array['projectid']);

            $oP=new Access_clsProject();

            $rs=$oP->Docs($vProjectId);

            $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrData as $i=>$rowGallery){
                $vFileName=trim($rowGallery['name']);
                $arrData[$i]['existe']=0;
                $arrData[$i]['extension']='';
                if($vFileName!=''){
                    $arrData[$i]['existe']=1;					
                    $arrList=explode(".", $vFileName);
                    $vExt=strtolower($arrList[count($arrList)-1]);
                    $arrData[$i]['size']=FormatSizeFile($arrData[$i]['size']);
                    $arrData[$i]['extension']=$vExt;
                }
            }

            $jsondata['oData'] = $arrData;
            $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";
            $jsondata['oPath_FTP'] = FTP_PATH;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath_Icons'] = HERRAMIENTAS_PHP_WEB."/iconos";
            $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "upload":
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;
            $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";	

            $msgUpload=""; $swUpload=false; $msgUpdate=""; $swUpdate=false;

            $arrIDS=array();

            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=SanitizeFilename($_FILES[$vArchivo]['name']);
                if (trim($vFileName)!=""){
                    if ($oFTP->Directory_Exists($vPath)){
                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{

                            $arrFormats=array();
                            $oF=new Access_Docs_clsFormat();
                            $rsFormat=$oF->Read(0,0,"");
                            if($rsFormat){
                                if($rsFormat->rowCount()>0){
                                    while($rowFormat=$rsFormat->fetch(PDO::FETCH_ASSOC)){
                                        $arrFormats[]=trim($rowFormat['extension']);
                                    }
                                }
                            }

                            $oFTP->pFile=$vArchivo;
                            $oFTP->pExtensions=$arrFormats;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $msgUpload="File upload ok";
                                $swUpload=true;
                                $swRefreshTop=true;

                                $arrList=split("[.]", $vFileName);
                                $vExt=strtolower($arrList[count($arrList)-1]);

                                $vSize=$oFTP->Size($vPath.$vFileName);
                                $vFormatId=0;
                                $vGalleryId=0;

                                $oG=new Access_Docs_clsGallery();
                                $oF=new Access_Docs_clsFormat();
                                $rowFormat=$oF->getROW(0, $vExt);
                                if($rowFormat){
                                    $vFormatId=intval($rowFormat['formatid']);
                                }

                                $oG->pCategoryId=0;
                                $oG->pFormatId=$vFormatId;
                                $oG->pName=$vFileName;
                                $oG->pDescription="";
                                $oG->pSize=$vSize;
                                $intError=$oG->Add($vGalleryId, "null");
                                if ($intError==0){
                                    $msgUpdate="Update OK";
                                    $swUpdate=true;
                                    $arrIDS[]=$vGalleryId;
                                }else{
                                    $msgUpdate=$oG->getErrMsg($intError);
                                    $swUpdate=false;
                                }
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist: $vPath";
                        $swUpload=false;
                    }
                }
            }

            //LEEMOS LOS REGISTROS DE LOS ARCHIVOS CARGADOS
            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!="") $vArray="array[$vArray]"; else $vArray="null";
            $oG=new Access_Docs_clsGallery();			
            $rs=$oG->ReadIDS($vArray);

            $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrData as $i=>$rowGallery){
                $vFileName=trim($rowGallery['name']);
                $arrData[$i]['existe']=0;
                $arrData[$i]['extension']='';
                if($vFileName!=''){
                    $arrData[$i]['existe']=1;					
                    $arrList=explode(".", $vFileName);
                    $vExt=strtolower($arrList[count($arrList)-1]);
                    $arrData[$i]['size']=FormatSizeFile($arrData[$i]['size']);
                    $arrData[$i]['extension']=$vExt;
                }
            }

            $jsondata['oData'] = $arrData;
            $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";
            $jsondata['oPath_FTP'] = FTP_PATH;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath_Icons'] = HERRAMIENTAS_PHP_WEB."/iconos";
            $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
            
    }
?>