<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oC=new Access_clsProjectCategory();
            $rs=$oC->Read($vInicio, $vCount, "");
            $vTotalFilas=$oC->Count("");

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oImagesUpload'] = FTP_DOMAIN.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/";
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Paginar(10, $vPage, $vTotalFilas, $vCount):"");
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oC=new Access_clsProjectCategory();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vProjectCategoryId){
                    $intError=$oC->Delete($vProjectCategoryId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vProjectCategoryId=intval($array['projectcategoryid']);
            $swNew=(intval($array['swnew'])==1);

            $oC=new Access_clsProjectCategory();

            $oC->pProjectCategoryId=$vProjectCategoryId;
            $oC->pName=Almacenar_Dato(trim($array['txtName']));
            $oC->pDescription=Almacenar_Dato(trim($array['txtDescription']));
            $oC->pContent=Almacenar_Dato(trim($array['txtContent']));
            $oC->pImage=Almacenar_Dato(trim($array['image']));
            $oC->pStatus=isset($array['chkStatus']);
            if($swNew){
                $intError=$oC->Add($vProjectCategoryId);
            }else{
                $intError=$oC->Edit($vProjectCategoryId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_status":
            $vProjectCategoryId=intval($array['projectcategoryid']);

            $oC=new Access_clsProjectCategory();
            $vRpta=$oC->Change_Status($vProjectCategoryId);

            $rowType=$oC->getROW($vProjectCategoryId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowType['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oC=new Access_clsProjectCategory();
            $vRpta=$oC->Change_Order($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;



        case "delete_image":
            $vFileName=trim($array['image']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vRpta=true;
            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                }
            }
            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":$msgError);
            echo json_encode($jsondata);
            break;
        case "getimage";
            $vProjectCategoryId=intval($array['projectcategoryid']);

            $oC=new Access_clsProjectCategory();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $rowProjectCategory=$oC->getROW($vProjectCategoryId);

            $vImage=IMAGEBLANK;
            $vImagePath=""; $vFileName=""; $vSize="";
            if($rowProjectCategory){
                $vFileName=trim($rowProjectCategory['image']);
                $vPath=FTP_PATH.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/";
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/".$vFileName;
                    $vImagePath=FTP_PATH.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/".$vFileName;
                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                }else $vFileName="";
            }

            $jsondata['pImage'] = trim($vImage);
            $jsondata['pImagePath'] = trim($vImagePath);
            $jsondata['pFileName'] = trim($vFileName);
            $jsondata['pSize'] = $vSize;
            echo json_encode($jsondata);
            break;
        case "upload":
            $vPath=FTP_PATH.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $msgUpload=""; $swUpload=false;
            $vFileName=""; $vFileNameFull=""; $vFileNamePath=""; $vSize="";
            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=$_FILES[$vArchivo]['name'];

                if ($vFileName!=""){
                    if (!$oFTP->Directory_Exists($vPath)){
                        $oFTP->Create_Dir($vPath);
                    }
                    if ($oFTP->Directory_Exists($vPath)){
                        $vFileName=NewFileName($vPath, $vFileName);
                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{
                            $oFTP->pFile=$vArchivo;
                            $oFTP->pMaxSize=SIZE_PROJECTCATEGORY_IMAGES;
                            $oFTP->pExtensions=$EXT_PROJECTCATEGORY_IMAGES;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $msgUpload="File upload ok";
                                $swUpload=true;
                                $vFileNameFull="http://".FTP_DOMAIN.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/".$vFileName;
                                $vFileNamePath=FTP_PATH.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/".$vFileName;
                                $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist: $vPath";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pFileNameFull'] = $vFileNameFull;
            $jsondata['pFileNamePath'] = $vFileNamePath;
            $jsondata['pSize'] = $vSize;
            echo json_encode($jsondata);		
            break;
    }
?>