<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/clsSistema_Archivos.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $oSA=new clsSistema_Archivos();

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "create":
            $vPriority=trim($array['txtPriority']);
            $vFrecuency=trim($array['txtFrecuency']);

            $intError=0; $msgError="";

            $vContenido='';
            $vContenido.="<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
            $vContenido.="\n<urlset";
            $vContenido.="\n\txmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\"";
            $vContenido.="\n\txmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"";
            $vContenido.="\n\txsi:schemaLocation=\"http://www.sitemaps.org/schemas/sitemap/0.9";
            $vContenido.="\n\thttp://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd\">";

            $vContenido.="\n<url>";
            $vContenido.="\n\t<loc>http://".FTP_DOMAIN.FTP_DIR."</loc>";
            $vContenido.="\n\t<changefreq>".$vFrecuency."</changefreq>";
            $vContenido.="\n\t<priority>".$vPriority."</priority>";
            $vContenido.="\n</url>";

            $oWC=new Access_clsWebContent();
            $oC=new Access_clsConfig();

            $rsWC=$oWC->ReadSiteMap();
            $rowConf=$oC->getROW(0, HTACCESS_NAME);

            $vComodin=""; if($rowConf) $vComodin=trim($rowConf['content']);

            if($rsWC){
                if($rsWC->rowCount()>0){
                    while($rowWC=$rsWC->fetch(PDO::FETCH_ASSOC)){
                        $vOption=""; $vSubOption="";
                        if(intval($rowWC['parentid'])==0){
                            $vOption=trim($rowWC['filename']);
                            $vSubOption=(trim($vComodin)==""?".php":$vComodin.".html");
                        }else{
                            $vOption=trim($rowWC['filename_0']);
                            $vSubOption=(trim($vComodin)==""?".php":$vComodin).".html?id=".intval($rowWC['webcontentid']);
                        }

                        $vOption=str_replace(" ", "", $vOption);
                        $vOption=str_replace("-", "", $vOption);
                        $vOption=str_replace("_", "", $vOption);
                        $vOption=str_replace(".", "", $vOption);

                        $vContenido.="\n<url>";
                        $vContenido.="\n\t<loc>http://".FTP_DOMAIN.FTP_DIR."/".$vOption.$vSubOption."</loc>";
                        $vContenido.="\n\t<changefreq>".$vFrecuency."</changefreq>";
                        $vContenido.="\n\t<priority>".$vPriority."</priority>";
                        $vContenido.="\n</url>\n";
                    }
                }
            }						

            $vContenido.="\n</urlset>";

            $vPath=FTP_PATH.FTP_DIR."/";
            $oFTP=new FTP();
            $oFTP->pTemp=PATH_TMP."/";
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vFile=SITEMAP_NAME;
            $vFileLocal=PATH_TMP."/".$vFile;

            if($vFileTmp=$oSA->CreateTmp(PATH_TMP, "sitemap")){
                if($vArchivo=$oSA->Open($vFileTmp, "w")){
                    if($oSA->Write($vArchivo, $vContenido)){
                        if($vPut=$oFTP->Put($vFileTmp, $vPath.$vFile)){
                            $msgError="Upload ok.";
                            $swError=false;
                        }else{
                            $msgError="Upload err.";
                        }
                    }else $msgError="Write file tmp err ($vFileTmp)";
                }else $msgError="Open file tmp err.";
            }else $msgError="Create file tmp err.";


            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);
            break;
    }
?>