<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oC=new Access_clsWebContentCategory();
            $rs=$oC->Read($vInicio, $vCount);
            $vTotalFilas=$oC->Count();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Paginar(10, $vPage, $vTotalFilas, $vCount):"");
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oC=new Access_clsWebContentCategory();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vWebContentCategoryId){
                    $intError=$oC->Delete($vWebContentCategoryId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vWebContentCategoryId=intval($array['webcontentcategoryid']);
            $swNew=(intval($array['swnew'])==1);

            $oC=new Access_clsWebContentCategory();

            $oC->pWebContentCategoryId=$vWebContentCategoryId;
            $oC->pName=Almacenar_Dato(trim($array['txtName']));
            $oC->pStatus=isset($array['chkStatus']);
            if($swNew){
                $intError=$oC->Add($vWebContentCategoryId);
            }else{
                $intError=$oC->Edit($vWebContentCategoryId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_status":
            $vWebContentCategoryId=intval($array['webcontentcategoryid']);

            $oC=new Access_clsWebContentCategory();
            $vRpta=$oC->Change_Status($vWebContentCategoryId);

            $rowType=$oC->getROW($vWebContentCategoryId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowType['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oC=new Access_clsWebContentCategory();
            $vRpta=$oC->Change_Order($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;
    }
?>