<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vWebContentId=intval($array['webcontentid']);
            $oI=new Access_clsWebContentImages();
            $rsWCI=$oI->Read($vWebContentId);

            $vPath=FTP_PATH.FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrDatos=array(); if($rsWCI) $arrDatos=$rsWCI->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$rowI){
                $vFileName=trim($rowI['image']);
                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath, $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oPath'] = FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/";
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oFTP'] = FTP_PATH;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oI=new Access_clsWebContentImages();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vWebContentImagesId){
                    $rowWebContentImg=$oI->getROW($vWebContentImagesId);
                    if ($rowWebContentImg){

                        $vWebContentId=intval($rowWebContentImg['webcontentid']);						
                        $vPath=FTP_PATH.FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/";
                        $vImage=trim($rowWebContentImg['image']);

                        $intError=$oI->Delete($vWebContentImagesId);
                        if ($intError!=0){
                            $swError=true;
                            $msgError.=$oI->getErrMsg($intError)." ";
                        }else{
                            if(trim($vImage)!=''){
                                if($oFTP->File_Exists($vPath, $vImage)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vImage);
                                }
                            }
                        }
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "default":
            $vWebContentImagesId=intval($array['webcontentimagesid']);
            $oI=new Access_clsWebContentImages();
            $vRpta=$oI->setDefault($vWebContentImagesId);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change the default image.":"");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vWebContentId=intval($array['webcontentid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oI=new Access_clsWebContentImages();
            $vRpta=$oI->Change_Order($vWebContentId, $vArray);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change order.":"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vWebContentImagesId=intval($array['webcontentimagesid']);
            $vWebContentId=intval($array['webcontentid']);
            $swNew=(intval($array['swnew'])==1);

            $oI=new Access_clsWebContentImages();

            $oI->pWebContentImagesId=$vWebContentImagesId;
            $oI->pWebContentId=$vWebContentId;
            $oI->pImage=Almacenar_Dato(trim($array['image']));
            $oI->pCaption=Almacenar_Dato(trim($array['txtCaption']));
            $oI->pDescription=Almacenar_Dato(trim($array['txtDescription']));
            $oI->pUrl=Almacenar_Dato(trim($array['txtURL']));
            $oI->pTarget=Almacenar_Dato(trim($array['cboTarget']));
            $oI->pDefault=isset($array['chkDefault']);
            $oI->pStatus=isset($array['chkStatus']);

            if($swNew) $intError=$oI->Add($vWebContentImagesId);
            else $intError=$oI->Edit($vWebContentImagesId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oI->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vWebContentImagesId=intval($array['webcontentimagesid']);

            $oI=new Access_clsWebContentImages();
            $vRpta=$oI->Change_Status($vWebContentImagesId);

            $rowWCI=$oI->getROW($vWebContentImagesId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowWCI['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete_image":
            $vWebContentId=intval($array['webcontentid']);
            $vFileName=trim($array['image']);

            $vPath=FTP_PATH.FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vRpta=true;
            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                }
            }
            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":$msgError);
            echo json_encode($jsondata);
            break;
        case "getimage";
            $vWebContentImagesId=intval($array['webcontentimagesid']);

            $oI=new Access_clsWebContentImages();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $rowI=$oI->getROW($vWebContentImagesId);

            $vImage=IMAGEBLANK;
            $vImagePath=""; $vFileName=""; $vSize=""; $pWidth=130; $pHeight=150;
            if($rowI){
                $vFileName=trim($rowI['image']);
                $vWebContentId=intval($rowI['webcontentid']);
                $vPath=FTP_PATH.FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/";
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrSize=$oFTP->Dimensions($vPath.$vFileName);
                    $arrSize=Proporcional(intval($arrSize['width']), intval($arrSize['height']), 190, 200);
                    $pWidth=intval($arrSize['width']);
                    $pHeight=intval($arrSize['height']);

                    $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/".$vFileName;
                    $vImagePath=FTP_PATH.FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/".$vFileName;
                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                }else $vFileName="";
            }

            $jsondata['pImage'] = trim($vImage);
            $jsondata['pImagePath'] = trim($vImagePath);
            $jsondata['pFileName'] = trim($vFileName);
            $jsondata['pSize'] = $vSize;
            $jsondata['pWidth'] = $pWidth;
            $jsondata['pHeight'] = $pHeight;
            echo json_encode($jsondata);
            break;
        case "preview":
            $vWebContentId=intval($array['webcontentid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $oImg=new Access_clsWebContentImages();

            $rs=$oImg->Read($vWebContentId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $arrImages=array();
            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['image']);
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrImages[]=array("href"=>"http://".FTP_DOMAIN.FTP_DIR.PATH_MENU_GALLERY."/".$vWebContentId."/".$vFileName, "title"=>$row['descripcion']);
                }
            }

            $jsondata['oData'] = $arrImages;
            echo json_encode($jsondata);
            break;
        case "setcaptions":
            $vWebContentId=intval($array['webcontentid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];
            
            $vArray="";
            foreach($arrIDS as $iImage=>$vWebContentImagesId){
                $vArray.="['".$vWebContentImagesId."','".Mostrar_Dato(trim($array['txtCaption'.$vWebContentImagesId]))."','".Mostrar_Dato(trim($array['txtDescription'.$vWebContentImagesId]))."'],";
            }
            if(trim($vArray)!=''){
                $vArray=substr($vArray,0,-1);
                $vArray="array[$vArray]";
            }else $vArray="null";

            $oI=new Access_clsWebContentImages();
            $vRpta=$oI->SetCaptions($vWebContentId, $vArray);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change captions.":"");
            echo json_encode($jsondata);
            break;
    }
?>