<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "query":
            $vConfigSubGroupId=intval($array['configsubgroupid']);
            $vConfigVarsTypeId=intval($array['configvarstypeid']);
            $vName=trim($array['name']);

            $oV=new Acceso_clsConfigVars();
            $rs=$oV->ReadNonSubGroups(0, 50, $vConfigSubGroupId, $vConfigVarsTypeId, $vName);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            echo json_encode($jsondata);
            break;
        case "add":
            $vConfigSubGroupId=intval($array['configsubgroupid']);

            $arrCheck=false; if(isset($array['chk'])) $arrCheck=$array['chk'];

            $vArray=implode(",", $arrCheck);
            if(trim($vArray)!='') $vArray="array[".$vArray."]"; else $vArray="null";

            $oV=new Acceso_clsConfigSubGroupVars();
            $intError=$oV->Add($vConfigSubGroupId, $vArray);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?'':$oV->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "show":
            $vConfigSubGroupId=intval($array['configsubgroupid']);
            $vName=trim($array['name']);

            $oV=new Acceso_clsConfigSubGroupVars();
            $rs=$oV->Read(0, 0, $vConfigSubGroupId, $vName);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            echo json_encode($jsondata);
            break;
        case "delete":
            $vConfigSubGroupId=intval($array['configsubgroupid']);

            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];

            $vArray=implode(",", $arrCheck);
            if(trim($vArray)!='') $vArray="array[".$vArray."]"; else $vArray="null";

            $oV=new Acceso_clsConfigSubGroupVars();
            $intError=$oV->Delete($vConfigSubGroupId, $vArray);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?'':$oV->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vConfigSubGroupId=intval($array['configsubgroupid']);
            $vIDS=array(); if(isset($array['ids'])) $vIDS=explode(",", $array['ids']);

            $vCadena=implode(",", $vIDS);			
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oV=new Acceso_clsConfigSubGroupVars();
            $vRpta=$oV->Change_Order($vConfigSubGroupId, $vCadena);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;
    }
?>