<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vConfigVarsTypeId=intval($array['configvarstypeid']);
            $vName=trim($array['name']);
            $vPage=0;
            $vCount=intval($array['count']);
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oV=new Acceso_clsConfigVars();
            $rs=$oV->Read($vInicio, $vCount, $vConfigVarsTypeId, $vName);
            $vTotalFilas=$oV->Count($vConfigVarsTypeId, $vName);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oV=new Acceso_clsConfigVars();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vConfigVarsId){
                    $intError=$oV->Delete($vConfigVarsId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oV->getErrMsg($intError)." ";
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vConfigVarsId=intval($array['configvarsid']);
            $swNew=(intval($array['swnew'])==1);

            $oV=new Acceso_clsConfigVars();

            $oV->pConfigVarsId=$vConfigVarsId;
            $oV->pConfigVarsTypeId=intval($array['cboConfigVarsType']);
            $oV->pName=Almacenar_Dato(trim($array['txtName']));
            $oV->pDescription=Almacenar_Dato(trim($array['txtDescription']));
            $oV->pType=Almacenar_Dato(trim($array['cboType']));
            $oV->pLength=Almacenar_Dato(trim($array['txtLength']));
            $oV->pMax=Almacenar_Dato(trim($array['txtMax']));
            $oV->pMin=Almacenar_Dato(trim($array['txtMin']));
            $oV->pInputType=Almacenar_Dato(trim($array['cboInputType']));
            $oV->pStatus=isset($array['chkStatus']);
            if($swNew){
                $intError=$oV->Add($vConfigVarsId);
            }else{
                $intError=$oV->Edit($vConfigVarsId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oV->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_status":
            $vConfigVarsId=intval($array['configvarsid']);

            $oV=new Acceso_clsConfigVars();
            $vRpta=$oV->Change_Status($vConfigVarsId);

            $rowType=$oV->getROW($vConfigVarsId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowType['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oV=new Acceso_clsConfigVars();
            $vRpta=$oV->Change_Order($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;
    }
?>