<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vName=trim($array['name']);			
            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oT=new Acceso_clsConfigVarsType();
            $rs=$oT->Read($vInicio, $vCount, $vName);
            $vTotalFilas=$oT->Count($vName);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Paginar(10, $vPage, $vTotalFilas, $vCount):"");
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oT=new Acceso_clsConfigVarsType();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vConfigVarsTypeId){
                    $intError=$oT->Delete($vConfigVarsTypeId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vConfigVarsTypeId=intval($array['configvarstypeid']);
            $swNew=(intval($array['swnew'])==1);

            $oT=new Acceso_clsConfigVarsType();

            $oT->pConfigVarsTypeId=$vConfigVarsTypeId;
            $oT->pName=Almacenar_Dato(trim($array['txtName']));
            $oT->pStatus=isset($array['chkStatus']);
            if($swNew){
                $intError=$oT->Add($vConfigVarsTypeId);
            }else{
                $intError=$oT->Edit($vConfigVarsTypeId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_status":
            $vConfigVarsTypeId=intval($array['configvarstypeid']);

            $oT=new Acceso_clsConfigVarsType();
            $vRpta=$oT->Change_Status($vConfigVarsTypeId);

            $rowType=$oT->getROW($vConfigVarsTypeId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowType['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oT=new Acceso_clsConfigVarsType();
            $vRpta=$oT->Change_Order($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;
    }
?>