<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "query":
            $vConfigVarsId=intval($array['configvarsid']);
            $vConfigValuesTypeId=intval($array['configvaluestypeid']);
            $vName=trim($array['name']);

            $oV=new Acceso_clsConfigValues();
            $rs=$oV->ReadNonConfigVars(0, 50, $vConfigVarsId, $vConfigValuesTypeId, $vName);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            echo json_encode($jsondata);
            break;
        case "add":
            $vConfigVarsId=intval($array['configvarsid']);

            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];

            $vArray=implode(",", $arrCheck);
            if(trim($vArray)!='') $vArray="array[".$vArray."]"; else $vArray="null";

            $oV=new Acceso_clsConfigVarsValues();
            $intError=$oV->Add($vConfigVarsId, $vArray);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?'':$oV->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "show":
            $vConfigVarsId=intval($array['configvarsid']);
            $vName=trim($array['name']);

            $oV=new Acceso_clsConfigVarsValues();
            $rs=$oV->Read(0, 0, $vConfigVarsId, $vName);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            echo json_encode($jsondata);
            break;
        case "delete":
            $vConfigVarsId=intval($array['configvarsid']);

            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];

            $vArray=implode(",", $arrCheck);
            if(trim($vArray)!='') $vArray="array[".$vArray."]"; else $vArray="null";

            $oV=new Acceso_clsConfigVarsValues();
            $intError=$oV->Delete($vConfigVarsId, $vArray);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?'':$oV->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vConfigVarsId=intval($array['configvarsid']);
            $vIDS=array(); if(isset($array['ids'])) $vIDS=explode(",", $array['ids']);

            $vCadena=implode(",", $vIDS);			
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oV=new Acceso_clsConfigVarsValues();
            $vRpta=$oV->Change_Order($vConfigVarsId, $vCadena);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;
    }
?>