<?
    header("Cache-Control: no-store, no-cache, must-revalidate"); 
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="CONSULTA_VISITAS"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <title>CONSULTA DE VISITAS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/visitas.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmVisitas.js"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=getTitle("CONSULTA DE VISITAS")?>
        </div>
        <div id="divSearch" style="height:70px; padding:2px" class="BORDER_B">
            <table>
                <tr>
                    <td>
                        <select name="cboIntranet" id="cboIntranet" class="form-control" style="width:150px;">
                            <option value="<?=INTRANET_CORP?>">Intranet Corporativa</option>
                            <option value="<?=INTRANET_ALUMNOS?>">Intranet Alumnos</option>
                        </select>
                    </td>
                    <td width="70px" class="lbl">DESDE:</td>
                    <td><input type="text" value="<?=date('d/m/Y')?>" name="txtDesde" id="txtDesde" class="form-control" style="width:100px; text-align:center;" placeholder="Desde"></td>
                    <td width="100px" class="lbl">NAVEGADOR:</td>
                    <td>
                        <select name="cboBrowser" id="cboBrowser" class="form-control" style="width:150px;">
                            <option value="">Todas los navegadores</option>
                            <option value="Chrome">Chrome</option>
                            <option value="Internet Explorer">Internet Explorer</option>
                            <option value="FireFox">FireFox</option>
                            <option value="Opera">Opera</option>
                            <option value="Safari">Safari</option>
                        </select>
                    </td>
                    <td width="100px" class="lbl">MOBIL:</td>
                    <td>
                        <select name="cboMobil" id="cboMobil" class="form-control" style="width:150px;">
                            <option value="">Todos</option>
                            <option value="Y">Solo mobiles</option>
                            <option value="N">Solo no mobiles</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>
                        <select name="cboExito" id="cboExito" class="form-control" style="width:150px;">
                            <option value="">Todos los intentos</option>
                            <option value="Y">Intentos exitosos</option>
                            <option value="N">Intentos no exitosos</option>
                        </select>
                    </td>
                    <td class="lbl">HASTA:</td>
                    <td><input type="text" name="txtHasta" id="txtHasta" class="form-control" style="width:100px; text-align:center;" placeholder="Hasta"></td>
                    <td class="lbl">PLATAFORMA:</td>
                    <td>
                        <select name="cboPlataform" id="cboPlataform" class="form-control" style="width:150px;">
                            <option value="">Todas las plataformas</option>
                            <option value="Windows">Windows</option>
                            <option value="Linux">Linux</option>
                            <option value="iPad">iPad</option>
                            <option value="iPhone">iPhone</option>
                            <option value="iPod">iPod</option>
                            <option value="Apple">Apple</option>
                        </select>
                    </td>
                    <td></td>
                    <td></td>
                </tr>
            </table>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px; overflow:hidden;">
                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" data-toggle="tab">Detalles</a></li>
                    <li><a href="#oTabs-2" data-toggle="tab">Resumen por Navegador</a></li>
                    <li><a href="#oTabs-3" data-toggle="tab">Resumen por Plataforma</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:5px;" id="objTabs1Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?= getInputText("txtTexto", "Buscar", "", 0, "form-control", "width:140px;")?>
                                <?= bRefresh("btnDetRef", "Refrescar")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs1Body">
                            <form name="frmPanel">
                                <input type="hidden" value="1" name="txtPage" id="txtPage">
                                <input type="hidden" value="1" name="txtOrder" id="txtOrder">
                                <table width="100%" id="tblMain" class="standard">
                                    <thead>
                                        <tr class="title1">
                                            <th width="160px">FECHA</th>
                                            <th align="left">PERSONA</th>
                                            <th>USUARIO</th>
                                            <th>CLAVE</th>
                                            <th width="120px">IP</th>
                                            <th width="20px">&nbsp;</th>
                                            <th width="20px">&nbsp;</th>
                                            <th width="20px">&nbsp;</th>
                                            <th width="20px">&nbsp;</th>
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                            </form>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs1Bottom">
                            <div class="float-left" id="lblMsg"></div>
                            <div class="float-right" style="padding-left:5px"><?=ShowSelectPage(100); ?></div>
                            <div class="float-right" id="lblPage" style="padding-right:10px"></div>
                        </div>
                    </div>
                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs2Top">
                            <?= bRefresh("btnResBroRef", "Refrescar")?>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:10px; margin:0px;" id="objTabs2Body">
                            <div class="float-left" id="objResBro" style="width:100%;"></div>
                        </div>
                    </div>

                    <div id="oTabs-3" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs3Top">
                            <?= bRefresh("btnResPlaRef", "Refrescar")?>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:10px; margin:0px;" id="objTabs3Body">
                            <div class="float-left" id="objResPla" style="width:100%;"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>