<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="COSTO-MONEDA"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vMoneda=trim($array['moneda']);
    $vFecha=trim($array['fecha']);
    $vMoneda=(trim($vMoneda)!=''?trim($vMoneda):"DO");
    $vFecha=(trim($vFecha)!=''?CDate($vFecha):date('Y-m-d'));

    $oCM=new Acceso_Contabilidad_clsCostoMoneda();

    $rowCostoAux=array("moneda"=>$vMoneda, "fecha"=>$vFecha, "venta"=>0, "compra"=>0, "cobranza"=>0);
    
    $swNew=false;
    $rowCosto=$oCM->getROW($vMoneda, $vFecha);
    if($rowCosto){
        $swNew=true;
    }else{
        $rowCosto=$rowCostoAux;
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>COSTO DE MONEDA - EDITAR</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/costomonedaedit.js?20170828-002"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
    </head>
    <body>
        <div id="divHeader">
            <?=btnSave()?>
            <?=getTitle(($swNew?"AGREGAR":"EDITAR")." COSTO DE MONEDAS EXTRANJERAS")?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit" style="padding: 2px; overflow: hidden;">
                <form id="frmPanel" class="form-horizontal" style="width: 100%; height: 100%;">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <?
                    $oT= new Acceso_clsTipoMoneda();
                    $rs=$oT->Leer();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboMoneda", "MONEDA", "tipomonedaid", "nombre", trim($rowCosto['moneda']), '0', 'Seleccione', false, $vSizeAreaText='col-sm-4');

                    getFormGroupText("txtFecha", "FECHA", FormatDate($rowCosto['fecha']), 10, "dd/mm/aaaa", "", "max-width:100px; text-align:center;");
                    getFormGroupText("txtVenta", "VENTA", number_format(doubleval($rowCosto['venta']), 2), 0, "0.00", "", "max-width:100px; text-align:center;");
                    getFormGroupText("txtCompra", "COMPRA", number_format(doubleval($rowCosto['compra']), 2), 0, "0.00", "", "max-width:100px; text-align:center;");
                    getFormGroupText("txtCobranza", "COBRANZA", number_format(doubleval($rowCosto['cobranza']), 2), 0, "0.00", "", "max-width:100px; text-align:center;");
                    ?>
                </form>
            </div>
        </div>
    </body>
</html>