<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vMoneda=trim($array['moneda']);
            
            $vPage=0;
            $vCount=intval($array['count']);
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;
            $vInicio = ($vPage-1) * $vCount;
            
            $oCM=new Acceso_Contabilidad_clsCostoMoneda();
            $rs=$oCM->Leer($vInicio, $vCount, $vMoneda);
            $vTotalFilas=$oCM->Count($vMoneda);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oCM=new Acceso_Contabilidad_clsCostoMoneda();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vIDS){
                    $arrAux=explode(",", $vIDS);
                    $vMoneda=trim($arrAux[0]);
                    $vFecha=trim($arrAux[1]);
                    $intError=$oCM->Eliminar($vMoneda, $vFecha, $sessCodigo, miIP());
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oCM->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $oCM=new Acceso_Contabilidad_clsCostoMoneda();
            $oCM->pMoneda=Almacenar_Dato($array['cboMoneda']);
            $oCM->pFecha=CDate($array['txtFecha']);
            $oCM->pVenta=doubleval($array['txtVenta']);
            $oCM->pCompra=doubleval($array['txtCompra']);
            $oCM->pCobranza=doubleval($array['txtCobranza']);
            
            $intError=$oCM->Actualizar();
            
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oCM->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
    }
?>