<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_POST) $array=$_POST;
    else $array=$_GET;

    $swClose=true; if(isset($array['close']))       $swClose=(intval($array['close'])==1);
    $swBorder=false; if(isset($array['border']))    $swBorder=(intval($array['border'])==1);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>DOCS GALLERY</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_copy.php"); ?>
        <script language="javascript" type="text/javascript">
            var jsSelect="<?=$array['jsselect']?>";
            var jsClose="<?=$array['jsclose']?>";
        </script>
        <script language="javascript" type="text/javascript" src="js/gallery.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmImagesGallery.js"></script>
    </head>
    <body onLoad="$('#txtSearch').focus()">
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader" class="<?=($swBorder?'BORDER_L BORDER_R':'')?>">
            <?=btnAdd()?><?=btnDelete()?><?=btnRefresh()?>
            <?=getTitle("GALER&Iacute;A DE DOCUMENTOS")?>
            <? if($swClose){?><div class="float-right"><?=btnClose()?></div><? } ?>
        </div>
        <div id="divMain" class="<?=($swBorder?'BORDER_L BORDER_R':'')?>">
            <div id="divGrid" style="padding:2px; overflow:hidden;">
            	<div id="divLeft">
                    <div id="divLeftTop1" class="BORDER_ALL BG2" style="height:35px; padding:2px; border-bottom:0px;">
                    	<div class="float-left">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?= InputGroupAddOn("", "", "", "Buscar:")?>
                                <?= getInputText("txtSearch", "Buscar", "", 0, "form-control", "max-width:150px;")?>
                                <?
                                if(trim($array['jsselect'])!=''){ echo bInfo("btnSelect", "Seleccionar", "ok"); }
                                ?>
                            </div>
                        </div>
                    </div>
                    <div id="divLeftMain" class="BORDER_ALL" style="overflow:auto; padding:2px">
                        <form id="frmPanel">
                            <input type="hidden" value="1" name="txtPage" id="txtPage">
                            <table width="100%" id="tblMain" sd="" jsclip="" class="standard">
                                <thead>
                                    <tr class="title1">
                                        <th width="25px">&nbsp;</th>
                                        <th width="25px"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                        <th style="max-width:80px;" width="80px">FECHA</th>
                                        <th width="20px"></th>
                                        <th class="left">NOMBRE</th>
                                        <th style="max-width:80px;" width="80px">TAMA&Ntilde;O</th>
                                        <th width="20px"></th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>
                </div>
                <div id="divRight" style="width:300px;">
                    <div id="divRightTop1" class="BORDER_ALL BG_IMG1" style="height:20px; padding:2px; border-bottom:0px;">&nbsp;<b class="SUBTITULO">CATEGORIAS</b></div>
                    <div id="divRightTop2" class="BORDER_ALL BG2" style="height:25px; padding:1px; border-bottom:0px;">
                    	<div class="float-left">
                            <div class="<?=clsBtnGroup("btn-group-xs")?>">
                                <?=bAdd('btnAddCat')?><?=bDelete('btnDelCat')?><?=bRefresh('btnRefCat')?>
                                <label class="btn btn-default"><input type="checkbox" id="chkAllCat" name="chkAllCat" style="padding:0px; margin:0px;"></label>
                                <?= InputGroupAddOn("lblMsgCat", "", "", "")?>
                            </div>
                        </div>
                    </div>
                    <div id="divRightTopMain" class="BORDER_ALL" style="border-bottom:0px; padding:1px">
                    	<form id="frmCat">
                            <table width="100%" id="tblCat" class="standard">
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>

                    <div id="divRightCenter1" class="BORDER_ALL BG_IMG1" style="height:20px; padding:2px; border-bottom:0px;"><b class="SUBTITULO">TIPOS DE ARCHIVO</b></div>
                    <div id="divRightCenter2" class="BORDER_ALL BG2" style="height:25px; padding:1px; border-bottom:0px;">
                    	<div class="float-left">
                            <div class="<?=clsBtnGroup("btn-group-xs")?>">
                                <?=bAdd('btnAddFor')?><?=bDelete('btnDelFor')?><?=bRefresh('btnRefFor')?>
                            	<label class="btn btn-default"><input type="checkbox" id="chkAllFor" name="chkAllFor" style="padding:0px; margin:0px;"></label>
                                <?= InputGroupAddOn("lblMsgFor", "", "", "")?>
                            </div>
                        </div>
                    </div>
                    <div id="divRightCenterMain" class="BORDER_ALL" style="padding:1px">
                    	<form id="frmFor">
                            <table width="100%" id="tblFor" class="standard">
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>

                    <div id="divRightBottom1" class="BORDER_ALL BG_IMG1" style="height:20px; padding:2px; border-bottom:0px;"><b class="SUBTITULO">PALABRAS CLAVE</b></div>
                    <div id="divRightBottom2" class="BORDER_ALL BG2" style="height:25px; padding:1px; border-bottom:0px;">
                    	<div class="float-left">
                            <div class="<?=clsBtnGroup("btn-group-xs")?>">
                                <?=bAdd('btnAddKey')?><?=bDelete('btnDelKey')?><?=bRefresh('btnRefKey')?>
                            	<label class="btn btn-default"><input type="checkbox" id="chkAllKey" name="chkAllKey" style="padding:0px; margin:0px;"></label>
                                <?= InputGroupAddOn("lblMsgKey", "", "", "")?>
                            </div>
                        </div>
                    </div>
                    <div id="divRightBottomMain" class="BORDER_ALL" style="padding:1px">
                    	<form id="frmKey">
                            <table width="100%" id="tblKey" class="standard">
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
            	<div class="float-left" id="lblPage"></div>
            	<div class="float-left" style="padding-left:15px"><? echo ShowSelectPage(25); ?></div>
            </div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border:0px; z-index:99999999;"></div>
    </body>
</html>