<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $oFTP=new FTP();

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "upload":
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;
            $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";	

            $msgUpload=""; $swUpload=false; $msgUpdate=""; $swUpdate=false;

            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=SanitizeFilename($_FILES[$vArchivo]['name']);
                if (trim($vFileName)!=""){
                    if ($oFTP->Directory_Exists($vPath)){
                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{

                            $arrFormats=array();
                            $oF=new Access_Docs_clsFormat();
                            $rsFormat=$oF->Read(0,0,"");
                            if($rsFormat){
                                if($rsFormat->rowCount()>0){
                                    while($rowFormat=$rsFormat->fetch(PDO::FETCH_ASSOC)){
                                        $arrFormats[]=trim($rowFormat['extension']);
                                    }
                                }
                            }

                            $oFTP->pFile=$vArchivo;
                            $oFTP->pExtensions=$arrFormats;
                            $oFTP->pMaxSize=SIZE_GALLERY_DOCS_PUBLIC;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $msgUpload="File upload ok";
                                $swUpload=true;
                                $swRefreshTop=true;

                                $arrList=split("[.]", $vFileName);
                                $vExt=strtolower($arrList[count($arrList)-1]);

                                $vSize=$oFTP->Size($vPath.$vFileName);
                                $vFormatId=0;
                                $vGalleryId=0;

                                $oG=new Access_Docs_clsGallery();
                                $oF=new Access_Docs_clsFormat();
                                $rowFormat=$oF->getROW(0, $vExt);
                                if($rowFormat){
                                        $vFormatId=intval($rowFormat['formatid']);
                                }

                                $oG->pCategoryId=intval($array['categoryid']);
                                $oG->pFormatId=$vFormatId;
                                $oG->pUploadDate=date('Y-m-d');
                                $oG->pName=$vFileName;
                                $oG->pDescription="";
                                $oG->pSize=$vSize;
                                $intError=$oG->Add($vGalleryId, "null");
                                if ($intError==0){
                                    $msgUpdate="Update OK";
                                    $swUpdate=true;
                                }else{
                                    $msgUpdate=$oG->getErrMsg($intError);
                                    $swUpdate=false;
                                }
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist: $vPath";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pPath'] = $vPath;
            echo json_encode($jsondata);
            break;
    }
?>