<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="GALERIA-IMAGENES"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vImagenId=intval($array['imagenid']);
    $swNew=(intval($array['swnew'])==1);
    $vGaleriaId=intval($array['galeriaid']);

    $rowImagen=array("imagenid"=>0, "galeriaid"=>0, "nombre"=>'', "descripcion"=>'');
    $oImg=new Acceso_clsGaleria_Imagenes_Detalle();
    $oGal=new Acceso_clsGaleria_Imagenes();

    if(!$swNew){
        $rowImagen=$oImg->getROW($vImagenId);
        $vGaleriaId=intval($rowImagen['galeriaid']);
    }	
    $rowGaleria=$oGal->getROW($vGaleriaId);
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO IMAGEN</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <script language="javascript" type="text/javascript" src="js/imagenedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols1.js"></script>
    </head>
    <body onLoad="$('#txtDescription').focus();">
        <div id="divHeader">
            <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." IMAGEN")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:5px; overflow:hidden">
            	<div id="divLeft" style="width:200px;">
                    <div id="divLeftMain" style="overflow:hidden">
                        <div class="float-left">
                            <?
                            $vSize="";
                            $vFile=trim($rowImagen['nombre']);
                            if(!$swNew && $vFile!=''){
                                $oFTP=new FTP();
                                $oFTP->pServer=FTP_DOMAIN;
                                $oFTP->pUser=FTP_USER;
                                $oFTP->pPassword=FTP_PASS;
                                $oFTP->pPort=FTP_PORT;
                                $vPath=FTP_PATH.FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId."/";
                                
                                if ($oFTP->File_Exists($vPath, $vFile)){
                                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFile)));
                                    $arrDim=$oFTP->Dimensions($vPath.$vFile);
                                    $arrSize=Proporcional(intval($arrDim['width']), intval($arrDim['height']), 190, 200);
                                    ?>
                                    <div class="float-left" style="width:200px">
                                        <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId."/".$vFile?>" alt="<?=$vPath.$vFile?>" class="pic" style="width:<?=intval($arrSize['width'])?>px; height:<?=intval($arrSize['height'])?>px" id="btnImagen">
                                    </div>
                                    <div class="float-left" style="width:200px; padding-top:10px; line-height:20px">
                                        <b>Nombre: </b><?=Mostrar_Dato($vFile)?><br /><b>Tama&ntilde;o: </b><?=$vSize?>
                                    </div>
                                    <div class="float-left" style="width:200px; padding-top:10px;">
                                        <?= bPrimary("btnDownload", "Descargar imagen", "download")?>
                                    </div>
                                    <?
                                }
                            }
                            ?>
                        </div>
                    </div>
                </div>
                <div id="divRight">
                    <div id="divRightMain" style="padding:5px">
                        <form id="frmEdit" class="form-horizontal form-small">
                            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                            <input type="hidden" name="imagenid" id="imagenid" value="<?=$vImagenId?>">
                            <input type="hidden" name="galeriaid" id="galeriaid" value="<?=$vGaleriaId?>">
                            <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                            <div class="form-group">
                                <label class="col-sm-2 control-label" for="txtDescription">DESCRIPCI&Oacute;N:</label>
                                <div class="col-sm-10"><textarea  name="txtDescription" id="txtDescription" style="height:100px" class="form-control"><?=Mostrar_Dato($rowImagen['descripcion'])?></textarea></div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>