<?
    header("Cache-Control: no-cache"); 
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="GALERIA-IMAGENES"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $vGaleriaId=intval($array['galeriaid']);

    $oImg=new Acceso_clsGaleria_Imagenes_Detalle();

    $vPath=FTP_PATH.FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId."/";

    $oFTP=new FTP();

    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    if (!$oFTP->Directory_Exists($vPath)) $oFTP->Create_Dir($vPath);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>CARGA DE IMAGENES</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <div id="divMain">
            <div id="divGrid" style="padding:10px;">
                <form id="frmPanel">
                    <input type="hidden" value="<?=$vGaleriaId?>" name="galeriaid" id="galeriaid">
                    <table width="100%">
                        <tr>
                            <td style="font-size:11px;">
                                <b>Importante</b>
                                <ul>
                                    <li>El archivo no debe exceder de <span class="badge badge-success"><?=FormatSizeFile(SIZE_GAL_IMG_IMAGES*1024)?></span> de tama&ntilde;o.</li>
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td >
                                <div id="custom-queue"></div>
                                <input type="file" name="txtImage" id="txtImage">
                            </td>
                        </tr>
                    </table>
                </form>
            </div>
        </div>
    </body>
</html>
<script type="text/javascript">
    $(function() {
        $('#txtImage').uploadifive({
            'uploadScript': 'ajax/ajImagenesUpload.php',
            'fileSizeLimit' 	: <?=intval(SIZE_GAL_IMG_IMAGES)?>,
            'fileType'        	: 'image',
            'multi'          	: true,
            'auto'           	: true,
            'buttonText'	: 'Seleccionar',
            'queueID'        	: 'custom-queue',
            'formData'  	: {'miopcion':'upload', galeriaid:<?=$vGaleriaId?>, session:"<?=session_id()?>" },
            'removeCompleted'	: true,
            'onUploadComplete': function(oFile, oData){ },
            'onQueueComplete' : function(uploads){ parent.Show(); }
        });
    });
</script>