<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_POST) $array=$_POST;
    else $array=$_GET;

    $vCategoryId=intval($array['categoryid']);
    $deDonde=false; 	if(isset($array['dedonde'])) 	$deDonde=trim($array['dedonde']);
    $vKeyId=0; 		if(isset($array['keyid'])) 	$vKeyId=trim($array['keyid']);

    $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";

    $arrFormats=array();
    $oFormat=new Access_Images_clsFormat();
    $rsFormat=$oFormat->Read(0,0,"");
    if($rsFormat){
        if($rsFormat->rowCount()>0){
            while($rowFormat=$rsFormat->fetch(PDO::FETCH_ASSOC)){
                $arrFormats[]=trim($rowFormat['extension']);
            }
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>CARGA DE IMAGENES</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_uploadifive.php");?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <div id="divMain">
            <div id="divGrid" style="padding:5px;" class="standard">
                <form id="frmPanel" class="form-horizontal form-small">
                    <input type="hidden" value="<?=$vCategoryId?>" name="categoryid" id="categoryid">
                    <input type="hidden" value="<?=$vKeyId?>" name="keyid" id="keyid">
                    <input type="hidden" value="<?=$deDonde?>" name="dedonde" id="dedonde">
                	<p>El destino de los archivos es <span class="badge badge-info"><?=$vPath?></span></p>
                    <p>
                        <b>Importante:</b>
                        <ul>
                            <li>El archivo no debe exceder de <span class="badge badge-success"><?=FormatSizeFile(SIZE_GALLERY_IMAGES_PUBLIC*1024)?></span> de tama&ntilde;o.</li>
                            <li>Solo se esta permitido subir imagenes de las siguientes extensiones: <?=ShowArrBadge($arrFormats, 'badge-primary')?></li>
                        </ul>
                    </p>
                    <br><br>
                    <div id="custom-queue"></div><input type="file" name="txtFile" id="txtFile" style="width:100%">
                </form>
            </div>
        </div>
    </body>
</html>
<script type="text/javascript">
    $(function() {
        $('#txtFile').uploadifive({
            'uploadScript'	: 'ajax/ajGalleryUpload.php',
            'fileType'        	: 'image',
            'multi'          	: true,
            'auto'           	: true,
            'buttonText'	: 'Seleccionar',
            'queueID'        	: 'custom-queue',
            'formData'  	: {miopcion:'upload', categoryid:<?=$vCategoryId?>, session:"<?=session_id()?>"},
            'removeCompleted'	: true,
            'onUploadComplete'  : function(oFile, oData){
                try{
                    var oData= jQuery.parseJSON(oData);
                    if(oData){
                        if(oData.pResult){
                            switch($('#dedonde').val()){
                                case "WCI": parent.Crop(oData.pGalleryId); break;
                            }
                        }else{
                            bootbox.alert(oData.pMessage);
                        }
                    }else{
                        bootbox.alert(oData);
                    }
                }catch(e){
                    bootbox.alert(oData);
                }
            },
            'onQueueComplete' : function(uploads){}
        });
    });
</script>