<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $oFTP=new FTP();

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "showcat":
            $oC=new Access_Images_clsCategory();

            $rs=$oC->Read(0,0,"");

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updatecat":
            $swNew=(intval($array['swnew'])==1);
            $vCategoryId=intval($array['categoryid']);
            $oC=new Access_Images_clsCategory();
            $oC->pName=Almacenar_Dato($array['txtName']);
            if ($swNew){
                $intError=$oC->Add($vCategoryId);
            }else{
                $intError=$oC->Edit($vCategoryId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deletecat":
            $arrCheck=array(); if(isset($array['chkCat'])) $arrCheck=$array['chkCat'];
            $swError=false; $msgError="Errors: ";
            $oC=new Access_Images_clsCategory();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCategoryId){
                    $intError=$oC->Delete($vCategoryId);
                    if ($intError!=0){
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;




        case "showkey":
            $oK=new Access_Images_clsKeyword();
            $rs=$oK->Read(0,0,"");

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updatekey":
            $swNew=(intval($array['swnew'])==1);
            $vKeywordId=intval($array['keywordid']);
            $oK=new Access_Images_clsKeyword();
            $oK->pName=Almacenar_Dato($array['txtName']);
            if ($swNew){
                $intError=$oK->Add($vKeywordId);
            }else{
                $intError=$oK->Edit($vKeywordId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oK->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deletekey":
            $arrCheck=array(); if(isset($array['chkKey'])) $arrCheck=$array['chkKey'];
            $swError=false; $msgError="Errors: ";
            $oK=new Access_Images_clsKeyword();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vKeywordId){
                    $intError=$oK->Delete($vKeywordId);
                    if ($intError!=0){
                        $swError=true;
                        $msgError.=$oK->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;



        case "showfor":
            $oK=new Access_Images_clsFormat();
            $rs=$oK->Read(0,0,"");

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updatefor":
            $swNew=(intval($array['swnew'])==1);
            $vFormatId=intval($array['formatid']);
            $oF=new Access_Images_clsFormat();
            $oF->pName=Almacenar_Dato($array['txtName']);
            $oF->pDescription=Almacenar_Dato($array['txtDescription']);
            $oF->pExtension=Almacenar_Dato($array['txtExtension']);
            if ($swNew){
                $intError=$oF->Add($vFormatId);
            }else{
                $intError=$oF->Edit($vFormatId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oF->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deletefor":
            $arrCheck=array(); if(isset($array['chkFor'])) $arrCheck=$array['chkFor'];
            $swError=false; $msgError="Errors: ";
            $oF=new Access_Images_clsFormat();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vFormatId){
                    $intError=$oF->Delete($vFormatId);
                    if ($intError!=0){
                        $swError=true;
                        $msgError.=$oF->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;






        case "show":
            $vPath=FTP_PATH.PATH_GALLERY_IMAGES_PUBLIC."/";
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vName=trim($array['name']);
            $arrCategory=array(); if(isset($array['categoryid'])) $arrCategory=$array['categoryid'];
            $arrKeyword=array(); if(isset($array['keywordid'])) $arrKeyword=$array['keywordid'];
            $arrFormat=array(); if(isset($array['formatid'])) $arrFormat=$array['formatid'];

            $vArrCategory=implode(",", $arrCategory);
            $vArrCategory=(trim($vArrCategory)!=''?"array[".trim($vArrCategory)."]":"null");

            $vArrFormat=implode(",", $arrFormat);
            $vArrFormat=(trim($vArrFormat)!=''?"array[".trim($vArrFormat)."]":"null");

            $vArrKeyword=implode(",", $arrKeyword);
            $vArrKeyword=(trim($vArrKeyword)!=''?"array[".trim($vArrKeyword)."]":"null");

            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oG=new Access_Images_clsGallery();
            $rsGallery=$oG->Read($vInicio, $vCount, $vName, $vArrCategory, $vArrFormat, $vArrKeyword);
            $vTotalFilas=$oG->Count($vName, $vArrCategory, $vArrFormat, $vArrKeyword);

            $arrImages=array(); if($rsGallery) $arrImages=$rsGallery->fetchAll(PDO::FETCH_ASSOC);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrImages;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";
            $jsondata['oPath_FTP'] = FTP_PATH;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete":
            $vMsgNoPermiso=""; $vPermiso=TienePermiso($sessCodigo, "images-delete", $vMsgNoPermiso);
            if($vPermiso){
                $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
                $swError=false; $msgError="Errors: ";

                $vPath=FTP_PATH.PATH_GALLERY_IMAGES_PUBLIC."/";
                $oFTP=new FTP();
                $oFTP->pServer=FTP_DOMAIN;
                $oFTP->pUser=FTP_USER;
                $oFTP->pPassword=FTP_PASS;
                $oFTP->pPort=FTP_PORT;

                $oG=new Access_Images_clsGallery();
                if (is_array($arrCheck)){
                    foreach($arrCheck as $i => $vGalleryId){
                        $rowGallery=$oG->getROw($vGalleryId);
                        $vFileName=trim($rowGallery['name']);
                        $intError=$oG->Delete($vGalleryId);
                        if($intError==0){
                            if($oFTP->File_Exists($vPath, $vFileName)){
                                $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                                if (!$vRpta){
                                    $swError=true;
                                    $msgError.="Error deleting file.";
                                }
                            }
                        }else{
                            $swError=true;
                            $msgError.="Error deleting record.";
                        }
                    }
                }
            }else{
                $swError=true;
                $msgError=$vMsgNoPermiso;
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $swNew=(intval($array['swnew'])==1);
            $vGalleryId=intval($array['galleryid']);

            $arrKeyword=array(); if(isset($array['chk'])) $arrKeyword=$array['chk'];

            $vArrKeyword=implode(",", $arrKeyword);
            $vArrKeyword=(trim($vArrKeyword)!=''?"array[".trim($vArrKeyword)."]":"null");
            
            $oG=new Access_Images_clsGallery();

            $oG->pDescription=Almacenar_Dato($array['txtDescription']);
            $oG->pCategoryId=intval($array['cboCategory']);
            $oG->pUploadDate=date('Y-m-d');

            if ($swNew){
                $intError=$oG->Add($vGalleryId, $vArrKeyword);
            }else{
                $intError=$oG->Edit($vGalleryId, $vArrKeyword);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oG->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "move-gallery-personal":
            $vGalleryId=intval($array['galleryid']);
            $vPersonaId=intval($array['personaid']);

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/";
            if (!$oFTP->Directory_Exists($vPath))$oFTP->Create_Dir($vPath);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            if (!$oFTP->Directory_Exists($vPath))$oFTP->Create_Dir($vPath);

            $oG=new Access_Images_clsGallery();

            $errNumber=0; $errDescription="";
            $rowGallery=$oG->getROW($vGalleryId);
            if($rowGallery){
                $vFileName=trim($rowGallery['name']);
                $vExtension=Extension($vFileName);

                $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";
                $vRpta=$oFTP->Get($vPath.$vFileName);

                if($vRpta){
                    $vFileNameTmp=PATH_TMP."/".$vFileName;

                    $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
                    $vNewFileName=$vPersonaId.$vExtension;
                    $vNewFileName=$oFTP->NewFileName($vPath, $vNewFileName);
                    $vRpta=$oFTP->Put($vFileNameTmp, $vPath.$vNewFileName);

                    if($vRpta){
                        $vPersonaGalleryId=0;
                        $oI=new AccesoNegocio_clsPersonaGallery();
                        $oI->pPersonaId=$vPersonaId;
                        $oI->pFileName=trim($vNewFileName);
                        $oI->pCaption="";
                        $oI->pDescription="";
                        $oI->pUrl="";
                        $oI->pDefault=false;
                        $oI->pStatus=true;
                        $intError=$oI->Add($vPersonaGalleryId);
                        $errNumber=$intError;
                        if($intError>0) $errDescription=$oI->getErrMsg($intError);
                    }else{
                        $errNumber=1; $errDescription="Problemas al subir la imagen";
                    }
                }else{
                    $errNumber=1; $errDescription="Problemas al descargar la imagen";
                }
            }else{
                $errNumber=1; $errDescription="Problemas al ubicar la imagen de la galeria";
            }

            $jsondata['Err'] = $errNumber;
            $jsondata['Description'] = $errDescription;
            echo json_encode($jsondata);
            break;

        case "getids":
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];
            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!="") $vArray="array[$vArray]"; else $vArray="null";

            $oG=new Access_Images_clsGallery();

            $rs=$oG->ReadIDS($vArray);

            $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrData as $i=>$rowGallery){
                $vFileName=trim($rowGallery['name']);
                $arrData[$i]['existe']=0;
                $arrData[$i]['extension']='';
                if($vFileName!=''){
                    $arrData[$i]['existe']=1;					
                    $arrList=explode(".", $vFileName);
                    $vExt=strtolower($arrList[count($arrList)-1]);
                    $arrData[$i]['size']=FormatSizeFile($arrData[$i]['size']);
                    $arrData[$i]['extension']=$vExt;
                }
            }

            $jsondata['oData'] = $arrData;
            $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";
            $jsondata['oPath_FTP'] = FTP_PATH;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath_Icons'] = HERRAMIENTAS_PHP_WEB."/iconos";
            $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "getid":
            $vGalleryId=intval($array['id']);

            $oG=new Access_Images_clsGallery();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vFileName=$vFileNameFull="";
            $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";

            $rowGallery=$oG->getROW($vGalleryId);
            if($rowGallery){
                $vFileName=trim($rowGallery['name']);
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vFileNameFull="http://".FTP_DOMAIN.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/".$vFileName;
                }
            }


            $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";
            $jsondata['oPath_FTP'] = FTP_PATH;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath_Icons'] = HERRAMIENTAS_PHP_WEB."/iconos";
            $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
            $jsondata['oImages'] = IMAGES;
            $jsondata['pFileNameFull'] = $vFileNameFull;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pGalleryId'] = $vGalleryId;
            echo json_encode($jsondata);
            break;
    }
?>