    var ajEdi=null; 
    function ShowEdi(){
        $("#tblEdi tbody, #tblAmb tbody, #lblPieAmb").html('');
        $("#lblPieEdi").html('Espere...');
        $("#chkAllEdi, #chkAllAmb").prop("checked", false);
        $('#edificioid').val('0');
        if(ajEdi) ajEdi.abort();
        ajEdi=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajAmbientes.php",
            data: ({miopcion:"showedi"}),
            success: function(oData){ if(oData)ShowGridEdi(oData); },
            complete: function(){ }
        });	
    }
    function ShowGridEdi(oData){
        $('#tblEdi tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr edificioid="'+oRow.edificioid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"  id="btnEdit" ></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.edificioid+'" id="chkEdi[]" name="chkEdi[]" /></td>';
            tblRow+='<td><b>'+oRow.edificioid+'</b></td>';
            tblRow+='<td>'+oRow.nombre+'</td>';
            tblRow+='</tr>';
        });
        $("#tblEdi tbody").html(tblRow);
        $('#lblPieEdi').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> registros');
        AsigFunEdi();
    }
    function AsigFunEdi(){
        $("#tblEdi tbody tr td").addClass("PADD_3 FS_11 BORDER_ALL");
        $("#tblEdi tbody tr td").css({"text-align":"center"});
        $("#tblEdi tbody tr td:nth-child(4)").css({"text-align":"left"});

        $("#tblEdi tbody td:nth-child(3), #tblEdi tbody td:nth-child(4)").addClass('HAND').click(function(event) {
            $('#tblEdi tr').removeClass('ROW_SELECTED4'); $(this).parent().addClass('ROW_SELECTED4');
            $('#edificioid').val($(this).parents("tr").attr('edificioid'));
            ShowAmb();
        });

        $("#tblEdi tbody input:checkbox[name='chkEdi[]']").change(function(e) {
            $("#chkAllEdi").prop("checked",$("#tblEdi tbody input:checkbox[name='chkEdi[]']:checked").length===$("#tblEdi tbody input:checkbox[name='chkEdi[]']").length);
            if($(this).is(":checked")){ $(this).parent().parent().addClass('ROW_SELECTED2');}else{$(this).parent().parent().removeClass('ROW_SELECTED2');}
        });

        $("#tblEdi tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e) { EditEdi($(this).parents("tr").attr('edificioid'), 0); });
    }
    var ajDelEdi=null;
    function DeleteEdi(){
        if ($("#tblEdi tbody input:checkbox[name='chkEdi[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblEdi tbody input:checkbox[name='chkEdi[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+$("#tblEdi tbody input:checkbox[name='chkEdi[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon('trash')+' Eliminar registros',
                    className: "btn-success",
                    callback: function(){
                        if(ajDelEdi)ajDelEdi.abort();
                        ajDelEdi=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajAmbientes.php",
                            data: $('#frmEdi').serialize()+"&miopcion=deleteedi", 
                            success: function(oRpta){ if(!oRpta.Err){ ShowEdi(); }else{ bootbox.alert(oRpta.Description); }}
                        });	
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });
    }


    var ajAmb=null;
    function ShowAmb(){
        $("#chkAllAmb").prop("checked", false);
        $("#tblAmb tbody").html('');
        $("#lblPieAmb").html('Espere...');
        if($('#edificioid').val()!='0'){
            if(ajAmb) ajAmb.abort();
            ajAmb=$.ajax({
                type: "POST",
                dataType: 'json',
                url: "ajax/ajAmbientes.php",
                data: ({miopcion:"showamb", edificioid:$('#edificioid').val() }),
                success: function(oData){ if(oData) ShowGridAmb(oData); },
                complete: function(){ }
            });
        }
    }
    function ShowGridAmb(oData){
        $('#tblAmb tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.ambienteid+'" ambienteid="'+oRow.ambienteid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"  id="btnEdit" ></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.ambienteid+'" id="chkAmb[]" name="chkAmb[]" /></td>';
            tblRow+='<td><b>'+oRow.ambienteid+'</b></td>';
            tblRow+='<td title="Posicion actual: '+oRow.orden+'">'+oRow.nombre+'</td>';
            tblRow+='<td>'+oRow.abreviatura+'</td>';
            tblRow+='<td><img src="'+oData.oImages+(oRow.estado?"/valido.gif":"/invalido.gif") + '" title="'+(oRow.estado?"Click para anular":"Click para activar")+'"></td>';
            tblRow+='</tr>';
        });
        $("#tblAmb tbody").html(tblRow);
        $('#lblPieAmb').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> registros');
        AsigFunAmb();
    }
    var ajOrd=null;
    function AsigFunAmb(){
        $("#tblAmb tbody tr td").addClass("PADD_3 FS_11 BORDER_ALL");
        $("#tblAmb tbody tr:nth-child(2n+1)").addClass("odd");
        $("#tblAmb tbody tr:nth-child(2n+2)").addClass("even");
        
        $("#tblAmb tbody tr td").css({"text-align":"center"});
        $("#tblAmb tbody tr td:nth-child(4)").css({"text-align":"left"});
        
        $("#tblAmb tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e){ EditAmb($(this).parents("tr").attr('ambienteid'), 0); });

        $("#tblAmb tbody input:checkbox[name='chkAmb[]']").change(function(e) {
            $("#chkAllAmb").prop("checked",$("#tblAmb tbody input:checkbox[name='chkAmb[]']:checked").length===$("#tblAmb tbody input:checkbox[name='chkAmb[]']").length);
            if($(this).is(":checked")){ $(this).parent().parent().addClass('ROW_SELECTED2');}else{$(this).parent().parent().removeClass('ROW_SELECTED2');}
        });
        $("#tblAmb tbody tr td:nth-child(6) img").addClass('HAND').click(function(e){ 
            var vAmbienteId=$(this).parents("tr").attr('ambienteid');
            var vImg=$(this);
            $.ajax({
                type: "POST",
                dataType: 'json',
                timeout: 2000,
                global: false,
                url: "ajax/ajAmbientes.php",
                data: ({miopcion:"ambiente-cambiar-estado", ambienteid:vAmbienteId }),
                success: function(oRpta){ if(!oRpta.Err){ vImg.attr('src', oRpta.oImages+(oRpta.Status?'/valido.gif':'/invalido.gif'));  vImg.attr('title', (oRpta.Status?'Click para anular':'Click para activar')); }else{bootbox.alert(oRpta.Description)}; }
            });
        });
        
        $("#tblAmb tbody").tableDnD({
            onDragClass: "myDragClass",
            onDrop:function(table, row) {
                var myArr=[];
                $('#tblAmb tbody tr').each(function(oIndex){ myArr[oIndex]=$(this).attr('id'); });
                var vStart=1;
                if(ajOrd)ajOrd.abort();
                ajOrd=$.ajax({
                    type: "POST",
                    dataType: 'json',
                    global: false,
                    url: "ajax/ajAmbientes.php",
                    data: ({miopcion:"reordenar_amb", ids:myArr, edificioid:$('#edificioid').val() }),
                    success: function(oRpta){ 
                        if(!oRpta.Err){
                            $("#tblAmb tbody tr").removeClass("odd").removeClass("even");
                            $("#tblAmb tbody tr:nth-child(2n+1)").addClass("odd");
                            $("#tblAmb tbody tr:nth-child(2n+2)").addClass("even");
                            $('#tblAmb tbody tr td:nth-child(4)').each(function(){ $(this).attr('title', 'Order: '+vStart); vStart++;  }); 
                        }else{
                            bootbox.alert(oRpta.Description); ShowAmb(); 
                        }; 
                    }
                });
            }
        });

    }
    var ajDelAmb=null;
    function DeleteAmb(){
        if ($("#tblAmb tbody input:checkbox[name='chkAmb[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblAmb tbody input:checkbox[name='chkAmb[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+$("#tblAmb tbody input:checkbox[name='chkAmb[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon('trash')+' Eliminar registros',
                    className: "btn-success",
                    callback: function(){
                        if(ajDelAmb)ajDelAmb.abort();
                        ajDelAmb=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajAmbientes.php",
                            data: $('#frmAmb').serialize()+"&miopcion=deleteamb", 
                            success: function(oRpta){ if(!oRpta.Err){ShowAmb();}else{bootbox.alert(oRpta.Description);}}
                        });	
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });
    }

    function EditEdi(vEdificioId, swNew){$("#capFondo, #capFrame").show(); $('#capFrame').html("<iframe src='EdificioEdit.php?edificioid="+vEdificioId+"&swnew="+swNew+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function EditAmb(vAmbienteId, swNew){$("#capFondo, #capFrame").show();$('#capFrame').html("<iframe src='AmbienteEdit.php?ambienteid="+vAmbienteId+"&swnew="+swNew+"&edificioid="+$("#edificioid").val()+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Cerrar(){ $("#capFondo, #capFrame").hide().html(""); }

    $(document).ready(function(){
        $("#chkAllEdi").change(function(e){
            $("#tblEdi tbody input:checkbox[name='chkEdi[]']").prop("checked",this.checked);
            $("#tblEdi tbody input:checkbox[name='chkEdi[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblEdi tbody input:checkbox[name='chkEdi[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#chkAllAmb").change(function(e){
            $("#tblAmb tbody input:checkbox[name='chkAmb[]']").prop("checked",this.checked);
            $("#tblAmb tbody input:checkbox[name='chkAmb[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblAmb tbody input:checkbox[name='chkAmb[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });

        $('#btnEdiDelete').click(function(e){DeleteEdi();});
        $('#btnEdiShow').click(function(e){ShowEdi();}).click();
        $('#btnEdiEdit').click(function(e){EditEdi(0, 1);});

        $('#btnAmbDelete').click(function(e){DeleteAmb();});
        $('#btnAmbShow').click(function(e){ShowAmb();});
        $('#btnAmbEdit').click(function(e){EditAmb(0, 1);});
    });