<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu="INV-RPT-GERENCIAL"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $oZ= new Acceso_clsZona();
    $rs=$oZ->Leer();
    $arrZonas=array(); if($rs)$arrZonas=$rs->fetchAll(PDO::FETCH_ASSOC);
    
    $oE= new Acceso_clsPermisos_Empresa();
    $rs=$oE->Empresas($sessCodigo);
    $arrEmpresas=array(); if($rs)$arrEmpresas=$rs->fetchAll(PDO::FETCH_ASSOC);

    $arrTipoVenta=array(array("codigo"=>"0", "nombre"=>"MERCADERIA"), array("codigo"=>"1", "nombre"=>"SERVICIOS"));
?>
<!DOCTYPE html>
<html>
    <head>
        <title>REPORTES GERENCIALES</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_order_table.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsKardex.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
        <script language="javascript" type="text/javascript" src="js/reportes-gerenciales.js?20170922006"></script>
    </head>
    <body>
        <div id="divHeader"><?=getTitle("REPORTES GERENCIALES")?></div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px; overflow: hidden">

                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" data-toggle="tab">Ventas Mensuales</a></li>
                    <li><a href="#oTabs-2" data-toggle="tab">Ventas Diarias</a></li>
                    <li><a href="#oTabs-3" data-toggle="tab">Productos mas Vendidos</a></li>
                    <li><a href="#oTabs-4" data-toggle="tab">Stock</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs1Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?
                                echo getSelect($arrEmpresas, "cboVenMenEmpresa", "empresaid", "nombre", 0, 'form-control', "width:250px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                                echo getSelect($arrTipoVenta, "cboVenMenTipo", "codigo", "nombre", 0, 'form-control', "width:150px;", "-1", "TODOS", true);
                                ?>
                                <select name="cboVenMenAno" id="cboVenMenAno" class="form-control" style="width:100px;">
                                    <option value="<?=date(Y)?>"><?=date('Y')?></option>
                                </select>
                                <?
                                echo getSelect($arrZonas, "cboVenMenZona", "zonaid", "nombre", 0, 'form-control', "width:200px;", "0", "Todas las zonas", true);
                                ?>
                                <?=bRefresh("btnVenMenRef", "")?>
                                <?=bDefault("btnVenMenPdf", "", "", "Enviar a PDF", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/pdf")?>
                                <?=bDefault("btnVenMenXls", "", "", "Enviar a Excel", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/xls")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs1Body">
                            <table id="tblVenMen" class="standard" empresaid="0" ano="0">
                                <thead></thead>
                                <tbody></tbody>
                                <tfoot></tfoot>
                            </table>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs1Bottom">
                            <div class="float-left" id="lblVenMenMsg"></div>
                        </div>
                    </div>
                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs2Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?
                                echo getSelect($arrEmpresas, "cboVenDiaEmpresa", "empresaid", "nombre", 0, 'form-control', "width:250px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                                echo getSelect($arrTipoVenta, "cboVenDiaTipo", "codigo", "nombre", 0, 'form-control', "width:150px;", "-1", "TODOS", true);
                                echo getSelect($arrZonas, "cboVenDiaZona", "zonaid", "nombre", 0, 'form-control', "width:200px;", "0", "Todas las zonas", true);
                                echo getInputText("txtVenDiaDesde", "", getDateFromStr('monday this week'), 10, "form-control", "max-width:100px");
                                echo getInputText("txtVenDiaHasta", "", date('d/m/Y'), 10, "form-control", "max-width:100px");
                                ?>
                                <?=bRefresh("btnVenDiaRef", "")?>
                                <?=bDefault("btnVenDiaPdf", "", "", "Enviar a PDF", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/pdf")?>
                                <?=bDefault("btnVenDiaXls", "", "", "Enviar a Excel", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/xls")?>
                            </div>
                            
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs2Body">
                            <table id="tblVenDia" class="standard" empresaid="0">
                                <thead></thead>
                                <tbody></tbody>
                                <tfoot></tfoot>
                            </table>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs2Bottom">
                            <div class="float-left" id="lblVenDiaMsg"></div>
                        </div>
                    </div>

                    <div id="oTabs-3" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs3Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?
                                echo getSelect($arrEmpresas, "cboProMasEmpresa", "empresaid", "nombre", 0, 'form-control', "width:250px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                                echo getSelect($arrZonas, "cboProMasZona", "zonaid", "nombre", 0, 'form-control', "width:200px;", "0", "Todas las zonas", true);
                                echo getInputText("txtProMasDesde", "", getDateFromStr('first day of this month'), 10, "form-control", "max-width:100px");
                                echo getInputText("txtProMasHasta", "", date('d/m/Y'), 10, "form-control", "max-width:100px");
                                ?>
                                <?=bRefresh("btnProMasRef", "Refrescar")?>
                                <?=bDefault("btnProMasPdf", "", "", "Enviar a PDF", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/pdf")?>
                                <?=bDefault("btnProMasXls", "", "", "Enviar a Excel", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/xls")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs3Body">
                            <table id="tblProMas" class="standard" empresaid="0">
                                <thead></thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs3Bottom">
                            <div class="float-left" id="lblProMasMsg"></div>
                        </div>
                    </div>
                    <div id="oTabs-4" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs4Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?
                                echo getSelect($arrEmpresas, "cboStockEmpresa", "empresaid", "nombre", 0, 'form-control', "width:250px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                                ?>
                                <select name="cboStockAno" id="cboStockAno" class="form-control" style="width:100px;">
                                    <option value="<?=date(Y)?>"><?=date('Y')?></option>
                                </select>
                                <?
                                echo getSelect($arrZonas, "cboStockZona", "zonaid", "nombre", 0, 'form-control', "width:200px;", "0", "Todas las zonas", true);
                                ?>
                                <?=bRefresh("btnStockRef", "Refrescar")?>
                                <?=bDefault("btnStockPdf", "", "", "Enviar a PDF", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/pdf")?>
                                <?=bDefault("btnStockXls", "", "", "Enviar a Excel", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/xls")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs4Body">
                            <table id="tblStock" class="standard" empresaid="0">
                                <thead></thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs4Bottom">
                            <div class="float-left" id="lblStockMsg"></div>
                        </div>
                    </div>

                </div>
                
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border: 0px; z-index: 9999999;"></div>
    </body>
</html>