<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="TRANSFERENCIA"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $swNew=(intval($array['swnew'])==1);
    $vTransferenciaId=intval($array['transferenciaid']);
    $vProductoId=intval($array['productoid']);
    $vCantidad=doubleval($array['cantidad']);
    $vPrecio=doubleval($array['precio']);

    $oI=new Acceso_clsTransferencia();
    $oP=new Acceso_clsProducto();
    $rowPro=$oP->getROW($vProductoId);
    
    $vDecCantidad=2;
    $vDecPrecio=4;
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>TRANSFERENCIAS - AGREGAR ITEM</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/transferenciaadditem.js?20170828001"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
    </head>
    <body onLoad="$('#txtCantidad').select().focus();">
        <div id="divHeader">
            <?=getTitle(($swNew?"AGREGANDO ITEM AL INGRESO":"EDITANTO ITEM DEL INGRESO"))?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmPanel" class="form-horizontal">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="transferenciaid" id="transferenciaid" value="<?=$vTransferenciaId?>">
                    <input type="hidden" name="productoid" id="productoid" value="<?=$vProductoId?>">
                    <input type="hidden" name="total" id="total" value="0">
                    <input type="hidden" name="deccan" id="deccan" value="<?=$vDecCantidad?>">
                    <input type="hidden" name="decpre" id="decpre" value="<?=$vDecPrecio?>">
                    <?
                    getFormGroupBegin("PRODUCTO");
                    ?>
                    <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                        <?=InputGroupAddOn("objProducto", "width:407px; text-align:left; font-weight:bold;", "", ($rowPro?$rowPro['nombre']:""))?>
                        <?= bDefault("btnProdOpt", "", "list", "")?>
                    </div>
                    <?
                    getFormGroupEnd();
                    
                    getFormGroupText("txtCantidad", "CANTIDAD", number_format($vCantidad, $vDecCantidad), 0, "", "", "max-width:150px; text-align:right;");
                    getFormGroupText("txtPrecio", "PRECIO", number_format($vPrecio, $vDecPrecio), 0, "", "", "max-width:150px; text-align:right;");
                    
                    getFormGroupBegin("TOTAL");
                    ?>
                    <div class="<?=clsInputGroup()?>">
                        <?= InputGroupAddOn("", "width:50px", "", "S/.")?>
                        <?= InputGroupAddOn("lblTotal", "width:100px; font-weight:bold; text-align:right;", "", "0.00")?>
                    </div>
                    <?
                    getFormGroupEnd();
                    
                    getFormGroupBegin("");
                    echo bSave("btnSave", ($swNew?"Incluir item":"Actualizar item"));
                    getFormGroupEnd();
                    ?>
                </form>
            </div>
        </div>
    </body>
</html>