<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu="INV-RPT-GERENCIAL"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $array=$_GET;
    $vEmpresaId=intval($array['empresaid']);
    $vTipo=intval($array['tipo']);
    $vAlmacenId=intval($array['almacenid']);
    $vClienteId=intval($array['clienteid']);
    $vProductoId=intval($array['productoid']);
    $vDesde=trim($array['desde']);
    $vHasta=trim($array['hasta']);
    
    if(trim($vDesde)!='') $vDesde=FormatDate(CDate($vDesde));
    if(trim($vHasta)!='') $vHasta=FormatDate(CDate($vHasta));
    
    $oE= new Acceso_clsEmpresa();
    $oA= new Acceso_clsAlmacen();
    
    $rowEmpresa=$oE->getROW($vEmpresaId);
    $vAlmacenNombre="TODOS LOS ALMACENES";
    if($vAlmacenId>0){
        $rowAlmacen=$oA->getROW($vAlmacenId);
        if($rowAlmacen){
            $vAlmacenNombre=$rowAlmacen['nombre'];
        }else{
            $vAlmacenNombre="ALMACEN NO DEFINIDO";
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>VENTA - CONSULTA</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_number.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/ventaconsulta.js?20180904003"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnRefresh()?><?=getTitle($rowEmpresa['nombre'].": CONSULTA DE VENTAS")?><?=btnClose()?>
        </div>
        <div id="divSearch" class="BORDER_B BG1" style="height: 110px; padding: 3px;">
            <table>
                <tbody>
                    <tr>
                        <td class="lbl" width="80px">ALMACEN:</td>
                        <td>
                            <?
                            $oA= new Acceso_clsPermisos_Almacen();
                            $rs=$oA->LeerAlmacenes($vEmpresaId, $sessCodigo, 0);
                            $arrAlm=array(); if($rs)$arrAlm=$rs->fetchAll(PDO::FETCH_ASSOC);
                            echo getSelect($arrAlm, "cboAlmacen", "almacenid", "nombre", $vAlmacenId, 'form-control', "width:250px;", "0", "Todos los almacenes", true);
                            ?>
                        </td>
                        <td class="lbl" width="80px">TIPO:</td>
                        <td>
                            <?
                            $arrAux=array(array("codigo"=>"0", "nombre"=>"VENTA DE MERCADERIA"), array("codigo"=>"1", "nombre"=>"VENTA DE SERVICIOS"));
                            echo getSelect($arrAux, "cboTipoVenta", "codigo", "nombre", $vTipo, 'form-control', "width:200px;", "0", "TODOS LOS TIPOS", false);
                            ?>
                        </td>
                    <tr>
                        <td class="lbl">CLIENTE:</td>
                        <td>
                            <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                <?=bDefault("btnCliSel", "", "user", "Seleccionar cliente")?>
                                <?=InputGroupAddOn("objCliente", "width:300px; text-align:left; padding:0px; ")?>
                                <?=bDefault("btnCliClear", "", "remove", "Quitar cliente")?>
                            </div>
                        </td>
                        <td class="lbl">DESDE:</td>
                        <td><?= getInputText("txtDesde", "dd/mm/aaaa", $vDesde, 10, "form-control", "width:100px; text-align:center;")?></td>
                    </tr>
                    <tr>
                        <td class="lbl">PRODUCTO:</td>
                        <td>
                            <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                <?=bDefault("btnProSel", "", "list", "Seleccionar producto")?>
                                <?=InputGroupAddOn("objProducto", "width:300px; text-align:left; padding:0px; padding-left:2px; ")?>
                                <?=bDefault("btnProClear", "", "remove", "Quitar producto")?>
                            </div>
                        </td>
                        <td class="lbl">HASTA:</td>
                        <td><?= getInputText("txtHasta", "dd/mm/aaaa", $vHasta, 10, "form-control", "width:100px; text-align:center;")?></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px;">
                <form id="frmPanel" method="post" action="#">
                    <input type="hidden" name="clienteid" id="clienteid" value="<?=$vClienteId?>">
                    <input type="hidden" name="productoid" id="productoid" value="<?=$vProductoId?>">
                    <input type="hidden" value="<?=$vEmpresaId?>" id="empresaid" name="empresaid">
                    <input type="hidden" value="<?=$vAlmacenId?>" id="almacenid" name="almacenid">
                    <table width="100%" id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="30px"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                <th width="60px">ID</th>
                                <th class="left" title="ALMACEN / TIENDA">ALM</th>
                                <th width="80px">FECHA</th>
                                <th width="50px"></th>
                                <th width="130px">NUMERO</th>
                                <th width="100px">DNI/RUC</th>
                                <th class="left">CLIENTE</th>
                                <th width="100px" class="right">TOTAL</th>
                                <th width="30px"></th>
                                <th width="140px">REGISTRO</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T standard" style="padding: 5px">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
                <div class="<?=clsBtnGroup()?>">
                    <?= InputGroupAddOn("", "width:80px; text-align:right;", "", "TOTAL:")?>
                    <?= InputGroupAddOn("lblTotal", "width:150px; font-weight:bold; text-align:right; color:#FF0000;", "", "0.00")?>
                </div>
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border: 0px; z-index: 9999999;"></div>
    </body>
</html>
<?
if($vClienteId>0){
    ?>
    <script> $(function(){ ShowPerson($("#objCliente"), <?=json_encode(getPersona($vClienteId))?>, {nombre:'ClienteEdit', titulo:'ACTUALIZANDO DATOS DEL CLIENTE'}); }); </script>
    <? 
}
?>