<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu="INV-RPT-GERENCIAL"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $array=$_GET;
    $vEmpresaId=intval($array['empresaid']);
    $vAlmacenId=intval($array['almacenid']);
    $vProductoId=intval($array['productoid']);
    $vDesde=trim($array['desde']);
    $vHasta=trim($array['hasta']);
    
    if(trim($vDesde)!='') $vDesde=FormatDate(CDate($vDesde));
    if(trim($vHasta)!='') $vHasta=FormatDate(CDate($vHasta));
    
    $oE= new Acceso_clsEmpresa();
    $oA= new Acceso_clsAlmacen();
    
    $rowEmpresa=$oE->getROW($vEmpresaId);
    $vAlmacenNombre="TODOS LOS ALMACENES";
    if($vAlmacenId>0){
        $rowAlmacen=$oA->getROW($vAlmacenId);
        if($rowAlmacen){
            $vAlmacenNombre=$rowAlmacen['nombre'];
        }else{
            $vAlmacenNombre="ALMACEN NO DEFINIDO";
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>VENTA - CONSULTA POR PRODUCTO</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_number.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/ventaconsultaproducto.js?20170906002"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnRefresh()?><?=getTitle("CONSULTA DE VENTAS POR PRODUCTO")?><?=btnClose()?>
        </div>
        <div id="divTit" class="BORDER_B" style="height: 30px; padding: 5px;">
            <div class="float-left"><strong class="FS_14 BLUE"><?= Mostrar_Dato($rowEmpresa['nombre'])?></strong> / <strong class="FS_14 RED"><?= Mostrar_Dato($vAlmacenNombre)?></strong></div>
            <div class="float-right"></div>
        </div>
        <div id="divSearch" class="BORDER_B BG1" style="height: 110px; padding: 3px;">
            <table>
                <tbody>
                    <tr>
                        <td class="lbl" width="80px">DESDE:</td>
                        <td><?= getInputText("txtDesde", "dd/mm/aaaa", $vDesde, 10, "form-control", "width:100px; text-align:center;")?></td>
                    </tr>
                    <tr>
                        <td class="lbl">HASTA:</td>
                        <td><?= getInputText("txtHasta", "dd/mm/aaaa", $vHasta, 10, "form-control", "width:100px; text-align:center;")?></td>
                    </tr>
                    <tr>
                        <td class="lbl">PRODUCTO:</td>
                        <td colspan="3">
                            <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                <?=bDefault("btnProSel", "", "list", "Seleccionar producto")?>
                                <?=InputGroupAddOn("objProducto", "width:300px; text-align:left; padding:0px; padding-left:2px; ")?>
                                <?=bDefault("btnProClear", "", "remove", "Quitar producto")?>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px;">
                <form id="frmPanel" method="post" action="#">
                    <input type="hidden" name="productoid" id="productoid" value="<?=$vProductoId?>">
                    <input type="hidden" value="<?=$vEmpresaId?>" id="empresaid" name="empresaid">
                    <input type="hidden" value="<?=$vAlmacenId?>" id="almacenid" name="almacenid">
                    <table width="100%" id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="30px"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                <th width="60px">ID</th>
                                <th class="left" title="ALMACEN / TIENDA">ALM</th>
                                <th width="80px">FECHA</th>
                                <th width="50px"></th>
                                <th width="130px">NUMERO</th>
                                <th width="100px">DNI/RUC</th>
                                <th class="left">CLIENTE</th>
                                <th width="80px" class="right">CANT</th>
                                <th width="80px" class="right">PRECIO</th>
                                <th width="100px" class="right">TOTAL</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T standard" style="padding: 5px">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
                <div class="<?=clsBtnGroup()?>">
                    <?= InputGroupAddOn("", "width:80px; text-align:right;", "", "CANT:")?>
                    <?= InputGroupAddOn("lblCantidad", "width:100px; font-weight:bold; text-align:right; color:#FF0000;", "", "0.00")?>
                    <?= InputGroupAddOn("", "width:80px; text-align:right;", "", "TOTAL:")?>
                    <?= InputGroupAddOn("lblTotal", "width:100px; font-weight:bold; text-align:right; color:#FF0000;", "", "0.00")?>
                </div>
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border: 0px; z-index: 9999999;"></div>
    </body>
</html>
<?
if($vProductoId>0){
    ?>
    <script> $(function(){ ShowProducto($("#objProducto"), <?=json_encode(getProducto($vProductoId))?>, {nombre:'ProductoEdit', titulo:'ACTUALIZANDO DATOS DEL PRODUCTO'}); }); </script>
    <? 
}
?>