<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu="SUPERV-VENTAS"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $oZ= new Acceso_clsZona();
    $rs=$oZ->Leer();
    $arrZonas=array(); if($rs)$arrZonas=$rs->fetchAll(PDO::FETCH_ASSOC);
    
    $oE= new Acceso_clsPermisos_Empresa();
    $rs=$oE->Empresas($sessCodigo);
    $arrEmpresas=array(); if($rs)$arrEmpresas=$rs->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>SUPERVISION - VENTAS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsKardex.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
        <script language="javascript" type="text/javascript" src="js/ventas-supervision.js?20170922002"></script>
    </head>
    <body>
        <div id="divHeader"><?=getTitle("SUPERVISION - VENTAS")?></div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px; overflow: hidden">

                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" data-toggle="tab">Correlativos Libres</a></li>
                    <li><a href="#oTabs-2" data-toggle="tab">Rastro</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs1Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?
                                echo getSelect($arrEmpresas, "cboSeriesEmpresa", "empresaid", "nombre", 0, 'form-control', "width:250px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                                ?>
                                <?
                                echo getSelect($arrZonas, "cboSeriesZona", "zonaid", "nombre", 0, 'form-control', "width:200px;", "0", "Todas las zonas", true);
                                ?>
                                <?=bRefresh("btnSeriesRef", "Refrescar")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs1Body">
                            <table id="tblSeries" class="standard" width="100%">
                                <thead>
                                    <tr class="title1">
                                        <th class="left">ALMACEN</th>
                                        <th class="left">TIPO DOCUMENTO</th>
                                        <th width="70px">SERIE</th>
                                        <th width="70px">INICIO</th>
                                        <th width="70px">FIN</th>
                                        <th width="70px">CANT</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs1Bottom">
                            <div class="float-left" id="lblSeriesMsg"></div>
                        </div>
                    </div>

                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs2Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?
                                echo getSelect($arrEmpresas, "cboRastroEmpresa", "empresaid", "nombre", 0, 'form-control', "width:250px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                                ?>
                                <?
                                echo getSelect($arrZonas, "cboRastroZona", "zonaid", "nombre", 0, 'form-control', "width:200px;", "0", "Todas las zonas", true);
                                echo getInputText("txtRastroTexto", "Buscar", "", 0, "form-control", "width:100px");
                                ?>
                                <?=bRefresh("btnRastroRef", "Refrescar")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs2Body">
                            <input type="hidden" name="txtRastroPage" id="txtRastroPage" value="1">
                            <table id="tblRastro" class="standard" width="100%">
                                <thead>
                                    <tr class="title1">
                                        <th width="70px">ID</th>
                                        <th width="70px">FECHA</th>
                                        <th width="30px">&nbsp;</th>
                                        <th width="50px">&nbsp;</th>
                                        <th align="left">DETALLES</th>
                                        <th width="120px">USUARIO</th>
                                        <th width="120px">IP</th>
                                        <th width="20px">&nbsp;</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs2Bottom">
                            <div class="float-left">
                                <div class="float-left" id="lblRastroMsg"></div>
                            </div>
                            <div class="float-right">
                                <div class="float-left" id="lblRastroPage"></div>
                                <div class="float-right" style="padding-left:15px"><? echo ShowSelectPage(100, "txtRastroCount"); ?></div>
                            </div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border: 0px; z-index: 9999999;"></div>
    </body>
</html>