<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vEmpresaId=intval($array['empresaid']);
            $vAlmacenId=intval($array['almacenid']);
            $vTipoDocumentoId=intval($array['tipodocumentoid']);
            $vPersonaId=intval($array['personaid']);
            $vNombre=trim($array['nombre']);
            $vDesde=trim($array['desde']); if(trim($vDesde)!='') $vDesde=CDate($vDesde);
            $vHasta=trim($array['hasta']); if(trim($vHasta)!='') $vHasta=CDate($vHasta);
            
            $vPage=0;
            $vCount=intval($array['count']);
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;
            $vInicio = ($vPage-1) * $vCount;
            
            $oOC=new Acceso_clsIngreso();
            $rs=$oOC->Leer($vInicio, $vCount, $vEmpresaId, $sessCodigo, $vAlmacenId, $vTipoDocumentoId, $vPersonaId, $vNombre, $vDesde, $vHasta);
            $vTotalFilas=$oOC->Count($vEmpresaId, $sessCodigo, $vAlmacenId, $vTipoDocumentoId, $vPersonaId, $vNombre, $vDesde, $vHasta);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oOC=new Acceso_clsIngreso();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vIngresoId){
                    $intError=$oOC->Eliminar($vIngresoId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oOC->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "cambiar_estado";
            $vIngresoId=intval($array['almacenid']);

            $oOC=new Acceso_clsIngreso();
            $intError=$oOC->Cambiar_Estado($vIngresoId, $sessCodigo, miIP());

            $rowAlm=$oOC->getROW($vIngresoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oOC->getErrMsg($intError));
            $jsondata['Status'] = ($rowAlm['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>