<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "incluir":
            $vProductoId=intval($array['productoid']);
            $vCantidad=doubleval($array['cantidad']);
            $vPrecio=doubleval($array['precio']);
            $vTotal=doubleval($array['total']);
            $vBonificacion=doubleval($array['bonificacion']);

            $oP=new Acceso_clsProducto();
            $rowPro=$oP->getROW($vProductoId);
            
            $intError=0; $msgError=""; $arrData=array();
            if(!$rowPro){
                $intError=1; $msgError="Producto no existe";
            }else{
                $arrData=array(array("productoid"=>$rowPro['productoid'], "producto_nombre"=>$rowPro['nombre'], "cantidad"=>$vCantidad, "precio"=>$vPrecio, "total"=>$vTotal, "bonificacion"=>$vBonificacion));
            }

            $jsondata['oData'] = $arrData;
            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = $msgError;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "getcorrelativo":
            $vEmpresaId=intval($array['empresaid']);
            $vAlmacenId=intval($array['almacenid']);

            $oI=new Acceso_clsIngreso();

            $jsondata['oCorrelativo'] = intval($oI->getCorrelativo($vEmpresaId, $vAlmacenId));
            echo json_encode($jsondata);
            break;
        case "update":
            $oI=new Acceso_clsIngreso();
            $oI->pEmpresaId=intval($array['empresaid']);
            $oI->pAlmacenId=intval($array['almacenid']);
            $oI->pCorrelativo=intval($array['txtCorrelativo']);
            $oI->pTipMovMerId=intval($array['cboTipMovMer']);
            $oI->pTipoDocumentoId=intval($array['cboTipoDocumento']);
            $oI->pNumero=Almacenar_Dato($array['txtNumero']);
            $oI->pPersonaId=intval($array['personaid']);
            $oI->pFecha=CDate($array['txtFecha']);
            $oI->pMoneda=Almacenar_Dato($array['cboMoneda']);
            $oI->pTotal=doubleval($array['gentotal']);
            $oI->pCambio=doubleval($array['txtCambio']);
            $oI->pReferencia=Almacenar_Dato($array['optRef']);
            $oI->pReferenciaId1=intval($array['referenciaid1']);
            $oI->pReferenciaId2=intval($array['referenciaid2']);
            $oI->pReferenciaDetalle=Almacenar_Dato($array['txtReferenciaDetalle']);
            $oI->pObservacion=Almacenar_Dato($array['txtObservacion']);
            
            $vArray="";
            $arrIDS=array(); if(isset($array['productoid']))$arrIDS=$array['productoid'];
            $arrCantidad=$array['cantidad'];
            $arrPrecio=$array['precio'];
            $arrTotal=$array['total'];
            $arrBonif=$array['bonificacion'];
            if(is_array($arrIDS)){
                foreach($arrIDS as $i => $vProductoId){
                    $myArray.="[";
                    $myArray.="'".intval($vProductoId)."',";
                    $myArray.="'".doubleval($arrCantidad[$i])."',";
                    $myArray.="'".doubleval($arrBonif[$i])."',";
                    $myArray.="'".doubleval($arrPrecio[$i])."',";
                    $myArray.="''";
                    $myArray.="],";
                }
                if(trim($myArray)!=''){
                    $myArray=substr($myArray,0, -1);
                    $myArray="array[$myArray]";
                }else $myArray="null";
            }else $myArray="null";

            $vIngresoId=intval($array['ingresoid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oI->Agregar($vIngresoId, $myArray, $sessCodigo, miIP());
            }else{
                $intError=$oI->Modificar($vIngresoId, $myArray, $sessCodigo, miIP());
            }

            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = ($intError==0?"":$oI->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
    }
?>