<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oM=new Acceso_clsMotivoNotas();
            $rs=$oM->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oM=new Acceso_clsMotivoNotas();
            $oM->pTipo=Almacenar_Dato($array['cboTipo']);
            $oM->pNombre=Almacenar_Dato($array['txtNombre']);
            $oM->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oM->pCodigoContable=Almacenar_Dato($array['txtCodigoContable']);
            $oM->pAfectaStock=isset($array['chkAfectaStock']);
            $oM->pEstado=isset($array['chkEstado']);
            $vMotivoId=intval($array['motivoid']);
            if (intval($array['swnew'])==1){
                $intError=$oM->Agregar($vMotivoId);
            }else{
                $intError=$oM->Modificar($vMotivoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oM->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oM=new Acceso_clsMotivoNotas();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vMotivoId){
                    $intError=$oM->Eliminar($vMotivoId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oM->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vMotivoId=intval($array['motivoid']);

            $oM=new Acceso_clsMotivoNotas();
            $intError=$oM->Cambiar_Estado($vMotivoId, $sessCodigo, miIP());

            $rowTipo=$oM->getROW($vMotivoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oM->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oM=new Acceso_clsMotivoNotas();
            $vRpta=$oM->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>