<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vEmpresaId=intval($array['empresaid']);
            
            $vPage=0;
            $vCount=intval($array['count']);
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;
            $vInicio = ($vPage-1) * $vCount;
            
            $oOC=new Acceso_clsOrdenCompra();
            $rs=$oOC->Leer($vInicio, $vCount, $vEmpresaId);
            $vTotalFilas=$oOC->Count($vEmpresaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oOC=new Acceso_clsOrdenCompra();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vOrdenCompraId){
                    $intError=$oOC->Eliminar($vOrdenCompraId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oOC->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "cambiar_estado";
            $vOrdenCompraId=intval($array['almacenid']);

            $oOC=new Acceso_clsOrdenCompra();
            $intError=$oOC->Cambiar_Estado($vOrdenCompraId, $sessCodigo, miIP());

            $rowAlm=$oOC->getROW($vOrdenCompraId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oOC->getErrMsg($intError));
            $jsondata['Status'] = ($rowAlm['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>