<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "incluir":
            $vProductoId=intval($array['productoid']);
            $vCantidad=doubleval($array['cantidad']);
            $vValorVenta=doubleval($array['valor_venta']);
            $vPrecio=doubleval($array['precio']);
            $vDescuentoPorc=doubleval($array['descuento_porc']);
            $vDescuentoPorcValor=doubleval($array['descuento_porc_valor']);
            $vDescuentoFijo=doubleval($array['descuento_fijo']);
            $vDescuento=($vDescuentoPorcValor+$vDescuentoFijo);
            $vGrabado=intval($array['grabado']);
            $vIGV=doubleval($array['igv']);
            $vTotal=doubleval($array['total']);
            $vTipoCalculo=intval($array['tipocalculo']);

            $oP=new Acceso_clsProducto();
            $rowPro=$oP->getROW($vProductoId);
            
            $intError=0; $msgError=""; $arrData=array();
            if(!$rowPro){
                $intError=1; $msgError="Producto no existe";
            }else{
                $arrData=array(array("productoid"=>$rowPro['productoid'], "producto"=>$rowPro['nombre'], "grabado"=>$vGrabado, "cantidad"=>$vCantidad, "valor_venta"=>$vValorVenta, "precio"=>$vPrecio, "descuento_porc"=>$vDescuentoPorc, "descuento_porc_valor"=>$vDescuentoPorcValor, "descuento_fijo"=>$vDescuentoFijo, "descuento"=>$vDescuento, "igv"=>$vIGV, "total"=>$vTotal, "tipocalculo"=>$vTipoCalculo ));
            }

            $jsondata['oData'] = $arrData;
            $jsondata['oCantidad'] = $vCantidad;
            $jsondata['oPrecio'] = $vValorVenta;
            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = $msgError;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "getcorrelativo":
            $vEmpresaId=intval($array['empresaid']);

            $oOC=new Acceso_clsOrdenCompra();

            $jsondata['oCorrelativo'] = intval($oOC->getCorrelativo($vEmpresaId));
            echo json_encode($jsondata);
            break;
        case "update":
            $oOC=new Acceso_clsOrdenCompra();
            $oOC->pEmpresaId=intval($array['empresaid']);
            $oOC->pCorrelativo=intval($array['txtCorrelativo']);
            $oOC->pFecha=CDate($array['txtFecha']);
            $oOC->pProveedorId=intval($array['proveedorid']);
            $oOC->pCondicionPagoId=intval($array['cboCondicionPago']);
            $oOC->pMoneda=Almacenar_Dato($array['cboMoneda']);
            $oOC->pParaAreaId=intval($array['cboArea']);
            $oOC->pEntregaFecha=CDate($array['txtEntregaFecha']);
            $oOC->pEntregaLugar=Almacenar_Dato($array['txtEntregaLugar']);
            $oOC->pDocRef=Almacenar_Dato($array['txtDocRef']);
            $oOC->pGratuito=0;
            $oOC->pExonerado=doubleval($array['genexonerado']);
            $oOC->pGrabado=doubleval($array['gengrabado']);
            $oOC->pIGV=doubleval($array['genigv']);
            $oOC->pDescuento=doubleval($array['gendescuento']);
            $oOC->pDescuentoGlobal=0;
            $oOC->pDescuentoGlobalPorc=0;
            $oOC->pTotal=doubleval($array['gentotal']);
            $oOC->pValorIGV=doubleval($array['valor_igv']);
            $oOC->pReferencia="";
            $oOC->pCodigoRef1=0;
            $oOC->pCodigoRef2=0;
            $oOC->pObservacion=Almacenar_Dato($array['txtObservacion']);
            
            $vArray="";
            $arrIDS=array(); if(isset($array['productoid']))$arrIDS=$array['productoid'];
            $arrCantidad=$array['cantidad'];
            $arrValorVenta=$array['valor_venta'];
            $arrPrecio=$array['precio'];
            $arrDsctoPorc=$array['descuento_porc'];
            $arrDsctoPorcValor=$array['descuento_porc_valor'];
            $arrDsctoFijo=$array['descuento_fijo'];
            $arrGrabado=$array['grabado'];
            $arrIGV=$array['igv'];
            $arrTotal=$array['total'];
            $arrTipoCalculo=$array['tipocalculo'];
            if(is_array($arrIDS)){
                foreach($arrIDS as $i => $vProductoId){
                    $myArray.="[";
                    $myArray.="'".intval($vProductoId)."',";
                    $myArray.="'".doubleval($arrCantidad[$i])."',";
                    $myArray.="'0',";
                    $myArray.="'".doubleval($arrValorVenta[$i])."',";
                    $myArray.="'".doubleval($arrPrecio[$i])."',";
                    $myArray.="'".doubleval($arrDsctoPorc[$i])."',";
                    $myArray.="'".doubleval($arrDsctoPorcValor[$i])."',";
                    $myArray.="'".doubleval($arrDsctoFijo[$i])."',";
                    $myArray.="'".intval($arrGrabado[$i])."',";
                    $myArray.="'".doubleval($arrIGV[$i])."',";
                    $myArray.="'".doubleval($arrTotal[$i])."',";
                    $myArray.="'0',";
                    $myArray.="'',";
                    $myArray.="'".intval($arrTipoCalculo[$i])."' ";
                    $myArray.="],";
                }
                if(trim($myArray)!=''){
                    $myArray=substr($myArray,0, -1);
                    $myArray="array[$myArray]";
                }else $myArray="null";
            }else $myArray="null";

            $vOrdenCompraId=intval($array['ordencompraid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oOC->Agregar($vOrdenCompraId, $myArray, $sessCodigo, miIP());
            }else{
                $intError=$oOC->Modificar($vOrdenCompraId, $myArray, $sessCodigo, miIP());
            }

            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = ($intError==0?"":$oOC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
    }
?>