<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "series-show":
            $vEmpresaId=intval($array['empresaid']);
            $vZonaId=intval($array['zonaid']);
            $vAlmacenId=intval($array['almacenid']);
            $vDesde=trim($array['desde']); if(trim($vDesde)!='')$vDesde=CDate($array['desde']);
            $vHasta=trim($array['hasta']); if(trim($vHasta)!='')$vHasta=CDate($array['hasta']);
            
            $oR=new Acceso_Inventarios_clsReportes();

            $rsRpt=$oR->CorrelativosLibres($vEmpresaId, $vZonaId, $vAlmacenId, $vDesde, $vHasta);

            $arrData=array(); if($rsRpt) $arrData=$rsRpt->fetchAll(PDO::FETCH_ASSOC);
            
            $jsondata['oData'] = $arrData;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;

        case "rastro-read":
            $vEmpresaId=intval($array['empresaid']);
            $vZonaId=intval($array['zonaid']);
            $vAlmacenId=intval($array['almacenid']);
            $vTipoDocumentoId=intval($array['tipodocumentoid']);
            $vVentaId=intval($array['ventaid']);
            $vTipoEdit=trim($array['tipo']); 
            $vDesde=""; if (trim($array['desde'])!="") $vDesde=CDate(trim($array['desde']));
            $vHasta=""; if (trim($array['hasta'])!="") $vHasta=CDate(trim($array['hasta']));
            $vEstado=-1;
            $vTexto=trim($array['texto']);

            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oV=new Acceso_Rastro_clsVenta();
            $rs=$oV->Leer($vInicio, $vCount, $vEmpresaId, $vZonaId, $vAlmacenId, $vTipoDocumentoId, $vVentaId, $vTipoEdit, $vDesde, $vHasta, $vEstado, $vTexto);
            $vTotalFilas=$oV->Count($vEmpresaId, $vZonaId, $vAlmacenId, $vTipoDocumentoId, $vVentaId, $vTipoEdit, $vDesde, $vHasta, $vEstado, $vTexto);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>