    var ajAlm=null;
    function AlmacenesShow(){
        $('#cboAlmacen').html('<option value="0">Todos los almacenes</option>');
        if($('#cboEmpresa').val()!="0"){
            $('#cboAlmacen').html('<option value="0">Espere</option>');
            if(ajAlm)ajAlm.abort();
            ajAlm=$.ajax({
                type: "POST",
                global: false,
                dataType: 'json',
                url: "../general/ajData.php",
                data: ({miopcion:"almacen-show", empresaid:$("#cboEmpresa").val()}),
                success: function(oData){
                    var vOptions='<option value="0">Todos los almacenes</option>';
                    $.each(oData.oData, function(oIndex, oRow){vOptions+='<option value="'+oRow.almacenid+'">'+oRow.nombre+'</option>';});
                    $('#cboAlmacen').html(vOptions);
                },
                complete: function(){ }
            });
        }
    }
    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajIngreso.php",
            data: ({miopcion:"read", empresaid:$("#cboEmpresa").val(), almacenid:$("#cboAlmacen").val(), tipodocumentoid:$("#cboTipoDocumento").val(), nombre:$("#txtNombre").val(), desde:$("#txtDesde").val(), hasta:$("#txtHasta").val(), count:$('#txtCount').val(), page:$('#txtPage').val() }),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr ingresoid="'+oRow.ingresoid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.ingresoid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.ingresoid+'</td>';
            tblRow+='<td title="'+oRow.almacen_nombre+'">'+oRow.almacen_abreviatura+'</td>';
            tblRow+='<td>'+oRow.tipomovimiento_nombre+'</td>';
            tblRow+='<td>'+FormatDate(oRow.fecha)+'</td>';
            tblRow+='<td>'+($.trim(oRow.numero)!=''?oRow.tipodocumento_abreviatura+' '+oRow.numero:'')+'</td>';

            tblRow+='<td valign="top"><div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-xs pull-right" data-toggle="dropdown">'+getIcon("th-list")+' <span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            tblRow+='<li><a href="javascript:void(0)" id="btnEdit" style="text-align:left">'+getIcon("pencil")+' Editar</a></li>';
            tblRow+='<li><a href="javascript:void(0)" id="btnSimilar" style="text-align:left">'+getIcon("eye-open")+' Generar similar</a></li>';
            tblRow+='<li><a href="javascript:void(0)" id="btnPrint" style="text-align:left">'+getIcon("print")+' Imprimir</a></li>';
            tblRow+='</ul>';
            tblRow+='</div></td>';
            
            tblRow+='<td>'+oRow.persona_dniruc+'</td>';
            tblRow+='<td valign="top"><img src="'+oData.oPathPhoto+'/'+($.trim(oRow.persona_foto)!=''?oRow.persona_foto:'0'+oRow.persona_sexo)+'" class="img-circle" style="width:22px; height:22px" /></td>';
            
            tblRow+='<td>'+oRow.persona_nombre+'</td>';
            tblRow+='<td>'+oRow.simbolo_moneda+' '+$.formatNumber(oRow.total, {format:"#,##0.00", locale:"us"})+'</td>';
            tblRow+='<td>'+oRow.usuario_usuario+'</td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $("#lblMsg").html('<span class="badge badge-important">'+oData.oData.length+'</span> de <span class="badge badge-info">'+oData.oTotal+'</span> registros');
        $("#lblPage").html(oData.oPaginado);
        AsigFun();
    }
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("BORDER_ALL PADD_3");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(4), #tblMain tbody tr td:nth-child(5), #tblMain tbody tr td:nth-child(11)").css({'text-align':'left'});
        $("#tblMain tbody tr td:nth-child(12)").css({'text-align':'right', 'font-weight':'bold', "background-color":"#F3F781"});
        
        $("#tblMain tbody a[id='btnEdit']").click(function(e){ Editar($(this).parents("tr").attr('ingresoid'), 0); });
        $("#tblMain tbody a[id='btnSimilar']").click(function(e){ AddSimilar($(this).parents("tr").attr('ingresoid')); });
        $("#tblMain tbody a[id='btnPrint']").click(function(e){ Print($(this).parents("tr").attr('ingresoid')); });

        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e){ Editar($(this).parents("tr").attr('ingresoid'), 0); });

        $("#tblMain tbody input:checkbox[name='chk[]']").change(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
        $("#lblPage li a[page]").click(function(e){ $('#txtPage').val($(this).attr('page')); Show();});
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+ $("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon("trash")+' Eliminar registros',
                    className: "btn-success",
                    callback: function() {
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajIngreso.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}}
                        });
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }
    function Cerrar(){ $("#oEdit, #oFondo").hide().html(""); }
    function Editar(vIngresoId, swNew){
        if(swNew){
            if ($.parseNumber($('#cboAlmacen').val())<=0){bootbox.alert("Falta seleccionar el almacen.", function(){ $("#cboAlmacen").focus(); }); return false;}
        }
        $("#oFondo").show(); $("#oEdit").show().html("<iframe src='IngresoEdit.php?ingresoid="+vIngresoId+"&swnew="+swNew+"&empresaid="+$("#cboEmpresa").val()+"&almacenid="+$("#cboAlmacen").val()+"' frameborder='0' width='100%' height='100%'></iframe>");
    }
    function AddSimilar(vIngresoId){ $("#oFondo").show(); $("#oEdit").show().html("<iframe src='IngresoEdit.php?ingresoid=0&ingresosimilarid="+vIngresoId+"&swnew=1&empresaid="+$("#cboAlmacen").val()+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Print(vIngresoId){ window.open("pdfIngreso.php?ingresoid="+vIngresoId); }
    $(function(){
        $("#chkAll").change(function(e){
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Editar(0, 1);});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){ $("#txtPage").val("1"); Show();}).click();
        $("#txtNombre").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){e.preventDefault(); $("#btnRefresh").click();}});
        $("#txtDesde, #txtHasta").datepicker({ format:'dd/mm/yyyy', language:'es', autoclose: true, todayHighlight: true });
        $("#cboEmpresa").change(function(e){AlmacenesShow();}).change();
        $("#txtCount").change(function(e){ $("#btnRefresh").click(); });
    });