    function Kardex(vProductoId, vAlmacenId){
        var oK=new clsKardex();
        oK.pProductoId=vProductoId;
        oK.pAlmacenId=vAlmacenId;
        oK.Show("KARDEX");
    }
    var vTab='';
    function Show(){
        switch(vTab){
            case "#oTabs-1": PreciosShow(); break;
            case "#oTabs-2": SoliShow(); break;
        }
    }
    //BEGIN PRECIOS
    var ajPre=null;
    function PreciosShow(){
        $('#tblPrecios tbody, #tblPrecios thead, #tblPrecios tfoot').html('');
        $('#lblPreciosMsg').html('Espere...');
        $("#tblPrecios").attr('empresaid', $("#cboEmpresa").val());
        if(ajPre) ajPre.abort();
        ajPre=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajPrecios.php",
            data: ({miopcion:"precios", texto:$("#txtPreciosTexto").val(), empresaid:$("#cboEmpresa").val(), zonaid:$("#cboPreciosZona").val() }),
            success: function(oData){ if(oData)PreciosShowGrid(oData); },
            complete: function(){ }
        });
    }
    function PreciosShowGrid(oData){
        $('#tblPrecios tbody, #tblPrecios thead').html('');
        var tblRow ='';
        
        tblRow+='<tr class="title1">';
        tblRow+='<th class="left" rowspan="2">PRODUCTO</th>';
        tblRow+='<th rowspan="2" width="40px"></th>';
        $.each(oData.oZona, function(oIndZon, oRowZon){
            tblRow+='<th title="'+oRowZon.nombre+'" colspan="'+oRowZon.oAlmacen.length+'">'+oRowZon.abreviatura+'</th>';
        });
        tblRow+='</tr>';

        tblRow+='<tr class="title1">';
        $.each(oData.oZona, function(oIndZon, oRowZon){
            $.each(oRowZon.oAlmacen, function(oIndAlm, oRowAlm){
                tblRow+='<th almacenid="'+oRowAlm.almacenid+'" title="'+oRowAlm.nombre+'">'+oRowAlm.abreviatura+'</th>';
            });
        });
        tblRow+='</tr>';
        
        $("#tblPrecios thead").html(tblRow);
        
        tblRow ='';
        var vTotalRowCant=0;
        var vCantidad=0;
        $.each(oData.oProducto, function(oIndPro, oRowPro){
            tblRow+='<tr productoid="'+oRowPro.productoid+'" >';
            tblRow+='<td>'+oRowPro.producto+'</td>';
            tblRow+='<td><button type="button" class="btn btn-success btn-xs">'+getIcon('list')+'</button></td>';
            vTotalRowCant=0;
            $.each(oData.oZona, function(oIndZon, oRowZon){
                $.each(oRowZon.oAlmacen, function(oIndAlm, oRowAlm){
                    vCantidad=0;
                    if( typeof oData.oData[oRowPro.productoid]!='undefined'){
                        if( typeof oData.oData[oRowPro.productoid][oRowAlm.almacenid]!='undefined'){
                            vCantidad=oData.oData[oRowPro.productoid][oRowAlm.almacenid];
                        }
                    }
                    tblRow+='<td almacenid="'+oRowAlm.almacenid+'">'+(vCantidad!=0?$.formatNumber(vCantidad, {format:"#,##0.00", locale:"us"}):'')+'</td>';
                    vTotalRowCant+=vCantidad;
                });
            });
            tblRow+='</tr>';
        });
        $("#tblPrecios tbody").html(tblRow);
        
        $("#lblPreciosMsg").html('<span class="badge badge-important">'+oData.oProducto.length+'</span> productos');
        StockAsigFun();
    }
    function StockAsigFun(){
        $("#tblPrecios tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblPrecios tbody td").addClass("PADD_5 FS_11 BORDER_ALL");

        $("#tblPrecios tbody tr td[almacenid]").addClass('HAND').click(function(e){ PreciosCambiar($(this).parents('tr').attr('productoid'), $(this).attr('almacenid')); });
        $("#tblPrecios tbody tr td:nth-child(2)").click(function(e){ Precios($(this).parents('tr').attr('productoid')); });
                
        $("#tblPrecios tbody tr td").css({"text-align":"right"});
        $("#tblPrecios tbody tr td:nth-child(1)").css({"text-align":"left"});
        $("#tblPrecios tbody tr td:nth-child(2)").css({"padding":"1px", "text-align":"center"});
        $("#tblPrecios tbody tr td:nth-child(2) button").css({"width":"100%"});
    }
    function PreciosExcel(){ window.open("xlsPreciosGeneral.php?empresaid="+$("#cboEmpresa").val()+"&zonaid="+$("#cboPreciosZona").val()+"&ano="+$("#cboStockAno").val()); }
    function PreciosPDF(){ window.open("pdfPreciosGeneral.php?empresaid="+$("#cboEmpresa").val()+"&zonaid="+$("#cboPreciosZona").val()+"&ano="+$("#cboStockAno").val()); }
    function PreciosCambiar(vProductoId, vAlmacenId){ $("#oEdit").show().html("<iframe src='../catalogo/ProductoPreciosCambiar.php?productoid="+vProductoId+"&almacenid="+vAlmacenId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Precios(vProductoId){ $("#oEdit").show().html("<iframe src='../catalogo/ProductoPrecios.php?productoid="+vProductoId+"&empresaid="+$("#cboEmpresa").val()+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    //END PRECIOS
    
    //BEGIN SOLICITUDES
    var ajSoliShow=null;
    function SoliShow(){
        $("#tblSolicitud tbody").html('');
        $("#lblSoliMsg").html('Espere...');
        $("#chkSoliAll").prop("checked", false);
        var vEstado=($("input[name='optEstado']:checked").length>0?$("input[name='optEstado']:checked").val():"-1");
        if(ajSoliShow) ajSoliShow.abort();
        ajSoliShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajPrecios.php",
            data: ({miopcion:"solicitud-read", estado:vEstado }),
            success: function(oData){ if(oData)SoliShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function SoliShowGrid(oData){
        $('#tblSolicitud tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.id+'" almacenid="'+oRow.almacenid+'" productoid="'+oRow.productoid+'">';				
            tblRow+='<td>'+oRow.id+'</td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.id+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.registro+'</td>';
            
            tblRow+='<td valign="top">';
            tblRow+='<div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-xs" data-toggle="dropdown"><span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            if(oRow.estado===1){
                tblRow+='<li><a href="javascript:void(0)" id="btnCambiar" style="text-align:left">'+getIcon("pencil")+' Cambiar</a></li>';
                tblRow+='<li><a href="javascript:void(0)" id="btnCancelar" style="text-align:left">'+getIcon("remove")+' Cancelar</a></li>';
            }
            tblRow+='<li><a href="javascript:void(0)" id="btnKardex" style="text-align:left">'+getIcon("list")+' Kardex</a></li>';
            tblRow+='</ul>';
            tblRow+='<button type="button" class="btn btn-default btn-xs" id="btnCambiar">'+getIcon("pencil")+'</button>';
            tblRow+='</div>';
            tblRow+='</td>';
            
            tblRow+='<td>'+oRow.almacen_nombre+'</td>';
            tblRow+='<td>'+oRow.producto_nombre+'</td>';
            tblRow+='<td>'+oRow.observacion+'</td>';
            tblRow+='<td>'+oRow.estado_detalle+'</td>';
            tblRow+='<td>'+oRow.usuariosolicita_nombre+'</td>';
            tblRow+='</tr>';
        });
        $("#tblSolicitud tbody").html(tblRow);
        $('#lblSoliMsg').html('Existen <span class="badge badge-primary">'+oData.oData.length+'</span> registros');
        SoliAsigFun();
    }
    function SoliAsigFun(){
        $("#tblSolicitud tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblSolicitud tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblSolicitud tbody tr td").css({'text-align':'center'});
        $("#tblSolicitud tbody tr td:nth-child(5), #tblSolicitud tbody tr td:nth-child(6), #tblSolicitud tbody tr td:nth-child(7), #tblSolicitud tbody tr td:nth-child(9)").css({'text-align':'left'});
        $("#tblSolicitud tbody tr:nth-child(2n+1)").addClass("odd");
        $("#tblSolicitud tbody tr:nth-child(2n+2)").addClass("even");

        $("#tblSolicitud tbody tr a[id='btnCambiar']").click(function(e){ SoliCambiar($(this).parents('tr').attr('id')); });
        $("#tblSolicitud tbody tr a[id='btnCancelar']").click(function(e){ SoliCancelar($(this).parents('tr').attr('id')); });
        $("#tblSolicitud tbody tr a[id='btnKardex']").click(function(e){ Kardex($(this).parents('tr').attr('productoid'), $(this).parents('tr').attr('almacenid')); });
        $("#tblSolicitud tbody tr button[id='btnCambiar']").click(function(e){ SoliCambiar($(this).parents('tr').attr('id')); });

        $("#tblSolicitud tbody input:checkbox[name='chk[]']").click(function(e) {
            $("#chkAll").prop("checked",$("#tblSolicitud tbody input:checkbox[name='chk[]']:checked").length===$("#tblSolicitud tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }
    var ajSoliCancel=null;
    function SoliCancelar(vId){
        var myArr=[];
        myArr[0]=vId;
        if(ajSoliCancel)ajSoliCancel.abort();
        ajSoliCancel=$.ajax({
            type: "POST",
            url: "ajax/ajPrecios.php",
            dataType: 'json',
            global: false,
            data: ({miopcion:'solicitud-cancelar', ids:myArr }), 
            success: function(oRpta){if(!oRpta.Err){SoliShow();}else{ bootbox.alert(oRpta.Description); }}
        });	
    }
    function SoliCambiar(vId){ $('#oEdit').show().html("<iframe src='../catalogo/ProductoPreciosCambiar.php?id="+vId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    
    //END SOLICITUDES

    function Cerrar(){ $("#oEdit").hide().html(""); }

    $(function(){
        $('#oTabsHeader a').click(function (e) {
            e.preventDefault();
            $(this).tab('show');
            vTab=$(this).attr('href');
            switch(vTab){
                case "#oTabs-1": if($('#tblPrecios tbody tr').length===0){ PreciosShow(); } break;
                case "#oTabs-2": if($('#tblSolicitud tbody tr').length===0){ SoliShow(); } break;
            }
        }).first().click();

        $("#cboEmpresa").change(function(e){ Show(); });
        $("#btnRefresh").click(function(e){ Show(); });
        
        //PRECIOS
        $("#btnPreciosRef").click(function(e){ PreciosShow(); });
        $("#cboPreciosZona").change(function(e){ $("#btnPreciosRef").click(); });
        $("#btnPreciosXls").click(function(e){ PreciosExcel(); });
        $("#btnPreciosPdf").click(function(e){ PreciosPDF(); });
        $("#txtPreciosTexto").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){ e.preventDefault(); PreciosShow(); }});
        
        //SOLICITUDES
        $("#chkSoliAll").change(function(e) {
            $("#tblSolicitud tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblSolicitud tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblSolicitud tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        
        $("input:radio[name='optEstado']").change(function(e){
            $("input:radio[name='optEstado']").parent().removeClass('btn-info');
            if($(this).is(':checked')) $(this).parent().addClass('btn-info');
            SoliShow();
        });
    });