    function Kardex(vProductoId, vEmpresaId, vAlmacenId){
        var oK=new clsKardex();
        oK.pProductoId=vProductoId;
        oK.pEmpresaId=vEmpresaId;
        oK.pAlmacenId=vAlmacenId;
        oK.Show("KARDEX");
    }
    //BEGIN VENTAS MENSUALES
    var ajVenMenShow=null;
    function VenMenShow(){
        $('#tblVenMen tbody, #tblVenMen thead, #tblVenMen tfoot').html('');
        $('#lblVenMenMsg').html('Espere...');
        $("#tblVenMen").attr({'empresaid':$("#cboVenMenEmpresa").val(), 'tipo':$("#cboVenMenTipo").val(), 'ano':$("#cboVenMenAno").val()});
        if(ajVenMenShow) ajVenMenShow.abort();
        ajVenMenShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajReportesGerenciales.php",
            data: ({miopcion:"venmen-show", empresaid:$("#cboVenMenEmpresa").val(), tipo:$("#cboVenMenTipo").val(), ano:$("#cboVenMenAno").val(), zonaid:$("#cboVenMenZona").val()}),
            success: function(oData){ if(oData)VenMenShowGrid(oData); },
            complete: function(){ }
        });
    }
    function VenMenShowGrid(oData){
        $('#tblVenMen tbody, #tblVenMen thead, #tblVenMen tfoot').html('');
        var tblRow ='';
        
        tblRow +='<tr class="title1">';
        tblRow +='<th class="left">TIENDA</th>';
        $.each(oData.oMes, function(oIndMes, oRowMes){
            tblRow+='<th class="right" mesid="'+oRowMes.mesid+'">'+oRowMes.nombre+'</th>';
        });
        tblRow+='<th class="right">TOTAL</th>';
        tblRow +='</tr>';
        
        $("#tblVenMen thead").html(tblRow);
        
        tblRow ='';
        var vTotalRow=0;
        $.each(oData.oAlmacen, function(oIndAlm, oRowAlm){
            tblRow+='<tr almacenid="'+oRowAlm.almacenid+'" >';
            tblRow+='<td>'+oRowAlm.nombre+'</td>';
            vTotalRow=0;
            $.each(oData.oMes, function(oIndMes, oRowMes){
                var vImporte=0;
                if( typeof oData.oData[oRowAlm.almacenid]!='undefined'){
                    if( typeof oData.oData[oRowAlm.almacenid][oRowMes.mesid]!='undefined'){
                        vImporte=oData.oData[oRowAlm.almacenid][oRowMes.mesid];
                    }
                }
                tblRow+='<td mesid="'+oRowMes.mesid+'">'+(vImporte!=0?$.formatNumber(vImporte, {format:"#,##0.00", locale:"us"}):'')+'</td>';
                vTotalRow+=vImporte;
            });
            tblRow+='<td><strong>'+(vTotalRow!=0?$.formatNumber(vTotalRow, {format:"#,##0.00", locale:"us"}):'')+'</strong></td>';
            tblRow+='</tr>';
        });
        $("#tblVenMen tbody").html(tblRow);
        
        var vTotalGeneral=0;
        var vTotalCol=0;
        tblRow='';
        tblRow+='<tr class="title1">';
        tblRow+='<th class="left">TOTALES</th>';
        $.each(oData.oMes, function(oIndMes, oRowMes){
            vTotalCol=0;
            $.each(oData.oAlmacen, function(oIndAlm, oRowAlm){
                if( typeof oData.oData[oRowAlm.almacenid]!='undefined'){
                    if( typeof oData.oData[oRowAlm.almacenid][oRowMes.mesid]!='undefined'){
                        vTotalCol+=oData.oData[oRowAlm.almacenid][oRowMes.mesid];
                    }
                }
            });
            vTotalGeneral+=vTotalCol;
            tblRow+='<th class="right">'+(vTotalCol!=0?$.formatNumber(vTotalCol, {format:"#,##0.00", locale:"us"}):'')+'</th>';
        });
        tblRow+='<th class="right">'+(vTotalGeneral!=0?$.formatNumber(vTotalGeneral, {format:"#,##0.00", locale:"us"}):'')+'</th>';
        tblRow+='</tr>';
        $("#tblVenMen tfoot").html(tblRow);
        
        $("#lblVenMenMsg").html('<span class="badge badge-important">'+oData.oAlmacen.length+'</span> tiendas');
        VenMenAsigFun();
    }
    function VenMenAsigFun(){
        $("#tblVenMen tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblVenMen tbody td").addClass("PADD_5 FS_11 BORDER_ALL");
        
        $("#tblVenMen tbody tr td").css({"text-align":"right"});
        $("#tblVenMen tbody tr td:nth-child(1)").css({"text-align":"left"});
        
        $("#tblVenMen tbody tr td[mesid]").addClass('HAND').click(function(){
            var vDesde="01/"+$(this).attr('mesid')+"/"+$("#tblVenMen").attr('ano');
            var vHasta=DaysMonth($(this).attr('mesid'), $("#tblVenMen").attr('ano'))+"/"+$(this).attr('mesid')+"/"+$("#tblVenMen").attr('ano');
            VentaConsulta($("#tblVenMen").attr('empresaid'), $("#tblVenMen").attr('tipo'), $(this).parents("tr").attr('almacenid'), vDesde, vHasta);
        });
    }
    function VenMenExcel(){ window.open("xlsVentasMensuales.php?empresaid="+$("#cboVenMenEmpresa").val()+"&tipo="+$("#cboVenMenTipo").val()+"&zonaid="+$("#cboVenMenZona").val()+"&ano="+$("#cboVenMenAno").val()); }
    function VenMenPDF(){ window.open("pdfVentasMensuales.php?empresaid="+$("#cboVenMenEmpresa").val()+"&tipo="+$("#cboVenMenTipo").val()+"&zonaid="+$("#cboVenMenZona").val()+"&ano="+$("#cboVenMenAno").val()); }
    //END VENTAS MENSUALES

    //BEGIN VENTAS DIARIAS
    var ajVenMenDia=null;
    function VenDiaShow(){
        $('#tblVenDia tbody, #tblVenDia thead, #tblVenDia tfoot').html('');
        $('#lblVenDiaMsg').html('Espere...');
        $("#tblVenDia").attr('empresaid', $("#cboVenDiaEmpresa").val());
        if(ajVenMenDia) ajVenMenDia.abort();
        ajVenMenDia=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajReportesGerenciales.php",
            data: ({miopcion:"vendia-show", empresaid:$("#cboVenDiaEmpresa").val(), tipo:$("#cboVenDiaTipo").val(), zonaid:$("#cboVenDiaZona").val(), desde:$("#txtVenDiaDesde").val(), hasta:$("#txtVenDiaHasta").val() }),
            success: function(oData){ if(oData)VenDiaShowGrid(oData); },
            complete: function(){ }
        });
    }
    function VenDiaShowGrid(oData){
        $('#tblVenDia tbody, #tblVenDia thead').html('');
        var tblRow ='';
        
        tblRow+='<tr class="title1">';
        tblRow+='<th class="left" rowspan="2">TIENDA</th>';
        $.each(oData.oFechas, function(oIndFec, oRowFec){
            tblRow+='<th colspan="'+oRowFec.days+'">'+MonthName(oRowFec.month).toUpperCase()+' '+oRowFec.year+'</th>';
        });
        tblRow+='<th class="right" rowspan="2">TOTAL</th>';
        tblRow+='</tr>';

        tblRow+='<tr class="title1">';
        $.each(oData.oFechas, function(oIndFec, oRowFec){
            $.each(oRowFec.oDias, function(oIndDia, oRowDia){
                tblRow+='<th fecha="'+oRowDia.fecha+'" title="'+oRowDia.nombre+'">'+oRowDia.abreviatura+', '+oRowDia.day+'</th>';
            });
        });
        tblRow+='</tr>';
        
        $("#tblVenDia thead").html(tblRow);
        
        tblRow ='';
        var vTotalRow=0;
        var vImporte=0;
        $.each(oData.oAlmacen, function(oIndAlm, oRowAlm){
            tblRow+='<tr almacenid="'+oRowAlm.almacenid+'" >';
            tblRow+='<td>'+oRowAlm.nombre+'</td>';
            vTotalRow=0;
            $.each(oData.oFechas, function(oIndFec, oRowFec){
                $.each(oRowFec.oDias, function(oIndDia, oRowDia){
                    vImporte=0;
                    if( typeof oData.oData[oRowAlm.almacenid]!='undefined'){
                        if( typeof oData.oData[oRowAlm.almacenid][oRowFec.year]!='undefined'){
                            if( typeof oData.oData[oRowAlm.almacenid][oRowFec.year][oRowFec.month]!='undefined'){
                                if( typeof oData.oData[oRowAlm.almacenid][oRowFec.year][oRowFec.month][oRowDia.day]!='undefined'){
                                    vImporte=oData.oData[oRowAlm.almacenid][oRowFec.year][oRowFec.month][oRowDia.day];
                                }
                            }
                        }
                    }
                    tblRow+='<td fecha="'+oRowDia.fechalatin+'" dow="'+oRowDia.dow+'">'+(vImporte!=0?$.formatNumber(vImporte, {format:"#,##0.00", locale:"us"}):'')+'</td>';
                    vTotalRow+=vImporte;
                });
            });
            tblRow+='<td><strong>'+(vTotalRow!=0?$.formatNumber(vTotalRow, {format:"#,##0.00", locale:"us"}):'')+'</strong></td>';
            tblRow+='</tr>';
        });
        $("#tblVenDia tbody").html(tblRow);

        var vTotalGeneral=0;
        var vTotalCol=0;
        tblRow='';
        tblRow+='<tr class="title1">';
        tblRow+='<th class="left">TOTALES</th>';
        $.each(oData.oFechas, function(oIndFec, oRowFec){
            $.each(oRowFec.oDias, function(oIndDia, oRowDia){
                vTotalCol=0;
                $.each(oData.oAlmacen, function(oIndAlm, oRowAlm){
                    if( typeof oData.oData[oRowAlm.almacenid]!='undefined'){
                        if( typeof oData.oData[oRowAlm.almacenid][oRowFec.year]!='undefined'){
                            if( typeof oData.oData[oRowAlm.almacenid][oRowFec.year][oRowFec.month]!='undefined'){
                                if( typeof oData.oData[oRowAlm.almacenid][oRowFec.year][oRowFec.month][oRowDia.day]!='undefined'){
                                    vTotalCol+=oData.oData[oRowAlm.almacenid][oRowFec.year][oRowFec.month][oRowDia.day];
                                }
                            }
                        }
                    }
                });
                vTotalGeneral+=vTotalCol;
                tblRow+='<th class="right">'+(vTotalCol!=0?$.formatNumber(vTotalCol, {format:"#,##0.00", locale:"us"}):'')+'</th>';
            });
        });
        tblRow+='<th class="right">'+(vTotalGeneral!=0?$.formatNumber(vTotalGeneral, {format:"#,##0.00", locale:"us"}):'')+'</th>';
        tblRow+='</tr>';
        $("#tblVenDia tfoot").html(tblRow);
        
        $("#lblVenDiaMsg").html('<span class="badge badge-important">'+oData.oAlmacen.length+'</span> tiendas');
        VenDiaAsigFun();
    }
    function VenDiaAsigFun(){
        $("#tblVenDia tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblVenDia tbody td").addClass("PADD_5 FS_11 BORDER_ALL");
        
        $("#tblVenDia tbody tr td").css({"text-align":"right"});
        $("#tblVenDia tbody tr td:nth-child(1)").css({"text-align":"left"});
        $("#tblVenDia tbody tr td[dow='1']").css({"background-color":"#FFFFCC"});
        
        $("#tblVenDia tbody tr td[fecha]").addClass('HAND').click(function(){
            VentaConsulta($("#tblVenDia").attr('empresaid'), $("#tblVenDia").attr('tipo'), $(this).parents("tr").attr('almacenid'), $(this).attr('fecha'), $(this).attr('fecha'));
        });
    }
    function VenDiaExcel(){ window.open("xlsVentasDiarias.php?empresaid="+$("#cboVenDiaEmpresa").val()+"&tipo="+$("#cboVenDiaTipo").val()+"&zonaid="+$("#cboVenDiaZona").val()+"&desde="+$("#txtVenDiaDesde").val()+"&hasta="+$("#txtVenDiaHasta").val()); }
    function VenDiaPDF(){ window.open("pdfVentasDiarias.php?empresaid="+$("#cboVenDiaEmpresa").val()+"&tipo="+$("#cboVenDiaTipo").val()+"&zonaid="+$("#cboVenDiaZona").val()+"&desde="+$("#txtVenDiaDesde").val()+"&hasta="+$("#txtVenDiaHasta").val()); }
    //END VENTAS DIARIAS



    //BEGIN PRODUCTOS MAS VENDIDOS
    var ajProMasShow=null;
    function ProMasShow(){
        $('#tblProMas tbody, #tblProMas thead, #tblProMas tfoot').html('');
        $('#lblProMasMsg').html('Espere...');
        $("#tblProMas").attr('empresaid', $("#cboProMasEmpresa").val());
        $("#tblProMas").attr('desde', $("#txtProMasDesde").val());
        $("#tblProMas").attr('hasta', $("#txtProMasHasta").val());
        if(ajProMasShow) ajProMasShow.abort();
        ajProMasShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajReportesGerenciales.php",
            data: ({miopcion:"productos-mas-vendidos", empresaid:$("#cboProMasEmpresa").val(), zonaid:$("#cboProMasZona").val(), almacenid:$("#cboProMasAlmacen").val(), desde:$("#txtProMasDesde").val(), hasta:$("#txtProMasHasta").val() }),
            success: function(oData){ if(oData)ProMasShowGrid(oData); },
            complete: function(){ }
        });
    }
    function ProMasShowGrid(oData){
        $('#tblProMas tbody, #tblProMas thead').html('');
        var tblRow ='';
        
        tblRow+='<tr class="title1">';
        tblRow+='<th class="left" rowspan="2">PRODUCTO</th>';
        $.each(oData.oZona, function(oIndZon, oRowZon){
            tblRow+='<th title="'+oRowZon.nombre+'" colspan="'+oRowZon.oAlmacen.length+'">'+oRowZon.abreviatura+'</th>';
        });
        tblRow+='<th colspan="2">TOTALES</th>';
        tblRow+='</tr>';

        tblRow+='<tr class="title1">';
        $.each(oData.oZona, function(oIndZon, oRowZon){
            $.each(oRowZon.oAlmacen, function(oIndAlm, oRowAlm){
                tblRow+='<th almacenid="'+oRowAlm.almacenid+'" title="'+oRowAlm.nombre+'">'+oRowAlm.abreviatura+'</th>';
            });
        });
        tblRow+='<th>CANT</th>';
        tblRow+='<th class="right">TOTAL</th>';
        tblRow+='</tr>';
        
        $("#tblProMas thead").html(tblRow);
        
        tblRow ='';
        var vTotalRowCant=0;
        var vTotalRowTotal=0;
        var vCantidad=0;
        var vTotal=0;
        $.each(oData.oProducto, function(oIndPro, oRowPro){
            tblRow+='<tr productoid="'+oRowPro.productoid+'" >';
            tblRow+='<td>'+oRowPro.producto+'</td>';
            vTotalRowCant=0;
            vTotalRowTotal=0;
            $.each(oData.oZona, function(oIndZon, oRowZon){
                $.each(oRowZon.oAlmacen, function(oIndAlm, oRowAlm){
                    vCantidad=0; vTotal=0;
                    if( typeof oData.oData[oRowPro.productoid]!='undefined'){
                        if( typeof oData.oData[oRowPro.productoid][oRowAlm.almacenid]!='undefined'){
                            vCantidad=oData.oData[oRowPro.productoid][oRowAlm.almacenid]['cantidad'];
                            vTotal=oData.oData[oRowPro.productoid][oRowAlm.almacenid]['total'];
                        }
                    }
                    tblRow+='<td almacenid="'+oRowAlm.almacenid+'">'+(vCantidad!=0?$.formatNumber(vCantidad, {format:"#,##0", locale:"us"}):'')+'</td>';
                    vTotalRowCant+=vCantidad;
                    vTotalRowTotal+=vTotal;
                });
            });
            tblRow+='<td tipo="C"><strong>'+(vTotalRowCant!=0?$.formatNumber(vTotalRowCant, {format:"#,##0", locale:"us"}):'')+'</strong></td>';
            tblRow+='<td tipo="T"><strong>'+(vTotalRowTotal!=0?$.formatNumber(vTotalRowTotal, {format:"#,##0.00", locale:"us"}):'')+'</strong></td>';
            tblRow+='</tr>';
        });
        $("#tblProMas tbody").html(tblRow);
        
        $("#lblProMasMsg").html('<span class="badge badge-important">'+oData.oProducto.length+'</span> productos');
        ProMasAsigFun();
    }
    function ProMasAsigFun(){
        $("#tblProMas tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblProMas tbody td").addClass("PADD_5 FS_11 BORDER_ALL");

        $("#tblProMas tbody tr td").css({"text-align":"center"});
        $("#tblProMas tbody tr td:nth-child(1)").css({"text-align":"left"});
        $("#tblProMas tbody tr td[tipo='T']").css({"text-align":"right", "background-color":"#FFFFCC"});

        $("#tblProMas tbody tr td[almacenid]").addClass('HAND').click(function(){
            VentaConsultaProducto($("#tblProMas").attr('empresaid'), $(this).parents("tr").attr('productoid'), $(this).attr('almacenid'));
        });
    }
    function ProMasExcel(){ window.open("xlsProductosMasVendidos.php?empresaid="+$("#cboProMasEmpresa").val()+"&zonaid="+$("#cboProMasZona").val()+"&desde="+$("#txtProMasDesde").val()+"&hasta="+$("#txtProMasHasta").val()); }
    function ProMasPDF(){ window.open("pdfProductosMasVendidos.php?empresaid="+$("#cboProMasEmpresa").val()+"&zonaid="+$("#cboProMasZona").val()+"&desde="+$("#txtProMasDesde").val()+"&hasta="+$("#txtProMasHasta").val()); }
    //END PRODUCTOS MAS VENDIDOS


    //BEGIN STOCK GENERAL
    var ajStockShow=null;
    function StockShow(){
        $('#tblStock tbody, #tblStock thead, #tblStock tfoot').html('');
        $('#lblStockMsg').html('Espere...');
        $("#tblStock").attr('empresaid', $("#cboStockEmpresa").val());
        if(ajStockShow) ajStockShow.abort();
        ajStockShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajReportesGerenciales.php",
            data: ({miopcion:"stock", empresaid:$("#cboStockEmpresa").val(), zonaid:$("#cboStockZona").val(), ano:$("#cboStockAno").val() }),
            success: function(oData){ if(oData)StockShowGrid(oData); },
            complete: function(){ }
        });
    }
    function StockShowGrid(oData){
        $('#tblStock tbody, #tblStock thead').html('');
        var tblRow ='';
        
        tblRow+='<tr class="title1">';
        tblRow+='<th class="left" rowspan="2">PRODUCTO</th>';
        $.each(oData.oZona, function(oIndZon, oRowZon){
            tblRow+='<th title="'+oRowZon.nombre+'" colspan="'+oRowZon.oAlmacen.length+'">'+oRowZon.abreviatura+'</th>';
        });
        tblRow+='<th rowspan="2">CANTIDAD</th>';
        tblRow+='</tr>';

        tblRow+='<tr class="title1">';
        $.each(oData.oZona, function(oIndZon, oRowZon){
            $.each(oRowZon.oAlmacen, function(oIndAlm, oRowAlm){
                tblRow+='<th almacenid="'+oRowAlm.almacenid+'" title="'+oRowAlm.nombre+'">'+oRowAlm.abreviatura+'</th>';
            });
        });
        tblRow+='</tr>';
        
        $("#tblStock thead").html(tblRow);
        
        tblRow ='';
        var vTotalRowCant=0;
        var vCantidad=0;
        $.each(oData.oProducto, function(oIndPro, oRowPro){
            tblRow+='<tr productoid="'+oRowPro.productoid+'" >';
            tblRow+='<td>'+oRowPro.producto+'</td>';
            vTotalRowCant=0;
            $.each(oData.oZona, function(oIndZon, oRowZon){
                $.each(oRowZon.oAlmacen, function(oIndAlm, oRowAlm){
                    vCantidad=0;
                    if( typeof oData.oData[oRowPro.productoid]!='undefined'){
                        if( typeof oData.oData[oRowPro.productoid][oRowAlm.almacenid]!='undefined'){
                            vCantidad=oData.oData[oRowPro.productoid][oRowAlm.almacenid];
                        }
                    }
                    tblRow+='<td almacenid="'+oRowAlm.almacenid+'" tipo="'+(vCantidad>0?'CS':(vCantidad<0?'SS':''))+'" >'+(vCantidad!=0?$.formatNumber(vCantidad, {format:"#,##0", locale:"us"}):'')+'</td>';
                    vTotalRowCant+=vCantidad;
                });
            });
            tblRow+='<td tipo="C"><strong>'+(vTotalRowCant!=0?$.formatNumber(vTotalRowCant, {format:"#,##0", locale:"us"}):'')+'</strong></td>';
            tblRow+='</tr>';
        });
        $("#tblStock tbody").html(tblRow);
        
        $("#lblStockMsg").html('<span class="badge badge-important">'+oData.oProducto.length+'</span> productos');
        StockAsigFun();
    }
    function StockAsigFun(){
        $("#tblStock tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblStock tbody td").addClass("PADD_5 FS_11 BORDER_ALL");

        $("#tblStock tbody tr td[almacenid]").addClass('HAND').click(function(e){ Kardex($(this).parents('tr').attr('productoid'), $("#tblStock").attr('empresaid'), $(this).attr('almacenid')); });
                
        $("#tblStock tbody tr td").css({"text-align":"center"});
        $("#tblStock tbody tr td:nth-child(1)").css({"text-align":"left"});
        $("#tblStock tbody tr td[tipo='SS']").css({"background-color":"#FA5858", "color":"#000000"});
        $("#tblStock tbody tr td[tipo='CS']").css({"background-color":"#2E9AFE", "color":"#000000"});
    }
    function StockExcel(){ window.open("xlsStockGeneral.php?empresaid="+$("#cboStockEmpresa").val()+"&zonaid="+$("#cboStockZona").val()+"&ano="+$("#cboStockAno").val()); }
    function StockPDF(){ window.open("pdfStockGeneral.php?empresaid="+$("#cboStockEmpresa").val()+"&zonaid="+$("#cboStockZona").val()+"&ano="+$("#cboStockAno").val()); }
    //END STOCK GENERAL

    function Cerrar(){ $("#oEdit").hide().html(""); }
    function VentaConsulta(vEmpresaId, vTipo, vAlmacenId, vDesde, vHasta){ $("#oEdit").show().html("<iframe src='VentaConsulta.php?empresaid="+vEmpresaId+"&tipo="+vTipo+"&almacenid="+vAlmacenId+"&desde="+vDesde+"&hasta="+vHasta+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function VentaConsultaProducto(vEmpresaId, vProductoId, vAlmacenId){ $("#oEdit").show().html("<iframe src='VentaConsultaProducto.php?empresaid="+vEmpresaId+"&almacenid="+vAlmacenId+"&productoid="+vProductoId+"&desde="+$("#tblProMas").attr('desde')+"&hasta="+$("#tblProMas").attr('hasta')+"' frameborder='0' width='100%' height='100%'></iframe>"); }

    $(function(){
        $('#oTabsHeader a').click(function (e) {
            e.preventDefault();
            $(this).tab('show');
            vTab=$(this).attr('href');
            switch(vTab){
                case "#oTabs-1": if($('#tblVenMen tbody tr').length===0){ VenMenShow(); } break;
                case "#oTabs-2": if($('#tblVenDia tbody tr').length===0){ VenDiaShow(); } break;
                case "#oTabs-3": if($('#tblProMas tbody tr').length===0){ ProMasShow(); } break;
                case "#oTabs-4": if($('#tblStoGen tbody tr').length===0){ StockShow(); } break;
            }
        }).first().click();
        
        //VENTAS MENSUALES
        $("#btnVenMenRef").click(function(e){ VenMenShow(); }).click();
        $("#btnVenMenXls").click(function(e){ VenMenExcel(); });
        $("#btnVenMenPdf").click(function(e){ VenMenPDF(); });
        $("#cboVenMenEmpresa, #cboVenMenTipo, #cboVenMenAno, #cboVenMenZona").change(function(e){ $("#btnVenMenRef").click(); });

        //VENTAS DIARIAS
        $("#btnVenDiaRef").click(function(e){ VenDiaShow(); });
        $("#cboVenDiaEmpresa, #cboVenDiaTipo, #cboVenDiaZona").change(function(e){ $("#btnVenDiaRef").click(); });
        $('#txtVenDiaDesde, #txtVenDiaHasta').datepicker({ format:'dd/mm/yyyy', language:'es', autoclose: true, clearBtn:true, todayHighlight: true });
        $("#btnVenDiaXls").click(function(e){ VenDiaExcel(); });
        $("#btnVenDiaPdf").click(function(e){ VenDiaPDF(); });

        //PRODUCTOS MAS VENDIDOS
        $("#btnProMasRef").click(function(e){ ProMasShow(); });
        $("#cboProMasEmpresa, #cboProMasZona").change(function(e){ $("#btnProMasRef").click(); });
        $('#txtProMasDesde, #txtProMasHasta').datepicker({ format:'dd/mm/yyyy', language:'es', autoclose: true, clearBtn:true, todayHighlight: true });
        $("#btnProMasXls").click(function(e){ ProMasExcel(); });
        $("#btnProMasPdf").click(function(e){ ProMasPDF(); });
        
        //STOCK GENERAL
        $("#btnStockRef").click(function(e){ StockShow(); });
        $("#cboStockEmpresa, #cboStockZona, #cboStockAno").change(function(e){ $("#btnStockRef").click(); });
        $("#btnStockXls").click(function(e){ StockExcel(); });
        $("#btnStockPdf").click(function(e){ StockPDF(); });
    });