    function Kardex(vProductoId, vAlmacenId){
        var oK=new clsKardex();
        oK.pProductoId=vProductoId;
        oK.pAlmacenId=vAlmacenId;
        oK.Show("KARDEX");
    }
    
    //BEGIN RASTRO
    var ajRasShow=null;
    function RastroShow(){
        $("#tblRastro tbody").html('');
        $("#lblRastroMsg").html('Espere...');
        $("#chkRastroAll").attr('checked', false);
        if(ajRasShow) ajRasShow.abort();
        ajRasShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajVentasSupervision.php",
            data: ({miopcion:"rastro-read", empresaid:$('#cboRastroEmpresa').val(), almacenid:$('#cboRastroAlmacen').val(), tipodocumentoid:0, texto:$('#txtRastroTexto').val(), tipo:$('#cboRastroTipo').val(), estado:$('#cboRastroEstado').val(), desde:$('#txtRastroDesde').val(), hasta:$('#txtRastroHasta').val(), count:$('#txtRastroCount').val(), page:$('#txtRastroPage').val()}),
            success: function(oData){ if(oData)RastroShowGrid(oData); },
            complete: function(){ }
        });
    }
    function RastroShowGrid(oData){
        $('#tblRastro tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr ventaeditid="'+oRow.ventaeditid+'">';				
            tblRow+='<td>'+oRow.ventaeditid+'</td>';
            tblRow+='<td style="line-height:18px">'+oRow.registro+'</td>';
            tblRow+='<td>'+oRow.tipoedit+'</td>';
            tblRow+='<td><button type="button" class="btn btn-default">'+getIcon('eye-open')+'</button></td>';
            tblRow+='<td>'+'<b>('+oRow.ventaid+')</b> '+oRow.tipodocumento_abreviatura+' '+oRow.numero+'<br><span style="color:#090">'+oRow.cliente_nombre+'</span></td>';
            tblRow+='<td title="'+oRow.usuario_usuario+'">'+oRow.usuario_usuario+'</td>';
            tblRow+='<td>'+oRow.ip+'</td>';
            tblRow+='<td><img src="'+oData.oImages+(oRow.estado==0?"/invalido.gif":(oRow.estado==1?"/valido.gif":"/i_new.gif"))+'" title="'+(oRow.estado==0?"Descartado":(oRow.estado==1?"Aceptado":"En espera"))+'"></td>';
            tblRow+='</tr>';
        });
        $("#tblRastro tbody").html(tblRow);
        $('#lblRastroMsg').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> de <span class="badge badge-important">'+oData.oTotal+'</span> registros');
        $("#lblRastroPage").html(oData.oPaginado);
        RastroAsigFun();
    }
    function RastroAsigFun(){
        $("#tblRastro tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblRastro tr td").addClass("BORDER_ALL");

        $("#tblRastro tr:nth-child(2n+1)").addClass("odd");
        $("#tblRastro tr:nth-child(2n+2)").addClass("even");

        $("#tblRastro tbody tr td").css("text-align", "center");
        $("#tblRastro tbody tr td:nth-child(5)").css({"text-align":"left", "line-height":"18px"});

        $("#tblRastro tbody tr td:nth-child(2)").css("background-color", "#FFFFCC");
        $("#tblRastro tbody tr td:nth-child(6)").css("background-color", "#FFFFCC");

        $("#tblRastro tr td:nth-child(4) button").attr('title', 'Detalles').click(function(e) { RastroDetalles($(this).parents("tr").attr('ventaeditid'));});

        $("#lblRastroPage li a[page]").click(function(e){ $('#txtRastroPage').val($(this).attr('page')); RastroShow(); });
    }

    function RastroDetalles(vVentaEditId){ $('#oEdit').show().html("<iframe src='../backup/VentaDetalles.php?ventaeditid="+vVentaEditId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
        //END RASTRO
    
    //BEGIN SERIES
    var ajSeriesShow=null;
    function SeriesShow(){
        $('#tblSeries tbody').html('');
        $('#lblSeriesMsg').html('Espere...');
        $("#tblSeries").attr({'empresaid':$("#cboSeriesEmpresa").val(), 'zonaid':$("#cboSeriesZona").val(), 'desde':$("#txtSeriesDesde").val(), 'hasta':$("#txtSeriesHasta").val() });
        if(ajSeriesShow) ajSeriesShow.abort();
        ajSeriesShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajVentasSupervision.php",
            data: ({miopcion:"series-show", empresaid:$("#cboSeriesEmpresa").val(), zonaid:$("#cboSeriesZona").val(), desde:$("#txtSeriesDesde").val(), hasta:$("#txtSeriesHasta").val()}),
            success: function(oData){ if(oData)SeriesShowGrid(oData); },
            complete: function(){ }
        });
    }
    function SeriesShowGrid(oData){
        $('#tblSeries tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oInd, oRow){
            tblRow+='<tr empresaid="'+oRow.empresaid+'" almacenid="'+oRow.almacenid+'" serie="'+oRow.serie+'" >';
            tblRow+='<td>'+oRow.almacen_nombre+'</td>';
            tblRow+='<td>'+oRow.tipodocumento_nombre+'</td>';
            tblRow+='<td>'+oRow.serie+'</td>';
            tblRow+='<td>'+oRow.inicio+'</td>';
            tblRow+='<td>'+oRow.fin+'</td>';
            tblRow+='<td>'+oRow.cantidad+'</td>';
            tblRow+='</tr>';
        });
        $("#tblSeries tbody").html(tblRow);
        
        $("#lblSeriesMsg").html('<span class="badge badge-important">'+oData.oData.length+'</span> registro(s)');
        SeriesAsigFun();
    }
    function SeriesAsigFun(){
        $("#tblSeries tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblSeries tbody td").addClass("PADD_5 FS_11 BORDER_ALL");
        
        $("#tblSeries tbody tr td").css({"text-align":"center"});
        $("#tblSeries tbody tr td:nth-child(1), #tblSeries tbody tr td:nth-child(2)").css({"text-align":"left"});
    }
    //END SERIES

    function Cerrar(){ $("#oEdit").hide().html(""); }

    $(function(){
        $('#oTabsHeader a').click(function (e) {
            e.preventDefault();
            $(this).tab('show');
            vTab=$(this).attr('href');
            switch(vTab){
                //case "#oTabs-1": if($('#tblSeries tbody tr').length===0){ SeriesShow(); } break;
            }
        }).first().click();
        
        //SERIES
        $("#btnSeriesRef").click(function(e){ SeriesShow(); });
        $("#cboSeriesEmpresa, #cboSeriesZona").change(function(e){ $("#btnSeriesRef").click(); });
        $('#txtSeriesDesde, #txtSeriesHasta').datepicker({ format:'dd/mm/yyyy', language:'es', autoclose: true, clearBtn:true, todayHighlight: true });

        //RASTRO
        $("#btnRastroRef").click(function(e){ $("#txtRastroPage").val("1"); RastroShow(); });
        $("#cboRastroEmpresa, #cboRastroZona").change(function(e){ $("#btnRastroRef").click(); });
        $('#txtRastroDesde, #txtRastroHasta').datepicker({ format:'dd/mm/yyyy', language:'es', autoclose: true, clearBtn:true, todayHighlight: true });
        $("#txtRastroCount").change(function(e){ $("#btnRastroRef").click();});

    });