<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once("Spreadsheet/Excel/Writer.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    //BEGIN OBTENIENDO VALORES
    $array=$_GET;
    $vEmpresaId=intval($array['empresaid']);
    $vTipo=intval($array['tipo']);
    $vZonaId=intval($array['zonaid']);
    $vDesde=CDate($array['desde']);
    $vHasta=CDate($array['hasta']);
    
    
    $vEmpresaId=intval($array['empresaid']);
    $vZonaId=intval($array['zonaid']);
    $vAlmacenId=intval($array['almacenid']);
    $vProductoId=intval($array['productoid']);
    $vDesde=trim($array['desde']); if(trim($vDesde)!='')$vDesde=CDate($array['desde']);
    $vHasta=trim($array['hasta']); if(trim($vHasta)!='')$vHasta=CDate($array['hasta']);
    //END OBTENIENDO VALORES

    $oE=new Acceso_clsEmpresa();
    $oZ=new Acceso_clsZona();
    $oA=new Acceso_clsPermisos_Almacen();
    $oR=new Acceso_Inventarios_clsReportes();

    $rowEmpresa=$oE->getROW($vEmpresaId);
    $vZonaNombre="TODAS LAS ZONAS";
    if($vZonaId>0){
        $rowZona=$oZ->getROW($vZonaId);
        $vZonaNombre=$rowZona['nombre'];
    }
    $vTipoNombre="TODOS LOS TIPOS";
    if($vTipo>=0){
        $vTipoNombre=($vTipo==0?'MERCADERIA':'SERVICIOS');
    }

    //BEGIN LEER DATA
    $rsAlm=$oA->LeerAlmacenes($vEmpresaId, $sessCodigo, 0, $vZonaId);
    $rsRpt=$oR->VentasDiarias($vEmpresaId, $vTipo, $vZonaId, $vDesde, $vHasta);

    $arrAlm=array(); if($rsAlm) $arrAlm=$rsAlm->fetchAll(PDO::FETCH_ASSOC);
    $arrAux=array(); if($rsRpt) $arrAux=$rsRpt->fetchAll(PDO::FETCH_ASSOC);

    $arrData=array();
    foreach($arrAux as $i=>$row){
        $arrData[$row['almacenid']][$row['ano']][$row['mes']][$row['dia']]=doubleval($row['total']);
    }
    $arrCols= getDaysRange($vDesde, $vHasta);
    //END LEER DATA

    $xls = new Spreadsheet_Excel_Writer();

    $fTit=$xls->addFormat(array("bold"=>1, "align"=>'center', "valign"=>'vequal_space', "fgcolor"=>50, 'size'=>12, "border"=>1));
    $fTitDatos=$xls->addFormat(array("bold"=>1, "align"=>'left', "valign"=>'top', "fgcolor"=>50, "border"=>1));
    $fLeft=$xls->addFormat(array("border"=>1,"align"=>'left'));
    $fCenter=$xls->addFormat(array("border"=>1,"align"=>'center'));
    $fRight=$xls->addFormat(array("border"=>1,"align"=>'right'));
    $fImporte=$xls->addFormat(array("border"=>1,"align"=>'right', "numformat"=>'#,##0.00'));
    $fCab=$xls->addFormat(array("bold"=>1,"border"=>1,"align"=>'center',"fgcolor"=>43));
    $fCabLeft=$xls->addFormat(array("bold"=>1, "border"=>1, "align"=>'left', "fgcolor"=>43));
    $fCabRight=$xls->addFormat(array("bold"=>1, "border"=>1, "align"=>'right', "fgcolor"=>43));

    $sheet = $xls->addWorksheet("");
    
    $vFila=0;
    $vColumna=1;

    $vColIni=1;
    $vCantColData=0; foreach($arrCols as $im=>$rowMes){$vCantColData+=count($rowMes['oDias']);}
    $vUltCol=$vColIni + $vCantColData + 1;

    $sheet->setColumn($vColumna, $vColumna, 3); //ITEM
    $sheet->setColumn($vColumna+1, $vColumna+1, 50); //ALMACEN
    $sheet->setColumn($vColumna+2, $vUltCol, 10); //IMPORTES
    $sheet->setColumn($vUltCol+1, $vUltCol+1, 15); //TOTALES

    $vFila++;
    $vColumna=$vColIni;
    $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("VENTAS DIARIAS".(trim($vTipoNombre)!=''?' / '.$vTipoNombre:'')), $fTitDatos);
    $sheet->write($vFila, $vColumna+1, "", $fTitDatos);
    $sheet->setMerge($vFila, $vColumna, $vFila, $vColumna+1);
    $sheet->write($vFila+1, $vColumna, Almacenar_Dato_Excel($rowEmpresa['nombre'].' / '.$vZonaNombre), $fTitDatos);
    $sheet->write($vFila+1, $vColumna+1, "", $fTitDatos);
    $sheet->setMerge($vFila+1, $vColumna, $vFila+1, $vColumna+1);
    $sheet->write($vFila+2, $vColumna, Almacenar_Dato_Excel("N°"), $fCab);
    $sheet->write($vFila+2, $vColumna+1, Almacenar_Dato_Excel("ALMACEN"), $fCabLeft);

    $vColumna++;
    foreach($arrCols as $im=>$rowMes){
        $vMes=intval($rowMes['month']);
        $vAno=intval($rowMes['year']);
        $vColumna++;
        $sheet->write($vFila, $vColumna, strtoupper(MonthName($vMes, false))." ".$vAno, $fCab);

        $vColAuxIni=$vColumna;
        for($vNum=1; $vNum<count($rowMes['oDias']); $vNum++){$vColumna++; $sheet->write($vFila, $vColumna, "", $fCab); }
        if(count($rowMes['oDias'])>1)$sheet->setMerge($vFila, $vColAuxIni, $vFila, $vColumna);
    }
    $vColumna++;
    $sheet->write($vFila, $vColumna, "TOTALES", $fTitDatos);
    $sheet->write($vFila+1, $vColumna, "", $fTitDatos);
    $sheet->write($vFila+2, $vColumna, "", $fTitDatos);
    $sheet->setMerge($vFila, $vColumna, $vFila+2, $vColumna);

    $vColumna=$vColIni+2;
    $vFila++;
    foreach($arrCols as $im=>$rowMes){
        foreach($rowMes['oDias'] as $iDia=>$rowDia){
            $sheet->write($vFila, $vColumna, $rowDia['day'], $fCab);
            $vColumna++;
        }
    }

    $vColumna=$vColIni+2;
    $vFila++;
    foreach($arrCols as $im=>$rowMes){
        foreach($rowMes['oDias'] as $iDia=>$rowDia){
            $sheet->write($vFila, $vColumna, DayName($rowDia['dow'], true), $fCab);
            $vColumna++;
        }
    }

    if(count($arrAlm)>0){
        foreach($arrAlm as $iAlm=>$rowAlm){
            $vAlmacenIdAux=intval($rowAlm['almacenid']);
            $vColumna=$vColIni;
            $vFila++;
            $sheet->write($vFila, $vColumna, ($iAlm+1), $fCenter);
            $vColumna++;
            $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel($rowAlm['nombre']), $fLeft);
            $vColumna++;
            foreach($arrCols as $im=>$rowMes){
                foreach($rowMes['oDias'] as $iDia=>$rowDia){
                    $vValor=0;
                    if(isset($arrData[$vAlmacenIdAux][$rowMes['year']][$rowMes['month']][$rowDia['day']])){
                        $vValor=doubleval($arrData[$vAlmacenIdAux][$rowMes['year']][$rowMes['month']][$rowDia['day']]);
                    }
                    $sheet->write($vFila, $vColumna, ($vValor==0?'':$vValor), $fImporte);
                    $vColumna++;
                }
            }
            //BEGIN TOTALES POR FILA
            $fCellIni=$xls->rowcolToCell($vFila, $vColumna - $vCantColData);
            $fCellFin=$xls->rowcolToCell($vFila, $vColumna-1);
            $vFormula="=SUM($fCellIni:$fCellFin))";
            $sheet->writeFormula($vFila, $vColumna, $vFormula, $fImporte);
            //END TOTALES POR FILA
        }

        //BEGIN TOTALES POR COLUMNA
        $vColumna=$vColIni;
        $vFila++;
        $sheet->write($vFila, $vColumna, "TOTALES", $fCab);
        $sheet->write($vFila, $vColumna+1, "", $fCab);
        $sheet->setMerge($vFila, $vColumna, $vFila, $vColumna+1);
        $vColumna++;
        $vColumna++;
        foreach($arrCols as $im=>$rowMes){
            foreach($rowMes['oDias'] as $iDia=>$rowDia){
                $fCellIni=$xls->rowcolToCell($vFila-count($arrAlm), $vColumna);
                $fCellFin=$xls->rowcolToCell($vFila-1, $vColumna);
                $vFormula="=SUM($fCellIni:$fCellFin))";
                $sheet->writeFormula($vFila, $vColumna, $vFormula, $fImporte);
                $vColumna++;
            }
        }
        $fCellIni=$xls->rowcolToCell($vFila-count($arrAlm), $vColumna);
        $fCellFin=$xls->rowcolToCell($vFila-1, $vColumna);
        $vFormula="=SUM($fCellIni:$fCellFin))";
        $sheet->writeFormula($vFila, $vColumna, $vFormula, $fImporte);
        //END TOTALES POR COLUMNA
    }

    $xls->send("VENTAS-DIARIAS".(intval($vTipo)>=0?(intval($vTipo)==0?'-MERCADERIA':'-SERVICIOS'):'').".xls");
    $xls->close();	
?>