<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="CTACTE"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vBancoId=intval($array['bancoid']);
    $swNew=intval($array['swnew']);
    $vCtaCteId=intval($array['ctacteid']);

    $oB=new Acceso_clsBanco();
    $oC=new Acceso_clsCtaCte();

    $rowCtaCte=array("ctacteid"=>0, "numero"=>'', "abreviatura"=>'', "sucursal"=>'', "referencia"=>'', "moneda"=>'', "bancoid"=>$vBancoId, "ctacteid_emp"=>0, "empresa"=>true);
    if (!$swNew){
        $rowCtaCte=$oC->getROW($vCtaCteId);
        $vBancoId=intval($rowCtaCte['bancoid']);
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO CTACTE</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/ctacteedit.js"></script>
    </head>
    <body onLoad="$('#cboBanco').focus();">
        <div id="divHeader">
            <?=btnSave()?>
            <?=getTitle(($swNew?"AGREGANDO":"EDITANDO")." CUENTA CORRIENTE")?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form name="frmEdit" id="frmEdit" method="post" action="#" class="form-horizontal">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="ctacteid" id="ctacteid" value="<?=$vCtaCteId?>">
                    <?
                    $oB= new Acceso_clsBanco();
                    $rs=$oB->Leer();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboBanco", "BANCO", "bancoid", "nombre", intval($rowCtaCte['bancoid']));
                    
                    $oE= new Acceso_clsEmpresa();
                    $rs=$oE->Leer();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboEmpresa", "EMPRESA", "empresaid", "nombre", intval($rowCtaCte['empresaid']));
                    
                    getFormGroupText("txtNumero", "N&Uacute;MERO", $rowCtaCte['numero'], 50);
                    getFormGroupText("txtAbreviatura", "ABREVIATURA", $rowCtaCte['abreviatura'], 20);
                    getFormGroupText("txtSucursal", "SUCURSAL", $rowCtaCte['sucursal'], 20);
                    getFormGroupText("txtReferencia", "REFERENCIA", $rowCtaCte['referencia'], 20);
                    
                    getFormGroupSelect($arrTipMonGen, "cboMoneda", "MONEDA", "monedaid", "nombre", trim($rowCtaCte['moneda']));
                    
                    getFormGroupCheckLabel("chkEmpresa", "", "Esta cuenta pertenece a nuestra empresa", $rowCtaCte['empresa']);
                    ?>
                </form>
            </div>
        </div>
    </body>
</html>