<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="TABLAS-BASICAS"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vEmpresaId=intval($array['empresaid']);
    $vAlmacenId=intval($array['almacenid']);

    $rowConfig=array("almacenid"=>0);
    $oE=new Acceso_clsEmpresa();
    $oA=new Acceso_clsAlmacen();
    $oC=new Acceso_clsEmpresaAlmacen();

    $rowEmpresa=$oE->getROW($vEmpresaId);
    $rowAlmacen=$oA->getROW($vAlmacenId);
    $rowConfig=$oC->getROW($vEmpresaId, $vAlmacenId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>EMPRESA - ALMACEN - CONFIGURACION</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/empresaalmacenedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
    </head>
    <body>
        <form id="frmPanel" class="form-horizontal">
            <input type="hidden" name="empresaid" id="empresaid" value="<?=$vEmpresaId?>">
            <input type="hidden" name="almacenid" id="almacenid" value="<?=$vAlmacenId?>">
            <div id="divHeader">
                <?=btnSave()?><?=getTitle("CONFIGURACION")?><?=btnClose()?>
            </div>
            <div id="divTit" class="BORDER_B" style="padding: 5px; height: 32px;">
                <div class="float-left"><strong class="BLUE" style="font-size: 14px;"><?= Mostrar_Dato($rowEmpresa['nombre'])?></strong></div>
                <div class="float-right"><strong class="RED" style="font-size: 14px;"><?= Mostrar_Dato($rowAlmacen['zona_nombre']." / ".$rowAlmacen['nombre'])?></strong></div>
            </div>
            <div id="divMain">
                <div id="divGrid" style="overflow: hidden; padding: 5px;">
                    <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                        <li><a href="#oTabs-1" data-toggle="tab">General</a></li>
                    </ul>
                    <div class="tab-content" style="margin-top:0px; overflow:hidden; padding:5px;" id="oTabsContent">
                        <div id="oTabs-1" class="tab-pane" style="overflow:auto; padding:5px;">
                            <div class="row">
                                <div class="col-sm-6">
                                    <?
                                    $oC=new Acceso_clsCertificadoDigital();
                                    $rs=$oC->Leer();
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboCertificado", "CERTIFICADO", "certificadoid", "nombre", intval($rowConfig['certificadoid']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");

                                    getFormGroupCheckLabel("chkSunatFirmar", "", "Firmar documentos", $rowConfig['sunat_firmar'], 'col-sm-8', 'col-sm-4');
                                    getFormGroupCheckLabel("chkSunatEnviar", "", "Enviar documentos", $rowConfig['sunat_enviar'], 'col-sm-8', 'col-sm-4');
                                    
                                    $arrCantPre=array();
                                    $arrCantPre[]=array("codigo"=>1, "nombre"=>"Mostrar solo 1 precio");
                                    $arrCantPre[]=array("codigo"=>2, "nombre"=>"Mostrar 2 precios");
                                    $arrCantPre[]=array("codigo"=>3, "nombre"=>"Mostrar 3 precios");
                                    $arrCantPre[]=array("codigo"=>4, "nombre"=>"Mostrar los 4 precios");
                                    getFormGroupSelect($arrCantPre, "cboCantidadPrecios", "CANT. PRECIOS", "codigo", "nombre", intval($rowConfig['cantidad_precios']), "0", "Seleccione", false, "col-sm-8", "col-sm-4");
                                    
                                    $arrTipRed=array();
                                    $arrTipRed[]=array("codigo"=>-1, "nombre"=>"Redondear a menos");
                                    $arrTipRed[]=array("codigo"=>0, "nombre"=>"No aplicar redondeo");
                                    $arrTipRed[]=array("codigo"=>1, "nombre"=>"Redondear a mas");
                                    getFormGroupSelect($arrTipRed, "cboTipoRedondeo", "REDONDEO", "codigo", "nombre", intval($rowConfig['tipo_redondeo']), "0", "Seleccione", false, "col-sm-8", "col-sm-4");
                                    
                                    getFormGroupText("txtTemporizador", "TEMPORIZADOR", intval($rowConfig['sunat_temporizador']), 0, "", "", "max-width:100px; text-align:center;", "col-sm-8", "col-sm-4");
                                    getFormGroupText("txtIntentos", "INTENTOS", intval($rowConfig['sunat_intentos']), 0, "", "", "max-width:100px; text-align:center;", "col-sm-8", "col-sm-4");
                                    ?>
                                </div>
                                <div class="col-sm-6">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>