<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $array=$_GET;

    $vModuloSistemaId=intval($array['modulosistemaid']);
    $vUnidadNegocioId=intval($array['unidadnegocioid']);

    $oUN=new Acceso_clsUnidad_Negocio();
    $oMS=new Acceso_clsModulo_Sistema();

    $rowModulo=$oMS->getROW($vModuloSistemaId);
    $rowUnidad=$oUN->getROW($vUnidadNegocioId);
    
    $vMsgNoPermiso=""; $vTienePermiso=true;
    if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PERMISOS POR UNIDAD DE NEGOCIO</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_fancy.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js" ></script>
        <script language="javascript" type="text/javascript" src="js/permisosunidadnegocio.js"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnRefresh()?><?=btnDelete()?>
            <?=getTitle('MIEBROS DEL MODULO: <span style="color:#F00">'.Mostrar_Dato($rowUnidad['nombre']." / ".$rowModulo['nombre']))."</span>"?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px;">
                <form id="frmPanel">
                    <input type="hidden" value="<?=$vModuloSistemaId?>" name="modulosistemaid" id="modulosistemaid">
                    <input type="hidden" value="<?=$vUnidadNegocioId?>" name="unidadnegocioid" id="unidadnegocioid">
                    <input type="hidden" name="tiene_permiso" id="tiene_permiso" value="<?=($vTienePermiso?"1":"0")?>" alt="<?=$vMsgNoPermiso?>">
                    <table width="100%" id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="20px"><input type="checkbox" name="chkAll" id="chkAll"></th>
                                <th width="50px"></th>
                                <th width="40px"></th>
                                <th class="left">NOMBRE</th>
                                <th width="50px">CANT</th>
                                <th width="160px">ULTIMA VISITA</th>
                                <th width="100px">&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
                <div class="float-right">
                    <div class="<?=clsBtnGroup()?>">
                        <?=bDefault("btnRen", "Renovar Claves", "hand-right")?>
                        <?=bDefault("btnNoRen", "NO renovar Claves", "hand-left")?>
                    </div>
                </div>
            </div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; z-index:99999; border:0px;"></div>
    </body>
</html>