<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $oP=new Acceso_clsPersona();
    $oC=new Acceso_clsClave();

    $vPersonaId=intval($array['personaid']);

    $rowPersona=$oP->getROW($vPersonaId);
    $rowClave=$oC->getROW($vPersonaId);

    $vMsgNoPermiso=""; $vTienePermiso=true;
    if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
    if($vTienePermiso){
        if(trim($rowClave['usuario'])==SUPERUSUARIO){
            if($sessUsuario!=SUPERUSUARIO) {$vTienePermiso=false;$vMsgNoPermiso="Ud. no puede modificar al Administrador del sistema";}
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>CAMBIAR CLAVE</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/personaclave.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body onLoad="$('#txtUsuario').focus();">
        <div id="divHeader">
            <?=getTitle("ACCESO AL SISTEMA")?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding: 5px">
                <div class="row">
                    <div class="col-sm-2" style="text-align:center">
                        <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO."/".(trim($rowPersona['foto'])!=''?trim($rowPersona['foto']):'0'.trim($rowPersona['sexo']))?>" class="pic img-responsive">
                    </div>
                    <div class="col-sm-10">
                        <h1 class="titulo1" style="color:#009">Cambio de datos para el acceso</h1>
                        <p class="texto1">Recuerde que su contrase&ntilde;a es el unico medio de acceso a la intranet, no la divulgue, mantengalo en secreto. La corporaci&oacute;n no se hace responsable del mal uso de su contrase&ntilde;a.</p>
                        <p class="texto1">Recuerde que la clave debe tener como minimo 6 caracteres y como m&aacute;ximo 20. Se le recomienda cambiar periodicamente su contrase&ntilde;a. </p>
                        <h4><?=Mostrar_Dato((trim($rowPersona['titulo'])!=""?$rowPersona['titulo']." ":"").$rowPersona['nombre_ab']." ".$rowPersona['ape_pat_mayus']." ".$rowPersona['ape_mat_mayus'])?></h4>
                        <? if(trim($rowClave['usuario'])!=''){?>
                            <p><span style="font-size:18px; padding:5px" class="badge badge-info"><?=Mostrar_Dato($rowClave['usuario'])?></span></p>
                        <? } ?>
                        <? if(trim($rowClave['tipo_cambio'])!=''){?>
                            <p><span style="color:#069">La clave actual ha sido proporcionada por <?=trim($rowClave['tipo_cambio'])=="A"?"El administrador":" El usuario"?></span></p>
                        <? } ?>
                        <? if($rowClave['renovar_clave']){?>
                            <p><span style="color:#F00">Actualmente se espera el cambio de clave por parte del usuario</span></p>
                        <? } ?>
                        <form id="frmPanel" class="form-horizontal">
                            <input type="hidden" value="<?=$vPersonaId?>" name="personaid" id="personaid">
                            <input type="hidden" value="<?=trim($rowClave['usuario'])?>" name="txtUsuario_Anterior" id="txtUsuario_Anterior">
                            <input type="hidden" value="<?=trim($rowClave['clave'])?>" name="txtClave_Anterior" id="txtClave_Anterior">
                            <input type="hidden" name="tiene_permiso" id="tiene_permiso" value="<?=($vTienePermiso?"1":"0")?>" alt="<?=$vMsgNoPermiso?>">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">USUARIO:</label>
                                <div class="col-sm-8">
                                    <input type="text" value="<?=Mostrar_Dato($rowClave['usuario'])?>" name="txtUsuario" id="txtUsuario" class="form-control" maxlength="20" placeholder="Ingrese el usuario">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">INGRESE LA NUEVA CLAVE:</label>
                                <div class="col-sm-8">
                                    <input type="text" value="" name="txtClave" id="txtClave" class="form-control" maxlength="20" placeholder="Ingrese la clave">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label"></label>
                                <div class="col-sm-8">
                                    <?=bWarning("btnGenerar", "Generar clave", "font")?>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label"></label>
                                <div class="col-sm-8">
                                    <p><?=bCheckDefault("chkRenovar_Clave", "chkRenovar_Clave", "Requerir cambio de contrase&ntilde;a en el pr&oacute;ximo acceso", "", "", "", "", true)?></p>
                                    <p>
                                        <?=bInfo("btnCambiar", "Cambiar datos de acceso", "ok", "", "btn-lg")?>
                                    </p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label"></label>
                                <div class="col-sm-8">
                                    <p>
                                        <? if(trim($rowClave['usuario'])!='' && trim($rowClave['clave'])!=''){?>
                                            <p><span style="color:#369; line-height:12px;">Tambien puedes solo optar por renovar o no renovar clave en el pr&oacute;ximo ingreso manteniendo la clave actual.</span></p>
                                            <p>
                                                <div class="<?=clsBtnGroup()?>">
                                                    <?= bDefault("btnRen", "Renovar", "star")?>
                                                    <?= bDefault("btnNoRen", "No Renovar", "star")?>
                                                </div>
                                            </p>
                                        <? } ?>
                                    </p>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T">
            <div class="float-left"><?=bDefault("btnHistorial", "Mostrar el historial de cambios", "align-justify")?></div>
            <div class="float-right"></div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border:0px; z-index:9999999;"></div>
    </body>
</html>