<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $oP=new Acceso_clsPersona();
    $oC=new Acceso_clsClave_Otros();

    $vPersonaId=intval($array['personaid']);
    $swTitulo=(intval($array['swtitulo'])==1);
    $swClose=(intval($array['swclose'])==1);

    $rowPersona=$oP->getROW($vPersonaId);
    $rowClave=$oC->getROW($vPersonaId);

    $vMsgNoPermiso=""; $vTienePermiso=TienePermiso($sessCodigo, "persona-edit-user", $vMsgNoPermiso);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Cambiar clave</title>
    	<? include("../php/head.php");?>
        <script language="javascript" type="text/javascript" src="js/personaclaveotros.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body onLoad="$('#txtUsuario').focus();">
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <? if($swTitulo){?>
            <div id="divHeader" class="BORDER_R BORDER_L">
                <?=getTitle("USUARIO DE ACCESO AL SISTEMA")?>
                <? if($swClose){?><?=btnClose()?><? }?>
            </div>
        <? } ?>
        <div id="divMain" class="BORDER_R BORDER_L">
            <div id="divGrid" style="padding:5px">

                <div class="row">
                    <div class="col-sm-2" style="text-align:center">
                        <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO."/".(trim($rowPersona['foto'])!=''?trim($rowPersona['foto']):'0'.trim($rowPersona['sexo']))?>" class="pic img-responsive">
                    </div>
                    <div class="col-sm-10">
                        <h1 class="titulo1" style="color:#009">Cambio de datos para el acceso</h1>
                        <p class="texto1">Recuerde que su contrase&ntilde;a es el unico medio de acceso a la intranet, no la divulgue, mantengalo en secreto. La corporaci&oacute;n no se hace responsable del mal uso de su contrase&ntilde;a.</p>
                        <p class="texto1">Recuerde que la clave debe tener como minimo 6 caracteres y como m&aacute;ximo 20. Se le recomienda cambiar periodicamente su contrase&ntilde;a. </p>
                        <h4><?=Mostrar_Dato((trim($rowPersona['titulo'])!=""?$rowPersona['titulo']." ":"").$rowPersona['nombre_ab']." ".$rowPersona['ape_pat_mayus']." ".$rowPersona['ape_mat_mayus'])?></h4>
                        <? if(trim($rowClave['usuario'])!=''){?>
                            <p><span style="font-size:18px; padding:5px" class="badge badge-info"><?=Mostrar_Dato($rowClave['usuario'])?></span></p>
                        <? } ?>
                        <? if(trim($rowClave['clave'])!=''){?>
                            <p>Su clave actual es <span style="font-size:16px; padding:3px" class="badge badge-important"><?=Mostrar_Dato($rowClave['clave'])?></span></p>
                        <? } ?>
                        <? if(trim($rowClave['tipo_cambio'])!=''){?>
                            <p><span style="color:#069">La clave actual ha sido proporcionada por <?=trim($rowClave['tipo_cambio'])=="A"?"El administrador":" El usuario"?></span></p>
                        <? } ?>
                        <? if($rowClave['renovar_clave']){?>
                            <p><span style="color:#F00">Actualmente se espera el cambio de clave por parte del usuario</span></p>
                        <? } ?>
                        <form id="frmPanel" class="form-horizontal form-medium">
                            <input type="hidden" value="<?=$vPersonaId?>" name="personaid" id="personaid">
                            <input type="hidden" value="<?=trim($rowClave['usuario'])?>" name="txtUsuario_Anterior" id="txtUsuario_Anterior">
                            <input type="hidden" value="<?=trim($rowClave['clave'])?>" name="txtClave_Anterior" id="txtClave_Anterior">
                            <input type="hidden" name="tiene_permiso" id="tiene_permiso" value="<?=($vTienePermiso?"1":"0")?>" alt="<?=$vMsgNoPermiso?>">
                            <div class="form-group">
                                <label class="col-sm-4 control-label">USUARIO:</label>
                                <div class="col-sm-8">
                                    <input type="text" value="<?=Mostrar_Dato($rowClave['usuario'])?>" name="txtUsuario" id="txtUsuario" class="form-control" maxlength="20" placeholder="Ingrese el usuario">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">INGRESE LA NUEVA CLAVE:</label>
                                <div class="col-sm-8">
                                    <input type="text" value="<?=Mostrar_Dato($rowClave['clave'])?>" name="txtClave" id="txtClave" class="form-control" maxlength="20" placeholder="Ingrese la clave">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label">CONFIRME LA CLAVE:</label>
                                <div class="col-sm-8">
                                    <input type="text" value="<?=Mostrar_Dato($rowClave['clave'])?>" name="txtConfirmacion" id="txtConfirmacion" class="form-control" maxlength="20" placeholder="Confirme la clave">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label"></label>
                                <div class="col-sm-8">
                                    <p><label class="btn btn-default" for="chkRenovar_Clave"><input type="checkbox" name="chkRenovar_Clave" id="chkRenovar_Clave" checked style="margin-bottom:3px"> Requerir cambio de contrase&ntilde;a en el pr&oacute;ximo acceso </label></p>
                                    <p>
                                        <?=bInfo("btnCambiar", "Cambiar datos de acceso", "ok", "", "btn-lg")?>
                                    </p>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-4 control-label"></label>
                                <div class="col-sm-8">
                                    <p>
                                        <? if(trim($rowClave['usuario'])!='' && trim($rowClave['clave'])!=''){?>
                                            <p><span style="color:#369; line-height:15px;">Tambien puedes solo optar por renovar o no renovar clave en el pr&oacute;ximo ingreso manteniendo la clave actual.</span></p>
                                            <p>
                                                <div class="<?=clsBtnGroup()?>">
                                                    <?= bDefault("btnRen", "Renovar", "star")?>
                                                    <?= bDefault("btnNoRen", "No Renovar", "star")?>
                                                </div>
                                            </p>
                                        <? } ?>
                                    </p>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

            </div>
        </div>
        <div id="divBottom" class="BORDER_ALL">
            <div class="float-left"><?=bDefault("btnHistorial", "Mostrar el historial de cambios", "align-justify")?></div>
        </div>
        <div id="oFondo" class="fondo"></div>
        <div id="oEdit" class="divFrame" style="width:90%; height:90%; top:5%; left:5%; z-index: 99999999;"></div>
    </body>
</html>