<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_POST) $array=$_POST;
    else $array=$_GET;

    $vPersonaGalleryId=intval($array['personagalleryid']);
    $vPersonaIdPerfil=intval($array['personaidperfil']);
    $deDonde=trim($array['dedonde']);

    $oI=new Acceso_clsPersonaGallery();
    $oP=new Acceso_clsPersona();

    $rowGallery=$oI->getROW($vPersonaGalleryId);
    $vPersonaId=intval($rowGallery['personaid']);
    $vFileName=trim($rowGallery['filename']);
    if($vPersonaIdPerfil==0)$vPersonaIdPerfil=$vPersonaId;
    $rowPersona=$oP->getROW($vPersonaIdPerfil);

    $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
    $oFTP=new FTP();
    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    $swExiste=false; $vW=0; $vH=0;
    if ($vFileName!=""){
        $swExiste=$oFTP->File_Exists($vPath, $vFileName);
        if($swExiste){
            $arrData=$oFTP->Dimensions($vPath.$vFileName);
            $vW=intval($arrData['width']);
            $vH=intval($arrData['height']);
        }
    }

    $vWidthMin=FOTO_WIDTH; if(intval($vWidthMin)==0) $vWidthMin=85;
    $vHeightMin=FOTO_HEIGHT; if(intval($vHeightMin)==0) $vHeightMin=115;
?>
<!DOCTYPE html>
<html>
    <head>        
        <title>FOTO DE PERFIL</title>
        <? include("../php/head.php");?>
        <? include("../php/head_crop.php");?>
        <? include("../php/head_number.php"); ?>
        <script type="text/javascript" src="js/personagallerycrop.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=getTitle("FOTO DE PERFIL DE ".Mostrar_Dato(($rowPersona['tipo']=="N")?((trim($rowPersona['titulo'])==''?'':trim($rowPersona['titulo'])." ").$rowPersona['nombre']." ".$rowPersona['ape_pat']." ".$rowPersona['ape_mat']):$rowPersona['raz_soc']))?>
            <?=btnClose()?>
        </div>
        <div id="divTit" style="height:35px; padding:2px;" class="BORDER_B">
            <div class="float-left"  style="max-width: 100px;">
                <div class="<?=clsInputGroup("input-group-sm")?>">
                    <?=InputGroupAddOn("", "", "", "Ancho:")?>
                    <?=getInputText("txtW", "", "", 0, "form-control", "width:50px; text-align:center;")?>
                    <?=InputGroupAddOn("", "", "", "Alto:")?>
                    <?=getInputText("txtH", "", "", 0, "form-control", "width:50px; text-align:center;")?>
                    <div class="<?=clsInputGroupBtn()?>">
                        <?=bWarning("btnMin", "M&iacute;nimo")?><?=bInfo("btnMax", "Recomendado")?><?=bDefault("btnLimpiar", "Limpiar")?>
                    </div>
                </div>
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:5px">
                <form id="frmPanel">
                    <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                	<input type="hidden" name="personagalleryid" id="personagalleryid" value="<?=$vPersonaGalleryId?>">
                	<input type="hidden" name="personaid" id="personaid" value="<?=$vPersonaId?>">
                	<input type="hidden" name="personaidperfil" id="personaidperfil" value="<?=$vPersonaIdPerfil?>">
                	<input type="hidden" name="filename" id="filename" value="<?=$vFileName?>">
                	<input type="hidden" name="dedonde" id="dedonde" value="<?=$deDonde?>">
                	<input type="hidden" name="widthmin" id="widthmin" value="<?=$vWidthMin?>">
                	<input type="hidden" name="heightmin" id="heightmin" value="<?=$vHeightMin?>">
                	<input type="hidden" name="x1" id="x1" value="0">
                	<input type="hidden" name="y1" id="y1" value="0">
                	<input type="hidden" name="x2" id="x2" value="0">
                	<input type="hidden" name="y2" id="y2" value="0">
                	<input type="hidden" name="w" id="w" value="0">
                	<input type="hidden" name="h" id="h" value="0">
                	<?
                        $vStyleSize="";
                        if($swExiste){
                            if($vW>0 && $vH>0)$vStyleSize='height:'.$vH.'px; width:'.$vW.'px; min-height:'.$vH.'px; min-width:'.$vW.'px;';
                            ?>
                            <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/".$vFileName?>"  filename="<?=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/".$vFileName?>" style="<?=$vStyleSize?>" id="btnCrop">
                            <?
                        }
                    ?>
                </form>
            </div>
        </div>
        <div id="divBottom" style="height:45px; padding:3px;" class="BORDER_T BG1">
            <div class="float-left">
                <div class="<?=clsBtnGroup("")?>">
                    <?=bDefault("btnDown", "Descargar", "download")?>
                    <?=bPrimary("btnUpd", "Colocar como perfil", "ok")?>
                </div>
            </div>
            <div class="float-right">
                <div class="float-right" id="lblMsg"></div>
            </div>
        </div>
    </body>
</html>