<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vLicenciaId=intval($array['licenciaid']);
    $vPersonaId=intval($array['personaid']);
    $swNew=(intval($array['swnew'])==1);

    $rowLicencia=array("licenciaid"=>0, "personaid"=>0, "expedicion"=>date('Y-m-d-'), "revalidacion"=>date('Y-m-d-'), "restricciones"=>'');

    $oL=new Acceso_clsLicenciaConducir();
    $oP=new Acceso_clsPersona();
    if(!$swNew){
        $rowLicencia=$oL->getROW($vLicenciaId);
        $vPersonaId=intval($rowLicencia['personaid']);
    }
    $rowPersona=$oP->getROW($vPersonaId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO LICENCIAS DE CONDUCIR</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="js/personalicenciaconduciredit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
    </head>
    <body onLoad="$('#txtCaption').focus();">
        <form id="frmEdit" class="form-horizontal">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="licenciaid" id="licenciaid" value="<?=$vLicenciaId?>">
            <input type="hidden" name="personaid" id="personaid" value="<?=$vPersonaId?>">
            <input type="hidden" name="archivo" id="archivo" value="<?=trim($rowLicencia['archivo'])?>">
            <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
            <div id="divHeader" class="BORDER_L BORDER_R BORDER_T">
                <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." LICENCIA DE CONDUCIR")?><?=btnClose()?>
            </div>
            <div id="divMain">
                <div id="divEdit" style="padding:5px;" class="BORDER_ALL">

                    <?
                    $oC=new Acceso_clsCategoriaLicencia();
                    $rs=$oC->Leer();
                    $arrCatLic=array(); if($rs)$arrCatLic=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrCatLic, "cboCategoria", "CATEGORIA", "categoriaid", "nombre", intval($rowLicencia['categoriaid']), "0", "Seleccione", true);
                    
                    getFormGroupText("txtExpedicion", "EXPEDICION", FormatDate($rowLicencia['expedicion']), 10, "", "form-control", "text-align: center; max-width:100px;");
                    getFormGroupText("txtRevalidacion", "REVALIDACION", FormatDate($rowLicencia['revalidacion']), 10, "", "form-control", "text-align: center; max-width:100px;");
                    getFormGroupTextArea("txtRestricciones", "RESTRICCIONES", $rowLicencia['restricciones'], "", "height:60px");

                    getFormGroupBegin("ARCHIVO");
                    ?>
                    <p>
                        <div class="<?=clsBtnGroup()?>">
                            <?
                            $vFile=trim($rowLicencia['archivo']); $swFoundImg=false; $vSize="";
                            if(!$swNew && $vFile!=''){
                                $oFTP=new FTP();
                                $oFTP->pServer=FTP_DOMAIN;
                                $oFTP->pUser=FTP_USER;
                                $oFTP->pPassword=FTP_PASS;
                                $oFTP->pPort=FTP_PORT;
                                $vPath=FTP_PATH.FTP_DIR.PATH_PERSONA_LICENCIAS_FILES."/".$vPersonaId."/";

                                if ($oFTP->File_Exists($vPath, $vFile)){
                                    $swFoundImg=true;
                                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFile)));
                                    $arrList= explode(".", $vFile);
                                    $vExt=strtolower($arrList[count($arrList)-1]);
                                    ?>
                                    <button type="button" id="btnFile" class="btn btn-default" file="<?=$vPath.$vFile?>"> <img src="<?=HERRAMIENTAS_PHP_WEB?>/iconos/<?=($vExt)?>"> <?=$vFile?> (<?= FormatSizeFile($vSize)?>)</button>
                                    <?
                                }
                            }
                            if(!$swFoundImg){
                                ?>
                                <button type="button" id="btnFile" class="btn btn-default" file=""> Sin archivo</button>
                                <?
                            }
                            ?>
                            <?=bDefault("btnDownload", "", "download", "Descargar archivo")?><?=bDanger("btnDelFile", "", "trash", "Eliminar archivo del servidor")?>
                        </div>
                    </p>
                    <p>
                        <div class="float-left" style="padding-top:10px;">
                            <div id="custom-queue"></div>
                            <input type="file" id="txtFile" name="txtFile" />
                        </div>
                    </p>
                    <? getFormGroupEnd(); ?>
                    
                </div>
            </div>
        </form>
    </body>
</html>
<script type="text/javascript">
    $(function() {
        $('#txtFile').uploadifive({
            'uploadScript'     	: 'ajax/ajPersonaLicenciaConducir.php',
            'fileSizeLimit' 	: <?=intval(SIZE_PERSONA_LICENCIAS_FILES)?>,
            'multi'          	: false,
            'auto'           	: true,
            'buttonText'	: 'Examinar',
            'queueID'        	: 'custom-queue',
            'formData'  	: { 'miopcion':'upload', personaid:$('#personaid').val(), session:"<?=session_id()?>" },
            'removeCompleted'	: true,

            'onAddQueueItem': function(oFile){ swUpdate=false; },
            'onUploadComplete': function(oFile, oData){
                try{
                    var oRpta = jQuery.parseJSON(oData);
                    if(oRpta.pResult){
                        $('#archivo').val(oRpta.pFileName);
                        $('#btnFile').html('<img src="'+oRpta.pIcono+'"> '+oRpta.pFileName+' ('+oRpta.pSize+')').attr('file', oRpta.pFileNamePath);
                    }else{
                        $('#btnFile').html('Sin archivo').attr('file', '');
                        bootbox.alert(oRpta.pMessage);
                    }
                    swUpdate=true;
                }catch(e){
                    bootbox.alert(oData);
                }
            },
            'onCancel': function(oFile) {
                swUpdate=true;
            }
        });
    });
</script>