<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="UBIGEO"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <title>UBIGEO</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/ubigeo.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard3Cols1.js"></script>
	</head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=getTitle("UBIGEO")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px; overflow:hidden;">
                <div id="divLeft" style="overflow:hidden;">
                    <form id="frmDpto">
                        <div id="divLeftTop1" class="BORDER_ALL BG_IMG1" style="height:23px; padding:2px; border-bottom:0px;"><b class="SUBTITULO">DEPARTAMENTOS</b></div>
                        <div id="divLeftMain" class="BORDER_ALL" style="border-bottom:0px; padding:2px">
                            <table width="100%" id="tblDpto" class="standard">
                                <thead>
                                    <tr class="title1">
                                        <th width="25px"></th>
                                        <th width="25px"><input type="checkbox" name="chkAllDpto" id="chkAllDpto"></th>
                                        <th width="30px">ID</th>
                                        <th class="left">NOMBRE</th>
                                        <th width="30px" title="Ubigeo">UB</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div id="divLeftBottom1" class="BORDER_ALL BG1">
                            <div class="float-left FS_11 standard" id="lblPieDpto"></div>
                            <div class="float-right">
                            	<div class="<?=clsBtnGroup()?>">
                                    <?=bRefresh("btnDptoRef")?><?=bAdd("btnDptoAdd")?><?=bDelete("btnDptoDel")?>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div id="divCenter" style="overflow:hidden;">
                    <form id="frmPro">
                        <input type="hidden" value="0" name="departamentoid" id="departamentoid" />
                        <div id="divCenterTop1" class="BORDER_ALL BG_IMG1" style="height:23px; padding:2px; border-bottom:0px;"><b class="SUBTITULO">PROVINCIAS</b></div>
                        <div id="divCenterTop2" class="BORDER_ALL BG1" style="height:23px; padding:2px; border-bottom:0px;"></div>
                        <div id="divCenterMain" class="BORDER_ALL" style="border-bottom:0px; padding:2px">
                            <table width="100%" id="tblPro" class="standard">
                                <thead>
                                    <tr class="title1">
                                        <th width="25px"></th>
                                        <th width="25px"><input type="checkbox" name="chkAllPro" id="chkAllPro"></th>
                                        <th width="40px">ID</th>
                                        <th class="left">NOMBRE</th>
                                        <th width="30px" title="Ubigeo">UB</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div id="divCenterBottom1" class="BORDER_ALL BG1">
                            <div class="float-left FS_11 standard" id="lblPiePro"></div>
                            <div class="float-right">
                            	<div class="<?=clsBtnGroup()?>">
                                    <?=bRefresh("btnProRef")?><?=bAdd("btnProAdd")?><?=bDelete("btnProDel")?>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div id="divRight" style="overflow:hidden;">
                    <form id="frmDis">
                        <input type="hidden" value="0" name="provinciaid" id="provinciaid" />
                        <div id="divRightTop1" class="BORDER_ALL BG_IMG1" style="height:23px; padding:2px; border-bottom:0px;"><b class="SUBTITULO">DISTRITOS</b></div>
                        <div id="divRightTop2" class="BORDER_ALL BG1" style="height:23px; padding:2px; border-bottom:0px;"></div>
                        <div id="divRightMain" class="BORDER_ALL" style="border-bottom:0px; padding:2px">
                            <table width="100%" id="tblDis" class="standard">
                                <thead>
                                    <tr class="title1">
                                        <th width="25px"></th>
                                        <th width="25px"><input type="checkbox" name="chkAllDis" id="chkAllDis"></th>
                                        <th width="40px">ID</th>
                                        <th class="left">NOMBRE</th>
                                        <th width="30px" title="Ubigeo">UB</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div id="divRightBottom1" class="BORDER_ALL BG1">
                            <div class="float-left FS_11 standard" id="lblPieDis"></div>
                            <div class="float-right">
                            	<div class="<?=clsBtnGroup()?>">
                                    <?=bRefresh("btnDisRef")?><?=bAdd("btnDisAdd")?><?=bDelete("btnDisDel")?>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div id="capFondo" class="fondo"></div>
        <div id="capFrame" class="divFrame"  style="width:60%; height:60%; top:20%; left:20%; z-index: 9999999;"></div>
    </body>
</html>