<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oE=new Acceso_clsEmpresa();
            $rs=$oE->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oE=new Acceso_clsEmpresa();
            $oE->pRUC=Almacenar_Dato($array['txtRUC']);
            $oE->pNombre=Almacenar_Dato($array['txtNombre']);
            $oE->pNombreComercial=Almacenar_Dato($array['txtNombreComercial']);
            $oE->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oE->pTipoDocumento=Almacenar_Dato($array['txtTipoDocumento']);
            $oE->pDireccion=Almacenar_Dato($array['txtDireccion']);
            $oE->pUrl=Almacenar_Dato($array['txtUrl']);
            $oE->pCertificadoId=intval($array['cboCertificado']);
            $oE->pDistritoId=intval($array['cboDistrito']);
            $oE->pSunatUsuario=Almacenar_Dato($array['txtSunatUsuario']);
            $oE->pSunatClave=Almacenar_Dato($array['txtSunatClave']);

            $vEmpresaId=intval($array['empresaid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oE->Agregar($vEmpresaId);
            }else{
                $intError=$oE->Modificar($vEmpresaId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oE->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oE=new Acceso_clsEmpresa();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCodigo){
                    $intError=$oE->Eliminar($vCodigo);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oE->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>