<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "consulta":
            $oC=new Acceso_clsClave();
            $rs=$oC->Leer_Personas(0, 50, trim($array['apepat']), trim($array['apemat']), trim($array['nombre']), "null");

            $arrDatos=array(); if ($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            echo json_encode($jsondata);
            break;
        case "mostrar_permisos":
            $vPersonaId=intval($array['personaid']);

            $oPerWeb=new Acceso_clsPermisosWeb();
            $oPerPro=new Acceso_clsPermisos_Proceso();
            $oPerEmp=new Acceso_clsPermisos_Empresa();
            $oPerUni=new Acceso_clsPermisos_Unidad_Negocio();
            $oPerAlm=new Acceso_clsPermisos_Almacen();
            $oPerGru=new Acceso_clsGrupo_Permisos_Persona();
            $oGruMenWeb=new Acceso_clsGrupo_Permisos_MenuWeb();

            $rsPerWeb=$oPerWeb->Permisos_Usuario($vPersonaId);
            $rsPerPro=$oPerPro->Leer_Permisos($vPersonaId);
            $rsPerEmp=$oPerEmp->Leer($vPersonaId);
            $rsPerUni=$oPerUni->Leer($vPersonaId);
            $rsPerAlm=$oPerAlm->Leer($vPersonaId);
            $rsPerGru=$oPerGru->LeerPorPersona($vPersonaId);
            $rsGruMenWeb=$oGruMenWeb->Leer(0,0);

            $arrPerWeb=array(); if($rsPerWeb) {$arrPerWeb=$rsPerWeb->fetchAll(PDO::FETCH_ASSOC);}
            $arrPerPro=array(); if($rsPerPro) {$arrPerPro=$rsPerPro->fetchAll(PDO::FETCH_ASSOC);}
            $arrPerEmp=array(); if($rsPerEmp) {$arrPerEmp=$rsPerEmp->fetchAll(PDO::FETCH_ASSOC);}
            $arrPerUni=array(); if($rsPerUni) {$arrPerUni=$rsPerUni->fetchAll(PDO::FETCH_ASSOC);}
            $arrPerAlm=array(); if($rsPerAlm) {$arrPerAlm=$rsPerAlm->fetchAll(PDO::FETCH_ASSOC);}
            $arrPerGru=array(); if($rsPerGru) {$arrPerGru=$rsPerGru->fetchAll(PDO::FETCH_ASSOC);}
            $arrGrupoMenuWebAux=array(); if($rsGruMenWeb) {$arrGrupoMenuWebAux=$rsGruMenWeb->fetchAll(PDO::FETCH_ASSOC);}
            
            $arrGrupoMenuWeb=array(); foreach($arrGrupoMenuWebAux as $iOpc=>$row) $arrGrupoMenuWeb[$row['codigo']][]=array("menuwebid"=>$row['menuwebid']);

            $jsondata['oPermisos'] = $arrPerWeb;
            $jsondata['oPerPro'] = $arrPerPro;
            $jsondata['oPerEmp'] = $arrPerEmp;
            $jsondata['oPerUni'] = $arrPerUni;
            $jsondata['oPerAlm'] = $arrPerAlm;
            $jsondata['oPerGrupo'] = $arrPerGru;
            $jsondata['oGrupoMenuWeb'] = $arrGrupoMenuWeb;
            echo json_encode($jsondata);
            break;
        case "actualizar":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $oPermiso=new Acceso_clsPermisosWeb();
                $vCodigo=intval($array['personaid']);
                $vArray="";
                $arrPermisos=array();
                if(isset($array['chk'])) $arrPermisos=$array['chk'];
                if (is_array($arrPermisos)){
                    foreach ($arrPermisos as $ind => $vMenu){
                        $vArray.=intval($vMenu).",";
                    }
                }
                if (trim($vArray)=="") $vArray="null";
                else{
                    $vArray=substr($vArray, 0, strlen($vArray)-1);
                    $vArray="array[".trim($vArray)."]";
                }
                $vRpta=$oPermiso->Registrar($vCodigo, $vArray, $sessCodigo, miIP());
                if(!$vRpta){
                    $intError=1;
                    $msgError="Problemas al actualizar la base de datos.";
                }
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);			
            break;


        case "actualizar_peresp":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $vPersonaId=intval($array['personaid']);

                $vArray="";
                $arrPermisos=array(); if(isset($array['chkProceso'])) $arrPermisos=$array['chkProceso'];
                if (is_array($arrPermisos)) $vArray=implode(",", $arrPermisos);

                if (trim($vArray)=="") $vArray="null";
                else $vArray="array[".trim($vArray)."]";

                $oPP=new Acceso_clsPermisos_Proceso();
                $vRpta=$oPP->Registrar($vPersonaId, $vArray, $sessCodigo, miIP());
                if(!$vRpta){
                    $intError=1;
                    $msgError="Problemas al actualizar la base de datos.";
                }
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);			
            break;
        case "per-emp-update":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $vPersonaId=intval($array['personaid']);

                $vArray="";
                $arrPermisos=array(); if(isset($array['chkPerEmpMod'])) $arrPermisos=$array['chkPerEmpMod'];
                if (is_array($arrPermisos)){
                    foreach ($arrPermisos as $i => $vIDS){
                        $myArr=explode("-", $vIDS);
                        $vArray.="[".intval($myArr[0]).", ".intval($myArr[1])."],";
                    }
                }

                if (trim($vArray)=="") $vArray="null";
                else{
                    $vArray=substr($vArray, 0, -1);
                    $vArray="array[".trim($vArray)."]";
                }

                $oPE=new Acceso_clsPermisos_Empresa();
                $vRpta=$oPE->Registrar($vPersonaId, $vArray, $sessCodigo, miIP());
                if(!$vRpta){
                    $intError=1;
                    $msgError="Problemas al actualizar la base de datos.";
                }
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);			
            break;

        case "per-unineg-update":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $vPersonaId=intval($array['personaid']);

                $vArray="";
                $arrPermisos=array(); if(isset($array['chkPerUniNeg'])) $arrPermisos=$array['chkPerUniNeg'];
                if (is_array($arrPermisos)){
                    foreach ($arrPermisos as $i => $vIDS){
                        $myArr=explode("-", $vIDS);
                        $vArray.="[".intval($myArr[0]).", ".intval($myArr[1])."],";
                    }
                }

                if (trim($vArray)=="") $vArray="null";
                else{
                    $vArray=substr($vArray, 0, -1);
                    $vArray="array[".trim($vArray)."]";
                }

                $oPUN=new Acceso_clsPermisos_Unidad_Negocio();
                $vRpta=$oPUN->Registrar($vPersonaId, $vArray, $sessCodigo, miIP());
                if(!$vRpta){
                    $intError=1;
                    $msgError="Problemas al actualizar la base de datos.";
                }
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);			
            break;

        case "per-alm-update":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $vPersonaId=intval($array['personaid']);

                $vArray="";
                $arrPermisos=array(); if(isset($array['chkPerAlmMod'])) $arrPermisos=$array['chkPerAlmMod'];
                if (is_array($arrPermisos)){
                    foreach ($arrPermisos as $i => $vIDS){
                        $myArr=explode("-", $vIDS);
                        $vArray.="[".intval($myArr[1]).", ".intval($myArr[0])."],";
                    }
                }

                if (trim($vArray)=="") $vArray="null";
                else{
                    $vArray=substr($vArray, 0, -1);
                    $vArray="array[".trim($vArray)."]";
                }

                $oPE=new Acceso_clsPermisos_Almacen();
                $vRpta=$oPE->Registrar($vPersonaId, $vArray, $sessCodigo, miIP());
                if(!$vRpta){
                    $intError=1;
                    $msgError="Problemas al actualizar la base de datos.";
                }
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);			
            break;
            
        case "actualizar-pergrupo":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $oPG=new Acceso_clsGrupo_Permisos_Persona();
                $vPersonaId=intval($array['personaid']);
                $vArray=implode(", ", $array['chkGrupo']);
                if (trim($vArray)!="") $vArray="array[".trim($vArray)."]"; else $vArray="null";
                $intError=$oPG->AddPorPersona($vPersonaId, $vArray, $sessCodigo, miIP());
                if($intError>0){
                    $msgError=$oPG->getErrMsg($intError);
                }
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);			
            break;
    }

?>
