<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "actualizar":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $vPersonaId=intval($array['personaid']);
                $vUsuario=trim($array['txtUsuario']);
                $vClave=trim($array['txtClave']);

                $oC=new Acceso_clsCambiar_Clave();
                $oC->pPersonaId=$vPersonaId;
                $oC->pUsuario_Anterior=trim($array['txtUsuario_Anterior']);
                $oC->pUsuario_Nuevo=$vUsuario;
                $oC->pClave_Anterior=trim($array['txtClave_Anterior']);
                $oC->pClave_Nueva=md5($vClave);
                $oC->pClave_Temporal=(isset($array['chkRenovar_Clave'])?$vClave:"");
                $oC->pRenovar_Clave=isset($array['chkRenovar_Clave']);
                $oC->pTipo_Cambio="A";
                $oC->pExito=true;
                $oC->pFecha=date('Y-m-d');
                $oC->pHora=date('H:i:s');
                $oC->pIP=miIP();
                $oC->pUsuarioId=$sessCodigo;
                $oC->pObservacion="HECHO POR EL ADMINISTRADOR";

                $intError=$oC->Update();
                if($intError>0) $msgError=$oC->getErrMsg($intError);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);
            break;
        case "renovar":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $vPersonaId=intval($array['personaid']);
                $swRenovar=(intval($array['swrenovar'])==1);

                $oC=new Acceso_clsClave();
                $vRpta=$oC->Cambiar_Renovar_Clave($vPersonaId, $swRenovar);
                if(!$vRpta){
                    $intError=1;
                    $msgError="Problemas al activar la renovacion de clave en el proximo ingreso.";
                }
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);
            break;
    }
?>