<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "showtip":
            $oT=new Acceso_clsTipo_Proceso();
            $rs=$oT->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updatetip":
            $vTipoProcesoId=intval($array['tipoprocesoid']);
            $swNew=(intval($array['swnew'])==1);

            $oT=new Acceso_clsTipo_Proceso();
            $oT->pNombre=Almacenar_Dato($array['txtNombre']);
            $oT->pDescripcion=Almacenar_Dato($array['txtDescripcion']);
            $oT->pEstado=isset($array['chkEstado']);

            if ($swNew){
                $intError=$oT->Agregar($vTipoProcesoId);
            }else{
                $intError=$oT->Modificar($vTipoProcesoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "deletetip":
            $arrCheck=array(); if(isset($array['chkTip'])) $arrCheck=$array['chkTip'];
            $swError=false; $msgError="Errores: ";
            $oT=new Acceso_clsTipo_Proceso();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vTipoProcesoId){
                    $intError=$oT->Eliminar($vTipoProcesoId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status_tipo";
            $vTipoProcesoId=intval($array['tipoprocesoid']);

            $oT=new Acceso_clsTipo_Proceso();
            $intError=$oT->Cambiar_Estado($vTipoProcesoId, $sessCodigo, miIP());

            $rowTipo=$oT->getROW($vTipoProcesoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order_tipo":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids'])) $arrIDS=$array['ids'];
            
            $vCadena=implode(",", $arrIDS);
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oT=new Acceso_clsTipo_Proceso();
            $vRpta=$oT->Cambiar_Orden($vCadena, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;





        case "showpro":
            $vTipoProcesoId=intval($array['tipoprocesoid']);

            $oP=new Acceso_clsProceso();

            $rs=$oP->Leer($vTipoProcesoId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updatepro":
            $vProcesoId=intval($array['procesoid']);
            $swNew=(intval($array['swnew'])==1);

            $oP=new Acceso_clsProceso();

            $oP->pTipoProcesoId=intval($array['cboTipo']);
            $oP->pNombre=Almacenar_Dato($array['txtNombre']);
            $oP->pDescripcion=Almacenar_Dato($array['txtDescripcion']);
            $oP->pMensaje=Almacenar_Dato($array['txtMensaje']);
            $oP->pEstado=isset($array['chkEstado']);

            if ($swNew){
                $intError=$oP->Agregar($vProcesoId);
            }else{
                $intError=$oP->Modificar($vProcesoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oP->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "deletepro":
            $arrCheck=array(); if(isset($array['chkPro'])) $arrCheck=$array['chkPro'];
            $swError=false; $msgError="Errores: ";
            $oP=new Acceso_clsProceso();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vProcesoId){
                    $intError=$oP->Eliminar($vProcesoId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oP->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status_proceso";
            $vProcesoId=intval($array['procesoid']);

            $oP=new Acceso_clsProceso();
            $intError=$oP->Cambiar_Estado($vProcesoId, $sessCodigo, miIP());

            $rowTipo=$oP->getROW($vProcesoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oP->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order_proceso":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids'])) $arrIDS=$array['ids'];
            
            $vCadena=implode(",", $arrIDS);
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oP=new Acceso_clsProceso();
            $vRpta=$oP->Cambiar_Orden($vCadena, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>