<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oR=new Acceso_clsRol();
            $rs=$oR->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oR=new Acceso_clsRol();
            $oR->pNombre=Almacenar_Dato($array['txtNombre']);
            $oR->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oR->pImagen=Almacenar_Dato($array['txtImagen']);
            $oR->pEstructura=Almacenar_Dato($array['cboEstructura']);
            $oR->pTipo=Almacenar_Dato($array['cboTipo']);
            $oR->pDefault=isset($array['chkDefault']);

            $vRolId=intval($array['rolid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oR->Agregar($vRolId);
            }else{
                $intError=$oR->Modificar($vRolId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oR->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oR=new Acceso_clsRol();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vRolId){
                    $intError=$oR->Eliminar($vRolId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oR->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "cambiar_estado";
            $vRolId=intval($array['rolid']);

            $oR=new Acceso_clsRol();
            $vRpta=$oR->Cambiar_Estado($vRolId);

            $rowT=$oR->getROW($vRolId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar el estado");
            $jsondata['Status'] = ($rowT['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids'])) $arrIDS=$array['ids'];
            
            $vCadena=implode(",", $arrIDS);
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oR=new Acceso_clsRol();
            $vRpta=$oR->Cambiar_Orden($vCadena, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>