    var ajShow=null;
    function Show(){
        $("#tblMain tbody, #lblMsg").html('');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajEmpresa.php",
            data: ({miopcion:"read"}),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.empresaid+'" empresaid="'+oRow.empresaid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.empresaid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.empresaid+'</td>';
            tblRow+='<td>'+oRow.ruc+'</td>';
            tblRow+='<td valign="top"><div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-xs pull-right" data-toggle="dropdown">'+getIcon("th-list")+' <span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            tblRow+='<li><a href="javascript:void(0)" id="btnConfig" style="text-align:left">'+getIcon("list")+' Configuracion</a></li>';
            tblRow+='<li><a href="javascript:void(0)" id="btnAlmacen" style="text-align:left">'+getIcon("th")+' Almacenes'+(oRow.cantidad_almacenes>0?' <span class="badge badge-success">'+oRow.cantidad_almacenes+'</span>':'')+'</a></li>';
            tblRow+='</ul>';
            tblRow+='</div></td>';
            tblRow+='<td>'+oRow.nombre+'</td>';
            tblRow+='<td><button type="button" class="btn '+(oRow.cantidad_almacenes>0?'btn-success':'btn-default')+' btn-xs">'+oRow.cantidad_almacenes+'</button></td>';
            tblRow+='</tr>';
        });
        $('#lblMsg').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> registros');
        $("#tblMain tbody").html(tblRow);
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("BORDER_ALL PADD_3");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(6)").css({'text-align':'left'});

        $("#tblMain tbody tr a[id='btnConfig']").click(function(e){ Config($(this).parents('tr').attr('empresaid')); });
        $("#tblMain tbody tr a[id='btnAlmacen']").click(function(e){ Almacenes($(this).parents('tr').attr('empresaid')); });
        $("#tblMain tbody tr td:nth-child(7) button").css({'width':'100%'}).click(function(e){ Almacenes($(this).parents('tr').attr('empresaid')); });

        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(evt){ Editar($(this).parents("tr").attr('empresaid'), 0); });

        $("#tblMain tbody input:checkbox[name='chk[]']").change(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+ $("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon('trash')+' Eliminar registros',
                    className: "btn-success",
                    callback: function() {
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajEmpresa.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}}
                        });
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }
    function Cerrar(){ $("#oEdit, #oFondo").hide().html(""); }
    function Editar(vEmpresaId, swNew){ $("#oEdit").show().html("<iframe src='EmpresaEdit.php?empresaid="+vEmpresaId+"&swnew="+swNew+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Config(vEmpresaId){ $("#oEdit").show().html("<iframe src='EmpresaConfig.php?empresaid="+vEmpresaId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Almacenes(vEmpresaId){ $("#oEdit").show().html("<iframe src='EmpresaAlmacen.php?empresaid="+vEmpresaId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Editar(0, 1);});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){Show();}).click();
        $("#btnClose").click(function(e){parent.Cerrar();});
    });