    var ajShow=null;
    function Show(){
        $("#tblMain tbody, #lblMsg").html('');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajEmpresaAlmacen.php",
            data: ({miopcion:"read", 'empresaid':$('#empresaid').val()}),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.almacenid+'" almacenid="'+oRow.almacenid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.almacenid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.almacenid+'</td>';
            tblRow+='<td>'+oRow.nombre+'</td>';
            tblRow+='<td>'+oRow.zona_nombre+'</td>';
            tblRow+='<td>'+(oRow.sunat_firmar?getIcon('ok'):'')+'</td>';
            tblRow+='<td>'+(oRow.sunat_enviar?getIcon('ok'):'')+'</td>';
            tblRow+='<td>'+oRow.sunat_temporizador+'</td>';
            tblRow+='<td>'+oRow.sunat_intentos+'</td>';
            tblRow+='<td>'+oRow.cantidad_precios+'</td>';
            tblRow+='<td>'+(oRow.tipo_redondeo<0?'-':(oRow.tipo_redondeo>0?'+':''))+'</td>';
            tblRow+='<td>'+oRow.certificado_nombre+'</td>';
            tblRow+='</tr>';
        });
        $('#lblMsg').html('Existen <span class="badge badge-primary">'+oData.oData.length+'</span> registros');
        $("#tblMain tbody").html(tblRow);
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("BORDER_ALL PADD_3");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(4), #tblMain tbody tr td:nth-child(5), #tblMain tbody tr td:nth-child(12)").css({'text-align':'left'});

        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(evt){ Editar($(this).parents("tr").attr('almacenid')); });

        $("#tblMain tbody input:checkbox[name='chk[]']").change(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+ $("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon('trash')+' Eliminar registros',
                    className: "btn-success",
                    callback: function() {
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajEmpresaAlmacen.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}}
                        });
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }
    var ajAdd=null;
    function Add(){
        if ($("#cboAlmacen").val()=="0"){bootbox.alert("Falta seleccionar el almacen.", function(e){ $("#cboAlmacen").focus(); }); return false; }
        if(ajAdd) ajAdd.abort();
        ajAdd=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajEmpresaAlmacen.php",
            data: ({'miopcion':'add', 'empresaid':$('#empresaid').val(), 'almacenid':$('#cboAlmacen').val() }), 
            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}}
        });
    }
    function Cerrar(){ $("#oEdit, #oFondo").hide().html(""); }
    function Editar(vAlmacenId){ $("#oEdit").show().html("<iframe src='EmpresaAlmacenEdit.php?empresaid="+$('#empresaid').val()+"&almacenid="+vAlmacenId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Add();});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){Show();}).click();
        $("#btnClose").click(function(e){parent.Cerrar();});
    });