    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#chkAll").prop("checked", false);
        $('#lblMsg').html('Espere...');
        $('#tblMain').hide();
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajPermisosWeb_MenuWeb.php",
            data: ({miopcion:"show", menuwebid:$("#menuwebid").val() }),
            success: function(oData){ if(oData){if(oData)ShowGrid(oData);} },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr personaid="'+oRow.personaid+'">';				
            tblRow+='<td><input type="checkbox" value="'+oRow.personaid+'" id="chk[]" name="chk[]"/></td>';

            tblRow+='<td valign="top"><div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-sm pull-right" data-toggle="dropdown">'+getIcon("th-list")+' <span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            tblRow+='<li title="Editar datos"><a href="javascript:void(0)" id="btnEdit" style="text-align:left">'+getIcon("pencil")+' Editar datos</a></li>';
            tblRow+='<li title="Acceso a Intranet Corporativa"><a href="javascript:void(0)" id="btnAcceso" style="text-align:left">'+getIcon("user")+' Acceso a la intranet corporativa</a></li>';
            tblRow+='<li title="Foto del perfil"><a href="javascript:void(0)" id="btnFoto" style="text-align:left">'+getIcon("picture")+' Foto del perfil</a></li>';
            tblRow+='</ul>';
            tblRow+='</div></td>';

            tblRow+='<td valign="top"><img src="'+oData.oPathPhoto+'/'+($.trim(oRow.foto)!=''?oRow.foto:'0'+oRow.sexo)+'" class="img-circle" style="width:30px; height:30px" /></td>';
            tblRow+='<td>'+oRow.nombre+(oRow.usuario!=''?'&nbsp;<span class="badge badge-info">'+oRow.usuario+'</span>':'');
            if(oRow.tipo_cambio!=''){
                tblRow+='<br /><span style="color:#069">Clave proporcionada por <b>'+(oRow.tipo_cambio=="A"?"El administrador":"El usuario")+'</b></span>';
                if(oRow.renovar_clave=='S'){
                    tblRow+='<br /><span style="color:#F00">Se espera una nueva clave</span>';
                }
            }
            tblRow+='</td>';
            tblRow+='<td>'+(oRow.cantidad==0?'':oRow.cantidad)+'</td>';
            tblRow+='<td>'+oRow.ultima_visita+'</td>';
            tblRow+='<td><button type="button" class="btn btn-default"><img src="'+oData.oImages+'/ico_security16.gif"> Acceso</button></td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $('#lblMsg').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> registros');
        $('#tblMain').show();
        AsigFun();
    }
    function AsigFun(){
        $("#tblMain tbody tr td").addClass("PADD_3 FS_12 BORDER_ALL");
        $("#tblMain tbody tr td").css({"text-align":"center"});
        $("#tblMain tbody tr td:nth-child(4)").css({"text-align":"left"});
        $("#tblMain tbody tr td:nth-child(3) img").addClass('HAND').attr('title', 'Foto').click(function(e) {Foto($(this).parents('tr').attr('personaid')); });
        $("#tblMain tbody tr a[id='btnEdit']").click(function(e){ Editar($(this).parents('tr').attr('personaid'), 0, "ACTUALIZAR DATOS DE UN EMPLEADO"); });
        $("#tblMain tbody tr a[id='btnFoto']").click(function(e){ Foto($(this).parents('tr').attr('personaid')); });
        $("#tblMain tbody tr a[id='btnAcceso']").click(function(e){ Clave($(this).parents('tr').attr('personaid')); });

        $("#tblMain tbody tr td:nth-child(7) button").attr('title', 'Cambiar los datos de acceso').click(function(e){ Clave($(this).parents("tr").attr('personaid')); });

        $("#tblMain tbody input:checkbox[name^='chk[]']").click(function(e){
            $("#chkAll").prop("checked", $("#tblMain tbody input:checkbox[name^='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name^='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){ bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        bootbox.dialog({
            message: "Esta seguro de eliminar los registros seleccionados?",
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon("trash")+' Eliminar registros',
                    className: "btn-success",
                    callback: function() {
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajPermisosWeb_MenuWeb.php",
                            data: $("#frmPanel").serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}}
                        });	
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }

    var ajUpd=null;
    function Renovar_Claves(swRenovar){
        if ($("#tblMain tbody input:checkbox[id='chk[]']:checked").length===0){ bootbox.alert("No hay personas seleccionadas para registrar."); return false;}
        bootbox.dialog({
            message: "Esta seguro de "+(swRenovar?"obligar el cambio de clave ":"no obligar el cambio de clave")+" de las personas seleccionadas ( <b>"+$("#tblMain tbody input:checkbox[name='chk[]']:checked").length+"</b> )",
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon("ok")+' '+(swRenovar?'Renovar claves':'No renovar claves'),
                    className: "btn-success",
                    callback: function() {
                        if(ajUpd) ajUpd.abort();
                        ajUpd=$.ajax({
                            global: true,
                            dataType: 'json',
                            type: "POST",
                            url: "ajax/ajifraRenovar_Clave_Multiple.php",
                            data: $('#frmPanel').serialize()+"&miopcion=renovar_claves&renovar="+swRenovar, 
                            success: function(oRpta){ if(oRpta){ bootbox.alert(oRpta.Description, function(){ Show() }); } }
                        });	
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }

    function Foto(vCodigo){Habilitar(); $('#capFrame').html("<iframe src='PersonaFoto.php?personaid="+vCodigo+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Clave(vCodigo){Habilitar(); $('#capFrame').html("<iframe src='PersonaClave.php?personaid="+vCodigo+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Cerrar(){ $("#capFrame, #capFondo").hide().html(""); }
    function Habilitar(){ $("#capFrame, #capFondo").show(); }

    function Editar(vCodigo, swNuevo, vTitulo){
        var objConsulta=new clsConsulta_Persona();
        objConsulta.pOpcion="EMP";
        objConsulta.jsSelect="";
        objConsulta.jsClose="";
        objConsulta.Editar(vCodigo,swNuevo,vTitulo);
    }

    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name^='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnClose").click(function(e){ parent.Cerrar();});
        $("#btnRefresh").click(function(e){ Show();});
        $("#btnDelete").click(function(e){ Delete();});
        if($('#tiene_permiso').val()=="0"){ $('input, select, button').attr('disabled', true); alert($('#tiene_permiso').attr('alt'));}else Show();
        $("#btnRen").click(function(e){ Renovar_Claves(1); });
        $("#btnNoRen").click(function(e){ Renovar_Claves(0); });
    });