<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(HERRAMIENTAS_PHP."/clsSistema_Archivos.php");
    require_once(LOGICA."/Acceso.php");

    $oSA=new clsSistema_Archivos();

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vUnidad=intval($array['unidadnegocioid']);
            $vNombre=trim($array['texto']);
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=intval($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oN=new Acceso_clsNoticia();
            $rs=$oN->Leer($vInicio, $vCount, $vUnidad, $vNombre, "", "", "", "");
            $vTotalFilas=$oN->Count($vUnidad, $vNombre, "", "", "", "");

            $vPath=FTP_PATH.FTP_DIR.PATH_NEWS_IMAGES."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['imagen']);

                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath, $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oFTP'] = FTP_PATH;
            $jsondata['oPath'] = FTP_DIR.PATH_NEWS_IMAGES."/";
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vNoticiaId=intval($array['noticiaid']);

            $oN=new Acceso_clsNoticia();
            $intError=$oN->Cambiar_Estado($vNoticiaId, $sessCodigo, miIP());

            $rowN=$oN->getROW($vNoticiaId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oN->getErrMsg($intError));
            $jsondata['Status'] = ($rowN['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";

            $oN=new Acceso_clsNoticia();

            $vPath=FTP_PATH.FTP_DIR.PATH_NEWS_IMAGES."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vNoticiaId){
                    $rowNoticia=$oN->getROW($vNoticiaId);
                    if ($rowNoticia){
                        $vFile=trim($rowNoticia['imagen']);
                        $intError=$oN->Eliminar($vNoticiaId);
                        if ($intError==0){
                            if(trim($vFile)!=''){
                                if($oFTP->File_Exists($vPath, $vFile)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vFile);
                                    if (!$vRpta) $msgError.="Error deleting file.";
                                }else $msgError.="File not found.";
                            }
                        }else {
                            $swError=true;
                            $msgError.=$oN->getErrMsg($intError)." ";
                        }
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vNoticiaId=intval($array['noticiaid']);
            $swNew=(intval($array['swnew'])==1);

            $oN=new Acceso_clsNoticia();
            $oN->pUnidadNegocioId=intval($array['cboUnidad_Negocio']);
            $oN->pPublicacion=CDate($array['txtFecha']);
            $oN->pTitulo=Almacenar_Dato(trim($array['txtTitulo']));
            $oN->pDescripcion=Almacenar_Dato(trim($array['txtDescripcion']));
            $oN->pContenido=Almacenar_Dato(trim($array['txtContenido']));
            $oN->pGaleriaId=intval($array['cboGaleria']);
            $oN->pUsuarioId=intval($sessCodigo);
            $oN->pImagen=Almacenar_Dato(trim($array['image']));
            $oN->pEstado=isset($array['chkEstado']);

            if($swNew){
                $intError=$oN->Agregar($vNoticiaId);
            }else{
                $intError=$oN->Modificar($vNoticiaId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oN->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete_image":
            $vPath=FTP_PATH.FTP_DIR.PATH_NEWS_IMAGES."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vNoticiaId=intval($array['noticiaid']);
            $vFileName=trim($array['image']);
            $vRpta=true;
            $oN=new Acceso_clsNoticia();
            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                }
            }
            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":$msgError);
            echo json_encode($jsondata);
            break;
        case "getimage";
            $vNoticiaId=intval($array['noticiaid']);

            $oN=new Acceso_clsNoticia();

            $vPath=FTP_PATH.FTP_DIR.PATH_NEWS_IMAGES."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $rowN=$oN->getROW($vNoticiaId);

            $vImage=IMAGEBLANK;
            $vImagePath=""; $vFileName=""; $vSize=""; $pWidth=130; $pHeight=150;
            if($rowN){
                $vFileName=trim($rowN['imagen']);
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrSize=$oFTP->Dimensions($vPath.$vFileName);
                    $arrSize=Proporcional(intval($arrSize['width']), intval($arrSize['height']), 190, 200);
                    $pWidth=intval($arrSize['width']);
                    $pHeight=intval($arrSize['height']);

                    $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_NEWS_IMAGES."/".$vFileName;
                    $vImagePath=FTP_PATH.FTP_DIR.PATH_NEWS_IMAGES."/".$vFileName;
                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                }else $vFileName="";
            }

            $jsondata['pImage'] = trim($vImage);
            $jsondata['pImagePath'] = trim($vImagePath);
            $jsondata['pFileName'] = trim($vFileName);
            $jsondata['pSize'] = $vSize;
            $jsondata['pWidth'] = $pWidth;
            $jsondata['pHeight'] = $pHeight;
            echo json_encode($jsondata);
            break;
        case "upload":
            $vPath=FTP_PATH.FTP_DIR.PATH_NEWS_IMAGES."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $msgUpload=""; $swUpload=false;
            $vFileName=""; $vFileNameFull=""; $vFileNamePath=""; $vSize=""; $pWidth=130; $pHeight=150;

            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=SanitizeFilename($_FILES[$vArchivo]['name']);

                if ($vFileName!=""){
                    if ($oFTP->Directory_Exists($vPath)){
                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{
                            $oFTP->pFile=$vArchivo;
                            $oFTP->pResize=true;
                            $oFTP->pResizeOption='proportional';
                            $oFTP->pWidth=NEWS_WIDTH;
                            $oFTP->pHeight=NEWS_HEIGHT;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $arrSize=$oSA->getProperties($_FILES[$vArchivo]['tmp_name']);
                                $arrSize=Proporcional(intval($arrSize['width']), intval($arrSize['height']), 190, 200);
                                $pWidth=intval($arrSize['width']);
                                $pHeight=intval($arrSize['height']);

                                $msgUpload="File upload ok";
                                $swUpload=true;
                                $vFileNameFull="http://".FTP_DOMAIN.FTP_DIR.PATH_NEWS_IMAGES."/".$vFileName;
                                $vFileNamePath=FTP_PATH.FTP_DIR.PATH_NEWS_IMAGES."/".$vFileName;
                                $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist.";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pFileNameFull'] = $vFileNameFull;
            $jsondata['pFileNamePath'] = $vFileNamePath;
            $jsondata['pSize'] = $vSize;
            $jsondata['pWidth'] = $pWidth;
            $jsondata['pHeight'] = $pHeight;
            echo json_encode($jsondata);
            break;
    }
?>