<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(ACCESO."/Acceso.php");

    $vPersonaId=intval($sessCodigo);

    $oP=new Acceso_clsPersona();

    $rowPersona=$oP->getROW($vPersonaId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO MIS DATOS</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols1.js"></script>
        <script language="javascript" type="text/javascript" src="js/misdatos.js"></script>
        <style type="text/css">
            .BodyContentL {font:12px/16px verdana; text-align:right; vertical-align:top; padding:3px}
            .BodyContentR {font:bold 12px/16px verdana; text-align:left; vertical-align:top; padding:3px}
        </style>
    </head>
    <body style="padding:0px; margin:0px;">
        <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
        <input type="hidden" value="<?=$vPersonaId?>" name="personaid" id="personaid">
        <div id="divMain">
            <div id="divGrid" style="padding:10px; overflow:hidden;">
                <div id="divLeft" style="overflow:hidden; width:200px;">
                    <div id="divLeftTop1" style="height:40px;">
                        <div class="<?=clsBtnGroup()?>">
                            <?=bDefault("btnFotoRef", "", "refresh", "Mostrar foto")?>
                            <?=bDefault("btnFotoPrev", "", "picture", "Vista preliminar")?>
                            <?=bDelete("btnFotoDel", "", "trash", "Eliminar foto actual")?>
                            <?=bDefault("btnFotoDown", "", "download", "Descargar foto")?>
                        </div>
                    </div>
                    <div id="divLeftMain" style="overflow:hidden;">
                        <div id="objImage" style="width:180px; height:240px; float:left;"></div>
                    </div>
                </div>
                <div id="divRight" style="overflow:hidden;" class="standard">
                    <div id="divRightMain">
                        <h1><?=Mostrar_Dato((trim($rowPersona['titulo'])!=""?$rowPersona['titulo']." ":"").$rowPersona['nombre_ab']." ".$rowPersona['ape_pat_mayus']." ".$rowPersona['ape_mat_mayus'])?></h1>
                        <div class="<?=clsBtnGroup("")?>">
                            <a id="btnEdit" name="btnEdit" class="btn btn-info"><?=getIcon("pencil")?> Editar</a>
                            <a id="btnPassword" name="btnPassword" class="btn btn-warning"><i class="fa fa-key fa-fw"></i> Cambiar mi clave</a>
                            <a id="btnGallery" name="btnGallery" href="MisDatosPhoto.php" class="btn btn-default"><?=getIcon("picture")?> Mis Im&aacute;genes</a>
                        </div>
                        <table>
                            <? if(trim($rowPersona['nombre_comercial'])!=''){?>
                                <tr>
                                    <td class="BodyContentL">Nombre Comun:</td>
                                    <td class="BodyContentR"><?=Mostrar_Dato($rowPersona['nombre_comercial'])?></td>
                                </tr>
                            <? } ?>
                        	<? if(trim($rowPersona['dni'])!=''){?>
                                <tr>
                                    <td class="BodyContentL">DNI:</td>
                                    <td class="BodyContentR"><?=Mostrar_Dato($rowPersona['dni'])?></td>
                                </tr>
                            <? } ?>
                        	<? if(trim($rowPersona['pernat_ruc'])!=''){?>
                                <tr>
                                    <td class="BodyContentL">RUC:</td>
                                    <td class="BodyContentR"><?=Mostrar_Dato($rowPersona['pernat_ruc'])?></td>
                                </tr>
                            <? } ?>
                            <tr>
                                <td class="BodyContentL">Direcci&oacute;n:</td>
                                <td class="BodyContentR"><?=Mostrar_Dato($rowPersona['direccion'])?></td>
                            </tr>
                            <tr>
                                <td class="BodyContentL">Nacimiento:</td>
                                <td class="BodyContentR"><?=FormatDate($rowPersona['nacimiento'])?></td>
                            </tr>
                            <tr>
                                <td class="BodyContentL">Sexo:</td>
                                <td class="BodyContentR"><?=Mostrar_Dato($rowPersona['sexo']=="M"?"Masculino":"Femenino")?></td>
                            </tr>
                            <?
                            $oPerTel=new Acceso_clsPersona_Telefono();
                            $oPerEma=new Acceso_clsPersona_Email();

                            $rs=$oPerTel->Leer($vPersonaId);
                            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
                            if(count($arrDatos)>0){
                                ?>
                                <tr><td colspan="2">&nbsp;</td></tr>
                                <?
                                foreach($arrDatos as $it=>$rowTel){
                                    ?>
                                    <tr>
                                        <td class="BodyContentL"><?=Mostrar_Dato($rowTel['tipo_telefono_name'])?>:</td>
                                        <td class="BodyContentR"><?=Mostrar_Dato($rowTel['numero'].(trim($rowTel['nombre'])!=''?'-'.$rowTel['nombre']:''))?>&nbsp;<?=($rowTel['publico']?"<span title=\"Tel&eacute;fono p&uacute;blico\" style=\"color:#06C\">(P&uacute;blico)</span>":"")?><?=($rowTel['main']?"<span title=\"Email principal\" style=\"color:#ff0000\">(Principal)</span>":"")?></td>
                                    </tr>
                                    <?
                                }
                            }

                            $rs=$oPerEma->Leer($vPersonaId);
                            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
                            if(count($arrDatos)>0){
                                ?>
                                <tr><td colspan="2">&nbsp;</td></tr>
                                <?
                                foreach($arrDatos as $it=>$rowEma){
                                    ?>
                                    <tr>
                                        <td class="BodyContentL"><?=Mostrar_Dato($rowEma['tipo_email_nombre'])?>:</td>
                                        <td class="BodyContentR"><?=Mostrar_Dato($rowEma['email'])?>&nbsp;<?=($rowEma['publico']?"<span title=\"Email p&uacute;blico\" style=\"color:#06C\">(P&uacute;blico)</span>":"")?><?=($rowEma['main']?"<span title=\"Email principal\" style=\"color:#ff0000\">(Principal)</span>":"")?></td>
                                    </tr>
                                    <?
                                }
                            }								


                            $rs=$oP->SocialMedia($vPersonaId);
                            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
                            if(count($arrDatos)>0){
                                ?>
                                <tr><td colspan="2">&nbsp;</td></tr>
                                <?
                                foreach($arrDatos as $it=>$rowSocMed){
                                    ?>
                                    <tr>
                                        <td class="BodyContentL"><?=Mostrar_Dato($rowSocMed['tipo_socialmedia_nombre'])?>:</td>
                                        <td class="BodyContentR"><a href="http://<?=Mostrar_Dato($rowSocMed['tipo_socialmedia_url']."/".$rowSocMed['url'])?>" target="_new"><?=Mostrar_Dato($rowSocMed['tipo_socialmedia_url']."/".$rowSocMed['url'])?></a></td>
                                    </tr>
                                    <?
                                }
                            }								
                            ?>
                        </table>
                        <br>
                    </div>
                </div>
            </div>
        </div>
        <div id="capFondo" class="fondo"></div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border:0px;"></div>
    </body>
</html>