<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $oDpto=new Acceso_clsDepartamento();
    $oProvincia=new Acceso_clsProvincia();
    $oDistrito=new Acceso_clsDistrito();
    $oPersona=new Acceso_clsPersona();

    $vPersonaId=intval($sessCodigo);

    $row=$oPersona->getROW($vPersonaId);
    $vRol=intval($row['rolid']);
    $vDistritoId=intval($row['distritoid']);
    $vProvinciaId=intval($row['provinciaid']);
    $vDepartamentoId=intval($row['departamentoid']);

    $arrSocMedAux=array(); $arrEnfAux=array(); $arrDisAux=array();

    $rsSocMed=$oPersona->SocialMedia($vPersonaId);

    if($rsSocMed)$arrSocMedAux=$rsSocMed->fetchAll(PDO::FETCH_ASSOC);

    $arrSocMed=array(); foreach($arrSocMedAux as $i=>$rowAux){ $arrSocMed[$rowAux['tiposocialmediaid']]=$rowAux['url']; }

    $rowRol=false;//$oRol->getROW($vRol);
    $vEstructura=trim($rowRol['estructura']);
    $vTipoPersona=trim($rowRol['tipo_persona']);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO MIS DATOS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/misdatosedit.js"></script>
        <style type="text/css">
            td.lbl{ text-align:right; font-weight:bold; padding-right:3px; }
        </style>
    </head>
    <body bgcolor="#FFFFFF">
    	<? if($row){?>
            <div id="divHeader">
                <?=getTitle("ACTUALIZANDO MIS DATOS")?>
                <?=btnClose('btnClose', 'Regresar')?>
            </div>
            <div id="divMain">
            	<div id="objPhoneType" style="display:none">
                    <select class="form-control" style="width:150px;">
                        <?
                        $oT= new Acceso_clsTipo_Telefono();
                        $rs=$oT->Leer();
                        if($rs){
                            while($rowTT=$rs->fetch(PDO::FETCH_ASSOC)){
                                ?>
                                <option value="<?=intval($rowTT['tipotelefonoid'])?>" require="<?=intval($rowTT['requiere'])?>"><?=Mostrar_Dato($rowTT['nombre'])?></option>
                                <?
                            }
                        }
                        ?>
                    </select>
                </div>
            	<div id="objEmailType" style="display:none">
                    <select class="form-control" style="width:150px;">
                        <?
                        $oT= new Acceso_clsTipo_Email();
                        $rs=$oT->Leer();
                        if($rs){
                            while($rowTE=$rs->fetch(PDO::FETCH_ASSOC)){
                                ?>
                                <option value="<?=intval($rowTE['tipoemailid'])?>" require="<?=intval($rowTE['requiere'])?>"><?=Mostrar_Dato($rowTE['nombre'])?></option>
                                <?
                            }
                        }
                        ?>
                    </select>
                </div>
                <div id="divEdit" style="padding:5px">
                    <form id="frmPanel" class="form-horizontal form-small">
                        <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                        <input type="hidden" name="personaid" id="personaid" value="<?=$vPersonaId?>">
                        <input type="hidden" name="rolid" id="rolid" value="<?=$vRol?>">
                        <input type="hidden" name="estructura" id="estructura" value="<?=$vEstructura?>">
                        <input type="hidden" name="tipo_persona" id="tipo_persona" value="<?=$vTipoPersona?>">
                        
                        <input type="hidden" value="<?=Mostrar_Dato($row['raz_soc'])?>" name="txtRazon_Social" id="txtRazon_Social">
                        <input type="hidden" value="<?=Mostrar_Dato($row['ruc'])?>" name="txtRUC" id="txtRUC">
                        <input type="hidden" value="<?=Mostrar_Dato($row['foto'])?>" name="foto" id="foto">
                        <input type="hidden" value="<?=Mostrar_Dato($row['nombre_comercial'])?>" name="txtNombreComercial" id="txtNombreComercial">
                        
                        <table border="0">
                            <tr>
                                <td width="170px" class="lbl">DNI:</td>
                                <td><input type="text" placeholder="Ingrese el DNI" value="<?=Mostrar_Dato($row['dni'])?>" name="txtDNI" id="txtDNI" class="form-control" style="width:200px" maxlength="8"></td>
                                <td width="170px" class="lbl">RUC:</td>
                                <td><input type="text" placeholder="Ingrese el RUC" value="<?=Mostrar_Dato($row['pernat_ruc'])?>" name="txtPerNatRuc" id="txtPerNatRuc" style="width:200px" maxlength="11" class="form-control"></td>
                            </tr>
                            <tr>
                                <td width="170px" class="lbl">PREFIJO:</td>
                                <td colspan="3"><input type="text" placeholder="Ejem: Lic. Prof. Dr. Ing." value="<?=Mostrar_Dato($row['titulo'])?>" name="txtTitulo" id="txtTitulo" style="width:200px" class="form-control" maxlength="20" data-provide="typeahead" data-items="4" data-source='["Arq.","Bach.","Blgo.","Dr.","Ing.","Lic.","Mg.","Prof."]'></td>
                            </tr>
                            <tr>
                                <td class="lbl">APELLIDO PATERNO:</td>
                                <td><input type="text" placeholder="Ingrese el Apellido Paterno" value="<?=Mostrar_Dato($row['ape_pat'])?>" name="txtApePat" id="txtApePat" style="width:200px" maxlength="50" class="form-control"/></td>
                                <td class="lbl">APELLIDO MATERNO:</td>
                                <td><input type="text" placeholder="Ingrese el Apellido Materno" value="<?=Mostrar_Dato($row['ape_mat'])?>" name="txtApeMat" id="txtApeMat" style="width:200px" maxlength="50" class="form-control"></td>
                            </tr>
                            <tr>
                                <td class="lbl">NOMBRE:</td>
                                <td><input type="text" placeholder="Ingrese el Nombre" value="<?=Mostrar_Dato($row['nombre'])?>" name="txtNombre" id="txtNombre" style="width:200px" maxlength="50" class="form-control"></td>
                                <td class="lbl">NACIMIENTO:</td>
                                <td><input type="text" placeholder="dd/mm/aaaa" value="<?=FormatDate($row['nacimiento'])?>" name="txtNacimiento" id="txtNacimiento" style="width:116px" maxlength="10" class="form-control"></td>
                            </tr>
                            <tr>
                                <td class="lbl">SEXO:</td>
                                <td>
                                    <select name="cboSexo" id="cboSexo" style="width:116px" class="form-control">
                                        <option value="M" <?=(trim($row['sexo'])=="M")?" SELECTED ":""?>>Masculino</option>
                                        <option value="F" <?=(trim($row['sexo'])=="F")?" SELECTED ":""?>>Femenino</option>
                                    </select>
                                </td>
                                <td class="lbl">ESTADO CIVIL:</td>
                                <td>
                                    <select name="cboEstado_Civil" id="cboEstado_Civil" style="width:116px" class="form-control">
                                        <option value="S" <?=(trim($row['est_civil'])=="S")?" SELECTED ":""?>>Soltero</option>
                                        <option value="C" <?=(trim($row['est_civil'])=="C")?" SELECTED ":""?>>Casado</option>
                                        <option value="V" <?=(trim($row['est_civil'])=="V")?" SELECTED ":""?>>Viudo</option>
                                        <option value="D" <?=(trim($row['est_civil'])=="D")?" SELECTED ":""?>>Divorciado</option>
                                        <option value="X" <?=(trim($row['est_civil'])=="X")?" SELECTED ":""?>>Conviviente</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td class="lbl">DIRECCI&Oacute;N:</td>
                                <td colspan="3"><input type="text" placeholder="Ingrese la Direcci&oacute;n" value="<?=Mostrar_Dato($row['direccion'])?>" name="txtDireccion" id="txtDireccion" class="form-control" style="width:600px" maxlength="100"></td>
                            </tr>
                            <tr>
                                <td class="lbl">DEPARTAMENTO:</td>
                                <td colspan="3">
                                    <select name="cboDepartamento" id="cboDepartamento" class="form-control" style="width:216px">
                                        <option value="0">Seleccione</option>
                                        <?
                                        $oDpto= new Acceso_clsDepartamento();
                                        $rs=$oDpto->Leer();
                                        if($rs)echo ShowListSelect($rs, "departamentoid", "nombre", $vDepartamentoId);
                                        ?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td class="lbl">PROVINCIA:</td>
                                <td colspan="3">
                                    <select name="cboProvincia" id="cboProvincia" class="form-control" style="width:216px">
                                        <option value="0">Seleccione</option>
                                        <?
                                        if($vDepartamentoId>0){
                                            $oPro= new Acceso_clsProvincia();
                                            $rs=$oPro->Leer($vDepartamentoId);
                                            if($rs) echo ShowListSelect($rs, "provinciaid", "nombre", $vProvinciaId);
                                        }
                                        ?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td class="lbl">DISTRITO:</td>
                                <td colspan="3">
                                    <select name="cboDistrito" id="cboDistrito" class="form-control" style="width:216px">
                                        <option value="0">Seleccione</option>
                                        <?
                                        if($vProvinciaId>0){
                                            $oD=new Acceso_clsDistrito();
                                            $rs=$oD->Leer(0, $vProvinciaId, "");
                                            if($rs) echo ShowListSelect($rs, "distritoid", "nombre", $vDistritoId);
                                        }
                                        ?>
                                    </select>
                                </td>
                            </tr>
                            <tr><td colspan="4">&nbsp;</td></tr>
                            <tr>
                                <td valign="top" align="right" style="padding-right:3px"><?=bSuccess("btnPhone", "Agregar telefono", "phone")?></td>
                                <td colspan="3"><div id="objPhone"></div></td>
                            </tr>
                            <tr><td colspan="4">&nbsp;</td></tr>
                            <tr>
                            	<td valign="top" align="right" style="padding-right:3px"><?=bSuccess("btnEmail", "Agregar email", "envelope")?></td>
                                <td colspan="3"><div id="objEmail"></div></td>
                            </tr>
                            <tr><td colspan="4">&nbsp;</td></tr>

                            <?
                            $oT=new Acceso_clsTipo_SocialMedia();
                            $rsSocMed=$oT->Leer();
                            if($rsSocMed){
                                while($rowSocMed=$rsSocMed->fetch(PDO::FETCH_ASSOC)){
                                    $vAux=intval($rowSocMed['tiposocialmediaid']);
                                    $vURL=""; $swExiste=isset($arrSocMed[$vAux]);
                                    if($swExiste)$vURL=$arrSocMed[$vAux];
                                    ?>
                                    <tr>
                                        <td valign="top" align="right" style="padding-right:3px"><label class="btn btn-default btn-sm" for="chkSocMed<?=intval($rowSocMed['tiposocialmediaid'])?>"><input type="checkbox" value="<?=intval($rowSocMed['tiposocialmediaid'])?>" name="chkSocMed[]" id="chkSocMed<?=intval($rowSocMed['tiposocialmediaid'])?>" <?=($swExiste?"checked":"")?> style="margin-bottom:5px"/> <?=Mostrar_Dato($rowSocMed['nombre'])?></label></td>
                                        <td valign="top" colspan="3"><input type="text" value="<?=Mostrar_Dato($vURL)?>" name="txtSocMed<?=intval($rowSocMed['tiposocialmediaid'])?>" id="txtSocMed<?=intval($rowSocMed['tiposocialmediaid'])?>" placeholder="Ingrese su usuario de <?=Mostrar_Dato($rowSocMed['nombre'])?>" class="form-control" style="width:400px;"></td>
                                    </tr>
                                    <?
                                }
                            }
                            ?>
                            <tr><td colspan="4">&nbsp;</td></tr>
                        </table>
                        <?
                        $oPerTel=new Acceso_clsPersona_Telefono();
                        $oPerEma=new Acceso_clsPersona_Email();
                        $rs=$oPerTel->Leer($vPersonaId);
                        $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
                        ?>
                        <script>
                            $(function(){
                                var oData=new Object();
                                oData=<?=json_encode($arrDatos)?>;
                                for(var x=0; x<oData.length;x++){AddPhone(oData[x], false);}
                            });
                        </script>
                        <?
                        $rs=$oPerEma->Leer($vPersonaId);
                        $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
                        ?>
                        <script>
                            var oData=new Object();
                            oData=<?=json_encode($arrDatos)?>;
                            for(var x=0; x<oData.length;x++){AddEmail(oData[x], false);}
                        </script>
                    </form>
                </div>
            </div>
            <div id="divBottom" class="BORDER_T" style="height:50px; padding:5px;">
                <div class="float-left"><?=bPrimary("btnUpdate", "Guardar cambios", "ok")?></div>
                <div class="float-right"><?=bDanger("btnCancel", "Cancelar", "remove")?></div>
            </div>
        <? } ?>
    </body>
</html>