<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "showfoto":
            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_PHOTO."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vCodigo=intval($sessCodigo);
            $cWidth=intval($array['width']);
            $cHeight=intval($array['height']);
            $oP=new Acceso_clsPersona();
            $swExiste=false; $vFoto=""; $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO."/"."0";
            $rowPersona=$oP->getROW($vCodigo);
            if($rowPersona){
                $vFoto=trim($rowPersona['foto']);
                $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO."/"."0".trim($rowPersona['sexo']);
                if(trim($vFoto)!=''){
                    if ($oFTP->File_Exists($vPath, $vFoto)){
                        $arrSize=$oFTP->Dimensions($vPath.$vFoto);
                        $arrSize=Proporcional(intval($arrSize['width']), intval($arrSize['height']), $cWidth, $cHeight);
                        $pWidth=intval($arrSize['width']);
                        $pHeight=intval($arrSize['height']);

                        $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO."/".$vFoto;
                        $swExiste=true;
                    }
                }
            }

            $jsondata['pImage'] = $vImage;
            $jsondata['pFoto'] = $vFoto;
            $jsondata['pPath'] = $vPath;
            $jsondata['pExiste'] = $swExiste;
            $jsondata['pWidth'] = $pWidth;
            $jsondata['pHeight'] = $pHeight;
            echo json_encode($jsondata);
            break;
        case "deletefoto":
            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_PHOTO."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vCodigo=intval($sessCodigo);
            $vRpta=true; $msgError="";

            if($vCodigo>0){
                if ($oFTP->Directory_Exists($vPath)){
                    $oP=new Acceso_clsPersona();
                    $rowPersona=$oP->getROW($vCodigo);
                    if($rowPersona){
                        $vFoto=trim($rowPersona['foto']);
                        if(trim($vFoto)!=''){
                            if ($oFTP->File_Exists($vPath, $vFoto)){
                                $vRpta=$oFTP->Delete_File($vPath.$vFoto);
                                if($vRpta){
                                    $intError=$oP->Cambiar_Foto($vCodigo, '', $sessCodigo, miIP());									
                                }else{
                                    $msgError="Problemas al eliminar la imagen";
                                }
                            }else{
                                $intError=$oP->Cambiar_Foto($vCodigo, '', $sessCodigo, miIP());									
                            }
                        }
                    }
                }
            }else{$vRpta=false;  $msgError="No se recibio el codigo de la persona.";}

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);			
            break;
        case "upload":
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $msgUpload=""; $swUpload=false; $msgUpdate=""; $swUpdate=false;	$vFileName=""; $vPersonaGalleryId=0;

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/";
            if (!$oFTP->Directory_Exists($vPath))$oFTP->Create_Dir($vPath);

            $vCodigo=intval($sessCodigo);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vCodigo."/";
            if (!$oFTP->Directory_Exists($vPath))$oFTP->Create_Dir($vPath);
            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=$_FILES[$vArchivo]['name'];

                if ($vFileName!=""){
                    if ($oFTP->Directory_Exists($vPath)){

                        $vExtension=Extension($vFileName);
                        $vFileName=$vCodigo.$vExtension;

                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                        }
                        $oFTP->pFile=$vArchivo;
                        $intError=intval($oFTP->Upload($vFileName, $vPath));
                        if ($intError==0){
                            $msgUpload="File upload ok";
                            $swUpload=true;

                            $oI=new Acceso_clsPersonaGallery();
                            $oI->pPersonaId=$vCodigo;
                            $oI->pFileName=trim($vFileName);
                            $oI->pCaption="";
                            $oI->pDescription="";
                            $oI->pUrl="";
                            $oI->pOrder=0;
                            $oI->pDefault=false;
                            $oI->pStatus=true;
                            $intError=$oI->Add($vPersonaGalleryId);
                            if($intError==0){
                                $msgUpdate="Update Ok. ";
                                $swUpdate=true;
                            }else{
                                $msgUpdate=$oI->getErrMsg($intError);
                                $swUpdate=false;
                            }
                        }else{
                            $swUpload=false;
                            $msgUpload=$oFTP->MsgErr($intError);
                            $arr=$oFTP->getDataFile();
                            $msgUpload.="";
                            switch($intError){
                                case 100: $msgUpload.="(".$arr['extension'].")";break;
                                case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                            }
                        }
                    }else{
                        $msgUpload="Directory (".$vPath.") does not exist.";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pPersonaGalleryId'] = $vPersonaGalleryId;
            echo json_encode($jsondata);
            break;




        case "show":
            $vPersonaId=intval($sessCodigo);
            $oI=new Acceso_clsPersonaGallery();
            $rsWCI=$oI->Read($vPersonaId);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrDatos=array(); if($rsWCI) $arrDatos=$rsWCI->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$rowI){
                $vFileName=trim($rowI['filename']);
                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath, $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oPath'] = FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oFTP'] = FTP_PATH;
            echo json_encode($jsondata);
            break;
        case "delete":

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrCheck=false; if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";

            $oI=new Acceso_clsPersonaGallery();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vPersonaGalleryId){
                    $rowPersonaImg=$oI->getROW($vPersonaGalleryId);
                    if ($rowPersonaImg){

                        $vPersonaId=intval($rowPersonaImg['personaid']);						
                        $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
                        $vImage=trim($rowPersonaImg['filename']);

                        $intError=$oI->Delete($vPersonaGalleryId);
                        if ($intError!=0){
                            $swError=true;
                            $msgError.=$oI->getErrMsg($intError)." ";
                        }else{
                            if(trim($vImage)!=''){
                                if($oFTP->File_Exists($vPath, $vImage)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vImage);
                                }
                            }
                        }
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "default":
            $vPersonaGalleryId=intval($array['personagalleryid']);
            $oI=new Acceso_clsPersonaGallery();
            $vRpta=$oI->setDefault($vPersonaGalleryId);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change the default image.":"");
            echo json_encode($jsondata);
            break;
        
        case "change_status";
            $vPersonaGalleryId=intval($array['personagalleryid']);

            $oI=new Acceso_clsPersonaGallery();
            $vRpta=$oI->Change_Status($vPersonaGalleryId);

            $rowWCI=$oI->getROW($vPersonaGalleryId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowWCI['status']?1:0);
            echo json_encode($jsondata);
            break;
        
        case "preview":
            $vPersonaId=intval($sessCodigo);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $oImg=new Acceso_clsPersonaGallery();

            $rs=$oImg->Read($vPersonaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $arrImages=array();
            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['filename']);
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrImages[]=array("href"=>"http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/".$vFileName, "title"=>$row['descripcion']);
                }
            }

            $jsondata['oData'] = $arrImages;
            echo json_encode($jsondata);
            break;
    }
?>