<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PLAN-PLANILLAS"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $array=$_GET;

    $vEmpresaId=intval($array['empresaid']);
    $vTipoPlanillaId=intval($array['tipoplanillaid']);
    $vAnio=intval($array['anio']);
    $vPeriodo=intval($array['periodo']);
    
    $oEmp=new Acceso_clsEmpresa();
    $oTipPla=new Acceso_Planillas_clsTipoPlanilla();
    
    $rowEmpresa=$oEmp->getROW($vEmpresaId);
    $rowTipPla=$oTipPla->getROW($vTipoPlanillaId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PLANILLAS - INGRESO DE DATOS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/planillas-ingreso-datos.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnRefresh()?><?=getTitle("PLANILLAS: INGRESO DE DATOS")?><?=btnClose()?>
        </div>
        <div id="divTit" class="BORDER_B" style="height:30px; padding: 5px;">
            <div class="float-left">
                <strong class="RED"><?=Mostrar_Dato($rowEmpresa['nombre'])?></strong> / <strong class="BLUE"><?=Mostrar_Dato($rowTipPla['nombre'])?></strong>
                 / <strong class="RED"><?=$vAnio?></strong> / <strong class="BLUE"><?=strtoupper(MonthName($vPeriodo))?></strong>
            </div>
            <div class="float-right">
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px">
                <form id="frmPanel" method="post" action="#">
                    <input type="hidden" value="<?=$vTipoPlanillaId?>" name="tipoplanillaid" id="tipoplanillaid">
                    <input type="hidden" value="<?=$vEmpresaId?>" name="empresaid" id="empresaid">
                    <input type="hidden" value="<?=$vAnio?>" name="anio" id="anio">
                    <input type="hidden" value="<?=$vPeriodo?>" name="periodo" id="periodo">
                    <table width="100%" id="tblMain" class="standard">
                        <thead></thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T" style="height:50px">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
                <?=bSuccess("btnSave", "Guardar datos", "ok");?>
            </div>
        </div>
        <div id="oFondo" class="fondo"></div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; z-index: 9999999; border: 0px;"></div>
    </body>
</html>