<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vTipoConceptoId=intval($array['tipoconceptoid']);
            $vTexto=trim($array['texto']);
            
            $oC=new Acceso_Planillas_clsConcepto();
            $rs=$oC->Leer($vTipoConceptoId, $vTexto);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oC=new Acceso_Planillas_clsConcepto();
            $oC->pTipoConceptoId=intval($array['cboTipoConcepto']);
            $oC->pNombre=Almacenar_Dato($array['txtNombre']);
            $oC->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oC->pVariable=Almacenar_Dato($array['txtVariable']);
            $vConceptoId=intval($array['conceptoid']);
            if (intval($array['swnew'])==1){
                $intError=$oC->Agregar($vConceptoId);
            }else{
                $intError=$oC->Modificar($vConceptoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oC=new Acceso_Planillas_clsConcepto();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vConceptoId){
                    $intError=$oC->Eliminar($vConceptoId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vConceptoId=intval($array['conceptoid']);

            $oC=new Acceso_Planillas_clsConcepto();
            $intError=$oC->Cambiar_Estado($vConceptoId, $sessCodigo, miIP());

            $rowTipo=$oC->getROW($vConceptoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oC->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oC=new Acceso_Planillas_clsConcepto();
            $vRpta=$oC->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>