<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vEmpresaId=intval($array['empresaid']);
            $vTipoPlanillaId=intval($array['tipoplanillaid']);
            $vAnio=intval($array['anio']);
            $vPeriodo=intval($array['periodo']);
            
            $oC=new Acceso_Planillas_clsContrato();
            $oTPI=new Acceso_Planillas_clsTipoPlanillaCalculo();
            $oPI=new Acceso_Planillas_clsPlanillaCalculo();
            
            $rsPer=$oC->LeerParaIngreso($vEmpresaId, $vTipoPlanillaId, $vAnio, $vPeriodo);
            $rsCon=$oTPI->Leer($vTipoPlanillaId);
            $rs=$oPI->Leer($vTipoPlanillaId, $vEmpresaId, $vAnio, $vPeriodo);

            $arrPersonas=array(); if($rsPer) $arrPersonas=$rsPer->fetchAll(PDO::FETCH_ASSOC);
            $arrConceptos=array(); if($rsCon) $arrConceptos=$rsCon->fetchAll(PDO::FETCH_ASSOC);
            
            $arrDatosAux=array(); if($rs) $arrDatosAux=$rs->fetchAll(PDO::FETCH_ASSOC);
            $arrDatos=array(); foreach($arrDatosAux as $iDato=>$row){
                $arrDatos[$row['tipoplanillaid']][$row['empresaid']][$row['empleadoid']][$row['anio']][$row['periodo']][$row['conceptoid']]=doubleval($row['importe']);
            }
            
            $jsondata['oTipoPlanillaId'] = $vTipoPlanillaId;
            $jsondata['oEmpresaId'] = $vEmpresaId;
            $jsondata['oAnio'] = $vAnio;
            $jsondata['oPeriodo'] = $vPeriodo;
            $jsondata['oData'] = $arrDatos;
            $jsondata['oPersona'] = $arrPersonas;
            $jsondata['oConcepto'] = $arrConceptos;
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "recalcular":
            $vEmpresaId=intval($array['empresaid']);
            $vTipoPlanillaId=intval($array['tipoplanillaid']);
            $vAnio=intval($array['anio']);
            $vPeriodo=intval($array['periodo']);

            $oPI=new Acceso_Planillas_clsPlanillaCalculo();
            $intError=$oPI->ReCalcular($vTipoPlanillaId, $vEmpresaId, 0, $vAnio, $vPeriodo, $sessCodigo, miIP());
            
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oPI->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
    }
?>