<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "query":
            $vTipoPlanillaId=intval($array['tipoplanillaid']);
            $vNombre=trim($array['name']);

            $oCon=new Acceso_Planillas_clsConcepto();
            $rsCon=$oCon->Leer_NonTipoPlanillaCalculo($vTipoPlanillaId, $vConceptoId, $vNombre);

            $arrDatos=array(); if($rsCon) $arrDatos=$rsCon->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "show":
            $vTipoPlanillaId=intval($array['tipoplanillaid']);
            $vNombre=trim($array['name']);

            $oCon=new Acceso_Planillas_clsTipoPlanillaCalculo();
            $rs=$oCon->Leer($vTipoPlanillaId, $vNombre);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "add":
            $vTipoPlanillaId=intval($array['tipoplanillaid']);
            $arrIDS=array(); if(isset($array['chk'])) $arrIDS=$array['chk'];
            
            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oCon=new Acceso_Planillas_clsTipoPlanillaCalculo();

            $intError=$oCon->Agregar($vTipoPlanillaId, $vArray, $sessCodigo, miIP());

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError>0?$oCon->getErrMsg($intError):"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vTipoPlanillaId=intval($array['tipoplanillaid']);
            $vConceptoId=intval($array['conceptoid']);
            $vFormula=trim($array['txtFormula']);
            
            $oCon=new Acceso_Planillas_clsTipoPlanillaCalculo();

            $intError=$oCon->Actualizar($vTipoPlanillaId, $vConceptoId, $vFormula, $sessCodigo, miIP());

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError>0?$oCon->getErrMsg($intError):"");
            echo json_encode($jsondata);
            break;
        case "delete":
            $vTipoPlanillaId=intval($array['tipoplanillaid']);
            $arrIDS=array(); if(isset($array['chk'])) $arrIDS=$array['chk'];
            
            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oCon=new Acceso_Planillas_clsTipoPlanillaCalculo();

            $intError=$oCon->Eliminar($vTipoPlanillaId, $vArray, $sessCodigo, miIP());

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError>0?$oCon->getErrMsg($intError):"");
            echo json_encode($jsondata);
            break;
            
        case "cambiar-orden":
            $vTipoPlanillaId=intval($array['tipoplanillaid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oCon=new Acceso_Planillas_clsTipoPlanillaCalculo();
            $vRpta=$oCon->Cambiar_Orden($vTipoPlanillaId, $vArray, $sessCodigo, miIP());

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
            
    }
?>