    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajContrato.php",
            data: ({miopcion:"read", empresaid:$("#cboEmpresa").val(), count:$('#txtCount').val(), page:$('#txtPage').val()}),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr contratoid="'+oRow.contratoid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.contratoid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.contratoid+'</td>';
            tblRow+='<td valign="top"><div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-xs pull-right" data-toggle="dropdown">'+getIcon("th-list")+' <span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            tblRow+='<li><a href="javascript:void(0)" id="btnPrint" style="text-align:left">'+getIcon("print")+' Imprimir contrato</a></li>';
            tblRow+='</ul>';
            tblRow+='</div></td>';
            tblRow+='<td>'+oRow.persona_nombre+'</td>';
            tblRow+='<td>'+FormatDate(oRow.inicio)+'</td>';
            tblRow+='<td>'+oRow.tipoplanilla_nombre+'</td>';
            tblRow+='<td>'+oRow.area_nombre+'</td>';
            tblRow+='<td>'+oRow.cargo_nombre+'</td>';
            tblRow+='<td>'+$.formatNumber(oRow.sueldobasico, {format:"#,##0.00", locale:"us"})+'</td>';
            tblRow+='</tr>';
        });
        $("#lblMsg").html('<span class="badge badge-important">'+oData.oData.length+'</span> de <span class="badge badge-info">'+oData.oTotal+'</span> registros');
        $("#lblPage").html(oData.oPaginado);
        $("#tblMain tbody").html(tblRow);
        AsigFun();
    }
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("BORDER_ALL PADD_3");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(5), #tblMain tbody tr td:nth-child(7), #tblMain tbody tr td:nth-child(8), #tblMain tbody tr td:nth-child(9)").css({'text-align':'left'});
        $("#tblMain tbody tr td:nth-child(10)").css({'text-align':'right'});

        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e){ Editar($(this).parents("tr").attr('contratoid'), 0); });

        $("#tblMain tbody input:checkbox[name='chk[]']").change(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+ $("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon("trash")+' Eliminar registros',
                    className: "btn-success",
                    callback: function() {
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajContrato.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}}
                        });
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }
    function Cerrar(){ $("#oEdit, #oFondo").hide().html(""); }
    function Editar(vContratoId, swNew){
        if(swNew){
            if ($.trim($("#cboEmpresa").val())=="0"){bootbox.alert("Falta seleccionar la empresa.", function(){ $("#cboEmpresa").focus(); }); return false;}
        }
        $("#oFondo").show(); $("#oEdit").show().html("<iframe src='ContratoEdit.php?contratoid="+vContratoId+"&swnew="+swNew+"&empresaid="+$("#cboEmpresa").val()+"' frameborder='0' width='100%' height='100%'></iframe>");
    }
    $(function(){
        $("#chkAll").change(function(e){
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Editar(0, 1);});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){$("#txtPage").val(1); Show();}).click();
        $("#txtCount, #cboEmpresa").change(function(e){$("#btnRefresh").click();});
    });