    var ajOrd=null;
    var ajQue=null;
    function Query(){
        $('#tblQuery tbody').html(''); $('#lblMsg2').html('Espere...');
        $('#chkAllQue').attr('checked', false);
        if(ajQue!=null) {ajQue.abort();};
        ajQue = $.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajTipoPlanillaCalculo.php",
            data: ({miopcion:"query", tipoplanillaid:$('#tipoplanillaid').val(), name:$('#txtQuery').val() }),
            success: function(oData){ if(oData) ShowGridQuery(oData); },
            complete: function(){ }
        });
    }
    function ShowGridQuery(oData){
        $('#tblQuery tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr conceptoid="'+oRow.conceptoid+'">';
            tblRow+='<td><input type="checkbox" value="'+oRow.conceptoid+'" id="chk'+oRow.conceptoid+'" name="chk[]" /></td>';
            tblRow+='<td><label for="chk'+oRow.conceptoid+'">'+oRow.nombre+' <small title="VARIABLE: '+oRow.variable+'">'+oRow.variable+'</small></label></td>';
            tblRow+='</tr>';
        });
        $("#tblQuery tbody").html(tblRow);
        AsigFunQuery();
        $('#lblMsg2').html('<span class="badge badge-info">'+oData.oData.length+'</span> registros');
    }

    var ajAdd=null;	
    function AsigFunQuery(){
        $("#tblQuery tbody tr td").addClass("PADD_3 FS_11 BORDER_ALL");
        $("#tblQuery tbody td:nth-child(1)").css("text-align", "center");
        $("#tblQuery tbody label").css({"padding":"0px", "margin":"0px", "font-size":"11px", "cursor":"pointer"});
        $("#tblQuery tbody input:checkbox").css({"padding":"0px", "margin":"0px"});
        $("#tblQuery tbody small").css({"color":"#ff0000", "font-size":'7px'});

        $("#tblQuery tbody input:checkbox[name='chk[]']").change(function(e){
            $("#chkAllQue").prop("checked",$("#tblQuery tbody input:checkbox[name='chk[]']:checked").length===$("#tblQuery tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }

    var ajShow=null;
    function Show(){
        $('#tblMain tbody').html(''); $('#chkAll').attr('checked', false); $('#lblMsg1').html('Espere...');
        if(ajShow!=null) {ajShow.abort();};
        ajShow = $.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajTipoPlanillaCalculo.php",
            data: ({miopcion:"show", name:$('#txtName').val(), tipoplanillaid:$('#tipoplanillaid').val() }),
            success: function(oData){ if(oData) ShowGrid(oData); },
            complete: function(){ }
        });
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html(''); $('#chkAll').attr('checked', false);
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.conceptoid+'" conceptoid="'+oRow.conceptoid+'">';
            tblRow+='<td><input type="checkbox" value="'+oRow.conceptoid+'" id="chk'+oRow.conceptoid+'" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.orden+'</td>';
            tblRow+='<td><label for="chk'+oRow.conceptoid+'">'+oRow.concepto_variable+'</label></td>';
            tblRow+='<td><label for="chk'+oRow.conceptoid+'">'+oRow.concepto_nombre+'</label></td>';
            tblRow+='<td>'+oRow.formula+'</td>';
            tblRow+='<td><button type="button" class="btn btn-xs btn-default" id="btnFormula">'+getIcon('pencil')+'</button></td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        AsigFun();
        $('#lblMsg1').html('<span class="badge badge-info">'+oData.oData.length+'</span> registros');
    }
    function AsigFun(){
        $("#tblMain tbody tr td").addClass("PADD_3 FS_11 BORDER_ALL");
        $("#tblMain tbody td:nth-child(1), #tblMain tbody td:nth-child(2)").css("text-align", "center");		
        $("#tblMain tbody label").css({"padding":"0px", "margin":"0px", "font-size":"11px", "cursor":"pointer"});
        $("#tblMain tbody input:checkbox").css({"padding":"0px", "margin":"0px"});
        $("#tblMain tbody small").css({"color":"#ff0000", "font-size":'7px'});

        $("#tblMain tbody button[id='btnFormula']").addClass('HAND').attr('title', 'Formula').click(function(e){ Formula($(this).parents("tr").attr('conceptoid')); });

        $("#tblMain tbody").tableDnD({
            onDragClass: "myDragClass",
            onDrop:function(table, row) {
                var myArr=[];
                $('#tblMain tbody tr').each(function(oIndex){ myArr[oIndex]=$(this).attr('id'); });
                var vStart=1;
                if(ajOrd)ajOrd.abort();
                ajOrd=$.ajax({
                    type: "POST",
                    dataType: 'json',
                    global: false,
                    url: "ajax/ajTipoPlanillaCalculo.php",
                    data: ({miopcion:"cambiar-orden", tipoplanillaid:$('#tipoplanillaid').val(), ids:myArr, start:vStart }),
                    success: function(oRpta){ 
                        if(!oRpta.Err){
                            $("#tblMain tbody tr").removeClass("odd").removeClass("even");
                            $("#tblMain tbody tr:nth-child(2n+1)").addClass("odd");
                            $("#tblMain tbody tr:nth-child(2n+2)").addClass("even");
                            $('#tblMain tbody tr td:nth-child(2)').each(function(){ $(this).html(vStart); vStart++;  }); 
                        }else{
                            bootbox.alert(oRpta.Description); Show(); 
                        }
                    }
                });
            }
        });

        $("#tblMain input:checkbox[name='chk[]']").change(function(e){
            $("#chkAll").prop("checked", $("#tblMain input:checkbox[name='chk[]']:checked").length===$("#tblMain input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }

    function Cerrar(){ $("#oEdit").hide().html(""); }
    function Formula(vConceptoId){ $("#oEdit").show().html("<iframe src='TipoPlanillaCalculoFormula.php?tipoplanillaid="+$("#tipoplanillaid").val()+"&conceptoid="+vConceptoId+"' frameborder='0' width='100%' height='100%'></iframe>"); }

    var ajAdd=null;
    function Add(){
        if ($("#tblQuery tbody input:checkbox[name='chk[]']:checked").length===0){ return false; }
        if(ajAdd) ajAdd.abort();
        ajAdd=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajTipoPlanillaCalculo.php",
            data: $('#frmQuery').serialize()+"&miopcion=add", 
            success: function(oRpta){ if(!oRpta.Err){ Show(); Query(); }else{ bootbox.alert(oRpta.Description); }}
        });	
    }

    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){ return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de quitar las "+$("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" personas seleccionadas?";
        }else{
            vCadena="Esta seguro de quitar a la persona seleccionada?";
        }

        if(ajDel) ajDel.abort();
        ajDel=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajTipoPlanillaCalculo.php",
            data: $('#frmPanel').serialize()+"&miopcion=delete", 
            success: function(oRpta){ if(!oRpta.Err){Show();Query();}else{ bootbox.alert(oRpta.Description); }}
        });	
    }


    $(function(){		
        $('#btnClose').click(function(e){parent.Cerrar();});
        $('#btnQuery').click(function(e){Query();}).click();
        $('#btnAdd').click(function(e){Add();});	
        $('#btnDelete').click(function(e){Delete();});
        $('#btnRefresh').click(function(e){Show();}).click();
        $("#txtName").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){ e.preventDefault(); $("#btnRefresh").click(); }});
        $("#txtQuery").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){ e.preventDefault(); $("#btnQuery").click(); }});
        $("#txtCount").change(function(e){ $("#btnQuery").click(); });

        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });

        $("#chkAllQue").change(function(e) {
            $("#tblQuery tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblQuery tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblQuery tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
    });	