<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $array=$_GET;
    $vProductoId=intval($array['productoid']);
    $vZonaId=intval($array['zonaid']);
    $vAlmacenId=intval($array['almacenid']);
    $vEmpresaId=intval($array['empresaid']);

    $oP=new Acceso_clsProducto();
    $oE=new Acceso_clsEmpresa();
    $oA=new Acceso_clsAlmacen();
    
    $rowEmpresa=$oE->getROW($vEmpresaId);
    $rowProducto=$oP->getROW($vProductoId);
    if($vAlmacenId>0){
        $rowAlmacen=$oA->getROW($vAlmacenId);
        $vZonaId=intval($rowAlmacen['zonaid']);
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>STOCK</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript">
            var jsSelect="<?=$array['jsselect']?>";
            var jsEdit="<?=$array['jsedit']?>";
            var jsClose="<?=$array['jsclose']?>";
            var pOpcion="<?=$array['opcion']?>";
            var pQuienLlama="<?=trim($array['q'])?>";
        </script>
        <script language="javascript" type="text/javascript" src="clsKardex.js" ></script>
        <script language="javascript" type="text/javascript" src="js/kardex.js?20171002001"></script>
    </head>
    <body bgcolor="#FFFFFF">
        <form id="frmPanel" action="#" method="post">
            <input type="hidden" value="<?=$vProductoId?>" id="productoid" name="productoid">
            <input type="hidden" value="<?=$vZonaId?>" id="zonaid" name="zonaid">
            <input type="hidden" value="<?=$vAlmacenId?>" id="almacenid" name="almacenid">
            <input type="hidden" value="<?=$vEmpresaId?>" id="empresaid" name="empresaid">
            <div id="divHeader">
                <?= getTitle("KARDEX: ".$rowProducto['nombre'])?>
                <?=btnClose();?>
            </div>
            <div id="divTit" class="BORDER_B" style="padding: 5px; font-size: 14px; height: 40px;">
                <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                    <select name="cboAno" id="cboAno" class="form-control" style="width:100px;">
                        <option value="<?=date(Y)?>"><?=date('Y')?></option>
                    </select>
                    <?
                    $oZ=new Acceso_clsZona();
                    $rsZon=$oZ->Leer();
                    $arrZonas=array(); if($rsZon) $arrZonas=$rsZon->fetchAll(PDO::FETCH_ASSOC);
                    echo getSelect($arrZonas, "cboZona", "zonaid", "nombre", $vZonaId, 'form-control', "width:150px;", "0", "Todas las zonas", true);
                    
                    $arrAlmacen=array();
                    if($vZonaId>0){
                        $oA=new Acceso_clsAlmacen();
                        $rsAlm=$oA->Leer($vZonaId);
                        $arrAlmacen=array(); if($rsAlm) $arrAlmacen=$rsAlm->fetchAll(PDO::FETCH_ASSOC);
                    }
                    
                    echo getSelect($arrAlmacen, "cboAlmacen", "almacenid", "nombre", $vAlmacenId, 'form-control', "width:250px;", "0", "Todos los almacenes", true);
                    ?>
                    <?=bRefresh("btnRef", "")?>
                    <?=bDefault("btnPdf", "", "", "Enviar a PDF", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/pdf")?>
                    <?=bDefault("btnXls", "", "", "Enviar a Excel", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/xls")?>
                </div>
            </div>
            <div id="divMain">
                <div id="divGrid" style="padding:2px;">
                    <table class="standard" width="100%" id="tblMain">
                        <thead>
                            <tr class="title1">
                                <th rowspan="2" width="80px">FECHA</th>
                                <th class="left" rowspan="2" width="140px">NUMERO</th>
                                <th class="left" rowspan="2">PERSONA</th>
                                <th class="left" rowspan="2">ALM</th>
                                <th colspan="4">ENTRADAS</th>
                                <th colspan="4">SALIDAS</th>
                                <th colspan="3">SALDOS</th>
                            </tr>
                            <tr class="title1">
                                <th class="right">CANT</th>
                                <th class="right">PRECIO</th>
                                <th class="right">TOTAL</th>
                                <th class="right">BONIF</th>
                                
                                <th class="right">CANT</th>
                                <th class="right">PRECIO</th>
                                <th class="right">TOTAL</th>
                                <th class="right">BONIF</th>
                                
                                <th class="right">CANT</th>
                                <th class="right">PRECIO</th>
                                <th class="right">TOTAL</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
            <div id="divBottom" class="BORDER_T standard" style="height:40px; padding: 6px;">
                <div class="float-left">
                    <div class="float-left" id="lblMsg"></div>
                </div>
                <div class="float-right">
                    <div class="<?= clsBtnGroup()?>">
                        <?= InputGroupAddOn("", "width:100px; font-weight:bold; text-align:right;", "", "TOTALES:")?>
                        <?= InputGroupAddOn("lblCantidad", "width:120px; font-weight:bold; color: #003366; text-align:right;", "", "0.00")?>
                        <?= InputGroupAddOn("lblPrecio", "width:100px; font-weight:bold; color: #003366; text-align:right;", "", "0.00")?>
                        <?= InputGroupAddOn("lblTotal", "width:150px; font-weight:bold; color: #003366; text-align:right;", "", "0.00")?>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>