<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $array=$_GET;

    $vEmpresaId=intval($array['empresaid']);
    $vAlmacenId=intval($array['almacenid']);

    $oE=new Acceso_clsEmpresa();
    $oA=new Acceso_clsAlmacen();
    
    $rowEmp=$oE->getROW($vEmpresaId);
    if($vAlmacenId>0){
        $rowAlm=$oA->getROW($vAlmacenId);
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PRODUCTOS</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript">
            var jsSelect="<?=$array['jsselect']?>";
            var jsEdit="<?=$array['jsedit']?>";
            var jsClose="<?=$array['jsclose']?>";
            var pOpcion="<?=$array['opcion']?>";
            var pQuienLlama="<?=trim($array['q'])?>";
        </script>
        <script language="javascript" type="text/javascript" src="clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="js/productoconsulta.js"></script>
	</head>
    <body onLoad="$('#txtNombre').focus();" bgcolor="#FFFFFF">
        <input type="hidden" name="empresaid" id="empresaid" value="<?=intval($array['empresaid'])?>">
        <input type="hidden" name="almacenid" id="almacenid" value="<?=intval($array['almacenid'])?>">
        <form id="frmPanel" action="#" method="post">
            <div id="divHeader">
                <span class="txtWinHeader"><b><?=Mostrar_Dato($rowEmp['nombre'])?>: <?=(trim($array['titulo'])=="")?"CONSULTA DE PRODUCTOS":$array['titulo']?></b></span>
                <?=btnClose();?>
            </div>
            <div id="divSearch" class="BORDER_B" style="height:35px; padding:2px;">
                <div class="float-left">
                    <div class="<?= clsBtnGroup()?> <?=clsInputGroup()?> ">
                        <?= InputGroupAddOn("", "width:50px;", "", "Buscar:")?>
                        <?= getInputText("txtNombre", "Ingrese un texto", "", 100, "form-control", "max-width:150px;")?>
                        <?= bRefresh("btnRefresh", "Buscar")?>
                    </div>
                </div>
                <div class="float-right" style="padding:5px;">
                    <?=($vAlmacenId>0?'<span class="badge badge-success">'.Mostrar_Dato($rowAlm['nombre']).'</span>':'')?>
                </div>
            </div>
            <div id="divMain">
                <div id="divGrid" style="padding:2px;">
                    <table class="standard" width="100%" id="tblMain">
                        <thead>
                            <tr class="title1">
                                <th class="left">PRODUCTO</th>
                                <th class="right" width="100px">COMPRA</th>
                                <th class="right" width="100px">VENTA</th>
                                <th width="100px">STOCK</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
            <div id="divBottom" class="BORDER_T standard" style="height:40px">
                <div class="float-left">
                    <div class="float-left" id="lblMsg"></div>
                </div>
                <div class="float-right"></div>
            </div>
        </form>
    </body>
</html>