<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $oDpto=new Acceso_clsDepartamento();
    $oPro=new Acceso_clsProvincia();
    $oDis=new Acceso_clsDistrito();
    $oRol=new Acceso_clsRol();
    $oPer=new Acceso_clsPersona();
    $oOpcSel= new Acceso_clsOpciones_Seleccion();


    $array=$_GET;
    $vOpcion=trim($array['opcion']);
    $swNew=intval($array['swnew']);
    $vPersonaId=intval($array['personaid']);

    $vDistrito=0; $vProvincia=0; $vDepartamento=0;
    if($swNew){
        if($vDistrito==0) $vDistrito=DISTRITOID;
        if($vDistrito>0){
            $rowDistrito=$oDis->getROW($vDistrito);
            $vProvincia=intval($rowDistrito['provinciaid']);
            $vDepartamento=intval($rowDistrito['departamentoid']);
        }
    }
    
    $row=array("titulo"=>'', "ape_pat"=>"", "ape_mat"=>"", "nombre"=>"", "tipo"=>"N", "raz_soc"=>"", "direccion"=>"", "nombre_comercial"=>"", "sexo"=>"M", "est_civil"=>"S", "nacimiento"=>date('Y-m-d'), "dni"=>"", "pernat_ruc"=>"", "ruc"=>"", "departamentoid"=>$vDepartamento, "provinciaid"=>$vProvincia, "distritoid"=>$vDistrito, "foto"=>'');

    $arrSocMedAux=array(); $arrRolAux=array();
    if(!$swNew){	
        $row=$oPer->getROW($vPersonaId);
        $vDistrito=intval($row['distritoid']);

        $rsSocMed=$oPer->SocialMedia($vPersonaId);
        if($rsSocMed)$arrSocMedAux=$rsSocMed->fetchAll(PDO::FETCH_ASSOC);

        $rsRol=$oPer->Rol($vPersonaId);
        if($rsRol)$arrRolAux=$rsRol->fetchAll(PDO::FETCH_ASSOC);
    }

    $arrSocMed=array(); foreach($arrSocMedAux as $i=>$rowAux){ $arrSocMed[$rowAux['tiposocialmediaid']]=$rowAux['url']; }
    $arrPerRol=array(); foreach($arrRolAux as $i=>$rowAux){ $arrPerRol[$rowAux['rolid']]=$rowAux['nombre']; }

    $arrOpcSel=array();
    if($vOpcion!=''){
        $rsOpcSel=$oOpcSel->Leer_Roles($vOpcion,1);
        $arrOpcSelAux=array(); if($rsOpcSel)$arrOpcSelAux=$rsOpcSel->fetchAll(PDO::FETCH_ASSOC);
        foreach($arrOpcSelAux as $i=>$rowAux){ $arrOpcSel[$rowAux['rolid']]=$rowAux['nombre']; }
    }

    $rsRol=$oRol->Leer();
    $arrRol=array(); if($rsRol) $arrRol=$rsRol->fetchAll(PDO::FETCH_ASSOC);

    //$vMsgNoPermiso=""; $vTienePermiso=TienePermiso($sessCodigo, ($swNew?"persona-add":"persona-edit"), $vMsgNoPermiso);
    $vMsgNoPermiso=""; $vPermisoEditName=TienePermiso($sessCodigo, "persona-edit-name", $vMsgNoPermiso);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO PERSONAS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript">
            var jsSelect="<?=$array['jsselect']?>";
            var jsClose="<?=$array['jsclose']?>";
        </script>
        <script language="javascript" type="text/javascript" src="clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="js/personaedit.js?20171025002"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditPerson.js"></script>
        <style type="text/css">
            td.lbl{ text-align:right; font-weight:bold; padding-right:3px; }
        </style>
    </head>
    <body>
        <form id="frmPanel" class="form-horizontal">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="personaid" id="personaid" value="<?=$vPersonaId?>">
            <input type="hidden" value="<?=Mostrar_Dato($row['foto'])?>" name="foto" id="foto">
            <input type="hidden" value="<?=Mostrar_Dato($row['tipo'])?>" name="tipo" id="tipo">
            <input type="hidden" value="<?=intval($vPermisoEditName)?>" name="editname" id="editname">
            <div id="divHeader">
                <?=btnSave()?>
                <?=getTitle(($swNew?"AGREGANDO UNA NUEVA":"EDITANDO UNA")." PERSONA")?>
                <?=btnClose()?>
                <div class="float-right" style="padding:4px;"><? if(!$swNew){?><span class="badge badge-warning"><?=$vPersonaId?></span><? } ?><span class="badge badge-success" id="lblName"></span></div>
            </div>
            <? if(count($arrRol)>0){ ?>
                <div id="divTit" class="BG1 BORDER_B" style="height:40px; padding:2px;">
                    <div class="float-left">
                        <div class="btn-group">
                            <?
                            foreach($arrRol as $ir=>$rowRol){
                                if(isset($arrOpcSel[$rowRol['rolid']])){
                                    ?>
                                    <label class="btn btn-default" for="chkRol<?=intval($rowRol['rolid'])?>" title="<?=Mostrar_Dato($rowRol['nombre'])?>"><input type="checkbox" estructura="<?=$rowRol['estructura']?>" tp="<?=trim($rowRol['tipo'])?>" name="chkRol[]" id="chkRol<?=intval($rowRol['rolid'])?>" value="<?=intval($rowRol['rolid'])?>" <?=(isset($arrPerRol[$rowRol['rolid']])?'checked':'')?> style="margin-bottom:3px;" > <?=(trim($rowRol['imagen'])!=''?'<img src="'.IMAGES."/".trim($rowRol['imagen']).'"> ':'')?> <?=Mostrar_Dato($rowRol['abreviatura'])?></label>
                                    <?
                                }
                            }
                            ?>
                        </div>
                    </div>
                	<div class="float-right">
                        <div class="btn-group">
                            <?
                            foreach($arrRol as $ir=>$rowRol){
                                if(!isset($arrOpcSel[$rowRol['rolid']])){
                                    ?>
                                    <label class="btn <?=(isset($arrPerRol[$rowRol['rolid']])?'btn-info':'btn-default')?>" title="<?=Mostrar_Dato($rowRol['nombre'])?>"><?=(isset($arrPerRol[$rowRol['rolid']])?'<input type="hidden"  estructura="'.$rowRol['estructura'].'" name="chkRol[]" value="'.intval($rowRol['rolid']).'"> ':'')?><?=(trim($rowRol['imagen'])!=''?'<img src="'.IMAGES."/".trim($rowRol['imagen']).'"> ':'')?> <?=Mostrar_Dato($rowRol['abreviatura'])?></label>
                                    <?								
                                }
                            }
                            ?>
                        </div>
                    </div>
                </div>
            <? } ?>
            <div id="divMain">
                <div id="objPhoneType" style="display:none">
                    <select class="form-control" style="width:100px;">
                    <?
                    $oT= new Acceso_clsTipo_Telefono();
                    $rs=$oT->Leer();
                    if($rs){
                        while($rowTT=$rs->fetch(PDO::FETCH_ASSOC)){
                            ?>
                            <option value="<?=intval($rowTT['tipotelefonoid'])?>" require="<?=intval($rowTT['requiere'])?>"><?=Mostrar_Dato($rowTT['nombre'])?></option>
                            <?
                        }
                    }
                    ?>
                    </select>
                </div>
                <div id="objEmailType" style="display:none">
                    <select class="form-control" style="width:100px;">
                    <?
                    $oT= new Acceso_clsTipo_Email();
                    $rs=$oT->Leer();
                    if($rs){
                        while($rowTE=$rs->fetch(PDO::FETCH_ASSOC)){
                            ?>
                            <option value="<?=intval($rowTE['tipoemailid'])?>" require="<?=intval($rowTE['requiere'])?>"><?=Mostrar_Dato($rowTE['nombre'])?></option>
                            <?
                        }
                    }
                    ?>
                    </select>
                </div>
                <div id="divEdit" style="padding:5px; overflow:hidden">

                    <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                        <li><a href="#oTabs-1" data-toggle="tab">General</a></li>
                        <li><a href="#oTabs-2" data-toggle="tab">Tel&eacute;fonos<span id="lblTelCount"></span></a></li>
                        <li><a href="#oTabs-3" data-toggle="tab">Email<span id="lblEmaCount"></span></a></li>
                        <li><a href="#oTabs-4" data-toggle="tab">Redes Sociales<span id="lblSocMedCount"></span></a></li>
                        <? if(!$swNew){?>
                            <li><a href="#oTabs-5" data-toggle="tab">Licencias de Conducir<span id="lblLicConCount"><?=(intval($row['cantidad_licencias'])>0?'<span class="badge badge-info badge-mini">'.intval($row['cantidad_licencias']).'</span>':'')?></span></a></li>
                        <? } ?>
                    </ul>
                    <div class="tab-content" style="margin-top:0px; overflow:hidden;" id="oTabsContent">
                        <div id="oTabs-1" class="tab-pane" style="overflow:auto; padding:5px 0px 0px 0px;">

                            <table>
                                <tr height="50px" id="trTP">
                                    <td class="lbl" width="150px">Tipo:</td>
                                    <td colspan="3">
                                    	<div class="btn-group">
                                            <label for="optTPN" class="btn btn-default"><input type="radio" value="N" name="optTP" id="optTPN" <?=trim($row['tipo'])=='N'?'checked':''?> style="margin-bottom:3px;" > Persona Natural</label>
                                            <label for="optTPJ" class="btn btn-default"><input type="radio" value="J" name="optTP" id="optTPJ" <?=trim($row['tipo'])=='J'?'checked':''?> style="margin-bottom:3px"> Persona Juridica</label>
                                        </div>
                                    </td>
                                </tr>
                                <tr id="tpN">
                                    <td class="lbl">DNI:</td>
                                    <td>
                                        <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                            <?= getInputText("txtDNI", "Ingrese el DNI", $row['dni'], 8, "form-control", "min-width:120px; max-width:120px; width:120px;")?>
                                            <?= bDefault("btnDNI", "", "refresh", "Obtener datos de RENIEC", "form-control", "width:40px;");?>
                                            <?= InputGroupAddOn("lblDniNombre", "min-width:40px; max-width:40px; width:40px; padding:0px;", "", "")?>
                                        </div>
                                    </td>
                                    <td class="lbl" width="100px">RUC:</td>
                                    <td><input type="text" placeholder="Ingrese el RUC" value="<?=Mostrar_Dato($row['pernat_ruc'])?>" name="txtPerNatRUC" id="txtPerNatRUC" class="form-control" style="width:200px" maxlength="11"></td>                              	
                                </tr>
                                <tr id="tpN">
                                    <td class="lbl">Prefijo:</td>
                                    <td colspan="3"><input type="text" placeholder="Ejem: Lic. Prof. Dr." value="<?=Mostrar_Dato($row['titulo'])?>" name="txtTitulo" id="txtTitulo" class="form-control" style="width:200px" maxlength="20" data-provide="typeahead" data-items="4" data-source='["Arq.","Bach.","Blgo.","Dr.","Ing.","Lic.","Mg.","Prof."]'></td>                              	
                                </tr>
                                <tr id="tpN">
                                    <td class="lbl">Ape. Pat:</td>
                                    <td><input type="text" placeholder="Ingrese el Apellido Paterno" value="<?=Mostrar_Dato($row['ape_pat'])?>" name="txtApePat" id="txtApePat" class="form-control" style="width:200px" maxlength="50" <?=(!$vPermisoEditName?'disabled':'')?> /></td>
                                    <td class="lbl">Ape. Mat:</td>
                                    <td><input type="text" placeholder="Ingrese el Apellido Materno" value="<?=Mostrar_Dato($row['ape_mat'])?>" name="txtApeMat" id="txtApeMat" class="form-control" style="width:200px" maxlength="50" <?=(!$vPermisoEditName?'disabled':'')?> ></td>
                                </tr>
                                <tr id="tpN">
                                    <td class="lbl">Nombres:</td>
                                    <td><input type="text" placeholder="Ingrese el Nombre" value="<?=Mostrar_Dato($row['nombre'])?>" name="txtNombre" id="txtNombre" class="form-control" style="width:200px" omaxlength="50" <?=(!$vPermisoEditName?'disabled':'')?> ></td>
                                    <td class="lbl">Nacimiento:</td>
                                    <td><input type="text" placeholder="dd/mm/aaaa" value="<?=FormatDate($row['nacimiento'])?>" name="txtNacimiento" id="txtNacimiento" class="form-control" style="width:200px" maxlength="10"></td>
                                </tr>
                                <tr id="tpN">
                                    <td class="lbl">Sexo:</td>
                                    <td>
                                        <select name="cboSexo" id="cboSexo" class="form-control" style="width:112px">
                                            <option value="M" <?=(trim($row['sexo'])=="M")?" SELECTED ":""?>>Masculino</option>
                                            <option value="F" <?=(trim($row['sexo'])=="F")?" SELECTED ":""?>>Femenino</option>
                                        </select>
                                    </td>
                                    <td class="lbl">Est Civil:</td>
                                    <td>
                                        <select name="cboEstado_Civil" id="cboEstado_Civil" class="form-control" style="width:112px">
                                            <option value="S" <?=(trim($row['est_civil'])=="S")?" SELECTED ":""?>>Soltero</option>
                                            <option value="C" <?=(trim($row['est_civil'])=="C")?" SELECTED ":""?>>Casado</option>
                                            <option value="V" <?=(trim($row['est_civil'])=="V")?" SELECTED ":""?>>Viudo</option>
                                            <option value="D" <?=(trim($row['est_civil'])=="D")?" SELECTED ":""?>>Divorciado</option>
                                            <option value="X" <?=(trim($row['est_civil'])=="X")?" SELECTED ":""?>>Conviviente</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr id="tpJ">
                                    <td class="lbl">RUC:</td>
                                    <td colspan="3">
                                    	<div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                            <?= getInputText("txtRUC", "Ingrese el RUC", $row['ruc'], 11, "form-control", "width:120px")?>
                                            <?= bDefault("btnRUC", "", "refresh", "Obtener datos de SUNAT", "form-control", "width:40px;");?>
                                            <?= InputGroupAddOn("lblRucNombre", "min-width:40px; padding:0px;", "", "")?>
                                        </div>
                                    </td>
                                </tr>
                                <tr id="tpJ">
                                    <td class="lbl">Razon Social:</td>
                                    <td colspan="3"><input type="text" placeholder="Ingrese la Raz&oacute;n Social" value="<?=Mostrar_Dato($row['raz_soc'])?>" name="txtRazon_Social" id="txtRazon_Social" class="form-control" style="width:500px" maxlength="100" <?=(!$vPermisoEditName?'disabled':'')?> ></td>
                                </tr>
                                <tr>
                                    <td class="lbl">Nombre Comercial:</td>
                                    <td colspan="3"><input type="text" placeholder="Ingrese el nombre comercial" value="<?=Mostrar_Dato($row['nombre_comercial'])?>" name="txtNombreComercial" id="txtNombreComercial" class="form-control" style="width:500px" maxlength="100"></td>
                                </tr>
                                <tr>
                                    <td class="lbl">Direcci&oacute;n:</td>
                                    <td colspan="3"><input type="text" placeholder="Ingrese la Direcci&oacute;n" value="<?=Mostrar_Dato($row['direccion'])?>" name="txtDireccion" id="txtDireccion" class="form-control" style="width:500px" maxlength="100"></td>
                                </tr>
                                <tr>
                                    <td class="lbl">Departamento:</td>
                                    <td colspan="3">
                                        <select name="cboDepartamento" id="cboDepartamento" class="form-control" style="width:200px">
                                            <option value="0">Seleccione</option>
                                            <?
                                            $oDpto= new Acceso_clsDepartamento();
                                            $rs=$oDpto->Leer(1);
                                            if($rs) echo ShowListSelect($rs, "departamentoid", "nombre", intval($row['departamentoid']));
                                            ?>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="lbl">Provincia:</td>
                                    <td colspan="3">
                                        <select name="cboProvincia" id="cboProvincia" class="form-control" style="width:200px">
                                            <option value="0">Seleccione</option>
                                            <?
                                            if(intval($row['departamentoid'])>0){
                                                $oPro= new Acceso_clsProvincia();
                                                $rs=$oPro->Leer(intval($row['departamentoid']));
                                                if($rs) echo ShowListSelect($rs, "provinciaid", "nombre", intval($row['provinciaid']));
                                            }
                                            ?>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="lbl">Distrito:</td>
                                    <td colspan="3">
                                        <select name="cboDistrito" id="cboDistrito" class="form-control" style="width:200px">
                                            <option value="0">Seleccione</option>
                                            <?
                                            if(intval($row['provinciaid'])>0){
                                                $oDis=new Acceso_clsDistrito();
                                                $rs=$oDis->Leer(0, intval($row['provinciaid']), "");
                                                if($rs) echo ShowListSelect($rs, "distritoid", "nombre", intval($row['distritoid']));
                                            }
                                            ?>
                                        </select>
                                    </td>
                                </tr>
                                <tr id="tpN">
                                    <td class="lbl">Licencia de Conducir:</td>
                                    <td colspan="3"><input type="text" placeholder="" value="<?=Mostrar_Dato($row['licencia'])?>" name="txtLicencia" id="txtLicencia" class="form-control" style="width:200px" maxlength="20"></td>
                                </tr>
                                <? if(!$swNew){?>
                                <tr>
                                    <td class="lbl">Registro:</td>
                                    <td colspan="3"><strong class="RED"><?= Mostrar_Dato($row['registro'])?></strong></td>
                                </tr>
                                <? } ?>
                            </table>
                        </div>
                        <div id="oTabs-2" class="tab-pane" style="overflow:auto; padding:5px 0px 0px 0px;">
                            <div class="row">
                                <div class="col-sm-2"><button type="button" class="btn btn-success" id="btnPhone" name="btnPhone"><i class="glyphicon glyphglyphicon glyphicon-plus"></i> Agregar</button></div>
                                <div class="col-sm-10"><div id="objPhone"></div></div>
                            </div>
                        </div>
                        <div id="oTabs-3" class="tab-pane" style="overflow:auto; padding:5px 0px 0px 0px;">
                            <div class="row">
                                <div class="col-sm-2"><button type="button" class="btn btn-success" id="btnEmail" name="btnEmail"><i class="glyphicon glyphglyphicon glyphicon-plus"></i> Agregar</button></div>
                                <div class="col-sm-8"><div id="objEmail"></div></div>
                            </div>
                        </div>
                        <div id="oTabs-4" class="tab-pane" style="overflow:auto; padding:5px 0px 0px 0px;">
                            <table id="tblSocMed">
                                <tbody>
                                    <?
                                    $oT=new Acceso_clsTipo_SocialMedia();
                                    $rsSocMed=$oT->Leer();
                                    if($rsSocMed){
                                        while($rowSocMed=$rsSocMed->fetch(PDO::FETCH_ASSOC)){
                                            $vAux=intval($rowSocMed['tiposocialmediaid']);
                                            $vURL=""; $swExiste=isset($arrSocMed[$vAux]);
                                            if($swExiste) $vURL=$arrSocMed[$vAux];
                                            ?>
                                            <tr>
                                                <td valign="top" align="right" style="padding-right:3px"><label class="btn btn-default btn-sm" for="chkSocMed<?=intval($rowSocMed['tiposocialmediaid'])?>"><input type="checkbox" value="<?=intval($rowSocMed['tiposocialmediaid'])?>" name="chkSocMed[]" id="chkSocMed<?=intval($rowSocMed['tiposocialmediaid'])?>" <?=($swExiste?"checked":"")?> style="margin-bottom:5px"/> <?=Mostrar_Dato($rowSocMed['nombre'])?></label></td>
                                                <td valign="top" colspan="3"><input type="text" value="<?=Mostrar_Dato($vURL)?>" name="txtSocMed<?=intval($rowSocMed['tiposocialmediaid'])?>" id="txtSocMed<?=intval($rowSocMed['tiposocialmediaid'])?>" placeholder="<?=Mostrar_Dato($rowSocMed['url'])?>" class="form-control" style="width:400px;"></td>
                                            </tr>
                                            <?
                                        }
                                    }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                        
                        <div id="oTabs-5" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;"></div>
                    </div>
					
                    <? if(!$swNew){?>
                        <?
                        $oPerTel=new Acceso_clsPersona_Telefono();
                        $oPerEma=new Acceso_clsPersona_Email();
                        $rs=$oPerTel->Leer($vPersonaId,'');
                        $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
                        ?>
                        <script>
                            $(function(){
                                var oData=new Object();
                                oData=<?=json_encode($arrDatos)?>;
                                for(var x=0; x<oData.length;x++){AddPhone(oData[x]);}
                            });
                        </script>
                        <?
                        $rs=$oPerEma->Leer($vPersonaId,'');
                        $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
                        ?>
                        <script>
                            var oData=new Object();
                            oData=<?=json_encode($arrDatos)?>;
                            for(var x=0; x<oData.length;x++){AddEmail(oData[x]);}
                        </script>
                    <? } ?>
                </div>
            </div>
            <div id="divBottom" class="BORDER_T">
                <div class="float-left">
                    <? if(!$swNew){?>
                        <div class="btn-group">
                            <button type="button" id="btnFoto" class="btn btn-default"><i class="glyphicon glyphglyphicon glyphicon-picture"></i> Foto</button>
                            <!--<button type="button" id="btnUsuario" class="btn btn-success"><i class="glyphicon glyphglyphicon glyphicon-user"></i> Acceso a Intranet de Alumnos</button>-->
                        </div>
                    <? } ?>
                </div>
            </div>
        </form>
        <div id="capFondo" class="fondo">&nbsp;</div>
        <div id="capFrame" class="divFrame" style="width:90%; height:90%; top:5%; left:5%; z-index:99999; "></div>
        
        <div id="capReniec" class="divFrame" style="width:60%; height:60%; top:20%; left:20%; z-index:99999;">
            <div id="renTit" class="BG_IMG2" style="height:30px; padding-left:10px; float:left; overflow:hidden;">
                <span class="txtWinHeader">CONSULTA RENIEC</span>
                <?=btnClose('btnReniecCloseConf')?>
            </div>
            <div id="renBody" style="float:left; overflow:auto; padding:10px" class="form-horizontal form-medium">
                <div class="row">
                    <div class="col-sm-12">
                        <p style="margin-bottom: 5px; text-align: left;">
                            <div class="<?= clsInputGroup()?>">
                                <?= InputGroupAddOn("", "", "", "DNI:")?>
                                <?= InputGroupAddOn("lblReniecDNI", "", "", "")?>
                                <?= InputGroupAddOn("lblReniecDNIRpta", "", "", "")?>
                            </div>
                        </p>
                    	<div id="objReniec"></div>
                        <p>Ingrese el c&oacute;digo que se muestra en la imagen <button type="button" class="btn btn-link" id="btnReniecCaptchaRef">Mostrar otra imagen</button></p>
                        <p>
                        <input type="hidden" value="" id="txtReniecImage" name="txtReniecImage">
                        <input type="hidden" value="" id="txtReniecCookie" name="txtReniecCookie">
                        <input type="hidden" value="" id="txtReniecDni" name="txtReniecDni">
                        <div class="input-group">
                            <input type="text" placeholder="" value="" name="txtReniecCaptcha" id="txtReniecCaptcha" class="form-control" style="width:160px" maxlength="4">
                            <button type="button" class="btn btn-info btn-sm" title="Obtener datos de RENIEC" id="btnReniec"><i class="glyphicon glyphglyphicon glyphicon-refresh"></i> Consultar</button>
                        </div>
                        <p><div style="color:#F00;" id="lblReniec"></div></p>
                        </p>
                    </div>
                </div>
            </div>
        </div>


        <div id="capSunat" class="divFrame" style="width:60%; height:60%; top:20%; left:20%; z-index:99999;">
            <div id="sunTit" class="BG_IMG2" style="height:30px; padding-left:10px; float:left; overflow:hidden;">
                <span class="txtWinHeader">CONSULTA SUNAT</span>
                <?=btnClose('btnSunatCloseConf')?>
            </div>
            <div id="sunBody" style="float:left; overflow:auto; padding:10px" class="form-horizontal form-medium">
                <div class="row">
                    <div class="col-sm-12">
                        <p style="margin-bottom: 5px; text-align: left;">
                            <div class="<?= clsInputGroup()?>">
                                <?= InputGroupAddOn("", "", "", "RUC:")?>
                                <?= InputGroupAddOn("lblSunatRUC", "", "", "")?>
                                <?= InputGroupAddOn("lblSunatRUCRpta", "", "", "")?>
                            </div>
                        </p>
                    	<div id="objSunat"></div>
                        <p>Ingrese el c&oacute;digo que se muestra en la imagen <button type="button" class="btn btn-link" id="btnSunatCaptchaRef">Mostrar otra imagen</button></p>
                        <p>
                            <input type="hidden" value="" id="txtSunatImage" name="txtReniecImage">
                            <input type="hidden" value="" id="txtSunatCookie" name="txtReniecCookie">
                            <input type="hidden" value="" id="txtSunatRuc" name="txtSunatRuc">
                            <div class="input-group">
                                <input type="text" placeholder="" value="" name="txtSunatCaptcha" id="txtSunatCaptcha" class="form-control" style="width:160px" maxlength="4">
                                <button type="button" class="btn btn-info btn-sm" title="Obtener datos de SUNAT" id="btnSunat"><i class="glyphicon glyphglyphicon glyphicon-refresh"></i> Consultar</button>
                            </div>
                            <p><div style="color:#F00;" id="lblSunat"></div></p>
                        </p>
                    </div>
                </div>
            </div>
        </div>

        
    </body>
</html>
