    var ajShow=null;
    function Show(){
        $('#tblMain tbody').html('');
        $('#lblMsg').html('Wait...');
        if(ajShow)ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajProductoConsulta.php",
            data: ({ miopcion:"show", nombre:$.trim($('#txtNombre').val()), empresaid:$.trim($('#empresaid').val()), almacenid:$.trim($('#almacenid').val()) }),
            success: function(oData){ if (oData) ShowGrid(oData); }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr productoid="'+oRow.productoid+'" precio_com="'+oRow.precio_com+'" precio_va="'+oRow.precio_va+'" grabado="'+(oRow.grabado?"1":"0")+'">';
            tblRow+='<td>'+oRow.producto+(oRow.grabado?'':' <span class="badge badge-warning">EXO</span>')+'</td>';
            tblRow+='<td>'+$.formatNumber(oRow.precio_com, {format:"#,##0.00", locale:"us"})+'</td>';
            tblRow+='<td>'+$.formatNumber(oRow.precio_va, {format:"#,##0.00", locale:"us"})+'</td>';
            tblRow+='<td><strong>'+oRow.stock+'</strong></td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $("#lblMsg").html('<span class="badge badge-important">'+oData.oData.length+'</span> registros');
        AsigFun();
    }
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody td").css({'text-align':'center'});
        $("#tblMain tbody td:nth-child(1)").css({'text-align':'left'});
        $("#tblMain tbody td:nth-child(2), #tblMain tbody td:nth-child(3)").css({'text-align':'right'});
        $("#tblMain tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblMain tbody tr:nth-child(2n+1)").addClass("odd");
        $("#tblMain tbody tr:nth-child(2n+2)").addClass("even");

        //$("#tblMain tbody tr td:nth-child(1) img").attr('title', 'Editar').addClass('HAND').click(function(e){ Editar($(this).parent().parent().attr('productoid'), 0, "EDITANDO PERSONA"); });
        $("#tblMain tbody tr td:nth-child(1)").addClass('HAND').click(function(e){ Seleccionar($(this).parent().attr('productoid'), $(this).parent().attr('precio_com'), $(this).parent().attr('precio_va'), $(this).parent().attr('grabado')); });
    }
    function Seleccionar(vProductoId, vPrecioCom, vPrecioVA, vGrabado){
        if($.trim(jsSelect)!=""){
            if(!eval('window.parent.'+jsSelect)){
                alert('Function [Select] no exists');
                return false;
            }
            switch(pQuienLlama){
                case "OCEDIT":
                    eval('window.parent.'+jsSelect+'('+vProductoId+', '+vPrecioCom+', '+vGrabado+')');
                    break;
                case "IMEDIT":
                    eval('window.parent.'+jsSelect+'('+vProductoId+', '+vPrecioVA+')');
                    break;
                case "VENTAEDIT":
                    eval('window.parent.'+jsSelect+'('+vProductoId+', '+vPrecioVA+')');
                    break;
                case "TRANS-EDIT":
                    eval('window.parent.'+jsSelect+'('+vProductoId+', '+vPrecioVA+')');
                    break;
                default:
                    eval('window.parent.'+jsSelect+'('+vProductoId+')');
            }
            Close();
        }else{
            alert('Function [Select] no exists');
        }
    }
    function Editar(vCodigo, swNuevo, vTitulo){
        if($.trim(jsEdit)!=""){
            if(!eval('window.parent.'+jsEdit)){
                alert('Function [Edit] no exists');
                return false;
            }
            eval('window.parent.'+jsEdit+'('+vCodigo+','+swNuevo+',"'+vTitulo+'")');
        }else{
            alert('Function [Edit] no exists');
        }
    }
    function Close(){
        if($.trim(jsClose)!=''){ eval(jsClose); }
        $("iframe[id='ifraProductoConsulta']", parent.document).parent().remove();
    }

    $(function(){
        $("#btnClose").click(function(e){ Close();});
        $("#btnRefresh").click(function(e){ Show(); }).click();
        Layout();
        $("#txtNombre").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){e.preventDefault(); $("#btnRefresh").click(); }});
    });