<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/libcorreo/class.phpmailer.php");
    require_once("../../seguridad/Persona_Rastro_Mailing.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vPersonaEditId=intval($array['personaeditid']);

            $oPer=new Acceso_clsPersona();
            $oP=new Acceso_Rastro_clsPersona();
            $oPerTel=new Acceso_clsPersona_Telefono();
            $oPerEma=new Acceso_clsPersona_Email();

            $rowPE=$oP->getROW($vPersonaEditId);
            $rowPer=$oP->Persona($vPersonaEditId, "");
            $rowPerNat=$oP->Persona_Natural($vPersonaEditId, "");
            $rowPerJur=$oP->Persona_Juridica($vPersonaEditId, "");
            $rowPerPho=$oP->Persona_Telefonos($vPersonaEditId, "");
            $rowPerEma=$oP->Persona_Emails($vPersonaEditId, "");
            $rowSocMed=$oP->Persona_SocialMedia($vPersonaEditId, "");

            $vPersonaId=intval($rowPE['personaid']);
            $rowPerNow=$oPer->getROW($vPersonaId);
            $rsPerPhoNow=$oPerTel->Leer($vPersonaId);
            $rsPerEmaNow=$oPerEma->Leer($vPersonaId);
            $rsSocMedNow=$oPer->SocialMedia($vPersonaId);

            $arrPer=array(); if($rowPer) $arrPer=$rowPer->fetchAll(PDO::FETCH_ASSOC);
            $arrPerNat=array(); if($rowPerNat) $arrPerNat=$rowPerNat->fetchAll(PDO::FETCH_ASSOC);
            $arrPerJur=array(); if($rowPerJur) $arrPerJur=$rowPerJur->fetchAll(PDO::FETCH_ASSOC);
            $arrPerPho=array(); if($rowPerPho) $arrPerPho=$rowPerPho->fetchAll(PDO::FETCH_ASSOC);
            $arrPerEma=array(); if($rowPerEma) $arrPerEma=$rowPerEma->fetchAll(PDO::FETCH_ASSOC);
            $arrSocMed=array(); if($rowSocMed) $arrSocMed=$rowSocMed->fetchAll(PDO::FETCH_ASSOC);

            $arrPerPhoNow=array(); if($rsPerPhoNow) $arrPerPhoNow=$rsPerPhoNow->fetchAll(PDO::FETCH_ASSOC);
            $arrPerEmaNow=array(); if($rsPerEmaNow) $arrPerEmaNow=$rsPerEmaNow->fetchAll(PDO::FETCH_ASSOC);
            $arrSocMedNow=array(); if($rsSocMedNow) $arrSocMedNow=$rsSocMedNow->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oPer'] = $arrPer;
            $jsondata['oPerNat'] = $arrPerNat;
            $jsondata['oPerJur'] = $arrPerJur;
            $jsondata['oPerPho'] = $arrPerPho;
            $jsondata['oPerEma'] = $arrPerEma;
            $jsondata['oSocMed'] = $arrSocMed;
            $jsondata['rowPE'] = $rowPE;
            $jsondata['rowPerNow'] = $rowPerNow;
            $jsondata['oPerPhoNow'] = $arrPerPhoNow;
            $jsondata['oPerEmaNow'] = $arrPerEmaNow;
            $jsondata['oSocMedNow'] = $arrSocMedNow;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "aceptar":
            $vPersonaEditId=intval($array['personaeditid']);

            $oP=new Acceso_clsPersona_Rastro();
            $intError=$oP->Aceptar_Cambios($vPersonaEditId);
            $arrErr=array();
            if($intError==0){
                $arrErr=Cambios_Aceptados($vPersonaEditId);
            }

            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = ($intError==0?"":$oP->getErrMsg($intError));
            $jsondata['oData'] = $arrErr;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "descartar":
            $vPersonaEditId=intval($array['personaeditid']);

            $oP=new Acceso_clsPersona_Rastro();
            $vRpta=$oP->Descartar_Cambios($vPersonaEditId);

            $jsondata['oErr'] = ($vRpta?0:1);
            $jsondata['oDescription'] = ($vRpta?"":"Problemas al descartar los cambios.");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>