<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vCategoriaId=intval($array['categoriaid']);
            $vNombre=trim($array['texto']);
            $vOrderBy=trim($array['orderby']);
            
            $vPage=0;
            $vCount=intval($array['count']);
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;
            $vInicio = ($vPage-1) * $vCount;
            
            $oC=new Acceso_Tesoreria_clsConcepto();
            $rs=$oC->Leer($vInicio, $vCount, $vCategoriaId, $vNombre, $vOrderBy);
            $vTotalFilas=$oC->Count($vCategoriaId, $vNombre);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oC=new Acceso_Tesoreria_clsConcepto();
            $oC->pCategoriaId=intval($array['cboCategoria']);
            $oC->pNombre=Almacenar_Dato($array['txtNombre']);
            $oC->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oC->pImporte=doubleval(str_replace(",", "", $array['txtImporte']));
            $vConceptoId=intval($array['conceptoid']);
            if (intval($array['swnew'])==1){
                $intError=$oC->Agregar($vConceptoId);
            }else{
                $intError=$oC->Modificar($vConceptoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oC=new Acceso_Tesoreria_clsConcepto();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vConceptoId){
                    $intError=$oC->Eliminar($vConceptoId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vConceptoId=intval($array['conceptoid']);

            $oC=new Acceso_Tesoreria_clsConcepto();
            $intError=$oC->Cambiar_Estado($vConceptoId, $sessCodigo, miIP());

            $rowTipo=$oC->getROW($vConceptoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oC->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>