<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        
        case "read":
            $oT=new Acceso_Transportes_clsModelo();
            $rs=$oT->Buscar($array['marcaid'],$array['texto']);
            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            
            $oT=new Acceso_Transportes_clsModelo();
            
            
            $oT->pMarcaId=Almacenar_Dato($array['cboMarca']);
            $oT->pNombre = Almacenar_Dato($array['txtNombre']);
            $oT->pAbreviatura = Almacenar_Dato($array['txtAbreviatura']);
            
            $modeloId=intval($array['modeloid']);
            
            
            if (intval($array['swnew'])==1){
                $intError=$oT->Agregar($modeloId);
            }else{
                $intError=$oT->Modificar($modeloId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oT=new Acceso_Transportes_clsVehiculo();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCategoriaId){
                    $intError=$oT->Eliminar($vCategoriaId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vModeloId=intval($array['modeloid']);

            $oT=new Acceso_Transportes_clsModelo();
            $intError=$oT->Cambiar_Estado($vModeloId, $sessCodigo, miIP());

            $rowTipo=$oT->getROW($vModeloId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oT=new Acceso_Transportes_clsModelo();
            $vRpta=$oT->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
       
    }
   
?>