<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oT=new Acceso_Transportes_clsRuta();
            $nombre = $array['txtTexto'];
            $rs=$oT->Leer($nombre);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
            
            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oT=new Acceso_Transportes_clsRuta();
             
            $vRutaId=intval($array['rutaid']);
            $origenid = intval($array['cboDistritoOrigen']);
            $destinoid = intval($array['cboDistritoDestino']);
            $oT->pOrigenId=Almacenar_Dato($array['cboDistritoOrigen']);
            $oT->pDestinoId=Almacenar_Dato($array['cboDistritoDestino']);
            $oT->pNombre=Almacenar_Dato($array['txtNombre']);
            $oT->pKilometros=Almacenar_Dato($array['txtKilometros']);
            $oT->pGalones=Almacenar_Dato($array['txtGalones']);
            $oT->pPrecioxTn=Almacenar_Dato($array['txtPrecioxTn']);
            if (intval($array['swnew'])==1){
                $intError=$oT->Agregar($vRutaId);
            }else{
                $intError=$oT->Modificar($vRutaId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oT=new Acceso_Transportes_clsRuta();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCategoriaId){
                    $intError=$oT->Eliminar($vCategoriaId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vRutaId=intval($array['vehiculoid']);

            $oT=new Acceso_Transportes_clsRuta();
            $intError=$oT->Cambiar_Estado($vRutaId, $sessCodigo, miIP());

            $rowTipo=$oT->getROW($vRutaId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oT=new Acceso_Tesoreria_clsCategoria();
            $vRpta=$oT->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>