<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oI=new Acceso_WebService_clsInstitucion();
            $rs=$oI->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oI=new Acceso_WebService_clsInstitucion();
            $oI->pNombre=Almacenar_Dato($array['txtNombre']);
            $oI->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oI->pReferencia=Almacenar_Dato($array['txtReferencia']);
            $oI->pUrl=Almacenar_Dato($array['txtUrl']);
            $oI->pEstado=isset($array['chkEstado']);
            $vInstitucionId=intval($array['institucionid']);
            if (intval($array['swnew'])==1){
                $intError=$oI->Agregar($vInstitucionId);
            }else{
                $intError=$oI->Modificar($vInstitucionId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oI->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oI=new Acceso_WebService_clsInstitucion();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vInstitucionId){
                    $intError=$oI->Eliminar($vInstitucionId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oI->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vInstitucionId=intval($array['institucionid']);

            $oI=new Acceso_WebService_clsInstitucion();
            $intError=$oI->Cambiar_Estado($vInstitucionId, $sessCodigo, miIP());

            $rowTipo=$oI->getROW($vInstitucionId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oI->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oI=new Acceso_WebService_clsInstitucion();
            $vRpta=$oI->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>