<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vInstitucionId=intval($array['institucionid']);
            $vEmpresaId=intval($array['empresaid']);

            $oU=new Acceso_WebService_clsUsuario();
            $rs=$oU->Leer($vInstitucionId, $vEmpresaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oU=new Acceso_WebService_clsUsuario();
            $oU->pInstitucionId=intval($array['cboInstitucion']);
            $oU->pEmpresaId=intval($array['cboEmpresa']);
            $oU->pNombre=Almacenar_Dato($array['txtNombre']);
            $oU->pUsuario=Almacenar_Dato($array['txtUsuario']);
            $oU->pClave=Almacenar_Dato($array['txtClave']);
            $oU->pEstado=isset($array['chkEstado']);
            $vUsuarioId=intval($array['usuarioid']);
            if (intval($array['swnew'])==1){
                $intError=$oU->Agregar($vUsuarioId);
            }else{
                $intError=$oU->Modificar($vUsuarioId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oU->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oU=new Acceso_WebService_clsUsuario();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vUsuarioId){
                    $intError=$oU->Eliminar($vUsuarioId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oU->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vUsuarioId=intval($array['usuarioid']);

            $oU=new Acceso_WebService_clsUsuario();
            $intError=$oU->Cambiar_Estado($vUsuarioId, $sessCodigo, miIP());

            $rowTipo=$oU->getROW($vUsuarioId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oU->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oU=new Acceso_WebService_clsUsuario();
            $vRpta=$oU->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>