<?
class UpLoadFile{
	public $pArchivo="";
	public $pTamano_Maximo=0;			// La variable esta configurada en kb
	public $Extensiones_Permitidas="";
	public $pRuta_Destino="";
	public $pAlto=0;
	public $pAncho=0;
	public $arrErrores=array();

    function __construct(){ 
		$this->pArchivo="";
		$this->pTamano_Maximo=1024;
		$this->Extensiones_Permitidas=array("rar","zip","gif","jpg","png");
		$this->pRuta_Destino="/";
		$this->pAlto=0;
		$this->pAncho=0;
		$this->arrErrores=array(
			100 => "El archivo tiene una extension no permitida.",
			101 => "El tama&ntilde;o del archivo excede el permitido.",
			102 => "Las dimensiones(ancho,alto) de la imagen no son las permitidas.",
			103 => "Error al subir el archivo."
		);
    }

	function Mensaje_Error($vCodigo){
		return $this->arrErrores[intval($vCodigo)];
	}
	
	function Subir_Archivo($vNuevo_Nombre){
		//capturamos el nombre del archivo en una variable	: variable "$n"
		$vNombre_Archivo=$_FILES[$this->pArchivo]['name'];

		//verificamos que tenga la extension requerida
		$miArr=explode(".",$vNombre_Archivo);
		$vExtension=$miArr[count($miArr)-1]; //Extension
		if (is_array($this->Extensiones_Permitidas)){
			if (count($this->Extensiones_Permitidas)>0){
				if (!in_array(trim(strtolower($vExtension)),$this->Extensiones_Permitidas)){
					return 100;
				}
			}
		}

		//verificamos el tamano requerido
		$vTamano=$_FILES[$this->pArchivo]['size']; //Tamano
		$vTamano=round(($vTamano/1024),2);
		if (doubleval($vTamano) > doubleval($this->pTamano_Maximo)){
			return 101;
		}

		//validando el alto y ancho si fuera una imagen
		if (doubleval($this->pAncho)>0 && doubleval($this->pAlto)>0){
			$vDimensiones=getimagesize($_FILES[$this->pArchivo]['tmp_name']); //Dimensiones
			if (doubleval($vDimensiones[0])!=doubleval($this->pAncho) || doubleval($vDimensiones[1])!=doubleval($this->pAlto)){
				return 102;
			}
		}
		//moviendo el archivo
		if (!@move_uploaded_file($_FILES[$this->pArchivo]['tmp_name'],$this->pRuta_Destino.$vNuevo_Nombre)){
			return 103;
		}
		return 0;
	}
	function Obtener_Datos(){
		$vNombre_Archivo=$_FILES[$this->pArchivo]['name'];
		//Obtenemos los datos del archivo
		$miArr=explode(".",$vNombre_Archivo);
		$vExtension=$miArr[count($miArr)-1]; //Extension
		$vTamano=$_FILES[$this->pArchivo]['size']; //Tamano
		$vTamano=round(($vTamano/1024),2);
		$vDimensiones=getimagesize($_FILES[$this->pArchivo]['tmp_name']); //Dimensiones
		
		$arrDatos_Archivo=array("nombre"=>$vNombre_Archivo, 
								"extension"=>$vExtension,
								"tamano"=>$vTamano,
								"ancho"=>$vDimensiones[0],
								"alto"=>$vDimensiones[1]
							);
		return $arrDatos_Archivo;
	}
}
?>