<?
    require_once("Globals.php");
    
    function ShowHead(){
        global $pdf, $hNow, $wPage, $arrColor;
        global $rowEmpresa, $rowVenta;

        $vY=$pdf->getY();
        $vX=$pdf->getX();
        
        $hAux=6; $fsTit=14; $fsAux=8;
        $wLeft=$wPage-60;
        
        $vValor=$rowEmpresa['nombre'];
        $pdf->SetTextColorArray($arrColor['azul']);
        PrintCell($pdf, $vValor, $wLeft, $hAux, 16, 0, 'L', false, "B");
        $pdf->SetTextColorArray($arrColor['negro']);

        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $hAux=4;
        $vValor=$rowEmpresa['direccion'];
        PrintCell($pdf, $vValor, $wLeft, $hAux, 8, 0, 'L', false, "");

        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $hAux=4;
        $vValor="N° RUC: ".$rowEmpresa['ruc'];
        PrintCell($pdf, $vValor, $wLeft, $hAux, 8, 0, 'L', false, "B");

        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $hAux=4; $wAux=15;
        $vValor="TIENDA: ";
        PrintCell($pdf, $vValor, $wAux, $hAux, 8, 0, 'L', false, "B");
        $vValor=$rowVenta['almacen_nombre'];
        PrintCell($pdf, $vValor, $wLeft-$wAux, $hAux, 8, 0, 'L', false, "");

        $pdf->Ln($hAux);
        $hNow+=$hAux;
        

        $pdf->SetLineStyle(array('width' => 0.2, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0)));
        
        $wAux=60; $hAux=22;
        $vPosX=$vX+($wPage-$wAux);
        $pdf->RoundedRect($vPosX, $vY, $wAux, $hAux, 1.50, '1111', 'DF');

        $pdf->setXY($vPosX, $vY);
        
        $vValor="RUC N° ".$rowEmpresa['ruc'];
        $hAux1=6;
        PrintCell($pdf, $vValor, $wAux, $hAux1, 10, 0, 'C', false, "B");
        $pdf->Ln($hAux1);

        $pdf->setXY($vPosX, $vY+$hAux1);
        $vValor=$rowVenta['tipodocumento_nombre'];
        $hAux2=8;
        PrintCell($pdf, $vValor, $wAux, $hAux2, 16, 0, 'C', false, "B");
        $pdf->Ln($hAux2);

        $pdf->setXY($vPosX, $vY+$hAux1+$hAux2);
        $vValor="N° ".$rowVenta['numero'];
        $hAux3=8;
        PrintCell($pdf, $vValor, $wAux, $hAux3, 12, 0, 'C', false, "B");
        $pdf->Ln($hAux3);
        
        $hAux=5;
        $pdf->Ln($hAux);
        $hNow+=$hAux;
    }
    function ShowHeadVenta(){
        global $pdf, $hNow, $wPage, $arrColor;
        global $rowVenta; 

        $vY=$pdf->getY();
        $vX=$pdf->getX();
        
        $vXRect=$pdf->getX();
        $vYRect=$pdf->getY();
        
        $hAux=5; $fsAux=9; $vCantFilas=5;
        $wLeftLabel=25;
        $wRightLabel=25; $wRightTexto=40;
        $wLeftTexto=($wPage-$wLeftLabel-$wRightLabel-$wRightTexto);
        
        $vValor="NOMBRE:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowVenta['cliente'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="TIPO:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");
        $vValor=$rowVenta['tipodocumento_nombre'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto-($wRightTexto*0.05), $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="DNI/RUC:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");
        
        $vValor=$rowVenta['dni_ruc'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="NUMERO:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");
        
        $vValor=$rowVenta['numero'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto-($wRightTexto*0.05), $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="CODIGO:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowVenta['clienteid'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="FECHA:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");
        
        //$vValor=FormatDate($rowVenta['fecha']);
        $vValor=$rowVenta['registro_fecha'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto-($wRightTexto*0.05), $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="DIRECCION:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");
        
        $vValor=$rowVenta['direccion'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="VENDEDOR:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");
        
        $vValor=$rowVenta['vendedor_nombre'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto-($wRightTexto*0.05), $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="UBICACION:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowVenta['direccion_ciudad'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="MONEDA:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");
        
        $vValor=$rowVenta['moneda_nombre'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto-($wRightTexto*0.05), $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;
        
        $pdf->RoundedRect($vXRect, $vYRect, $wPage, ($hAux*$vCantFilas), 2.00, '1111', '');

    }
    function ShowDetalleHead(){
        global $pdf, $hNow, $wPage, $arrCols, $vFontFamily;
        
        $vY=$pdf->getY();
        $vX=$pdf->getX();

        $hAux=2;
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $hAux=7; $fsAux=9;
        $pdf->SetFont($vFontFamily, '', $fsAux);
        PrintRowHeader($pdf, $arrCols, $hAux, 1, true, 8, 'B', $vFontFamily);
        $pdf->Ln($hAux);
        $hNow+=$hAux;
        
    }
    function ShowDetalleFoot($vTipo=''){ }
    function ShowFoot($vTipo=''){
        global $pdf, $hNow, $wPage, $vFontFamily;
        global $rowVenta;
        
        $hAux=5; $fsAux=8; $vCantFilas=6;
        $wLeftLabel=10;
        $wRightLabel=35; $wRightTexto=30;
        $wLeftTexto=($wPage-$wLeftLabel-$wRightLabel-$wRightTexto);

        if($vTipo=='height') return ($hAux*$vCantFilas);


        PrintCell($pdf, "", $wPage, 2, $fsAux, "T", '', false, "");
        $pdf->Ln(2);

        $vY=$pdf->getY();
        $vX=$pdf->getX();
        
        $pdf->SetFont($vFontFamily, '', $fsAux);
        $vValor="SON:";
        PrintCell($pdf, $vValor, $wLeftLabel, $hAux, $fsAux, 0, 'L', false, "B");
        
        //BEGIN TOTALES
        $vXTot=$vX; $vYTot=$vY;
        $wMarAux=($wPage-$wRightLabel-$wRightTexto);
        $pdf->setXY($vXTot, $vYTot);
        
        $pdf->SetFont($vFontFamily, 'B', $fsAux);
        
        $pdf->setX($vXTot+$wMarAux);
        $vValor="IMPORTE GRAVADO:";
        PrintCell($pdf, $vValor, $wRightLabel, $hAux, $fsAux, 0, 'R', false, "B");

        $vValor=number_format(doubleval($rowVenta['vta_grabada']), 2);
        PrintCell($pdf, $vValor, $wRightTexto, $hAux, $fsAux, 0, 'R', false, "");
        $pdf->Ln($hAux);

        $pdf->setX($vXTot+$wMarAux);
        $vValor=$rowVenta['subtitulo_igv'].":";
        PrintCell($pdf, $vValor, $wRightLabel, $hAux, $fsAux, 0, 'R', false, "B");

        $vValor=number_format(doubleval($rowVenta['igv']), 2);
        PrintCell($pdf, $vValor, $wRightTexto, $hAux, $fsAux, 0, 'R', false, "");
        $pdf->Ln($hAux);
        $pdf->setX($vXTot+$wMarAux);
        
        $vValor="IMPORTE EXONERADO:";
        PrintCell($pdf, $vValor, $wRightLabel, $hAux, $fsAux, 0, 'R', false, "B");

        $vValor=number_format($rowVenta['vta_exonerada'], 2);
        PrintCell($pdf, $vValor, $wRightTexto, $hAux, $fsAux, 0, 'R', false, "");
        $pdf->Ln($hAux);

        $pdf->setX($vXTot+$wMarAux);
        $vValor="TOTAL ".$rowVenta['moneda_simbolo'].":";
        PrintCell($pdf, $vValor, $wRightLabel, $hAux, $fsAux, 0, 'R', false, "B");

        $vValor=number_format($rowVenta['vta_total'], 2);
        PrintCell($pdf, $vValor, $wRightTexto, $hAux, $fsAux, 0, 'R', false, "B");
        $pdf->Ln($hAux);
        
    }
    function ShowFootNota($vTipo=''){ }
?>