<?
class clsReniec{
    function getCaptcha(&$vCookieTemp){
        $ckfile = tempnam ("/var/www/tmp", "CURLCOOKIE");		
        $ch = curl_init ("https://cel.reniec.gob.pe/valreg/codigo.do");
        curl_setopt ($ch, CURLOPT_COOKIEJAR, $ckfile); 
        curl_setopt ($ch, CURLOPT_HEADER, false);
        curl_setopt ($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt ($ch, CURLOPT_BINARYTRANSFER, true);
        curl_setopt ($ch, CURLOPT_HTTPHEADER, array("Content-Type: image/jpeg"));
        $rawData = curl_exec ($ch);
        curl_close ($ch);
        
        $vFileName=md5(mktime()).".jpg";
        $fp = fopen($vFileName,'x');
        fwrite($fp, $rawData);
        fclose($fp);

        $vCookieTemp=$ckfile;

        return $vFileName;
    }
    function getNombre($vCookieTemp, $vDNI, $vCapcha){
        $ch = curl_init ("https://cel.reniec.gob.pe/valreg/valreg.do?accion=buscar&nuDni=".$vDNI."&imagen=".$vCapcha);
        curl_setopt ($ch, CURLOPT_COOKIEFILE, $vCookieTemp); 
        curl_setopt ($ch, CURLOPT_RETURNTRANSFER, true);
        $rawData = curl_exec ($ch);

        $vPatron = "/<td height=\"63\" class=\"style2\" align=\"center\">(.*?)\<\/td\>/s";
        preg_match_all($vPatron, $rawData, $arrVars);
        
        $arrData=array();
        if(count($arrVars[0])>0){

            $vPatron = "/No se encuentra en el(.*?)RENIEC/s";
            preg_match_all($vPatron, $rawData, $arrNoFound);
            if(count($arrNoFound[0])>0){
                $arrData=array("error"=>1, "descripcion"=>"No existe el DNI ".$vDNI);
            }else{
                $vPatron = "/El DNI N(.*?)un menor de edad/s";
                preg_match_all($vPatron, $rawData, $arrMenorEdad);
                if(count($arrMenorEdad[0])>0){
                    $arrData=array("error"=>1, "descripcion"=>"El DNI ".$vDNI." pertenece a un menor de edad.");
                }else{
                    $vValor=$arrVars[1][0];
                    $vPosicion=stripos($vValor, "<br>");
                    $vValor=trim(substr($vValor, 0, $vPosicion));
                    $vValor=nl2br($vValor);
                    $myArr=explode("<br />", $vValor);
                    if(count($myArr)>1){
                        $arrData=array("nombre"=>trim(utf8_encode($myArr[0])), "ape_pat"=>trim(utf8_encode($myArr[1])), "ape_mat"=>trim(utf8_encode($myArr[2])));
                    }else{
                        $arrData=array("error"=>1, "descripcion"=>trim(utf8_encode($arrVars[1][0])));
                    }
                }
            }
        }else{
            $arrData=array("error"=>1, "descripcion"=>"Error al consultar el DNI");
        }
        return $arrData;
    }
}
?>