<?php

    function getFormGroupText($vInputName, $vTitle, $vValue, $vMaxLenth=0, $vPlaceHolder='', $vClass='', $vStyle='', $vSizeAreaText='col-sm-10', $vSizeAreaLabel='col-sm-2', $vHide=false){
        $vSizeAreaText=(trim($vSizeAreaText)!=''?$vSizeAreaText:"col-sm-10");
        $vSizeAreaLabel=(trim($vSizeAreaLabel)!=''?$vSizeAreaLabel:"col-sm-2");
        $s="\r\n".'<div class="form-group'.($vHide?' hide':'').'">'."\r\n";
        $s.="\t".'<label class="'.(trim($vSizeAreaLabel)==''?'col-sm-2':$vSizeAreaLabel).' control-label" for="'.$vInputName.'">'.(trim($vTitle)!=''?trim($vTitle).":":"").'</label>'."\r\n";
        $s.="\t".'<div class="'.(trim($vSizeAreaText)==''?'col-sm-10':$vSizeAreaText).'"><input type="text" value="'.Mostrar_Dato($vValue).'" '.(intval($vMaxLenth)>0?' maxlength="'.intval($vMaxLenth).'"':'').' name="'.$vInputName.'" id="'.$vInputName.'" class="form-control'.(trim($vClass)!=''?' '.trim($vClass):'').'" '.(trim($vPlaceHolder)!=''?' placeholder="'.trim($vPlaceHolder).'"':'').' '.(trim($vStyle)!=''?'style="'.$vStyle.'"':'').'></div>'."\r\n";
        $s.='</div>'."\r\n";
        echo $s;
    }
    function getFormGroupTextArea($vInputName, $vTitle, $vValue, $vPlaceHolder='', $vStyle='height: 100px;', $vSizeAreaText='col-sm-10', $vSizeAreaLabel='col-sm-2', $vHide=false){
        $vSizeAreaText=(trim($vSizeAreaText)!=''?$vSizeAreaText:"col-sm-10");
        $vSizeAreaLabel=(trim($vSizeAreaLabel)!=''?$vSizeAreaLabel:"col-sm-2");
        $s="\r\n".'<div class="form-group'.($vHide?' hide':'').'">'."\r\n";
        $s.="\t".'<label class="'.(trim($vSizeAreaLabel)==''?'col-sm-2':$vSizeAreaLabel).' control-label" for="'.$vInputName.'">'.(trim($vTitle)!=''?trim($vTitle).":":"").'</label>'."\r\n";
        $s.="\t".'<div class="'.(trim($vSizeAreaText)==''?'col-sm-10':$vSizeAreaText).'"><textarea name="'.$vInputName.'" id="'.$vInputName.'" class="form-control" '.(trim($vStyle)!=''?'style="'.$vStyle.'"':'').' '.(trim($vPlaceHolder)!=''?' placeholder="'.trim($vPlaceHolder).'"':'').'>'.Mostrar_Dato($vValue).'</textarea></div>'."\r\n";
        $s.='</div>'."\r\n";
        echo $s;
    }
    function getFormGroupTextEditor($vInputName, $vTitle, $vValue, $vSizeAreaText='col-sm-10', $vSizeAreaLabel='col-sm-2', $vHide=false){
        $vSizeAreaText=(trim($vSizeAreaText)!=''?$vSizeAreaText:"col-sm-10");
        $vSizeAreaLabel=(trim($vSizeAreaLabel)!=''?$vSizeAreaLabel:"col-sm-2");
        $s="\r\n".'<div class="form-group'.($vHide?' hide':'').'">'."\r\n";
        $s.="\t".'<label class="'.(trim($vSizeAreaLabel)==''?'col-sm-2':$vSizeAreaLabel).' control-label" for="'.$vInputName.'">'.(trim($vTitle)!=''?trim($vTitle).":":"").'</label>'."\r\n";
        $s.="\t".'<div class="'.(trim($vSizeAreaText)==''?'col-sm-10':$vSizeAreaText).'"><textarea name="'.$vInputName.'" id="'.$vInputName.'" class="form-control">'.trim($vValue).'</textarea></div>'."\r\n";
        $s.='</div>'."\r\n";
        echo $s;
    }
    function getFormGroupCheck($vInputName, $vTitle, $vChecked, $vSizeAreaText='col-sm-10', $vSizeAreaLabel='col-sm-2', $vHide=false){
        $vSizeAreaText=(trim($vSizeAreaText)!=''?$vSizeAreaText:"col-sm-10");
        $vSizeAreaLabel=(trim($vSizeAreaLabel)!=''?$vSizeAreaLabel:"col-sm-2");
        $s="\r\n".'<div class="form-group'.($vHide?' hide':'').'">'."\r\n";
        $s.="\t".'<label class="'.(trim($vSizeAreaLabel)==''?'col-sm-2':$vSizeAreaLabel).' control-label" for="'.$vInputName.'">'.(trim($vTitle)!=''?trim($vTitle).":":"").'</label>'."\r\n";
        $s.="\t".'<div class="'.(trim($vSizeAreaText)==''?'col-sm-10':$vSizeAreaText).'"><input type="checkbox" class="demo-switch" id="'.$vInputName.'" name="'.$vInputName.'" '.($vChecked?'checked':'').'></div>'."\r\n";
        $s.='</div>'."\r\n";
        echo $s;
    }
    function getFormGroupCheckLabel($vInputName, $vTitle, $vCaption, $vChecked, $vSizeAreaText='col-sm-10', $vSizeAreaLabel='col-sm-2', $vHide=false){
        $vSizeAreaText=(trim($vSizeAreaText)!=''?$vSizeAreaText:"col-sm-10");
        $vSizeAreaLabel=(trim($vSizeAreaLabel)!=''?$vSizeAreaLabel:"col-sm-2");
        $s="\r\n".'<div class="form-group'.($vHide?' hide':'').'">'."\r\n";
        $s.="\t".'<label class="'.(trim($vSizeAreaLabel)==''?'col-sm-2':$vSizeAreaLabel).' control-label" for="'.$vInputName.'">'.(trim($vTitle)!=''?trim($vTitle).":":"").'</label>'."\r\n";
        $s.="\t".'<div class="'.(trim($vSizeAreaText)==''?'col-sm-10':$vSizeAreaText).'"><label for="'.$vInputName.'" class="btn btn-default btn-xs"><input type="checkbox" name="'.$vInputName.'" id="'.$vInputName.'" '.($vChecked?'checked':'').'> '.Mostrar_Dato($vCaption).'</label></div>'."\r\n";
        $s.='</div>'."\r\n";
        echo $s;
    }
    function getFormGroupSelect($arrData, $vInputName, $vTitle, $vFieldId, $vFieldName, $vValue='', $vValueNoData='0', $vCaptionNoData='Seleccione', $swNoData=false, $vSizeAreaText='col-sm-10', $vSizeAreaLabel='col-sm-2', $vHide=false){
        $vSizeAreaText=(trim($vSizeAreaText)!=''?$vSizeAreaText:"col-sm-10");
        $vSizeAreaLabel=(trim($vSizeAreaLabel)!=''?$vSizeAreaLabel:"col-sm-2");
        $s="\r\n".'<div class="form-group'.($vHide?' hide':'').'">'."\r\n";
        $s.="\t".'<label class="'.(trim($vSizeAreaLabel)==''?'col-sm-2':$vSizeAreaLabel).' control-label" for="'.$vInputName.'">'.(trim($vTitle)!=''?trim($vTitle).":":"").'</label>'."\r\n";
        $s.="\t".'<div class="'.(trim($vSizeAreaText)==''?'col-sm-10':$vSizeAreaText).'">'."\r\n";
        $s.="\t\t".'<select name="'.$vInputName.'" id="'.$vInputName.'" class="form-control">'."\r\n";
        if(count($arrData)>0){
            if($swNoData){
                $s.="\t\t\t".'<option value="'.$vValueNoData.'">'.$vCaptionNoData.'</option>';
            }
            $s.="\t\t\t".ShowListSelect($arrData, $vFieldId, $vFieldName, $vValue);
        }else{
            $s.="\t\t\t".'<option value="'.$vValueNoData.'">'.$vCaptionNoData.'</option>';
        }
        $s.="\r\n"."\t\t".'</select>'."\r\n";
        $s.="\t".'</div>'."\r\n";
        $s.='</div>'."\r\n";
        echo $s;
    }
    
    function getTitle($vTitle){
        $s='<span class="txtWinHeader">'.$vTitle.'</span>';
        echo $s;
    }
    function getFormGroupBegin($vTitle='', $vFor='', $vSizeAreaText='col-sm-10', $vSizeAreaLabel='col-sm-2', $vHide=false){
        $vSizeAreaText=(trim($vSizeAreaText)!=''?$vSizeAreaText:"col-sm-10");
        $vSizeAreaLabel=(trim($vSizeAreaLabel)!=''?$vSizeAreaLabel:"col-sm-2");
        $s="\r\n".'<div class="form-group'.($vHide?' hide':'').'">'."\r\n";
        $s.="\t".'<label class="'.(trim($vSizeAreaLabel)==''?'col-sm-2':$vSizeAreaLabel).' control-label" '.(trim($vFor)!=''?'for="'.trim($vFor).'"':"").'>'.(trim($vTitle)!=''?trim($vTitle).":":"").'</label>'."\r\n";
        $s.="\t".'<div class="'.(trim($vSizeAreaText)==''?'col-sm-10':$vSizeAreaText).'">'."\r\n";
        echo $s;
    }
    function getFormGroupEnd(){
        $s="\r\n\t".'</div>'."\r\n";
        $s.='</div>'."\r\n";
        echo $s;
    }
    function getInputText($vName, $vPlaceHolder='', $vValue='', $vMaxLenth=0, $vClass='form-control', $vStyle='', $vReadOnly=false, $vDisabled=false){
        $vValor='<input type="text" value="'.Mostrar_Dato($vValue).'" '.(intval($vMaxLenth)>0?' maxlength="'.intval($vMaxLenth).'"':'').' name="'.$vName.'" id="'.$vName.'" '.(trim($vClass)!=''?'class="'.$vClass.'"':'').' '.(trim($vPlaceHolder)!=''?'placeholder="'.trim($vPlaceHolder).'"':'').' '.(trim($vStyle)!=''?'style="'.$vStyle.'"':'').' '.($vReadOnly?' readonly':'').' '.($vDisabled?' disabled':'').'>';
        return $vValor;
    }
    function getTextArea($vInputName, $vPlaceHolder='', $vValue, $vClass='', $vStyle='', $vReadOnly=false, $vDisabled=false){
        $vValor='<textarea name="'.$vInputName.'" id="'.$vInputName.'" class="form-control'.(trim($vClass)!=''?' '.$vClass:'').'" '.(trim($vStyle)!=''?'style="'.$vStyle.'"':'').' '.(trim($vPlaceHolder)!=''?' placeholder="'.trim($vPlaceHolder).'"':'').''.($vReadOnly?' readonly':'').' '.($vDisabled?' disabled':'').'>'.Mostrar_Dato($vValue).'</textarea>';
        echo $vValor;
    }
    function getSelect($arrData, $vInputName, $vFieldId, $vFieldName, $vValue='', $vClass='', $vStyle='', $vValueNoData='0', $vCaptionNoData='Seleccione', $swNoData=false, $vDisabled=false){
        $s.="\r\n".'<select name="'.$vInputName.'" id="'.$vInputName.'" '.(trim($vClass)!=''?'class="'.$vClass.'"':'').' '.(trim($vStyle)!=''?'style="'.$vStyle.'"':'').''.($vDisabled?' disabled':'').'>'."\r\n";
        if(count($arrData)>0){
            if($swNoData){
                $s.="\t".'<option value="'.$vValueNoData.'">'.$vCaptionNoData.'</option>';
            }
            $s.="\t".ShowListSelect($arrData, $vFieldId, $vFieldName, $vValue);
        }else{
            $s.="\t".'<option value="'.$vValueNoData.'">'.$vCaptionNoData.'</option>';
        }
        $s.="\r\n"."".'</select>'."\r\n\n";
        echo $s;
    }
?>