<?php
require_once 'Generic.php';
class Usuario extends Generic{

  
    public function mostrarDatos($idpersona){
   

        $statement = $this->instance->prepare("select * from basic.papersona_getrow(:id)");

        $statement->execute(array(
            "id" => $idpersona,
        ));

        $rpt = $statement->fetchObject();
        return $rpt;

    }
    
    public function cambiarClave($idpersona,$usuario,$clave_actual,$nombretab,$nclave){
        
        $statement = $this->instance->prepare("select * from basic.pacambiar_clave_actualizar( :personaid,  :usuario,  :usuario,  :clave," .
                " md5(:nclave),  '',  false,  '',  true,now()::timestamp::date,now()::timestamp::time ," .
                " :nombreTab ,:personaid,  'DECISION DEL USUARIO')");

        $statement->execute(array(
            'personaid' => $idpersona,
            'usuario' => $usuario,
            'clave' => $clave_actual, 
            'nombreTab' => $nombretab,
            'nclave' => $nclave
        ));

        $rpt = $statement->fetchObject();
        return $rpt;
     
    }
    
    public function cambiarClaveTemporal($idpersona,$usuario,$clave_actual,$nombretab,$nclave){
        $statement = $this->instance->prepare("select * from basic.pacambiar_clave_actualizar( :personaid,  :usuario,  :usuario,  :clave,".
                         " md5(:nclave),  '',  false,  'U',  true,now()::timestamp::date,now()::timestamp::time ,".
                         " :nombreTab ,:personaid,  'A SOLICITUD DEL ADMINISTRADOR' )");

        $statement->execute(array(
            'personaid' => $idpersona, 
            'usuario' => $usuario,
            'clave' => $clave_actual, 
            'nombreTab' => $nombretab, 
            'nclave' => $nclave
        ));

        $rpt = $statement->fetchObject();
        return $rpt;

    }
    
    public function verClave($id){
        $statement = $this->instance->prepare('select * from basic.clave where  personaid=:id');

        $statement->execute(array(
            'id' => $id, 
        ));

        $rpt = $statement->fetchObject();
        return $rpt;
    }
    
    public function mostrarPermisos($id){
        $statement = $this->instance->prepare('select menuwebid,titulo from basic.papermisos_menuweb_leer_hijos(:id,0)');

        $statement->execute(array(
            'id' => $id, 
        ));

        $rpt = $statement->fetchAll(PDO::FETCH_OBJ);
        return $rpt;
        
    }
        public function buscarDNI($dni){
        
        $statement = $this->instance->prepare('select papersona_getidbydni as idpersona from  basic.papersona_getidbydni (:dni)');

        $statement->execute(array(
            'dni' => $dni, 
        ));

        $rpt = $statement->fetch(PDO::FETCH_OBJ);
        return $rpt;
       
        
    }
    
}
