<?php
require 'Datos/Login.php';
require 'Datos/Usuario.php';
$post = filter_input_array(INPUT_POST);
$idpersona = $post['idPersona'];
$nclave = $post['nclave'];
$clave_actual = $post['clave'];

$repoLogin = new Login();
$repoUser = new Usuario();
$datosClave = $repoUser->verClave($idpersona);

if (is_null($datosClave)) {
    echo json_encode([
        'error' => False,
        'status' => False,
        'response' => 'Error al obtener los datos!'
]);
    exit(0);
}
if($datosClave->clave != $clave_actual ){
      echo json_encode([
        'error' => False,
        'status' => False,
        'response' => 'Su sesion ha expirado!',
        'close'=>true
    ]);
    
}


else {
        $usuario = $datosClave->usuario;
        $nombretab = "Android " . $usuario;

        $cambioclave = $repoUser->cambiarClaveTemporal($idpersona, $usuario, $clave_actual, $nombretab, $nclave);
        $resCambClave = $cambioclave->outstate;

        if ($resCambClave):
            echo json_encode([
                'error' => False,
                'status' => True,
                'response' => 'Clave Cambiada!'
            ]);
        else:
            echo json_encode([
                'error' => False,
                'status' => False,
                'response' => 'Error al cambiar Clave!'
            ]);
        endif;

}