<?php

require 'Datos/Reportes.php';
$post = filter_input_array(INPUT_POST);

$repo = new Reportes();

$empresaid= $post['empresaid'];
$tipo =$post['tipo'];
$zona = $post['zona'];
$personaid =$post['personaid'];
$inicio =$post['finicio'];
$fin =$post['ffin'];


$rpt =$repo->listarVentasDiarias($empresaid,$tipo,$zona,$inicio,$fin);
$almacenes = $repo->listarAlmacenes($empresaid, $personaid, $zona);

$dias = [];
$ventas =[];
$total_global= [
               'almacenid' =>'TOTAL',
               'TOTAL' => 0
               ];


foreach ($rpt as $ele){
    
    $dia = [
        "dia"=> $ele->dia,
	"mes"=> $ele->mes,
	"ano"=> $ele->ano
    ];
    
    $almacen = $ele->almacenid;
    $indexDia = array_search($dia, $dias); 
    $indexAlmacen = array_search($almacen, array_column($ventas, 'almacenid'));
    if(is_bool($indexAlmacen)){
        $ventas[]= [
            'almacenid'=> $almacen,
            'TOTAL'=>0
        ];
        $indexAlmacen = array_search($almacen, array_column($ventas, 'almacenid'));
    }
    
    if(is_bool($indexDia)){
        $dias[]= $dia;
        $indexDia = array_search($dia, $dias); 
    }
    
    if(is_int($indexAlmacen)){
        $total = $ele->total;
        $ventas[$indexAlmacen][$indexDia]+= $total+0.0;
        $ventas[$indexAlmacen]['TOTAL'] += $total+0.0;
        
    }
    
    
   $total_global[$indexDia] += $ventas[$indexAlmacen][$indexDia];

}
foreach ($ventas as $obj){
   $total_global['TOTAL'] += $obj['TOTAL']; 
}

$ventas[]= $total_global;
echo json_encode([
    'error'=>False,
    'success'=>True,
    'fechas'=>$dias,
    'ventas'=>$ventas,
    'almacenes'=>$almacenes
]);