<?php

require '../Datos/Usuario.php';
$post = filter_input_array(INPUT_POST);
$dni= $post['dni'];
$repo = new Usuario();

if (is_null($dni)) {
    echo json_encode(array(
        'error' => True,
        'status' => False,
        'response' => 'El dni ingresado no se ha encontrado!'
    ));
    exit(0);
    
}

$rsDNI = $repo->buscarDNI($dni);
$idpersona = $rsDNI->idpersona;
if($idpersona == 0){
    echo json_encode(array(
        'error' => True,
        'status' => False,
        'response' => 'El dni ingresado no se ha encontrado!'
    ));
    exit(0);
}

$datos = $repo->mostrarDatos($idpersona);
$foto = $datos->foto;

if ($foto == '') {$foto = '0' . $datos->sexo;}
$datos->foto = 'http://santaanacornejo.dyndns.org:8060/santaana/cms/upload/person/photo/' . $foto;
$ndatos = array(
        'ApeMat'=>$datos->ape_mat_mayus,
        'ApePat'=>$datos->ape_pat_mayus,
        'Nombre'=>$datos->nombre_mayus,
        'Nacimiento'=>$datos->nacimiento_text,
        'direccion'=>$datos->direccion,
        'dni'=>$datos->dni,
        'email'=>$datos->email,
        'estado'=>$datos->estado,
        'foto'=>$datos->foto,
        'rol'=> $datos->rol,
        'idPersona'=>$datos->personaid,
        'sexo'=> $datos->sexo,
        'telefono'=>$datos->telefono,
        'titulo'=>$datos->titulo);

echo json_encode(array(
   'error' => False,
   'status' => True,
   'response'=> 'Accediendo al aplicativo ...',
   'data' => $ndatos
));