<?
    header("Cache-Control: no-cache"); 
    header("Pragma: no-cache");

    include("admin/config.php");
    include(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $oP=new Acceso_clsPersona();
    $oC=new Acceso_clsClave();

    $rowPersona=$oP->getROW($sessCodigo);	
    $rowClave=$oC->getROW($sessCodigo);	

    if($_POST) $array=$_POST;
    else $array=$_GET;
?>
<!DOCTYPE html>
<html>
    <head>
        <title>CAMBIAR CLAVE</title>
        <? include("admin/interfaz/php/head.php"); ?>
        <script language="javascript" type="text/javascript">
            function Close(){ parent.$.fancybox.close(); }
            $(document).ready(function(){
                $("#txtClave_Anterior").keydown(function(e){ var vKeyCode = (e.keyCode ? e.keyCode : e.which); if(vKeyCode==13) $("#txtClave_Nueva").focus(); });
                $("#txtClave_Nueva").keydown(function(e){ var vKeyCode = (e.keyCode ? e.keyCode : e.which); if(vKeyCode==13) $("#txtConfirmacion").focus(); });
                $("#txtConfirmacion").keydown(function(e){ var vKeyCode = (e.keyCode ? e.keyCode : e.which); if(vKeyCode==13) $("#btnSubmit").focus(); });
                var ajSend=null;
                $('#btnSubmit').click(function(e){
                    var myForm = $(this).parents('form');
                    if ($.trim($('#txtClave_Anterior').val())=='') {
                        bootbox.alert("Falta ingresar la clave anterior.", function(){ $('#txtClave_Anterior').focus(); });
                        return false;
                    }
                    if ($.trim($('#txtClave_Nueva').val())=='') {
                        bootbox.alert("Falta ingresar la nueva clave.", function(){ $('#txtClave_Nueva').focus(); });
                        return false;
                    }
                    var oData=ValidatePassword($.trim($('#txtClave_Nueva').val()));
                    if(oData.length>0){
                        var vMsg='<p>Problemas al validar la clave. El sistema no permite claves sencillas.</p>';
                        vMsg+='<ul>';
                        $.each(oData, function(oIndex, oRow){ vMsg+='<li>'+oRow.description+'</li>';});
                        vMsg+='</ul>';
                        bootbox.alert(vMsg, function(){ $('#txtClave_Nueva').focus() });
                        return false;
                    }
                    if ($.trim($("#txtClave_Nueva").val())!==$.trim($("#txtConfirmacion").val())){
                        bootbox.alert("La clave de confirmacion es distinta.", function(e){ $("#txtConfirmacion").focus(); });
                        return false;
                    }
                    if(ajSend)ajSend.abort();
                    ajSend=$.ajax({
                        url: 'tools/ajPassword.php',
                        type: 'POST',
                        dataType: 'json',
                        data: $('#frmPassword').serialize()+"&miopcion=change",
                        beforeSend: function(){ myForm.find('.loader').show(); },
                        success: function(oRpta){
                            if(oRpta.oErr){
                                var vMsg='';
                                $.each(oRpta.oData, function(oIndex, oRow){
                                    vMsg+='<p>'+oRow.description+'</p>';
                                });
                                bootbox.alert(vMsg);
                            }else{
                                Close();
                            }
                        }
                    });
                });
            });
        </script>
    </head>
    <body onLoad="$('#txtClave_Anterior').focus();" style="overflow:auto">
    	<div class="row">
            <div class="col-sm-12">
                <h1 class="titulo1" style="color: #003399">Cambio de Clave</h1>
                <p class="texto1">Recuerde que su contrase&ntilde;a es el unico medio de acceso al sistema, no la divulgue, mantengalo en secreto. Nosotros no nos hacemos responsables del mal uso de su clave.</p>
                <p class="texto1">Ingrese un usuario y contrase&ntilde;a valido, recuerde que debe terner como minimo 6 caracteres y como m&aacute;ximo 20.</p>
                <p class="texto1">Se le recomienda cambiar periodicamente su contrase&ntilde;a. </p>
                <h4 style="color: #0089db"><?=Mostrar_Dato((trim($rowPersona['titulo'])!=""?$rowPersona['titulo']." ":"").$rowPersona['nombre_ab']." ".$rowPersona['ape_pat_mayus']." ".$rowPersona['ape_mat_mayus'])?> <!--<span style="font-size:16px; padding:8px;" class="badge badge-info"><?=Mostrar_Dato($rowClave['usuario'])?></span>--></h4>
                <form id="frmPassword" class="form-horizontal">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">INGRESE SU CLAVE ACTUAL:</label>
                        <div class="col-sm-10">
                            <input type="password" value="" name="txtClave_Anterior" id="txtClave_Anterior" class="form-control" maxlength="20" placeholder="Ingrese su clave actual">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">INGRESE LA NUEVA CLAVE:</label>
                        <div class="col-sm-10">
                            <input type="password" value="" name="txtClave_Nueva" id="txtClave_Nueva" class="form-control" maxlength="20" placeholder="Ingrese una nueva clave">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">CONFIRME SU CLAVE:</label>
                        <div class="col-sm-10">
                            <input type="password" value="" name="txtConfirmacion" id="txtConfirmacion" class="form-control" maxlength="20" placeholder="Confirme la nueva clave">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label"></label>
                        <div class="col-sm-10">
                            <button type="button" name="btnSubmit" id="btnSubmit" class="btn btn-primary btn-lg"><i class="glyphicon glyphicon-ok"></i> Cambiar Clave</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </body>
</html>