<?
class Acceso_Rastro_clsPersona{
    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio, $vFin, $vPersonaId, $vApePat, $vApeMat, $vNombre, $vRolId, $vTipoEdit, $vDesde, $vHasta, $vEstado, $vTexto){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersonaedit_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApePat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApeMat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vRolId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" ".intval($vEstado).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vPersonaId, $vApePat, $vApeMat, $vNombre, $vRolId, $vTipoEdit, $vDesde, $vHasta, $vEstado, $vTexto){
        $oC= new Access_clsConexion();
        $vC="select rastro.papersonaedit_count(";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApePat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vApeMat))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vRolId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."',";
        $vC.=" ".intval($vEstado).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }

    function getROW($vCodigo) {
        $vC="select * from rastro.personaedit where personaeditid=".intval($vCodigo);
        $oC= new Access_clsConexion();
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Persona($vCodigo, $vTipoEdit){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_leer(";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Persona_Natural($vCodigo, $vTipoEdit){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_natural_leer(";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Persona_Juridica($vCodigo, $vTipoEdit){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_juridica_leer(";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Persona_Telefonos($vCodigo, $vTipoEdit){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_telefono_leer(";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Persona_Emails($vCodigo, $vTipoEdit){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_email_leer(";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Persona_SocialMedia($vCodigo, $vTipoEdit){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_socialmedia_leer(";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Persona_Enfermedad($vCodigo, $vTipoEdit){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_enfermedad_leer(";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Persona_Discapacidad($vCodigo, $vTipoEdit){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_discapacidad_leer(";
        $vC.=" ".intval($vCodigo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoEdit))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Aceptar_Cambios($vPersonaEditId){
        $oC= new Access_clsConexion();
        $vC="select * from rastro.papersona_rastro_aceptar_cambios(";
        $vC.=" ".intval($vPersonaEditId)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Descartar_Cambios($vPersonaEditId){
        $oC= new Access_clsConexion();
        $vC="update rastro.personaedit set estado=0 where personaeditid=".intval($vPersonaEditId);
        return $oC->Ejecutar_SQL($vC);
    }

}
?>