<?
class Acceso_clsAmbiente{
    public $pAmbienteId;
    public $pEdificioId;
    public $pNombre;
    public $pAbreviatura;
    public $pPiso;
    public $pCapacidad;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vEdificioId){
        $vC="select * from basic.paambiente_leer(";
        $vC.=" ".intval($vEdificioId)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vAmbienteId) {
        $vC="select * from basic.ambiente where ambienteid=".intval($vAmbienteId);
        $oC= new Access_clsConexion();
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Agregar(&$vAmbienteId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paambiente_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pEdificioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" ".intval($this->pPiso).",";
        $vC.=" ".intval($this->pCapacidad).",";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vAmbienteId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vAmbienteId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paambiente_actualizar(";
        $vC.=" false, ";
        $vC.=" ".intval($vAmbienteId).",";
        $vC.=" ".intval($this->pEdificioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" ".intval($this->pPiso).",";
        $vC.=" ".intval($this->pCapacidad).",";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vAmbienteId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paambiente_eliminar(".intval($vAmbienteId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Estado($vAmbienteId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paambiente_cambiar_estado(";
        $vC.=" ".intval($vAmbienteId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Reordenar($vEdificioId, $vArray){
        $vC="select basic.paambiente_cambiar_orden(";
        $vC.=" ".intval($vEdificioId).",";
        $vC.=" ".trim($vArray)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>