<?
class Acceso_clsCtaCte{
    public $pCtaCteId;
    public $pBancoId;
    public $pEmpresaId;
    public $pNumero;
    public $pAbreviatura;
    public $pSucursal;
    public $pReferencia;
    public $pMoneda;
    public $pEmpresa;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vBancoId, $vEmpresaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pactacte_leer(";
        $vC.=" ".intval($vBancoId).",";
        $vC.=" ".intval($vEmpresaId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Consulta($vBancoId, $vEmpresaId){
        $vC="select * from basic.pactacte_consulta(";
        $vC.=" ".intval($vBancoId).",";
        $vC.=" ".intval($vEmpresaId)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vCtaCteId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pactacte_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pBancoId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNumero))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSucursal))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferencia))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" ".($this->pEmpresa?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCtaCteId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vCtaCteId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pactacte_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vCtaCteId).",";
        $vC.=" ".intval($this->pBancoId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNumero))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSucursal))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferencia))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" ".($this->pEmpresa?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vCtaCteId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pactacte_eliminar(".intval($vCtaCteId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vCtaCteId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pactacte_getrow(".intval($vCtaCteId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
}
?>