<?
class Acceso_clsDistrito{
    public $pDistritoId;
    public $pProvinciaId;
    public $pNombre;
    public $pAbreviatura;
    public $pUbigeo;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vDepartamentoId, $vProvinciaId, $vNombre){
        $oC= new Access_clsConexion();
        $vC="select * from basic.padistrito_leer(";
        $vC.=" ".intval($vDepartamentoId).", ";
        $vC.=" ".intval($vProvinciaId).", ";
        $vC.=" '".$oC->Escapar_Caracteres($vNombre)."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Consulta($vDepartamentoId, $vProvinciaId, $vNombre){
        $oC= new Access_clsConexion();
        $vC="select * from basic.padistrito_consulta(";
        $vC.=" ".intval($vDepartamentoId).", ";
        $vC.=" ".intval($vProvinciaId).", ";
        $vC.=" '".$oC->Escapar_Caracteres($vNombre)."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vDistritoId) {
        $oC= new Access_clsConexion();
        $vC="select * from basic.padistrito_getrow(".intval($vDistritoId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Agregar(&$vDistritoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.padistrito_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pProvinciaId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pAbreviatura)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pUbigeo)."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vDistritoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vDistritoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.padistrito_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vDistritoId).",";
        $vC.=" ".intval($this->pProvinciaId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pAbreviatura)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pUbigeo)."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vDistritoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.padistrito_eliminar(".intval($vDistritoId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>