<?
class Acceso_clsEmpresaAlmacen{
    public $pEmpresaId;
    public $pAlmacenId;
    public $pSunatFirmar;
    public $pSunatEnviar;
    public $pSunatTemporizador;
    public $pSunatIntentos;
    public $pCantidadPrecios;
    public $pTipoRedondeo;
    public $pCertificadoId;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function LeerAlmacenes($vEmpresaId, $vZonaId=0){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_almacen_leer_almacenes(".intval($vEmpresaId).", ".intval($vZonaId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerEmpresas($vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_almacen_leer_empresas(".intval($vAlmacenId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Add($vEmpresaId, $vAlmacenId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_almacen_add(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Actualizar($vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_almacen_actualizar(";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pAlmacenId).",";
        $vC.=" ".($this->pSunatFirmar?'true':'false').",";
        $vC.=" ".($this->pSunatEnviar?'true':'false').",";
        $vC.=" ".intval($this->pSunatTemporizador).",";
        $vC.=" ".intval($this->pSunatIntentos).",";
        $vC.=" ".intval($this->pCantidadPrecios).",";
        $vC.=" ".intval($this->pTipoRedondeo).",";
        $vC.=" ".intval($this->pCertificadoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vEmpresaId, $vAlmacenId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paempresa_almacen_delete(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vEmpresaId, $vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.empresa_almacen where empresaid=".intval($vEmpresaId)." and almacenid=".intval($vAlmacenId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
}
?>