<?
class Acceso_clsMenuWeb{
    public $pCodigo;
    public $pTitulo;
    public $pDescripcion;
    public $pLink;
    public $pOrden;
    public $pImagen;
    public $pPadre;
    public $pEstado;
    public $pProceso;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vPadre){
        $vC="select * from basic.pamenuweb_leer(".intval($vPadre).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vMenuWebId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pamenuweb_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pProceso))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTitulo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" '".trim($this->pLink)."',";
        $vC.=" '".trim($this->pImagen)."',";
        $vC.=" ".intval($this->pPadre).",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vMenuWebId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vMenuWebId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.pamenuweb_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vMenuWebId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pProceso))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTitulo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" '".trim($this->pLink)."',";
        $vC.=" '".trim($this->pImagen)."',";
        $vC.=" ".intval($this->pPadre).",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vMenuWebId){
        $vC="select * from basic.pamenuweb_eliminar(".intval($vMenuWebId).")";
        $oC= new Access_clsConexion();
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }

    function Leer_Padre(){
        $vC="select * from basic.pamenuweb_leer_padres()";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Leer_Hijo($vPadre){
        $vC="select * from basic.pamenuweb_leer_hijos(".intval($vPadre).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vMenuWebId) {
        $oC= new Access_clsConexion();
        $vC="select * from basic.pamenuweb_getrow(".intval($vMenuWebId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Orden($vPadre, $vArray) {
        $vC="select basic.pamenuweb_cambiar_orden(";
        $vC.=" ".intval($vPadre).",";
        $vC.=" ".trim($vArray)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
    function Cambiar_Estado($vMenuWebId){
        $vC="update basic.menuweb set estado=not estado where menuwebid=".intval($vMenuWebId);
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }



    function Query_Padre(){
        $vC="select * from basic.pamenuweb_query_padres()";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Query_Hijo($vPadre){
        $vC="select * from basic.pamenuweb_query_hijos(".intval($vPadre).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }

    function Favoritos_Registrar($vUsuarioId, $vMenuWebId, $vIP){
        $vC="select * from basic.pamenuweb_favoritos_registrar(";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" ".intval($vMenuWebId).",";
        $vC.=" '".trim($vIP)."' ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Favoritos_Leer($vUsuarioId, $vMenuWebId){
        $vC="select * from basic.pamenuweb_leer_favoritos(";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" ".intval($vMenuWebId)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>