<?
class Acceso_clsOpciones_Seleccion{
    public $pCodigo;
    public $pProceso;
    public $pDescripcion;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio=0, $vFin=0, $vNombre=''){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paopciones_seleccion_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vCodigo) {
        $oC= new Access_clsConexion();
        $vC="select * from basic.opciones_seleccion where codigo=".intval($vCodigo);
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Agregar(&$vCodigo, $vArrCat){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paopciones_seleccion_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pProceso))."', ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" ".($this->pEstado?"true":"false").",";
        $vC.=" ".trim($vArrCat)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCodigo=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vCodigo, $vArrCat){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paopciones_seleccion_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vCodigo).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pProceso))."', ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" ".($this->pEstado?"true":"false").",";
        $vC.=" ".trim($vArrCat)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paopciones_seleccion_eliminar(".intval($vCodigo).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Leer_Roles($vProceso, $vCodigo){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paopciones_seleccion_leer_rol(";
        $vC.=" '".trim($vProceso)."',";
        $vC.=" ".intval($vCodigo)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>