<?
class Acceso_clsPermisos_Proceso{
    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function getROW($vPersonaId){
        $rs=$this->Leer_Permisos($vPersonaId);
        $arrPermisos=array();
        if($rs){
            if($rs->rowCount()>0){
                while($row=$rs->fetch(PDO::FETCH_ASSOC)){
                    $arrPermisos[$row['nombre']]=1;
                }
            }
        }
        return $arrPermisos;
    }
    
    function Leer_Permisos($vPersonaId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papermisos_proceso_leer(".intval($vPersonaId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Leer_Personas($vInicio, $vFin, $vProcesoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papermisos_proceso_leer_personas(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vProcesoId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Registrar($vPersonaId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select basic.papermisos_proceso_registrar(";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($vIP)."' ";
        $vC.=" )";
        return $oC->Ejecutar_SQL($vC);
    }
    function Eliminar($vProcesoId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.papermisos_proceso_eliminar(";
        $vC.=" ".intval($vProcesoId).",";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($vIP)."' ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>