<?
class Acceso_clsRol{
    public $pRolId;
    public $pNombre;
    public $pAbreviatura;
    public $pImagen;
    public $pEstructura;
    public $pTipo;
    public $pDefault;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $vC="select * from basic.parol_leer()";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vRolId) {
        $vC="select * from basic.rol where rolid=".intval($vRolId);
        $oC= new Access_clsConexion();
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Agregar(&$vRolId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.parol_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pImagen))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEstructura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipo))."',";
        $vC.=" ".($this->pDefault?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vRolId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vRolId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.parol_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vRolId).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pImagen))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEstructura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipo))."',";
        $vC.=" ".($this->pDefault?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vRolId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.parol_eliminar(".intval($vRolId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getDefault(){
        $oC= new Access_clsConexion();
        $vC="select * from basic.rol where pordefecto=true";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vRolId){
        $oC= new Access_clsConexion();
        $vC="update basic.rol set estado=not estado where rolid=".intval($vRolId);
        return $oC->Ejecutar_SQL($vC);
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select basic.parol_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>