<?
class Acceso_clsUnidad_Negocio{
    public $pUnidadNegocioId;
    public $pEmpresaId;
    public $pNombre;
    public $pAbreviatura;
    public $pDireccion;
    public $pTelefono;
    public $pUrl;
    public $pTipoEmpresaId;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vEmpresaId){
        $vC="select * from basic.paunidad_negocio_leer(".intval($vEmpresaId).")";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vUnidadNegocioId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paunidad_negocio_actualizar(";
        $vC.=" true, ";
        $vC.=" 0,";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDireccion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTelefono))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".intval($this->pTipoEmpresaId).",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vUnidadNegocioId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vUnidadNegocioId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paunidad_negocio_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vUnidadNegocioId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDireccion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTelefono))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".intval($this->pTipoEmpresaId).",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vUnidadNegocioId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paunidad_negocio_eliminar(";
        $vC.=" ".intval($vUnidadNegocioId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vUnidadNegocioId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.unidad_negocio where unidadnegocioid=".intval($vUnidadNegocioId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vUnidadNegocioId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paunidad_negocio_cambiar_estado(";
        $vC.=" ".intval($vUnidadNegocioId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }
    }
    function Consultar($vPersonaId, $vModuloId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paunidad_negocio_consultar(".intval($vPersonaId).", ".intval($vModuloId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>