<?
class Acceso_Catalogo_clsCategoria{
    public $pCategoriaId;
    public $pNombre;
    public $pAbreviatura;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vNombre=''){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pacategoria_leer('".$oC->Escapar_Caracteres(trim($vNombre))."')";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vCategoriaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pacategoria_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCategoriaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vCategoriaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pacategoria_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vCategoriaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pacategoria_eliminar(";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vCategoriaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.categoria where categoriaid=".intval($vCategoriaId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vCategoriaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pacategoria_cambiar_estado(";
        $vC.=" ".intval($vCategoriaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>