<?
class Acceso_clsProductoFoto{
    public $pFotoId;
    public $pProductoId;
    public $pNombre;
    public $pDescripcion;
    public $pWidth;
    public $pHeight;
    public $pDPI;
    public $pSize;
    public $pDefault;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vProductoId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproductofoto_read(".intval($vProductoId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Add(&$vFotoId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproductofoto_add(";
        $vC.=" ".intval($this->pProductoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescripcion))."',";
        $vC.=" ".intval($this->pWidth).",";
        $vC.=" ".intval($this->pHeight).",";
        $vC.=" ".intval($this->pDPI).",";
        $vC.=" ".intval($this->pSize)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vFotoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vFotoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproductofoto_delete(";
        $vC.=" ".intval($vFotoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vFotoId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproductofoto_getrow(".intval($vFotoId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function setDefault($vFotoId){
        $oC= new Access_clsConexion();
        $vC="select catalogo.paproductofoto_setdefault(".intval($vFotoId).")";
        return $oC->Ejecutar_SQL($vC);
    }
    function CambiarEstado($vFotoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproductofoto_cambiar_estado(";
        $vC.=" ".intval($vFotoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function CambiarOrden($vProductoId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select catalogo.paproductofoto_cambiar_orden(".intval($vProductoId).", ".trim($vArray).")";
        return $oC->Ejecutar_SQL($vC);
    }
    function SetCaptions($vProductoId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select catalogo.paproductofoto_setcaptions(".intval($vProductoId).", ".trim($vArray).")";
        return $oC->Ejecutar_SQL($vC);
    }
    function Rotate($vFotoId, $vName, $vWidth, $vHeight, $vSize){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.paproductofoto_rotate(";
        $vC.=" ".intval($vFotoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vWidth).",";
        $vC.=" ".intval($vHeight).",";
        $vC.=" ".intval($vSize)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>