<?
class Acceso_Catalogo_clsSubCategoria{
    public $pSubCategoriaId;
    public $pCategoriaId;
    public $pNombre;
    public $pAbreviatura;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vNombre='', $vCategoriaId=0){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pasubcategoria_leer(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vCategoriaId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vSubCategoriaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pasubcategoria_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pSubCategoriaId).",";
        $vC.=" ".intval($this->pCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vSubCategoriaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vSubCategoriaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pasubcategoria_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($this->pCategoriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vSubCategoriaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pasubcategoria_eliminar(";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vSubCategoriaId){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pasubcategoria_getrow(".intval($vSubCategoriaId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vSubCategoriaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from catalogo.pasubcategoria_cambiar_estado(";
        $vC.=" ".intval($vSubCategoriaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>