<?
class Acceso_clsGaleria_Imagenes_Detalle{
    public $pImagenId;
    public $pGaleriaId;
    public $pNombre;
    public $pDescripcion;
    public $pWidth;
    public $pHeight;
    public $pDPI;
    public $pSize;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vGaleriaId){
        $vC="select * from cms.pagaleria_imagenes_leer_imagenes(";
        $vC.=" ".intval($vGaleriaId)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vImagenId) {
        $vC="select * from cms.galeria_imagenes_detalle where imagenid=".intval($vImagenId);
        $oC= new Access_clsConexion();
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Eliminar($vImagenId){
        $vC="select * from cms.pagaleria_imagenes_detalle_eliminar(".intval($vImagenId).")";
        $oC= new Access_clsConexion();
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }

    function Agregar(&$vImagenId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagaleria_imagenes_detalle_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pGaleriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pDescripcion)."',";
        $vC.=" ".intval($this->pWidth).",";
        $vC.=" ".intval($this->pHeight).",";
        $vC.=" ".intval($this->pSize).",";
        $vC.=" ".intval($this->pDPI)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vImagenId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vImagenId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagaleria_imagenes_detalle_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vImagenId).",";
        $vC.=" ".intval($this->pGaleriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pDescripcion)."',";
        $vC.=" ".intval($this->pWidth).",";
        $vC.=" ".intval($this->pHeight).",";
        $vC.=" ".intval($this->pSize).",";
        $vC.=" ".intval($this->pDPI)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vGaleriaId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select cms.pagaleria_imagenes_cambiar_orden(".intval($vGaleriaId).", $vArray)";
        return $oC->Ejecutar_SQL($vC);
    }
    function SetDescripciones($vGaleriaId, $vArray){
        $oC= new Access_clsConexion();
        $vC="select cms.pagaleria_imagenes_setdescripcion(".intval($vGaleriaId).", $vArray)";
        return $oC->Ejecutar_SQL($vC);
    }
    function Rotate($vGaleriaId, $vName, $vWidth, $vHeight, $vSize){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagaleria_imagenes_detalle_rotate(";
        $vC.=" ".intval($vGaleriaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vWidth).",";
        $vC.=" ".intval($vHeight).",";
        $vC.=" ".intval($vSize)." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>