<?
class Access_clsAutoReply{
    public $pAutoReplyId;
    public $pMailingId;
    public $pProcess;
    public $pSubject;
    public $pFromName;
    public $pContent;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0, $vMailingId=0){
        $vC="select * from cms.paautoreply_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" ".intval($vMailingId)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vMailingId=0){
        $oC= new Access_clsConexion();
        $vC="select cms.paautoreply_count(".intval($vMailingId).") as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vAutoReplyId, $vArrFiles){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paautoreply_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pMailingId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pProcess))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSubject))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFromName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContent))."',";
        $vC.=" ".($this->pStatus?"true":"false").",";
        $vC.=" ".trim($vArrFiles)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vAutoReplyId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Edit($vAutoReplyId, $vArrFiles){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paautoreply_update(";
        $vC.=" false,";
        $vC.=" ".intval($vAutoReplyId).",";
        $vC.=" ".intval($this->pMailingId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pProcess))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pSubject))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFromName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContent))."',";
        $vC.=" ".($this->pStatus?"true":"false").",";
        $vC.=" ".trim($vArrFiles)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vAutoReplyId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paautoreply_delete(".intval($vAutoReplyId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vAutoReplyId, $vName=""){
        $oC= new Access_clsConexion();
        if(trim($vName)!=''){
            $vC="select * from cms.autoreply where process='".$oC->Escapar_Caracteres(trim($vName))."'";
        }else{
            $vC="select * from cms.autoreply where autoreplyid=".intval($vAutoReplyId);
        }
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Status($vAutoReplyId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paautoreply_change_status(";
        $vC.=" ".intval($vAutoReplyId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Docs($vAutoReplyId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paautoreply_docs(".intval($vAutoReplyId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>