<?
class Access_clsGallery{
    public $pGalleryId;
    public $pCategoryId;
    public $pName;
    public $pDescription;
    public $pOrder;
    public $pRotation;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0, $vName='', $vCategoryId=-1){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagallery_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vCategoryId)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vName='', $vCategoryId=-1){
        $oC= new Access_clsConexion();
        $vC="select cms.pagallery_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."',";
        $vC.=" ".intval($vCategoryId)." ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }

    function Add(&$vGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagallery_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pCategoryId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" ".intval($this->pRotation).",";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vGalleryId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vGalleryId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagallery_update(";
        $vC.=" false,";
        $vC.=" ".intval($vGalleryId).",";
        $vC.=" ".intval($this->pCategoryId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" ".intval($this->pRotation).",";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagallery_delete(".intval($vGalleryId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vGalleryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.gallery where galleryid=".intval($vGalleryId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Order($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select cms.pagallery_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" )";
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vGalleryId){
        $oC= new Access_clsConexion();
        $vC="update cms.gallery set status=not status where galleryid=".intval($vGalleryId);
        return $oC->Ejecutar_SQL($vC);
    }
}
?>