<?
class Access_clsGalleryCategory{
    public $pCategoryId;
    public $pName;
    public $pDescription;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0, $vName=''){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagallerycategory_read(";
        $vC.=" ".intval($vFirst).", ";
        $vC.=" ".intval($vLast).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vName=''){
        $oC= new Access_clsConexion();
        $vC="select cms.pagallerycategory_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagallerycategory_update(";
        $vC.=" true, ";
        $vC.=" 0, ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."', ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."', ";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vCategoryId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vCategoryId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagallerycategory_update(";
        $vC.=" false, ";
        $vC.=" ".intval($vCategoryId).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."', ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."', ";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pagallerycategory_delete(".intval($vCategoryId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.gallerycategory where categoryid=".intval($vCategoryId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Order($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select cms.pagallerycategory_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" )";
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vCategoryId){
        $oC= new Access_clsConexion();
        $vC="update cms.gallerycategory set status=not status where categoryid=".intval($vCategoryId);
        return $oC->Ejecutar_SQL($vC);
    }
}
?>