<?
class Access_clsMailing{
    public $pMailingId;
    public $pServer;
    public $pMailer;
    public $pPassword;
    public $pPort;
    public $pEncryption;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0){
        $vC="select * from cms.pamailing_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count(){
        $oC= new Access_clsConexion();
        $vC="select cms.pamailing_count() as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vMailingId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pamailing_update(";
        $vC.=" true,";
        $vC.=" 0, ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pServer))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMailer))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPassword))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPort))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEncryption))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vMailingId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Edit($vMailingId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pamailing_update(";
        $vC.=" false,";
        $vC.=" ".intval($vMailingId).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pServer))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMailer))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPassword))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pPort))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEncryption))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vMailingId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.pamailing_delete(".intval($vMailingId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vMailingId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.mailing where mailingid=".intval($vMailingId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Status($vMailingId){
        $oC= new Access_clsConexion();
        $vC="update cms.mailing set status=not status where mailingid=".intval($vMailingId);
        return $oC->Ejecutar_SQL($vC);
    }
}
?>