<?
class Access_clsProjectCategory{
    public $pProjectCategoryId;
    public $pName;
    public $pDescription;
    public $pContent;
    public $pImage;
    public $pStatus;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Read($vFirst=0, $vLast=0, $vName=''){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectcategory_read(";
        $vC.=" ".intval($vFirst).", ";
        $vC.=" ".intval($vLast).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vName=''){
        $oC= new Access_clsConexion();
        $vC="select cms.paprojectcategory_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(&$vProjectCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectcategory_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContent))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pImage))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vProjectCategoryId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                $vProjectCategoryId=0;
                return 999;
            }
        }else return 100;
    }
    function Edit($vProjectCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectcategory_update(";
        $vC.=" false, ";
        $vC.=" ".intval($vProjectCategoryId).", ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."', ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."', ";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pContent))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pImage))."', ";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Delete($vProjectCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectcategory_delete(".intval($vProjectCategoryId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vProjectCategoryId){
        $oC= new Access_clsConexion();
        $vC="select * from cms.projectcategory where projectcategoryid=".intval($vProjectCategoryId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Order($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select cms.paprojectcategory_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" )";
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vProjectCategoryId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from cms.paprojectcategory_change_status(";
        $vC.=" ".intval($vProjectCategoryId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
}
?>