<?
class Acceso_clsConfigSubGroup{
    public $pConfigSubGroupId;
    public $pConfigGroupId;
    public $pName;
    public $pDescription;
    public $pStatus;

    function Read($vFirst, $vLast, $vConfigGroupId, $vName){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigsubgroup_read(";
        $vC.=" ".intval($vFirst).",";
        $vC.=" ".intval($vLast).",";
        $vC.=" ".intval($vConfigGroupId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vConfigGroupId, $vName){
        $oC= new Access_clsConexion();
        $vC="select public.paconfigsubgroup_count(";
        $vC.=" ".intval($vConfigGroupId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vName))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs){
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Add(){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigsubgroup_update(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pConfigGroupId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        return $oC->Ejecutar_SQL2($vC);
    }
    function Edit($vConfigSubGroupId){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigsubgroup_update(";
        $vC.=" false,";
        $vC.=" ".intval($vConfigSubGroupId).",";
        $vC.=" ".intval($this->pConfigGroupId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDescription))."',";
        $vC.=" ".($this->pStatus?"true":"false")." ";
        $vC.=" ) ";
        return $oC->Ejecutar_SQL2($vC);
    }
    function Delete($vConfigSubGroupId){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigsubgroup_delete(".intval($vConfigSubGroupId).")";
        return $oC->Ejecutar_SQL2($vC);
    }
    function getROW($vConfigSubGroupId){
        $oC= new Access_clsConexion();
        $vC="select * from public.configsubgroup where configsubgroupid=".intval($vConfigSubGroupId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function getROWBYNAME($vConfigGroupName, $vConfigSubGroupName){
        $oC= new Access_clsConexion();
        $vC="select * from public.paconfigsubgroup_getbyname(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vConfigGroupName))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vConfigSubGroupName))."' ";
        $vC.=" )";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Change_Order($vArray, $vStart){
        $vC="select public.paconfigsubgroup_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" )";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
    function Change_Status($vConfigSubGroupId){
        $vC="update public.configsubgroup set status=not status where configsubgroupid=".$vConfigSubGroupId;
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
}
?>