<?
class Acceso_Contabilidad_clsCostoMoneda{
    public $pMoneda;
    public $pFecha;
    public $pVenta;
    public $pCompra;
    public $pCobranza;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio=0, $vFin=0, $vMoneda='', $vDesde='', $vHasta=''){
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.pacosto_moneda_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" '".$oC->Escapar_Caracteres($vMoneda)."',";
        $vC.=" '".$oC->Escapar_Caracteres($vDesde)."',";
        $vC.=" '".$oC->Escapar_Caracteres($vHasta)."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vMoneda, $vDesde, $vHasta){
        $oC= new Access_clsConexion();
        $vC="select contabilidad.pacosto_moneda_count(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vMoneda))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vHasta))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Actualizar(){
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.pacosto_moneda_actualizar(";
        $vC.=" '".$oC->Escapar_Caracteres($this->pMoneda)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pFecha)."',";
        $vC.=" ".doubleval($this->pVenta).",";
        $vC.=" ".doubleval($this->pCompra).",";
        $vC.=" ".doubleval($this->pCobranza)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vMoneda, $vFecha, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.pacosto_moneda_eliminar(";
        $vC.=" '".$oC->Escapar_Caracteres($vMoneda)."',";
        $vC.=" '".$oC->Escapar_Caracteres($vFecha)."',";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres($vIP)."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vMoneda, $vFecha){
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.pacosto_moneda_getrow(";
        $vC.=" '".$oC->Escapar_Caracteres($vMoneda)."',";
        $vC.=" '".$oC->Escapar_Caracteres($vFecha)."' ";
        $vC.=" )";
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
}
?>