<?
class Acceso_Contabilidad_clsTipoDocumento{
    public $pDocumentoId;
    public $pNombre;
    public $pAbreviatura;
    public $pCodigoContable;
    public $pCaracterContable;
    public $pSigno;
    public $pCalcularIGV;
    public $pTipDocPer;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.patipodocumento_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vTipoDocumentoId){
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.patipodocumento_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pAbreviatura)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pCodigoContable)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pSigno)."',";
        $vC.=" ".($this->pCalcularIGV?'true':'false').",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pTipDocPer)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pCaracterContable)."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTipoDocumentoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vTipoDocumentoId){
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.patipodocumento_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vTipoDocumentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pNombre)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pAbreviatura)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pCodigoContable)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pSigno)."',";
        $vC.=" ".($this->pCalcularIGV?'true':'false').",";
        $vC.=" '".$oC->Escapar_Caracteres($this->pTipDocPer)."',";
        $vC.=" '".$oC->Escapar_Caracteres($this->pCaracterContable)."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipoDocumentoId){
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.patipodocumento_eliminar(".intval($vTipoDocumentoId).")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vTipoDocumentoId) {
        $oC= new Access_clsConexion();
        $vC="select * from contabilidad.tipodocumento where tipodocumentoid=".intval($vTipoDocumentoId);
        $rs=$oC->Ejecutar_Consulta($vC);
        if($rs){
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
}
?>