<?
class Acceso_clsIngreso{
    public $pIngresoId;
    public $pEmpresaId;
    public $pAlmacenId;
    public $pCorrelativo;
    public $pTipMovMerId;
    public $pTipoDocumentoId;
    public $pNumero;
    public $pPersonaId;
    public $pFecha;
    public $pMoneda;
    public $pTotal;
    public $pCambio;
    public $pObservacion;
    public $pReferencia;
    public $pReferenciaId1;
    public $pReferenciaId2;
    public $pReferenciaDetalle;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio=0, $vFin=0, $vEmpresaId=0, $vUserId=0, $vAlmacenId=0, $vTipoDocumentoId=0, $vPersonaId=0, $vNombre='', $vFechaDesde='', $vFechaHasta='', $vNumero=''){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paingreso_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vUserId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vTipoDocumentoId).",";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaHasta))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNumero))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vEmpresaId=0, $vUserId=0, $vAlmacenId=0, $vTipoDocumentoId=0, $vPersonaId=0, $vNombre='', $vFechaDesde='', $vFechaHasta='', $vNumero=''){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paingreso_count(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vUserId).",";
        $vC.=" ".intval($vAlmacenId).",";
        $vC.=" ".intval($vTipoDocumentoId).",";
        $vC.=" ".intval($vPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaHasta))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNumero))."' ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Agregar(&$vIngresoId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paingreso_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pAlmacenId).",";
        $vC.=" ".intval($this->pCorrelativo).",";
        $vC.=" ".intval($this->pTipMovMerId).",";
        $vC.=" ".intval($this->pTipoDocumentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNumero))."',";
        $vC.=" ".intval($this->pPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFecha))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" ".doubleval($this->pTotal).",";
        $vC.=" ".doubleval($this->pCambio).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferencia))."',";
        $vC.=" ". intval($this->pReferenciaId1).",";
        $vC.=" ". intval($this->pReferenciaId2).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferenciaDetalle))."',";
        $vC.=" ". trim($vArray).",";
        $vC.=" ". intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vIngresoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vIngresoId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paingreso_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vIngresoId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pAlmacenId).",";
        $vC.=" ".intval($this->pCorrelativo).",";
        $vC.=" ".intval($this->pTipMovMerId).",";
        $vC.=" ".intval($this->pTipoDocumentoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNumero))."',";
        $vC.=" ".intval($this->pPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFecha))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" ".doubleval($this->pTotal).",";
        $vC.=" ".doubleval($this->pCambio).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferencia))."',";
        $vC.=" ". intval($this->pReferenciaId1).",";
        $vC.=" ". intval($this->pReferenciaId2).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferenciaDetalle))."',";
        $vC.=" ". trim($vArray).",";
        $vC.=" ". intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vIngresoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paingreso_eliminar(";
        $vC.=" ".intval($vIngresoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function LeerItems($vIngresoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paingreso_leer_items(".intval($vIngresoId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vIngresoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paingreso_getrow(".intval($vIngresoId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vIngresoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paingreso_cambiar_estado(";
        $vC.=" ".intval($vIngresoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getCorrelativo($vEmpresaId, $vAlmacenId){
        $oC= new Access_clsConexion();
        $vC="select inventarios.paingreso_obtener_numero(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vAlmacenId)." ";
        $vC.=" ) as correlativo";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCorrelativo=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCorrelativo=intval($row['correlativo']);
        }
        return $vCorrelativo;
    }
}
?>