<?
class Acceso_clsMotivoNotas{
    public $pMotivoId;
    public $pTipo;
    public $pNombre;
    public $pAbreviatura;
    public $pCodigoContable;
    public $pAfectaStock;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vNombre=''){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pamotivo_notas_leer('".$oC->Escapar_Caracteres(trim($vNombre))."')";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vMotivoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pamotivo_notas_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pMotivoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigoContable))."',";
        $vC.=" ".($this->pAfectaStock?"true":"false").",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vMotivoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vMotivoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pamotivo_notas_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vMotivoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pTipo))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigoContable))."',";
        $vC.=" ".($this->pAfectaStock?"true":"false").",";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vMotivoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pamotivo_notas_eliminar(";
        $vC.=" ".intval($vMotivoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vMotivoId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.motivo_notas where motivoid=".intval($vMotivoId)." ";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vMotivoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.pamotivo_notas_cambiar_estado(";
        $vC.=" ".intval($vMotivoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select inventarios.pamotivo_notas_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        return $oC->Ejecutar_SQL($vC);
    }
}
?>