<?
class Acceso_clsOrdenCompra{
    public $pOrdenCompraId;
    public $pEmpresaId;
    public $pCorrelativo;
    public $pFecha;
    public $pProveedorId;
    public $pCondicionPagoId;
    public $pMoneda;
    public $pParaAreaId;
    public $pEntregaFecha;
    public $pEntregaLugar;
    public $pDocRef;
    public $pGratuito;
    public $pExonerado;
    public $pGrabado;
    public $pIGV;
    public $pDescuento;
    public $pDescuentoGlobal;
    public $pDescuentoGlobalPorc;
    public $pTotal;
    public $pValorIGV;
    public $pReferencia;
    public $pCodigoRef1;
    public $pCodigoRef2;
    public $pObservacion;
    public $pEstadoActual;
    public $pUsuarioId;
    public $pIP;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio=0, $vFin=0, $vEmpresaId=0, $vNombre='', $vProveedorId=0, $vProductoId=0, $vParaAreaId=0, $vCondicionPagoId=0, $vFechaDesde='', $vFechaHasta='', $vEstadoActual=-1){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vProveedorId).",";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vParaAreaId).",";
        $vC.=" ".intval($vCondicionPagoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaHasta))."',";
        $vC.=" ".intval($vEstadoActual)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vEmpresaId=0, $vNombre='', $vProveedorId=0, $vProductoId=0, $vParaAreaId=0, $vCondicionPagoId=0, $vFechaDesde='', $vFechaHasta='', $vEstadoActual=-1){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_count(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vProveedorId).",";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" ".intval($vParaAreaId).",";
        $vC.=" ".intval($vCondicionPagoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaHasta))."',";
        $vC.=" ".intval($vEstadoActual)." ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Agregar(&$vOrdenCompraId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pCorrelativo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFecha))."',";
        $vC.=" ".intval($this->pProveedorId).",";
        $vC.=" ".intval($this->pCondicionPagoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" ".intval($this->pParaAreaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEntregaFecha))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEntregaLugar))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDocRef))."',";
        $vC.=" ".doubleval($this->pGratuito).",";
        $vC.=" ".doubleval($this->pExonerado).",";
        $vC.=" ".doubleval($this->pGrabado).",";
        $vC.=" ".doubleval($this->pIGV).",";
        $vC.=" ".doubleval($this->pDescuento).",";
        $vC.=" ".doubleval($this->pDescuentoGlobal).",";
        $vC.=" ".doubleval($this->pDescuentoGlobalPorc).",";
        $vC.=" ".doubleval($this->pTotal).",";
        $vC.=" ".doubleval($this->pValorIGV).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferencia))."',";
        $vC.=" ". intval($this->pCodigoRef1).",";
        $vC.=" ". intval($this->pCodigoRef2).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" ". intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."',";
        $vC.=" ". trim($vArray)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vOrdenCompraId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vOrdenCompraId, $vArray, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vOrdenCompraId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pCorrelativo).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFecha))."',";
        $vC.=" ".intval($this->pProveedorId).",";
        $vC.=" ".intval($this->pCondicionPagoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pMoneda))."',";
        $vC.=" ".intval($this->pParaAreaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEntregaFecha))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pEntregaLugar))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pDocRef))."',";
        $vC.=" ".doubleval($this->pGratuito).",";
        $vC.=" ".doubleval($this->pExonerado).",";
        $vC.=" ".doubleval($this->pGrabado).",";
        $vC.=" ".doubleval($this->pIGV).",";
        $vC.=" ".doubleval($this->pDescuento).",";
        $vC.=" ".doubleval($this->pDescuentoGlobal).",";
        $vC.=" ".doubleval($this->pDescuentoGlobalPorc).",";
        $vC.=" ".doubleval($this->pTotal).",";
        $vC.=" ".doubleval($this->pValorIGV).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pReferencia))."',";
        $vC.=" ". intval($this->pCodigoRef1).",";
        $vC.=" ". intval($this->pCodigoRef2).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."',";
        $vC.=" ". intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."',";
        $vC.=" ". trim($vArray)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vOrdenCompraId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_eliminar(";
        $vC.=" ".intval($vOrdenCompraId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function LeerItems($vOrdenCompraId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_leer_items(".intval($vOrdenCompraId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function getROW($vOrdenCompraId, $vEmpresaId, $vCorrelativo){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_getrow(".intval($vOrdenCompraId).", ".intval($vEmpresaId).", ".intval($vCorrelativo).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vOrdenCompraId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_cambiar_estado(";
        $vC.=" ".intval($vOrdenCompraId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getCorrelativo($vEmpresaId){
        $oC= new Access_clsConexion();
        $vC="select inventarios.paordencompra_obtener_numero(";
        $vC.=" ".intval($vEmpresaId)." ";
        $vC.=" ) as correlativo";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCorrelativo=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCorrelativo=intval($row['correlativo']);
        }
        return $vCorrelativo;
    }
    function Consulta($vEmpresaId, $vLimite, $vNombre, $vProveedorId, $vProductoId, $vFechaDesde, $vFechaHasta, $vEstadoActual){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.paordencompra_consuta(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vLimite).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vNombre))."',";
        $vC.=" ".intval($vProveedorId).",";
        $vC.=" ".intval($vProductoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaDesde))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vFechaHasta))."',";
        $vC.=" ".intval($vEstadoActual)." ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>