<?
class Acceso_clsTipoMovimientoMercaderia{
    public $pTipMovMerId;
    public $pNombre;
    public $pAbreviatura;
    public $pCodigoContable;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patipo_movimiento_mercaderia_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vTipMovMerId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patipo_movimiento_mercaderia_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pTipMovMerId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigoContable))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTipMovMerId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vTipMovMerId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patipo_movimiento_mercaderia_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vTipMovMerId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCodigoContable))."',";
        $vC.=" ".($this->pEstado?"true":"false")." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipMovMerId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patipo_movimiento_mercaderia_eliminar(";
        $vC.=" ".intval($vTipMovMerId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vTipMovMerId){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.tipo_movimiento_mercaderia where motivoid=".intval($vTipMovMerId)." ";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vTipMovMerId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from inventarios.patipo_movimiento_mercaderia_cambiar_estado(";
        $vC.=" ".intval($vTipMovMerId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select inventarios.patipo_movimiento_mercaderia_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        return $oC->Ejecutar_SQL($vC);
    }
}
?>