<?
class Acceso_Planillas_clsAFP{
    public $pAFPId;
    public $pNombre;
    public $pAbreviatura;
    public $pTasa;
    public $pComision;
    public $pPrima;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer(){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paafp_leer()";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vAFPId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paafp_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($this->pAFPId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" ".doubleval($this->pTasa).",";
        $vC.=" ".doubleval($this->pComision).",";
        $vC.=" ".doubleval($this->pPrima)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vAFPId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vAFPId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paafp_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vAFPId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pAbreviatura))."',";
        $vC.=" ".doubleval($this->pTasa).",";
        $vC.=" ".doubleval($this->pComision).",";
        $vC.=" ".doubleval($this->pPrima)." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vAFPId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paafp_eliminar(".intval($vAFPId).")";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vAFPId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.afp where afpid=".intval($vAFPId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vAFPId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.paafp_cambiar_estado(";
        $vC.=" ".intval($vAFPId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Cambiar_Orden($vArray, $vStart){
        $oC= new Access_clsConexion();
        $vC="select planillas.paafp_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        return $oC->Ejecutar_SQL($vC);
    }
}
?>