<?
class Acceso_Planillas_clsContrato{
    public $pContratoId;
    public $pEmpresaId;
    public $pPersonaId;
    public $pInicio;
    public $pFin;
    public $pTipoPlanillaId;
    public $pTipoContratoId;
    public $pAreaId;
    public $pCargoId;
    public $pTurnoId;
    public $pHorarioId;
    public $pNumeroHijos;
    public $pNumeroHijosEscolar;
    public $pAFPId;
    public $pFormaPagoId;
    public $pFormaPagoBancoId;
    public $pFormaPagoCuenta;
    public $pCTSBancoId;
    public $pCTSCuenta;
    public $pCTSMoneda;
    public $pTipoSeguroSaludId;
    public $pSueldoBasico;
    public $pObservacion;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInicio, $vFin, $vEmpresaId, $vTexto='', $vTipoPlanillaId=0, $vTipoContratoId=-1){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.pacontrato_leer(";
        $vC.=" ".intval($vInicio).",";
        $vC.=" ".intval($vFin).",";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."',";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".intval($vTipoContratoId)." ";
        $vC.=" );";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Count($vEmpresaId, $vTexto='', $vTipoPlanillaId=0, $vTipoContratoId=-1){
        $oC= new Access_clsConexion();
        $vC="select planillas.pacontrato_count(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTexto))."',";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".intval($vTipoContratoId)." ";
        $vC.=" ) as count";
        $rs=$oC->Ejecutar_Consulta($vC);
        $vCount=0;
        if ($rs) {
            $row=$rs->fetch(PDO::FETCH_ASSOC);
            $vCount=intval($row['count']);
        }
        return $vCount;
    }
    function Agregar(&$vContratoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.pacontrato_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pInicio))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFin))."',";
        $vC.=" ".intval($this->pTipoPlanillaId).",";
        $vC.=" ".intval($this->pTipoContratoId).",";
        $vC.=" ".intval($this->pAreaId).",";
        $vC.=" ".intval($this->pCargoId).",";
        $vC.=" ".intval($this->pTurnoId).",";
        $vC.=" ".intval($this->pHorarioId).",";
        $vC.=" ".intval($this->pNumeroHijos).",";
        $vC.=" ".intval($this->pNumeroHijosEscolar).",";
        $vC.=" ".intval($this->pAFPId).",";
        $vC.=" ".intval($this->pFormaPagoId).",";
        $vC.=" ".intval($this->pFormaPagoBancoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFormaPagoCuenta))."',";
        $vC.=" ".intval($this->pCTSBancoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCTSCuenta))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCTSMoneda))."',";
        $vC.=" ".intval($this->pTipoSeguroSaludId).",";
        $vC.=" ".doubleval($this->pSueldoBasico).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vContratoId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vContratoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.pacontrato_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vContratoId).",";
        $vC.=" ".intval($this->pEmpresaId).",";
        $vC.=" ".intval($this->pPersonaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pInicio))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFin))."',";
        $vC.=" ".intval($this->pTipoPlanillaId).",";
        $vC.=" ".intval($this->pTipoContratoId).",";
        $vC.=" ".intval($this->pAreaId).",";
        $vC.=" ".intval($this->pCargoId).",";
        $vC.=" ".intval($this->pTurnoId).",";
        $vC.=" ".intval($this->pHorarioId).",";
        $vC.=" ".intval($this->pNumeroHijos).",";
        $vC.=" ".intval($this->pNumeroHijosEscolar).",";
        $vC.=" ".intval($this->pAFPId).",";
        $vC.=" ".intval($this->pFormaPagoId).",";
        $vC.=" ".intval($this->pFormaPagoBancoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pFormaPagoCuenta))."',";
        $vC.=" ".intval($this->pCTSBancoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCTSCuenta))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pCTSMoneda))."',";
        $vC.=" ".intval($this->pTipoSeguroSaludId).",";
        $vC.=" ".doubleval($this->pSueldoBasico).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pObservacion))."' ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vContratoId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.pacontrato_eliminar(";
        $vC.=" ".intval($vContratoId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=" )";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vContratoId){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.pacontrato_getrow(".intval($vContratoId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function LeerParaIngreso($vEmpresaId, $vTipoPlanillaId, $vAnio, $vMes){
        $oC= new Access_clsConexion();
        $vC="select * from planillas.pacontrato_leer_paraingresodatos(";
        $vC.=" ".intval($vEmpresaId).",";
        $vC.=" ".intval($vTipoPlanillaId).",";
        $vC.=" ".intval($vAnio).",";
        $vC.=" ".intval($vMes)." ";
        $vC.=" );";
        return $oC->Ejecutar_Consulta($vC);
    }
    
}
?>