<?
class Acceso_Transportes_clsRuta{
    
    public $pRutaId;
    public $pNombre;
    public $pOrigenId;
    public $pDestinoId;
    public $pKilometros;
    public $pGalones;
    public $pPrecioxTn;
    
    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($nombre=''){
        $oC= new Access_clsConexion();
        $vC="select * from transa.paruta_leer('".$oC->Escapar_Caracteres(trim($nombre))."')";
        return $oC->Ejecutar_Consulta($vC);
    }
    
  
    function LeerDepartamentos($vPaisId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.padepartamento_leer(".intval($vPaisId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerProvincias($vDepartamentoId){
        $oC= new Access_clsConexion();
        $vC="select * from basic.paprovincia_leer(".intval($vDepartamentoId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function LeerDistritos($vDepartamentoId, $vProvinciaId, $vNombre){
        $oC= new Access_clsConexion();
        $vC="select * from basic.padistrito_leer(";
        $vC.=" ".intval($vDepartamentoId).", ";
        $vC.=" ".intval($vProvinciaId).", ";
        $vC.=" '".$oC->Escapar_Caracteres($vNombre)."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
    
    function LeerDistritoId($id){
        $oC= new Access_clsConexion();
        $vC="select distritoid,provinciaid,departamentoid from transa.paruta_distrito_leer() where distritoid=".intval($id)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
        
        
        
    }
    function Agregar(&$vRutaId){
        $oC= new Access_clsConexion();
        $vC="select * from transa.paruta_actualizar(";
        $vC.=" true,";
        $vC.=" ".intval($vRutaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" ".intval($this->pOrigenId).",";
        $vC.=" ".intval($this->pDestinoId).",";   
        $vC.=" ".doubleval($this->pKilometros).",";  
        $vC.=" ".doubleval($this->pGalones).",";  
        $vC.=" ".doubleval($this->pPrecioxTn);  
        $vC.=" )";
        
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vTipoPlanillaId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Modificar($vRutaId){
        $oC= new Access_clsConexion();
        $vC="select * from transa.paruta_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vRutaId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" ".intval($this->pOrigenId).",";
        $vC.=" ".intval($this->pDestinoId).",";   
        $vC.=" ".doubleval($this->pKilometros).",";  
        $vC.=" ".doubleval($this->pGalones).",";  
        $vC.=" ".doubleval($this->pPrecioxTn);  
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function Eliminar($vTipoPlanillaId){
        $oC= new Access_clsConexion();
        $vC="select * from transa.pavehiculo_eliminar(".intval($vTipoPlanillaId).")";
        $rowRpta= $oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    function getROW($vRutaId){
        $oC= new Access_clsConexion();
        $vC="select * from transa.ruta where rutaid=".intval($vRutaId)."";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vRutaId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from  transa.pavehiculo_cambiar_estado(";
        $vC.=" ".intval($vRutaId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']) return 0;
            else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return 100;
    }
    
    
    
}
?>