<?
class Acceso_WebService_clsWebService{
    public $pWebServiceId;
    public $pInstitucionId;
    public $pTipoId;
    public $pNombre;
    public $pUrl;
    public $pEstado;

    public $arrErrores=array();
    function __construct(){ $this->arrErrores=array( 999 => "", 100 => "Problemas al ejecutar la consulta." ); }
    function getErrMsg($vErrId){ return $this->arrErrores[intval($vErrId)]; }
    
    function Leer($vInstitucionId, $vTipoId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pawebservice_leer(".intval($vInstitucionId).", ".intval($vTipoId).")";
        return $oC->Ejecutar_Consulta($vC);
    }
    function Agregar(&$vWebServiceId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pawebservice_actualizar(";
        $vC.=" true,";
        $vC.=" 0,";
        $vC.=" ".intval($this->pInstitucionId).",";
        $vC.=" ".intval($this->pTipoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                $vWebServiceId=intval($rowRpta['outid']);
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function Modificar($vWebServiceId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pawebservice_actualizar(";
        $vC.=" false,";
        $vC.=" ".intval($vWebServiceId).",";
        $vC.=" ".intval($this->pInstitucionId).",";
        $vC.=" ".intval($this->pTipoId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pNombre))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($this->pUrl))."',";
        $vC.=" ".($this->pEstado?'true':'false')." ";
        $vC.=" )";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function Eliminar($vWebServiceId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pawebservice_eliminar(";
        $vC.=" ".intval($vWebServiceId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function getROW($vWebServiceId){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pawebservice_getrow(".intval($vWebServiceId).")";
        $rs=$oC->Ejecutar_Consulta($vC);
        if ($rs) {
            if ($rs->rowCount()>0) return $rs->fetch(PDO::FETCH_ASSOC);
            else return false;
        }else return false;
    }
    function Cambiar_Estado($vWebServiceId, $vUsuarioId, $vIP){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pawebservice_cambiar_estado(";
        $vC.=" ".intval($vWebServiceId).",";
        $vC.=" ".intval($vUsuarioId).",";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vIP))."' ";
        $vC.=")";
        $rowRpta=$oC->Ejecutar_SQL2($vC);
        if ($rowRpta){
            if($rowRpta['outstate']){
                return 0;
            }else{
                $this->arrErrores[999]=$rowRpta['outdescription'];
                return 999;
            }
        }else return false;
    }
    function Cambiar_Orden($vArray, $vStart){
        $vC="select webservice.pawebservice_change_order(";
        $vC.=" ".trim($vArray).",";
        $vC.=" ".intval($vStart)." ";
        $vC.=" );";
        $oC= new Access_clsConexion();
        return $oC->Ejecutar_SQL($vC);
    }
    function Consulta($vInstitucionRef, $vTipoRef){
        $oC= new Access_clsConexion();
        $vC="select * from webservice.pawebservice_consulta(";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vInstitucionRef))."',";
        $vC.=" '".$oC->Escapar_Caracteres(trim($vTipoRef))."' ";
        $vC.=" )";
        return $oC->Ejecutar_Consulta($vC);
    }
}
?>