<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="BOL-PROCESO"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $swNew=intval($array['swnew']);
    $vProcesoId=intval($array['procesoid']);
    $vEmpresaId=intval($array['empresaid']);
    $vAlmacenId=intval($array['almacenid']);

    $oP=new Acceso_Boletaje_clsProceso();

    $row=array("procesoid"=>0, "empresaid"=>$vEmpresaId, "almacenid"=>$vAlmacenId, "tipo"=>'', "nombre"=>'', "tipodocumentoid"=>0, "serie"=>'', "numero"=>0, "limitarfechas"=>false, "desde"=>date('Y-m-d'), "hasta"=>date('Y-m-d'), "importe_maximo"=>0, "cantidad_items"=>0, "cantidad_maxima_item"=>0, "observacion"=>'');
    if (!$swNew){
        $row=$oP->getROW($vProcesoId);
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>BOLETAJE - PROCESOS - EDIT</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/procesoedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
    </head>
    <body onLoad="$('#txtNombre').focus();">
        <div id="divHeader">
            <?=btnSave()?><?=getTitle("BOLETAJE: ".($swNew?"AGREGAR":"EDITAR")." PROCESO")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="procesoid" id="procesoid" value="<?=$vProcesoId?>">
                    
                    <?
                    $oE= new Acceso_clsPermisos_Empresa();
                    $rs=$oE->Empresas($sessCodigo);
                    $arrEmp=array(); if($rs)$arrEmp=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrEmp, "cboEmpresa", "EMPRESA", "empresaid", "nombre", intval($row['empresaid']), "0", "Seleccione", true, "col-sm-5");

                    $oA= new Acceso_clsPermisos_Almacen();
                    $rs=$oA->Almacenes($sessCodigo, 0);
                    $arrAlm=array(); if($rs)$arrAlm=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAlm, "cboAlmacen", "ALMACEN", "almacenid", "nombre", intval($row['almacenid']), "0", "Seleccione", true, "col-sm-5");

                    getFormGroupText("txtNombre", "NOMBRE", $row['nombre'], 50);

                    $oTD=new Acceso_Contabilidad_clsTipoDocumento();
                    $rs=$oTD->Leer();
                    $arrTipDoc=array(); if($rs)$arrTipDoc=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrTipDoc, "cboTipoDocumento", "TIPO DOCUMENTO", "tipodocumentoid", "nombre", intval($row['tipodocumentoid']), "0", "Seleccione", true, "col-sm-5");
                    
                    getFormGroupBegin("SERIE / NUMERO");
                    ?>
                    <div class="<?=clsInputGroup()?>">
                    <?=getInputText("txtSerie", "Serie", $row['serie'], 4, "form-control", "text-align: center; max-width:100px;");?>
                    <?=getInputText("txtNumero", "Numero", intval($row['numero']), 0, "form-control", "text-align: center; max-width:150px;");?>
                    </div>
                    <?
                    getFormGroupEnd();
                    
                    getFormGroupText("txtDesde", "DESDE", FormatDate($row['desde']), 10, "", "form-control", "text-align: center; max-width:100px;", "", "", true);
                    getFormGroupText("txtHasta", "HASTA", FormatDate($row['hasta']), 10, "", "form-control", "text-align: center; max-width:100px;", "", "", true);
                    getFormGroupText("txtImporteMaximo", "IMPORTE MAXIMO", number_format(doubleval($row['importe_maximo']), 2), 10, "", "form-control", "text-align: right; max-width:100px;", "", "", true);
                    getFormGroupText("txtCantidadItems", "CANTIDAD ITEMS", number_format(intval($row['cantidad_items']),0), 10, "", "form-control", "text-align: center; max-width:100px;", "", "", true);
                    getFormGroupText("txtCantidadMaximaItem", "CANTIDAD MAX POR ITEM", number_format(intval($row['cantidad_maxima_item']),0), 10, "", "form-control", "text-align: center; max-width:100px;", "", "", true);
                    getFormGroupTextArea("txtObservacion", "OBSERVACION", $row['observacion']);
                    ?>
                    
                </form>
            </div>
        </div>
    </body>
</html>