<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");
    
    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu=array("BOL-PROCESO"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $array=$_GET;
    $vProcesoId=intval($array['procesoid']);
    $oP=new Acceso_Boletaje_clsProceso();
    $rowProceso=$oP->getROW($vProcesoId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>BOLETAJE - POR PROCESAR</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
        <script language="javascript" type="text/javascript" src="js/proceso-porprocesar.js?20170905-005"></script>
    </head>
    <body>
        <div id="divHeader">
            <?=getTitle("POR PROCESAR: ".$rowProceso['nombre'])?>
            <?=btnClose()?>
        </div>
        <div id="divTit" class="BORDER_B" style="padding: 8px">
            <strong class="BLUE"><?= Mostrar_Dato($rowProceso['empresa_nombre'])?></strong> / <strong class="RED"><?= Mostrar_Dato($rowProceso['almacen_nombre'])?></strong>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px; overflow: hidden;">

                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" data-toggle="tab">Detalles</a></li>
                    <li><a href="#oTabs-2" data-toggle="tab">Cargar archivo</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:5px;" id="objTabs1Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?= InputGroupAddOn("", "", "", "Buscar:")?>
                                <?= getInputText("txtNombre", "Buscar", "", 0, "form-control", "max-width:250px;")?>
                                <select name="cboSoloExistentes" id="cboSoloExistentes" class="form-control" style="width:180px;">
                                    <option value="">TODOS</option>
                                    <option value="Y">CLIENTES ANTIGUOS</option>
                                    <option value="N">CLIENTES NUEVOS</option>
                                </select>
                                <?= bRefresh("btnDetRef", "Refrescar")?>
                                <?= bDelete("btnDetDel", "Eliminar")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs1Body">
                            <form id="frmPanel" method="post" action="#">
                                <input type="hidden" value="<?=$vProcesoId?>" name="procesoid" id="procesoid">
                                <input type="hidden" name="empresaid" id="empresaid" value="<?=intval($rowProceso['empresaid'])?>">
                                <input type="hidden" name="almacenid" id="almacenid" value="<?=intval($rowProceso['almacenid'])?>">
                                <table width="100%" id="tblMain" class="standard">
                                    <thead>
                                        <tr class="title1">
                                            <th width="30px">&nbsp;</th>
                                            <th width="30px"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                            <th width="50px">BV</th>
                                            <th width="80px">FECHA</th>
                                            <th width="50px"></th>
                                            <th width="80px">DNI</th>
                                            <th class="left">CLIENTE</th>
                                            <th class="left">PRODUCTO</th>
                                            <th width="80px" class="right">CANT</th>
                                            <th width="80px" class="right">PRECIO</th>
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                            </form>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:5px;" id="objTabs1Bottom">
                            <div class="float-left" id="lblMsg"></div>
                            <div class="float-right">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="<?=clsBtnGroup()?>">
                                            <?= InputGroupAddOn("", "width:120px; text-align:right;", "", "TOTAL:")?>
                                            <?= InputGroupAddOn("lblTotal", "width:100px; font-weight:bold; text-align:right;", "", "0.00")?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                    </div>
                </div>
                
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border: 0px; z-index: 9999999;"></div>
    </body>
</html>