    function ClienteEdit(vPersonaId,swNuevo,vTitulo){
        var objPer=new clsConsulta_Persona();
        objPer.pOpcion="CLI";
        objPer.jsSelect="";
        objPer.jsClose="";
        objPer.Editar(vPersonaId,swNuevo,vTitulo);
    }
    var ajDetShow=null;
    function DetShow(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajDetShow) ajDetShow.abort();
        ajDetShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajProcesoPorProcesar.php",
            data: ({miopcion:"read", procesoid:$('#procesoid').val(), texto:$('#txtNombre').val(), soloexistentes:$('#cboSoloExistentes').val() }),
            success: function(oData){ if(oData)DetShowGrid(oData); },
            complete: function(){ }
        });
    }
    function DetShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow =''; 
        var vCantAnt=0; var vTotal=0;
        $.each(oData.oData, function(oIndex, oRow){
            vTotal+=(oRow.cantidad*oRow.precio);
            vCantAnt+=(oRow.personaid>0?1:0);
            tblRow+='<tr id="'+oRow.porprocesarid+'" porprocesarid="'+oRow.porprocesarid+'" personaid="'+oRow.personaid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.porprocesarid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.numero+'</td>';
            tblRow+='<td>'+FormatDate(oRow.fecha)+'</td>';
            
            tblRow+='<td valign="top">';
            if(oRow.personaid>0){
                tblRow+='<div class="btn-group">';
                tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-xs pull-right" data-toggle="dropdown">'+getIcon("th-list")+' <span class="caret"></span></button>';
                tblRow+='<ul class="dropdown-menu" role="menu">';
                    tblRow+='<li><a href="javascript:void(0)" id="btnPersonaEdit" style="text-align:left">'+getIcon("pencil")+' Editar datos</a></li>';
                    tblRow+='<li><a href="javascript:void(0)" id="btnPersonaHistorial" style="text-align:left">'+getIcon("list")+' Historial</a></li>';
                tblRow+='</ul>';
                tblRow+='</div>';
            }
            tblRow+='</td>';
            
            tblRow+='<td>'+oRow.dniruc+'</td>';
            tblRow+='<td>'+oRow.ape_pat+" "+oRow.ape_mat+", "+oRow.nombre +(oRow.personaid>0?' <span class="badge badge-primary badge-mini" title="'+oRow.persona_nombre+'">'+getIcon('ok')+'</span>':'')+'</td>';
            tblRow+='<td>'+oRow.producto+'</td>';
            tblRow+='<td>'+oRow.cantidad+'</td>';
            tblRow+='<td>'+oRow.precio+'</td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $("#lblMsg").html('<span class="badge badge-primary">'+oData.oData.length+'</span> registro(s), <span class="badge badge-danger">'+vCantAnt+'</span> cliente(s) antiguo(s)');
        $('#lblTotal').html($.formatNumber(vTotal, {format:"#,##0.00", locale:"us"}));
        tblRow='';
        DetAsigFun();
    }
    function DetAsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(7), #tblMain tbody tr td:nth-child(8)").css({'text-align':'left'});
        $("#tblMain tbody tr td:nth-child(9), #tblMain tbody tr td:nth-child(10)").css({'text-align':'right'});
        $("#tblMain tbody tr:nth-child(2n+1)").addClass("odd");
        $("#tblMain tbody tr:nth-child(2n+2)").addClass("even");
        //$("#tblMain tbody tr td:nth-child(7)").css("padding", "2px");
        //$("#tblMain tbody tr td:nth-child(7) button").css({"width":"100%"});
        
        $("#tblMain tbody a[id='btnPersonaEdit']").click(function(e){ ClienteEdit($(this).parents("tr").attr('personaid'), 0, "ACTUALIZAR DATOS DEL CLIENTE"); });
        $("#tblMain tbody a[id='btnPersonaHistorial']").click(function(e){ VentaConsulta($(this).parents("tr").attr('personaid'), 0); });

        $("#tblMain tbody input:checkbox[name='chk[]']").click(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }
    var ajDel=null;
    function DetDelete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){ bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+$("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: ''+getIcon("trash")+' Eliminar registros',
                    className: "btn-success",
                    callback: function() {
                        if(ajDel)ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            url: "ajax/ajProcesoPorProcesar.php",
                            dataType: 'json',
                            global: false,
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){if(!oRpta.Err){ DetShow(); }else{ bootbox.alert(oRpta.Description); }}
                        });	
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }
    function VentaConsulta(vClienteId){ $("#oEdit").show().html("<iframe src='../inventarios/VentaConsulta.php?empresaid="+$("#empresaid").val()+"&almacenid=0&clienteid="+vClienteId+"&desde=&hasta=' frameborder='0' width='100%' height='100%'></iframe>"); }
    function ViewGrid(){ $('#oTabsHeader a').first().click(); }
    function Cerrar(){ $("#oEdit").hide().html(""); }
    var vTab='';
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnDetRef").click(function(e){ DetShow();}).click();
        $("#btnDetDel").click(function(e){ DetDelete();});
        $("#btnClose").click(function(e){parent.Cerrar();});
        $('#oTabsHeader a').click(function (e) {
            e.preventDefault();
            var viFrame="";
            $(this).tab('show');
            vTab=$(this).attr('href');
            var myObj=$($(this).attr('href'));
            switch(vTab){
                case "#oTabs-1": if($('#tblMain tbody tr').length===0)DetShow(); break;
                case "#oTabs-2": viFrame="ProcesoPorProcesarUpload.php?procesoid="+$('#procesoid').val(); break;
            }
            if(viFrame!=''){
                if(myObj.find('iframe').length===0){
                    myObj.html('<iframe src="'+viFrame+'" frameborder="0" width="100%" height="100%"></iframe>');
                }
            }
        }).first().click();
        $("#txtNombre").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){ e.preventDefault(); DetShow(); }});
        $("#cboSoloExistentes").change(function(e){ DetShow(); });
    });