<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PHOTOGALLERY"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vFotoId=intval($array['fotoid']);
    $vProductoId=intval($array['productoid']);
    $swNew=(intval($array['swnew'])==1);

    $rowI=array("fotoid"=>'',"productoid"=>0, "nombre"=>'', "descripcion"=>'');

    $oI=new Acceso_clsProductoFoto();
    $oWC=new Acceso_clsProducto();
    if(!$swNew){
        $rowI=$oI->getROW($vFotoId);
        $vProductoId=intval($rowI['productoid']);
    }
    $rowProducto=$oWC->getROW($vProductoId);
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>Editar Foto</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/productofotoedit.js"></script>
    </head>
    <body onLoad="$('#txtDescription').focus();">
        <div id="divHeader">
            <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." IMAGEN")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal form-small">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="fotoid" id="fotoid" value="<?=$vFotoId?>">
                    <input type="hidden" name="productoid" id="productoid" value="<?=$vProductoId?>">
                    <input type="hidden" name="image" id="image" value="<?=$rowI['nombre']?>">
                    <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                    
                    <?
                    getFormGroupText("txtDescription", "DESCRIPCI&Oacute;N", $rowI['description'], 250);
                    
                    getFormGroupBegin("IMAGEN");
                    ?>
                    <div>
                        <div id="custom-queue"></div>
                        <input type="file" name="txtImage" id="txtImage">
                    </div>
                    <div class="float-left" style="padding:0 10px 0 20px">
                        <ul style="padding:0px; margin:0 0 0 10px;">
                            <li>Maximum file size:&nbsp;<?=FormatSizeFile(SIZE_PRODUCTO_FOTOS*1024)?></li>
                            <li>Supported file types: <b style="color:#FF3300"><?=ShowExt($EXT_PRODUCTO_FOTOS)?></b></li>
                        </ul>
                    </div>                                                                    
                    <div class="float-left">
                        <?
                        $vFile=trim($rowI['name']); $swFoundImg=false; $vSize="";
                        if($vFile!=''){
                            $oFTP=new FTP();
                            $oFTP->pServer=FTP_DOMAIN;
                            $oFTP->pUser=FTP_USER;
                            $oFTP->pPassword=FTP_PASS;
                            $oFTP->pPort=FTP_PORT;
                            $vPath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/";
                            if ($oFTP->File_Exists($vPath, $vFile)){
                                $swFoundImg=true;
                                $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFile)));
                                ?>
                                <div class="float-left" style="width:60px">
                                    <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/".$vFile?>" alt="<?=$vPath.$vFile?>" style="width:55px; height:55px" id="btnImagen" class="pic">
                                </div>
                                <?
                            }
                        }
                        if(!$swFoundImg){
                            ?>
                            <div class="float-left" style="width:60px">
                                <img src="<?=IMAGEBLANK?>" style="width:55px; height:55px;" id="btnImagen" alt="" class="pic">
                            </div>
                            <?
                        }
                        ?>
                        <div class="float-left" style="padding-left:5px;">
                            <div class="<?=clsBtnGroup()?>">
                                <?=bDefault("btnDownload", "Descargar", "download")?><?=bDanger("btnDelImg", "", "trash", "Eliminar archivo del servidor")?>
                            </div>
                        </div>
                        <div class="float-left" style="padding-left:10px;" id="lblNameSize">
                            <b><?=Mostrar_Dato($vFile)?></b>
                            <br /><?=$vSize?>
                        </div>
                    </div>
                    <?
                    getFormGroupEnd();
                    getFormGroupCheck("chkDefault", "POR DEFECTO", $rowI['default']);
                    getFormGroupCheck("chkStatus", "ACTIVO", $rowI['status']);
                    ?>
                </form>
            </div>
        </div>
    </body>
</html>
<script type="text/javascript">
    $(function(){
        $('#txtImage').uploadifive({
            'uploadScript'     	: 'ajax/ajProductoImages.php',
            'fileSizeLimit' 	: <?=intval(SIZE_PRODUCTO_FOTOS)?>,
            'fileType'        	: 'image',
            'multi'          	: false,
            'auto'           	: true,
            'buttonText'	: 'Browse',
            'queueID'        	: 'custom-queue',
            'formData'  	: { miopcion:'upload', productoid:<?=$vProductoId?>, session:"<?=session_id()?>" },
            'removeCompleted'	: true,

            'onAddQueueItem': function(oFile){ swUpdate=false; },
            'onUploadComplete': function(oFile, oData){
                try{
                    var oRpta = jQuery.parseJSON(oData);
                    if(oRpta.pResult){
                        $('#image').val(oRpta.pFileName);
                        $('#btnImagen').attr('src', oRpta.pFileNameFull).attr('alt', oRpta.pFileNamePath).css({'width':oRpta.pWidth+'px', 'height':oRpta.pHeight+'px'});
                        $('#lblNameSize').html('<b>'+oRpta.pFileName+'</b><br>'+oRpta.pSize);
                    }else{
                        bootbox.alert(oRpta.pMessage);
                    }
                    swUpdate=true;
                }catch(e){
                    bootbox.alert(oData);
                }
            },
            'onCancel': function(oFile) {
                swUpdate=true;
            }
        });
    });
</script>