<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vProductoId=intval($array['productoid']);
            $oI=new Acceso_clsProductoFoto();
            $rsImg=$oI->Read($vProductoId);

            $arrDatos=array(); if($rsImg) $arrDatos=$rsImg->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath'] = FTP_PATH;
            $jsondata['oDir'] = FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/";
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oI=new Acceso_clsProductoFoto();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vFotoId){
                    $rowFoto=$oI->getROW($vFotoId);
                    if ($rowFoto){
                        $vProductoId=intval($rowFoto['productoid']);						
                        $vPath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/";
                        $vImage=trim($rowFoto['nombre']);

                        $intError=$oI->Delete($vFotoId, $sessCodigo, miIP());
                        if ($intError!=0){
                            $swError=true;
                            $msgError.=$oI->getErrMsg($intError)." ";
                        }else{
                            if(trim($vImage)!=''){
                                if($oFTP->File_Exists($vPath, $vImage)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vImage);
                                }
                            }
                        }
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vFotoId=intval($array['fotoid']);
            $vProductoId=intval($array['productoid']);
            $swNew=(intval($array['swnew'])==1);

            $oI=new Acceso_clsProductoFoto();

            $oI->pFotoId=$vFotoId;
            $oI->pProductoId=$vProductoId;
            $oI->pNombre=Almacenar_Dato(trim($array['image']));
            $oI->pDescripcion=Almacenar_Dato(trim($array['txtDescription']));
            $oI->pDefault=isset($array['chkDefault']);
            $oI->pEstado=isset($array['chkStatus']);

            if($swNew) $intError=$oI->Add($vFotoId);
            else $intError=$oI->Edit($vFotoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oI->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "default":
            $vFotoId=intval($array['fotoid']);
            $oI=new Acceso_clsProductoFoto();
            $vRpta=$oI->setDefault($vFotoId);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change the default image.":"");
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vProductoId=intval($array['productoid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oI=new Acceso_clsProductoFoto();
            $vRpta=$oI->CambiarOrden($vProductoId, $vArray);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change order.":"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vFotoId=intval($array['fotoid']);

            $oI=new Acceso_clsProductoFoto();
            $intError=$oI->CambiarEstado($vFotoId, $sessCodigo, miIP());

            $rowI=$oI->getROW($vFotoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oI->getErrMsg($intError));
            $jsondata['Status'] = ($rowI['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "delete_image":
            $vProductoId=intval($array['productoid']);
            $vFileName=trim($array['image']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vRpta=true;
            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                }
            }
            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":$msgError);
            echo json_encode($jsondata);
            break;
        case "getimage";
            $vFotoId=intval($array['fotoid']);

            $oI=new Acceso_clsProductoFoto();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $rowI=$oI->getROW($vFotoId);

            $vImage=IMAGEBLANK;
            $vImagePath=""; $vFileName=""; $vSize="";
            if($rowI){
                $vFileName=trim($rowI['nombre']);
                $vProductoId=intval($rowI['productoid']);
                $vPath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/";
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/".$vFileName;
                    $vImagePath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/".$vFileName;
                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                }else $vFileName="";
            }

            $jsondata['pImage'] = trim($vImage);
            $jsondata['pImagePath'] = trim($vImagePath);
            $jsondata['pFileName'] = trim($vFileName);
            $jsondata['pSize'] = $vSize;
            echo json_encode($jsondata);
            break;
        case "upload":
            $vProductoId=intval($array['productoid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $msgUpload=""; $swUpload=false;
            $vFileName=""; $vFileNameFull=""; $vFileNamePath=""; $vSize="";
            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=SanitizeFilename($_FILES[$vArchivo]['name']);

                if ($vFileName!=""){
                    if (!$oFTP->Directory_Exists($vPath)){
                        $oFTP->Create_Dir($vPath);
                    }
                    if ($oFTP->Directory_Exists($vPath)){
                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{
                            $oFTP->pFile=$vArchivo;
                            $oFTP->pMaxSize=SIZE_PRODUCTO_FOTOS;
                            $oFTP->pResizeOption='proportional';
                            $oFTP->pWidth=GALLERY_IMAGES_WIDTH;
                            $oFTP->pHeight=GALLERY_IMAGES_HEIGHT;
                            $oFTP->pExtensions=$EXT_PRODUCTO_FOTOS;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $msgUpload="File upload ok";
                                $swUpload=true;
                                $vFileNameFull="http://".FTP_DOMAIN.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/".$vFileName;
                                $vFileNamePath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/".$vFileName;
                                $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist: $vPath";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pFileNameFull'] = $vFileNameFull;
            $jsondata['pFileNamePath'] = $vFileNamePath;
            $jsondata['pSize'] = $vSize;
            echo json_encode($jsondata);		
            break;
        case "preview":
            $vProductoId=intval($array['productoid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $oI=new Acceso_clsProductoFoto();

            $rs=$oI->Read($vProductoId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $arrImages=array();
            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['nombre']);
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrImages[]=array("src"=>"http://".FTP_DOMAIN.FTP_DIR.PATH_PRODUCTO_FOTOS."/".$vProductoId."/".$vFileName, "opts"=>array("caption"=>$row['descripcion']));
                }
            }

            $jsondata['oData'] = $arrImages;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "setcaptions":
            $vProductoId=intval($array['productoid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];
            
            $oC=new Access_clsConexion();
            $vArray="";
            foreach($arrIDS as $iImage=>$vFotoId){
                $vArray.="['".$vFotoId."','".$oC->Escapar_Caracteres(Almacenar_Dato(trim($array['txtCaption'.$vFotoId])))."'],";
            }
            if(trim($vArray)!=''){
                $vArray=substr($vArray,0,-1);
                $vArray="array[$vArray]";
            }else $vArray="null";

            $oI=new Acceso_clsProductoFoto();
            $vRpta=$oI->SetCaptions($vProductoId, $vArray);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Error al cambiar la descripcion de las imagenes.":"");
            echo json_encode($jsondata);
            break;
    }
?>