    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        var vEstado=($("input[name='optEstado']:checked").length>0?$("input[name='optEstado']:checked").val():"-1");
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajCambiarPrecios.php",
            data: ({miopcion:"read", estado:vEstado }),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.id+'" almacenid="'+oRow.almacenid+'" productoid="'+oRow.productoid+'">';				
            tblRow+='<td>'+oRow.id+'</td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.id+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.registro+'</td>';
            
            tblRow+='<td valign="top">';
            tblRow+='<div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-xs" data-toggle="dropdown"><span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            if(oRow.estado===1){
                tblRow+='<li><a href="javascript:void(0)" id="btnCambiar" style="text-align:left">'+getIcon("pencil")+' Cambiar</a></li>';
                tblRow+='<li><a href="javascript:void(0)" id="btnCancelar" style="text-align:left">'+getIcon("remove")+' Cancelar</a></li>';
            }
            tblRow+='<li><a href="javascript:void(0)" id="btnKardex" style="text-align:left">'+getIcon("list")+' Kardex</a></li>';
            tblRow+='</ul>';
            tblRow+='<button type="button" class="btn btn-default btn-xs" id="btnCambiar">'+getIcon("pencil")+'</button>';
            tblRow+='</div>';
            tblRow+='</td>';
            
            tblRow+='<td>'+oRow.almacen_nombre+'</td>';
            tblRow+='<td>'+oRow.producto_nombre+'</td>';
            tblRow+='<td>'+oRow.observacion+'</td>';
            tblRow+='<td>'+oRow.estado_detalle+'</td>';
            tblRow+='<td>'+oRow.usuariosolicita_nombre+'</td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $('#lblMsg').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> registros');
        $('#tblContent').show();
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(5), #tblMain tbody tr td:nth-child(6), #tblMain tbody tr td:nth-child(7), #tblMain tbody tr td:nth-child(9)").css({'text-align':'left'});
        $("#tblMain tbody tr:nth-child(2n+1)").addClass("odd");
        $("#tblMain tbody tr:nth-child(2n+2)").addClass("even");

        $("#tblMain tbody tr a[id='btnCambiar']").click(function(e){ Cambiar($(this).parents('tr').attr('id')); });
        $("#tblMain tbody tr a[id='btnCancelar']").click(function(e){ Cancelar($(this).parents('tr').attr('id')); });
        $("#tblMain tbody tr a[id='btnKardex']").click(function(e){ Kardex($(this).parents('tr').attr('productoid'), $(this).parents('tr').attr('almacenid')); });
        $("#tblMain tbody tr button[id='btnCambiar']").click(function(e){ Cambiar($(this).parents('tr').attr('id')); });

        $("#tblMain tbody input:checkbox[name='chk[]']").click(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }
    var ajCancel=null;
    function Cancelar(vId){
        var myArr=[];
        myArr[0]=vId;
        if(ajCancel)ajCancel.abort();
        ajCancel=$.ajax({
            type: "POST",
            url: "ajax/ajCambiarPrecios.php",
            dataType: 'json',
            global: false,
            data: ({miopcion:'cancelar', ids:myArr }), 
            success: function(oRpta){if(!oRpta.Err){Show();}else{ bootbox.alert(oRpta.Description); }}
        });	
    }
    function Cerrar(){ $("#oEdit").hide().html(""); }
    function Cambiar(vId){ $('#oEdit').show().html("<iframe src='ProductoPreciosCambiar.php?id="+vId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Kardex(vProductoId, vAlmacenId){
        var oK=new clsKardex();
        oK.pProductoId=vProductoId;
        oK.pAlmacenId=vAlmacenId;
        oK.Show("KARDEX");
    }
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnRefresh").click(function(e){Show();});
        $("#btnClose").click(function(e){parent.Cerrar();});
        
        $("input:radio[name='optEstado']").change(function(e){
            $("input:radio[name='optEstado']").parent().removeClass('btn-info');
            if($(this).is(':checked')) $(this).parent().addClass('btn-info');
            Show();
        });
        $("input:radio[name='optEstado']:checked").change();
    });