    function Kardex(vProductoId, vAlmacenId){
        var oK=new clsKardex();
        oK.pProductoId=vProductoId;
        oK.pAlmacenId=vAlmacenId;
        oK.Show("KARDEX");
    }
    var ajSubCat=null;
    function SubCatShow(){
        $('#cboSubCategoria').html('<option value="-1">Todas las subcategorias</option>');
        if($("#cboCategoria").val()!="-1"){
            $('#cboSubCategoria').html('<option value="-1">Espere</option>');
            if(ajSubCat) ajSubCat.abort();
            ajSubCat=$.ajax({
                global: false,
                dataType: 'json',
                type: "POST",
                url: "../general/ajData.php",
                data: ({miopcion:"subcategoria-show", categoriaid:$("#cboCategoria").val() }),
                success: function(oData){
                    var vOptions='<option value="-1">Todas las subcategorias</option>';
                    $.each(oData.oData, function(oIndex, oRow){vOptions+='<option value="'+oRow.subcategoriaid+'">'+oRow.nombre+'</option>';});
                    $('#cboSubCategoria').html(vOptions);
                }
            });	
        }
    }

    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajProducto.php",
            data: ({miopcion:"read", nombre:$('#txtNombre').val(), lineaid:$('#cboLinea').val(), categoriaid:$('#cboCategoria').val(), subcategoriaid:$('#cboSubCategoria').val(), marcaid:$('#cboMarca').val(), unidadmedidaid:$('#cboUnidadMedida').val(), estado:$('#cboEstado').val(), stock:$('#cboStock').val(), orderby:$('#orderby').val(), count:$('#txtCount').val(), page:$('#txtPage').val() }),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.productoid+'" productoid="'+oRow.productoid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.productoid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.productoid+'</td>';
            tblRow+='<td valign="top"><div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-xs pull-right" data-toggle="dropdown">'+getIcon("th-list")+' <span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            tblRow+='<li><a href="javascript:void(0)" id="btnCamPre" style="text-align:left">'+getIcon("list")+' Cambiar precios</a></li>';
            tblRow+='<li><a href="javascript:void(0)" id="btnKardex" style="text-align:left">'+getIcon("th-list")+' Kardex</a></li>';
            tblRow+='<li><a href="javascript:void(0)" id="btnFotos" style="text-align:left">'+getIcon("picture")+' Fotos'+(oRow.cantidad_fotos>0?'<span class="badge badge-info">'+(oRow.cantidad_fotos)+'</span>':'')+'</a></li>';
            tblRow+='</ul>';
            tblRow+='</div></td>';
            tblRow+='<td>';
            if($.trim(oRow.foto)!=''){
                tblRow+='<img src="http://'+oData.oDomain+oData.oDir+oRow.productoid+"/"+oRow.foto+'" title="Vista preliminar" class="img-circle" style="width:28px; height:28px">';
            }
            tblRow+='</td>';
            tblRow+='<td>'+oRow.producto+(oRow.grabado?'':' <span class="badge badge-warning">EXO</span>')+'</td>';
            tblRow+='<td>'+oRow.subcategoria_nombre+'</td>';
            tblRow+='<td>';
            if(oRow.stock!=0){
                tblRow+='<span class="badge '+(oRow.stock>0?'badge-primary':(oRow.stock<0?'badge-danger':''))+'">'+$.formatNumber(oRow.stock, {format:"#,##0", locale:"us"})+'</span>';
            }
            tblRow+='</td>';
            tblRow+='<td>'+(oRow.precio_com!=0?$.formatNumber(oRow.precio_com, {format:"#,##0.00", locale:"us"}):'')+'</td>';
            tblRow+='<td>'+(oRow.precio_va!=0?$.formatNumber(oRow.precio_va, {format:"#,##0.00", locale:"us"}):'')+'</td>';
            tblRow+='<td>'+(oRow.precio_vb!=0?$.formatNumber(oRow.precio_vb, {format:"#,##0.00", locale:"us"}):'')+'</td>';
            tblRow+='<td><img src="'+oData.oImages+(oRow.estado?"/valido.gif":"/invalido.gif")+'" title="'+(oRow.estado?"Click para anular":"Click para activar")+'"></td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $("#lblMsg").html('<span class="badge badge-important">'+oData.oData.length+'</span> de <span class="badge badge-info">'+oData.oTotal+'</span> registros');
        $("#lblPage").html(oData.oPaginado);
        $('#tblContent').show();
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(6), #tblMain tbody tr td:nth-child(7)").css({'text-align':'left'});
        
        $("#tblMain tbody tr:nth-child(2n+1)").addClass("odd");
        $("#tblMain tbody tr:nth-child(2n+2)").addClass("even");
        $("#tblMain tbody tr a[id='btnCamPre']").click(function(e){ CamPre($(this).parents('tr').attr('productoid')); });
        $("#tblMain tbody tr a[id='btnKardex']").addClass('HAND').click(function(e){ Kardex($(this).parents('tr').attr('productoid'), 0); });
        $("#tblMain tbody tr a[id='btnFotos']").click(function(e){ Fotos($(this).parents('tr').attr('productoid')); });

        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e){ Editar($(this).parents("tr").attr('productoid'), 0, "EDITANDO UN PRODUCTO"); });
        $("#tblMain tbody tr td:nth-child(7)").addClass('HAND').attr('title', 'Ver Stock').click(function(e){ Stock($(this).parents("tr").attr('productoid')); });
        $("#tblMain tbody tr td:nth-child(5) img").addClass('HAND').attr('title', 'Preview').click(function(e){ Preview($(this).parents("tr").attr('productoid')); });

        $("#tblMain tbody input:checkbox[name='chk[]']").click(function(e) {
            $("#chkAll").prop("checked", $("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
        $("#tblMain tbody tr td:nth-child(11) img").addClass('HAND').click(function(e){ 
            var vProductoId=$(this).parents("tr").attr('productoid');
            var vImg=$(this);
            $.ajax({
                type: "POST",
                dataType: 'json',
                timeout: 2000,
                global: false,
                url: "ajax/ajProducto.php",
                data: ({miopcion:"change_status", productoid:vProductoId }),
                success: function(oRpta){ if(!oRpta.Err){ vImg.attr('src', oRpta.oImages+(oRpta.Status?'/valido.gif':'/invalido.gif'));  vImg.attr('title', (oRpta.Status?'Click para anular':'Click para activar')); }else{bootbox.alert(oRpta.Description)}; }
            });
        });
        $("#lblPage li a[page]").click(function(e){ $('#txtPage').val($(this).attr('page')); Show();});
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+$("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon('trash')+' Eliminar registros',
                    className: "btn-success",
                    callback: function(){
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajProducto.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{bootbox.alert(oRpta.Description);}}}
                        });	
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });
    }
    function Cerrar(){ $("#oEdit").hide().html(""); }
    function Fotos(vProductoId){ $("#oEdit").show(); $('#oEdit').html("<iframe src='ProductoFoto.php?productoid="+vProductoId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function CamPre(vProductoId){ $("#oEdit").show().html("<iframe src='ProductoPrecios.php?productoid="+vProductoId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Editar(vProductoId, swNew, vTitulo){
        var oP=new clsProducto();
        oP.pOpcion="ALL";
        oP.jsSelect="Show";
        oP.jsClose="";
        oP.Editar(vProductoId, swNew, vTitulo);
    }
    function Stock(vProductoId){
        var oP=new clsProducto();
        oP.pProductoId=vProductoId;
        oP.Stock("CONSULTA DE STOCK");
    }
    var ajPrev=null;
    function Preview(vProductoId){
        if(ajPrev) ajPrev.abort();
        ajPrev=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajProductoFoto.php",
            data: ({miopcion:'preview', productoid:vProductoId}), 
            success: function(oData){ if(oData){ if(oData.oData.length>0){ $.fancybox.open(oData.oData); }}}
        });	
    }
    
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Editar(0, 1, "   AGREGANDO UN NUEVO PRODUCTO");});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){ $("#txtPage").val(1); Show();}).click();
        $("#txtNombre").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){ e.preventDefault(); $("#btnRefresh").click(); }});
        $("#cboCategoria").change(function(e){ SubCatShow(); });
        $("#txtCount, #cboLinea, #cboEstado, #cboStock").change(function(e){$("#btnRefresh").click();});
        $("#tblMain thead th[orderby]").addClass('HAND').click(function(){
            $('#orderby').val($(this).attr('orderby'));
            $(this).parents('tr').find('span').html('');
            $(this).find('span').html(getIcon($(this).find('span').attr('o')=='up'?($(this).find('span').attr('t')=='a'?'sort-by-alphabet':'sort-by-order'):($(this).find('span').attr('t')=='a'?'sort-by-alphabet-alt':'sort-by-order-alt'), "margin-top: 0px;"));
            $("#btnRefresh").click();            
        });
    });