<?
class clsSession{
    private $pClave_Seguridad;
    private $Key='';
    private $pTiempo;
    private $miIdentificador;

    public function __construct($miClave=NULL, $miTiempo=60){
        if(is_null($miClave)){
            self::Limpiar();
            print_r("Problemas con la clave de seguridad");
            exit();
        }else{
            //$miIP=$this->getIP();
            //$miIdentificador=(md5($miClave.$miIP));
            //if(!session_id()){
                //session_id($miIdentificador);
            //}
            if(!isset($_SESSION)){session_start();}
            //if($miIdentificador==session_id()){
                $this->pTiempo=$this->Encriptar(time());
                $this->miIdentificador="";//$miIdentificador;
                $this->pClave_Seguridad=$miClave;
            //}else{
                //self::Limpiar();
                //print_r('Sesi&oacute;n no v&aacute;lida.');
                //exit;
            //}
        }
    }
    public function __set($miVariable,$miValor){
        $miSession=md5($miVariable.$this->pClave_Seguridad);
        if(empty($_SESSION[$miSession])) $this->Registrar($miSession);
        $_SESSION[$miSession]=$this->Encriptar($miValor);
    }
    public function __get($miVariable){
        $miSession=md5($miVariable.$this->pClave_Seguridad);
        if(!empty($_SESSION[$miSession])) return $this->Desencriptar($_SESSION[$miSession]);
        else return false;
    }
    private function Registrar($miVariable){
        $miSession=md5($miVariable.$this->pClave_Seguridad);
        if(empty($_SESSION[$miSession])) $_SESSION[$miSession];
    }
    public function Borrar($miVariable){
        $miSession=md5($miVariable.$this->pClave_Seguridad);
        if(isset($_SESSION[$miSession])) 	$_SESSION[$miSession]='';
        if(isset($_SESSION[$miSession])) 	unset($_SESSION[$miSession]);
    }

    public function Limpiar(){
        session_unset();
    }

    // Funcion para saber cuantos
    public function usuarioEnlinea() {
        $count=0;
        $handle=opendir(session_save_path());
        if($handle==false) return-1;
        while (($file = readdir($handle))!=false)
        //if (ereg("^sess",$file))
        if (preg_tach("^sess^",$file))
        if(time()-fileatime(session_save_path().'/'.$file)<120) // 120 secs = 2 minutes session
        $count++;
        closedir($handle);
        return $count;
    }

    //Funciones para encriptamiento propietario de las sesiones
    private function Encript_XOR($miValor){
        $myKey = md5($this->Key);
        $vContador=0;
        $miCadena = "";
        for ($i=0;$i<strlen($miValor);$i++) {
            if ($vContador==strlen($myKey)) $vContador=0;
            $miCadena.= substr($miValor,$i,1) ^ substr($myKey,$vContador,1);
            $vContador++;
        }
        return $miCadena;
    }
    public function Encriptar($miValor){
        if(!is_array($miValor)){
            $miValor=urlencode($miValor);
            srand((double)microtime()*1000000);
            $myKey = md5(rand(0,32000));
            $vContador=0;
            $miCadena = "";
            for ($i=0;$i<strlen($miValor);$i++){
                if ($vContador==strlen($myKey)) $vContador=0;
                $miCadena.= substr($myKey,$vContador,1) .((substr($miValor,$i,1) ^ substr($myKey,$vContador,1)));
                $vContador++;
            }
            $miCadena = base64_encode($this->Encript_XOR($miCadena));
            $miCadena = str_replace('+','AbCdE',$miCadena);
            return $miCadena;
        }else{
            foreach($t as $x=>$y) $s[$x] = $this->Encriptar($y);
            return $s;
        }
    }

    public function Desencriptar($miValor){
        if(!is_array($miValor)){
            $miValor = str_replace('AbCdE','+',$miValor);
            $miValor = $this->Encript_XOR(base64_decode($miValor));
            $miCadena = "";
            for ($i=0;$i<strlen($miValor);$i++){
                $md5 = substr($miValor,$i,1);
                $i++;
                $miCadena.= (substr($miValor,$i,1) ^ $md5);
            }
            return urldecode($miCadena);
        }else{
            foreach($t as $x=>$y)
            $s[$x] = $this->Desencriptar($y);
            return $s;
        }
    }
    function getIP(){
        $myIP="";
        if(getenv("HTTP_CLIENT_IP")&&strcasecmp(getenv("HTTP_CLIENT_IP"),"0.0.0.0")){
            $myIP=getenv("HTTP_CLIENT_IP");
        }elseif(getenv("HTTP_X_FORWARDED_FOR")&&strcasecmp(getenv("HTTP_X_FORWARDED_FOR"),"0.0.0.0")){
            $myIP=getenv("HTTP_X_FORWARDED_FOR");
        }elseif(getenv("REMOTE_ADDR")&&strcasecmp(getenv("REMOTE_ADDR"), "0.0.0.0")){
            $myIP=getenv("REMOTE_ADDR");
        } elseif(isset($_SERVER['REMOTE_ADDR'])&&$_SERVER['REMOTE_ADDR']&&strcasecmp($_SERVER['REMOTE_ADDR'],"0.0.0.0")){
            $myIP=$_SERVER['REMOTE_ADDR'];
        }else{
            error('Acceso denegado');
            exit;
        }
        return $myIP;
    }
}
?>
