<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PROJECT"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if ($_POST) $array=$_POST;
    else $array=$_GET;

    $vGalleryImagesId=intval($array['galleryimagesid']);

    $oImg=new Access_clsGalleryImages();
    $oG=new Access_clsGallery();

    $rowPhoto=$oImg->getROW($vGalleryImagesId);
    $vGalleryId=intval($rowPhoto['galleryid']);
    $vFileName=trim($rowPhoto['name']);
    $rowGallery=$oG->getROW($vGalleryId);

    $vPath=FTP_PATH.FTP_DIR.PATH_IMAGES_GALLERY."/".$vGalleryId."/";
    $oFTP=new FTP();
    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    $swExiste=false; $vW=0; $vH=0;
    if ($vFileName!=""){
        $swExiste=$oFTP->File_Exists($vPath, $vFileName);
        if($swExiste){
            $arrData=$oFTP->Dimensions($vPath.$vFileName);
            $vW=intval($arrData['width']);
            $vH=intval($arrData['height']);
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>        
        <title>RECORTAR FOTO DEL ALBUM</title>
        <? include("../php/head.php");?>
        <? include("../php/head_crop.php");?>
        <? include("../php/head_number.php"); ?>
        <script type="text/javascript" src="js/galleryimagescrop.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <div id="divHeader">
            <?=getTitle("RECORTAR IMAGEN")?>
            <?=btnClose()?>
        </div>
        <div id="divTit" style="height:35px; padding:2px;" class="BORDER_B">
            <div class="float-left"  style="max-width: 100px;">
                <div class="<?=clsInputGroup("input-group-sm")?>">
                    <?=InputGroupAddOn("", "", "", "Ancho:")?>
                    <?=getInputText("txtW", "", "", 0, "form-control", "width:50px; text-align:center;")?>
                    <?=InputGroupAddOn("", "", "", "Alto:")?>
                    <?=getInputText("txtH", "", "", 0, "form-control", "width:50px; text-align:center;")?>
                    <div class="<?=clsInputGroupBtn()?>">
                        <?=bDefault("btnLimpiar", "Limpiar")?>
                    </div>
                </div>
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:5px">
                <form id="frmPanel">
                    <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                	<input type="hidden" name="galleryimagesid" id="galleryimagesid" value="<?=$vGalleryImagesId?>">
                	<input type="hidden" name="galleryid" id="galleryid" value="<?=$vGalleryId?>">
                	<input type="hidden" name="filename" id="filename" value="<?=$vFileName?>">
                	<input type="hidden" name="widthmin" id="widthmin" value="100">
                	<input type="hidden" name="heightmin" id="heightmin" value="100">
                	<input type="hidden" name="x1" id="x1" value="0">
                	<input type="hidden" name="y1" id="y1" value="0">
                	<input type="hidden" name="x2" id="x2" value="0">
                	<input type="hidden" name="y2" id="y2" value="0">
                	<input type="hidden" name="w" id="w" value="0">
                	<input type="hidden" name="h" id="h" value="0">
                	<?
                        $vStyleSize="";
                        if($swExiste){
                            if($vW>0 && $vH>0)$vStyleSize='height:'.$vH.'px; width:'.$vW.'px; min-height:'.$vH.'px; min-width:'.$vW.'px;';
                            ?>
                            <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_IMAGES_GALLERY."/".$vGalleryId."/".$vFileName."?".trim($rowPhoto['lastchange'])?>"  filename="<?=FTP_PATH.FTP_DIR.PATH_IMAGES_GALLERY."/".$vGalleryId."/".$vFileName?>" style="<?=$vStyleSize?>" id="btnCrop">
                            <?
                        }
                    ?>
                </form>
            </div>
        </div>
        <div id="divBottom" style="height:45px; padding:3px;" class="BORDER_T BG1">
            <div class="float-left">
                <div class="<?=clsBtnGroup("")?>">
                    <?=bDefault("btnDown", "Descargar", "download")?>
                    <?=bPrimary("btnUpd", "Recortar imagen", "ok")?>
                </div>
            </div>
            <div class="float-right">
                <div class="float-right" id="lblMsg"></div>
            </div>
        </div>
    </body>
</html>