<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PROJECT"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vProjectCategoryId=intval($array['projectcategoryid']);
    $swNew=(intval($array['swnew'])==1);

    $rowProjectCategory=array("projectcategoryid"=>0, "name"=>'', "description"=>'', "content"=>'', "image"=>'', "status"=>true);
    $oC=new Access_clsProjectCategory();

    if (!$swNew) {
        $rowProjectCategory=$oC->getROW($vProjectCategoryId);
    }
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>Edit Project Category</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_editor.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/projectcategoryedit.js"></script>
    </head>
    <body onLoad="$('#txtName').focus();">
        <div id="divHeader">
            <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." CATEGORIA")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal form-small">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="projectcategoryid" id="projectcategoryid" value="<?=$vProjectCategoryId?>">
                    <input type="hidden" name="image" id="image" value="<?=$rowProjectCategory['image']?>">
                    <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                    <?
                    getFormGroupText("txtName", "NOMBRE", $rowProjectCategory['name'], 50);
                    getFormGroupTextArea("txtDescription", "DESCRIPCION", $rowProjectCategory['description'], "Ingrese una descripcion", "height:50px;");
                    getFormGroupTextEditor("txtContent", "CONTENIDO", $rowProjectCategory['content']);
                    getFormGroupBegin("IMAGEN");
                    ?>
                        <div>
                            <div id="custom-queue"></div>
                            <input type="file" name="txtImage" id="txtImage">
                        </div>
                        <div class="float-left" style="padding:0 10px 0 20px">
                            <ul style="padding:0px; margin:0 0 0 10px;">
                                <li>Maximum file size:&nbsp;<?=FormatSizeFile(SIZE_PROJECTCATEGORY_IMAGES*1024)?></li>
                                <li>Supported file types: <b style="color:#FF3300"><?=ShowExt($EXT_PROJECTCATEGORY_IMAGES)?></b></li>
                            </ul>
                        </div>                                                                    
                        <div class="float-left">
                            <?
                            $vFile=trim($rowProjectCategory['image']); $swFoundImg=false; $vSize="";
                            if($vFile!=''){
                                $oFTP=new FTP();
                                $oFTP->pServer=FTP_DOMAIN;
                                $oFTP->pUser=FTP_USER;
                                $oFTP->pPassword=FTP_PASS;
                                $oFTP->pPort=FTP_PORT;
                                $vPath=FTP_PATH.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/";
                                if ($oFTP->File_Exists($vPath, $vFile)){
                                    $swFoundImg=true;
                                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFile)));
                                    ?>
                                    <div class="float-left" style="width:60px">
                                        <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_PROJECTCATEGORY_IMAGES."/".$vFile?>" alt="<?=$vPath.$vFile?>" style="width:55px; height:55px" id="btnImagen"class="pic">
                                    </div>
                                    <?
                                }
                            }
                            if(!$swFoundImg){
                                ?>
                                <div class="float-left" style="width:60px">
                                    <img src="<?=IMAGEBLANK?>" style="width:55px; height:55px;" id="btnImagen" alt="">
                                </div>
                                <?
                            }
                            ?>
                            <div class="float-left" style="padding-left:10px;">
                            <div class="<?=clsBtnGroup()?>">
                                <?=bDefault("btnDownload", "Descargar", "download")?><?=bDanger("btnDelImg", "", "trash", "Eliminar archivo del servidor")?>
                            </div>
                            </div>
                            <div class="float-left" style="padding-left:10px;" id="lblNameSize">
                                <b><?=Mostrar_Dato($vFile)?></b>
                                <br /><?=$vSize?>
                            </div>
                        </div>
                    <?
                    getFormGroupEnd();
                    getFormGroupCheck("chkStatus", "ACTIVO", $rowProjectCategory['status']);
                    ?>
                </form>
            </div>
        </div>
    </body>
</html>
<script type="text/javascript">
    $(function(){
        $('#txtImage').uploadifive({
            'uploadScript'     	: 'ajax/ajProjectCategory.php',
            'fileSizeLimit' 	: <?=intval(SIZE_PROJECTCATEGORY_IMAGES)?>,
            'fileType'        	: 'image',
            'multi'          	: false,
            'auto'           	: true,
            'buttonText'	: 'Browse',
            'queueID'        	: 'custom-queue',
            'formData'  	: { miopcion:'upload', session:"<?=session_id()?>" },
            'removeCompleted'	: true,

            'onAddQueueItem': function(oFile){ swUpdate=false; },
            'onUploadComplete': function(oFile, oData){
                try{
                    var oRpta = jQuery.parseJSON(oData);
                    if(oRpta.pResult){
                        $('#image').val(oRpta.pFileName);
                        $('#btnImagen').attr('src', oRpta.pFileNameFull).attr('alt', oRpta.pFileNamePath).css({'width':oRpta.pWidth+'px', 'height':oRpta.pHeight+'px'});
                        $('#lblNameSize').html('<b>'+oRpta.pFileName+'</b><br>'+oRpta.pSize);
                    }else{
                        bootbox.alert(oRpta.pMessage);
                    }
                    swUpdate=true;
                }catch(e){
                    bootbox.alert(oData);
                }
            },
            'onCancel': function(oFile) {
                swUpdate=true;
            }
        });
    });
</script>