<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "showauto":
            $oA=new Access_clsAutoReply();
            $rs=$oA->Read(0,0,0);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updateauto":
            
            $arrDocs=array(); if(isset($array['txtDOCSID'])) $arrDocs=$array['txtDOCSID'];

            $vArrFiles=implode(",", $arrDocs);
            if(trim($vArrFiles)!="")$vArrFiles="array[$vArrFiles]"; else $vArrFiles="null";
            
            $oA=new Access_clsAutoReply();
            $oA->pMailingId=intval($array['cboMailing']);
            $oA->pProcess=Almacenar_Dato($array['txtProcess']);
            $oA->pSubject=Almacenar_Dato($array['txtSubject']);
            $oA->pFromName=Almacenar_Dato($array['txtFromName']);
            $oA->pContent=Almacenar_Dato($array['txtContent']);
            $oA->pStatus=isset($array['chkStatus']);

            $vAutoReplyId=intval($array['autoreplyid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oA->Add($vAutoReplyId, $vArrFiles);
            }else{
                $intError=$oA->Edit($vAutoReplyId, $vArrFiles);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oA->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "deleteauto":
            $arrCheck=array(); if(isset($array['chkAuto'])) $arrCheck=$array['chkAuto'];
            $swError=false; $msgError="Errores: ";
            $oA=new Access_clsAutoReply();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vAutoReplyId){
                    $intError=$oA->Delete($vAutoReplyId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oA->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status_auto";
            $vAutoReplyId=intval($array['autoreplyid']);

            $oA=new Access_clsAutoReply();
            $intError=$oA->Change_Status($vAutoReplyId, $sessCodigo, miIP());

            $rowAutoReply=$oA->getROW($vAutoReplyId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":"Error al cambiar el estado");
            $jsondata['Status'] = ($rowAutoReply['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;

        case "getdocs":
            $vAutoReplyId=intval($array['autoreplyid']);

            $oA=new Access_clsAutoReply();

            $rs=$oA->Docs($vAutoReplyId);

            $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrData as $i=>$rowGallery){
                $vFileName=trim($rowGallery['name']);
                $arrData[$i]['existe']=0;
                $arrData[$i]['extension']='';
                if($vFileName!=''){
                    $arrData[$i]['existe']=1;					
                    $arrList=explode(".", $vFileName);
                    $vExt=strtolower($arrList[count($arrList)-1]);
                    $arrData[$i]['size']=FormatSizeFile($arrData[$i]['size']);
                    $arrData[$i]['extension']=$vExt;
                }
            }

            $jsondata['oData'] = $arrData;
            $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";
            $jsondata['oPath_FTP'] = FTP_PATH;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath_Icons'] = HERRAMIENTAS_PHP_WEB."/iconos";
            $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "upload":
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;
            $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";	

            $msgUpload=""; $swUpload=false; $msgUpdate=""; $swUpdate=false;

            $arrIDS=array();

            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=SanitizeFilename($_FILES[$vArchivo]['name']);
                if (trim($vFileName)!=""){
                    if ($oFTP->Directory_Exists($vPath)){
                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{

                            $arrFormats=array();
                            $oF=new Access_Docs_clsFormat();
                            $rsFormat=$oF->Read(0,0,"");
                            if($rsFormat){
                                if($rsFormat->rowCount()>0){
                                    while($rowFormat=$rsFormat->fetch(PDO::FETCH_ASSOC)){
                                        $arrFormats[]=trim($rowFormat['extension']);
                                    }
                                }
                            }

                            $oFTP->pFile=$vArchivo;
                            $oFTP->pExtensions=$arrFormats;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $msgUpload="File upload ok";
                                $swUpload=true;
                                $swRefreshTop=true;

                                $arrList=split("[.]", $vFileName);
                                $vExt=strtolower($arrList[count($arrList)-1]);

                                $vSize=$oFTP->Size($vPath.$vFileName);
                                $vFormatId=0;
                                $vGalleryId=0;

                                $oG=new Access_Docs_clsGallery();
                                $oF=new Access_Docs_clsFormat();
                                $rowFormat=$oF->getROW(0, $vExt);
                                if($rowFormat){
                                    $vFormatId=intval($rowFormat['formatid']);
                                }

                                $oG->pCategoryId=0;
                                $oG->pFormatId=$vFormatId;
                                $oG->pName=$vFileName;
                                $oG->pDescription="";
                                $oG->pSize=$vSize;
                                $intError=$oG->Add($vGalleryId, "null");
                                if ($intError==0){
                                    $msgUpdate="Update OK";
                                    $swUpdate=true;
                                    $arrIDS[]=$vGalleryId;
                                }else{
                                    $msgUpdate=$oG->getErrMsg($intError);
                                    $swUpdate=false;
                                }
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist: $vPath";
                        $swUpload=false;
                    }
                }
            }

            //LEEMOS LOS REGISTROS DE LOS ARCHIVOS CARGADOS
            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!="") $vArray="array[$vArray]"; else $vArray="null";
            $oG=new Access_Docs_clsGallery();			
            $rs=$oG->ReadIDS($vArray);

            $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrData as $i=>$rowGallery){
                $vFileName=trim($rowGallery['name']);
                $arrData[$i]['existe']=0;
                $arrData[$i]['extension']='';
                if($vFileName!=''){
                    $arrData[$i]['existe']=1;					
                    $arrList=explode(".", $vFileName);
                    $vExt=strtolower($arrList[count($arrList)-1]);
                    $arrData[$i]['size']=FormatSizeFile($arrData[$i]['size']);
                    $arrData[$i]['extension']=$vExt;
                }
            }

            $jsondata['oData'] = $arrData;
            $jsondata['oPath'] = FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";
            $jsondata['oPath_FTP'] = FTP_PATH;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oPath_Icons'] = HERRAMIENTAS_PHP_WEB."/iconos";
            $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        
        
        
        



        case "showrec":
            $vAutoReplyId=intval($array['autoreplyid']);
            $oR=new Access_clsReceiver();
            $rs=$oR->Read(0,0,$vAutoReplyId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updaterec":
            $oR=new Access_clsReceiver();
            $oR->pAutoReplyId=intval($array['autoreplyid']);
            $oR->pName=Almacenar_Dato($array['txtName']);
            $oR->pEmail=Almacenar_Dato($array['txtEmail']);
            $oR->pCodigo_Unidad=intval($array['cboUnidad_Negocio']);
            $oR->pStatus=isset($array['chkStatus']);

            $vReceiverId=intval($array['receiverid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oR->Add($vReceiverId);
            }else{
                $intError=$oR->Edit($vReceiverId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oR->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "deleterec":
            $arrCheck=array(); if(isset($array['chkRec'])) $arrCheck=$array['chkRec'];
            $swError=false; $msgError="Errores: ";
            $oR=new Access_clsReceiver();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vReceiverId){
                    $intError=$oR->Delete($vReceiverId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oR->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status_rec";
            $vReceiverId=intval($array['receiverid']);

            $oR=new Access_clsReceiver();
            $vRpta=$oR->Change_Status($vReceiverId);

            $rowRec=$oR->getROW($vReceiverId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar el estado");
            $jsondata['Status'] = ($rowRec['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>