<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/clsSistema_Archivos.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $oSA=new clsSistema_Archivos();

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vWebContentCategoryId=intval($array['webcontentcategoryid']);
            $vParentId=intval($array['parentid']);
            $vLanguageId=intval($array['languageid']);

            $oW=new Access_clsWebContent();

            $rs=$oW->ReadChilds($vParentId, $vWebContentCategoryId, $vLanguageId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oImages'] = IMAGES;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oData'] = $arrDatos;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oW=new Access_clsWebContent();
            if (is_array($arrCheck)){
                $vPath=FTP_PATH.FTP_DIR.PATH_MENU_IMAGES."/";
                $oFTP=new FTP();
                $oFTP->pServer=FTP_DOMAIN;
                $oFTP->pUser=FTP_USER;
                $oFTP->pPassword=FTP_PASS;
                $oFTP->pPort=FTP_PORT;

                foreach($arrCheck as $i => $vWebContentId){
                    $rowWebContent=$oW->getROW($vWebContentId);
                    if ($rowWebContent){
                        $vFile=$rowWebContent['image'];
                        $intError=$oW->Delete($vWebContentId);
                        if ($intError==0){
                            if($oFTP->File_Exists($vPath, $vFile)){
                                $vRpta=$oFTP->Delete_File($vPath.$vFile);
                                if (!$vRpta) $msgError.="Error deleting file.";
                            }else $msgError.="File not found.";
                        }else {
                            $swError=true;
                            $msgError.=$oW->getErrMsg($intError)." ";
                        }
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vWebContentId=intval($array['webcontentid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oW=new Access_clsWebContent();
            $vRpta=$oW->Change_Order($vWebContentId, $vArray);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Failed to change order.");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vWebContentId=intval($array['webcontentid']);

            $oW=new Access_clsWebContent();
            $vRpta=$oW->Change_Status($vWebContentId);

            $rowWebContent=$oW->getROW($vWebContentId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowWebContent['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $vWebContentId=intval($array['webcontentid']);
            $swNew=(intval($array['swnew'])==1);

            $oW=new Access_clsWebContent();

            $oW->pWebContentId=$vWebContentId;
            $oW->pWebContentCategoryId=intval($array['webcontentcategoryid']);
            $oW->pLanguageId=intval($array['cboLanguage']);
            $oW->pParentId=intval($array['cboParent']);
            $oW->pPage=isset($array['chkPage']);
            $oW->pFileName=Almacenar_Dato(trim($array['txtFileName']));
            $oW->pCaption=Almacenar_Dato(trim($array['txtCaption']));
            $oW->pDescription=Almacenar_Dato(trim($array['txtDescription']));
            $oW->pMetadata_Title=Almacenar_Dato(trim($array['txtMetadata_Title']));
            $oW->pMetadata_Description=Almacenar_Dato(trim($array['txtMetadata_Description']));
            $oW->pMetadata_Keywords=Almacenar_Dato(trim($array['txtMetadata_Keywords']));
            $oW->pPage_Title=Almacenar_Dato(trim($array['txtPage_Title']));
            $oW->pPage_SubTitle=Almacenar_Dato(trim($array['txtPage_SubTitle']));
            $oW->pPage_Content=Almacenar_Dato(trim($array['txtPage_Content']));
            $oW->pUrl=Almacenar_Dato(trim($array['txtUrl']));
            $oW->pTarget=Almacenar_Dato(trim($array['cboTarget']));
            $oW->pScriptJS=Almacenar_Dato(trim($array['txtScriptJS']));
            $oW->pScriptPHP=Almacenar_Dato(trim($array['txtScriptPHP']));
            $oW->pStatus=isset($array['chkStatus']);
            if($swNew){
                $intError=$oW->Add($vWebContentId);
            }else{
                $intError=$oW->Edit($vWebContentId);
            }
            if($intError==0){
                include("../UpdateVar.php");
                include("../CreateTemplate.php");
            }
            
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oW->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
    }
?>