<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vConfigGroupId=intval($array['configgroupid']);
            $vConfigSubGroupId=intval($array['configsubgroupid']);
            $vUnidad=intval($array['unidadid']);
            $vProceso=intval($array['procesomatriculaid']);

            $oV=new Acceso_clsConfigSubGroupVars();
            $oVal=new Acceso_clsConfigVarsValues();
            $oC=new Acceso_clsConfig();

            $rs=$oV->Read(0, 0, $vConfigSubGroupId, "");
            $rsVal=$oVal->ReadAll($vConfigGroupId, $vConfigSubGroupId, 0);
            $rsConfig=$oC->Read($vConfigGroupId, $vConfigSubGroupId, 0, $vUnidad, $vProceso);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
            $arrValues=array(); if($rsVal) $arrValues=$rsVal->fetchAll(PDO::FETCH_ASSOC);
            $arrConfig=array(); if($rsConfig) $arrConfig=$rsConfig->fetchAll(PDO::FETCH_ASSOC);

            $vTotalValores=0;
            foreach($arrDatos as $id=>$rowDato){
                $arrDatos[$id]['oValues']=array();
                foreach($arrValues as $i=>$row){
                    if(intval($rowDato['configvarsid'])==intval($row['configvarsid']))$arrDatos[$id]['oValues'][]=$row;
                }
                $vValor=""; $swUpd=false;
                foreach($arrConfig as $i=>$row){
                    if(intval($rowDato['configvarsid'])==intval($row['configvarsid'])){ $vValor=$row['valor']; $swUpd=true; $vTotalValores++; break; }
                }
                $arrDatos[$id]['update']=$swUpd;
                $arrDatos[$id]['valor']=$vValor;
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotalValores'] = $vTotalValores;
            echo json_encode($jsondata);
            break;
        case "update":
            $oC=new Acceso_clsConfig();
            $vConfigGroupId=intval($array['configgroupid']);
            $vConfigSubGroupId=intval($array['configsubgroupid']);
            $vUnidad=intval($array['unidadid']);
            $vProceso=intval($array['procesomatriculaid']);

            $arrCodigos=array(); if(isset($array['txtIDS'])) $arrCodigos=$array['txtIDS'];

            $vArray="";
            foreach($arrCodigos as $i =>$vConfigVarsId){
                $vValor=""; if(isset($array['txtValue'.$vConfigVarsId])) $vValor=trim($array['txtValue'.$vConfigVarsId]);
                $vArray.="['".intval($vConfigVarsId)."','".trim($vValor)."'],";
            }
            if(trim($vArray)!=''){
                $vArray=substr($vArray, 0, -1);
                $vArray="array[".$vArray."]";
            }else $vArray="null";

            $vRpta=$oC->Update($vConfigGroupId, $vConfigSubGroupId, $vArray, $vUnidad, $vProceso);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Problemas al registrar los valores");
            echo json_encode($jsondata);
            break;
        case "delete":
            $oC=new Acceso_clsConfig();
            $vConfigGroupId=intval($array['configgroupid']);
            $vConfigSubGroupId=intval($array['configsubgroupid']);
            $vUnidad=intval($array['unidadid']);
            $vProceso=intval($array['procesomatriculaid']);

            $arrCodigos=array(); if(isset($array['txtIDS'])) $arrCodigos=$array['txtIDS'];

            $vArray=implode(",", $arrCodigos);
            if(trim($vArray)!='') $vArray="array[".$vArray."]"; else $vArray="null";

            $intError=$oC->Delete($vConfigGroupId, $vConfigSubGroupId, $vArray, $vUnidad, $vProceso);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError=0?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "copy":
            $oC=new Acceso_clsConfig();
            $vConfigGroupId=intval($array['configgroupid']);
            $vConfigSubGroupId=intval($array['configsubgroupid']);
            $vUnidad=intval($array['unidadid']);
            $vProceso=intval($array['procesomatriculaid']);

            $intError=$oC->CopyProcesoOld($vConfigGroupId, $vConfigSubGroupId, $vProceso);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $oC->getErrMsg($intError);
            echo json_encode($jsondata);
            break;
    }
?>