<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vConfigGroupId=intval($array['configgroupid']);
            $vName=trim($array['name']);
            $vPage=0;
            $vCount=intval($array['count']);
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oG=new Acceso_clsConfigSubGroup();
            $rs=$oG->Read($vInicio, $vCount, $vConfigGroupId, $vName);
            $vTotalFilas=$oG->Count($vConfigGroupId, $vName);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Paginar(10, $vPage, $vTotalFilas, $vCount):"");
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oG=new Acceso_clsConfigSubGroup();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vConfigSubGroupId){
                    $intError=$oG->Delete($vConfigSubGroupId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oG->getErrMsg($intError)." ";
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vConfigSubGroupId=intval($array['configsubgroupid']);
            $swNew=(intval($array['swnew'])==1);

            $oG=new Acceso_clsConfigSubGroup();

            $oG->pConfigSubGroupId=$vConfigSubGroupId;
            $oG->pConfigGroupId=intval($array['cboConfigGroup']);
            $oG->pName=Almacenar_Dato(trim($array['txtName']));
            $oG->pDescription=Almacenar_Dato(trim($array['txtDescription']));
            $oG->pStatus=isset($array['chkStatus']);
            if($swNew){
                $intError=$oG->Add($vConfigSubGroupId);
            }else{
                $intError=$oG->Edit($vConfigSubGroupId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = (!$intError?"":$oG->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "change_status":
            $vConfigSubGroupId=intval($array['configsubgroupid']);

            $oG=new Acceso_clsConfigSubGroup();
            $vRpta=$oG->Change_Status($vConfigSubGroupId);

            $rowType=$oG->getROW($vConfigSubGroupId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowType['status']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oG=new Acceso_clsConfigSubGroup();
            $vRpta=$oG->Change_Order($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change order.");
            echo json_encode($jsondata);
            break;
    }
?>