<?
    header("Cache-Control: no-store, no-cache, must-revalidate"); 
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");	
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vPage=0;
            $vIntranet=trim($array['intranet']);
            $vTexto=trim($array['texto']);
            $vExito=trim($array['exito']);
            $vBrowser=trim($array['browser']);
            $vPlataform=trim($array['plataform']);
            $vMobile=trim($array['mobile']);
            $vPersonaId=intval($array['personaid']);

            $vCount=intval($array['count']);
            if(isset($array['page'])) $vPage=intval($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oV=new Acceso_clsVisita_Intranet();

            $vDesde=""; $vHasta="";
            if (trim($array['desde'])!="") $vDesde=CDate(trim($array['desde']));
            if (trim($array['hasta'])!="") $vHasta=CDate(trim($array['hasta']));
            $rs=$oV->Leer($vInicio, $vCount, $vIntranet, $vDesde, $vHasta, $vTexto, $vExito, $vBrowser, $vPlataform, $vMobile, $vPersonaId);
            $vTotalFilas=$oV->Count($vIntranet, $vDesde, $vHasta, $vTexto, $vExito, $vBrowser, $vPlataform, $vMobile, $vPersonaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "resumen-browser":
            $vIntranet=trim($array['intranet']);
            $vExito=trim($array['exito']);
            $vPlataform=trim($array['plataform']);
            $vMobile=trim($array['mobile']);

            $oV=new Acceso_clsVisita_Intranet();

            $vDesde=""; $vHasta="";
            if (trim($array['desde'])!="") $vDesde=CDate(trim($array['desde']));
            if (trim($array['hasta'])!="") $vHasta=CDate(trim($array['hasta']));
            $rs=$oV->ResumenBrowser($vIntranet, $vDesde, $vHasta, $vExito, $vMobile, $vPlataform);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "resumen-plataform":
            $vIntranet=trim($array['intranet']);
            $vExito=trim($array['exito']);
            $vBrowser=trim($array['browser']);
            $vMobile=trim($array['mobile']);

            $oV=new Acceso_clsVisita_Intranet();

            $vDesde=""; $vHasta="";
            if (trim($array['desde'])!="") $vDesde=CDate(trim($array['desde']));
            if (trim($array['hasta'])!="") $vHasta=CDate(trim($array['hasta']));
            $rs=$oV->ResumenPlataform($vIntranet, $vDesde, $vHasta, $vExito, $vMobile, $vBrowser);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>