<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu=array("SERIES", "PERMISOS-IMPRESION"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $swNew=intval($array['swnew']);
    $vSerieId=intval($array['serieid']);
    $deDonde=""; if(isset($array['dedonde']))$deDonde=trim($array['dedonde']);
    $vTipoDocumentoId=intval($array['tipodocumentoid']);
    $vEmpresaId=intval($array['empresaid']);

    $oS=new Acceso_Tesoreria_clsSerie();

    $rowSerie=array("serieid"=>0, "tipodocumentoid"=>$vTipoDocumentoId, "empresaid"=>$vEmpresaId, "almacenid"=>0, "serie"=>'0000', "correlativo"=>0, "estado"=>true);
    if (!$swNew){
        $rowSerie=$oS->getROW($vSerieId);
        $vTipoDocumentoId=intval($rowSerie['tipodocumentoid']);
        $vEmpresaId=intval($rowSerie['empresaid']);
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO SERIE</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_number.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/serieedit.js"></script>
    </head>
    <body onLoad="$('#cboTipoDocumento').focus();">
        <div id="divHeader">
            <?=btnSave()?>
            <?=getTitle(($swNew?"AGREGANDO":"EDITANDO")." SERIE")?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="serieid" id="serieid" value="<?=$vSerieId?>">
                    <input type="hidden" name="dedonde" id="dedonde" value="<?=$deDonde?>">
                    
                    <?
                    $oE= new Acceso_clsEmpresa();
                    $rs=$oE->Leer();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboEmpresa", "EMPRESA", "empresaid", "nombre", intval($rowSerie['empresaid']));

                    $oD= new Acceso_Contabilidad_clsTipoDocumento();
                    $rs=$oD->Leer();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboTipoDocumento", "DOCUMENTO", "tipodocumentoid", "nombre", intval($rowSerie['tipodocumentoid']));

                    getFormGroupText("txtSerie", "SERIE", $rowSerie['serie'], 4, "", "", "text-align: center; max-width:100px;");
                    getFormGroupText("txtDigitos", "DIGITOS", $rowSerie['cantidad_digitos'], 0, "", "", "text-align: center; max-width:100px;", "col-sm-2");
                    getFormGroupText("txtCorrelativo", "CORRELATIVO", $rowSerie['correlativo'], 0, "", "", "text-align: center; max-width:100px;", "col-sm-2");
                    
                    $oA= new Acceso_clsAlmacen();
                    $rs=$oA->Leer();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboAlmacen", "ALMACEN", "almacenid", "nombre", intval($rowSerie['almacenid']), "0", "Seleccione", true);
                    
                    getFormGroupBegin("");
                    ?>
                    <?=bCheckDefault("chkClientesVarios", "chkClientesVarios", "Aceptar <strong>CLIENTE VARIOS</strong>", "", "", "", "", $rowSerie['cliente_varios'])?>
                    <?
                    getFormGroupEnd();
                    getFormGroupSelect($arrSerieClienteValidacion, "cboClienteValidacion", "CONDICION", "codigo", "nombre", trim($rowSerie['cliente_validacion']), "", "Todo tipo de cliente", true, "col-sm-6", "col-sm-2", !$rowSerie['cliente_varios'], "rowClienteValidacion");

                    getFormGroupBegin("");
                    ?>
                    <?=bCheckDefault("chkNoPermitirGraExo", "chkNoPermitirGraExo", "No permitir items <strong>GRAVADOS</strong> Y <strong>EXONERADOS</strong>", "", "", "", "", $rowSerie['nopermitir_grav_exo'])?>
                    <?
                    getFormGroupEnd();
                    getFormGroupText("txtNoPermitirGraExoImpMin", "DESDE UN TOTAL DE", number_format(doubleval($rowSerie['nopermitir_grav_exo_imp_min']), 2), 0, "", "", "text-align: right; max-width:100px;", "col-sm-10", "col-sm-2", $rowSerie['nopermitir_grav_exo'], "rowNoPerGravExo");

                    getFormGroupCheck("chkEstado", "ACTIVO", $rowSerie['estado']);
                    ?>
                    
                </form>
            </div>
        </div>
    </body>
</html>