<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="SERIES"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <title>DOCUMENTOS Y SERIES</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/series.js?20180103001"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols2.js"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=getTitle("DOCUMENTOS Y SERIES")?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px; overflow:hidden;">
                <div id="divLeft" style="overflow:hidden;">
                    <form name="frmDoc" id="frmDoc">
                        <div id="divLeftTop1" class="BORDER_ALL BG_IMG1" style="height:23px; padding:3px; border-bottom:0px;"><b class="SUBTITULO">DOCUMENTOS</b></div>
                        <div id="divLeftMain" class="BORDER_ALL" style="border-bottom:0px; padding:2px;">
                            <table width="100%" id="tblDoc" class="standard">
                                <thead>
                                    <tr class="title1">
                                        <th width="25px"></th>
                                        <th width="25px"><input type="checkbox" name="chkAllDoc" id="chkAllDoc"></th>
                                        <th width="30px">ID</th>
                                        <th class="left">NOMBRE</th>
                                        <th width="30px" title="CODIGO CONTABLE">CC</th>
                                        <th width="40px" style="text-align: center"><?=getIcon("list")?></th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div id="divLeftBottom1" class="BORDER_ALL BG1 standard">
                            <div class="float-left FS_11" id="lblPieDoc"></div>
                            <div class="float-right">
                            	<div class="<?=clsBtnGroup()?>">
                                    <?=bRefresh('btnDocRef')?><?=bAdd('btnDocAdd')?><?=bDelete('btnDocDel')?>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div id="divRight" style="overflow:hidden;">
                    <form name="frmSer" id="frmSer">
                        <input type="hidden" value="0" name="tipodocumentoid" id="tipodocumentoid" />
                        <div id="divRightTop1" class="BORDER_ALL BG_IMG1" style="height:23px; padding:3px; border-bottom:0px;"><b class="SUBTITULO">SERIES</b></div>
                        <div id="divRightTop2" class="BORDER_ALL BG1" style="height:35px; padding:2px; border-bottom:0px;">
                            <div class="<?=clsInputGroup()?> <?=  clsBtnGroup()?>">
                                <?
                                $oE= new Acceso_clsEmpresa();
                                $rs=$oE->Leer();
                                $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                echo getSelect($arrAux, "cboEmpresa", "empresaid", "nombre", 0, 'form-control', "width:250px;", "0", "Todas las empresas", false);
                                
                                $oA= new Acceso_clsAlmacen();
                                $rs=$oA->Leer();
                                $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                echo getSelect($arrAux, "cboAlmacen", "almacenid", "nombre", 0, 'form-control', "width:150px;", "0", "Todas los almacenes", true);
                                
                                echo bRefresh("btnSerRef2", "Refrescar");
                                ?>
                            </div>
                        </div>
                        <div id="divRightMain" class="BORDER_ALL" style="border-bottom:0px; padding:2px;">
                            <table width="100%" id="tblSer" class="standard">
                                <thead>
                                    <tr class="title1">
                                        <th width="25px"></th>
                                        <th width="25px"><input type="checkbox" name="chkAllSer" id="chkAllSer"></th>
                                        <th width="50px">ID</th>
                                        <th class="left" title="EMPRESA">EMP</th>
                                        <th class="left" title="TIPO DE DOCUMENTO">TD</th>
                                        <th width="50px">SERIE</th>
                                        <th class="left">ALMACEN</th>
                                        <th width="20px"></th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div id="divRightBottom1" class="BORDER_ALL BG1 standard">
                            <div class="float-left FS_11" id="lblPieSer"></div>
                            <div class="float-right">
                            	<div class="<?=clsBtnGroup()?>">
                                    <?=bRefresh('btnSerRef')?><?=bAdd('btnSerAdd')?><?=bDelete('btnSerDel')?>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div id="capFondo" class="fondo">&nbsp;</div>
        <div id="capFrame" class="divFrame" style="width:80%; height:80%; top:10%; left:10%; z-index: 99999999;"></div>
    </body>
</html>