<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "documento-show":
            $oT=new Acceso_Contabilidad_clsTipoDocumento();
            $rs=$oT->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "documento-update":
            $oT=new Acceso_Contabilidad_clsTipoDocumento();
            $oT->pNombre=Almacenar_Dato($array['txtNombre']);
            $oT->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oT->pCodigoContable=Almacenar_Dato($array['txtCodigoContable']);
            $oT->pCaracterContable=Almacenar_Dato($array['txtCaracterContable']);
            $oT->pSigno=Almacenar_Dato($array['cboSigno']);
            $oT->pTipDocPer=Almacenar_Dato($array['cboTipDocPer']);
            $oT->pCalcularIGV=isset($array['chkCalcularIGV']);

            $vTipoDocumentoId=intval($array['tipodocumentoid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oT->Agregar($vTipoDocumentoId);
            }else{
                $intError=$oT->Modificar($vTipoDocumentoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "documento-delete":
            $arrCheck=array(); if(isset($array['chkDoc'])) $arrCheck=$array['chkDoc'];
            $swError=false; $msgError="Errores: ";
            $oT=new Acceso_Contabilidad_clsTipoDocumento();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vTipoDocumentoId){
                    $intError=$oT->Eliminar($vTipoDocumentoId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;

        case "serie-show":
            $vTipoDocumentoId=intval($array['tipodocumentoid']);
            $vEmpresaId=intval($array['empresaid']);
            $vAlmacenId=intval($array['almacenid']);

            $oS=new Acceso_Tesoreria_clsSerie();

            $rs=$oS->Leer($vTipoDocumentoId, $vEmpresaId, $vAlmacenId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;

        case "serie-update":
            $oS=new Acceso_Tesoreria_clsSerie();
            $oS->pTipoDocumentoId=intval($array['cboTipoDocumento']);
            $oS->pEmpresaId=intval($array['cboEmpresa']);
            $oS->pSerie=Almacenar_Dato($array['txtSerie']);
            $oS->pCorrelativo=intval($array['txtCorrelativo']);
            $oS->pAlmacenId=intval($array['cboAlmacen']);
            $oS->pClienteVarios=isset($array['chkClientesVarios']);
            $oS->pClienteValidacion=Almacenar_Dato($array['cboClienteValidacion']);
            $oS->pCantidadDigitos=intval($array['txtDigitos']);
            $oS->pNoPermitirGravYExo=isset($array['chkNoPermitirGraExo']);
            $oS->pNoPermitirGravYExoImpMin=doubleval(str_replace(",", "", $array['txtNoPermitirGraExoImpMin']));
            $oS->pValidarAntes=isset($array['chkValidarAntes']);
            $oS->pEstado=isset($array['chkEstado']);

            $vSerieId=intval($array['serieid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oS->Agregar($vSerieId);
            }else{
                $intError=$oS->Modificar($vSerieId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oS->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "serie-delete":
            $arrCheck=array(); if(isset($array['chkSer'])) $arrCheck=$array['chkSer'];
            $swError=false; $msgError="Errores: ";
            $oS=new Acceso_Tesoreria_clsSerie();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vSerieId){
                    $intError=$oS->Eliminar($vSerieId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oS->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>