    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajCostoMoneda.php",
            data: ({miopcion:"read", moneda:$("#cboMoneda").val(), count:$('#txtCount').val(), page:$('#txtPage').val() }),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr moneda="'+oRow.moneda+'" fecha="'+FormatDate(oRow.fecha)+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.moneda+','+oRow.fecha+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+FormatDate(oRow.fecha)+'</td>';
            tblRow+='<td>'+oRow.moneda_nombre+' (<strong>'+oRow.moneda_simbolo+'</strong>)</td>';
            tblRow+='<td>'+$.formatNumber(oRow.compra, {format:"#,##0.00", locale:"us"})+'</td>';
            tblRow+='<td>'+$.formatNumber(oRow.venta, {format:"#,##0.00", locale:"us"})+'</td>';
            tblRow+='<td>'+$.formatNumber(oRow.cobranza, {format:"#,##0.00", locale:"us"})+'</td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $("#lblMsg").html('<span class="badge badge-important">'+oData.oData.length+'</span> de <span class="badge badge-info">'+oData.oTotal+'</span> registros');
        $("#lblPage").html(oData.oPaginado);
        AsigFun();
    }
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("BORDER_ALL PADD_3");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(4)").css({'text-align':'left'});
        
        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e){ Editar($(this).parents("tr").attr('moneda'), $(this).parents("tr").attr('fecha')); });
        
        $("#tblMain tbody input:checkbox[name='chk[]']").change(function(e) {
            $("#chkAll").prop("checked", $("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
        $("#lblPage li a[page]").click(function(e){ $('#txtPage').val($(this).attr('page')); Show();});
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+ $("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                    label: getIcon("trash")+' Eliminar registros',
                    className: "btn-success",
                    callback: function() {
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajCostoMoneda.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}}
                        });
                    }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }
    function Cerrar(){ $("#oEdit, #oFondo").hide().html(""); }
    function Editar(vMoneda, vFecha){ $("#oFondo").show(); $("#oEdit").show().html("<iframe src='CostoMonedaEdit.php?moneda="+vMoneda+"&fecha="+vFecha+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    $(function(){
        $("#chkAll").change(function(e){
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Editar($("#cboMoneda").val(), '');});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){Show();}).click();
        $("#cboMoneda").change(function(e){Show();});
    });