<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vGalleryId=intval($array['galleryid']);
    $swNew=(intval($array['swnew'])==1);

    $rowGallery=array("galleryid"=>'', "name"=>'', "description"=>'', "uploaddate"=>date('Y-m-d'), "size"=>0, "categoryid"=>0, "formatid"=>0);

    $oG=new Access_Docs_clsGallery();

    $arrKeywords=array(); $arrKeyAux=array();
    if(!$swNew){
        $rowGallery=$oG->getROW($vGalleryId);
        $rsKey=$oG->Read_Keywords($vGalleryId);
        if($rsKey) $arrKeyAux=$rsKey->fetchAll(PDO::FETCH_ASSOC);
    }
    $vFileName=trim($rowGallery['name']);
    foreach($arrKeyAux as $ik=>$rowKey) $arrKeywords[$rowKey['keywordid']]=$rowKey;

    $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/";
    $oFTP=new FTP();

    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;
?>
<!DOCTYPE html>
<html>
    <head>
        <title>GALLERY EDIT</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/galleryedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols3.js"></script>
    </head>
    <body onLoad="$('#cboCategory').focus()">
        <form id="frmEdit" class="form-horizontal form-small">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="galleryid" id="galleryid" value="<?=$vGalleryId?>">
            <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
            <div id="divHeader">
                <?=btnSave()?>
                <?=getTitle("GALER&Iacute;A DE DOCUMENTOS: ".($swNew?"AGREGAR":"EDITAR")." DOCUMENTO")?>
                <?=btnClose()?>
            </div>
            <div id="divMain">
                <div id="divGrid" style="padding:5px; overflow: hidden;">
                    <div id="divLeft">
                        <div id="divLeftMain" style="overflow:auto; padding:5px">
                            
                            <?
                            $oC=new Access_Docs_clsCategory();
                            $rs=$oC->Read();
                            $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrAux, "cboCategory", "CATEGOR&Iacute;A", "categoryid", "name", intval($rowGallery['categoryid']), "0", "Seleccione", true);
                            
                            getFormGroupText("txtDescription", "DESCRIPCI&Oacute;N", $rowGallery['description'], 100);                            
                            ?>
                            
                            <? if(!$swNew){ ?>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label"></label>
                                    <div class="col-sm-10"><span class="badge badge-important">http://<?=FTP_DOMAIN.FTP_DIR.PATH_GALLERY_DOCS_PUBLIC."/".$vFileName?></span></div>
                                </div>
                            <? } ?>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">PALABRAS CLAVE:</label>
                                <div class="col-sm-10" style="padding-top:8px; padding-bottom:20px"><div id="lblKeys"></div></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label"></label>
                                <div class="col-sm-10">

                                    <?
                                    if(!$swNew){
                                        if($oFTP->File_Exists($vPath, $vFileName)){ 
                                            $vSize=$oFTP->Size($vPath.$vFileName);
                                            $arrList=split("[.]", $vFileName);
                                            $vExt=strtolower($arrList[count($arrList)-1]);
                                            ?>
                                            <div class="row">
                                                <div class="col-sm-2">
                                                    <img src="<?=HERRAMIENTAS_PHP_WEB?>/iconos/large/<?=($vExt)?>" class="HAND pic" alt="Descargar archivo" id="btnImagen" filename="<?=$vPath.$vFileName?>" />
                                                </div>
                                                <div class="col-sm-10">
                                                    <p>Tama&ntilde;o:<b><?=FormatSizeFile($vSize)?></b>
                                                        <br><button type="button" class="btn btn-primary" id="btnDownload" path="<?=$vPath.$vFileName?>"><i class="glyphicon glyphicon-download"></i> Descargar</button>
                                                    </p>
                                                </div>
                                            </div>
                                            <?
                                        }
                                    }
                                    ?>

                                </div>
                            </div>

                        </div>
                    </div>

                    <div id="divRight" style="width:300px;">
                        <?
                        $oK=new Access_Docs_clsKeyword();
                        $rsK=$oK->Read();
                        $arrKeys=array(); if($rsK) $arrKeys=$rsK->fetchAll(PDO::FETCH_ASSOC);
                        ?>
                        <div id="divRightTop1" class="BORDER_ALL BG1" style="border-bottom:0px; height:30px; padding:2px">
                            <div class="float-left">
                                <div class="btn-group">
                                    <label class="btn btn-default btn-xs"><input type="checkbox" name="chkAll" id="chkAll" style="margin-bottom:3px"> <b><?=count($arrKeys)?></b> PALABRAS CLAVE</label>
                                </div>
                            </div>
                        </div>
                        <div id="divRightMain" class="BORDER_ALL" style="padding:2px">
                            <table width="100%">
                                <tbody>
                                    <?
                                    foreach($arrKeys as $rowKey){
                                        $swExiste=($arrKeywords[$rowKey['keywordid']]);
                                        ?>
                                        <tr>
                                            <td width="25px" align="center" class="BORDER_ALL"><input type="checkbox" value="<?=intval($rowKey['keywordid'])?>" name="chk[]" id="chk<?=intval($rowKey['keywordid'])?>" <?=($swExiste?" CHECKED ":"")?> ></td>
                                            <td class="BORDER_ALL PADD_3"><label for="chk<?=intval($rowKey['keywordid'])?>" class="HAND"><?=Mostrar_Dato($rowKey['name'])?></label></td>
                                        </tr>
                                        <?
                                    }
                                    ?>
                            	</tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>