<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="GALERIA-IMAGENES"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    $vMsgNoPermiso=""; $vAdmCms=TienePermiso($sessCodigo, "cms-general", $vMsgNoPermiso);

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $swNew=(intval($array['swnew'])==1);
    $vGaleriaId=intval($array['galeriaid']);

    $oGaleria=new Acceso_clsGaleria_Imagenes();
    $rowGaleria=array("galeriaid"=>0, "nombre"=>"", "descripcion"=>"", "contenido"=>'', "publicacion"=>date('Y-m-d'), "unidadnegocioid"=>0, "estado"=>true);
    if (!$swNew) {
        $rowGaleria=$oGaleria->getROW($vGaleriaId);
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZAR GALERIA</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_editor.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/galeriaedit.js" ></script>
    </head>
    <body onLoad="$('#txtNombre').focus();">
        <form id="frmEdit" class="form-horizontal form-small">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="galeriaid" id="galeriaid" value="<?=$vGaleriaId?>">
            <div id="divHeader">
                <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." GALER&Iacute;A DE IM&Aacute;GENES")?><?=btnClose()?>
            </div>
            <div id="divMain">
                <div id="divEdit">
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="txtFecha">FECHA:</label>
                        <div class="col-sm-10"><input type="text" value="<?=FormatDate($rowGaleria['publicacion'])?>" maxlength="10" name="txtFecha" id="txtFecha" class="form-control" style="max-width:100px;"></div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="cboUnidad_Negocio">UNIDAD:</label>
                        <div class="col-sm-10">
                            <select name="cboUnidad_Negocio" id="cboUnidad_Negocio" class="form-control">
                                <? if($sessUsuario==SUPERUSUARIO || $sessUsuario==$vAdmCms){?><option value="0">SIN UNIDAD DE NEGOCIO</option><? } ?>
                                <?
                                $oUN= new Acceso_clsUnidad_Negocio();
                                $rs=$oUN->Consultar(intval($sessCodigo), intval(MODULO_CMS), 0);
                                $arrUni=array(); if($rs) $arrUni=$rs->fetchAll(PDO::FETCH_ASSOC);
                                 if(count($arrUni)>0){
                                        echo ShowListSelect($arrUni, "unidadnegocioid", "nombre", intval($rowGaleria['unidadnegocioid']));
                                }else{
                                    if(!($sessUsuario==SUPERUSUARIO || $sessUsuario==$vAdmCms)){
                                        ?>
                                        <option value="00">SIN PERMISOS</option>
                                        <?
                                    }
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="txtNombre">TITULO:</label>
                        <div class="col-sm-10"><input type="text" value="<?=Mostrar_Dato($rowGaleria['nombre'])?>" maxlength="200" name="txtNombre" id="txtNombre" class="form-control"></div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="txtDescripcion">DESCRIPCI&Oacute;N:</label>
                        <div class="col-sm-10"><textarea name="txtDescripcion" id="txtDescripcion" class="form-control" style="height:80px; overflow:auto; background-color:#FFF;"><?=Mostrar_Dato($rowGaleria['descripcion'])?></textarea></div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="txtContenido">CONTENIDO:</label>
                        <div class="col-sm-10"><textarea name="txtContenido" id="txtContenido" style="height:100px;"><?=($rowGaleria['contenido'])?></textarea></div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="chkEstado">ACTIVO:</label>
                        <div class="col-sm-10"><input type="checkbox" class="demo-switch" id="chkEstado" name="chkEstado" <?=($rowGaleria['estado']?"checked":"")?> ></div>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>