<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="GALERIA-IMAGENES"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    $array=$_GET;

    $vGaleriaId=intval($array['galeriaid']);

    $oG=new Acceso_clsGaleria_Imagenes();
    $rowG=$oG->getROW($vGaleriaId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>GALER&Iacute;A DE IMAGENES</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_sort.php"); ?>
        <? include("../php/head_fancy.php"); ?>

        <script language="javascript" type="text/javascript" src="../js/frmStandard.js" ></script>
        <script language="javascript" type="text/javascript" src="js/imagenes.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmGalImg.js"></script>

        <style type="text/css">
            #sortable{ padding:0px; margin:0px;}
            #sortable li{ list-style-type:none}
            .gbox{ width:140px; height:170px; position:relative; float:left; margin-right: 5px; margin-bottom:12px; }
            .default{border:1px solid #F30; background:#F30;}
            .normal{border:1px solid #CCC; background:#CCC;}
            .gbox .imagen {height:145px; background-color:transparent;}
            .gbox .imagen img{width:138px; height:145px;}
            .gbox .options{ height:33px; padding:4px 4px; position:relative; width:140px;}
            .gbox .options .check{float:left; position:relative;}
            .gbox .options .edit{float:right; position:relative;padding:1px; text-align:center}
            .gbox .options .text{float:left; position:relative; padding-left:5px; padding-top:2px;}
        </style>

    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=getTitle("GALER&Iacute;A DE IM&Aacute;GENES")?>
            <?=btnClose()?>
        </div>
        <div id="divTit" style="height:30px; padding:5px" class="BORDER_B standard">
            <center><b class="SUBTITULO"><?=Mostrar_Dato($rowG['nombre'])?></b></center>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:5px; overflow:hidden;">
                <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">

                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" name="oTabs-1" data-toggle="tab"><?= getIcon("picture")?> Im&aacute;genes</a></li>
                    <li><a href="#oTabs-2" name="oTabs-2" data-toggle="tab"><?= getIcon("plus")?> Agregar im&aacute;genes</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px; overflow:hidden" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">

                        <div style="overflow:hidden; height:40px; padding:2px;" id="objTabs1Top" class="float-left BG1 BORDER_ALL">
                            <div class="btn-group">
                                <?=bRefresh("btnRefresh", "Refrescar")?><?=bDelete("btnDelete", "Eliminar")?><?=bInfo("btnDescripcion", "Descripciones", "text-height")?>
                                <?= bCheckDefault("chkAll", "chkAll", "Seleccionar todas")?>
                            </div>
                        </div>
                        <div style="overflow:auto; padding:5px; margin:0px;" id="objTabs1Body" class="float-left BORDER_L BORDER_R">
                            <form id="frmPanel">
                                <input type="hidden" value="<?=$vGaleriaId?>" name="galeriaid" id="galeriaid">
                                <div>
                                    <ul id="sortable">
                                    </ul>
                                </div>
                            </form>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:2px; " id="objTabs1Bottom">
                            <div class="float-left">
                                <div class="float-left" id="lblMsg"></div>
                            </div>
                            <div class="float-right">
                                <div class="float-left" id="lblPag"></div>
                                <div class="float-right"><?= bPrimary("btnVP", "Vista preliminar", "picture")?></div>
                            </div>
                        </div>
                    </div>
                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px;">
                        <div class="float-left" style="overflow:hidden; padding:5px; margin:0px;" id="objTabs2Body">
                            <iframe src="ImagenesUpload.php?galeriaid=<?=$vGaleriaId?>" frameborder="0" width="100%" height="100%"></iframe>
                        </div>
                    </div>
                </div>                        
            </div>
            
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border:0px; z-index:9999999;"></div>
    </body>
</html>