<?
    header("Cache-Control: no-cache"); 
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vUnidadNegocioId=intval($array['unidadnegocioid']);
            $vNombre=trim($array['nombre']);
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=intval($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oG=new Acceso_clsGaleria_Imagenes();
            $rs=$oG->Leer($vInicio, $vCount, $vUnidadNegocioId, $vNombre);
            $vTotalFilas=$oG->Count($vUnidadNegocioId, $vNombre);

            $vPath=FTP_PATH.FTP_DIR.PATH_GAL_IMG_IMAGES."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['image_name']);

                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath.intval($row['galeriaid'])."/", $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oFTP'] = FTP_PATH;
            $jsondata['oPath'] = FTP_DIR.PATH_GAL_IMG_IMAGES."/";
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;	
        case "change_status";
            $vGaleriaId=intval($array['galeriaid']);

            $oG=new Acceso_clsGaleria_Imagenes();
            $intError=$oG->Cambiar_Estado($vGaleriaId, $sessCodigo, miIP());

            $rowG=$oG->getROW($vGaleriaId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oG->getErrMsg($intError));
            $jsondata['Status'] = ($rowG['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $vGaleriaId=intval($array['galeriaid']);
            $swNew=(intval($array['swnew'])==1);

            $oG=new Acceso_clsGaleria_Imagenes();
            $oG->pUnidadNegocioId=intval($array['cboUnidad_Negocio']);
            $oG->pNombre=Almacenar_Dato($array['txtNombre']);
            $oG->pDescripcion=Almacenar_Dato($array['txtDescripcion']);
            $oG->pContenido=Almacenar_Dato($array['txtContenido']);
            $oG->pPublicacion=CDate($array['txtFecha']);
            $oG->pEstado=isset($array['chkEstado']);

            if ($swNew){
                $intError=$oG->Agregar($vGaleriaId);
            }else{
                $intError=$oG->Modificar($vGaleriaId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oG->getErrMsg($intError));
            $jsondata['pGaleryId'] = $vGaleriaId;
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrIDS=array(); if(isset($array['chk'])) $arrIDS=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oG=new Acceso_clsGaleria_Imagenes();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            if (is_array($arrIDS)){
                foreach($arrIDS as $i => $vGaleriaId){
                    $rowGallery=$oG->getROW($vGaleriaId);
                    if ($rowGallery){
                        $vPath=FTP_PATH.FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId;
                        $intError=$oG->Eliminar($vGaleriaId);
                        if ($intError==0){
                            if($oFTP->Directory_Exists($vPath)){
                                $vRpta=$oFTP->Delete_Dir($vPath);
                                if (!$vRpta) $msgError.="Error deleting file.";
                            }else $msgError.="Dir not found.";
                        }else {
                            $swError=true;
                            $msgError.=$oG->getErrMsg($intError)." ";
                        }
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "preview":
            $vGaleriaId=intval($array['galeriaid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $oGal=new Acceso_clsGaleria_Imagenes();
            $oImg=new Acceso_clsGaleria_Imagenes_Detalle();

            $rowG=$oGal->getROW($vGaleriaId);
            $rs=$oImg->Leer($vGaleriaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $arrImages=array();
            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['nombre']);
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrImages[]=array("href"=>"http://".FTP_DOMAIN.FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId."/".$vFileName, "title"=>$row['descripcion']);
                }
            }

            $jsondata['oData'] = $arrImages;
            echo json_encode($jsondata);
            break;
    }
?>