<?
    header("Cache-Control: no-cache"); 
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vGaleriaId=intval($array['galeriaid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $oGal=new Acceso_clsGaleria_Imagenes();
            $oImg=new Acceso_clsGaleria_Imagenes_Detalle();

            $rowG=$oGal->getROW($vGaleriaId);
            $rs=$oImg->Leer($vGaleriaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['nombre']);
                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath, $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['rowGaleria'] = $rowG;
            $jsondata['oPath'] = FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId."/";
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oFTP'] = FTP_PATH;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "default":
            $vImagenId=intval($array['imagenid']);
            $oGaleria=new Acceso_clsGaleria_Imagenes();
            $vRpta=$oGaleria->setDefault($vImagenId);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Error al cambiar la imagen por defecto.":"");
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrIDS=array(); if(isset($array['chk'])) $arrIDS=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $vGaleriaId=intval($array['galeriaid']);
            $oImg=new Acceso_clsGaleria_Imagenes_Detalle();

            $vPath=FTP_PATH.FTP_DIR.PATH_GAL_IMG_IMAGES."/".$vGaleriaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            if (is_array($arrIDS)){
                foreach($arrIDS as $i => $vImagenId){
                    $rowImagen=$oImg->getROW($vImagenId);
                    if ($rowImagen){
                        $vFile=trim($rowImagen['nombre']);
                        $intError=$oImg->Eliminar($vImagenId);
                        if ($intError==0){
                            if(trim($vFile)!=''){
                                if($oFTP->File_Exists($vPath, $vFile)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vFile);
                                    if (!$vRpta) $msgError.="Error deleting file.";
                                }else $msgError.="File not found.";
                            }
                        }else {
                            $swError=true;
                            $msgError.=$oImg->getErrMsg($intError)." ";
                        }
                    }
                }
            }

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vGaleriaId=intval($array['galeriaid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oI=new Acceso_clsGaleria_Imagenes_Detalle();
            $vRpta=$oI->Cambiar_Orden($vGaleriaId, $vArray);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change order.":"");
            echo json_encode($jsondata);
            break;
        case "update":
            $vImagenId=intval($array['imagenid']);
            $swNew=(intval($array['swnew'])==1);
            $vGaleriaId=intval($array['galeriaid']);

            $oI=new Acceso_clsGaleria_Imagenes_Detalle();
            $oI->pGaleriaId=$vGaleriaId;
            $oI->pNombre=Almacenar_Dato(trim($array['image']));
            $oI->pDescripcion=Almacenar_Dato(trim($array['txtDescription']));
            if($swNew){
                $intError=$oI->Agregar($vImagenId);
            }else{
                $intError=$oI->Modificar($vImagenId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oI->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "setcaptions":
            $vGaleriaId=intval($array['galeriaid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];
            
            $vArray="";
            foreach($arrIDS as $iImage=>$vImagenId){
                $vArray.="['".$vImagenId."','".Mostrar_Dato(trim($array['txtCaption'.$vImagenId]))."'],";
            }
            if(trim($vArray)!=''){
                $vArray=substr($vArray,0,-1);
                $vArray="array[$vArray]";
            }else $vArray="null";

            $oI=new Acceso_clsGaleria_Imagenes_Detalle();
            $vRpta=$oI->SetDescripciones($vGaleriaId, $vArray);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change captions.":"");
            echo json_encode($jsondata);
            break;
    }
?>