<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_POST) $array=$_POST;
    else $array=$_GET;

    $swClose=true;      if(isset($array['close']))      $swClose=(intval($array['close'])==1);
    $swBorder=false;    if(isset($array['border']))     $swBorder=(intval($array['border'])==1);

    $deDonde=false; 	if(isset($array['dedonde'])) 	$deDonde=trim($array['dedonde']);
    $vKeyId=0; 		if(isset($array['keyid'])) 	$vKeyId=trim($array['keyid']);
    $vName="";
    switch($deDonde){
        case "WCI": 
            $oWC=new Access_clsWebContent();
            $rowWC=$oWC->getROW($vKeyId);
            $vName=$rowWC['caption'];
            break;
        case "PPP": 
            $oP=new AccesoNegocio_clsPersona();
            $rowPer=$oP->getROW($vKeyId);
            $vName=$rowPer['ape_pat'].' '.$rowPer['ape_mat'].' '.$rowPer['nombre'];
            break;
    }
    $vMsgNoPermiso=""; 
    $vPermisoNew=TienePermiso($sessCodigo, "images-add", $vMsgNoPermiso);
    $vPermisoDelete=TienePermiso($sessCodigo, "images-delete", $vMsgNoPermiso);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>GALERIA DE IMAGENES</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_fancy.php"); ?>
        <? include(INTERFAZ."/php/head_copy.php"); ?>
        <script language="javascript" type="text/javascript">
            var jsSelect="<?=$array['jsselect']?>";
            var jsClose="<?=$array['jsclose']?>";
            var pCantidad="<?=intval($array['cantidad'])?>";
        </script>
        <script language="javascript" type="text/javascript" src="js/gallery.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmImagesGallery.js"></script>

        <style type="text/css">
            .gbox{ width:140px; height:173px; position:relative; float:left; margin-right: 10px; margin-bottom:10px;}
            .gbox .imagen {height:145px; border:1px solid #CCC;}
            .gbox .imagen img{width:138px; height:145px;}
            .gbox .imagen .fecha{background:url(/colegios/tools-new/images/bg.destacados.png) repeat; height:20px; padding:2px 10px; top:0px; left:0px; position:absolute; width:120px; margin:0px; color:#FFF; font-size:12px; font-family:Arial, Helvetica, sans-serif}
            .gbox .imagen .titulo{background:url(/colegios/tools-new/images/bg.destacados.png) repeat; height:40px; width:140px; bottom:0px; left:0px; position:relative; padding:5px; margin:0px;}
            .gbox .imagen .titulo .description{color:#FFF; font-size:10px;}

            .gbox .options{ height:28px; padding:1px 5px; position:relative; width:140px; background:#CCC;}
            .gbox .options .check{float:left; position:relative;}
            .gbox .options .edit{float:right; position:relative;padding:1px; text-align:center}
            .gbox .options .download{float:right; position:relative; padding:3px; text-align:center;}
        </style>
    </head>
    <body onLoad="$('#txtSearch').focus()">
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader" class="<?=($swBorder?'BORDER_L BORDER_R':'')?>">
            <?=($vPermisoNew?btnAdd():'')?><?=($vPermisoDelete?btnDelete():'')?><?=btnRefresh()?>
            <?=getTitle("GALER&Iacute;A DE IMAGENES")?>
            <? if($swClose){?><div class="float-right"><?=btnClose()?></div><? }?>
            <? if(trim($vName)!=''){?><div class="float-right" style="padding-right:5px"><span class="txtWinHeader"><?=Mostrar_Dato($vName)?></span></div><? }?>
        </div>
        <div id="divMain" class="<?=($swBorder?'BORDER_L BORDER_R':'')?>">
            <div id="divGrid" style="padding:2px; overflow:hidden;">
            	<div id="divLeft">
                    <div id="divLeftTop1" class="BORDER_ALL BG2" style="height:36px; padding:2px; border-bottom:0px;">
                    	<div class="float-left">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?= InputGroupAddOn("", "", "", "Buscar:")?>
                                <?= getInputText("txtSearch", "Buscar", "", 0, "form-control", "max-width:150px;")?>
                                <?= bCheckDefault("chkAll", "chkAll", "Seleccionar todos", "", "", "btn-sm")?>
                                <?
                                if(trim($array['jsselect'])!=''){
                                    if(intval($array['cantidad'])!=1){
                                        echo bInfo("btnSelect", "Seleccionar", "ok");
                                    }
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                    <div id="divLeftMain" class="BORDER_ALL" style="overflow:auto; padding:5px">
                        <form id="frmPanel">
                            <input type="hidden" value="1" name="txtPage" id="txtPage">
                            <input type="hidden" value="<?=$vKeyId?>" name="keyid" id="keyid">
                            <input type="hidden" value="<?=$deDonde?>" name="dedonde" id="dedonde">
                            <input type="hidden" value="<?=intval($array['cantidad'])?>" name="cantidad" id="cantidad">
                            <div id="objImg" sd="">
                            </div>
                        </form>
                    </div>
                </div>
                <div id="divRight" style="width:300px;">
                    <div id="divRightTop1" class="BORDER_ALL BG_IMG1" style="height:20px; padding:2px; border-bottom:0px;">&nbsp;<b class="SUBTITULO">CATEGORIAS</b></div>
                    <div id="divRightTop2" class="BORDER_ALL BG2" style="height:25px; padding:1px; border-bottom:0px;">
                    	<div class="float-left">
                            <div class="<?=clsBtnGroup("btn-group-xs")?>">
                                <?=bAdd('btnAddCat')?><?=bDelete('btnDelCat')?><?=bRefresh('btnRefCat')?>
                                <label class="btn btn-default"><input type="checkbox" id="chkAllCat" name="chkAllCat" style="padding:0px; margin:0px;"></label>
                                <?= InputGroupAddOn("lblMsgCat", "", "", "")?>
                            </div>
                        </div>
                    </div>
                    <div id="divRightTopMain" class="BORDER_ALL" style="border-bottom:0px; padding:1px">
                    	<form id="frmCat">
                            <table width="100%" id="tblCat" class="standard">
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>

                    <div id="divRightCenter1" class="BORDER_ALL BG_IMG1" style="height:20px; padding:2px; border-bottom:0px;"><b class="SUBTITULO">TIPOS DE ARCHIVO</b></div>
                    <div id="divRightCenter2" class="BORDER_ALL BG2" style="height:25px; padding:1px; border-bottom:0px;">
                    	<div class="float-left">
                            <div class="<?=clsBtnGroup("btn-group-xs")?>">
                                <?=bAdd('btnAddFor')?><?=bDelete('btnDelFor')?><?=bRefresh('btnRefFor')?>
                            	<label class="btn btn-default"><input type="checkbox" id="chkAllFor" name="chkAllFor" style="padding:0px; margin:0px;"></label>
                                <?= InputGroupAddOn("lblMsgFor", "", "", "")?>
                            </div>
                        </div>
                    </div>
                    <div id="divRightCenterMain" class="BORDER_ALL" style="padding:1px">
                    	<form id="frmFor">
                            <table width="100%" id="tblFor" class="standard">
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>

                    <div id="divRightBottom1" class="BORDER_ALL BG_IMG1" style="height:20px; padding:2px; border-bottom:0px;"><b class="SUBTITULO">PALABRAS CLAVE</b></div>
                    <div id="divRightBottom2" class="BORDER_ALL BG2" style="height:25px; padding:1px; border-bottom:0px;">
                    	<div class="float-left">
                            <div class="<?=clsBtnGroup("btn-group-xs")?>">
                                <?=bAdd('btnAddKey')?><?=bDelete('btnDelKey')?><?=bRefresh('btnRefKey')?>
                            	<label class="btn btn-default"><input type="checkbox" id="chkAllKey" name="chkAllKey" style="padding:0px; margin:0px;"></label>
                                <?= InputGroupAddOn("lblMsgKey", "", "", "")?>
                            </div>
                        </div>
                    </div>
                    <div id="divRightBottomMain" class="BORDER_ALL" style="padding:1px">
                    	<form id="frmKey">
                            <table width="100%" id="tblKey" class="standard">
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
            	<div class="float-left" id="lblPage"></div>
            	<div class="float-left" style="padding-left:15px"><? echo ShowSelectPage(25); ?></div>
            </div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border:0px; z-index:99999999;"></div>
    </body>
</html>