<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    $array=$_GET;

    $vGalleryId=intval($array['galleryid']);

    $oG=new Access_Images_clsGallery();
    $rowImage=$oG->getROW($vGalleryId);

    $vFileName=trim($rowImage['name']);

    $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";
    $oFTP=new FTP();
    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    $swExiste=false; $vW=0; $vH=0;
    if ($vFileName!=""){
        $swExiste=$oFTP->File_Exists($vPath, $vFileName);
        if($swExiste){
            $arrData=$oFTP->Dimensions($vPath.$vFileName);
            $vW=intval($arrData['width']);
            $vH=intval($arrData['height']);
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Gallery Crop</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_number.php"); ?>
        <? include("../php/head_crop.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/gallerycrop.js"></script>
    </head>
    <body>
        <div id="divHeader">
            <?=getTitle("RECORTAR IM&Aacute;GEN")?>
            <?=btnClose()?>
        </div>
        <div id="divTit" style="height:40px; padding:5px;" class="BORDER_B BG1">
            <div class="float-left" style="max-width: 100px;">
                <div class="<?=clsInputGroup("input-group-sm")?>">
                    <?=InputGroupAddOn("", "", "", "Ancho:")?>
                    <?=getInputText("txtW", "", "", 0, "form-control", "width:50px; text-align:center;")?>
                    <?=InputGroupAddOn("", "", "", "Alto:")?>
                    <?=getInputText("txtH", "", "", 0, "form-control", "width:50px; text-align:center;")?>
                    <div class="<?=clsInputGroupBtn()?>">
                        <?=bDefault("btnLimpiar", "Limpiar")?>
                    </div>
                </div>
            </div>
        </div>
        <div id="divMain" class="BORDER_L BORDER_R">
            <div id="divGrid" style="padding:5px">
                <form id="frmPanel" style="width:100%; height:100%;">
                    <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                    <input type="hidden" value="<?=$vGalleryId?>" name="galleryid" id="galleryid">
                	<input type="hidden" name="filename" id="filename" value="<?=$vFileName?>">
                	<input type="hidden" name="x1" id="x1" value="0">
                	<input type="hidden" name="y1" id="y1" value="0">
                	<input type="hidden" name="x2" id="x2" value="0">
                	<input type="hidden" name="y2" id="y2" value="0">
                	<input type="hidden" name="w" id="w" value="0">
                	<input type="hidden" name="h" id="h" value="0">
                	<?
                        $vStyleSize="";
                        if($swExiste){
                            if($vW>0 && $vH>0)$vStyleSize='height:'.$vH.'px; width:'.$vW.'px; min-height:'.$vH.'px; min-width:'.$vW.'px;';
                            ?>
                            <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/".$vFileName?>" filename="<?=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/".$vFileName?>" style="<?=$vStyleSize?>" id="btnCrop">
                            <?
                        }
                    ?>
                </form>
            </div>
        </div>
        <div id="divBottom">
            <div class="float-left">
                <div class="<?=clsBtnGroup("")?>">
                    <?=bDefault("btnDown", "Descargar", "download")?>
                    <?=bPrimary("btnUpd", "Recortar im&aacute;gen", "retweet")?>
                </div>
            </div>
            <div class="float-right">
                <div class="float-right" id="lblMsg"></div>
            </div>
        </div>
    </body>
</html>