<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $oFTP=new FTP();
    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "crop":
            $vGalleryId=intval($array['galleryid']);
            $vFileName=trim($array['filename']);
            $vWidth=intval($array['w']);
            $vHeight=intval($array['h']);
            $vX1=intval($array['x1']);
            $vY1=intval($array['y1']);

            $vWidthMin=1; if(intval($vWidthMin)==0) $vWidthMin=1;
            $vHeightMin=1; if(intval($vHeightMin)==0) $vHeightMin=1;

            if($vWidth>=$vWidthMin && $vHeight>=$vHeightMin){			
                $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";
                $oFTP=new FTP();
                $oFTP->pServer=FTP_DOMAIN;
                $oFTP->pUser=FTP_USER;
                $oFTP->pPassword=FTP_PASS;
                $oFTP->pPort=FTP_PORT;

                $intError=0; $msgError="";

                $imageQuality=90;

                if ($vFileName!=""){
                    if($oFTP->File_Exists($vPath, $vFileName)){
                        $vRpta=$oFTP->Get($vPath.$vFileName);

                        $vFileNameTmp=PATH_TMP."/".$vFileName;
                        if(IsImage($vFileNameTmp)){
                            $vFileNameTmpNew=tempnam(PATH_TMP, "RESIZE");

                            $arrInfo = getimagesize($vFileNameTmp);
                            $vImagen=false; $vExtension="";
                            switch($arrInfo[2]){
                                case IMAGETYPE_JPEG:
                                    $vExtension=".jpg";
                                    $vImagen = @imagecreatefromjpeg($vFileNameTmp);
                                    break;
                                case IMAGETYPE_GIF:
                                    $vExtension=".gif";
                                    $vImagen = @imagecreatefromgif($vFileNameTmp);
                                    break;
                                case IMAGETYPE_PNG:
                                    $vExtension=".png";
                                    $vImagen = @imagecreatefrompng($vFileNameTmp);
                                    break;
                                default:
                                    $vImagen = false;
                                    break;
                            }
                            if($vImagen){
                                $vContent = @imagecreatetruecolor( $vWidth, $vHeight );
                                imagecopyresampled($vContent, $vImagen, 0, 0, $vX1, $vY1, $vWidth, $vHeight, $vWidth, $vHeight);
                                switch($arrInfo[2]){
                                    case IMAGETYPE_JPEG:
                                        $swOk=imagejpeg($vContent, $vFileNameTmpNew, $imageQuality);
                                        break;
                                    case IMAGETYPE_GIF:
                                        $swOk=imagegif($vContent, $vFileNameTmpNew);
                                        break;
                                    case IMAGETYPE_PNG:
                                        // *** Scale quality from 0-100 to 0-9
                                        $scaleQuality = round(($imageQuality/100) * 9);									
                                        // *** Invert quality setting as 0 is best, not 9
                                        $invertScaleQuality = 9 - $scaleQuality;
                                        $swOk=imagepng($vContent, $vFileNameTmpNew, $invertScaleQuality);
                                        break;
                                }
                                if($swOk){
                                    $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";

                                    if (!$oFTP->Directory_Exists($vPath)){
                                        $oFTP->Create_Dir($vPath);
                                    }									

                                    $vFileNameNew=$oFTP->NewFileName($vPath, $vFileName);
                                    $vRpta=$oFTP->Put($vFileNameTmpNew, $vPath.$vFileNameNew);
                                    if($vRpta){
                                        $oI=new Access_Images_clsGallery();
                                        $rowImage=$oI->getROW($vGalleryId);
                                        
                                        //TODO FUNCIONO
                                        $arrData=$oFTP->Dimensions($vPath.$vFileNameNew);
                                        $vSize=$oFTP->Size($vPath.$vFileNameNew);
                                        $vW=intval($arrData['width']);
                                        $vH=intval($arrData['height']);

                                        $oI->pCategoryId=intval($rowImage['categoryid']);
                                        $oI->pFormatId=intval($rowImage['formatid']);
                                        $oI->pName=trim($vFileNameNew);
                                        $oI->pWidth=$vW;
                                        $oI->pHeight=$vH;
                                        $oI->pSize=$vSize;
                                        $vGalleryId=0;
                                        $intError=$oI->Add($vGalleryId, "null");

                                        if($intError>0){
                                            $intError=$intError;
                                            $msgError=$oI->getErrMsg($intError);
                                        }
                                    }else{
                                        $intError=1;
                                        $msgError="Problems to upload new image to the server.";
                                    }
                                }else{
                                    $intError=1;
                                    $msgError="Problems to save new image in temporal.";
                                }
                            }else{
                                $intError=1;
                                $msgError="Trouble creating a new image container.";
                            }
                        }else{
                            $intError=1;
                            $msgError="The original file is a invalid image.";
                        }
                    }else{
                        $intError=1;
                        $msgError="The original file no longer exists on the server.";
                    }
                }else{
                    $intError=1;
                    $msgError="The original file name is empty.";
                }
            }else{
                $intError=1;
                $msgError="Problems with the width or height of the new image. Width Min ".$vWidthMin."px, Height Min ".$vHeightMin."px";
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);
            break;
    }
?>