<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $oFTP=new FTP();
    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "rotate":
            $vGalleryId=intval($array['galleryid']);
            $vFileName=trim($array['filename']);
            $vGrados=intval($array['grados']);

            $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $intError=0; $msgError=""; $vW=0; $vH=0; $vSize=0;
            
            $imageQuality=100;

            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Get($vPath.$vFileName);

                    $vFileNameTmp=PATH_TMP."/".$vFileName;
                    if(IsImage($vFileNameTmp)){
                        $vFileNameTmpNew=tempnam(PATH_TMP, "RESIZE");

                        $arrInfo = getimagesize($vFileNameTmp);
                        $vImagen=false; $vExtension="";
                        switch($arrInfo[2]){
                            case IMAGETYPE_JPEG:
                                $vExtension=".jpg";
                                $vImagen = @imagecreatefromjpeg($vFileNameTmp);
                                break;
                            case IMAGETYPE_GIF:
                                $vExtension=".gif";
                                $vImagen = @imagecreatefromgif($vFileNameTmp);
                                break;
                            case IMAGETYPE_PNG:
                                $vExtension=".png";
                                $vImagen = @imagecreatefrompng($vFileNameTmp);
                                break;
                            default:
                                $vImagen = false;
                                break;
                        }
                        if($vImagen){
                            $vContent = @imagerotate($vImagen, $vGrados, 0);
                            switch($arrInfo[2]){
                                case IMAGETYPE_JPEG:
                                    $swOk=imagejpeg($vContent, $vFileNameTmpNew, $imageQuality);
                                    break;
                                case IMAGETYPE_GIF:
                                    $swOk=imagegif($vContent, $vFileNameTmpNew);
                                    break;
                                case IMAGETYPE_PNG:
                                    // *** Scale quality from 0-100 to 0-9
                                    $scaleQuality = round(($imageQuality/100) * 9);									
                                    // *** Invert quality setting as 0 is best, not 9
                                    $invertScaleQuality = 9 - $scaleQuality;
                                    $swOk=imagepng($vContent, $vFileNameTmpNew, $invertScaleQuality);
                                    break;
                            }
                            if($swOk){
                                $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";

                                if (!$oFTP->Directory_Exists($vPath)){
                                    $oFTP->Create_Dir($vPath);
                                }									

                                $vRpta=$oFTP->Put($vFileNameTmpNew, $vPath.$vFileName);
                                if($vRpta){
                                    //TODO FUNCIONO
                                    $arrData=$oFTP->Dimensions($vPath.$vFileName);
                                    $vSize=$oFTP->Size($vPath.$vFileName);
                                    $vW=intval($arrData['width']);
                                    $vH=intval($arrData['height']);
                                    
                                    $oI=new Access_Images_clsGallery();
                                    $intError=$oI->Rotate($vGalleryId, $vFileName, $vW, $vH, $vSize);
                                    if($intError>0){
                                        $intError=$intError;
                                        $msgError=$oI->getErrMsg($intError);
                                    }
                                }else{
                                    $intError=1;
                                    $msgError="Problems to upload new image to the server.";
                                }
                            }else{
                                $intError=1;
                                $msgError="Problems to save new image in temporal.";
                            }
                        }else{
                            $intError=1;
                            $msgError="Trouble creating a new image container.";
                        }
                    }else{
                        $intError=1;
                        $msgError="The original file is a invalid image.";
                    }
                }else{
                    $intError=1;
                    $msgError="The original file no longer exists on the server (".$vPath.$vFileName.").";
                }
            }else{
                $intError=1;
                $msgError="The original file name is empty.";
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            $jsondata['oImage'] = "http://".FTP_DOMAIN."/".FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/".$vFileName."?".time();
            $jsondata['oWidth'] = $vW;
            $jsondata['oHeight'] = $vH;
            $jsondata['oSize'] = $vSize;
            $jsondata['oSizeText'] = FormatSizeFile($vSize);
            echo json_encode($jsondata);
            break;
        case "voltear":
            $vGalleryId=intval($array['galleryid']);
            $vFileName=trim($array['filename']);
            $vModo=trim($array['modo']);

            $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $intError=0; $msgError=""; $vW=0; $vH=0; $vSize=0;
            
            $imageQuality=100;

            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Get($vPath.$vFileName);

                    $vFileNameTmp=PATH_TMP."/".$vFileName;
                    if(IsImage($vFileNameTmp)){
                        $vFileNameTmpNew=tempnam(PATH_TMP, "RESIZE");

                        $arrInfo = getimagesize($vFileNameTmp);
                        $vImagen=false; $vExtension="";
                        switch($arrInfo[2]){
                            case IMAGETYPE_JPEG:
                                $vExtension=".jpg";
                                $vImagen = @imagecreatefromjpeg($vFileNameTmp);
                                break;
                            case IMAGETYPE_GIF:
                                $vExtension=".gif";
                                $vImagen = @imagecreatefromgif($vFileNameTmp);
                                break;
                            case IMAGETYPE_PNG:
                                $vExtension=".png";
                                $vImagen = @imagecreatefrompng($vFileNameTmp);
                                break;
                            default:
                                $vImagen = false;
                                break;
                        }
                        if($vImagen){
                            $vContent = @imageflip($vImagen, ($vModo=='V')?IMG_FLIP_VERTICAL:IMG_FLIP_HORIZONTAL);
                            switch($arrInfo[2]){
                                case IMAGETYPE_JPEG:
                                    $swOk=imagejpeg($vContent, $vFileNameTmpNew, $imageQuality);
                                    break;
                                case IMAGETYPE_GIF:
                                    $swOk=imagegif($vContent, $vFileNameTmpNew);
                                    break;
                                case IMAGETYPE_PNG:
                                    // *** Scale quality from 0-100 to 0-9
                                    $scaleQuality = round(($imageQuality/100) * 9);									
                                    // *** Invert quality setting as 0 is best, not 9
                                    $invertScaleQuality = 9 - $scaleQuality;
                                    $swOk=imagepng($vContent, $vFileNameTmpNew, $invertScaleQuality);
                                    break;
                            }
                            if($swOk){
                                $vPath=FTP_PATH.FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/";

                                if (!$oFTP->Directory_Exists($vPath)){
                                    $oFTP->Create_Dir($vPath);
                                }									

                                $vRpta=$oFTP->Put($vFileNameTmpNew, $vPath.$vFileName);
                                if($vRpta){
                                    //TODO FUNCIONO
                                    $arrData=$oFTP->Dimensions($vPath.$vFileName);
                                    $vSize=$oFTP->Size($vPath.$vFileName);
                                    $vW=intval($arrData['width']);
                                    $vH=intval($arrData['height']);
                                    
                                    $oI=new Access_Images_clsGallery();
                                    $intError=$oI->Rotate($vGalleryId, $vFileName, $vW, $vH, $vSize);
                                    if($intError>0){
                                        $intError=$intError;
                                        $msgError=$oI->getErrMsg($intError);
                                    }
                                }else{
                                    $intError=1;
                                    $msgError="Problems to upload new image to the server.";
                                }
                            }else{
                                $intError=1;
                                $msgError="Problems to save new image in temporal.";
                            }
                        }else{
                            $intError=1;
                            $msgError="Trouble creating a new image container.";
                        }
                    }else{
                        $intError=1;
                        $msgError="The original file is a invalid image.";
                    }
                }else{
                    $intError=1;
                    $msgError="The original file no longer exists on the server.";
                }
            }else{
                $intError=1;
                $msgError="The original file name is empty.";
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            $jsondata['oImage'] = "http://".FTP_DOMAIN."/".FTP_DIR.PATH_GALLERY_IMAGES_PUBLIC."/".$vFileName."?".time();
            $jsondata['oWidth'] = $vW;
            $jsondata['oHeight'] = $vH;
            $jsondata['oSize'] = $vSize;
            $jsondata['oSizeText'] = FormatSizeFile($vSize);
            echo json_encode($jsondata);
            break;
    }
?>