<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu="AMBIENTES"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vEdificioId=intval($array['edificioid']);
    $swNew=intval($array['swnew']);
    $vAmbienteId=intval($array['ambienteid']);

    $oE=new Acceso_clsEdificio();
    $oA=new Acceso_clsAmbiente();

    $rowAmbiente=array("ambienteid"=>0, "nombre"=>'', "abreviatura"=>'', "piso"=>0, "capacidad"=>0, "estado"=>true);
    if (!$swNew){
        $rowAmbiente=$oA->getROW($vAmbienteId);
        $vEdificioId=intval($rowAmbiente['edificioid']);
    }
    $rowEdificio=$oE->getROW($vEdificioId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO AMBIENTE</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/ambienteedit.js"></script>
    </head>
    <body onLoad="$('#txtNombre').focus();">
        <div id="divHeader">
            <?=btnSave()?>
            <?=getTitle(($swNew?"AGREGANDO":"EDITANDO")." AMBIENTE")?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmEdit" class="form-horizontal form-small">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="ambienteid" id="ambienteid" value="<?=$vAmbienteId?>">

                    <?
                    $oE= new Acceso_clsEdificio();
                    $rs=$oE->Leer();
                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                    getFormGroupSelect($arrAux, "cboEdificio", "EDIFICIO", "edificioid", "nombre", $vEdificioId);
                    
                    getFormGroupText("txtNombre", "NOMBRE", $rowAmbiente['nombre'], 50);
                    getFormGroupText("txtAbreviatura", "ABREVIATURA", $rowAmbiente['abreviatura'], 20);
                    getFormGroupText("txtPiso", "PISO", intval($rowAmbiente['piso']), 20, '', 'text-align: center;');
                    getFormGroupText("txtCapacidad", "CAPACIDAD", intval($rowAmbiente['capacidad']), 20, '', 'text-align: center;');
                    getFormGroupCheck("chkEstado", "ACTIVO", $rowAmbiente['estado']);
                    ?>

                </form>
            </div>
        </div>
    </body>
</html>