<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "showedi":
            $oEdi=new Acceso_clsEdificio();
            $rs=$oEdi->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updateedi":
            $vEdificioId=intval($array['edificioid']);
            $swNew=(intval($array['swnew'])==1);
            
            $oE=new Acceso_clsEdificio();
            
            $oE->pNombre=Almacenar_Dato($array['txtNombre']);
            
            if ($swNew){
                $intError=$oE->Agregar($vEdificioId);
            }else{
                $intError=$oE->Modificar($vEdificioId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oE->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deleteedi":
            $arrCheck=array(); if(isset($array['chkEdi'])) $arrCheck=$array['chkEdi'];
            $swError=false; $msgError="Errores: ";
            $oE=new Acceso_clsEdificio();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vEdificioId){
                    $intError=$oE->Eliminar($vEdificioId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oE->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "showamb":
            $vEdificioId=intval($array['edificioid']);

            $oA=new Acceso_clsAmbiente();

            $rs=$oA->Leer($vEdificioId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "reordenar_amb":
            $oA=new Acceso_clsAmbiente();
            $vEdificioId=intval($array['edificioid']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $vRpta=$oA->Reordenar($vEdificioId, $vArray);
            
            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Problemas al cambiar el orden.");
            echo json_encode($jsondata);
            break;

        case "updateamb":
            $oA=new Acceso_clsAmbiente();
            
            $oA->pEdificioId=intval($array['cboEdificio']);
            $oA->pNombre=Almacenar_Dato($array['txtNombre']);
            $oA->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oA->pPiso=intval($array['txtPiso']);
            $oA->pCapacidad=intval($array['txtCapacidad']);
            $oA->pEstado=isset($array['chkEstado']);

            $vAmbienteId=intval($array['ambienteid']);
            $swNew=(intval($array['swnew'])==1);
            
            if ($swNew){
                $intError=$oA->Agregar($vAmbienteId);
            }else{
                $intError=$oA->Modificar($vAmbienteId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oA->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deleteamb":
            $arrCheck=array(); if(isset($array['chkAmb'])) $arrCheck=$array['chkAmb'];
            $swError=false; $msgError="Errores: ";
            
            $oA=new Acceso_clsAmbiente();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vAmbienteId){
                    $intError=$oA->Eliminar($vAmbienteId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oA->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "ambiente-cambiar-estado";
            $vAmbienteId=intval($array['ambienteid']);

            $oA=new Acceso_clsAmbiente();
            $intError=$oA->Cambiar_Estado($vAmbienteId, $sessCodigo, miIP());

            $rowAmb=$oA->getROW($vAmbienteId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oA->getErrMsg($intError));
            $jsondata['Status'] = ($rowAmb['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>