<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="ORDEN-COMPRA"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $swNew=(intval($array['swnew'])==1);
    $vOrdenCompraId=intval($array['ordencompraid']);
    $vProductoId=intval($array['productoid']);
    $vCantidad=doubleval($array['cantidad']);
    $vValorVenta=doubleval($array['valor_venta']);
    $vTotal=doubleval($array['total']);
    $vGrabado=(intval($array['grabado'])==1);
    $vValorIGV=doubleval($array['valor_igv']);
    $vDescuentoPorc=doubleval($array['descuento_porc']);
    $vDescuentoFijo=doubleval($array['descuento_fijo']);
    $vTipoCalculo=intval($array['tipocalculo']);

    $oOC=new Acceso_clsOrdenCompra();
    $oP=new Acceso_clsProducto();
    $rowPro=$oP->getROW($vProductoId);
    
    $vDecCantidad=2;
    $vDecPrecio=4;
    $vDecDescuento=2;
    $vDecTotal=2;
    
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>ORDEN COMPRA - AGREGAR ITEM</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/ordencompraadditem.js?20170911001"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditStandard.js"></script>
    </head>
    <body onLoad="$('#txtCantidad').select().focus();">
        <div id="divHeader">
            <?=getTitle(($swNew?"AGREGANDO ITEM A LA ORDEN DE COMPRA":"EDITANTO ITEM DE LA ORDEN DE COMPRA"))?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divEdit">
                <form id="frmPanel" class="form-horizontal">
                    <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                    <input type="hidden" name="ordencompraid" id="ordencompraid" value="<?=$vOrdenCompraId?>">
                    <input type="hidden" name="productoid" id="productoid" value="<?=$vProductoId?>">
                    <input type="hidden" name="valor_igv" id="valor_igv" value="<?=$vValorIGV?>">
                    <input type="hidden" name="descuento" id="descuento" value="0">
                    <input type="hidden" name="igv" id="igv" value="0">
                    <input type="hidden" name="deccan" id="deccan" value="<?=$vDecCantidad?>">
                    <input type="hidden" name="decpre" id="decpre" value="<?=$vDecPrecio?>">
                    <input type="hidden" name="dectot" id="dectot" value="<?=$vDecTotal?>">
                    <?
                    getFormGroupBegin("PRODUCTO");
                    ?>
                    <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                        <?=InputGroupAddOn("objProducto", "width:407px; text-align:left; font-weight:bold;", "", ($rowPro?$rowPro['nombre']:""))?>
                        <?= bDefault("btnProdOpt", "", "list", "")?>
                    </div>
                    <div style="padding-top: 5px; padding-bottom: 5px;">
                        <?= bCheckDefault("chkGrabado", "chkGrabado", "Producto grabado", "", "", "btn-xs", "", $vGrabado)?>
                    </div>
                    <?
                    getFormGroupEnd();
                    
                    getFormGroupText("txtCantidad", "CANTIDAD", number_format($vCantidad, $vDecCantidad), 0, "", "", "max-width:150px; text-align:right;");

                    getFormGroupBegin("");
                    ?>
                    <div class="<?= clsBtnGroup()?>">
                        <label for="optTipCal0" class="btn btn-default"><input type="radio" name="optTipCal" id="optTipCal0" value="0" <?=($vTipoCalculo==0?'checked':'')?> style="padding:0px; margin:0px;" > Ingresar el Precio</label>
                        <label for="optTipCal1" class="btn btn-default"><input type="radio" name="optTipCal" id="optTipCal1" value="1" <?=($vTipoCalculo==1?'checked':'')?> style="padding:0px; margin:0px;" > Ingresar el Total</label>
                    </div>
                    <?
                    getFormGroupEnd();
                    
                    getFormGroupBegin("V. VENTA");
                    ?>
                    <div class="<?=clsInputGroup()?>">
                        <?= getInputText("txtValorVenta", "", number_format($vValorVenta, $vDecPrecio), 0, "form-control", "max-width:150px; text-align:right;")?>
                        <?=InputGroupAddOn("", "width:150px; text-align:right; font-weight:bold;", "", "PRECIO:")?>
                        <?= getInputText("txtPrecio", "", "", 0, "form-control", "max-width:100px; text-align:right;", true)?>
                    </div>
                    <?
                    getFormGroupEnd();

                    getFormGroupBegin("DESCUENTO(%)");
                    ?>
                    <div class="<?=clsInputGroup()?>">
                        <?= getInputText("txtDescuentoPorc", "", number_format($vDescuentoPorc, $vDecDescuento), 0, "form-control", "max-width:150px; text-align:right;")?>
                        <?=InputGroupAddOn("", "width:150px; text-align:right; font-weight:bold;", "", "TOTAL DSCTO(%):")?>
                        <?= getInputText("txtDescuentoPorcValor", "", "", 0, "form-control", "max-width:100px; text-align:right;", true)?>
                    </div>
                    <?
                    getFormGroupEnd();

                    getFormGroupBegin("DESCUENTO(S/)");
                    ?>
                    <div class="<?=clsInputGroup()?>">
                        <?= getInputText("txtDescuentoFijo", "", number_format($vDescuentoFijo, $vDecDescuento), 0, "form-control", "max-width:150px; text-align:right;")?>
                        <?=InputGroupAddOn("", "width:150px; text-align:right; font-weight:bold;", "", "TOTAL DSCTO:")?>
                        <?= getInputText("txtDescuento", "", "", 0, "form-control", "max-width:100px; text-align:right;", true)?>
                    </div>
                    <?
                    getFormGroupEnd();
                    
                    getFormGroupBegin("IGV(".$vValorIGV."%)");
                    ?>
                    <div class="<?=clsInputGroup()?>">
                        <?= InputGroupAddOn("", "width:50px", "", "")?>
                        <?= InputGroupAddOn("lblIGV", "width:100px; font-weight:bold; text-align:right;", "", "0.00")?>
                    </div>
                    <?
                    getFormGroupEnd();
                    
                    getFormGroupText("total", "TOTAL", number_format($vTotal, $vDecTotal), 0, "", "", "max-width:150px; text-align:right;");
                    
                    getFormGroupBegin("");
                    echo bSave("btnSave", ($swNew?"Incluir item":"Actualizar item"));
                    getFormGroupEnd();
                    ?>
                </form>
            </div>
        </div>
    </body>
</html>