<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="ORDEN-COMPRA"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vOrdenCompraId=intval($array['ordencompraid']);
    $swNew=(intval($array['swnew'])==1);
    $vEmpresaId=intval($array['empresaid']);
    $vOrdenCompraId=intval($array['ordencompraid']);
    $vOrdenCompraSimilarId=intval($array['ordencomprasimilarid']);

    $oOC=new Acceso_clsOrdenCompra();
    
    $vCorrelativo=$oOC->getCorrelativo($vEmpresaId);
    $vValorIGV=18;
    $vProveedorId=intval($array['proveedorid']);

    $rowOrden=array("ordencompraid"=>0, "correlativo"=>$vCorrelativo, "fecha"=>date('Y-m-d'), "proveedorid"=>$vProveedorId, "paraareaid"=>0, "condicionpagoid"=>0, "moneda"=>'NS', "valor_igv"=>$vValorIGV, "entrega_fecha"=>date('Y-m-d'), "entrega_lugar"=>'', "observacion"=>'');

    if (!$swNew){
        $rowOrden=$oOC->getROW($vOrdenCompraId);
        $vEmpresaId=intval($rowOrden['empresaid']);
        $vValorIGV=doubleval($rowOrden['valor_igv']);
        $vProveedorId=intval($rowOrden['proveedorid']);
    }else{
        if($vOrdenCompraSimilarId>0){
            $rowOrdenAux=$oOC->getROW($vOrdenCompraSimilarId);
            $vEmpresaId=intval($rowOrdenAux['empresaid']);
            $vProveedorId=intval($rowOrdenAux['proveedorid']);
            $rowOrden['paraareaid']=intval($rowOrdenAux['paraareaid']);
            $rowOrden['condicionpagoid']=intval($rowOrdenAux['condicionpagoid']);
            $rowOrden['moneda']=trim($rowOrdenAux['moneda']);
        }
    }
    $oE=new Acceso_clsEmpresa();
    $rowEmp=$oE->getROW($vEmpresaId);
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>ORDEN DE COMPRA - EDITAR</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="js/ordencompraedit.js?20170911001"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditDocumento.js"></script>
    </head>
    <body>
        <form id="frmPanel" class="form-horizontal" style="width: 100%; height: 100%;">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="empresaid" id="empresaid" value="<?=$vEmpresaId?>">
            <input type="hidden" name="ordencompraid" id="ordencompraid" value="<?=$vOrdenCompraId?>">
            <input type="hidden" name="proveedorid" id="proveedorid" value="<?=$vProveedorId?>">
            <input type="hidden" name="gengrabado" id="gengrabado" value="0">
            <input type="hidden" name="genexonerado" id="genexonerado" value="0">
            <input type="hidden" name="gendescuento" id="gendescuento" value="0">
            <input type="hidden" name="genigv" id="genigv" value="0">
            <input type="hidden" name="gentotal" id="gentotal" value="0">
            <input type="hidden" name="valor_igv" id="valor_igv" value="<?=$vValorIGV?>">
            <div id="divHeader">
                <?=btnSave()?>
                <?=getTitle($rowEmp['nombre'].": ".($swNew?"AGREGAR":"EDITAR")." ORDEN DE COMPRA")?>
                <?=btnClose()?>
            </div>
            <div id="divMain">
                <div id="divEdit" style="padding: 2px; overflow: hidden;">
                    <div id="divEditHead" class="BORDER_ALL BG2" style="height:135px; overflow: hidden;">
                        <table>
                            <tbody>
                                <tr>
                                    <td class="standard-label" width="120px">NUMERO/FECHA:</td>
                                    <td>
                                        <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                            <?=bDefault("btnCorrelativo", "", "refresh", "Nuevo correlativo", "", "", (!$swNew) )?>
                                            <?= getInputText("txtCorrelativo", "", intval($rowOrden['correlativo']), 0, "form-control", "width:90px; text-align:center;", true)?>
                                            <?= getInputText("txtFecha", "", FormatDate($rowOrden['fecha']), 10, "form-control", "width:90px; text-align:center;")?>
                                        </div>
                                    </td>
                                    <td class="standard-label" width="100px">MONEDA:</td>
                                    <td>
                                        <?
                                        $oTM= new Acceso_clsTipoMoneda();
                                        $rs=$oTM->Leer();
                                        $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        getSelect($arrAux, "cboMoneda", "tipomonedaid", "nombre", trim($rowOrden['moneda']), "form-control com-sm-12", "", "", "Seleccione la moneda", (count($arrAux)==0));
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="standard-label">PROVEEDOR:</td>
                                    <td colspan="3">
                                        <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                            <?=bInfo("btnProvSel", "", "user", "Seleccionar proveedor")?>
                                            <?=InputGroupAddOn("objProveedor", "width:440px; text-align:left; padding:0px;")?>
                                            <?=bWarning("btnProvClear", "", "remove", "Quitar proveedor")?>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="standard-label">AREA:</td>
                                    <td>
                                        <?
                                        $oA= new Acceso_clsArea();
                                        $rs=$oA->Leer();
                                        $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        getSelect($arrAux, "cboArea", "areaid", "nombre", intval($rowOrden['paraareaid']), "form-control com-sm-12", "", "0", "Seleccione el area", true);
                                        ?>
                                    </td>
                                    <td class="standard-label">CONDICION:</td>
                                    <td>
                                        <?
                                        $oC= new Acceso_Tesoreria_clsCondicionPago();
                                        $rs=$oC->Leer();
                                        $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        getSelect($arrAux, "cboCondicionPago", "condicionpagoid", "nombre", intval($rowOrden['condicionpagoid']), "form-control com-sm-12", "", "0", "Seleccione la condicion", true);
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="standard-label" width="120px">ENTREGA:</td>
                                    <td colspan="3">
                                        <div class="<?=clsInputGroup()?>">
                                            <?= getInputText("txtEntregaFecha", "", FormatDate($rowOrden['entrega_fecha']), 10, "form-control", "width:90px; text-align:center;")?>
                                            <?= getInputText("txtEntregaLugar", "Lugar de entrega", $rowOrden['entrega_lugar'], 100, "form-control", "width:420px;")?>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div id="divEditBody" class="BORDER_L BORDER_R" style=" overflow: auto; padding: 2px;">
                        <table width="100%" id="tblMain" class="standard">
                            <thead>
                                <tr class="title1">
                                    <th width="30px"><input type="checkbox" id="chkAll" name="chkAll"></th>
                                    <th class="left">DESCRIPCI&Oacute;N</th>
                                    <th width="40px">IGV</th>
                                    <th width="90px">CANTIDAD</th>
                                    <th width="90px" class="right">PRECIO</th>
                                    <th width="90px" class="right">DSCTO</th>
                                    <th width="100px" class="right">TOTAL</th>
                                    <th width="30px"></th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                    <div id="divEditFoot" class="BORDER_ALL BG2" style="height: 100px; padding: 4px; overflow: hidden">
                        <div class="row">
                            <div class="col-sm-6">
                                <table class="standard" width="100%">
                                    <tbody>
                                        <tr>
                                            <th class="standard-label top" width="100px">REFERENCIA:</th>
                                            <td><?= getInputText("txtDocRef", "", $rowOrden['doc_ref'], 50)?></td>
                                        </tr>
                                        <tr>
                                            <th class="standard-label top">OBSERVACION:</th>
                                            <td><?= getTextArea("txtObservacion", "", $rowOrden['observacion'])?></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="<?=clsBtnGroup()?>">
                                            <?= bInfo("btnAdd", "Agregar item", "plus")?>
                                            <?= bDanger("btnDelete", "", "trash")?>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="float-right">
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="<?=clsBtnGroup()?>">
                                                        <?= InputGroupAddOn("", "width:120px; text-align:right;", "", "SUBTOTAL:")?>
                                                        <?= InputGroupAddOn("lblSubTotal", "width:100px; font-weight:bold; text-align:right;", "", "0.00")?>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="<?=clsBtnGroup()?>">
                                                        <?= InputGroupAddOn("", "width:120px; text-align:right;", "", "IGV(".$vValorIGV."%):")?>
                                                        <?= InputGroupAddOn("lblIGV", "width:100px; font-weight:bold; text-align:right;", "", "0.00")?>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="<?=clsBtnGroup()?>">
                                                        <?= InputGroupAddOn("", "width:120px; text-align:right;", "", "TOTAL:")?>
                                                        <?= InputGroupAddOn("lblTotal", "width:100px; font-weight:bold; text-align:right;", "", "0.00")?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <div id="oFondo" class="fondo"></div>
        <div id="oEdit" class="divFrame" style="width:70%; height:80%; top:10%; left:15%; padding:0px; margin:0px; border:0px; z-index:99999999;"></div>
    </body>
</html>
<?
if($vProveedorId>0){
    ?>
    <script> $(function(){ ShowPerson($("#objProveedor"), <?=json_encode(getPersona($vProveedorId))?>, {nombre:'ProveedorEdit', titulo:'ACTUALIZANDO DATOS DEL PROVEEDOR'}); }); </script>
    <? 
}
$arrItems=array();
if(!$swNew){
    $rsItems=$oOC->LeerItems($vOrdenCompraId);
    if($rsItems) $arrItems=$rsItems->fetchAll(PDO::FETCH_ASSOC);
}else{
    if($vOrdenCompraSimilarId>0){
        $rsItems=$oOC->LeerItems($vOrdenCompraSimilarId);
        if($rsItems) $arrItems=$rsItems->fetchAll(PDO::FETCH_ASSOC);
    }
}
if(count($arrItems)>0){
    ?>
    <script>
    <? foreach($arrItems as $i=>$row){ ?>Add(<?=json_encode($row)?>);<? } ?>
    </script>
    <?
}
?>