<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    
    $segProcesoMenu="INV-PRECIOS"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
    
    $oZ= new Acceso_clsZona();
    $rs=$oZ->Leer();
    $arrZonas=array(); if($rs)$arrZonas=$rs->fetchAll(PDO::FETCH_ASSOC);
    
    $oE= new Acceso_clsPermisos_Empresa();
    $rs=$oE->Empresas($sessCodigo);
    $arrEmpresas=array(); if($rs)$arrEmpresas=$rs->fetchAll(PDO::FETCH_ASSOC);

    $arrTipoVenta=array(array("codigo"=>"0", "nombre"=>"MERCADERIA"), array("codigo"=>"1", "nombre"=>"SERVICIOS"));
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PRECIOS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsKardex.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
        <script language="javascript" type="text/javascript" src="js/precios.js?2017093001"></script>
    </head>
    <body>
        <div id="divHeader"><?=getTitle("PRECIOS")?></div>
        <div id="divSearch" class="BORDER_B">
            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                <?
                echo getSelect($arrEmpresas, "cboEmpresa", "empresaid", "nombre", 0, 'form-control', "width:300px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                ?>
                <?=bRefresh("btnRefresh", "Refrescar")?>
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding: 2px; overflow: hidden">

                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" data-toggle="tab">Precios</a></li>
                    <li><a href="#oTabs-2" data-toggle="tab">Solicitudes</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px; overflow: hidden;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:3px;" id="objTabs1Top">
                            <div class="<?= clsInputGroup()?> <?= clsBtnGroup()?>">
                                <?
                                echo getSelect($arrZonas, "cboPreciosZona", "zonaid", "nombre", 0, 'form-control', "width:200px;", "0", "Todas las zonas", true);
                                ?>
                                <?= getInputText("txtPreciosTexto", "Buscar", "", 0, "form-control", "width:150px")?>
                                <?=bRefresh("btnPreciosRef", "Refrescar")?>
                                <?=bDefault("btnPreciosPdf", "", "", "Enviar a PDF", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/pdf")?>
                                <?=bDefault("btnPreciosXls", "", "", "Enviar a Excel", "", "", false, HERRAMIENTAS_PHP_WEB."/iconos/xls")?>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs1Body">
                            <table id="tblPrecios" class="standard" empresaid="0">
                                <thead></thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:5px;" id="objTabs1Bottom">
                            <div class="float-left" id="lblPreciosMsg"></div>
                        </div>
                    </div>

                    
                    <div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:45px; padding:3px;" id="objTabs2Top">
                            <div class="<?= clsBtnGroup("btn-group-sm")?>">
                                <label for="optEstado-1" class="btn btn-default"><input type="radio" id="optEstado-1" name="optEstado" value="-1"> Todos</label>
                                <label for="optEstado1" class="btn btn-default btn-info"><input type="radio" id="optEstado1" name="optEstado" value="1" checked> En espera</label>
                                <label for="optEstado2" class="btn btn-default"><input type="radio" id="optEstado2" name="optEstado" value="2"> Aceptados</label>
                                <label for="optEstado0" class="btn btn-default"><input type="radio" id="optEstado0" name="optEstado" value="0"> Cancelados</label>
                            </div>
                        </div>
                        <div class="float-left BORDER_L BORDER_R" style="overflow:auto; padding:2px; margin:0px;" id="objTabs2Body">
                            <table id="tblSolicitud" class="standard" empresaid="0" width="100%">
                                <thead>
                                    <tr class="title1">
                                        <th width="30px">&nbsp;</th>
                                        <th width="30px"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                        <th width="150px">REGISTRO</th>
                                        <th width="60px"></th>
                                        <th class="left">ALMACEN</th>
                                        <th class="left">PRODUCTO</th>
                                        <th class="left">OBSERVACI&Oacute;N</th>
                                        <th width="100px">ESTADO</th>
                                        <th class="left">SOLICITANTE</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div class="float-left BG1 BORDER_ALL" style="overflow:hidden; height:40px; padding:5px;" id="objTabs2Bottom">
                            <div class="float-left" id="lblSoliMsg"></div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; border: 0px; z-index: 9999999;"></div>
    </body>
</html>