<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="INV-REPORTES"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <title>INVENTARIOS - PANEL DE REPORTES</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/reportes.js?20170927001"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols1.js"></script>
    </head>
    <body>
        <form name="frmPanel" id="frmPanel">
            <div id="divHeader">
                <span class="txtWinHeader">INVENTARIOS: PANEL DE REPORTES</span>
            </div>
            <div id="divMain">
                <div id="divGrid" style="padding:5px; overflow: hidden;">
                    <div id="divLeft" style="width:350px;">
                    	<div id="divLeftMain">
                            <table width="100%" id="tblMenu" class="standard">
                                <tbody>
                                    <!--<tr><td alt="VENTAS-DETALLADAS">VENTAS DETALLADAS</td></tr>-->
                                    <tr><td alt="VENTAS-PRODUCTO">VENTAS POR PRODUCTO</td></tr>
                                    <!--<tr><td alt="KARDEX">KARDEX</td></tr>-->
                                    <tr><td alt="KARDEX">KARDEX</td></tr>
                                    <tr><td alt="KARDEX-SUBCAT">KARDEX POR CATEGORIA</td></tr>
                                    <tr><td alt="LISTA-PRECIOS">LISTA DE PRECIOS</td></tr>
                                    <!--<tr><td alt="SALDOS">SALDOS</td></tr>-->
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div id="divRight">
                    	<div id="divRightMain">
                            <table border="0" id="tblMain">
                                <tr id="trEmp">
                                    <td class="standard-label">EMPRESA:</td>
                                    <td>
                                        <?
                                        $oE= new Acceso_clsPermisos_Empresa();
                                        $rs=$oE->Empresas($sessCodigo);
                                        $arrEmpresas=array(); if($rs)$arrEmpresas=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        echo getSelect($arrEmpresas, "cboEmpresa", "empresaid", "nombre", 0, 'form-control', "width:300px;", "0", "NO HAY EMPRESAS", count($arrEmpresas)==0);
                                        ?>
                                    </td>
                                </tr>
                                <tr id="trZon">
                                    <td class="standard-label">ZONA:</td>
                                    <td>
                                        <?
                                        $oZ= new Acceso_clsZona();
                                        $rs=$oZ->Leer();
                                        $arrZonas=array(); if($rs)$arrZonas=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        echo getSelect($arrZonas, "cboZona", "zonaid", "nombre", 0, 'form-control', "width:300px;", "0", "Todas las zonas", true);
                                        ?>
                                    </td>
                                </tr>
                                <tr id="trAlm">
                                    <td class="standard-label">ALMACEN:</td>
                                    <td>
                                        <select name="cboAlmacen" id="cboAlmacen" class="form-control" style="width:300px;">
                                            <option value="0">Todos los almacenes</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr id="trCat">
                                    <td class="standard-label">CATEGORIA:</td>
                                    <td>
                                        <?
                                        $oC= new Acceso_Catalogo_clsCategoria();
                                        $rs=$oC->Leer();
                                        $arrCategorias=array(); if($rs)$arrCategorias=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        echo getSelect($arrCategorias, "cboCategoria", "categoriaid", "nombre", 0, 'form-control', "width:300px;", "0", "Todas las categorias", true);
                                        ?>
                                    </td>
                                </tr>
                                <tr id="trSubCat">
                                    <td class="standard-label">SUBCATEGORIA:</td>
                                    <td>
                                        <select name="cboSubCategoria" id="cboSubCategoria" class="form-control" style="width:300px;">
                                            <option value="0">Todas las subcategorias</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr id="trTipDoc">
                                    <td class="standard-label">DOCUMENTO:</td>
                                    <td>
                                        <?
                                        $oTD= new Acceso_Contabilidad_clsTipoDocumento();
                                        $rs=$oTD->Leer();
                                        $arrTipDoc=array(); if($rs)$arrTipDoc=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        echo getSelect($arrTipDoc, "cboTipoDocumento", "tipodocumentoid", "nombre", 0, 'form-control', "width:300px;", "0", "Todos los documentos", true);
                                        ?>
                                    </td>
                                </tr>
                                <tr id="trOpc1">
                                    <td class="standard-label">OPCION:</td>
                                    <td>
                                        <select name="cboOpcion1" id="cboOpcion1" class="mb0" style="width:300px;">
                                            <option value="0">Seleccione</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr id="trFil1">
                                    <td class="standard-label">FILTRO:</td>
                                    <td>
                                        <select name="cboFiltro1" id="cboFiltro1" class="mb0" style="width:300px;">
                                            <option value="0">Seleccione</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr id="trFec1">
                                    <td class="standard-label" id="lblFecha1">ENTRE:</td>
                                    <td>
                                        <div class="<?= clsBtnGroup()?> <?= clsInputGroup()?>">
                                            <?= getInputText("txtDesde", "", "", 10, "form-control", "width:100px; text-align:center;")?>
                                            <?= bDefault("cmdDesdeClear", "", "trash", "Limpiar")?>
                                        </div>
                                    </td>
                                </tr>
                                <tr id="trFec2">
                                    <td class="standard-label" id="lblFecha2"></td>
                                    <td>
                                        <div class="<?= clsBtnGroup()?> <?= clsInputGroup()?>">
                                            <?= getInputText("txtHasta", "", "", 10, "form-control", "width:100px; text-align:center;")?>
                                            <?= bDefault("cmdHastaClear", "", "trash", "Limpiar")?>
                                        </div>
                                    </td>
                                </tr>
                                <tr><td>&nbsp;</td></tr>
                                <tr>
                                    <td>&nbsp;</td>
                                    <td>
                                        <?= bDefault("cmdExcel", "Enviar al Excel", "print", "Descargar en EXCEL")?>
                                        <?= bDefault("cmdPDF", "Enviar al PDF", "list", "Descargar en PDF")?>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>