<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="SALIDA"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vSalidaId=intval($array['salidaid']);
    $swNew=(intval($array['swnew'])==1);
    $vEmpresaId=intval($array['empresaid']);
    $vAlmacenId=intval($array['almacenid']);
    $vSalidaSimilarId=intval($array['salidasimilarid']);

    $oI=new Acceso_clsSalida();
    $oE=new Acceso_clsEmpresa();
    $oA=new Acceso_clsAlmacen();
    
    $vCorrelativo=$oI->getCorrelativo($vEmpresaId, $vAlmacenId);
    $vPersonaId=intval($array['personaid']);

    $rowSalida=array("salidaid"=>0, "correlativo"=>$vCorrelativo, "fecha"=>date('Y-m-d'), "personaid"=>$vPersonaId, "tipmovmerid"=>0, "tipodocumentoid"=>0, "numero"=>'', "observacion"=>'', "referencia"=>'', "referenciaid1"=>0, "referenciaid2"=>0);

    $vReferencia=""; $vReferenciaId1=0; $vReferenciaId2=0; $vReferenciaTexto=""; $swUpdate=true;
    if (!$swNew){
        $rowSalida=$oI->getROW($vSalidaId);
        $vEmpresaId=intval($rowSalida['empresaid']);
        $vAlmacenId=intval($rowSalida['almacenid']);
        $vPersonaId=intval($rowSalida['personaid']);
        $vReferencia=trim($rowSalida['referencia']);
        $vReferenciaId1=intval($rowSalida['referenciaid1']);
        $vReferenciaId2=intval($rowSalida['referenciaid2']);
        $vReferenciaTexto=trim($rowSalida['referenciatexto']);
    }else{
        if($vSalidaSimilarId>0){
            $rowSalidaAux=$oI->getROW($vSalidaSimilarId);
            $vEmpresaId=intval($rowSalidaAux['empresaid']);
            $vAlmacenId=intval($rowSalidaAux['almacenid']);
            $vPersonaId=intval($rowSalidaAux['personaid']);
            
            $vCorrelativo=$oI->getCorrelativo($vEmpresaId, $vAlmacenId);
            $rowSalida['tipodocumentoid']=intval($rowSalidaAux['tipodocumentoid']);
            $rowSalida['correlativo']=$vCorrelativo;
        }
    }
    $rowEmp=$oE->getROW($vEmpresaId);
    $rowAlm=$oA->getROW($vAlmacenId);
    if($vReferencia==refTRANSFERENCIA || $vReferencia==refVENTAS){
        $swUpdate=false;
    }
?>	
<!DOCTYPE html>
<html>
    <head>
        <title>SALIDAS DE MERCADERIA - EDITAR</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsOrdenCompra.js" ></script>
        <script language="javascript" type="text/javascript" src="js/salidaedit.js?20170828-002"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditDocumento.js"></script>
    </head>
    <body>
        <form id="frmPanel" class="form-horizontal" style="width: 100%; height: 100%;">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="empresaid" id="empresaid" value="<?=$vEmpresaId?>">
            <input type="hidden" name="almacenid" id="almacenid" value="<?=$vAlmacenId?>">
            <input type="hidden" name="salidaid" id="salidaid" value="<?=$vSalidaId?>">
            <input type="hidden" name="personaid" id="personaid" value="<?=$vPersonaId?>">
            <input type="hidden" name="referenciaid1" id="referenciaid1" value="<?=$vReferenciaId1?>">
            <input type="hidden" name="referenciaid2" id="referenciaid2" value="<?=$vReferenciaId2?>">
            <input type="hidden" name="gentotal" id="gentotal" value="0">
            <input type="hidden" name="swupdate" id="swupdate" value="<?=($swUpdate?'1':'0')?>">
            <div id="divHeader">
                <?=($swUpdate?btnSave():'')?>
                <?=getTitle($rowEmp['nombre'].": ".($swNew?"AGREGAR":"EDITAR")." SALIDA DE MERCADERIA")?>
                <?=btnClose()?>
            </div>
            <div id="divMain">
                <div id="divEdit" style="padding: 2px; overflow: hidden;">
                    <div id="divEditHead" class="BORDER_ALL BG2" style="height:160px; overflow: hidden;">
                        <div class="row">
                            <div class="col-sm-8">
                                <table>
                                    <tbody>
                                        <tr>
                                            <td class="standard-label">NUMERO/FECHA:</td>
                                            <td>
                                                <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                                    <?=bDefault("btnCorrelativo", "", "refresh", "Nuevo correlativo", "", "", (!$swNew) )?>
                                                    <?= getInputText("txtCorrelativo", "", intval($rowSalida['correlativo']), 0, "form-control", "width:90px; text-align:center;", true)?>
                                                    <?= getInputText("txtFecha", "", FormatDate($rowSalida['fecha']), 10, "form-control", "width:90px; text-align:center;")?>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="standard-label">PROVEEDOR:</td>
                                            <td>
                                                <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                                    <?=bInfo("btnProvSel", "", "user", "Seleccionar persona", "", "", !$swUpdate)?>
                                                    <?=InputGroupAddOn("objPersona", "width:440px; text-align:left; padding:0px;")?>
                                                    <?=bWarning("btnProvClear", "", "remove", "Quitar persona", "", "", !$swUpdate)?>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="standard-label" width="120px">REFERENCIA:</td>
                                            <td>
                                                <? if($swUpdate){?>
                                                    <?= getInputText("txtReferenciaDetalle", "", Mostrar_Dato($rowSalida['referencia_detalle']), 0, "form-control", "width:150px;")?>
                                                <? }else{?>
                                                    <span class="badge badge-warning" title=""><?=$vReferenciaTexto?></span>
                                                <? } ?>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-sm-4" style="padding:0px">
                                <div class="float-right">
                                    <table>
                                        <tbody>
                                            <tr>
                                                <td class="standard-label" width="120px">ALMACEN:</td>
                                                <td><span class="badge badge-success"><?= Mostrar_Dato($rowAlm['nombre'])?></span></td>
                                            </tr>
                                            <tr>
                                                <td class="standard-label" width="100px">TIPO:</td>
                                                <td>
                                                    <?
                                                    $oTM= new Acceso_clsTipoMovimientoMercaderia();
                                                    $rs=$oTM->Leer();
                                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                                    getSelect($arrAux, "cboTipMovMer", "tipmovmerid", "nombre", intval($rowSalida['tipmovmerid']), "form-control com-sm-12", "", "", "Seleccione el tipo", (count($arrAux)==0), !$swUpdate);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="standard-label">DOCUMENTO:</td>
                                                <td>
                                                    <?
                                                    $oT= new Acceso_Contabilidad_clsTipoDocumento();
                                                    $rs=$oT->Leer();
                                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                                    getSelect($arrAux, "cboTipoDocumento", "tipodocumentoid", "nombre", intval($rowSalida['tipodocumentoid']), "form-control com-sm-12", "", "0", "Seleccione el tipo", true, !$swUpdate);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="standard-label">NUMERO:</td>
                                                <td><?= getInputText("txtNumero", "", Mostrar_Dato($rowSalida['numero']), 13, "form-control com-sm-12", "text-align:center; font-weight:bold; color: #FF0000; font-size:14px;", !$swUpdate)?></td>
                                            </tr>
                                            <tr>
                                                <td class="standard-label">MONEDA:</td>
                                                <td>
                                                    <?
                                                    $oTM= new Acceso_clsTipoMoneda();
                                                    $rs=$oTM->Leer();
                                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                                    getSelect($arrAux, "cboMoneda", "tipomonedaid", "nombre", trim($rowSalida['moneda']), "form-control com-sm-12", "", "", "Seleccione el tipo", false, !$swUpdate);
                                                    ?>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="divEditBody" class="BORDER_L BORDER_R" style=" overflow: auto; padding: 2px;">
                        <table width="100%" id="tblMain" class="standard">
                            <thead>
                                <tr class="title1">
                                    <th width="30px"><input type="checkbox" id="chkAll" name="chkAll"></th>
                                    <th class="left">DESCRIPCI&Oacute;N</th>
                                    <th width="90px">CANTIDAD</th>
                                    <th width="90px" class="right">PRECIO</th>
                                    <th width="100px" class="right">TOTAL</th>
                                    <th width="90px">BONIFIC</th>
                                    <th width="30px"></th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                    <div id="divEditFoot" class="BORDER_ALL BG2" style="height: 70px; padding: 4px; overflow: hidden">
                        <div class="row">
                            <div class="col-sm-6">
                                <table class="standard" width="100%">
                                    <tbody>
                                        <tr>
                                            <th class="standard-label top" width="100px">OBSERVACION:</th>
                                            <td><?= getTextArea("txtObservacion", "", $rowSalida['observacion'], "", "", !$swUpdate)?></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-sm-6">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="<?=clsBtnGroup()?>">
                                            <? if ($swUpdate){ ?>
                                                <?= bInfo("btnAdd", "Agregar item", "plus")?>
                                                <?= bDanger("btnDelete", "", "trash")?>
                                            <? } ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="float-right">
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="<?=clsBtnGroup()?>">
                                                        <?= InputGroupAddOn("", "width:120px; text-align:right;", "", "TOTAL:")?>
                                                        <?= InputGroupAddOn("lblTotal", "width:100px; font-weight:bold; text-align:right;", "", "0.00")?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <div id="oFondo" class="fondo"></div>
        <div id="oEdit" class="divFrame" style="width:70%; height:70%; top:15%; left:15%; padding:0px; margin:0px; border:0px; z-index:99999999;"></div>
    </body>
</html>
<?
if($vPersonaId>0){
    ?>
    <script> $(function(){ ShowPerson($("#objPersona"), <?=json_encode(getPersona($vPersonaId))?>, {nombre:'PersonaEdit', titulo:'ACTUALIZANDO DATOS DEL CLIENTE'}); }); </script>
    <? 
}
$arrItems=array();
if(!$swNew){
    $rsItems=$oI->LeerItems($vSalidaId);
    if($rsItems) $arrItems=$rsItems->fetchAll(PDO::FETCH_ASSOC);
}else{
    if($vSalidaSimilarId>0){
        $rsItems=$oI->LeerItems($vSalidaSimilarId);
        if($rsItems) $arrItems=$rsItems->fetchAll(PDO::FETCH_ASSOC);
    }
}
if(count($arrItems)>0){
    ?>
    <script>
    <? foreach($arrItems as $i=>$row){ ?>Add(<?=json_encode($row)?>);<? } ?>
    </script>
    <?
}
?>