<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="TRANSFERENCIA"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <title>TRANSFERENCIAS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/transferencia.js?20170922002"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnAdd()?><?=btnDelete()?><?=btnRefresh()?>
            <?=getTitle("TRANSFERENCIAS")?>
        </div>
        <div id="divSearch" class="BORDER_B" style="height: 100px;">
            <div class="float-left">
                <table>
                    <tbody>
                        <tr>
                            <td>
                                <?
                                $oE= new Acceso_clsPermisos_Empresa();
                                $rs=$oE->Empresas($sessCodigo);
                                $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                echo getSelect($arrAux, "cboEmpresa", "empresaid", "nombre", 0, 'form-control', "width:250px;", "-1", "No hay empresas", (count($arrAux)==0));
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <?
                                $oA= new Acceso_clsPermisos_Almacen();
                                $rs=$oA->LeerAlmacenes($sessCodigo, 0);
                                $arrAlm=array(); if($rs)$arrAlm=$rs->fetchAll(PDO::FETCH_ASSOC);
                                echo getSelect($arrAlm, "cboAlmacenOrigen", "almacenid", "nombre", 0, 'form-control', "width:250px;", "0", "Todos los origenes", true);
                                ?>
                            </td>
                            <td><?= getInputText("txtDesde", "dd/mm/aaaa", "", 0, "form-control", "max-width:100px;")?></td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>
                                <?
                                echo getSelect($arrAlm, "cboAlmacenDestino", "almacenid", "nombre", 0, 'form-control', "width:250px;", "0", "Todos los destinos", true);
                                ?>
                            </td>
                            <td><?= getInputText("txtHasta", "dd/mm/aaaa", "", 0, "form-control", "max-width:100px;")?></td>
                            <td></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px">
                <form id="frmPanel" method="post" action="#">
                    <table width="100%" id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="30px">&nbsp;</th>
                                <th width="30px"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                <th width="50px">ID</th>
                                <th width="150px">REGISTRO</th>
                                <th width="80px">FECHA</th>
                                <th width="40px"></th>
                                <th class="left">TIPO</th>
                                <th class="left">ORIGEN</th>
                                <th class="left">DESTINO</th>
                                <th>USUARIO</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
            	<div class="float-left" id="lblPage"></div>
            	<div class="float-right" style="padding-left:15px"><? echo ShowSelectPage(100); ?></div>
            </div>
        </div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0px; left:0px; padding:0px; margin:0px; border:0px; z-index:999999;"></div>
    </body>
</html>