<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="TRANSFERENCIA"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vTransferenciaId=intval($array['transferenciaid']);
    $swNew=(intval($array['swnew'])==1);
    $vEmpresaId=intval($array['empresaid']);
    $vAlmacenOrigenId=intval($array['almacenorigenid']);
    $vAlmacenDestinoId=intval($array['almacendestinoid']);

    $oI=new Acceso_clsTransferencia();
    $oE=new Acceso_clsEmpresa();
    $oPA= new Acceso_clsPermisos_Almacen();
    
    $rowTransferencia=array("transferenciaid"=>0, "fecha"=>date('Y-m-d'), "tipmovmerid"=>0, "almacenorigenid"=>$vAlmacenOrigenId, "almacendestinoid"=>$vAlmacenDestinoId, "observacion"=>'');

    if (!$swNew){
        $rowTransferencia=$oI->getROW($vTransferenciaId);
        $vEmpresaId=intval($rowTransferencia['empresaid']);
        $vAlmacenOrigenId=intval($rowTransferencia['almacenorigenid']);
        $vAlmacenDestinoId=intval($rowTransferencia['almacendestinoid']);
    }
    $rowEmp=$oE->getROW($vEmpresaId);
    
    $rsAlm=$oPA->LeerAlmacenes($sessCodigo, 0);
    $arrAlm=array(); if($rsAlm)$arrAlm=$rsAlm->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>TRANSFERENCIAS - EDITAR</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="js/transferenciaedit.js?20170828-002"></script>
        <script language="javascript" type="text/javascript" src="../js/frmEditDocumento.js"></script>
    </head>
    <body>
        <form id="frmPanel" class="form-horizontal" style="width: 100%; height: 100%;">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="empresaid" id="empresaid" value="<?=$vEmpresaId?>">
            <input type="hidden" name="transferenciaid" id="transferenciaid" value="<?=$vTransferenciaId?>">
            <input type="hidden" name="gentotal" id="gentotal" value="0">
            <div id="divHeader">
                <?=btnSave()?>
                <?=getTitle($rowEmp['nombre'].": ".($swNew?"AGREGAR":"EDITAR")." TRANSFERENCIA")?>
                <?=btnClose()?>
            </div>
            <div id="divMain">
                <div id="divEdit" style="padding: 2px; overflow: hidden;">
                    <div id="divEditHead" class="BORDER_ALL BG2" style="height:70px; overflow: hidden;">
                        <div class="row">
                            <div class="col-sm-6" style="padding:0px;">
                                <table>
                                    <tbody>
                                        <tr>
                                            <td class="standard-label" width="80px">FECHA:</td>
                                            <td><?= getInputText("txtFecha", "", FormatDate($rowTransferencia['fecha']), 10, "form-control", "width:90px; text-align:center;")?></td>
                                        </tr>
                                        <tr>
                                            <td class="standard-label" width="100px">TIPO:</td>
                                            <td>
                                                <?
                                                $oTM= new Acceso_clsTipoMovimientoMercaderia();
                                                $rs=$oTM->Leer();
                                                $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                                getSelect($arrAux, "cboTipMovMer", "tipmovmerid", "nombre", intval($rowTransferencia['tipmovmerid']), "form-control com-sm-12", "", "", "Seleccione el tipo", (count($arrAux)==0));
                                                ?>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-sm-6" style="padding:0px">
                                <div class="float-right">
                                    <table>
                                        <tbody>
                                            <tr>
                                                <td class="standard-label" width="80px">ORIGEN:</td>
                                                <td>
                                                    <?
                                                    if($swNew){
                                                        echo getSelect($arrAlm, "cboAlmacenOrigen", "almacenid", "nombre", intval($rowTransferencia['almacenorigenid']), 'form-control', "width:250px;", "0", "Sin permisos", count($arrAlm)==0);
                                                    }else{
                                                        ?>
                                                        <input type="hidden" value="<?=intval($rowTransferencia['almacenorigenid'])?>" id="cboAlmacenOrigen" name="cboAlmacenOrigen">
                                                        <span class="badge badge-success"><?= Mostrar_Dato($rowTransferencia['almacenorigen_nombre'])?></span>
                                                        <?
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="standard-label">DESTINO:</td>
                                                <td><?
                                                    if($swNew){
                                                        echo getSelect($arrAlm, "cboAlmacenDestino", "almacenid", "nombre", intval($rowTransferencia['almacendestinoid']), 'form-control', "width:250px;", "0", "Sin permisos", count($arrAlm)==0);
                                                    }else{
                                                        ?>
                                                        <input type="hidden" value="<?=intval($rowTransferencia['almacendestinoid'])?>" id="cboAlmacenDestino" name="cboAlmacenDestino">
                                                        <span class="badge badge-warning"><?= Mostrar_Dato($rowTransferencia['almacendestino_nombre'])?></span>
                                                        <?
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="divEditBody" class="BORDER_L BORDER_R" style=" overflow: auto; padding: 2px;">
                        <table width="100%" id="tblMain" class="standard">
                            <thead>
                                <tr class="title1">
                                    <th width="30px"><input type="checkbox" id="chkAll" name="chkAll"></th>
                                    <th class="left">DESCRIPCI&Oacute;N</th>
                                    <th width="150px">CANTIDAD</th>
                                    <!--
                                    <th width="90px" class="right">PRECIO</th>
                                    <th width="100px" class="right">TOTAL</th>
                                    -->
                                    <th width="30px"></th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                    <div id="divEditFoot" class="BORDER_ALL BG2" style="height: 70px; padding: 4px; overflow: hidden">
                        <div class="row">
                            <div class="col-sm-6">
                                <table class="standard" width="100%">
                                    <tbody>
                                        <tr>
                                            <th class="standard-label top" width="100px">OBSERVACION:</th>
                                            <td><?= getTextArea("txtObservacion", "", $rowTransferencia['observacion'])?></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-sm-6">
                                <div class="<?=clsBtnGroup()?>">
                                    <?= bInfo("btnAdd", "Agregar item", "plus")?>
                                    <?= bDanger("btnDelete", "", "trash")?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <div id="oFondo" class="fondo"></div>
        <div id="oEdit" class="divFrame" style="width:70%; height:70%; top:15%; left:15%; padding:0px; margin:0px; border:0px; z-index:99999999;"></div>
    </body>
</html>
<?
$arrItems=array();
if(!$swNew){
    $rsItems=$oI->LeerItems($vTransferenciaId);
    if($rsItems) $arrItems=$rsItems->fetchAll(PDO::FETCH_ASSOC);
}
if(count($arrItems)>0){
    ?>
    <script>
    <? foreach($arrItems as $i=>$row){ ?>Add(<?=json_encode($row)?>);<? } ?>
    </script>
    <?
}
?>