<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "precios":
            $vEmpresaId=intval($array['empresaid']);
            $vZonaId=intval($array['zonaid']);
            $vAno=intval($array['ano']); if($vAno==0) $vAno=date('Y');
            $vTexto=trim($array['texto']);
            
            $oA=new Acceso_clsPermisos_Almacen();
            $oP=new Acceso_clsProducto();
            $oR=new Acceso_Inventarios_clsReportes();
            
            $rsZon=$oA->LeerZonas($vEmpresaId, $sessCodigo, 0, $vZonaId);
            $rsAlm=$oA->LeerAlmacenes($vEmpresaId, $sessCodigo, 0, $vZonaId);
            $rsPro=$oP->Consulta($vAno, $vEmpresaId, 0, 0, $vTexto);
            $rsRpt=$oR->PreciosGeneral($vEmpresaId, $vZonaId);

            $arrZon=array(); if($rsZon) $arrZon=$rsZon->fetchAll(PDO::FETCH_ASSOC);
            $arrAlm=array(); if($rsAlm) $arrAlm=$rsAlm->fetchAll(PDO::FETCH_ASSOC);
            $arrPro=array(); if($rsPro) $arrPro=$rsPro->fetchAll(PDO::FETCH_ASSOC);
            $arrAux=array(); if($rsRpt) $arrAux=$rsRpt->fetchAll(PDO::FETCH_ASSOC);
            
            $arrAlmAux=array(); foreach($arrAlm as $iAlm=>$rowAlm){ $arrAlmAux[$rowAlm['zonaid']][]=$rowAlm; }
            foreach($arrZon as $iZon=>$rowZon){
                $arrZon[$iZon]['oAlmacen']=(isset($arrAlmAux[$rowZon['zonaid']])?$arrAlmAux[$rowZon['zonaid']]:array());
            }
            
            $arrData=array();
            foreach($arrAux as $i=>$row){
                $arrData[$row['productoid']][$row['almacenid']]=doubleval($row['precio_va']);
            }
            
            $jsondata['oData'] = $arrData;
            $jsondata['oProducto'] = $arrPro;
            $jsondata['oZona'] = $arrZon;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
            
        case "solicitud-read":
            $vEstado=intval($array['estado']);
            
            $oCP=new Acceso_Catalogo_clsCambiarPrecios();
            $rs=$oCP->Leer(0, 0, $vEstado);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "solicitud-cancelar";
            $arrIDS=array(); if(isset($array['ids'])) $arrIDS=$array['ids'];

            $oCP=new Acceso_Catalogo_clsCambiarPrecios();

            $swError=false; $msgError="Errores: ";
            if (is_array($arrIDS)){
                foreach($arrIDS as $i => $vId){
                    $intError=$oCP->Cancelar($vId, $sessCodigo, miIP());
                    if ($intError!=0){
                        $swError=true;
                        $msgError.=$oCP->getErrMsg($intError)." ";
                    }
                }
            }            

            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>