<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "incluir":
            $vProductoId=intval($array['productoid']);
            $vCantidad=doubleval($array['cantidad']);
            $vPrecio=doubleval($array['precio']);

            $oP=new Acceso_clsProducto();
            $rowPro=$oP->getROW($vProductoId);
            
            $intError=0; $msgError=""; $arrData=array();
            if(!$rowPro){
                $intError=1; $msgError="Producto no existe";
            }else{
                $arrData=array(array("productoid"=>$rowPro['productoid'], "producto"=>$rowPro['nombre'], "cantidad"=>$vCantidad, "precio"=>$vPrecio, "total"=>$vTotal));
            }

            $jsondata['oData'] = $arrData;
            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = $msgError;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oT=new Acceso_clsTransferencia();
            $oT->pEmpresaId=intval($array['empresaid']);
            $oT->pFecha=CDate($array['txtFecha']);
            $oT->pTipMovMerId=intval($array['cboTipMovMer']);
            $oT->pAlmacenOrigenId=intval($array['cboAlmacenOrigen']);
            $oT->pAlmacenDestinoId=intval($array['cboAlmacenDestino']);
            $oT->pMoneda=Almacenar_Dato($array['cboMoneda']);
            $oT->pObservacion=Almacenar_Dato($array['txtObservacion']);
            
            $vArray="";
            $arrIDS=array(); if(isset($array['productoid']))$arrIDS=$array['productoid'];
            $arrCantidad=$array['cantidad'];
            $arrPrecio=$array['precio'];
            if(is_array($arrIDS)){
                foreach($arrIDS as $i => $vProductoId){
                    $myArray.="[";
                    $myArray.="'".intval($vProductoId)."',";
                    $myArray.="'".doubleval($arrCantidad[$i])."',";
                    $myArray.="'".doubleval($arrPrecio[$i])."' ";
                    $myArray.="],";
                }
                if(trim($myArray)!=''){
                    $myArray=substr($myArray,0, -1);
                    $myArray="array[$myArray]";
                }else $myArray="null";
            }else $myArray="null";

            $vTransferenciaId=intval($array['transferenciaid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oT->Agregar($vTransferenciaId, $myArray, $sessCodigo, miIP());
            }else{
                $intError=$oT->Modificar($vTransferenciaId, $myArray, $sessCodigo, miIP());
            }

            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
    }
?>