    //BEGIN PRODUCTO SELECT
    function ProductoSelect(){
        var objPro=new clsProducto();
        objPro.pEmpresaId=$('#empresaid').val();
        objPro.pOpcion="";
        objPro.jsSelect="ProductoShow";
        objPro.jsEdit="ProductoEdit";
        objPro.jsClose="";
        objPro.Show("SELECCIONE EL PRODUCTO");
    }
    function ProductoEdit(){ }
    var ajPro=null;
    function ProductoShow(vProductoId){
        $("#productoid").val(vProductoId);
        if(ajPro)ajPro.abort();
        ajPro=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "../general/ajData.php",
            data: ({miopcion:"getproducto", productoid:vProductoId }),
            beforeSend: function(){$("#objProducto").html('Espere...');},
            success: function(oRpta){ ShowProducto($("#objProducto"), oRpta, {nombre:'ProductoEdit', titulo:'ACTUALIZANDO DATOS DEL PRODUCTO'}); }
        });
    }
    //END PRODUCTO SELECT
    
    //BEGIN CLIENTE SELECT
    function ClienteSelect(){
        var objPer=new clsConsulta_Persona();
        objPer.pOpcion="";
        objPer.jsSelect="ClienteShow";
        objPer.jsEdit="ClienteEdit";
        objPer.jsClose="";
        objPer.Show("SELECCIONE EL CLIENTE");
    }
    function ClienteEdit(vPersonaId,swNuevo,vTitulo){
        var objPer=new clsConsulta_Persona();
        objPer.pOpcion="CLI";
        objPer.jsSelect="";
        objPer.jsClose="";
        objPer.Editar(vPersonaId,swNuevo,vTitulo);
    }
    var ajCli=null;
    function ClienteShow(vPersonaId){
        $("#clienteid").val(vPersonaId);
        if(ajCli)ajCli.abort();
        ajCli=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "../general/ajData.php",
            data: ({miopcion:"getpersona", personaid:vPersonaId }),
            beforeSend: function(){$("#objCliente").html('Espere...');},
            success: function(oRpta){ ShowPerson($("#objCliente"), oRpta, {nombre:'ClienteEdit', titulo:'ACTUALIZANDO DATOS DEL CLIENTE'}); }
        });
    }
    //END CLIENTE SELECT
    
    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        $('#lblTotal').html("0.00");
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajVentaConsulta.php",
            data: ({miopcion:"read", empresaid:$("#empresaid").val(), tipo:$("#cboTipoVenta").val(), almacenid:$("#cboAlmacen").val(), clienteid:$("#clienteid").val(), productoid:$("#productoid").val(), desde:$("#txtDesde").val(), hasta:$("#txtHasta").val() }),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow ='';
        var vTotal=0;
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr id="'+oRow.ventaid+'" ventaid="'+oRow.ventaid+'">';				
            tblRow+='<td><input type="checkbox" value="'+oRow.ventaid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.ventaid+'</td>';
            tblRow+='<td title="'+oRow.almacen_nombre+'">'+oRow.almacen_abreviatura+'</td>';
            tblRow+='<td>'+FormatDate(oRow.fecha)+'</td>';

            tblRow+='<td valign="top"><div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-xs pull-right" data-toggle="dropdown">'+getIcon("th-list")+' <span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            tblRow+='<li><a href="javascript:void(0)" id="btnEdit" style="text-align:left">'+getIcon("pencil")+' Editar</a></li>';
            //tblRow+='<li><a href="javascript:void(0)" id="btnSimilar" style="text-align:left">'+getIcon("eye-open")+' Generar orden similar</a></li>';
            //tblRow+='<li><a href="javascript:void(0)" id="btnIngreso" style="text-align:left">'+getIcon("picture")+' Generar nota de ingreso</a></li>';
            tblRow+='<li><a href="javascript:void(0)" id="btnPrint" style="text-align:left">'+getIcon("print")+' Imprimir</a></li>';
            tblRow+='</ul>';
            tblRow+='</div></td>';

            tblRow+='<td>'+oRow.numero+'</td>';
            tblRow+='<td>'+oRow.cliente_nrodoc+'</td>';
            tblRow+='<td>'+oRow.cliente_nombre+'</td>';
            tblRow+='<td>'+oRow.simbolo_moneda+' '+(oRow.estado?$.formatNumber(oRow.vta_total, {format:"#,##0.00", locale:"us"}):'0.00')+'</td>';
            tblRow+='<td><img src="'+oData.oImages+(oRow.estado?"/valido.gif":"/invalido.gif")+'" title="'+(oRow.estado?"Click para anular":"Click para activar")+'"></td>';
            tblRow+='<td>'+oRow.registro+'</td>';
            tblRow+='</tr>';
            if(oRow.estado){
                if(oRow.signo!='-'){
                    vTotal+=$.parseNumber(oRow.total_soles, {format:"#,##0.00", locale:"us"});
                }else{
                    vTotal-=$.parseNumber(oRow.total_soles, {format:"#,##0.00", locale:"us"});
                }
            }
        });
        $("#tblMain tbody").html(tblRow);
        $('#lblMsg').html('Existen <span class="badge badge-primary">'+$.formatNumber(oData.oData.length, {format:"#,##0", locale:"us"})+'</span> registros');
        $('#tblContent').show();
        $('#lblTotal').html($.formatNumber(vTotal, {format:"#,##0.00", locale:"us"}));
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("PADD_3 BORDER_ALL");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(3), #tblMain tbody tr td:nth-child(8)").css({'text-align':'left'});
        $("#tblMain tbody tr td:nth-child(9)").css({'text-align':'right', 'font-weight':'bold', "background-color":"#F3F781"});

        $("#tblMain tbody a[id='btnPrint']").click(function(e){ Print($(this).parents("tr").attr('ventaid')); });

        $("#tblMain tbody input:checkbox[name='chk[]']").click(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }
    function Cerrar(){ $("#oEdit").hide().html(""); }
    //function Editar(vMotivoId, swNew){ $("#oEdit").show().html("<iframe src='MotivoAnulacionEdit.php?motivoid="+vMotivoId+"&swnew="+swNew+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Print(vVentaId){ window.open("pdfVenta.php?ventaid="+vVentaId); }
    
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        
        $("#txtDesde").datepicker({ format:'dd/mm/yyyy', language:'es', autoclose: true, todayHighlight: true });
        $("#txtHasta").datepicker({ format:'dd/mm/yyyy', language:'es', autoclose: true, todayHighlight: true });
        
        $("#btnRefresh").click(function(e){Show();}).click();
        $("#btnClose").click(function(e){parent.Cerrar();});
        
        $('#btnCliSel').click(function(e){ ClienteSelect(); });
        $('#btnCliClear').click(function(e){ $('#clienteid').val(0);$('#objCliente').html('&nbsp;'); });
        $('#btnProSel').click(function(e){ ProductoSelect(); });
        $('#btnProClear').click(function(e){ $('#productoid').val(0);$('#objProducto').html('&nbsp;'); });
        $("#cboAlmacen, #cboTipoVenta").change(function(){ Show(); });
        
    });