<?
    header("Cache-Control: no-store, no-cache, must-revalidate"); 
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    require_once(HERRAMIENTAS_PHP."/pdf.php");
    require_once(HERRAMIENTAS_PHP."/tcpdf/config/lang/eng.php");
    require_once(HERRAMIENTAS_PHP."/tcpdf/tcpdf.php");
    require_once(HERRAMIENTAS_PHP."/FunctionsPDF.php");

    function ShowSubCat(){
        global $pdf, $vFontFamily, $fsSize, $hRowSubCat, $hNow, $rowSubCat, $wPage;
        $vValor=$rowSubCat['categoria_nombre']." / ".$rowSubCat['subcategoria_nombre'];
        PrintCell($pdf, $vValor, $wPage, $hRowSubCat, $fsSize, 1, "L", true, 'B', $vFontFamily);
        $pdf->Ln($hRowSubCat);
        $hNow+=$hRowSubCat;
    }
    function ShowProducto(){
        global $pdf, $vFontFamily, $fsSize, $hRowPro, $hNow, $rowPro, $rowWidth, $vSaldoCantidad;
        $wAux=$rowWidth['detalle']+$rowWidth['orden']+$rowWidth['fecha']+$rowWidth['ingreso']+$rowWidth['salida'];
        PrintCell($pdf, $rowPro['producto_nombre'], $wAux, $hRowPro, $fsSize, 1, "L", true, 'B', $vFontFamily);
        PrintCell($pdf, $vSaldoCantidad, $rowWidth['saldo'], $hRowPro, $fsSize, 1, "C", true, 'B', $vFontFamily);
        $pdf->Ln($hRowPro);
        $hNow+=$hRowPro;
    }
    
    class MYPDF extends TCPDF {	
        public $rowWidth;
        public $pUsuario;
        public $pTitulo;
        public $pSubTitulo;
        public $pDescripcion;
        public function Header() {
            $wAux=getPageWidth($this);
            $this->SetFillColor(240);
            $hAux=11; $this->Cell(0, $hAux, ""); $this->Ln($hAux);
            $hAux=7; PrintCell($this, $this->pTitulo, $wAux, $hAux, 10, 1, "C", true, 'B'); $this->Ln($hAux);
            $hAux=7; PrintCell($this, $this->pSubTitulo, ($wAux/2), $hAux, 10, 1, "L", false, 'B');
            $hAux=7; PrintCell($this, $this->pDescripcion, ($wAux/2), $hAux, 10, 1, "R", false, 'B'); $this->Ln($hAux);
            
            $this->SetFont('helvetica', 'B', 8);
            $hAux=5; $wAux=$this->rowWidth['detalle']+$this->rowWidth['orden']+$this->rowWidth['fecha'];
            PrintCell($this, " CATEGORIA / PRODUCTO", $wAux, $hAux, 8, 1, 'L', true, "B");
            PrintCell($this, "INGRESO", $this->rowWidth['ingreso'], $hAux, 8, 1, 'C', true, "B");
            PrintCell($this, "SALIDA", $this->rowWidth['salida'], $hAux, 8, 1, 'C', true, "B");
            PrintCell($this, "SALDO", $this->rowWidth['saldo'], $hAux, 8, 1, 'C', true, "B");
            PrintCell($this, " PERSONA", $this->rowWidth['cliente'], $hAux, 8, 1, 'L', true, "B");
        }

        public function Footer(){
            $this->SetY(-15);
            $this->SetFont('helvetica', 'I', 7);
            $this->Cell(0,10, date('d/m/Y h:i:s a')."   USUARIO: ".$this->pUsuario, "T", 0, 'L');
            $this->Cell(0,10,'Pagina '.$this->PageNo().'/'.$this->getAliasNbPages(),0,0,'R');
        }
    }
    
    //BEGIN OBTENIENDO VALORES
    $array=$_GET;
    $vZonaId=intval($array['zonaid']);
    $vAlmacenId=intval($array['almacenid']);
    $vCategoriaId=intval($array['categoriaid']);
    $vSubCategoriaId=intval($array['subcategoriaid']);
    $vDesde=CDate($array['desde']);
    $vHasta=CDate($array['hasta']);
    //END OBTENIENDO VALORES

    $oZ=new Acceso_clsZona();
    $oA=new Acceso_clsAlmacen();
    $oR=new Acceso_Inventarios_clsReportes();

    $vZonaNombre="TODAS LAS ZONAS";
    if($vZonaId>0){
        $rowZona=$oZ->getROW($vZonaId);
        $vZonaNombre=$rowZona['nombre'];
    }
    $vAlmacenNombre="TODAS LOS ALMACENES";
    if($vAlmacenId>0){
        $rowAlmacen=$oA->getROW($vAlmacenId);
        $vAlmacenNombre=$rowAlmacen['nombre'];
    }
    
    $vFileName= strtoupper(FileName($vZonaNombre."-".$vAlmacenNombre."-".FormatDate($vDesde,"Ymd")."-".FormatDate($vHasta,"Ymd")));

    //BEGIN LEER DATA
    $rsCab=$oR->KardexCabecera($vDesde, $vHasta, $vCategoriaId, $vSubCategoriaId, $vZonaId, $vAlmacenId);
    $rsDet=$oR->KardexDetalle($vDesde, $vHasta, $vCategoriaId, $vSubCategoriaId, $vZonaId, $vAlmacenId);

    $arrCab=array(); if($rsCab) $arrCab=$rsCab->fetchAll(PDO::FETCH_ASSOC);
    $arrDetAux=array(); if($rsDet) $arrDetAux=$rsDet->fetchAll(PDO::FETCH_ASSOC);
    $arrDet=array(); foreach($arrDetAux as $iDet=>$row) $arrDet[$row['productoid']][]=$row;
    
    foreach($arrCab as $iCab=>$rowCab){
        $arrCab[$iCab]['oData']=(isset($arrDet[$rowCab['productoid']])?$arrDet[$rowCab['productoid']]:array());
    }
    $arrSubCat=array();
    foreach($arrCab as $iCab=>$row){
        $vIDS="IDS-".$row['categoriaid']."-".$row['subcategoriaid'];
        $swExiste=(isset($arrSubCat[$vIDS]));
        if(!$swExiste) $arrSubCat[$vIDS]=array("categoriaid"=>$row['categoriaid'], "categoria_nombre"=>$row['categoria_nombre'], "subcategoriaid"=>$row['subcategoriaid'], "subcategoria_nombre"=>$row['subcategoria_nombre']);
        $arrSubCat[$vIDS]['oData'][]=$row;
    }
    //END LEER DATA
    
    $pdf = new MYPDF("P", PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false); 
    $pdf->SetCreator(PDF_CREATOR);
    $pdf->setPrintHeader(true);
    $pdf->setPrintFooter(true);
    $pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);
    $pdf->SetMargins(10, 32, 10);
    $pdf->SetHeaderMargin(0);
    $pdf->SetFooterMargin(0);
    $pdf->SetAutoPageBreak(true, 15);
    $pdf->setImageScale(PDF_IMAGE_SCALE_RATIO); 
    $pdf->setLanguageArray($l); 
    $pdf->pUsuario=$sessUsuario;
    $pdf->rowWidth=$rowWidth;
    $pdf->pTitulo='KARDEX POR CATEGORIA ';
    $pdf->pSubTitulo=" ".$vZonaNombre.' / '.$vAlmacenNombre;
    $pdf->pDescripcion="ENTRE EL ".FormatDate($vDesde)." AL ".FormatDate($vHasta)." ";
    $pdf->SetTitle('KARDEX POR CATEGORIA / '.$vZonaNombre.' / '.$vAlmacenNombre." / ".FormatDate($vDesde,"dmY")." / ".FormatDate($vHasta,"dmY"));

    $fsSize=8; $hRowSubCat=7; $hRowPro=6; $hRowDet=5;
    $hNow=0;
    $pdf->SetFont('helvetica', '', $fsSize);

    //BEGIN CALCULAMOS EL ANCHO DE COLUMNAS
    $wPage=getPageWidth($pdf);
    $hPage=getPageHeight($pdf);

    $wOrden=6; $wFecha=18; $wDetalle=30; $wIngreso=18; $wSalida=18; $wSaldo=18; $wCliente=50;
    $wCliente=$wPage-$wDetalle-$wOrden-$wFecha-$wIngreso-$wSalida-$wSaldo;
    //END CALCULAMOS EL ANCHO DE COLUMNAS

    $rowWidth=array("orden"=>$wOrden, "fecha"=>$wFecha, "detalle"=>$wDetalle, "ingreso"=>$wIngreso, "salida"=>$wSalida, "saldo"=>$wSaldo, "persona"=>$wCliente);
    $pdf->rowWidth=$rowWidth;

    $pdf->AddPage();
    
    $vContador=0;
    $pdf->SetFillColor(240);
    $arrTotales=array();
    if(count($arrSubCat)>0){
        foreach($arrSubCat as $ic=>$rowSubCat){
            $vContador++;
            
            if($hNow+($hRowSubCat+$hRowPro+$hRowDet)>$hPage){
                $pdf->AddPage();
                $hNow=0;
            }
            $pdf->SetFont('helvetica', 'B', $fsSize);

            ShowSubCat();
            
            foreach($rowSubCat['oData'] as $iPro=>$rowPro){
                $vSaldoCantidad=doubleval($rowPro['stock_anterior']);
                
                $pdf->SetFont('helvetica', '', $fsSize);
                
                if($hNow+($hRowPro+$hRowDet)>$hPage){
                    $pdf->AddPage();
                    $hNow=0;
                    ShowSubCat();
                }
                ShowProducto();
                
                $vIngresoTotal=$vSalidaTotal=0;
                foreach($rowPro['oData'] as $iKar=>$rowKardex){
                    
                    if(intval($rowKardex['tipo'])==0){
                        $vSaldoCantidad+=doubleval($rowKardex['ingreso']);
                    }else{
                        $vSaldoCantidad-=doubleval($rowKardex['salida']);
                    }
                    $vIngresoTotal+=doubleval($rowKardex['ingreso']);
                    $vSalidaTotal+=doubleval($rowKardex['salida']);
                    
                    PrintCell($pdf, ($iKar+1), $wOrden, $hRowDet, $fsSize, 1, 'R');
                    $vValor=FormatDate($rowKardex['fecha']);
                    PrintCell($pdf, $vValor, $wFecha, $hRowDet, $fsSize, 1, "C");
                    $vValor=$rowKardex['numero_detalle'];
                    PrintCell($pdf, $vValor, $wDetalle, $hRowDet, $fsSize, 1, "L");
                    $vValor=(intval($rowKardex['tipo'])==0?doubleval($rowKardex['ingreso']):'');
                    PrintCell($pdf, $vValor, $wIngreso, $hRowDet, $fsSize, 1, "C");
                    $vValor=(intval($rowKardex['tipo'])==1?doubleval($rowKardex['salida']):'');
                    PrintCell($pdf, $vValor, $wSalida, $hRowDet, $fsSize, 1, "C");
                    $vValor=$vSaldoCantidad;
                    PrintCell($pdf, $vValor, $wSaldo, $hRowDet, $fsSize, 1, "C");
                    $vValor=$rowKardex['persona_nombre'];
                    PrintCell($pdf, $vValor, $wCliente, $hRowDet, $fsSize, 1, "L");
                    
                    $hNow+=$hRowDet;
                    if(($iKar+1)<count($rowPro['oData'])){
                        if(($hNow+$hRowDet)>$hPage){
                            $pdf->AddPage();
                            $hNow=0;
                            ShowSubCat();
                            ShowProducto();
                        }else $pdf->Ln($hRowDet);
                    }else $pdf->Ln($hRowDet);
                }
                if(count($rowPro['oData'])>0){
                    if(($hNow+$hRowDet)>$hPage){
                        $pdf->AddPage();
                        $hNow=0;
                        ShowSubCat();
                        ShowProducto();
                    }
                    PrintCell($pdf, "", $wOrden+$wFecha+$wDetalle, $hRowDet, $fsSize, 0, "C");
                    PrintCell($pdf, $vIngresoTotal, $wIngreso, $hRowDet, $fsSize, 1, "C", true, "B");
                    PrintCell($pdf, $vSalidaTotal, $wSalida, $hRowDet, $fsSize, 1, "C", true, "B");
                    if(($hNow+($hRowDet*2))<$hPage){
                        $pdf->Ln($hRowDet*2);
                        $hNow+=($hRowDet*2);
                    }elseif(($hNow+$hRowDet)<$hPage){
                        $pdf->Ln($hRowDet);
                        $hNow+=$hRowDet;
                    }
                }
            }
        }

    }
    
    $pdf->Output("KARDEX-SUBCATEGORIA-".$vFileName.".pdf", 'I');
    ?>