<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once("Spreadsheet/Excel/Writer.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    //BEGIN OBTENIENDO VALORES
    $array=$_GET;
    $vProductoId=intval($array['productoid']);
    $vZonaId=intval($array['zonaid']);
    $vAlmacenId=intval($array['almacenid']);
    $vAno=intval($array['ano']);

    $oZ=new Acceso_clsZona();
    $oA=new Acceso_clsAlmacen();
    $oP=new Acceso_clsProducto();
    $oR=new Acceso_Inventarios_clsReportes();

    $rowProducto=$oP->getROW($vProductoId);
    $vZonaNombre="TODAS LAS ZONAS";
    if($vZonaId>0){
        $rowZona=$oZ->getROW($vZonaId);
        $vZonaNombre=$rowZona['nombre'];
    }
    $vAlmacenNombre="TODOS LOS ALMACENES";
    if($vAlmacenId>0){
        $rowAlm=$oA->getROW($vAlmacenId);
        $vAlmacenNombre=$rowAlm['nombre'];
    }

    $rsRpt=$oR->KardexPromedio($vProductoId, $vZonaId, $vAlmacenId, $vAno, $sessCodigo);
    
    $arrData=array(); if($rsRpt) $arrData=$rsRpt->fetchAll(PDO::FETCH_ASSOC);
    //END LEER DATA

    $xls = new Spreadsheet_Excel_Writer();

    $fTit=$xls->addFormat(array("bold"=>1, "align"=>'center', "valign"=>'vequal_space', "fgcolor"=>50, 'size'=>12, "border"=>1));
    $fTitLeft=$xls->addFormat(array("bold"=>1, "align"=>'left', "valign"=>'top', "fgcolor"=>50, "border"=>1));
    $fTitCenter=$xls->addFormat(array("bold"=>1, "align"=>'center', "valign"=>'top', "fgcolor"=>50, "border"=>1));
    $fTitRight=$xls->addFormat(array("bold"=>1, "align"=>'right', "valign"=>'top', "fgcolor"=>50, "border"=>1));
    $fLeft=$xls->addFormat(array("border"=>1,"align"=>'left'));
    $fCenter=$xls->addFormat(array("border"=>1,"align"=>'center'));
    $fRight=$xls->addFormat(array("border"=>1,"align"=>'right'));
    $fImporte=$xls->addFormat(array("border"=>1,"align"=>'right', "numformat"=>'#,##0.00'));
    $fPrecio=$xls->addFormat(array("border"=>1,"align"=>'right', "numformat"=>'#,##0.0000'));
    $fCab=$xls->addFormat(array("bold"=>1, "border"=>1, "align"=>'center', "fgcolor"=>43));
    $fCabLeft=$xls->addFormat(array("bold"=>1, "border"=>1, "align"=>'left', "fgcolor"=>43));
    $fCabRight=$xls->addFormat(array("bold"=>1, "border"=>1, "align"=>'right', "fgcolor"=>43));

    $sheet = $xls->addWorksheet("");
    
    $vFila=0;
    $vColumna=1;

    $vColIni=1;
    $vCantColData=11;
    $vUltCol=$vColIni + $vCantColData + 1;

    $sheet->setColumn($vColumna, $vColumna, 3); //ITEM
    $sheet->setColumn($vColumna+1, $vColumna+1, 10); //FECHA
    $sheet->setColumn($vColumna+2, $vColumna+2, 50); //PERSONAS
    $sheet->setColumn($vColumna+3, $vColumna+3, 20); //NUMERO
    $sheet->setColumn($vColumna+4, $vColumna+4, 10); //ALMACEN
    $sheet->setColumn($vColumna+5, $vUltCol, 10); //IMPORTES

    $vFila++;
    $vColumna=$vColIni;
    $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("STOCK GENERAL - AÑO ".$vAno), $fTitLeft);
    $sheet->write($vFila, $vColumna+1, "", $fTitLeft);
    $sheet->write($vFila, $vColumna+2, "", $fTitLeft);
    $sheet->write($vFila, $vColumna+3, "", $fTitLeft);
    $sheet->write($vFila, $vColumna+4, "", $fTitLeft);
    $sheet->setMerge($vFila, $vColumna, $vFila, $vColumna+4);
    
    $vFila++;
    $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel($rowProducto['nombre'].' / '.$vZonaNombre." / ".$vAlmacenNombre), $fTitLeft);
    $sheet->write($vFila, $vColumna+1, "", $fTitLeft);
    $sheet->write($vFila, $vColumna+2, "", $fTitLeft);
    $sheet->write($vFila, $vColumna+3, "", $fTitLeft);
    $sheet->write($vFila, $vColumna+4, "", $fTitLeft);
    $sheet->setMerge($vFila, $vColumna, $vFila, $vColumna+4);
    
    $vFila++;
    $vColumna=$vColIni;
    $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("N°"), $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("FECHA"), $fCabLeft);
    $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("PERSONA"), $fCabLeft);
    $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("NUMERO"), $fCabLeft);
    $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("ALM"), $fCabLeft);
    $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("INGRESOS"), $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, "", $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, "", $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, "", $fCab);
    $sheet->setMerge($vFila, $vColumna-3, $vFila, $vColumna);
    $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("SALIDAS"), $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, "", $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, "", $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, "", $fCab);
    $sheet->setMerge($vFila, $vColumna-3, $vFila, $vColumna);
    $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("SALDOS"), $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, "", $fCab);
    $vColumna++; $sheet->write($vFila, $vColumna, "", $fCab);
    $sheet->setMerge($vFila, $vColumna-2, $vFila, $vColumna);

    if(count($arrData)>0){
        foreach($arrData as $iData=>$rowData){
            $vColumna=$vColIni;
            $vFila++;
            $sheet->write($vFila, $vColumna, ($iData+1), $fCenter);
            $vColumna++; $sheet->write($vFila, $vColumna, FormatDate($rowData['fecha']), $fLeft);
            $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel($rowData['persona_nombre']), $fLeft);
            $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel($rowData['numero']), $fLeft);
            $vColumna++; $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel($rowData['almacen_abreviatura']), $fLeft);
            if(intval($rowData['tipo'])==0){
                $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['ingreso_cantidad']), $fImporte);
                $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['ingreso_precio']), $fPrecio);
                $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['ingreso_total']), $fImporte);
                $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['ingreso_cantidad_bonif']), $fImporte);
            }else{
                $vColumna++; $sheet->write($vFila, $vColumna, "", $fImporte);
                $vColumna++; $sheet->write($vFila, $vColumna, "", $fPrecio);
                $vColumna++; $sheet->write($vFila, $vColumna, "", $fImporte);
                $vColumna++; $sheet->write($vFila, $vColumna, "", $fImporte);
            }
            if(intval($rowData['tipo'])==1){
                $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['salida_cantidad']), $fImporte);
                $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['salida_precio']), $fPrecio);
                $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['salida_total']), $fImporte);
                $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['salida_cantidad_bonif']), $fImporte);
            }else{
                $vColumna++; $sheet->write($vFila, $vColumna, "", $fImporte);
                $vColumna++; $sheet->write($vFila, $vColumna, "", $fPrecio);
                $vColumna++; $sheet->write($vFila, $vColumna, "", $fImporte);
                $vColumna++; $sheet->write($vFila, $vColumna, "", $fImporte);
            }
            $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['saldo_cantidad']), $fImporte);
            $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['saldo_precio']), $fPrecio);
            $vColumna++; $sheet->write($vFila, $vColumna, doubleval($rowData['saldo_total']), $fImporte);
        }
    }
    
    $xls->send('KARDEX-'.intval($rowProducto['productoid']).'-'.strtoupper(FileName($rowProducto['nombre'])).'-AÑO-'.$vAno.'.xls');
    $xls->close();	
?>