<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once("Spreadsheet/Excel/Writer.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    //BEGIN OBTENIENDO VALORES
    $array=$_GET;
    $vEmpresaId=intval($array['empresaid']);
    $vZonaId=intval($array['zonaid']);
    $vAno=intval($array['ano']);

    $oE=new Acceso_clsEmpresa();
    $oZ=new Acceso_clsZona();
    $oA=new Acceso_clsPermisos_Almacen();
    $oP=new Acceso_clsProducto();
    $oR=new Acceso_Inventarios_clsReportes();

    $rowEmpresa=$oE->getROW($vEmpresaId);
    $vZonaNombre="TODAS LAS ZONAS";
    if($vZonaId>0){
        $rowZona=$oZ->getROW($vZonaId);
        $vZonaNombre=$rowZona['nombre'];
    }

    $rsZon=$oA->LeerZonas($vEmpresaId, $sessCodigo, 0, $vZonaId);
    $rsAlm=$oA->LeerAlmacenes($vEmpresaId, $sessCodigo, 0, $vZonaId);
    $rsPro=$oP->Consulta($vAno, $vEmpresaId,0,0,"",0,"","");
    $rsRpt=$oR->StockGeneral($vAno, $vEmpresaId, $vZonaId);

    $arrZon=array(); if($rsZon) $arrZon=$rsZon->fetchAll(PDO::FETCH_ASSOC);
    $arrAlm=array(); if($rsAlm) $arrAlm=$rsAlm->fetchAll(PDO::FETCH_ASSOC);
    $arrPro=array(); if($rsPro) $arrPro=$rsPro->fetchAll(PDO::FETCH_ASSOC);
    $arrAux=array(); if($rsRpt) $arrAux=$rsRpt->fetchAll(PDO::FETCH_ASSOC);

    $arrAlmAux=array(); foreach($arrAlm as $iAlm=>$rowAlm){ $arrAlmAux[$rowAlm['zonaid']][]=$rowAlm; }
    foreach($arrZon as $iZon=>$rowZon){
        $arrZon[$iZon]['oAlmacen']=(isset($arrAlmAux[$rowZon['zonaid']])?$arrAlmAux[$rowZon['zonaid']]:array());
    }
    
    $arrData=array();
    foreach($arrAux as $i=>$row){
        $arrData[$row['productoid']][$row['almacenid']]=doubleval($row['stock']);
    }
    //END LEER DATA

    $xls = new Spreadsheet_Excel_Writer();

    $fTit=$xls->addFormat(array("bold"=>1, "align"=>'center', "valign"=>'vequal_space', "fgcolor"=>50, 'size'=>12, "border"=>1));
    $fTitLeft=$xls->addFormat(array("bold"=>1, "align"=>'left', "valign"=>'top', "fgcolor"=>50, "border"=>1));
    $fTitCenter=$xls->addFormat(array("bold"=>1, "align"=>'center', "valign"=>'top', "fgcolor"=>50, "border"=>1));
    $fTitRight=$xls->addFormat(array("bold"=>1, "align"=>'right', "valign"=>'top', "fgcolor"=>50, "border"=>1));
    $fLeft=$xls->addFormat(array("border"=>1,"align"=>'left'));
    $fCenter=$xls->addFormat(array("border"=>1,"align"=>'center'));
    $fRight=$xls->addFormat(array("border"=>1,"align"=>'right'));
    $fImporte=$xls->addFormat(array("border"=>1,"align"=>'right', "numformat"=>'#,##0.00'));
    $fCab=$xls->addFormat(array("bold"=>1, "border"=>1, "align"=>'center', "fgcolor"=>43));
    $fCabLeft=$xls->addFormat(array("bold"=>1, "border"=>1, "align"=>'left', "fgcolor"=>43));
    $fCabRight=$xls->addFormat(array("bold"=>1, "border"=>1, "align"=>'right', "fgcolor"=>43));

    $sheet = $xls->addWorksheet("");
    
    $vFila=0;
    $vColumna=1;

    $vColIni=1;
    $vCantColData=0; foreach($arrZon as $im=>$rowZon){$vCantColData+=count($rowZon['oAlmacen']);}
    $vUltCol=$vColIni + $vCantColData + 1;

    $sheet->setColumn($vColumna, $vColumna, 3); //ITEM
    $sheet->setColumn($vColumna+1, $vColumna+1, 50); //PRODUCTO
    $sheet->setColumn($vColumna+2, $vUltCol, 10); //IMPORTES
    $sheet->setColumn($vUltCol+1, $vUltCol+1, 15); //TOTALES

    $vFila++;
    $vColumna=$vColIni;
    $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("STOCK GENERAL - AÑO ".$vAno), $fTitLeft);
    $sheet->write($vFila, $vColumna+1, "", $fTitLeft);
    $sheet->setMerge($vFila, $vColumna, $vFila, $vColumna+1);
    
    $vFila++;
    $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel($rowEmpresa['nombre'].' / '.$vZonaNombre), $fTitLeft);
    $sheet->write($vFila, $vColumna+1, "", $fTitLeft);
    $sheet->setMerge($vFila, $vColumna, $vFila, $vColumna+1);
    $vColumna++;
    foreach($arrZon as $im=>$rowZon){
        $vColumna++;
        $sheet->write($vFila, $vColumna, $rowZon['nombre'], $fCab);

        $vColAuxIni=$vColumna;
        for($vNum=1; $vNum<count($rowZon['oAlmacen']); $vNum++){$vColumna++; $sheet->write($vFila, $vColumna, "", $fCab); }
        if(count($rowZon['oAlmacen'])>1)$sheet->setMerge($vFila, $vColAuxIni, $vFila, $vColumna);
    }
    $vColumna++;
    $sheet->write($vFila, $vColumna, "CANTIDAD", $fTitCenter);
    $sheet->write($vFila+1, $vColumna, "", $fTitCenter);
    $sheet->setMerge($vFila, $vColumna, $vFila+1, $vColumna);
    
    $vFila++;
    $vColumna=$vColIni;
    $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("N°"), $fCab);
    $vColumna++;
    $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel("PRODUCTO"), $fCabLeft);
    $vColumna++;
    foreach($arrZon as $im=>$rowZon){
        foreach($rowZon['oAlmacen'] as $iDia=>$rowAlm){
            $sheet->write($vFila, $vColumna, $rowAlm['abreviatura'], $fCab);
            $vColumna++;
        }
    }

    if(count($arrPro)>0){
        foreach($arrPro as $iPro=>$rowPro){
            $vProductoIdAux=intval($rowPro['productoid']);
            $vColumna=$vColIni;
            $vFila++;
            $sheet->write($vFila, $vColumna, ($iPro+1), $fCenter);
            $vColumna++;
            $sheet->write($vFila, $vColumna, Almacenar_Dato_Excel($rowPro['producto']), $fLeft);
            $vColumna++;
            foreach($arrZon as $im=>$rowZon){
                foreach($rowZon['oAlmacen'] as $iAlm=>$rowAlm){
                    $vValor=0;
                    if(isset($arrData[$vProductoIdAux][$rowAlm['almacenid']])){
                        $vValor=doubleval($arrData[$vProductoIdAux][$rowAlm['almacenid']]);
                    }
                    $sheet->write($vFila, $vColumna, ($vValor==0?'':$vValor), $fCenter);
                    $vColumna++;
                }
            }
            //BEGIN TOTALES POR FILA
            $fCellIni=$xls->rowcolToCell($vFila, $vColumna - $vCantColData);
            $fCellFin=$xls->rowcolToCell($vFila, $vColumna-1);
            $vFormula="=SUM($fCellIni:$fCellFin))";
            $sheet->writeFormula($vFila, $vColumna, $vFormula, $fCenter);
            //END TOTALES POR FILA
        }
    }
    $xls->send("STOCK-GENERAL.xls");
    $xls->close();	
?>
