<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="TABLAS-BASICAS"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vEmpresaId=intval($array['empresaid']);
    $swNew=(intval($array['swnew'])==1);

    $rowConfig=array("empresaid"=>0);
    $oE=new Acceso_clsEmpresa();
    $oC=new Acceso_clsEmpresaConfig();

    $rowEmpresa=$oE->getROW($vEmpresaId);
    $rowConfig=$oC->getROW($vEmpresaId);
    
    $oT=new Acceso_Contabilidad_clsTipoDocumento();
    $rs=$oT->Leer();
    $arrTipDoc=array(); if($rs)$arrTipDoc=$rs->fetchAll(PDO::FETCH_ASSOC);
    
    $arrTipoEnvio[]=array("codigo"=>1, "nombre"=>"Enviar individualmente");
    $arrTipoEnvio[]=array("codigo"=>2, "nombre"=>"Enviar resumen diario");
?>
<!DOCTYPE html>
<html>
    <head>
        <title>EMPRESA - CONFIGURACION</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="js/empresaconfig.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
    </head>
    <body onLoad="$('#txtNombre').focus();">
        <form id="frmPanel" class="form-horizontal">
            <input type="hidden" name="empresaid" id="empresaid" value="<?=$vEmpresaId?>">
            <div id="divHeader">
                <?=btnSave()?><?=getTitle(Mostrar_Dato($rowEmpresa['nombre']).": CONFIGURACION")?><?=btnClose()?>
            </div>
            <div id="divMain">
                <div id="divGrid" style="overflow: hidden; padding: 5px;">
                    <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                        <li><a href="#oTabs-1" data-toggle="tab">General</a></li>
                        <li><a href="#oTabs-2" data-toggle="tab">Servicios Web</a></li>
                        <li><a href="#oTabs-3" data-toggle="tab">Documentos</a></li>
                    </ul>
                    <div class="tab-content" style="margin-top:0px; overflow:hidden; padding:5px;" id="oTabsContent">
                        <div id="oTabs-1" class="tab-pane" style="overflow:auto; padding:5px;">
                            <div class="row">
                                <div class="col-sm-6">
                                    <?
                                    getFormGroupText("txtIGV", "IGV", number_format(doubleval($rowConfig['igv']),2), 0, "", "", "max-width:100px; text-align:center;", "col-sm-8", "col-sm-4");
                                    getFormGroupText("txtTipoDocumento", "TIPO DOCUMENTO", $rowConfig['tipodocumento'], 0, "", "", "max-width:100px; text-align:center;", "col-sm-8", "col-sm-4");

                                    $oC=new Acceso_clsCertificadoDigital();
                                    $rs=$oC->Leer();
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboCertificado", "CERTIFICADO", "certificadoid", "nombre", intval($rowConfig['certificadoid']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");

                                    $oG=new Acceso_clsGrupo();
                                    $rs=$oG->Leer();
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboGrupo", "GRUPO", "grupoid", "nombre", intval($rowConfig['grupoid']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");
                                    
                                    ?>
                                </div>
                                <div class="col-sm-6">
                                </div>
                            </div>
                        </div>
                        <div id="oTabs-2" class="tab-pane" style="overflow:auto; padding:5px;">
                            <div class="row">
                                <div class="col-sm-6">
                                    <?
                                    $oWS=new Acceso_WebService_clsWebService();
                                    $rs=$oWS->Consulta("sunat", "facturacion");
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboBillWebWervice", "FACTURACI&Oacute;N", "webserviceid", "nombre", intval($rowConfig['bill_wsid']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");
                                    
                                    $oU=new Acceso_WebService_clsUsuario();
                                    $rs=$oU->Consulta(0, "sunat", $vEmpresaId);
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboBillUsuario", "USUARIO", "usuarioid", "nombre", intval($rowConfig['bill_usuarioid']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");

                                    $oWS=new Acceso_WebService_clsWebService();
                                    $rs=$oWS->Consulta("sunat", "consulta");
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboBillConsultaWebWervice", "CONSULTA", "webserviceid", "nombre", intval($rowConfig['billconsulting_wsid']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");
                                    
                                    $oU=new Acceso_WebService_clsUsuario();
                                    $rs=$oU->Consulta(0, "sunat", $vEmpresaId);
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboBillConsultaUsuario", "USUARIO", "usuarioid", "nombre", intval($rowConfig['billconsulting_usuarioid']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");

                                    $oWS=new Acceso_WebService_clsWebService();
                                    $rs=$oWS->Consulta("sunat", "consulta");
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboSunatWebServiceRUC", "CONSULTA DE RUC", "webserviceid", "nombre", intval($rowConfig['sunat_wsid_ruc']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");

                                    $oWS=new Acceso_WebService_clsWebService();
                                    $rs=$oWS->Consulta("sunat", "captcha");
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboSunatWebServiceRUCCaptcha", "CAPTCHA", "webserviceid", "nombre", intval($rowConfig['sunat_wsid_ruc_captcha']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");

                                    $oWS=new Acceso_WebService_clsWebService();
                                    $rs=$oWS->Consulta("reniec", "consulta");
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboReniecWebServiceDNI", "CONSULTA DE DNI", "webserviceid", "nombre", intval($rowConfig['reniec_wsid_dni']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");

                                    $oWS=new Acceso_WebService_clsWebService();
                                    $rs=$oWS->Consulta("reniec", "captcha");
                                    $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                                    getFormGroupSelect($arrAux, "cboReniecWebServiceDNICaptcha", "CAPTCHA", "webserviceid", "nombre", intval($rowConfig['reniec_wsid_dni_captcha']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");
                                    
                                    ?>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <div class="col-sm-6"></div>
                                        <div class="col-sm-3" style="text-align: center;"><span class="label label-primary">UBL</span></div>
                                        <div class="col-sm-3" style="text-align: center;"><span class="label label-warning">CUSTOM</span></div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-6 control-label" for="txtInvUblVersion">FACTURAS:</label>
                                        <div class="col-sm-3"><?=getInputText("txtInvUblVersion", "", $rowConfig['inv_ubl_version'], 0, "form-control", "text-align:center;")?></div>
                                        <div class="col-sm-3"><?=getInputText("txtInvCustomVersion", "", $rowConfig['inv_custom_version'], 0, "form-control", "text-align:center;")?></div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-6 control-label" for="txtCreNotUblVersion">N. CREDITO:</label>
                                        <div class="col-sm-3"><?=getInputText("txtCreNotUblVersion", "", $rowConfig['crenot_ubl_version'], 0, "form-control", "text-align:center;")?></div>
                                        <div class="col-sm-3"><?=getInputText("txtCreNotCustomVersion", "", $rowConfig['crenot_custom_version'], 0, "form-control", "text-align:center;")?></div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-6 control-label" for="txtDebNotUblVersion">N. DEBITO:</label>
                                        <div class="col-sm-3"><?=getInputText("txtDebNotUblVersion", "", $rowConfig['debnot_ubl_version'], 0, "form-control", "text-align:center;")?></div>
                                        <div class="col-sm-3"><?=getInputText("txtDebNotCustomVersion", "", $rowConfig['debnot_custom_version'], 0, "form-control", "text-align:center;")?></div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-6 control-label" for="txtResDiaUblVersion">R. DIARIO:</label>
                                        <div class="col-sm-3"><?=getInputText("txtResDiaUblVersion", "", $rowConfig['resdia_ubl_version'], 0, "form-control", "text-align:center;")?></div>
                                        <div class="col-sm-3"><?=getInputText("txtResDiaCustomVersion", "", $rowConfig['resdia_custom_version'], 0, "form-control", "text-align:center;")?></div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-6 control-label" for="txtVoidedUblVersion">ANULADAS:</label>
                                        <div class="col-sm-3"><?=getInputText("txtVoidedUblVersion", "", $rowConfig['voided_ubl_version'], 0, "form-control", "text-align:center;")?></div>
                                        <div class="col-sm-3"><?=getInputText("txtVoidedCustomVersion", "", $rowConfig['voided_custom_version'], 0, "form-control", "text-align:center;")?></div>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                        <div id="oTabs-3" class="tab-pane" style="overflow:auto; padding:5px;">
                            <div class="row">
                                <div class="col-sm-6">
                                    <?
                                    getFormGroupSelect($arrTipDoc, "cboTipDocBol", "BOLETAS", "tipodocumentoid", "nombre", intval($rowConfig['tipdocid_bol']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");
                                    getFormGroupSelect($arrTipoEnvio, "cboBolTipoEnvio", "", "codigo", "nombre", intval($rowConfig['bol_tipo_envio']), "0", "Tipo de envio", true, "col-sm-8", "col-sm-4");
                                    getFormGroupCheckLabel("chkBolEnvAsoc", "", "Enviar asociados", $rowConfig['bol_enviar_asociados'], 'col-sm-8', 'col-sm-4');
                                    getFormGroupSelect($arrTipDoc, "cboTipDocFac", "FACTURAS", "tipodocumentoid", "nombre", intval($rowConfig['tipdocid_fac']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");
                                    getFormGroupSelect($arrTipoEnvio, "cboFacTipoEnvio", "", "codigo", "nombre", intval($rowConfig['fac_tipo_envio']), "0", "Tipo de envio", true, "col-sm-8", "col-sm-4");
                                    getFormGroupCheckLabel("chkFacEnvAsoc", "", "Enviar asociados", $rowConfig['fac_enviar_asociados'], 'col-sm-8', 'col-sm-4');
                                    getFormGroupSelect($arrTipDoc, "cboTipDocNotCre", "N. CREDITO", "tipodocumentoid", "nombre", intval($rowConfig['tipdocid_nc']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");
                                    getFormGroupSelect($arrTipDoc, "cboTipDocNotDeb", "N. DEBITO", "tipodocumentoid", "nombre", intval($rowConfig['tipdocid_nd']), "0", "Seleccione", true, "col-sm-8", "col-sm-4");
                                    
                                    ?>
                                </div>
                                <div class="col-sm-6">
                                    <?
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>