<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $vMsgNoPermiso=""; $vTienePermiso=true;
    if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
    
    $oMod= new Acceso_clsModulo_Sistema();
    $rsModSis=$oMod->Leer();
    $arrModSis=array(); if($rsModSis) $arrModSis=$rsModSis->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PERMISOS AL SISTEMA</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="../js/frmPermisosWeb.js"></script>
        <script language="javascript" type="text/javascript" src="js/permisosweb.js"></script>
    </head>
    <body onLoad="$('#txtApePat').focus();">
    	<? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
    	<form id="frmPanel" class="form-horizontal form-small">
            <input type="hidden" value="0" name="personaid" id="personaid">
            <input type="hidden" name="tiene_permiso" id="tiene_permiso" value="<?=($vTienePermiso?"1":"0")?>" alt="<?=$vMsgNoPermiso?>">
            <div id="divHeader">
                <div class="float-left"><?=getTitle("OPCIONES DEL ADMINISTRADOR")?></div>
                <div class="float-right"><? include("admOpciones.php");?></div>
            </div>
            <div id="divMain">
                <div id="divGrid" style="padding:2px; overflow:hidden;">
                    <div id="divLeft" style="overflow:hidden;">
                        <div id="divLeftTop1" class="BORDER_ALL BG1" style="height:102px; padding:2px; border-bottom:0px;">
                            <table border="0">
                                <tr>
                                    <td rowspan="4" valign="top">
                                        <img src="<?=IMAGES."/nickname_bg.gif"?>" />
                                    </td>
                                    <td>Ape.Paterno:&nbsp;</td>
                                    <td><?=getInputText("txtApePat", "", "", 50, "form-control", "width:150px")?></td>
                                    <td><?=bInfo("btnAdd1", "", "plus", "Agregar una nueva persona", "btn-sm")?></td>
                                </tr>
                                <tr>
                                    <td>Ape.Materno:&nbsp;</td>
                                    <td><?=getInputText("txtApeMat", "", "", 50, "form-control", "width:150px")?></td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td>Nombre:&nbsp;</td>
                                    <td><?=getInputText("txtNombre", "", "", 50, "form-control", "width:150px")?></td>
                                    <td><?=bDefault("btnConsulta", "", "refresh", "Buscar", "btn-sm")?></td>
                                </tr>
                            </table>
                        </div>
                        <div id="divLeftMain" class="BORDER_ALL" style="padding:1px;">
                            <table width="100%" id="tblPersona" class="standard"><tbody></tbody></table>
                        </div>
                        <div id="divLeftBottom1" class="BORDER_ALL BG1 standard" style="border-top:0px;">
                            <div class="float-left">
                                <div class="<?=clsBtnGroup()?>"><?=bAdd("btnAdd2", "Agregar persona")?></div>
                            </div>
                            <div class="float-right">
                                <div id="lblMsg"></div>
                            </div>
                        </div>                        
                    </div>
                    <div id="divRight" style="overflow:hidden; width:500px">
                        <div id="divRightMain" style="border-bottom:0px; overflow:hidden;">
                            <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                                <li><a href="#oTabs-0" data-toggle="tab">Roles<span id="lblGrupoCount"></span></a></li>
                                <li><a href="#oTabs-1" data-toggle="tab">Menu<span id="lblMenuCount"></span></a></li>
                                <li><a href="#oTabs-2" data-toggle="tab">Empresas<span id="lblPerEmpCount"></span></a></li>
                                <!--<li><a href="#oTabs-3" data-toggle="tab">Unidades<span id="lblPerUniCount"></span></a></li>-->
                                <li><a href="#oTabs-4" data-toggle="tab">Tiendas<span id="lblPerAlmCount"></span></a></li>
                                <li><a href="#oTabs-5" data-toggle="tab">Otros<span id="lblPerEspCount"></span></a></li>
                            </ul>
                            <div class="tab-content" style="margin-top:0px; overflow: hidden; " id="oTabsContent">
                            	<div id="oTabs-0" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                                    <div id="objTabs0Body" class="BORDER_ALL" style="padding:5px; overflow:auto; border-bottom:0px">
                                    	<?
                                        $oG=new Acceso_clsGrupo_Permisos();
                                        $rs=$oG->Leer();
                                        $arrGrupos=array(); if($rs) $arrGrupos=$rs->fetchAll(PDO::FETCH_ASSOC);
                                        ?>
                                        <table id="tblGrupos" width="100%" class="standard">
                                            <tbody>
                                                <?
                                                foreach($arrGrupos as $it=>$rowGrupo){
                                                    ?>
                                                    <tr codigo="<?=intval($rowGrupo['codigo'])?>">
                                                        <td valign="top"><input type="checkbox" name="chkGrupo[]" id="chkGrupo<?=intval($rowGrupo['codigo'])?>" value="<?=intval($rowGrupo['codigo'])?>" ></td>
                                                        <td>
                                                            <label for="chkGrupo<?=intval($rowGrupo['codigo'])?>" class="HAND"><b class="BLUE"><?=Mostrar_Dato($rowGrupo['nombre'])?></b><br><?=Mostrar_Dato($rowGrupo['descripcion'])?></label>
                                                            <br><a href="javascript:void(0)" id="btnGrupoOpc" class="btn-link"><?=(intval($rowGrupo['cantidad_opciones'])>0?intval($rowGrupo['cantidad_opciones']).' '.(intval($rowGrupo['cantidad_opciones'])==1?'opci&oacute;n':'opciones'):'Sin opciones')?></a> &nbsp;&nbsp;<a href="javascript:void(0)" id="btnGrupoMie" class="btn-link"><?=(intval($rowGrupo['cantidad_personas'])==0?'Sin miembros':intval($rowGrupo['cantidad_personas']).' miembro'.(intval($rowGrupo['cantidad_personas'])>1?'s':''))?></a>
                                                        </td>
                                                    </tr>
                                                    <?
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div id="objTabs0Bottom" style="height:37px; padding:2px; overflow:hidden;" class="BORDER_ALL BG1">
                                    	<div class="float-left">
                                            <div class="<?=clsBtnGroup()?>">
                                                <?=bCheckDefault("chkTodoGrupo", "chkTodoGrupo", "Activar todo")?>
                                            </div>
                                        </div>
                                    	<div class="float-right">
                                            <div class="<?=clsBtnGroup()?>"><?=bSave("btnGruposUpd", "Guardar")?></div>
                                        </div>
                                    </div>
                                </div>
                            	<div id="oTabs-1" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                                    <div id="objTabs1Body" class="BORDER_ALL" style="border-bottom:0px; overflow:auto">
                                        <table width="100%" id="tblMenu" class="standard"><tbody></tbody></table>
                                    </div>
                                    <div id="objTabs1Bottom" style="height:37px; padding:2px; overflow:hidden;" class="BORDER_ALL BG1">
                                    	<div class="float-left">
                                            <div class="<?=clsBtnGroup()?>">
                                                <?=bCheckDefault("chkTodo", "chkTodo", "Todo", "Seleccionar todos los accesos")?>
                                                <?=bCheckDefault("chkView", "chkView", "Solo activos", "Ver solo los accesos seleccionados")?>
                                            </div>
                                        </div>
                                    	<div class="float-right">
                                            <div class="<?=clsBtnGroup()?>">
                                                <?=bSave("btnMenUpd", "Guardar")?><?=bRefresh("btnMenRef")?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            	<div id="oTabs-2" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                                    <div id="objTabs2Body" class="BORDER_ALL" style="padding:5px; overflow:auto; border-bottom:0px">
                                    	<table id="tblPerEmp" width="100%" class="standard">
                                            <tbody>
                                                <?
                                                $oEmp= new Acceso_clsEmpresa();
                                                $oPerEmp= new Acceso_clsPermisos_Empresa();

                                                $rsEmp=$oEmp->Leer();
                                                $rsPerEmp=$oPerEmp->LeerResumen();

                                                $arrEmp=array(); if($rsEmp) $arrEmp=$rsEmp->fetchAll(PDO::FETCH_ASSOC);
                                                $arrPerEmpAux=array(); if($rsPerEmp) $arrPerEmpAux=$rsPerEmp->fetchAll(PDO::FETCH_ASSOC);
                                                $arrPerEmp=array(); foreach($arrPerEmpAux as $i=>$row) $arrPerEmp[$row['modulosistemaid']][$row['empresaid']]=intval($row['cantidad']);

                                                if(count($arrEmp)>0){
                                                    foreach($arrEmp as $iEmp=>$rowEmp){
                                                        ?>
                                                        <tr class="BG1">
                                                            <td><input type="checkbox" name="chkPerEmp[]" id="chkPerEmp<?=intval($rowEmp['empresaid'])?>" value="<?=intval($rowEmp['empresaid'])?>" ></td>
                                                            <td><label for="chkPerEmp<?=intval($rowEmp['empresaid'])?>" class="HAND"><b class="SUBTITULO"><?=Mostrar_Dato($rowEmp['nombre'])?></b></label></td>
                                                            <td><i class="icon-user"></i></td>
                                                        </tr>
                                                        <?
                                                        foreach($arrModSis as $ip => $rowModSis){
                                                            $vCantidad=0; if(isset($arrPerEmp[$rowModSis['codigo']][$rowEmp['empresaid']])) $vCantidad=intval($arrPerEmp[$rowModSis['codigo']][$rowEmp['empresaid']]);
                                                            ?>
                                                            <tr modulosistemaid="<?=intval($rowModSis['codigo'])?>" empresaid="<?=intval($rowEmp['empresaid'])?>">
                                                                <td><input type="checkbox" name="chkPerEmpMod[]" id="chkPerEmpMod<?=intval($rowModSis['codigo']).'-'.intval($rowEmp['empresaid'])?>" value="<?=intval($rowModSis['codigo']).'-'.intval($rowEmp['empresaid'])?>" empresaid="<?=intval($rowEmp['empresaid'])?>" ></td>
                                                                <td><label for="chkPerEmpMod<?=intval($rowModSis['codigo']).'-'.intval($rowEmp['empresaid'])?>" class="HAND"><?=Mostrar_Dato($rowModSis['nombre'])?></label></td>
                                                                <td><button type="button" class="btn btn-default<?=($vCantidad>0?' btn-success':'')?> btn-xs"><?=$vCantidad?></button></td>
                                                            </tr>
                                                            <?
                                                        }
                                                    }
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div id="objTabs2Bottom" style="height:37px; padding:2px; overflow:hidden;" class="BORDER_ALL BG1">
                                    	<div class="float-left">
                                            <div class="<?=clsBtnGroup()?>">
                                                <?=bCheckDefault("chkTodoEmp", "chkTodoEmp", "Activar todo")?>
                                            </div>
                                        </div>
                                    	<div class="float-right">
                                            <div class="<?=clsBtnGroup()?>"><?=bSave("btnGrabarEmp", "Guardar")?></div>
                                        </div>
                                    </div>
                                </div>
                                
                            	<div id="oTabs-3" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                                    <div id="objTabs3Body" class="BORDER_ALL" style="padding:5px; overflow:auto; border-bottom:0px">
                                    	<table id="tblPerUniNeg" width="100%" class="standard">
                                            <tbody>
                                                <?
                                                $oUN= new Acceso_clsUnidad_Negocio();
                                                $oPerUniNeg= new Acceso_clsPermisos_Unidad_Negocio();

                                                $rsUniNeg=$oUN->Leer(0);
                                                $rsPerUniNeg=$oPerUniNeg->LeerResumen();

                                                $arrUniNeg=array(); if($rsUniNeg) $arrUniNeg=$rsUniNeg->fetchAll(PDO::FETCH_ASSOC);
                                                $arrPerUniNegAux=array(); if($rsPerUniNeg) $arrPerUniNegAux=$rsPerUniNeg->fetchAll(PDO::FETCH_ASSOC);
                                                $arrPerUniNeg=array(); foreach($arrPerUniNegAux as $i=>$row) $arrPerUniNeg[$row['modulosistemaid']][$row['unidadnegocioid']]=intval($row['cantidad']);

                                                if(count($arrUniNeg)>0){
                                                    foreach($arrUniNeg as $i=>$rowUniNeg){
                                                        ?>
                                                        <tr class="BG1">
                                                            <td><input type="checkbox" name="chkPerUni[]" id="chkPerUni<?=intval($rowUniNeg['unidadnegocioid'])?>" value="<?=intval($rowUniNeg['unidadnegocioid'])?>" ></td>
                                                            <td><label for="chkPerUni<?=intval($rowUniNeg['unidadnegocioid'])?>" class="HAND"><b class="SUBTITULO"><?=Mostrar_Dato($rowUniNeg['nombre'])?></b></label></td>
                                                            <td><i class="icon-user"></i></td>
                                                        </tr>
                                                        <?
                                                        foreach($arrModSis as $ip => $rowModSis){
                                                            $vCantidad=0; if(isset($arrPerUniNeg[$rowModSis['codigo']][$rowUniNeg['unidadnegocioid']])) $vCantidad=intval($arrPerUniNeg[$rowModSis['codigo']][$rowUniNeg['unidadnegocioid']]);
                                                            ?>
                                                            <tr modulosistemaid="<?=intval($rowModSis['codigo'])?>" unidadnegocioid="<?=intval($rowUniNeg['unidadnegocioid'])?>">
                                                                <td><input type="checkbox" name="chkPerUniNeg[]" id="chkPerUniNeg<?=intval($rowModSis['codigo']).'-'.intval($rowUniNeg['unidadnegocioid'])?>" value="<?=intval($rowModSis['codigo']).'-'.intval($rowUniNeg['unidadnegocioid'])?>" unidadnegocioid="<?=intval($rowUniNeg['unidadnegocioid'])?>" ></td>
                                                                <td><label for="chkPerUniNeg<?=intval($rowModSis['codigo']).'-'.intval($rowUniNeg['unidadnegocioid'])?>" class="HAND"><?=Mostrar_Dato($rowModSis['nombre'])?></label></td>
                                                                <td><button type="button" class="btn btn-default<?=($vCantidad>0?' btn-success':'')?> btn-xs"><?=$vCantidad?></button></td>
                                                            </tr>
                                                            <?
                                                        }
                                                    }
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div id="objTabs3Bottom" style="height:37px; padding:2px; overflow:hidden;" class="BORDER_ALL BG1">
                                    	<div class="float-left">
                                            <div class="<?=clsBtnGroup()?>">
                                                <?=bCheckDefault("chkTodoUniNeg", "chkTodoUniNeg", "Activar todo")?>
                                            </div>
                                        </div>
                                    	<div class="float-right">
                                            <div class="<?=clsBtnGroup()?>"><?=bSave("btnGrabarUniNeg", "Guardar")?></div>
                                        </div>
                                    </div>
                                </div>
                                
                            	<div id="oTabs-4" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                                    <div id="objTabs4Body" class="BORDER_ALL" style="padding:5px; overflow:auto; border-bottom:0px">
                                    	<table id="tblPerAlm" width="100%" class="standard">
                                            <tbody>
                                                <?
                                                $oAlm= new Acceso_clsAlmacen();
                                                $oPerAlm= new Acceso_clsPermisos_Almacen();

                                                $rsAlm=$oAlm->Leer();
                                                $rsPerAlm=$oPerAlm->LeerResumen();

                                                $arrAlm=array(); if($rsAlm) $arrAlm=$rsAlm->fetchAll(PDO::FETCH_ASSOC);
                                                $arrPerAlmAux=array(); if($rsPerAlm) $arrPerAlmAux=$rsPerAlm->fetchAll(PDO::FETCH_ASSOC);
                                                $arrPerAlm=array(); foreach($arrPerAlmAux as $i=>$row) $arrPerAlm[$row['modulosistemaid']][$row['almacenid']]=intval($row['cantidad']);

                                                if(count($arrAlm)>0){
                                                    foreach($arrAlm as $iAlm=>$rowAlm){
                                                        ?>
                                                        <tr class="BG1">
                                                            <td><input type="checkbox" name="chkPerAlm[]" id="chkPerAlm<?=intval($rowAlm['almacenid'])?>" value="<?=intval($rowAlm['almacenid'])?>" ></td>
                                                            <td><label for="chkPerAlm<?=intval($rowAlm['almacenid'])?>" class="HAND"><b class="SUBTITULO"><?=Mostrar_Dato($rowAlm['nombre'])?></b></label></td>
                                                            <td><i class="icon-user"></i></td>
                                                        </tr>
                                                        <?
                                                        foreach($arrModSis as $ip => $rowModSis){
                                                            $vCantidad=0; if(isset($arrPerAlm[$rowModSis['codigo']][$rowAlm['almacenid']])) $vCantidad=intval($arrPerAlm[$rowModSis['codigo']][$rowAlm['almacenid']]);
                                                            ?>
                                                            <tr modulosistemaid="<?=intval($rowModSis['codigo'])?>" almacenid="<?=intval($rowAlm['almacenid'])?>">
                                                                <td><input type="checkbox" name="chkPerAlmMod[]" id="chkPerAlmMod<?=intval($rowModSis['codigo']).'-'.intval($rowAlm['almacenid'])?>" value="<?=intval($rowModSis['codigo']).'-'.intval($rowAlm['almacenid'])?>" almacenid="<?=intval($rowAlm['almacenid'])?>" ></td>
                                                                <td><label for="chkPerAlmMod<?=intval($rowModSis['codigo']).'-'.intval($rowAlm['almacenid'])?>" class="HAND"><?=Mostrar_Dato($rowModSis['nombre'])?></label></td>
                                                                <td><button type="button" class="btn btn-default<?=($vCantidad>0?' btn-success':'')?> btn-xs"><?=$vCantidad?></button></td>
                                                            </tr>
                                                            <?
                                                        }
                                                    }
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div id="objTabs4Bottom" style="height:37px; padding:2px; overflow:hidden;" class="BORDER_ALL BG1">
                                    	<div class="float-left">
                                            <div class="<?=clsBtnGroup()?>">
                                                <?=bCheckDefault("chkTodoAlm", "chkTodoAlm", "Activar todo")?>
                                            </div>
                                        </div>
                                    	<div class="float-right">
                                            <div class="<?=clsBtnGroup()?>"><?=bSave("btnGrabarAlm", "Guardar")?></div>
                                        </div>
                                    </div>
                                </div>
                            	<div id="oTabs-5" class="tab-pane" style="overflow:hidden; padding:5px 0px 0px 0px;">
                                    <div id="objTabs5Body" class="BORDER_ALL" style="padding:5px; overflow:auto; border-bottom:0px">
                                    	<?
                                        $oTipPro=new Acceso_clsTipo_Proceso();
                                        $oProceso=new Acceso_clsProceso();
                                        $rsTipPro=$oTipPro->Leer();
                                        $rsProceso=$oProceso->Leer(0);
                                        $arrTipos=array(); if($rsTipPro) $arrTipos=$rsTipPro->fetchAll(PDO::FETCH_ASSOC);
                                        $arrProcesos=array(); if($rsProceso) $arrProcesos=$rsProceso->fetchAll(PDO::FETCH_ASSOC);
										
                                        ?>
                                        <table id="tblPerEsp" width="100%" class="standard">
                                            <tbody>
                                                <?
                                                foreach($arrTipos as $it=>$rowTipo){
                                                    ?>
                                                    <tr class="BG1">
                                                        <td><input type="checkbox" name="chkPerTipPro[]" id="chkPerTipPro<?=intval($rowTipo['tipoprocesoid'])?>" value="<?=intval($rowTipo['tipoprocesoid'])?>" ></td>
                                                        <td><label for="chkPerTipPro<?=intval($rowTipo['tipoprocesoid'])?>" class="HAND"><b class="SUBTITULO"><?=Mostrar_Dato($rowTipo['nombre'])?></b></label></td>
                                                        <td><i class="icon-user"></i></td>
                                                    </tr>
                                                    <?
                                                    foreach($arrProcesos as $ip=>$rowProceso){
                                                        $vCantidad=intval($rowProceso['cantidad_personas']);
                                                        if(intval($rowProceso['tipoprocesoid'])==intval($rowTipo['tipoprocesoid'])){
                                                            ?>
                                                            <tr procesoid="<?=intval($rowProceso['procesoid'])?>">
                                                                <td><input type="checkbox" value="<?=intval($rowProceso['procesoid'])?>" name="chkProceso[]" id="chkProceso<?=intval($rowProceso['procesoid'])?>" tipoprocesoid="<?=intval($rowProceso['tipoprocesoid'])?>"/></td>
                                                                <td><label for="chkProceso<?=intval($rowProceso['procesoid'])?>" class="HAND"><?=Mostrar_Dato($rowProceso['descripcion'])?></label></td>
                                                                <td><button type="button" class="btn btn-default<?=($vCantidad>0?' btn-success':'')?> btn-xs"><?=$vCantidad?></button></td>
                                                            </tr>
                                                            <?
                                                        }
                                                    }
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div id="objTabs5Bottom" style="height:37px; padding:2px; overflow:hidden;" class="BORDER_ALL BG1">
                                    	<div class="float-left">
                                            <div class="<?=clsBtnGroup()?>">
                                                <?=bCheckDefault("chkTodoEsp", "chkTodoEsp", "Activar todo")?>
                                            </div>
                                        </div>
                                    	<div class="float-right">
                                            <div class="<?=clsBtnGroup()?>"><?=bSave("btnGrabarEsp", "Guardar")?></div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <div id="capFondo" class="fondo"></div>
        <div id="capFrame" class="divFrame" style="width:90%; height:90%; top:5%; left:5%; z-index:9999999; "></div>
    </body>
</html>
