<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vMenuWebId=intval($array['menuwebid']);
    
    $oMenu=new Acceso_clsMenuWeb();
    $rowMenu=$oMenu->getROW($vMenuWebId);

    $vMsgNoPermiso=""; $vTienePermiso=true;
    if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PERMISOS WEB - OTRAS PERSONAS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="js/permisosweb_menuweb.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
    	<? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnRefresh()?><?=btnDelete()?>
            <?=getTitle('PERMISO A: <span style="color:#F00">'.Mostrar_Dato((intval($rowMenu['padre'])>0?$rowMenu['padre_titulo']." / ":"").$rowMenu['titulo']).'</span>')?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px">
                <form id="frmPanel">
                    <input type="hidden" value="<?=$vMenuWebId?>" name="menuwebid" id="menuwebid">
                    <input type="hidden" name="tiene_permiso" id="tiene_permiso" value="<?=($vTienePermiso?"1":"0")?>" alt="<?=$vMsgNoPermiso?>">
                    <table width="100%" id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="25px"><input type="checkbox" name="chkAll" id="chkAll"></th>
                                <th width="50px"></th>
                                <th width="40px"></th>
                                <th align="left">NOMBRE</th>
                                <th width="50px">CANT</th>
                                <th width="160px">ULTIMA VISITA</th>
                                <th width="100px">&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T standard">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
                <div class="float-right">
                    <div class="<?=clsBtnGroup()?>">
                        <?=bDefault("btnRen", "Renovar Claves", "hand-right")?>
                        <?=bDefault("btnNoRen", "NO renovar Claves", "hand-left")?>
                    </div>
                </div>
            </div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; z-index:99999999; border:0px;"></div>
    </body>
</html>