<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="PERSONA"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Persona</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="js/persona.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnAdd()?><?=btnDelete()?><?=btnRefresh()?>
            <?=getTitle("PERSONAS DEL SISTEMA")?>
        </div>
        <div id="divSearch" style="height:105px" class="BORDER_B">
            <table border="0">
                <tr>
                    <td rowspan="3" valign="top" style="padding-right:10px">
                        <img src="<?=IMAGES?>/loginUsers.gif" />
                    </td>
                    <td align="left">
                    	<div class="<?=clsInputGroup()?> <?=clsBtnGroup("")?>">
                            <?=InputGroupAddOn("", "", "", "Buscar:")?>
                            <?=getInputText("txtApePat", "Ape. Paterno", "", 50, "form-control", "width:120px")?>
                            <?=getInputText("txtApeMat", "Ape. Materno", "", 50, "form-control", "width:120px")?>
                            <?=getInputText("txtNombre", "Nombre", "", 50, "form-control", "width:120px")?>
                            <?=bSuccess("btnBuscar", "Buscar", "zoom-in", "", "btn-sm")?>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td align="left">
                    	<div class="<?=clsInputGroup()?>">
                            <?=getSelect(array(array("codigo"=>"M", "nombre"=>"Hombres"), array("codigo"=>"F", "nombre"=>"Mujeres")), "cboSexo", "codigo", "nombre", '', 'form-control', 'width:150px;', '', 'Por sexo', true)?>
                            <?=getSelect(array(array("codigo"=>"Y", "nombre"=>"Activos"), array("codigo"=>"N", "nombre"=>"Inactivos")), "cboEstado", "codigo", "nombre", '', 'form-control', 'width:150px;', '', 'Por estado', true)?>
                            <?=getSelect(array(array("codigo"=>"Y", "nombre"=>"Con Foto"), array("codigo"=>"N", "nombre"=>"Sin Foto")), "cboFoto", "codigo", "nombre", '', 'form-control', 'width:150px;', '', 'Por foto', true)?>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                    	<div class="<?=clsBtnGroup()?>">
                            <?=bCheckDefault("chkRol[]", "chkRol0", 'SIN ROL', "", "", "", "", false, "0")?>
                            <?
                            $oR= new Acceso_clsRol();
                            $rs=$oR->Leer();
                            $arrRol=array(); if($rs) $arrRol=$rs->fetchAll(PDO::FETCH_ASSOC);
                            foreach($arrRol as $i=>$row){
                                ?>
                                <?=bCheckDefault("chkRol[]", "chkRol".intval($row['rolid']), Mostrar_Dato($row['abreviatura']), Mostrar_Dato($row['nombre']), "", "", "", false, intval($row['rolid']), (trim($row['imagen'])!=''?'<img src="'.IMAGES."/".trim($row['imagen']).'"> ':''))?>
                                <?
                            }
                            ?>
                    	</div>
                    </td>
                </tr>
            </table>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px">
                <form id="frmPanel">
                    <input type="hidden" value="1" name="txtPage" id="txtPage">
                    <input type="hidden" value="" name="orderby" id="orderby" />
                    <table width="100%" id="tblMain" class="standard">
                        <thead>
                            <tr class="title1">
                                <th width="30px">&nbsp;</th>
                                <th width="30px"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                <th width="50px" orderby="codigo">ID <span o="down" t="n"></span></th>
                                <th width="40px"></th>
                                <th width="30px"></th>
                                <th width="90px">DNI/RUC</th>
                                <th class="left" orderby="nombre">APELLIDOS Y NOMBRES / RAZ&Oacute;N SOCIAL <span o="up" t="a"><?=getIcon("sort-by-alphabet")?></span></th>
                                <th class="left">ROL</th>
                                <th class="left">EMAIL</th>
                                <th class="left">TELEFONO</th>
                                <th width="30px">&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_T">
            <div class="float-left">
            	<div class="float-left" id="lblMsg"></div>
            </div>
            <div class="float-right">
            	<div class="float-left" id="lblPage"></div>
            	<div class="float-right" style="padding-left:15px"><? echo ShowSelectPage(100); ?></div>
            </div>
        </div>
        <div id="oFondo" class="fondo"></div>
        <div id="oEdit" class="divFrame" style="width:100%; height:100%; top:0px; left:0px; padding:0px; margin:0px; border:0px; z-index:999999;"></div>
    </body>
</html>