<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_POST) $array=$_POST;
    else $array=$_GET;

    $vPersonaId=intval($array['personaid']);

    $oP=new Acceso_clsPersona();
    $rowPersona=$oP->getROW($vPersonaId);

    $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_PHOTO."/";
    $oFTP=new FTP();

    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    $swClose=true; $swTitulo=true;
    if(isset($array['swclose'])) $swClose=(intval($array['swclose'])==1);
    if(isset($array['swtitulo'])) $swTitulo=(intval($array['swtitulo'])==1);
?>
<!DOCTYPE html>
<html>
    <head>        
        <title>CAMBIO DE IMAGEN</title>
        <? include("../php/head.php");?>
        <? include("../php/head_sort.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <script type="text/javascript" src="js/personafoto.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols1.js"></script>
        <style type="text/css">
            #sortable{ padding:0px; margin:0px;}
            #sortable li{ list-style-type:none}
            .gbox{ width:140px; height:170px; position:relative; float:left; margin-right: 5px; margin-bottom:12px; }
            .gbox .imagen {height:145px; border:1px solid #CCC;}
            .gbox .imagen img{width:138px; height:145px;}
            .gbox .options{ height:33px; padding:4px 4px; position:relative; width:140px; background:#CCC;}
            .gbox .options .check{float:left; position:relative;}
            .gbox .options .edit{float:right; position:relative;padding:1px; text-align:center}
        </style>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <? if($swTitulo){?>
            <div id="divHeader">
                <?=getTitle("GALER&Iacute;A DE FOTOS: ".Mostrar_Dato(($rowPersona['tipo']=="N")?((trim($rowPersona['titulo'])==''?'':trim($rowPersona['titulo'])." ").$rowPersona['nombre']." ".$rowPersona['ape_pat']." ".$rowPersona['ape_mat']):$rowPersona['raz_soc']))?>
                <? if($swClose){?><?=btnClose()?><? } ?>
            </div>
        <? } ?>
        <div id="divMain">
            <div id="divGrid" style="padding:5px; overflow: hidden;">
                <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                <div id="divLeft" style="width:210px;">
                    <div id="divLeftTop1" style="height:40px; padding:5px" class="BORDER_ALL BG1">
                    	<b style="font-size:18px; color:#069">Foto del Perfil</b>
                    </div>
                    <div id="divLeftMain" class="BORDER_L BORDER_R" style="padding:5px">
                        <div id="objImage" style="width:180px;"></div>
                    </div>
                    <div id="divLeftBottom1" style="height:40px; padding:2px" class="BORDER_ALL BG1">
                    	<div class="<?=clsBtnGroup("")?>">
                            <?=bDefault("btnFotoRef", "", "refresh", "Mostrar imagen")?>
                            <?=bDefault("btnFotoPrev", "", "picture", "Vista preliminar")?>
                            <?=bDelete("btnFotoDel")?>
                            <?=bDefault("btnFotoDown", "", "download", "Descargar foto")?>
                        </div>                            
                    </div>
                </div>
                <div id="divRight">
                    <div id="divRightTop1" style="height:40px; padding:2px" class="BORDER_ALL BG1">
                    	<div class="<?=clsBtnGroup("")?>">
                            <?=bRefresh("btnRefresh")?><?=bAdd("btnAdd")?><?=bDelete("btnDelete")?>
                            <?=bCheckDefault("chkAll", "chkAll", "Seleccionar todos")?>
                        </div>
                    </div>
                    <div id="divRightMain" class="BORDER_L BORDER_R" style="border-bottom:0px; padding:5px">
                        <form id="frmGrid">
                            <input type="hidden" value="<?=$vPersonaId?>" name="personaid" id="personaid">
                            <div>
                                <ul id="sortable"></ul>
                            </div>
                        </form>
                    </div>
                    <div id="divRightBottom1" style="height:40px; padding:2px;" class="BORDER_ALL BG1 standard">
                        <div class="float-left">
                            <div class="float-left" id="lblMsg"></div>
                        </div>
                        <div class="float-right">
                            <div class="<?=clsBtnGroup("")?>">
                                <?=bDefault("btnPreview", "Vista Preliminar", "eye-open")?>
                                <? if($vPersonaId!=intval($sessCodigo)){?><?=bDefault("btnMiGaleria", "Mi Galer&iacute;a", "picture")?><? } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="capFrame" class="divFrame" style="width:100%; height:100%; top:0%; left:0%; padding:0px; margin:0px; border:0px; z-index:99999;"></div>
    </body>
</html>