<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_POST) $array=$_POST;
    else $array=$_GET;

    $vPersonaId=intval($array['personaid']);

    $swClose=true; $swTitulo=true;
    if(isset($array['swclose'])) $swClose=(intval($array['swclose'])==1);
    if(isset($array['swtitulo'])) $swTitulo=(intval($array['swtitulo'])==1);

    $oPersona=new Acceso_clsPersona();

    $rowPersona=$oPersona->getROW($vPersonaId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>CONSULTA DE VISITAS</title>
        <? include("../php/head.php");?>
        <script language="javascript" type="text/javascript" src="../js/frmStandard.js"></script>
        <script language="javascript" type="text/javascript" src="js/personavisitas.js"></script>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <div id="divHeader">
            <?=btnRefresh()?>
            <?=getTitle("VISITAS DE ".Mostrar_Dato($rowPersona['nombre']." ".$rowPersona['ape_pat']." ".$rowPersona['ape_mat']))?>
            <?=btnClose()?>
        </div>
        <div id="divSearch" class="BORDER_B standard" style="height:37px; padding:3px;">
            <div class="input-group">
                <?=getSelect(array(array("codigo"=>INTRANET_CORP, "nombre"=>"Intranet Corporativa")), "cboIntranet", "codigo", "nombre", '', 'form-control', 'width:200px;', '', '', false)?>
                <?=getSelect(array(array("codigo"=>"Y", "nombre"=>"Intentos exitosos"), array("codigo"=>"N", "nombre"=>"Intentos descartados")), "cboExito", "codigo", "nombre", '', 'form-control', 'width:160px;', '', 'Todos los intentos', true)?>
                <?=getSelect(array(array("codigo"=>"Y", "nombre"=>"Solo mobiles"), array("codigo"=>"N", "nombre"=>"Solo PCS")), "cboMobil", "codigo", "nombre", '', 'form-control', 'width:150px;', '', 'Todos', true)?>
                <?=getInputText("txtDesde", "Desde", "", 10, "form-control", "width:100px; text-align:center;")?>
                <?=getInputText("txtHasta", "Hasta", "", 10, "form-control", "width:100px; text-align:center;")?>
            </div>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px;">
                <form id="frmPanel">
                    <input type="hidden" value="<?=$vPersonaId?>" id="personaid" name="personaid">
                    <input type="hidden" value="1" name="txtPage" id="txtPage">
                    <table width="100%" id="tblMain" class="standard">
                    	<thead>
                            <tr class="title1">
                                <th width="160px">FECHA</th>
                                <th class="left">USUARIO</th>
                                <th>CLAVE</th>
                                <th width="120px">IP</th>
                                <th width="20px">&nbsp;</th>
                                <th width="20px">&nbsp;</th>
                                <th width="20px">&nbsp;</th>
                                <th width="20px">&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </form>
            </div>
        </div>
        <div id="divBottom" class="BORDER_ALL BG1">
            <div class="float-left" id="lblMsg"></div>
            <div class="float-right" style="padding-left:5px"><?=ShowSelectPage(100); ?></div>
            <div class="float-right" id="lblPage" style="padding-right:10px"></div>
        </div>
        <div id="capFondo" class="fondo">&nbsp;</div>
        <div id="capFrame" class="divFrame" style="width:80%; height:80%; top:10%; left:10%;"></div>
    </body>
</html>