<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");	
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu=array("TABLAS-BASICAS"); include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vTipoSocialMediaId=intval($array['tiposocialmediaid']);
    $swNew=(intval($array['swnew'])==1);

    $rowTipo=array("tiposocialmediaid"=>0, "nombre"=>'', "estructura"=>'', 'icono'=>'', "estado"=>true);

    $oT=new Acceso_clsTipo_SocialMedia();
    if(!$swNew){
        $rowTipo=$oT->getROW($vTipoSocialMediaId);
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Editar Tipo Social Media</title>
        <? include("../php/head.php"); ?>
        <? include("../php/head_fancy.php"); ?>
        <? include("../php/head_uploadifive.php"); ?>
        <script language="javascript" type="text/javascript" src="js/tiposocialmediaedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols1.js"></script>
    </head>
    <body onLoad="$('#txtNombre').focus();">
        <form id="frmPanel" class="form-horizontal form-small">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="tiposocialmediaid" id="tiposocialmediaid" value="<?=$vTipoSocialMediaId?>">
            <input type="hidden" name="image" id="image" value="<?=trim($rowTipo['icono'])?>">
            <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
            <div id="divHeader">
                <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." TIPO DE RED SOCIAL")?><?=btnClose()?>
            </div>
            <div id="divMain">
                <div id="divGrid" style="padding:5px; overflow:hidden">
                    <div id="divLeft" style="width:200px;">
                        <div id="divLeftMain" style="overflow:hidden">
                            <div class="float-left" style="width:100%;">
                                <?
                                $vFile=trim($rowTipo['icono']); $swFoundImg=false; $vSize="";
                                if(!$swNew && $vFile!=''){
                                    $oFTP=new FTP();
                                    $oFTP->pServer=FTP_DOMAIN;
                                    $oFTP->pUser=FTP_USER;
                                    $oFTP->pPassword=FTP_PASS;
                                    $oFTP->pPort=FTP_PORT;
                                    $vPath=FTP_PATH.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/";
                                    
                                    if ($oFTP->File_Exists($vPath, $vFile)){
                                        $swFoundImg=true;
                                        $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFile)));
                                        $arrDim=$oFTP->Dimensions($vPath.$vFile);
                                        $arrSize=Proporcional(intval($arrDim['width']), intval($arrDim['height']), 190, 200);
                                        ?>
                                        <div class="float-left" style="width:60px">
                                            <img src="http://<?=FTP_DOMAIN.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/".$vFile?>" alt="<?=$vPath.$vFile?>" id="btnImagen" class="pic">
                                        </div>
                                        <?
                                    }
                                }
                                if(!$swFoundImg){
                                    ?>
                                    <div class="float-left" style="width:100%">
                                        <img src="<?=IMAGEBLANK?>" id="btnImagen" class="pic" alt="">
                                    </div>
                                    <?
                                }
                                ?>
                                <div class="float-left" style="padding-top:10px; width:100%; line-height:20px;" id="lblNameSize">
                                    <b><?=Mostrar_Dato($vFile)?></b><br /><?=$vSize?>
                                </div>
                                <div class="float-left" style="width:100%; padding-top:10px;">
                                    <div class="<?=clsBtnGroup()?>">
                                        <?=bDefault("btnDownload", "", "download", "Descargar imagen")?>
                                        <?=bDelete("btnDelImg", "", "trash", "Eliminar")?>
                                    </div>
                                </div>
                            </div>                                                                    
                            <div class="float-left" style="width:100%; padding-top:10px;">
                                <div id="custom-queue"></div>
                                <input type="file" id="txtImage" name="txtImage" />
                            </div>
                            <div class="float-left" style="width:100%; padding-top:10px;">
                                <ul style="padding:0px; margin:0 0 0 10px; list-style:none">
                                    <li>Tam. Max:&nbsp;<?=FormatSizeFile(SIZE_SOCIALMEDIA_ICONS*1024)?></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div id="divRight">
                        <div id="divRightMain">
                            <?
                            getFormGroupText("txtNombre", "NOMBRE", $rowTipo['nombre'], 50);
                            getFormGroupText("txtUrl", "URL", $rowTipo['url'], 250);
                            getFormGroupCheck("chkEstado", "ACTIVO", $rowTipo['estado']);
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>
<script type="text/javascript">
    $(function(){
        $('#txtImage').uploadifive({
            'uploadScript'     	: 'ajax/ajTipoSocialMedia.php',
            'fileSizeLimit' 	: <?=intval(SIZE_SOCIALMEDIA_ICONS)?>,
            'fileType'        	: 'image',
            'multi'          	: false,
            'auto'           	: true,
            'buttonText'	: 'Examinar',
            'queueID'        	: 'custom-queue',
            'formData'  	: { 'miopcion':'upload', session:"<?=session_id()?>" },
            'removeCompleted'	: true,

            'onAddQueueItem': function(oFile){ swUpdate=false; },
            'onUploadComplete': function(oFile, oData){
                try{
                    var oRpta = jQuery.parseJSON(oData);
                    if(oRpta.pResult){
                        $('#image').val(oRpta.pFileName);
                        $('#btnImagen').attr('src', oRpta.pFileNameFull).attr('alt', oRpta.pFileNamePath).css({'width':oRpta.pWidth+'px', 'height':oRpta.pHeight+'px'});
                        $('#lblNameSize').html('<b>'+oRpta.pFileName+'</b><br>'+oRpta.pSize);
                    }else{
                        bootbox.alert(oRpta.pMessage);
                    }
                    swUpdate=true;
                }catch(e){
                    
                }
            },
            'onCancel': function(oFile) {
                swUpdate=true;
            }
        });
    });
</script>