<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "showban":
            $oB=new Acceso_clsBanco();
            $rs=$oB->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updateban":
            $oB=new Acceso_clsBanco();
            $oB->pNombre=Almacenar_Dato($array['txtNombre']);
            $oB->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oB->pReferencia=Almacenar_Dato($array['txtReferencia']);
            $vBancoId=intval($array['bancoid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oB->Agregar($vBancoId);
            }else{
                $intError=$oB->Modificar($vBancoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oB->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deleteban":
            $arrCheck=array(); if(isset($array['chkBan'])) $arrCheck=$array['chkBan'];
            $swError=false; $msgError="Errores: ";

            $oB=new Acceso_clsBanco();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vBancoId){
                    $intError=$oB->Eliminar($vBancoId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oB->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;

        case "showctacte":
            $vBancoId=intval($array['bancoid']);

            $oCC=new Acceso_clsCtaCte();

            $rs=$oCC->Leer($vBancoId, 0);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;

        case "updatectacte":
            $oCC=new Acceso_clsCtaCte();
            $oCC->pNumero=Almacenar_Dato($array['txtNumero']);
            $oCC->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oCC->pSucursal=Almacenar_Dato($array['txtSucursal']);
            $oCC->pReferencia=Almacenar_Dato($array['txtReferencia']);
            $oCC->pBancoId=intval($array['cboBanco']);
            $oCC->pEmpresaId=intval($array['cboEmpresa']);
            $oCC->pMoneda=Almacenar_Dato($array['cboMoneda']);
            $oCC->pEmpresa=isset($array['chkEmpresa']);

            $vCtaCteId=intval($array['ctacteid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oCC->Agregar($vCtaCteId);
            }else{
                $intError=$oCC->Modificar($vCtaCteId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oCC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deletectacte":
            $arrCheck=array(); if(isset($array['chkCtaCte'])) $arrCheck=$array['chkCtaCte'];
            $swError=false; $msgError="Errores: ";

            $oCC=new Acceso_clsCtaCte();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCtaCteId){
                    $intError=$oCC->Eliminar($vCtaCteId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oCC->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>