<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vEmpresaId=intval($array['empresaid']);
            $oE=new Acceso_clsEmpresaAlmacen();
            $rs=$oE->LeerAlmacenes($vEmpresaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oE=new Acceso_clsEmpresaAlmacen();
            $oE->pEmpresaId=intval($array['empresaid']);
            $oE->pAlmacenId=intval($array['almacenid']);
            $oE->pCertificadoId=intval($array['cboCertificado']);
            $oE->pSunatEnviar=isset($array['chkSunatEnviar']);
            $oE->pSunatFirmar=isset($array['chkSunatFirmar']);
            $oE->pCantidadPrecios=intval($array['cboCantidadPrecios']);
            $oE->pTipoRedondeo=intval($array['cboTipoRedondeo']);
            $oE->pSunatIntentos=intval($array['txtIntentos']);
            $oE->pSunatTemporizador=intval($array['txtTemporizador']);

            $intError=$oE->Actualizar($sessCodigo, miIP());

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oE->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "add":
            $vEmpresaId=intval($array['empresaid']);
            $vAlmacenId=intval($array['almacenid']);
            
            $oE=new Acceso_clsEmpresaAlmacen();

            $intError=$oE->Add($vEmpresaId, $vAlmacenId, $sessCodigo, miIP());

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?'':$oE->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $vEmpresaId=intval($array['empresaid']);
            
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            
            $oE=new Acceso_clsEmpresaAlmacen();

            $swError=false; $msgError="Errores: ";
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vAlmacenId){
                    $intError=$oE->Eliminar($vEmpresaId, $vAlmacenId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oE->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>