<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $oT=new Acceso_clsGrupo_Permisos();
            $rs=$oT->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $vCodigo=intval($array['codigo']);
            $swNew=(intval($array['swnew'])==1);

            $oT=new Acceso_clsGrupo_Permisos();

            $oT->pProceso=Almacenar_Dato($array['txtProceso']);
            $oT->pNombre=Almacenar_Dato($array['txtNombre']);
            $oT->pDescripcion=Almacenar_Dato($array['txtDescripcion']);
            $oT->pEstado=isset($array['chkEstado']);

            if ($swNew){
                $intError=$oT->Agregar($vCodigo);
            }else{
                $intError=$oT->Modificar($vCodigo);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chkGru'])) $arrCheck=$array['chkGru'];
            $swError=false; $msgError="Errores: ";
            $oT=new Acceso_clsGrupo_Permisos();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCodigo){
                    $intError=$oT->Eliminar($vCodigo);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vCodigo=intval($array['codigo']);

            $oT=new Acceso_clsGrupo_Permisos();
            $vRpta=$oT->Cambiar_Estado($vCodigo);

            $rowTipo=$oT->getROW($vCodigo);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar el estado");
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids'])) $arrIDS=$array['ids'];
            
            $vCadena=implode(",", $arrIDS);
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oT=new Acceso_clsGrupo_Permisos();
            $vRpta=$oT->Cambiar_Orden($vCadena, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
        case "mostrar_opciones_grupo":
            $vCodigo=intval($array['codigo']);

            $oG=new Acceso_clsGrupo_Permisos_MenuWeb();

            $rs=$oG->Leer($vCodigo);

            $arrPermiso=array(); if($rs) $arrPermiso=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oOpciones'] = $arrPermiso;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "registrar":
            $oG=new Acceso_clsGrupo_Permisos_MenuWeb();

            $intError=0; $msgError="";

            $vCodigo=intval($array['codigo']);
            $arrOpc=array(); if(isset($array['chk'])) $arrOpc=$array['chk'];
            $vArray=implode(",", $arrOpc);

            if (trim($vArray)!="") $vArray="array[".trim($vArray)."]";
            else $vArray="null";

            $vRpta=$oG->Registrar($vCodigo, $vArray);
            if(!$vRpta){
                $intError=1;
                $msgError="Problemas al actualizar la base de datos.";
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);			
            break;
    }
?>