<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "query":
            $vCodigo=intval($array['codigo']);
            $vNombre=trim($array['name']);

            $oP=new Acceso_clsPersona();

            $rs=$oP->Leer_NonGrupoPermisos(0, 50, $vCodigo, $vNombre);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            echo json_encode($jsondata);
            break;
        case "show":
            $vCodigo=intval($array['codigo']);
            $vNombre=trim($array['name']);

            $oP=new Acceso_clsGrupo_Permisos_Persona();
            $rs=$oP->Leer(0, 0, $vCodigo, $vNombre);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            echo json_encode($jsondata);
            break;
        case "add":
            $vCodigo=intval($array['codigo']);
            $arrIDS=array(); if(isset($array['chk'])) $arrIDS=$array['chk'];
            
            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oP=new Acceso_clsGrupo_Permisos_Persona();

            $intError=$oP->Add($vCodigo, $vArray);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError>0?$oP->getErrMsg($intError):"");
            echo json_encode($jsondata);
            break;
        case "delete":
            $vCodigo=intval($array['codigo']);
            $arrIDS=array(); if(isset($array['chk'])) $arrIDS=$array['chk'];
            
            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oP=new Acceso_clsGrupo_Permisos_Persona();

            $intError=$oP->Delete($vCodigo, $vArray);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError>0?$oP->getErrMsg($intError):"");
            echo json_encode($jsondata);
            break;
    }
?>