<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "mostrar_padres":
            $oM=new Acceso_clsMenuWeb();
            $rsPadre=$oM->Leer(0);

            $arrDatos=array(); if($rsPadre) $arrDatos=$rsPadre->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "mostrar_hijos":
            $vPadre=intval($array['padre']);
            $oM=new Acceso_clsMenuWeb();
            $rsHijo=$oM->Leer($vPadre);

            $arrDatos=array(); if($rsHijo) $arrDatos=$rsHijo->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oM=new Acceso_clsMenuWeb();
            $oM->pProceso=Almacenar_Dato($array['txtProceso']);
            $oM->pTitulo=Almacenar_Dato($array['txtTitulo']);
            $oM->pDescripcion=Almacenar_Dato($array['txtDescripcion']);
            $oM->pLink=Almacenar_Dato($array['txtLink']);
            $oM->pPadre=intval($array['cboPadre']);
            $oM->pEstado=isset($array['chkEstado']);

            $swNew=(intval($array['swnew'])==1);
            $vMenuWebId=intval($array['menuwebid']);

            if ($swNew){
                $intError=$oM->Agregar($vMenuWebId);
            }else{
                $intError=$oM->Modificar($vMenuWebId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oM->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "cambiar_orden":
            $vPadre=intval($array['padre']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

            $oM=new Acceso_clsMenuWeb();
            $vRpta=$oM->Cambiar_Orden($vPadre, $vArray);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Problemas al cambiar el orden");
            echo json_encode($jsondata);
            break;
        case "delete_padres":
            $arrCheck=array(); if(isset($array['chkPadre'])) $arrCheck=$array['chkPadre'];
            $swError=false; $msgError="Errores: ";
            $oM=new Acceso_clsMenuWeb();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vMenuWebId){
                    $intError=$oM->Eliminar($vMenuWebId);
                    if ($intError!=0){
                        $swError=true;
                        $msgError.=$oM->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "delete_hijos":
            $arrCheck=array(); if(isset($array['chkHijo'])) $arrCheck=$array['chkHijo'];
            $swError=false; $msgError="Errores: ";
            $oM=new Acceso_clsMenuWeb();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vMenuWebId){
                    $intError=$oM->Eliminar($vMenuWebId);
                    if ($intError!=0){
                        $swError=true;
                        $msgError.=$oM->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vMenuWebId=intval($array['menuwebid']);

            $oM=new Acceso_clsMenuWeb();
            $vRpta=$oM->Cambiar_Estado($vMenuWebId);

            $rowMenu=$oM->getROW($vMenuWebId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar el estado");
            $jsondata['Status'] = ($rowMenu['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>