<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oO=new Acceso_clsOpciones_Seleccion();
            $rs=$oO->Leer(0,0,"");

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $vArrRol="";
            if(isset($array['chkRol'])){
                if(is_array($array['chkRol'])) $vArrRol=implode(",", $array['chkRol']);
            }
            if(trim($vArrRol)!='') $vArrRol="array[".trim($vArrRol)."]"; else $vArrRol="null";

            $oO=new Acceso_clsOpciones_Seleccion();
            $oO->pProceso=Almacenar_Dato($array['txtProceso']);
            $oO->pDescripcion=Almacenar_Dato($array['txtDescripcion']);
            $oO->pEstado=isset($array['chkEstado']);

            $vCodigo=intval($array['codigo']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oO->Agregar($vCodigo, $vArrRol);
            }else{
                $intError=$oO->Modificar($vCodigo, $vArrRol);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oO->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oO=new Acceso_clsOpciones_Seleccion();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCodigo){
                    $intError=$oO->Eliminar($vCodigo);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oO->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>