<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "show":
            $vEmpresaId=intval($array['empresaid']);
            $vModuloSistemaId=intval($array['modulosistemaid']);

            $oP=new Acceso_clsPermisos_Empresa();

            $rs=$oP->Leer_Personas(0, 0, $vEmpresaId, $vModuloSistemaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            echo json_encode($jsondata);
            break;
        case "delete":
            $vMsgNoPermiso=""; $vTienePermiso=true;
            if($sessUsuario!=SUPERUSUARIO) $vTienePermiso=TienePermiso($sessCodigo, "admin-employee", $vMsgNoPermiso);
            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                
                $vEmpresaId=intval($array['empresaid']);
                $vModuloSistemaId=intval($array['modulosistemaid']);

                $arrIDS=array(); if(isset($array['chk'])) $arrIDS=$array['chk'];

                $vArray=implode(",", $arrIDS);
                if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";

                $oP=new Acceso_clsPermisos_Empresa();

                $intError=$oP->Eliminar($vEmpresaId, $vModuloSistemaId, $vArray, $sessCodigo, miIP());
                
                if($intError>0){
                    $msgError=$oP->getErrMsg($intError);
                }
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);
            break;
    }
?>