<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vApePat=trim($array['apepat']);
            $vApeMat=trim($array['apemat']);
            $vNombre=trim($array['nombre']);
            $vSexo=trim($array['sexo']);
            $vEstado=trim($array['estado']);
            $vConFoto=trim($array['confoto']);
            $vArrRol=trim($array['rol']);
            if(trim($vArrRol)!='') $vArrRol="array[$vArrRol]"; else $vArrRol="null";
            $vOrderBy=trim($array['orderby']);

            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;

            $oP=new Acceso_clsPersona();
            $rs=$oP->Leer($vInicio, $vCount, $vApePat, $vApeMat, $vNombre, $vSexo, $vEstado, $vConFoto, $vArrRol, $vOrderBy);
            $vTotalFilas=$oP->Count($vApePat, $vApeMat, $vNombre, $vSexo, $vEstado, $vConFoto, $vArrRol);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;	

        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";
            $oP=new Acceso_clsPersona();
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vPersonaId){
                    $intError=$oP->Eliminar($vPersonaId, $sessCodigo, miIP());
                    if ($intError!=0){
                        $swError=true;
                        $msgError.=$oP->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "cambiar_estado";
            $vPersonaId=intval($array['personaid']);

            $oP=new Acceso_clsPersona();
            $intError=$oP->Cambiar_Estado($vPersonaId, $sessCodigo, miIP());

            $rowP=$oP->getROW($vPersonaId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oP->getErrMsg($intError));
            $jsondata['Status'] = ($rowP['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "cambiar_sexo";
            $vPersonaId=intval($array['personaid']);

            $oP=new Acceso_clsPersona();
            $intError=$oP->Cambiar_Sexo($vPersonaId, $sessCodigo, miIP());

            $rowP=$oP->getROW($vPersonaId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oP->getErrMsg($intError));
            $jsondata['Sexo'] = $rowP['sexo'];
            echo json_encode($jsondata);
            break;
    }
?>