<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "actualizar":
            $vPersonaId=intval($array['personaid']);
            $vUsuario=trim($array['txtUsuario']);
            $vClave=trim($array['txtClave']);

            $oC=new Acceso_clsCambiar_Clave_Otros();
            $oC->pPersonaId=$vPersonaId;
            $oC->pUsuario_Anterior=trim($array['txtUsuario_Anterior']);
            $oC->pUsuario_Nuevo=$vUsuario;
            $oC->pClave_Anterior=trim($array['txtClave_Anterior']);
            $oC->pClave_Nueva=trim($vClave);
            $oC->pClave_Temporal=(isset($array['chkRenovar_Clave'])?$vClave:"");
            $oC->pRenovar_Clave=isset($array['chkRenovar_Clave']);
            $oC->pTipo_Cambio="A";
            $oC->pExito=true;
            $oC->pIP=miIP();
            $oC->pUsuarioId=$sessCodigo;
            $oC->pObservacion="HECHO POR EL ADMINISTRADOR";

            $vMsgNoPermiso=""; $vTienePermiso=TienePermiso($sessCodigo, "persona-edit-user", $vMsgNoPermiso);

            $intError=0; $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $intError=$oC->Update();
                if($intError>0) $msgError=$oC->getErrMsg($intError);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);
            break;
        case "renovar":
            $vPersonaId=intval($array['personaid']);
            $swRenovar=(intval($array['swrenovar'])==1);

            $vMsgNoPermiso=""; $vTienePermiso=TienePermiso($sessCodigo, "persona-edit-user", $vMsgNoPermiso);

            $vRpta=true; $msgError="";
            if(!$vTienePermiso){
                $vRpta=false;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $oC=new Acceso_clsClave_Otros();
                $intError=$oC->Cambiar_Renovar_Clave("array[".$vPersonaId."]", $swRenovar, $sessCodigo, miIP());
                if($intError>0){
                    $msgError="Problemas al activar la renovacion de clave en el proximo ingreso.";
                }
            }

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);
            break;
    }
?>