<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(HERRAMIENTAS_PHP."/clsSistema_Archivos.php");
    require_once(LOGICA."/Acceso.php");
    $oSA=new clsSistema_Archivos();

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "showfoto":
            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_PHOTO."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vPersonaId=intval($array['personaid']);
            $cWidth=intval($array['width']);
            $cHeight=intval($array['height']);
            $oP=new Acceso_clsPersona();
            $swExiste=false; $vFoto=""; $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO."/"."0";
            $rowPersona=$oP->getROW($vPersonaId);
            if($rowPersona){
                $vFoto=trim($rowPersona['foto']);
                $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO."/"."0".trim($rowPersona['sexo']);
                if(trim($vFoto)!=''){
                    if ($oFTP->File_Exists($vPath, $vFoto)){
                        $arrSize=$oFTP->Dimensions($vPath.$vFoto);
                        $arrSize=Proporcional(intval($arrSize['width']), intval($arrSize['height']), $cWidth, $cHeight);
                        $pWidth=intval($arrSize['width']);
                        $pHeight=intval($arrSize['height']);

                        $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO."/".$vFoto;
                        $swExiste=true;
                    }
                }
            }

            $jsondata['pImage'] = $vImage;
            $jsondata['pFoto'] = $vFoto;
            $jsondata['pPath'] = $vPath;
            $jsondata['pExiste'] = $swExiste;
            $jsondata['pWidth'] = $pWidth;
            $jsondata['pHeight'] = $pHeight;
            echo json_encode($jsondata);
            break;
        case "deletefoto":
            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_PHOTO."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vPersonaId=intval($array['personaid']);
            $vRpta=true; $msgError="";

            $vMsgNoPermiso=""; $vTienePermiso=TienePermiso($sessCodigo, "persona-photo", $vMsgNoPermiso);

            if(!$vTienePermiso){
                $vRpta=false;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                if($vPersonaId>0){
                    if ($oFTP->Directory_Exists($vPath)){

                        $oP=new Acceso_clsPersona();
                        $rowPersona=$oP->getROW($vPersonaId);
                        if($rowPersona){
                            $vFoto=trim($rowPersona['foto']);
                            if(trim($vFoto)!=''){
                                if ($oFTP->File_Exists($vPath, $vFoto)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vFoto);
                                    if($vRpta){
                                        $intError=$oP->Cambiar_Foto($vPersonaId, '', $sessCodigo, miIP());									
                                    }else{
                                        $msgError="Problemas al eliminar la imagen";
                                    }
                                }else{
                                    $intError=$oP->Cambiar_Foto($vPersonaId, '', $sessCodigo, miIP());									
                                }
                            }
                        }
                    }
                }else{$vRpta=false;  $msgError="No se recibio el codigo de la persona.";}
            }

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = (trim($msgError)!=''?trim($msgError):'Problemas al eliminar la foto');
            echo json_encode($jsondata);			
            break;
        case "upload":
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $msgUpload=""; $swUpload=false; $msgUpdate=""; $swUpdate=false;	$vFileName=""; $vPersonaGalleryId=0;

            $vMsgNoPermiso=""; $vTienePermiso=TienePermiso($sessCodigo, "persona-photo", $vMsgNoPermiso);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/";
            if (!$oFTP->Directory_Exists($vPath))$oFTP->Create_Dir($vPath);

            if(!$vTienePermiso){
                $swUpload=false;
                $msgUpload=Mostrar_Dato($vMsgNoPermiso);
            }else{
                $vPersonaId=intval($array['personaid']);

                $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
                if (!$oFTP->Directory_Exists($vPath))$oFTP->Create_Dir($vPath);
                if (!empty($_FILES)){
                    $vArchivo="Filedata";
                    $vFileName=SanitizeFilename($_FILES[$vArchivo]['name']);

                    if ($vFileName!=""){
                        if ($oFTP->Directory_Exists($vPath)){

                            $vExtension=Extension($vFileName);
                            $vFileName=$vPersonaId.$vExtension;

                            $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                            if ($oFTP->File_Exists($vPath, $vFileName)){
                                $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                            }
                            $oFTP->pFile=$vArchivo;
                            $oFTP->pResize=true;
                            $oFTP->pResizeOption='proportional';
                            $oFTP->pWidth=1000;
                            $oFTP->pHeight=1000;
                            $oFTP->pExtensions=$EXT_PERSON_PHOTO;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $msgUpload="File upload ok";
                                $swUpload=true;

                                $arrDim=$oFTP->Dimensions($vPath.$vFileName);

                                $vSize=$oFTP->Size($vPath.$vFileName);
                                $vWidth=doubleval($arrDim['width']);
                                $vHeight=doubleval($arrDim['height']);
                                
                                $oI=new Acceso_clsPersonaGallery();
                                $oI->pPersonaId=$vPersonaId;
                                $oI->pFileName=trim($vFileName);
                                $oI->pWidth=$vWidth;
                                $oI->pHeight=$vHeight;
                                $oI->pSize=$vSize;
                                $oI->pDPI=0;
                                $intError=$oI->Add($vPersonaGalleryId);
                                if($intError==0){
                                    $msgUpdate="Update Ok. ";
                                    $swUpdate=true;
                                }else{
                                    $msgUpdate=$oI->getErrMsg($intError);
                                    $swUpdate=false;
                                }
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }else{
                            $msgUpload="Directory (".$vPath.") does not exist.";
                            $swUpload=false;
                        }
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pPersonaGalleryId'] = $vPersonaGalleryId;
            echo json_encode($jsondata);
            break;




        case "show":
            $vPersonaId=intval($array['personaid']);
            $oI=new Acceso_clsPersonaGallery();
            $rsWCI=$oI->Read($vPersonaId);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrDatos=array(); if($rsWCI) $arrDatos=$rsWCI->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$rowI){
                $vFileName=trim($rowI['filename']);
                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath, $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oPath'] = FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oFTP'] = FTP_PATH;
            echo json_encode($jsondata);
            break;
        case "delete":

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrCheck=false; if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errors: ";

            $oI=new Acceso_clsPersonaGallery();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vPersonaGalleryId){
                    $rowPersonaImg=$oI->getROW($vPersonaGalleryId);
                    if ($rowPersonaImg){

                        $vPersonaId=intval($rowPersonaImg['personaid']);						
                        $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
                        $vImage=trim($rowPersonaImg['filename']);

                        $intError=$oI->Delete($vPersonaGalleryId);
                        if ($intError!=0){
                            $swError=true;
                            $msgError.=$oI->getErrMsg($intError)." ";
                        }else{
                            if(trim($vImage)!=''){
                                if($oFTP->File_Exists($vPath, $vImage)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vImage);
                                }
                            }
                        }
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "default":
            $vPersonaGalleryId=intval($array['personagalleryid']);
            $oI=new Acceso_clsPersonaGallery();
            $vRpta=$oI->setDefault($vPersonaGalleryId);

            $jsondata['Err'] = (!$vRpta?1:0);
            $jsondata['Description'] = (!$vRpta?"Failed to change the default image.":"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vPersonaGalleryId=intval($array['personagalleryid']);

            $oI=new Acceso_clsPersonaGallery();
            $vRpta=$oI->Change_Status($vPersonaGalleryId);

            $rowWCI=$oI->getROW($vPersonaGalleryId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Err to change status");
            $jsondata['Status'] = ($rowWCI['status']?1:0);
            echo json_encode($jsondata);
            break;
        case "delete_image":
            $vPersonaId=intval($array['personaid']);
            $vFileName=trim($array['image']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vRpta=true;
            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                }
            }
            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Problemas al eliminar la imagen");
            echo json_encode($jsondata);
            break;
        case "getimage";
            $vPersonaGalleryId=intval($array['personagalleryid']);

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $oI=new Acceso_clsPersonaGallery();

            $rowI=$oI->getROW($vPersonaGalleryId);

            $vImage=IMAGEBLANK;
            $vImagePath=""; $vFileName=""; $vSize=""; $pWidth=130; $pHeight=150;
            if($rowI){
                $vFileName=trim($rowI['filename']);
                $vPersonaId=intval($rowI['personaid']);
                $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrSize=$oFTP->Dimensions($vPath.$vFileName);
                    $arrSize=Proporcional(intval($arrSize['width']), intval($arrSize['height']), 190, 200);
                    $pWidth=intval($arrSize['width']);
                    $pHeight=intval($arrSize['height']);

                    $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/".$vFileName;
                    $vImagePath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/".$vFileName;
                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                }else $vFileName="";
            }

            $jsondata['pImage'] = trim($vImage);
            $jsondata['pImagePath'] = trim($vImagePath);
            $jsondata['pFileName'] = trim($vFileName);
            $jsondata['pSize'] = $vSize;
            $jsondata['pWidth'] = $pWidth;
            $jsondata['pHeight'] = $pHeight;
            echo json_encode($jsondata);
            break;
        case "preview":
            $vPersonaId=intval($array['personaid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $oImg=new Acceso_clsPersonaGallery();

            $rs=$oImg->Read($vPersonaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $arrImages=array();
            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['filename']);
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrImages[]=array("href"=>"http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/".$vFileName, "title"=>$row['descripcion']);
                }
            }

            $jsondata['oData'] = $arrImages;
            echo json_encode($jsondata);
            break;
    }
?>