<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "crop":
            $vPersonaId=intval($array['personaid']);
            $vPersonaIdPerfil=intval($array['personaidperfil']);
            if($vPersonaIdPerfil==0)$vPersonaIdPerfil=$vPersonaId;
            $vFileName=trim($array['filename']);
            $vWidth=intval($array['w']);
            $vHeight=intval($array['h']);
            $vX1=intval($array['x1']);
            $vY1=intval($array['y1']);

            $vWidthMin=FOTO_WIDTH; if(intval($vWidthMin)==0) $vWidthMin=85;
            $vHeightMin=FOTO_HEIGHT; if(intval($vHeightMin)==0) $vHeightMin=115;

            if($vWidth>=$vWidthMin && $vHeight>=$vHeightMin){			
                $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
                $oFTP=new FTP();
                $oFTP->pServer=FTP_DOMAIN;
                $oFTP->pUser=FTP_USER;
                $oFTP->pPassword=FTP_PASS;
                $oFTP->pPort=FTP_PORT;

                $intError=0; $msgError="";

                $imageQuality=90;

                if ($vFileName!=""){
                    if($oFTP->File_Exists($vPath, $vFileName)){
                        $vRpta=$oFTP->Get($vPath.$vFileName);

                        $vFileNameTmp=PATH_TMP."/".$vFileName;
                        if(IsImage($vFileNameTmp)){
                            $vFileNameTmpNew=tempnam(PATH_TMP, "RESIZE");

                            $arrInfo = getimagesize($vFileNameTmp);
                            $vImagen=false; $vExtension="";
                            switch($arrInfo[2]){
                                case IMAGETYPE_JPEG:
                                    $vExtension=".jpg";
                                    $vImagen = @imagecreatefromjpeg($vFileNameTmp);
                                    break;
                                case IMAGETYPE_GIF:
                                    $vExtension=".gif";
                                    $vImagen = @imagecreatefromgif($vFileNameTmp);
                                    break;
                                case IMAGETYPE_PNG:
                                    $vExtension=".png";
                                    $vImagen = @imagecreatefrompng($vFileNameTmp);
                                    break;
                                default:
                                    $vImagen = false;
                                    break;
                            }
                            if($vImagen){
                                $vContent = @imagecreatetruecolor( $vWidth, $vHeight );
                                imagecopyresampled($vContent, $vImagen, 0, 0, $vX1, $vY1, $vWidth, $vHeight, $vWidth, $vHeight);
                                switch($arrInfo[2]){
                                    case IMAGETYPE_JPEG:
                                        $swOk=imagejpeg($vContent, $vFileNameTmpNew, $imageQuality);
                                        break;
                                    case IMAGETYPE_GIF:
                                        $swOk=imagegif($vContent, $vFileNameTmpNew);
                                        break;
                                    case IMAGETYPE_PNG:
                                        // *** Scale quality from 0-100 to 0-9
                                        $scaleQuality = round(($imageQuality/100) * 9);									
                                        // *** Invert quality setting as 0 is best, not 9
                                        $invertScaleQuality = 9 - $scaleQuality;
                                        $swOk=imagepng($vContent, $vFileNameTmpNew, $invertScaleQuality);
                                        break;
                                }
                                if($swOk){
                                    $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_PHOTO."/";
                                    $vNewFileName=$vPersonaIdPerfil.$vExtension;
                                    $vFileNameNew=$oFTP->NewFileName($vPath, $vNewFileName);
                                    $vRpta=$oFTP->Put($vFileNameTmpNew, $vPath.$vFileNameNew);
                                    if($vRpta){
                                        $oP=new Acceso_clsPersona();
                                        $intErrUpd=$oP->Cambiar_Foto($vPersonaIdPerfil, $vFileNameNew, $sessCodigo, miIP());
                                        if($intErrUpd>0){
                                            $intError=$intErrUpd;
                                            $msgError=$oP->getErrMsg($intErrUpd);
                                        }
                                    }else{
                                        $intError=1;
                                        $msgError="Problemas al subir la nueva imagen al servidor.";
                                    }
                                }else{
                                    $intError=1;
                                    $msgError="Problemas al guardar la nueva imagen en el temporal.";
                                }
                            }else{
                                $intError=1;
                                $msgError="Problemas al crear el contenedor de la nueva imagen.";
                            }
                        }else{
                            $intError=1;
                            $msgError="El archivo original no es una imagen valida.";
                        }
                    }else{
                        $intError=1;
                        $msgError="El archivo original ya no existe en el servidor.";
                    }
                }else{
                    $intError=1;
                    $msgError="El nombre del archivo original esta en blanco.";
                }
            }else{
                $intError=1;
                $msgError="Problemas con el ancho o alto de la nueva imagen. Debe tener <b>".$vWidthMin."px</b> de ancho por <b>".$vHeightMin."px</b> de alto como minimo.";
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            echo json_encode($jsondata);
            break;
    }
?>