<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vPersonaId=intval($array['personaid']);
            $oL=new Acceso_clsLicenciaConducir();
            $rs=$oL->Leer($vPersonaId);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            foreach($arrDatos as $i=>$rowData){
                $vFileName=trim($rowData['archivo']);
                $arrDatos[$i]['existe']=0;
                $arrDatos[$i]['extension']='';
                if($vFileName!=''){
                    //$arrDatos[$i]['existe']=($oFTP->File_Exists($vPath, $vFileName)?1:0);
                    $arrDatos[$i]['existe']=1;

                    if($arrDatos[$i]['existe']){
                        $arrList=explode(".", $vFileName);
                        $vExt=strtolower($arrList[count($arrList)-1]);
                        $arrDatos[$i]['extension']=$vExt;
                    }
                }
            }
            
            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oPathIcons'] = HERRAMIENTAS_PHP_WEB."/iconos";
            $jsondata['oScriptDownload'] = SCRIPT_PHP_DOWNLOAD;
            $jsondata['oPath'] = FTP_DIR.PATH_PERSONA_LICENCIAS_FILES."/".$vPersonaId."/";
            $jsondata['oPathFTP'] = FTP_PATH;
            $jsondata['oDomain'] = FTP_DOMAIN;
            echo json_encode($jsondata);
            break;
        case "update":
            $oL=new Acceso_clsLicenciaConducir();
            $oL->pPersonaId=intval($array['personaid']);
            $oL->pCategoriaId=intval($array['cboCategoria']);
            $oL->pFechaExpedicion=CDate($array['txtExpedicion']);
            $oL->pFechaRevalidacion=CDate($array['txtRevalidacion']);
            $oL->pRestricciones=Almacenar_Dato($array['txtRestricciones']);
            $oL->pArchivo=Almacenar_Dato($array['archivo']);

            $vLicenciaId=intval($array['licenciaid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oL->Agregar($vLicenciaId, $sessCodigo, miIP());
            }else{
                $intError=$oL->Modificar($vLicenciaId, $sessCodigo, miIP());
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oL->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oL=new Acceso_clsLicenciaConducir();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;
            
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vLicenciaId){
                    $rowLicencia=$oL->getROW($vLicenciaId);
                    if ($rowLicencia){
                        $vPersonaId=intval($rowLicencia['personaid']);						
                        $vPath=FTP_PATH.FTP_DIR.PATH_PERSONA_LICENCIAS_FILES."/".$vPersonaId."/";
                        $vArchivo=trim($rowLicencia['archivo']);

                        $intError=$oL->Eliminar($vLicenciaId, $sessCodigo, miIP());
                        if ($intError==0){
                            if(trim($vArchivo)!=''){
                                if($oFTP->File_Exists($vPath, $vArchivo)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vArchivo);
                                }
                            }
                        }else{
                            $swError=true;
                            $msgError.=$oL->getErrMsg($intError)." ";
                        }
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "upload":
            $vPersonaId=intval($array['personaid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSONA_LICENCIAS_FILES."/".$vPersonaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $msgUpload=""; $swUpload=false;
            $vFileName=""; $vFileNameFull=""; $vFileNamePath=""; $vSize=""; $vIcono="";
            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=$_FILES[$vArchivo]['name'];

                if ($vFileName!=""){
                    if (!$oFTP->Directory_Exists($vPath)){
                        $oFTP->Create_Dir($vPath);
                    }
                    if ($oFTP->Directory_Exists($vPath)){
                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);
                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{
                            $oFTP->pFile=$vArchivo;
                            $oFTP->pResize=false;
                            $oFTP->pMaxSize=SIZE_PERSONA_LICENCIAS_FILES;
                            $oFTP->pExtensions=$EXT_PERSONA_LICENCIAS_FILES;
                            $intError=intval($oFTP->Upload($vFileName, $vPath));
                            if ($intError==0){
                                $msgUpload="File upload ok";
                                $swUpload=true;
                                $vFileNameFull="http://".FTP_DOMAIN.FTP_DIR.PATH_PERSONA_LICENCIAS_FILES."/".$vPersonaId."/".$vFileName;
                                $vFileNamePath=FTP_PATH.FTP_DIR.PATH_PERSONA_LICENCIAS_FILES."/".$vPersonaId."/".$vFileName;
                                $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                                $arrList=explode(".", $vFileName);
                                $vExt=strtolower($arrList[count($arrList)-1]);
                                $vIcono=HERRAMIENTAS_PHP_WEB."/iconos/".$vExt;
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist: $vPath";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pFileNameFull'] = $vFileNameFull;
            $jsondata['pFileNamePath'] = $vFileNamePath;
            $jsondata['pSize'] = $vSize;
            $jsondata['pIcono'] = $vIcono;
            echo json_encode($jsondata);
            break;

            
        case "delete-file":
            $vPersonaId=intval($array['personaid']);
            $vFileName=trim($array['archivo']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSONA_LICENCIAS_FILES."/".$vPersonaId."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vRpta=true;
            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                }
            }
            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":$msgError);
            echo json_encode($jsondata);
            break;
        case "getimage";
            $vLicenciaId=intval($array['licenciaid']);

            $oL=new Acceso_clsLicenciaConducir();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $rowLicencia=$oL->getROW($vLicenciaId);

            $vImagePath=""; $vFileName=""; $vSize=""; $vIcono="";
            if($rowLicencia){
                $vFileName=trim($rowLicencia['archivo']);
                $vPersonaId=intval($rowLicencia['personaid']);
                $vPath=FTP_PATH.FTP_DIR.PATH_PERSONA_LICENCIAS_FILES."/".$vPersonaId."/";
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrList=explode(".", $vFileName);
                    $vExt=strtolower($arrList[count($arrList)-1]);
                    $vIcono=HERRAMIENTAS_PHP_WEB."/iconos/".$vExt;

                    $vImagePath=$vPath.$vFileName;
                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                }else{
                    $vFileName="";
                }
            }

            $jsondata['pIcono'] = trim($vIcono);
            $jsondata['pImagePath'] = trim($vImagePath);
            $jsondata['pFileName'] = trim($vFileName);
            $jsondata['pSize'] = $vSize;
            echo json_encode($jsondata);
            break;
            
    }
?>