<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oT=new Acceso_clsTipo_Empresa();
            $rs=$oT->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oT=new Acceso_clsTipo_Empresa();
            $oT->pNombre=Almacenar_Dato($array['txtNombre']);
            $oT->pEstado=isset($array['chkEstado']);

            $vTipoEmpresaId=intval($array['tipoempresaid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oT->Agregar($vTipoEmpresaId);
            }else{
                $intError=$oT->Modificar($vTipoEmpresaId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oT=new Acceso_clsTipo_Empresa();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCodigo){
                    $intError=$oT->Eliminar($vCodigo);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status":
            $vTipoEmpresaId=intval($array['tipoempresaid']);

            $oT=new Acceso_clsTipo_Empresa();
            $intError=$oT->Cambiar_Estado($vTipoEmpresaId, $sessCodigo, miIP());

            $rowType=$oT->getROW($vTipoEmpresaId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            $jsondata['Status'] = ($rowType['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids'])) $arrIDS=$array['ids'];
            
            $vCadena=implode(",", $arrIDS);
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oT=new Acceso_clsTipo_Empresa();
            $vRpta=$oT->Cambiar_Orden($vCadena, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar el orden.");
            echo json_encode($jsondata);
            break;
    }
?>