<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(HERRAMIENTAS_PHP."/clsSistema_Archivos.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");
    $oSA=new clsSistema_Archivos();

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oT=new Acceso_clsTipo_SocialMedia();
            $rs=$oT->Leer();

            $vPath=FTP_PATH.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);
            foreach($arrDatos as $i=>$row){
                $vFileName=trim($row['icono']);
                $arrDatos[$i]['existe']=$oFTP->File_Exists($vPath, $vFileName);
            }

            $jsondata['oData'] = $arrDatos;
            $jsondata['oPath'] = FTP_DIR.PATH_SOCIALMEDIA_ICONS."/";
            $jsondata['oDomain'] = FTP_DOMAIN;
            $jsondata['oFTP'] = FTP_PATH;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oT=new Acceso_clsTipo_SocialMedia();
            $oT->pNombre=Almacenar_Dato($array['txtNombre']);
            $oT->pUrl=Almacenar_Dato($array['txtUrl']);
            $oT->pIcono=Almacenar_Dato($array['image']);
            $oT->pEstado=isset($array['chkEstado']);

            $vTipoSocialMediaId=intval($array['tiposocialmediaid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oT->Agregar($vTipoSocialMediaId);
            }else{
                $intError=$oT->Modificar($vTipoSocialMediaId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oT=new Acceso_clsTipo_SocialMedia();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;
            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vTipoSocialMediaId){
                    $rowTipo=$oT->getROW($vTipoSocialMediaId);
                    if ($rowTipo){

                        $vPath=FTP_PATH.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/";
                        $vImage=trim($rowTipo['icono']);

                        $intError=$oT->Eliminar($vTipoSocialMediaId);
                        if ($intError!=0){
                            $swError=true;
                            $msgError.=$oT->getErrMsg($intError)." ";
                        }else{
                            if(trim($vImage)!=''){
                                if($oFTP->File_Exists($vPath, $vImage)){
                                    $vRpta=$oFTP->Delete_File($vPath.$vImage);
                                }
                            }
                        }
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "cambiar_estado";
            $vTipoSocialMediaId=intval($array['tiposocialmediaid']);

            $oT=new Acceso_clsTipo_SocialMedia();
            $vRpta=$oT->Cambiar_Estado($vTipoSocialMediaId);

            $rowT=$oT->getROW($vTipoSocialMediaId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar el estado");
            $jsondata['Status'] = ($rowT['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids'])) $arrIDS=$array['ids'];
            
            $vCadena=implode(",", $arrIDS);
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oT=new Acceso_clsTipo_SocialMedia();
            $vRpta=$oT->Cambiar_Orden($vCadena, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
        case "upload":
            $vPath=FTP_PATH.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            if (!$oFTP->Directory_Exists($vPath)) $oFTP->Create_Dir($vPath);

            $msgUpload=""; $swUpload=false;
            $vFileName=""; $vFileNameFull=""; $vFileNamePath=""; $vSize=""; $pWidth=130; $pHeight=150;
            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vImageName=$_FILES[$vArchivo]['name'];

                if ($vImageName!=""){
                    if ($oFTP->Directory_Exists($vPath)){
                        $vImageName=$oFTP->NewFileName($vPath, $vImageName);
                        if ($oFTP->File_Exists($vPath, $vImageName)){
                            $msgUpload="File already exists.";
                            $swUpload=false;
                        }else{
                            $oFTP->pFile=$vArchivo;
                            $oFTP->pMaxSize=SIZE_SOCIALMEDIA_ICONS;
                            $intError=intval($oFTP->Upload($vImageName, $vPath));
                            if ($intError==0){
                                $arrSize=$oSA->getProperties($_FILES[$vArchivo]['tmp_name']);
                                $arrSize=Proporcional(intval($arrSize['width']), intval($arrSize['height']), 190, 200);
                                $pWidth=intval($arrSize['width']);
                                $pHeight=intval($arrSize['height']);

                                $msgUpload="File upload ok";
                                $swUpload=true;
                                $vFileNameFull="http://".FTP_DOMAIN.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/".$vImageName;
                                $vFileNamePath=FTP_PATH.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/".$vImageName;
                                $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vImageName)));
                            }else{
                                $swUpload=false;
                                $msgUpload=$oFTP->MsgErr($intError);
                                $arr=$oFTP->getDataFile();
                                $msgUpload.="";
                                switch($intError){
                                    case 100: $msgUpload.="(".$arr['extension'].")";break;
                                    case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                    case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                                }
                            }
                        }
                    }else{
                        $msgUpload="Directory does not exist.";
                        $swUpload=false;
                    }
                }
            }
            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vImageName;
            $jsondata['pFileNameFull'] = $vFileNameFull;
            $jsondata['pFileNamePath'] = $vFileNamePath;
            $jsondata['pSize'] = $vSize;
            $jsondata['pWidth'] = $pWidth;
            $jsondata['pHeight'] = $pHeight;
            echo json_encode($jsondata);			
            break;
        case "delete_image":
            $vFileName=trim($array['image']);

            $vPath=FTP_PATH.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/";
            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $vRpta=true;
            if ($vFileName!=""){
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                }
            }
            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":$msgError);
            echo json_encode($jsondata);
            break;
        case "getimage";
            $vTipoSocialMediaId=intval($array['tiposocialmediaid']);

            $oT=new Acceso_clsTipo_SocialMedia();

            $oFTP=new FTP();
            $oFTP->pServer=FTP_DOMAIN;
            $oFTP->pUser=FTP_USER;
            $oFTP->pPassword=FTP_PASS;
            $oFTP->pPort=FTP_PORT;

            $rowI=$oT->getROW($vTipoSocialMediaId);

            $vImage=IMAGEBLANK;
            $vImagePath=""; $vFileName=""; $vSize=""; $pWidth=130; $pHeight=150;
            if($rowI){
                $vFileName=trim($rowI['icono']);
                $vPath=FTP_PATH.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/";
                if($oFTP->File_Exists($vPath, $vFileName)){
                    $arrSize=$oFTP->Dimensions($vPath.$vFileName);
                    $arrSize=Proporcional(intval($arrSize['width']), intval($arrSize['height']), 190, 200);
                    $pWidth=intval($arrSize['width']);
                    $pHeight=intval($arrSize['height']);

                    $vImage="http://".FTP_DOMAIN.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/".$vFileName;
                    $vImagePath=FTP_PATH.FTP_DIR.PATH_SOCIALMEDIA_ICONS."/".$vFileName;
                    $vSize=FormatSizeFile(doubleval($oFTP->Size($vPath.$vFileName)));
                }else $vFileName="";
            }

            $jsondata['pImage'] = trim($vImage);
            $jsondata['pImagePath'] = trim($vImagePath);
            $jsondata['pFileName'] = trim($vFileName);
            $jsondata['pSize'] = $vSize;
            $jsondata['pWidth'] = $pWidth;
            $jsondata['pHeight'] = $pHeight;
            echo json_encode($jsondata);
            break;
    }
?>