<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oT=new Acceso_clsTipo_Telefono();
            $rs=$oT->Leer();

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oT=new Acceso_clsTipo_Telefono();
            $oT->pNombre=Almacenar_Dato($array['txtNombre']);
            $oT->pRequerido=isset($array['chkRequerido']);
            $oT->pPorDefecto=isset($array['chkPorDefecto']);
            $oT->pEstado=isset($array['chkEstado']);

            $vTipoTelefonoId=intval($array['tipotelefonoid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oT->Agregar($vTipoTelefonoId);
            }else{
                $intError=$oT->Modificar($vTipoTelefonoId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oT=new Acceso_clsTipo_Telefono();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vTipoTelefonoId){
                    $intError=$oT->Eliminar($vTipoTelefonoId);
                    if ($intError!=0){
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "cambiar_estado";
            $vTipoTelefonoId=intval($array['tipotelefonoid']);

            $oT=new Acceso_clsTipo_Telefono();
            $vRpta=$oT->Cambiar_Estado($vTipoTelefonoId);

            $rowT=$oT->getROW($vTipoTelefonoId);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar el estado");
            $jsondata['Status'] = ($rowT['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids'])) $arrIDS=$array['ids'];
            
            $vCadena=implode(",", $arrIDS);
            if(trim($vCadena)!='') $vCadena="array[$vCadena]"; else $vCadena="null";

            $oT=new Acceso_clsTipo_Telefono();
            $vRpta=$oT->Cambiar_Orden($vCadena, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
    }
?>