<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "showdpto":
            $oD=new Acceso_clsDepartamento();
            $rsDpto=$oD->Leer();

            $arrData=array(); if($rsDpto) $arrData=$rsDpto->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrData;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "updatedpto":
            $oD=new Acceso_clsDepartamento();
            $oD->pNombre=Almacenar_Dato($array['txtNombre']);
            $oD->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oD->pUbigeo=Almacenar_Dato($array['txtUbigeo']);
            $oD->pEstado=isset($array['chkEstado']);
            $vDepartamentoId=intval($array['departamentoid']);
            
            if (intval($array['swnew'])==1){
                $intError=$oD->Agregar($vDepartamentoId);
            }else{
                $intError=$oD->Modificar($vDepartamentoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oD->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deletedpto":
            $arrCheck=array(); if(isset($array['chkDpto'])) $arrCheck=$array['chkDpto'];
            $swError=false; $msgError="Errores: ";
            $oD=new Acceso_clsDepartamento();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vDepartamentoId){
                    $intError=$oD->Eliminar($vDepartamentoId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oD->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;			
        case "showpro":
            $oD=new Acceso_clsDepartamento();
            $oP=new Acceso_clsProvincia();

            $vDepartamentoId=intval($array['departamentoid']);

            $rowDpto=$oD->getROW($vDepartamentoId);
            $rs=$oP->Leer($vDepartamentoId);

            $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrData;
            $jsondata['oImages'] = IMAGES;
            $jsondata['rowDpto'] = $rowDpto;
            echo json_encode($jsondata);
            break;

        case "updatepro":
            $oP=new Acceso_clsProvincia();
            $oP->pDepartamentoId=intval($array['cboDepartamento']);
            $oP->pNombre=Almacenar_Dato($array['txtNombre']);
            $oP->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oP->pUbigeo=Almacenar_Dato($array['txtUbigeo']);
            $oP->pEstado=isset($array['chkEstado']);

            $vProvinciaId=intval($array['provinciaid']);

            if (intval($array['swnew'])==1){
                $intError=$oP->Agregar($vProvinciaId);
            }else{
                $intError=$oP->Modificar($vProvinciaId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oP->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deletepro":
            $arrCheck=array(); if(isset($array['chkPro'])) $arrCheck=$array['chkPro'];
            $swError=false; $msgError="Errores: ";
            $oP=new Acceso_clsProvincia();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vProvinciaId){
                    $intError=$oP->Eliminar($vProvinciaId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oP->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;


        case "showdis":
            $vProvinciaId=intval($array['provinciaid']);

            $oD=new Acceso_clsDepartamento();
            $oP=new Acceso_clsProvincia();
            $oDis=new Acceso_clsDistrito();

            $rowPro=$oP->getROW($vProvinciaId);
            $vDepartamentoId=intval($rowPro['departamentoid']);
            $rowDpto=$oD->getROW($vDepartamentoId);

            $rs=$oDis->Leer($vDepartamentoId, $vProvinciaId, "");

            $arrData=array(); if($rs) $arrData=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrData;
            $jsondata['rowDpto'] = $rowDpto;
            $jsondata['rowPro'] = $rowPro;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;

        case "updatedis":
            $oDis=new Acceso_clsDistrito();
            $oDis->pProvinciaId=intval($array['cboProvincia']);
            $oDis->pNombre=Almacenar_Dato($array['txtNombre']);
            $oDis->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oDis->pUbigeo=Almacenar_Dato($array['txtUbigeo']);
            $oDis->pEstado=isset($array['chkEstado']);

            $vDistritoId=intval($array['distritoid']);
            if (intval($array['swnew'])==1){
                $intError=$oDis->Agregar($vDistritoId);
            }else{
                $intError=$oDis->Modificar($vDistritoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oDis->getErrMsg($intError));
            echo json_encode($jsondata);
            break;

        case "deletedis":
            $arrCheck=array(); if(isset($array['chkDis'])) $arrCheck=$array['chkDis'];
            $swError=false; $msgError="Errores: ";
            $oDis=new Acceso_clsDistrito();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vDistritoId){
                    $intError=$oDis->Eliminar($vDistritoId);
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oDis->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>