<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $oU=new Acceso_clsUnidad_Negocio();
            $rs=$oU->Leer(0);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oU=new Acceso_clsUnidad_Negocio();
            $oU->pEmpresaId=intval($array['cboEmpresa']);
            $oU->pNombre=Almacenar_Dato($array['txtNombre']);
            $oU->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oU->pDireccion=Almacenar_Dato($array['txtDireccion']);
            $oU->pTelefono=Almacenar_Dato($array['txtTelefono']);
            $oU->pUrl=Almacenar_Dato($array['txtUrl']);
            $oU->pTipoEmpresaId=intval($array['cboTipoEmpresa']);
            $oU->pEstado=isset($array['chkEstado']);

            $vUnidadNegocioId=intval($array['unidadnegocioid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oU->Agregar($vUnidadNegocioId);
            }else{
                $intError=$oU->Modificar($vUnidadNegocioId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oU->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oU=new Acceso_clsUnidad_Negocio();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vUnidadNegocioId){
                    $intError=$oU->Eliminar($vUnidadNegocioId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oU->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "cambiar_estado";
            $vUnidadNegocioId=intval($array['unidadnegocioid']);

            $oU=new Acceso_clsUnidad_Negocio();
            $intError=$oU->Cambiar_Estado($vUnidadNegocioId, $sessCodigo, miIP());

            $rowAlm=$oU->getROW($vUnidadNegocioId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oU->getErrMsg($intError));
            $jsondata['Status'] = ($rowAlm['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
    }
?>