    var oGrupoMenuWeb=null; //SIRVE PARA MARCAR LAS OPCIONES DEL MENU DE UN GRUPO
    
    var ajShow=null;
    function Consulta(){	
        Limpiar_Checks();
        $('#tblPersona tbody').html('');
        $('#lblMsg').html('Espere...');
        $('#personaid').val('0');
        if(ajShow)ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            global: true,
            url: "ajax/ajPermisosWeb.php",
            data: ({ miopcion:"consulta", apepat:($("#txtApePat").val()), apemat:($("#txtApeMat").val()), nombre:($("#txtNombre").val()) }),
            success: function(oData){ if(oData) ShowGridPer(oData); }
        });	
    }
    function ShowGridPer(oData){
        $('#tblPersona tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndex, oRow){
            tblRow+='<tr personaid="'+oRow.personaid+'">';

            tblRow+='<td align="center" width="50px" valign="top"><div class="btn-group">';
            tblRow+='<button type="button" class="btn btn-default dropdown-toggle btn-sm pull-right" data-toggle="dropdown">'+getIcon("th-list")+' <span class="caret"></span></button>';
            tblRow+='<ul class="dropdown-menu" role="menu">';
            tblRow+='<li title="Editar datos"><a href="javascript:void(0)" id="btnEdit" style="text-align:left">'+getIcon("pencil")+' Editar datos</a></li>';
            tblRow+='<li title="Acceso a Intranet Corporativa"><a href="javascript:void(0)" id="btnAcceso" style="text-align:left">'+getIcon("user")+' Acceso a la intranet corporativa</a></li>';
            tblRow+='<li title="Consulta de visitas"><a href="javascript:void(0)" id="btnVisitas" style="text-align:left">'+getIcon("eye-open")+' Consulta de visitas</a></li>';
            tblRow+='<li title="Foto del perfil"><a href="javascript:void(0)" id="btnFoto" style="text-align:left">'+getIcon("picture")+' Foto del perfil</a></li>';
            tblRow+='</ul>';
            tblRow+='</div></td>';

            tblRow+='<td align="center" width="40px" valign="top"><img src="'+oData.oPathPhoto+'/'+($.trim(oRow.foto)!=''?oRow.foto:'0'+oRow.sexo)+'" class="img-circle" style="width:30px; height:30px" /></td>';
            tblRow+='<td style="line-height:20px">'+oRow.nombre_persona+(oRow.usuario!=''?'&nbsp;<span class="badge badge-info">'+oRow.usuario+'</span>':'')+' <span class="badge badge-'+(oRow.estado?'success':'important')+'" id="objEstado">'+getIcon(oRow.estado?'ok':'remove')+'</span>';
            if(oRow.tipo_cambio!=''){
                tblRow+='<br /><span style="color:#069">Clave proporcionada por <b>'+(oRow.tipo_cambio=="A"?"El administrador":"El usuario")+'</b></span>';
                if(oRow.renovar_clave!=''){
                    tblRow+='<br /><span style="color:#F00">Se espera una nueva clave</span>';
                }
            }
            tblRow+='</td>';
            tblRow+='<td width="100px" align="center"><button type="button" class="btn btn-default"><img src="'+oData.oImages+'/ico_security16.gif"> Acceso</button></td>';
            tblRow+='</tr>';
        });
        $("#tblPersona tbody").html(tblRow);
        $('#lblMsg').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> registros');
        AsigFunPer();
    }
    function AsigFunPer(){
        $("#tblPersona tbody tr td").addClass("PADD_3 FS_11 BORDER_ALL_G");
        $("#tblPersona tbody tr td:nth-child(3)").addClass('HAND').click(function(e) { $('#tblPersona tr').removeClass('ROW_SELECTED4'); $(this).parent().addClass('ROW_SELECTED4'); Mostrar_Permisos($(this).parents("tr").attr('personaid')); });

        $("#tblPersona tbody tr a[id='btnEdit']").click(function(e){ Editar($(this).parents('tr').attr('personaid'), 0, "ACTUALIZAR DATOS"); });
        $("#tblPersona tbody tr a[id='btnFoto']").click(function(e){ Foto($(this).parents('tr').attr('personaid')); });
        $("#tblPersona tbody tr a[id='btnAcceso']").click(function(e){ Clave($(this).parents('tr').attr('personaid')); });
        $("#tblPersona tbody tr a[id='btnVisitas']").click(function(e){ Visitas($(this).parents('tr').attr('personaid')); });

        $("#tblPersona tbody tr td:nth-child(2) img").addClass('HAND').attr('title', 'Editar datos').click(function(e){ Editar($(this).parents("tr").attr('personaid'), 0, 'ACTUALIZANDO DATOS'); });

        $("#tblPersona tbody tr td:nth-child(4) button").addClass('HAND').css('width', '95%').attr('title', 'Cambiar de usuario y/o clave').click(function(e){Clave($(this).parents("tr").attr('personaid')); });

        $("#tblPersona tbody tr td:nth-child(3) span[id='objEstado']").addClass('HAND').click(function(e){ 
            e.preventDefault();
            var vPersonaId=$(this).parents("tr").attr('personaid');
            var myObj=$(this);
            var vImg=$(this);
            $.ajax({
                type: "POST",
                dataType: 'json',
                timeout: 2000,
                global: false,
                url: "ajax/ajPersona.php",
                data: ({miopcion:"cambiar_estado", personaid:vPersonaId }),
                success: function(oRpta){ if(!oRpta.Err){ myObj.removeClass('badge-important').removeClass('badge-success'); myObj.addClass((oRpta.Status?'badge-success':'badge-important')).find('i').removeClass(getIconClass('ok')).removeClass(getIconClass('remove')).addClass(getIconClass(oRpta.Status?'ok':'remove')); }else{ bootbox.alert(oRpta.Description); }}
            });
        });
    }

    function Limpiar_Checks(){
        $("#chkTodo, #chkTodoEsp, #chkTodoEmp, #chkTodoUniNeg, #chkTodoAlm, #chkTodoGrupo").prop('checked', false);
        
        $("#tblMenu tr td span#lblPerGru").attr('valor','N').html('');

        $("#tblMenu input:checkbox[name='chk[]']").prop('checked', false);
        $("#tblPerEmp input:checkbox[name^='chkPerEmp']").prop('checked', false);
        $("#tblPerUniNeg input:checkbox[name^='chkPerUni']").prop('checked', false);
        $("#tblPerAlm input:checkbox[name^='chkPerAlm']").prop('checked', false);
        $("#tblPerEsp input:checkbox").prop('checked', false);
        $("#tblGrupos input:checkbox").prop('checked', false);
        Pintar('chkGrupo[]'); PintarMenu(); Pintar('chkPerEmpMod[]'); Pintar('chkPerUniNeg[]'); Pintar('chkPerAlmMod[]'); Pintar('chkProceso[]');
        VerSoloActivos();
        GrupoCount(); MenuCount(); EmpCount(); UniNegCount(); AlmCount(); PerEspCount();
    }

    var ajPerUsu=null;
    function Mostrar_Permisos(vPersonaId){
        Limpiar_Checks();
        $('#personaid').val(vPersonaId);
        $('#tblMenu').hide();
        if(ajPerUsu)ajPerUsu.abort();
        ajPerUsu=$.ajax({
            type: "POST",
            global: true,
            dataType: 'json',
            url: "ajax/ajPermisosWeb.php",
            data: ({miopcion:"mostrar_permisos", personaid:vPersonaId }),
            success: function(oData){
                if(oData){
                    
                    oGrupoMenuWeb=oData.oGrupoMenuWeb;
                    
                    //BEGIN PERMISOS POR GRUPO
                    if(oData.oPerGrupo){
                        $.each(oData.oPerGrupo, function(oIndex, oRow){
                            $("#tblGrupos input:checkbox[name='chkGrupo[]'][value='"+oRow.codigo+"']").prop('checked', true);
                        });
                    }
                    $("#chkTodoGrupo").prop("checked",$("#tblGrupos input:checkbox[name='chkGrupo[]']:checked").length===$("#tblGrupos input:checkbox[name='chkGrupo[]']").length);
                    Pintar('chkGrupo[]');
                    GrupoCount();
                    ShowPermisosGrupo();
                    //END PERMISOS POR GRUPO
                    
                    //BEGIN PERMISOS MENU
                    if(oData.oPermisos){
                        $.each(oData.oPermisos, function(oIndex, oRow){
                            $("#tblMenu input:checkbox[name='chk[]'][value='"+oRow.menuwebid+"']").prop('checked', true);
                        });
                        PintarMenu();
                        MenuCount();
                        $('#tblMenu').show();
                        VerSoloActivos();						
                    }
                    //END PERMISOS MENU

                    //BEGIN PERMISOS POR PROCESO
                    if(oData.oPerPro){
                        $.each(oData.oPerPro, function(oIndex, oRow){
                            $("#tblPerEsp input:checkbox[name='chkProceso[]'][value='"+oRow.procesoid+"']").prop('checked', true);
                        });
                    }
                    $("#tblPerEsp input:checkbox[name='chkPerTipPro[]']").each(function(){
                        $(this).prop("checked",$("#tblPerEsp input:checkbox[name='chkProceso[]'][tipoprocesoid='"+$(this).val()+"']:checked").length===$("#tblPerEsp input:checkbox[name='chkProceso[]'][tipoprocesoid='"+$(this).val()+"']").length);
                    });
                    CheckAllPerPro();
                    Pintar('chkProceso[]');
                    PerEspCount();
                    //END PERMISOS POR PROCESO

                    //BEGIN PERMISOS EMPRESA
                    if(oData.oPerEmp){
                        $.each(oData.oPerEmp, function(oIndex, oRow){
                            $("#tblPerEmp input:checkbox[name='chkPerEmpMod[]'][value='"+oRow.modulosistemaid+'-'+oRow.empresaid+"']").prop('checked', true);
                        });
                    }
                    $("#tblPerEmp input:checkbox[name='chkPerEmp[]']").each(function(){
                        $(this).prop("checked",$("#tblPerEmpMod input:checkbox[name='chkPerEmpMod[]'][empresaid='"+$(this).val()+"']:checked").length===$("#tblPerEmp input:checkbox[name='chkPerEmpMod[]'][empresaid='"+$(this).val()+"']").length);
                    });
                    CheckAllPerEmp();
                    Pintar('chkPerEmpMod[]');
                    EmpCount();
                    //END PERMISOS EMPRESA

                    //BEGIN PERMISOS UNIDAD NEGOCIO
                    if(oData.oPerUni){
                        $.each(oData.oPerUni, function(oIndex, oRow){
                            $("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]'][value='"+oRow.moduloid+'-'+oRow.unidadnegocioid+"']").prop('checked', true);
                        });
                    }
                    $("#tblPerUniNeg input:checkbox[name='chkPerUni[]']").each(function(){
                        $(this).prop("checked",$("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]'][unidadnegocioid='"+$(this).val()+"']:checked").length===$("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]'][unidadnegocioid='"+$(this).val()+"']").length);
                    });
                    CheckAllPerUniNeg();
                    Pintar('chkPerUniNeg[]');
                    UniNegCount();
                    //END PERMISOS UNIDAD NEGOCIO

                    //BEGIN PERMISOS ALMACEN
                    if(oData.oPerAlm){
                        $.each(oData.oPerAlm, function(oIndex, oRow){
                            $("#tblPerAlm input:checkbox[name='chkPerAlmMod[]'][value='"+oRow.modulosistemaid+'-'+oRow.almacenid+"']").prop('checked', true);
                        });
                    }
                    $("#tblPerAlm input:checkbox[name='chkPerAlm[]']").each(function(){
                        $(this).prop("checked",$("#tblPerAlmMod input:checkbox[name='chkPerAlmMod[]'][almacenid='"+$(this).val()+"']:checked").length===$("#tblPerAlm input:checkbox[name='chkPerAlmMod[]'][almacenid='"+$(this).val()+"']").length);
                    });
                    CheckAllPerAlm();
                    Pintar('chkPerAlmMod[]');
                    AlmCount();
                    //END PERMISOS ALMACEN

                }
            }
        });	
    }

    var ajUpd=null;
    function Grabar(){
        if ($("#personaid").val()=="0"){ bootbox.alert("Falta seleccionar el usuario."); return false;}
        ajUpd=$.ajax({
            global: true,
            dataType: 'json',
            type: "POST",
            url: "ajax/ajPermisosWeb.php",
            data: $('#frmPanel').serialize()+"&miopcion=actualizar", 
            success: function(oRpta){ if(!oRpta.Err){ }else{ bootbox.alert(oRpta.Description); } }
        });	
    }

    var ajUpdPerEsp=null;
    function UpdatePerEsp(){
        if ($("#personaid").val()=="0"){ bootbox.alert("Falta seleccionar el usuario."); return false;}
        if(ajUpdPerEsp)ajUpdPerEsp.abort();
        ajUpdPerEsp=$.ajax({
            type: "POST",
            dataType: 'json',
            global:true,
            url: "ajax/ajPermisosWeb.php",
            data: $('#frmPanel').serialize()+"&miopcion=actualizar_peresp", 
            success: function(oRpta){ if(!oRpta.Err){  }else{ bootbox.alert(oRpta.Description); }}
        });	
    }	

    var ajUpdPerEmp=null;
    function UpdateEmp(){
        if ($("#personaid").val()=="0"){ bootbox.alert("Falta seleccionar el usuario."); return false;}
        if(ajUpdPerEmp)ajUpdPerEmp.abort();
        ajUpdPerEmp=$.ajax({
            type: "POST",
            dataType: 'json',
            global:true,
            url: "ajax/ajPermisosWeb.php",
            data: $('#frmPanel').serialize()+"&miopcion=per-emp-update", 
            success: function(oRpta){ if(!oRpta.Err){  }else{ bootbox.alert(oRpta.Description); }}
        });	
    }	

    var ajUpdPerUni=null;
    function UpdateUniNeg(){
        if ($("#personaid").val()=="0"){ bootbox.alert("Falta seleccionar el usuario."); return false;}
        if(ajUpdPerUni)ajUpdPerUni.abort();
        ajUpdPerUni=$.ajax({
            type: "POST",
            dataType: 'json',
            global:true,
            url: "ajax/ajPermisosWeb.php",
            data: $('#frmPanel').serialize()+"&miopcion=per-unineg-update", 
            success: function(oRpta){ if(!oRpta.Err){  }else{ bootbox.alert(oRpta.Description); }}
        });	
    }	

    var ajUpdPerAlm=null;
    function UpdateAlm(){
        if ($("#personaid").val()=="0"){ bootbox.alert("Falta seleccionar el usuario."); return false;}
        if(ajUpdPerAlm)ajUpdPerAlm.abort();
        ajUpdPerAlm=$.ajax({
            type: "POST",
            dataType: 'json',
            global:true,
            url: "ajax/ajPermisosWeb.php",
            data: $('#frmPanel').serialize()+"&miopcion=per-alm-update", 
            success: function(oRpta){ if(!oRpta.Err){  }else{ bootbox.alert(oRpta.Description); }}
        });	
    }	

    var ajUpdPerGrupo=null;
    function UpdateGrupo(){
        if ($("#personaid").val()=="0"){ bootbox.alert("Falta seleccionar el usuario."); return false;}
        if(ajUpdPerGrupo)ajUpdPerGrupo.abort();
        ajUpdPerGrupo=$.ajax({
            type: "POST",
            dataType: 'json',
            global:true,
            url: "ajax/ajPermisosWeb.php",
            data: $('#frmPanel').serialize()+"&miopcion=actualizar-pergrupo", 
            success: function(oRpta){ if(!oRpta.Err){ }else{ bootbox.alert(oRpta.Description); }}
        });
    }

    function Editar(vCodigo, swNuevo, vTitulo){
        var oP=new clsConsulta_Persona();
        oP.pOpcion="EMP";
        oP.jsSelect="";
        oP.jsClose="";
        oP.Editar(vCodigo,swNuevo,vTitulo);
    }

    function Cerrar(){ $("#capFondo, #capFrame").hide().html(""); }

    var ajShowMen=null;
    function Show(){
        $('#tblMenu tbody').html('');
        if(ajShowMen) ajShowMen.abort();
        ajShowMen=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "../general/ajData.php",
            data: ({miopcion:"mostrar_menuweb" }),
            success: function(oData){ if(oData){if(oData)ShowGrid(oData); } },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMenu tbody').html('');
        var tblRow ='';
        $.each(oData.oData, function(oIndexPad, oRowPad){
            if(oRowPad.padre==0){
                tblRow+='<tr class="BG1" menuwebid="'+oRowPad.menuwebid+'">';				
                tblRow+='<td width="20px" align="center"><input type="checkbox" value="'+oRowPad.menuwebid+'" id="chk'+oRowPad.menuwebid+'" name="chk[]" padre="SI"/></td>';
                tblRow+='<td colspan="3"><label for="chk'+oRowPad.menuwebid+'"><b>'+oRowPad.titulo+'</b> <span id="lblPerGru" valor="N"></span></label></td>';
                tblRow+='</tr>';
                $.each(oData.oData, function(oIndexHij, oRowHij){
                    if(oRowHij.padre==oRowPad.menuwebid){
                        tblRow+='<tr menuwebid="'+oRowHij.menuwebid+'">';				
                        tblRow+='<td width="20px" align="center"></td>';
                        tblRow+='<td width="20px" align="center"><img src="'+oData.oImages+'/i_grupo.gif" name="btnOtros"></td>';
                        tblRow+='<td width="20px" align="center"><input type="checkbox" value="'+oRowHij.menuwebid+'" codigo_padre="'+oRowHij.padre+'" id="chk'+oRowHij.menuwebid+'" name="chk[]" padre="NO"/></td>';
                        tblRow+='<td><label for="chk'+oRowHij.menuwebid+'">'+oRowHij.titulo+(oRowHij.cantidad_personas>0?' <span class="badge badge-success badge-mini" title="'+oRowHij.cantidad_personas+' personas tienen permiso a esta opcion">'+oRowHij.cantidad_personas+'</span>':'')+' <span id="lblPerGru" valor="N"></span></label></td>';
                        tblRow+='</tr>';
                    }
                });
            }
        });
        $("#tblMenu tbody").html(tblRow);
        $('#tblMenu').show();
        AsigFun_Menu();
    }
    function AsigFun_Menu(){
        $("#tblMenu tr td").addClass("PADD_3 FS_12 BORDER_ALL_G");
        $("#tblMenu label").css({'cursor':'pointer', 'padding':'1px', 'margin':'0px'});

        $("#tblMenu input:checkbox[name^='chk[]'][padre^='SI']").change(function(e){
            $("#tblMenu input:checkbox[name^='chk[]'][codigo_padre='"+$(this).attr('value')+"']").prop("checked", this.checked);
            PintarMenu();
            MenuCount();
        });		
        $("#tblMenu input:checkbox[name^='chk[]'][padre^='NO']").change(function(e){
            var chks=$("#tblMenu input:checkbox[name^='chk[]'][codigo_padre='"+$(this).attr('codigo_padre')+"']:checked");
            $("#tblMenu input:checkbox[name^='chk[]'][padre^='SI'][value='"+$(this).attr('codigo_padre')+"']").prop("checked", (chks.length>0));
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
            MenuCount();
        });
        $("img[name='btnOtros']").attr('title', 'Otros usuarios con este permiso').addClass('HAND').click(function(e) {
            $("#capFondo, #capFrame").show();
            $('#capFrame').show().html("<iframe src='../mantenimiento/PermisosWeb_MenuWeb.php?menuwebid="+$(this).parents("tr").attr('menuwebid')+"' frameborder='0' width='100%' height='100%'></iframe>");
        });
        PintarMenu();
        MenuCount();
        if($('#personaid').val()!="0") Mostrar_Permisos($('#personaid').val());
    }

    function Cerrar(){ $("#capFondo, #capFrame").hide().html(""); }
    function Foto(vPersonaId){Habilitar(); $('#capFrame').html("<iframe src='PersonaFoto.php?personaid="+vPersonaId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Clave(vPersonaId){Habilitar(); $('#capFrame').html("<iframe src='PersonaClave.php?personaid="+vPersonaId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Visitas(vPersonaId){Habilitar(); $('#capFrame').html("<iframe src='PersonaVisitas.php?personaid="+vPersonaId+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function GrupoOpciones(vCodigo){Habilitar(); $('#capFrame').html("<iframe src='GrupoPermisosMenuWeb.php?codigo="+vCodigo+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function GrupoMiembros(vCodigo){Habilitar(); $('#capFrame').html("<iframe src='Grupo_Permisos_Persona.php?codigo="+vCodigo+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    function Habilitar(){ $("#capFrame, #capFondo").show(); }

    function GrupoCount(){
        var vCount=$("#tblGrupos input:checkbox[name='chkGrupo[]']:checked").length;
        $("#lblGrupoCount").html('');
        if(vCount>0){
            $("#lblGrupoCount").html('<span class="badge badge-primary badge-mini">'+vCount+'</span>');
        }
    }
    function MenuCount(){ 
        var vCount=$("#tblMenu input:checkbox[name='chk[]'][padre!='SI']:checked").length;
        $("#lblMenuCount").html('');
        if(vCount>0){
            $("#lblMenuCount").html('<span class="badge badge-primary badge-mini">'+vCount+'</span>');
        }
    }
    function EmpCount(){
        var vCount=$("#tblPerEmp input:checkbox[name='chkPerEmpMod[]']:checked").length;
        $("#lblPerEmpCount").html('');
        if(vCount>0){
            $("#lblPerEmpCount").html('<span class="badge badge-primary badge-mini">'+vCount+'</span>');
        }
    }
    function UniNegCount(){
        var vCount=$("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]']:checked").length;
        $("#lblPerUniCount").html('');
        if(vCount>0){
            $("#lblPerUniCount").html('<span class="badge badge-primary badge-mini">'+vCount+'</span>');
        }
    }
    function AlmCount(){
        var vCount=$("#tblPerAlm input:checkbox[name='chkPerAlmMod[]']:checked").length;
        $("#lblPerAlmCount").html('');
        if(vCount>0){
            $("#lblPerAlmCount").html('<span class="badge badge-primary badge-mini">'+vCount+'</span>');
        }
    }
    function PerEspCount(){
        var vCount=$("#tblPerEsp input:checkbox[name='chkProceso[]']:checked").length;
        $("#lblPerEspCount").html('');
        if(vCount>0){
            $("#lblPerEspCount").html('<span class="badge badge-primary badge-mini">'+vCount+'</span>');
        }
    }

    function PintarMenu(){
        $("#tblMenu input:checkbox[name='chk[]'][padre='NO']").each(function(e){
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
    }

    function CheckAllGrupos(){
        $("#chkTodoGrupo").prop("checked",$("#tblGrupos input:checkbox[name='chkGrupo[]']:checked").length===$("#tblGrupos input:checkbox[name='chkGrupo[]']").length);
    }
    function CheckAllPerEmp(){
        $("#chkTodoEmp").prop("checked",$("#tblPerEmp input:checkbox[name='chkPerEmpMod[]']:checked").length===$("#tblPerEmp input:checkbox[name='chkPerEmpMod[]']").length);
    }
    function CheckAllPerUniNeg(){
        $("#chkTodoUniNeg").prop("checked",$("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]']:checked").length===$("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]']").length);
    }
    function CheckAllPerAlm(){
        $("#chkTodoAlm").prop("checked",$("#tblPerAlm input:checkbox[name='chkPerAlmMod[]']:checked").length===$("#tblPerAlm input:checkbox[name='chkPerAlmMod[]']").length);
    }
    function CheckAllPerPro(){
        $("#chkTodoEsp").prop("checked",$("#tblPerEsp input:checkbox[name='chkProceso[]']:checked").length===$("#tblPerEsp input:checkbox[name='chkProceso[]']").length);
    }
    
    function ShowPermisosGrupo(){
        $("#tblMenu tr td span#lblPerGru").attr('valor', 'N').html('');
        if(oGrupoMenuWeb!=null){
            $("#tblGrupos input:checkbox[name='chkGrupo[]']:checked").each(function(){
                if( typeof oGrupoMenuWeb[$(this).val()]!='undefined'){
                    $.each(oGrupoMenuWeb[$(this).val()], function(oIndex, oRow){
                        $("#tblMenu [menuwebid='"+oRow.menuwebid+"']").find('span#lblPerGru').attr('valor', 'Y').html(getIcon("ok", "", "Permiso vinculado a un grupo"));
                    });
                }
            });
            $("#chkView").change();
        }
    }

    $(function(){
        $('#btnAdd1, #btnAdd2').click(function(e){ Editar(0, 1, ''); });
        $('#oTabsHeader a').click(function (e) {
            e.preventDefault();
            $(this).tab('show');
            switch($(this).attr('href')){
                //case "#oTabs-2": if($('#tblMain tbody tr').length==0)RegShow(); break;
            }
        }).first().click();
        
        $("#txtApePat").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){$("#txtApeMat").select().focus();}});
        $("#txtApeMat").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){$("#txtNombre").select().focus();}});
        $("#txtNombre").keydown(function(e){ var vKey=(e.keyCode?e.keyCode:e.which); if(vKey==13){$("#btnConsulta").focus();}});

        $('#btnConsulta').click(function(e){ Consulta(); });
        $("#chkTodoGrupo").change(function(e){ $("#tblGrupos input:checkbox").prop("checked",this.checked); Pintar('chkGrupo[]'); GrupoCount(); ShowPermisosGrupo(); });
        $("#chkTodo").change(function(e){ $("#tblMenu input:checkbox[name^='chk[]']").prop("checked",this.checked); PintarMenu(); MenuCount(); VerSoloActivos(); });
        $("#chkTodoEmp").change(function(e){ $("#tblPerEmp input:checkbox").prop("checked",this.checked); Pintar('chkPerEmpMod[]'); EmpCount(); });
        $("#chkTodoUniNeg").change(function(e){ $("#tblPerUniNeg input:checkbox").prop("checked",this.checked); Pintar('chkPerUniNeg[]'); UniNegCount(); });
        $("#chkTodoAlm").change(function(e){ $("#tblPerAlm input:checkbox").prop("checked",this.checked); Pintar('chkPerAlmMod[]'); AlmCount(); });
        $("#chkTodoEsp").change(function(e){ $("#tblPerEsp input:checkbox").prop("checked",this.checked); Pintar('chkProceso[]'); PerEspCount(); });
        
        $("#tblGrupos a[id='btnGrupoOpc']").click(function(e){ GrupoOpciones($(this).parents("tr").attr('codigo')); });
        $("#tblGrupos a[id='btnGrupoMie']").click(function(e){ GrupoMiembros($(this).parents("tr").attr('codigo')); });

        $("#tblGrupos input:checkbox[name='chkGrupo[]']").change(function(e){
            CheckAllGrupos();
            $("#chkTodoGrupo").prop("checked",$("#tblGrupos input:checkbox[name='chkGrupo[]']:checked").length===$("#tblGrupos input:checkbox[name='chkGrupo[]']").length);
            if($(this).is(":checked")){ $(this).parent().parent().addClass('ROW_SELECTED2');}else{$(this).parent().parent().removeClass('ROW_SELECTED2');}
            GrupoCount();
            ShowPermisosGrupo();
        });

        $("#tblPerEmp input:checkbox[name^='chkPerEmp[]']").change(function(e){
            $("#tblPerEmp input:checkbox[name^='chkPerEmpMod[]'][empresaid='"+$(this).attr('value')+"']").prop("checked", this.checked);
            Pintar('chkPerEmpMod[]');
            CheckAllPerEmp();
            EmpCount();
        });

        $("#tblPerEmp input:checkbox[name='chkPerEmpMod[]']").change(function(e) {
            CheckAllPerEmp();
            if($(this).is(":checked")){ $(this).parent().parent().addClass('ROW_SELECTED2');}else{$(this).parent().parent().removeClass('ROW_SELECTED2');}
            $("#tblPerEmp input:checkbox[name='chkPerEmp[]'][value='"+$(this).attr('empresaid')+"']").prop("checked",$("#tblPerEmp input:checkbox[name='chkPerEmpMod[]'][empresaid='"+$(this).attr('empresaid')+"']:checked").length===$("#tblPerEmp input:checkbox[name='chkPerEmpMod[]'][empresaid='"+$(this).attr('empresaid')+"']").length);
            EmpCount();
        });

        $("#tblPerUniNeg input:checkbox[name^='chkPerUni[]']").change(function(e){
            $("#tblPerUniNeg input:checkbox[name^='chkPerUniNeg[]'][unidadnegocioid='"+$(this).attr('value')+"']").prop("checked", this.checked);
            Pintar('chkPerUniNeg[]');
            CheckAllPerUniNeg();
            UniNegCount();
        });

        $("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]']").change(function(e) {
            CheckAllPerUniNeg();
            if($(this).is(":checked")){ $(this).parent().parent().addClass('ROW_SELECTED2');}else{$(this).parent().parent().removeClass('ROW_SELECTED2');}
            $("#tblPerUniNeg input:checkbox[name='chkPerUni[]'][value='"+$(this).attr('unidadnegocioid')+"']").prop("checked",$("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]'][unidadnegocioid='"+$(this).attr('unidadnegocioid')+"']:checked").length===$("#tblPerUniNeg input:checkbox[name='chkPerUniNeg[]'][unidadnegocioid='"+$(this).attr('unidadnegocioid')+"']").length);
            UniNegCount();
        });

        $("#tblPerAlm input:checkbox[name^='chkPerAlm[]']").change(function(e){
            $("#tblPerAlm input:checkbox[name^='chkPerAlmMod[]'][almacenid='"+$(this).attr('value')+"']").prop("checked", this.checked);
            Pintar('chkPerAlmMod[]');
            CheckAllPerAlm();
            AlmCount();
        });

        $("#tblPerAlm input:checkbox[name='chkPerAlmMod[]']").change(function(e) {
            CheckAllPerAlm();
            if($(this).is(":checked")){ $(this).parent().parent().addClass('ROW_SELECTED2');}else{$(this).parent().parent().removeClass('ROW_SELECTED2');}
            $("#tblPerAlm input:checkbox[name='chkPerAlm[]'][value='"+$(this).attr('almacenid')+"']").prop("checked",$("#tblPerAlm input:checkbox[name='chkPerAlmMod[]'][almacenid='"+$(this).attr('almacenid')+"']:checked").length===$("#tblPerAlm input:checkbox[name='chkPerAlmMod[]'][almacenid='"+$(this).attr('almacenid')+"']").length);
            AlmCount();
        });

        $("#tblPerEsp input:checkbox[name='chkPerTipPro[]']").change(function(e){
            $("#tblPerEsp input:checkbox[name='chkProceso[]'][tipoprocesoid='"+$(this).val()+"']").prop("checked", this.checked);
            Pintar('chkProceso[]');
            CheckAllPerPro();
            PerEspCount();
        });		

        $("#tblPerEsp input:checkbox[name='chkProceso[]']").change(function(e) {
            CheckAllPerPro();
            if($(this).is(":checked")){ $(this).parent().parent().addClass('ROW_SELECTED2');}else{$(this).parent().parent().removeClass('ROW_SELECTED2');}
            $("#tblPerEsp input:checkbox[name='chkPerTipPro[]'][value='"+$(this).attr('tipoprocesoid')+"']").prop("checked",$("#tblPerEsp input:checkbox[name='chkProceso[]'][tipoprocesoid='"+$(this).attr('tipoprocesoid')+"']:checked").length===$("#tblPerEsp input:checkbox[name='chkProceso[]'][tipoprocesoid='"+$(this).attr('tipoprocesoid')+"']").length);
            PerEspCount();
        });

        $('#tblGrupos tbody tr td').addClass('PADD_3 BORDER_ALL_G');
        $('#tblGrupos tbody tr td:nth-child(1)').css({'text-align':'center', 'width':'20px'});
        $('#tblGrupos tbody tr td:nth-child(2)').css({'line-height':'14px'});
        $('#tblGrupos tbody label').css({'font-size':'11px'});

        $('#tblPerEmp tbody tr td').addClass('PADD_3 BORDER_ALL_G');
        $('#tblPerEmp tbody label').css({'font-size':'11px', 'padding':'2px', 'margin':'0px'});
        $('#tblPerEmp tbody input:checkbox').css({'padding':'0px', 'margin':'0px'});
        $('#tblPerEmp tbody tr td:nth-child(1)').css({'text-align':'center', 'width':'20px'});
        $('#tblPerEmp tbody tr td:nth-child(3)').css({'text-align':'center', 'width':'40px', 'padding':'1px'});
        $('#tblPerEmp tbody tr td:nth-child(3) button').css({'width':'100%'}).click(function(e){ Habilitar(); $('#capFrame').html("<iframe src='PermisosEmpresa.php?modulosistemaid="+$(this).parents("tr").attr("modulosistemaid")+"&empresaid="+$(this).parents("tr").attr("empresaid")+"' frameborder='0' width='100%' height='100%'></iframe>"); });

        $('#tblPerUniNeg tbody tr td').addClass('PADD_3 BORDER_ALL_G');
        $('#tblPerUniNeg tbody label').css({'font-size':'11px', 'padding':'2px', 'margin':'0px'});
        $('#tblPerUniNeg tbody input:checkbox').css({'padding':'0px', 'margin':'0px'});
        $('#tblPerUniNeg tbody tr td:nth-child(1)').css({'text-align':'center', 'width':'20px'});
        $('#tblPerUniNeg tbody tr td:nth-child(3)').css({'text-align':'center', 'width':'40px', 'padding':'1px'});
        $('#tblPerUniNeg tbody tr td:nth-child(3) button').css({'width':'100%'}).click(function(e){ Habilitar(); $('#capFrame').html("<iframe src='PermisosUnidadNegocio.php?modulosistemaid="+$(this).parents("tr").attr("modulosistemaid")+"&unidadnegocioid="+$(this).parents("tr").attr("unidadnegocioid")+"' frameborder='0' width='100%' height='100%'></iframe>"); });

        $('#tblPerAlm tbody tr td').addClass('PADD_3 BORDER_ALL_G');
        $('#tblPerAlm tbody label').css({'font-size':'11px', 'padding':'2px', 'margin':'0px'});
        $('#tblPerAlm tbody input:checkbox').css({'padding':'0px', 'margin':'0px'});
        $('#tblPerAlm tbody tr td:nth-child(1)').css({'text-align':'center', 'width':'20px'});
        $('#tblPerAlm tbody tr td:nth-child(3)').css({'text-align':'center', 'width':'40px', 'padding':'1px'});
        $('#tblPerAlm tbody tr td:nth-child(3) button').css({'width':'100%'}).click(function(e){ Habilitar(); $('#capFrame').html("<iframe src='PermisosAlmacen.php?modulosistemaid="+$(this).parents("tr").attr("modulosistemaid")+"&almacenid="+$(this).parents("tr").attr("almacenid")+"' frameborder='0' width='100%' height='100%'></iframe>"); });

        $('#tblPerEsp tbody tr td').addClass('PADD_3 BORDER_ALL_G');
        $('#tblPerEsp tbody label').css({'font-size':'11px', 'padding':'2px', 'margin':'0px'});
        $('#tblPerEsp tbody input:checkbox').css({'padding':'0px', 'margin':'0px'});
        $('#tblPerEsp tbody tr td:nth-child(1)').css({'text-align':'center', 'width':'20px'});
        $('#tblPerEsp tbody tr td:nth-child(3)').css({'text-align':'center', 'width':'40px', 'padding':'1px'});
        $('#tblPerEsp tbody tr td:nth-child(3) button').css({'width':'100%'}).click(function(e){ Habilitar(); $('#capFrame').html("<iframe src='PermisosProceso.php?procesoid="+$(this).parents("tr").attr("procesoid")+"' frameborder='0' width='100%' height='100%'></iframe>"); });
        
        $("#btnMenRef").click(function(e){ Show(); }).click();
        $("#btnMenUpd").click(function(e){ Grabar(); });
        $("#chkView").change(function(e){ VerSoloActivos(); });

        $("#btnGruposUpd").click(function(e){ UpdateGrupo(); });
        $("#btnGrabarEmp").click(function(e){ UpdateEmp(); });
        $("#btnGrabarUniNeg").click(function(e){ UpdateUniNeg(); });
        $("#btnGrabarAlm").click(function(e){ UpdateAlm(); });
        $("#btnGrabarEsp").click(function(e){ UpdatePerEsp(); });
        Layout();
        if($('#tiene_permiso').val()=="0"){ $('input, select, button').attr('disabled', true); bootbox.alert($('#tiene_permiso').attr('alt'));}else Show();
    });
    function VerSoloActivos(){
        $("#tblMenu input:checkbox[name^='chk[]']").parent().parent().show(); 
        if($("#chkView").is(":checked")){
            $("#tblMenu input:checkbox[name^='chk[]']").filter(':not(:checked)').parent().parent().hide();
            $("#tblMenu span#lblPerGru[valor='Y']").parents("tr").show();
        }
    }
    function Pintar(vNameChk){
        $("input:checkbox[name='"+vNameChk+"']").parent().parent().removeClass('ROW_SELECTED2');
        $("input:checkbox[name='"+vNameChk+"']:checked").parent().parent().addClass('ROW_SELECTED2');
    }