    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajRol.php",
            data: ({miopcion:"read"}),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });	
    }
    function ShowGrid(oData){
        $('#tblMain tbody').html('');
        var tblRow =''; vE=""; vTP="";
        $.each(oData.oData, function(oIndex, oRow){
            vE="";
            switch(oRow.estructura){
                case "MIE":vE="Miembro"; break;
                case "EMP":vE="Empleado"; break;
                case "CLI":vE="Cliente"; break;
                case "CE":vE="Centro Educativo"; break;
                case "PRO":vE="Proveedor"; break;
            }
            vTP="";
            switch(oRow.tipo){
                case "N":vTP="Persona Natural"; break;
                case "J":vTP="Persona Juridica"; break;
                case "X":vTP="Persona Natural y/o Juridica"; break;
            }
            tblRow+='<tr id="'+oRow.rolid+'" rolid="'+oRow.rolid+'">';				
            tblRow+='<td><img src="'+oData.oImages+'/i_edit.gif"></td>';
            tblRow+='<td><input type="checkbox" value="'+oRow.rolid+'" id="chk[]" name="chk[]" /></td>';
            tblRow+='<td>'+oRow.rolid+'</td>';
            tblRow+='<td title="Orden: '+oRow.orden+'">'+oRow.nombre+(oRow['pordefecto']?' <span class="badge badge-info">Por defecto</span>':'')+'</td>';
            tblRow+='<td>'+oRow.abreviatura+'</td>';
            tblRow+='<td>'+($.trim(oRow.imagen)!=''?'<img src="'+oData.oImages+'/'+oRow.imagen+'">':'')+'</td>';
            tblRow+='<td>'+vE+'</td>';
            tblRow+='<td>'+vTP+'</td>';
            tblRow+='<td><img src="'+oData.oImages+(oRow.estado?"/valido.gif":"/invalido.gif") + '" title="'+(oRow.estado?"Click para anular":"Click para activar")+'"></td>';
            tblRow+='</tr>';
        });
        $("#tblMain tbody").html(tblRow);
        $('#lblMsg').html('Existen <span class="badge badge-info">'+oData.oData.length+'</span> registros');
        AsigFun();
    }
    var ajOrd=null;
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("BORDER_ALL PADD_3");
        $("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(4), #tblMain tbody tr td:nth-child(5), #tblMain tbody tr td:nth-child(7), #tblMain tbody tr td:nth-child(8)").css({'text-align':'left'});

        $("#tblMain tbody tr td:nth-child(1) img").addClass('HAND').attr('title', 'Editar').click(function(e){ Editar($(this).parents("tr").attr('rolid'), 0); });

        $("#tblMain tbody input:checkbox[name='chk[]']").change(function(e) {
            $("#chkAll").prop("checked",$("#tblMain tbody input:checkbox[name='chk[]']:checked").length===$("#tblMain tbody input:checkbox[name='chk[]']").length);
            if($(this).is(":checked")){
                $(this).parent().parent().addClass('ROW_SELECTED2');
            }else{
                $(this).parent().parent().removeClass('ROW_SELECTED2');
            }
        });
        $("#tblMain tbody tr td:nth-child(9) img").addClass('HAND').click(function(e){ 
            var vRolId=$(this).parents("tr").attr('rolid');
            var vImg=$(this);
            $.ajax({
                type: "POST",
                dataType: 'json',
                timeout: 2000,
                global: false,
                url: "ajax/ajRol.php",
                data: ({miopcion:"cambiar_estado", rolid:vRolId }),
                success: function(oRpta){ if(!oRpta.Err){ vImg.attr('src', oRpta.oImages+(oRpta.Status?"/valido.gif":"/invalido.gif"));  vImg.attr('title', (oRpta.Status?'Click para anular':'Click para activar')); }else{alert(oRpta.Description)}}
            });
        });
        $("#tblMain tbody").tableDnD({
            onDragClass: "myDragClass",
            onDrop:function(table, row) {
                var myArr=[];
                $('#tblMain tbody tr').each(function(oIndex){ myArr[oIndex]=$(this).attr('id'); });
                var vStart=1;
                if(ajOrd)ajOrd.abort();
                ajOrd=$.ajax({
                    type: "POST",
                    dataType: 'json',
                    global: false,
                    url: "ajax/ajRol.php",
                    data: ({miopcion:"change_order", ids:myArr, start:vStart }),
                    success: function(oRpta){
                        if(!oRpta.Err){
                            $('#tblMain tbody tr td:nth-child(4)').each(function(){ $(this).attr('title', 'Order: ' + vStart); vStart++;  }); 
                        }else{
                            bootbox.alert(oRpta.Description); Show(); 
                        }
                    }
                });
            }
        });
    }
    var ajDel=null;
    function Delete(){
        if ($("#tblMain tbody input:checkbox[name='chk[]']:checked").length===0){bootbox.alert("Seleccione los registros que desea eliminar."); return false; }
        var vCadena="";
        if($("#tblMain tbody input:checkbox[name='chk[]']:checked").length>1){
            vCadena="Esta seguro de eliminar los "+ $("#tblMain tbody input:checkbox[name='chk[]']:checked").length+" registros seleccionados?";
        }else{
            vCadena="Esta seguro de eliminar el registro seleccionado?";
        }
        bootbox.dialog({
            message: vCadena,
            title: "Responda",
            buttons:{
                ok:{
                  label: getIcon("trash")+' Eliminar registros',
                  className: "btn-success",
                  callback: function() {
                        if(ajDel) ajDel.abort();
                        ajDel=$.ajax({
                            type: "POST",
                            dataType: 'json',
                            url: "ajax/ajRol.php",
                            data: $('#frmPanel').serialize()+"&miopcion=delete", 
                            success: function(oRpta){ if(oRpta){if(!oRpta.Err){Show();}else{bootbox.alert(oRpta.Description);}}}
                        });
                  }
                },
                cancel: { label: "Cancelar", className: "btn-danger", callback: function() { } }
            }
        });	
    }
    function Cerrar(){ $("#oEdit, #oFondo").hide().html(""); }
    function Editar(vRolId, swNew){ $("#oFondo").show(); $("#oEdit").show().html("<iframe src='RolEdit.php?rolid="+vRolId+"&swnew="+swNew+"' frameborder='0' width='100%' height='100%'></iframe>"); }
    $(function(){
        $("#chkAll").change(function(e) {
            $("#tblMain tbody input:checkbox[name='chk[]']").prop("checked",this.checked);
            $("#tblMain tbody input:checkbox[name='chk[]']").parent().parent().removeClass('ROW_SELECTED2');
            $("#tblMain tbody input:checkbox[name='chk[]']:checked").parent().parent().addClass('ROW_SELECTED2');
        });
        $("#btnAdd").click(function(e){Editar(0, 1);});
        $("#btnDelete").click(function(e){Delete();});
        $("#btnRefresh").click(function(e){Show();}).click();
        $("#btnClose").click(function(e){parent.Cerrar();});
    });