<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(LOGICA."/Acceso.php");

    if ($_POST) $array=$_POST;
    else $array=$_GET;

    $vPersonaId=intval($sessCodigo);
    $deDonde=trim($array['dedonde']);

    $oP=new Acceso_clsPersona();
    $rowPersona=$oP->getROW($vPersonaId);

    $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_PHOTO."/";
    $oFTP=new FTP();

    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;	
?>
<!DOCTYPE html>
<html>
    <head>        
        <title>CAMBIO DE IMAGEN</title>
        <? include("../php/head.php");?>
        <? include("../php/head_uploadifive.php");?>
        <script type="text/javascript" src="js/misdatosphotoupload.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols1.js"></script>
    </head>
    <body>
        <div id="divMain">
            <div id="divGrid" style="padding:5px; overflow:hidden">
                <input type="hidden" value="<?=$vPersonaId?>" name="pesonaid" id="pesonaid">
                <input type="hidden" name="script_php_download" id="script_php_download" value="<?=SCRIPT_PHP_DOWNLOAD?>">
                <input type="hidden" name="dedonde" id="dedonde" value="<?=$deDonde?>">
                <div id="divLeft" style="width:150px;">
                    <div id="divLeftMain" style="overflow:hidden">
                    	<div id="objImage"></div>
                    </div>
                </div>
                <div id="divRight">
                    <div id="divRightMain">
                    	<h4><?=Mostrar_Dato(($rowPersona['tipo']=="N")?((trim($rowPersona['titulo'])==''?'':trim($rowPersona['titulo'])." ").$rowPersona['nombre']." ".$rowPersona['ape_pat']." ".$rowPersona['ape_mat']):$rowPersona['raz_soc'])?></h4>
                        <p>
                            <div class="<?=clsBtnGroup()?>">
                                <?=bRefresh("btnShow", "Mostrar foto")?>
                                <?=bDelete("btnDelete", "Eliminar foto")?>
                            </div>
                        </p>
                        <p>El archivo no debe exceder de <b><?=FormatSizeFile(SIZE_PERSON_PHOTO*1024)?></b> de tama&ntilde;o.</p>
                        <p><div id="custom-queue"></div><input type="file" name="txtImage" id="txtImage" style="width:100%"></p>
                        <p></p>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
<script type="text/javascript">
    $(function() {
        $('#txtImage').uploadifive({
            'uploadScript'      : 'ajax/ajMisDatosPhotoUpload.php',
            'fileType'       	: 'image',
            'multi'          	: false,
            'auto'           	: true,
            'buttonText'	: 'Seleccionar',
            'queueID'        	: 'custom-queue',
            'formData'  	: {miopcion:'upload', personaid:<?=$vPersonaId?>, session:"<?=session_id()?>" },
            'removeCompleted'	: true,
            'onUploadComplete': function(oFile, oData){
                try{
                    var oData = jQuery.parseJSON(oData);
                    if(oData.pResult){
                        switch($('#dedonde').val()){
                            case "misdatos": 
                                if(oData.pPersonaGalleryId>0){ parent.Crop(oData.pPersonaGalleryId);} 
                                parent.$.fancybox.close(); 
                                break;
                            default:
                                parent.Show(); 
                                if(oData.pPersonaGalleryId>0){
                                        if(parent.$('#personaidperfil').val()=='0'){parent.Crop(oData.pPersonaGalleryId);} 
                                }
                                parent.$.fancybox.close();
                        }
                    }else{
                        bootbox.alert(oData.pMessage);
                    }
                }catch(e){
                    bootbox.alert(oData);
                }
            }
        });
    });
</script>