<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/FTP.php");
    require_once(HERRAMIENTAS_PHP."/clsResize.php");
    require_once(HERRAMIENTAS_PHP."/clsSistema_Archivos.php");
    require_once(LOGICA."/Acceso.php");
    $oSA=new clsSistema_Archivos();

    $oFTP=new FTP();
    $oFTP->pServer=FTP_DOMAIN;
    $oFTP->pUser=FTP_USER;
    $oFTP->pPassword=FTP_PASS;
    $oFTP->pPort=FTP_PORT;

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "upload":
            $msgUpload=""; $swUpload=false; $msgUpdate=""; $swUpdate=false;	$vFileName=""; $vPersonaGalleryId=0;

            $vPersonaId=intval($array['personaid']);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/";
            if (!$oFTP->Directory_Exists($vPath))$oFTP->Create_Dir($vPath);

            $vPath=FTP_PATH.FTP_DIR.PATH_PERSON_GALLERY."/".$vPersonaId."/";
            if (!$oFTP->Directory_Exists($vPath))$oFTP->Create_Dir($vPath);

            if (!empty($_FILES)){
                $vArchivo="Filedata";
                $vFileName=SanitizeFilename($_FILES[$vArchivo]['name']);

                if ($vFileName!=""){
                    if ($oFTP->Directory_Exists($vPath)){
                        $vExtension=Extension($vFileName);
                        $vFileName=$vPersonaId.$vExtension;

                        $vFileName=$oFTP->NewFileName($vPath, $vFileName);

                        if ($oFTP->File_Exists($vPath, $vFileName)){
                            $vRpta=$oFTP->Delete_File($vPath.$vFileName);
                        }
                        $oFTP->pFile=$vArchivo;
                        $oFTP->pResize=true;
                        $oFTP->pResizeOption='proportional';
                        $oFTP->pWidth=1000;
                        $oFTP->pHeight=1000;
                        $oFTP->pExtensions=$EXT_PERSON_PHOTO;
                        $intError=intval($oFTP->Upload($vFileName, $vPath));
                        if ($intError==0){
                            $msgUpload="File upload ok";
                            $swUpload=true;

                            $arrDim=$oFTP->Dimensions($vPath.$vFileName);

                            $vSize=$oFTP->Size($vPath.$vFileName);
                            $vWidth=doubleval($arrDim['width']);
                            $vHeight=doubleval($arrDim['height']);
                            
                            $oI=new Acceso_clsPersonaGallery();
                            $oI->pPersonaId=$vPersonaId;
                            $oI->pFileName=trim($vFileName);
                            $oI->pWidth=$vWidth;
                            $oI->pHeight=$vHeight;
                            $oI->pSize=$vSize;
                            $oI->pDPI=0;
                            $intError=$oI->Add($vPersonaGalleryId);
                            if($intError==0){
                                $msgUpdate="Update Ok. ";
                                $swUpdate=true;
                            }else{
                                $msgUpdate=$oI->getErrMsg($intError);
                                $swUpdate=false;
                            }
                        }else{
                            $swUpload=false;
                            $msgUpload=$oFTP->MsgErr($intError);
                            $arr=$oFTP->getDataFile();
                            $msgUpload.="";
                            switch($intError){
                                case 100: $msgUpload.="(".$arr['extension'].")";break;
                                case 101: $msgUpload.="(".doubleval($arr['tamano'])."Kb)";break;
                                case 102: $msgUpload.="(".$arr['ancho']."px,".$arr['alto']."px)";break;
                            }
                        }
                    }else{
                        $msgUpload="Directory (".$vPath.") does not exist.";
                        $swUpload=false;
                    }
                }
            }

            $jsondata['pResult'] = ($swUpload?1:0);
            $jsondata['pMessage'] = $msgUpload;
            $jsondata['pFileName'] = $vFileName;
            $jsondata['pPersonaGalleryId'] = $vPersonaGalleryId;
            echo json_encode($jsondata);			
            break;
    }
?>