<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    $segProcesoMenu="CONTRATO"; include(INTERFAZ."/seguridad_redirect_procesomenu.php");

    if($_GET) $array=$_GET;
    else $array=$_POST;

    $vContratoId=intval($array['contratoid']);
    $swNew=(intval($array['swnew'])==1);
    $vEmpresaId=intval($array['empresaid']);
    $vEmpleadoId=0;

    $rowContrato=array("contratoid"=>0, "empresaid"=>$vEmpresaId, "personaid"=>0, "inicio"=>date('y-m-d'), "fin"=>date('y-m-d'), "observacion"=>'');
    $oC=new Acceso_Planillas_clsContrato();
    if (!$swNew) {
        $rowContrato=$oC->getROW($vContratoId);
        $vEmpleadoId=intval($rowContrato['personaid']);
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>CONTRATO - EDITAR</title>
        <? include("../php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="js/contratoedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
    </head>
    <body>
        <div id="divHeader">
            <?=btnSave()?><?=getTitle(($swNew?"AGREGAR":"EDITAR")." CONTRATO")?><?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="overflow: hidden; padding: 5px;">
                <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                    <li><a href="#oTabs-1" data-toggle="tab">General</a></li>
                </ul>
                <div class="tab-content" style="margin-top:0px; overflow:hidden;" id="oTabsContent">
                    <div id="oTabs-1" class="tab-pane" style="overflow:auto; padding:5px;">
                        <form id="frmPanel" class="form-horizontal">
                            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
                            <input type="hidden" name="contratoid" id="contratoid" value="<?=$vContratoId?>">
                            <input type="hidden" name="empleadoid" id="empleadoid" value="<?=$vEmpleadoId?>">
                            
                            <?
                            $oE=new Acceso_clsEmpresa();
                            $rs=$oE->Leer();
                            $arrEmp=array(); if($rs)$arrEmp=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrEmp, "cboEmpresa", "EMPRESA", "empresaid", "nombre", intval($rowContrato['empresaid']), "0", "Seleccione", true, "col-sm-5");
                            
                            getFormGroupBegin("EMPLEADO");
                            ?>
                            <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                <?=bInfo("btnEmpSel", "", "user", "Seleccionar empleado")?>
                                <?=InputGroupAddOn("objEmpleado", "width:440px; text-align:left; padding:0px;")?>
                                <?=bWarning("btnEmpClear", "", "remove", "Quitar empleado")?>
                            </div>
                            <?
                            getFormGroupEnd();

                            getFormGroupBegin("INICIO / FIN");
                            ?>
                            <div class="<?=clsBtnGroup("btn-group-sm")?> <?=clsInputGroup("input-group-sm")?>">
                                <?=getInputText("txtInicio", "", FormatDate($rowContrato['inicio']), 10, "form-control", "width:120px; max-width:120px; text-align:center;")?>
                                <?=getInputText("txtFin", "", FormatDate($rowContrato['fin']), 10, "form-control", "width:120px; max-width:120px; text-align:center;")?>
                            </div>
                            <?
                            getFormGroupEnd();
                            
                            $oT=new Acceso_Planillas_clsTipoPlanilla();
                            $rs=$oT->Leer();
                            $arrTipo=array(); if($rs)$arrTipo=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrTipo, "cboTipoPlanilla", "TIPO PLANILLA", "tipoplanillaid", "nombre", intval($rowContrato['tipoplanillaid']), "0", "Seleccione", true, "col-sm-5");

                            $oT=new Acceso_Planillas_clsTipoContrato();
                            $rs=$oT->Leer();
                            $arrTipo=array(); if($rs)$arrTipo=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrTipo, "cboTipoContrato", "TIPO CONTRATO", "tipocontratoid", "nombre", intval($rowContrato['tipocontratoid']), "0", "Seleccione", true, "col-sm-5");
                            
                            $oA=new Acceso_clsArea();
                            $rs=$oA->Leer();
                            $arrArea=array(); if($rs)$arrArea=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrArea, "cboArea", "AREA", "areaid", "nombre", intval($rowContrato['areaid']), "0", "Seleccione", true, "col-sm-5");

                            $oC=new Acceso_clsCargo();
                            $rs=$oC->Leer();
                            $arrCargo=array(); if($rs)$arrCargo=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrCargo, "cboCargo", "CARGO", "cargoid", "nombre", intval($rowContrato['cargoid']), "0", "Seleccione", true, "col-sm-5");

                            $oT=new Acceso_Planillas_clsTurno();
                            $rs=$oT->Leer();
                            $arrTurno=array(); if($rs)$arrTurno=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrTurno, "cboTurno", "TURNO", "turnoid", "nombre", intval($rowContrato['turnoid']), "0", "Seleccione", true, "col-sm-5");

                            $oH=new Acceso_Planillas_clsHorario();
                            $rs=$oH->Leer();
                            $arrHorario=array(); if($rs)$arrHorario=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrHorario, "cboHorario", "HORARIO", "horarioid", "nombre", intval($rowContrato['horarioid']), "0", "Seleccione", true, "col-sm-5");

                            getFormGroupBegin("NUMERO DE HIJOS");
                            ?>
                            <div class="<?=clsBtnGroup("btn-group-sm")?> <?=clsInputGroup("input-group-sm")?>">
                                <?=getInputText("txtNumeroHijos", "", intval($rowContrato['nrohijos']), 0, "form-control", "width:80px; max-width:80px; text-align:center;")?>
                                <?=InputGroupAddOn("", "width:150px; max-width:150px;", "", "EN EDAD ESCOLAR")?>
                                <?=getInputText("txtNumeroHijosEscolar", "", intval($rowContrato['nrohijosescolar']), 0, "form-control", "width:80px; max-width:80px; text-align:center;")?>
                            </div>
                            <?
                            getFormGroupEnd();
                            
                            $oT=new Acceso_Planillas_clsAFP();
                            $rs=$oT->Leer();
                            $arrAFP=array(); if($rs)$arrAFP=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrAFP, "cboAFP", "AFP", "afpid", "nombre", intval($rowContrato['afpid']), "0", "Seleccione", true, "col-sm-5");
                            
                            $oT=new Acceso_Planillas_clsTipoSeguro();
                            $rs=$oT->Leer();
                            $arrTipo=array(); if($rs)$arrTipo=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrTipo, "cboTipoSeguro", "TIPO SEGURO", "tiposegurosaludid", "nombre", intval($rowContrato['tiposegurosaludid']), "0", "Seleccione", true, "col-sm-5");
                            
                            getFormGroupText("txtSueldoBasico", "SUELDO BASICO", number_format(doubleval($rowContrato['sueldobasico']), 2), 0, "", "", "max-width:120px; text-align:right;", "col-sm-2");
                            
                            getFormGroupTextArea("txtObservacion", "OBSERVACI&Oacute;N", $rowContrato['observacion'], "Ingrese una observaci&oacute;n");
                            ?>
                            
                        </form>
                        
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
<?
if($vEmpleadoId>0){
    ?>
    <script> $(function(){ ShowPerson($("#objEmpleado"), <?=json_encode(getPersona($vEmpleadoId))?>, {nombre:'EmpleadoEdit', titulo:'ACTUALIZANDO DATOS DEL EMPLEADO'}); }); </script>
    <? 
}
?>