<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $array=$_GET;

    $vTipoPlanillaId=intval($array['tipoplanillaid']);
    $vConceptoId=intval($array['conceptoid']);

    $oTP=new Acceso_Planillas_clsTipoPlanilla();
    $oC=new Acceso_Planillas_clsConcepto();
    $oCal=new Acceso_Planillas_clsTipoPlanillaCalculo();

    $rowTipPla=$oTP->getROW($vTipoPlanillaId);
    $rowConcepto=$oC->getROW($vConceptoId);
    
    $rowCalculo=$oCal->getROW($vTipoPlanillaId, $vConceptoId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>FORMULA - <?=Mostrar_Dato($rowTipPla['nombre'])?> - <?=Mostrar_Dato($rowConcepto['nombre'])?></title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_fancy.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols3.js" ></script>
        <script language="javascript" type="text/javascript" src="js/tipoplanillacalculoformula.js"></script>
    </head>
    <body>
        <div id="divHeader">
            <?=getTitle("CALCULO: ".Mostrar_Dato($rowTipPla['nombre']))?>
            <?=btnClose()?>
        </div>
        <div id="divTit" class="BORDER_B" style="height:30px; padding: 5px;">
            <strong style="font-size: 14px;"><?=Mostrar_Dato($rowTipPla['nombre'])." / ".Mostrar_Dato($rowConcepto['nombre'])?></strong>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px; overflow: hidden;">
                <div id="divLeft" style="overflow:hidden;">
                    <div id="divLeftTop1" class="BORDER_ALL BG1">
                    </div>
                    <div id="divLeftMain" class="BORDER_L BORDER_R" style="overflow:auto; padding:2px">
                        <form id="frmEdit" class="form-horizontal">
                            <input type="hidden" value="<?=$vTipoPlanillaId?>" id="tipoplanillaid" name="tipoplanillaid">
                            <input type="hidden" value="<?=$vConceptoId?>" id="conceptoid" name="conceptoid">
                            <?
                            getFormGroupTextArea("txtFormula", "FORMULA", $rowCalculo['formula'], "", "resize:none; font-size:18px; font-weight: bold;");
                            getFormGroupBegin("");
                            ?>
                            <div class="<?=clsBtnGroup()?> <?=clsInputGroup()?>">
                                <?=bSuccess('btnSave', "Guardar cambios", "ok")?>
                            </div>
                            <?
                            getFormGroupEnd();
                            ?>
                        </form>
                    </div>
                    <div id="divLeftBottom1" class="BORDER_ALL BG1">
                    	<div class="float-left" id="lblMsg1"></div>
                    </div>
                </div>
                
                
                <div id="divRight" style="overflow:hidden; width:400px">
                    <div id="divRightTop1" class="BORDER_ALL BG1">
                        <div class="input-group float-left">
                            <?=getInputText("txtQuery", "Buscar", "", 50, "form-control", "max-width: 100px")?>
                        </div>
                        <div class="btn-group btn-group-sm float-left">
                            <?=bRefresh('btnQuery')?><?=bAdd('btnAdd')?>
                        </div>
                    </div>
                    <div id="divRightMain" class="BORDER_L BORDER_R" style="overflow:auto; padding:2px;">
                        <form id="frmQuery">
                            <input type="hidden" value="<?=$vTipoPlanillaId?>" id="tipoplanillaid" name="tipoplanillaid">
                            <table class="standard" width="100%" id="tblQuery">
                            	<thead>
                                    <tr class="title1">
                                        <th class="left">VARIABLES</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>
                    <div id="divRightBottom1" class="BORDER_ALL BG1">
                    	<div class="float-right" id="lblMsg2"></div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>