<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $array=$_GET;

    $vTipoPlanillaId=intval($array['tipoplanillaid']);

    $oC=new Acceso_Planillas_clsTipoPlanilla();

    $rowTipPla=$oC->getROW($vTipoPlanillaId);
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ESTRUCTURA DE LA PLANILLA - <?=Mostrar_Dato($rowTipPla['nombre'])?></title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_order_table.php"); ?>
        <? include(INTERFAZ."/php/head_fancy.php"); ?>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols3.js" ></script>
        <script language="javascript" type="text/javascript" src="js/tipoplanillaingreso.js"></script>
    </head>
    <body>
        <div id="divHeader">
            <?=getTitle("ESTRUCTURA DEL INGRESO DE DATOS: ".Mostrar_Dato($rowTipPla['nombre']))?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:2px; overflow: hidden;">
                <div id="divLeft" style="overflow:hidden;">
                    <div id="divLeftTop1" class="BORDER_ALL BG1">
                        <div class="input-group float-left">
                            <?=getInputText("txtName", "Buscar", "", 50)?>
                        </div>
                        <div class="btn-group btn-group-sm float-left">
                            <?=bRefresh('btnRefresh')?><?=bDelete('btnDelete')?>
                        </div>
                    </div>
                    <div id="divLeftMain" class="BORDER_L BORDER_R" style="overflow:auto; padding:2px">
                        <form id="frmPanel">
                            <input type="hidden" value="<?=$vTipoPlanillaId?>" id="tipoplanillaid" name="tipoplanillaid">
                            <table class="standard" width="100%" id="tblMain">
                            	<thead>
                                    <tr class="title1">
                                        <th width="30px" style="text-align:center"><input type="checkbox" name="chkAll" id="chkAll" /></th>
                                        <th class="left">NOMBRE</th>
                                        <th class="left">TITULO</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>
                    <div id="divLeftBottom1" class="BORDER_ALL BG1">
                    	<div class="float-left" id="lblMsg1"></div>
                    </div>
                </div>
                
                
                <div id="divRight" style="overflow:hidden; width:400px">
                    <div id="divRightTop1" class="BORDER_ALL BG1">
                        <div class="input-group float-left">
                            <?=getInputText("txtQuery", "Buscar", "", 50, "form-control", "max-width: 100px")?>
                        </div>
                        <div class="btn-group btn-group-sm float-left">
                            <?=bRefresh('btnQuery')?><?=bAdd('btnAdd')?>
                        </div>
                    </div>
                    <div id="divRightMain" class="BORDER_L BORDER_R" style="overflow:auto; padding:2px;">
                        <form id="frmQuery">
                            <input type="hidden" value="<?=$vTipoPlanillaId?>" id="tipoplanillaid" name="tipoplanillaid">
                            <table class="standard" width="100%" id="tblQuery">
                            	<thead>
                                    <tr class="title1">
                                        <th width="30px" style="text-align:center"><input type="checkbox" name="chkAllQue" id="chkAllQue" /></th>
                                        <th class="left">NOMBRE</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </form>
                    </div>
                    <div id="divRightBottom1" class="BORDER_ALL BG1">
                    	<div class="float-right" id="lblMsg2"></div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>