<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vTipoPeriodo=trim($array['tipoperiodo']);
            $vAnio=intval($array['anio']);
            
            $oC=new Acceso_Planillas_clsPeriodoDias();
            $rs=$oC->Leer($vTipoPeriodo, $vAnio);
            
            $arrDiasAux=array(); if($rs) $arrDiasAux=$rs->fetchAll(PDO::FETCH_ASSOC);
            $arrDias=array(); foreach($arrDiasAux as $iDias=>$row){ $arrDias[$row['tipoperiodo']][$row['anio']][$row['periodo']]=intval($row['dias']); }
            
            $arrData=array();
            switch($vTipoPeriodo){
                case "M":
                    $arrData=getMonths();
                    foreach($arrData as $iMes=>$row){
                        $vPeriodo=intval($row['mesid']);
                        $arrData[$iMes]['periodo']=$vPeriodo;
                        $arrData[$iMes]['dias']='';
                        if(isset($arrDias[$vTipoPeriodo][$vAnio][$vPeriodo])){
                            $arrData[$iMes]['dias']=$arrDias[$vTipoPeriodo][$vAnio][$vPeriodo];
                        }
                    }
                    break;
                default:
                    
            }

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrData;
            $jsondata['oImages'] = IMAGES;
            $jsondata['oTipoPeriodo'] = $vTipoPeriodo;
            $jsondata['oAnio'] = $vAnio;
            echo json_encode($jsondata);
            break;
        case "update":
            $vTipoPeriodo=trim($array['tipoperiodo']);
            $vAnio=intval($array['anio']);
            
            $arrIDS=array(); if(isset($array['txtIDS'])) $arrIDS=$array['txtIDS'];
            
            $vArray="";
            foreach($arrIDS as $iPer=>$vPeriodo){
                $vArray.="['".intval($vPeriodo)."', '".intval($array['txtDias'.$vPeriodo])."'],";
            }
            
            if(trim($vArray)!=''){
                $vArray=substr($vArray,0, -1);
                $vArray="array[$vArray]"; 
            }else{
                $vArray="null";
            }
            
            $oC=new Acceso_Planillas_clsPeriodoDias();

            $intError=$oC->Registrar($vTipoPeriodo, $vAnio, $vArray, $sessCodigo, $vIP);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError>0?$oC->getErrMsg($intError):"");
            echo json_encode($jsondata);
            break;
    }
?>