<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "read":
            $vEmpresaId=intval($array['empresaid']);
            $vTexto=trim($array['texto']);
            
            $vPage=0;
            $vCount=intval($array['count']);			
            if(isset($array['page'])) $vPage=trim($array['page']);
            if($vPage==0) $vPage=1;

            $vInicio = ($vPage-1) * $vCount;
            
            $oC=new Acceso_Planillas_clsContrato();
            $rs=$oC->Leer($vInicio, $vCount, $vEmpresaId, $vTexto);
            $vTotalFilas=$oC->Count($vEmpresaId, $vTexto);
            
            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oTotal'] = $vTotalFilas;
            $jsondata['oPaginado'] = (($vTotalFilas>$vCount && $vCount>0)?Pagination(10, $vPage, $vTotalFilas, $vCount):"");
            $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            $oC=new Acceso_Planillas_clsContrato();
            $oC->pEmpresaId=intval($array['cboEmpresa']);
            $oC->pPersonaId=intval($array['empleadoid']);
            $oC->pInicio=CDate($array['txtInicio']);
            $oC->pFin=CDate($array['txtFin']);
            $oC->pTipoPlanillaId=intval($array['cboTipoPlanilla']);
            $oC->pTipoContratoId=intval($array['cboTipoContrato']);
            $oC->pAreaId=intval($array['cboArea']);
            $oC->pCargoId=intval($array['cboCargo']);
            $oC->pTurnoId=intval($array['cboTurno']);
            $oC->pHorarioId=intval($array['cboHorario']);
            $oC->pNumeroHijos=intval($array['txtNumeroHijos']);
            $oC->pNumeroHijosEscolar=intval($array['txtNumeroHijosEscolar']);
            $oC->pAFPId=intval($array['cboAFP']);
            $oC->pTipoSeguroSaludId=intval($array['cboTipoSeguro']);
            $oC->pSueldoBasico=doubleval(str_replace(",", "", $array['txtSueldoBasico']));
            $oC->pObservacion=Almacenar_Dato($array['txtObservacion']);

            $vContratoId=intval($array['contratoid']);
            $swNew=(intval($array['swnew'])==1);
            if ($swNew){
                $intError=$oC->Agregar($vContratoId);
            }else{
                $intError=$oC->Modificar($vContratoId);
            }

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oC->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            $oC=new Acceso_Planillas_clsContrato();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vContratoId){
                    $intError=$oC->Eliminar($vContratoId, $sessCodigo, miIP());
                    if ($intError==0){
                    }else{
                        $swError=true;
                        $msgError.=$oC->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
    }
?>