    var ajShow=null;
    function Show(){
        $("#tblMain tbody").html('');
        $("#lblMsg").html('Espere...');
        $("#chkAll").prop("checked", false);
        if(ajShow) ajShow.abort();
        ajShow=$.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajPlanillasCalculo.php",
            data: ({miopcion:"read", tipoplanillaid:$("#tipoplanillaid").val(), empresaid:$("#empresaid").val(), anio:$("#anio").val(), periodo:$("#periodo").val()}),
            success: function(oData){ if(oData)ShowGrid(oData); },
            complete: function(){ }
        });
    }
    function ShowGrid(oData){
        $('#tblMain thead, #tblMain tbody').html('');
        var tblRow ='';
        
        tblRow+='<tr class="title1">';
        tblRow+='<th width="50px">ID</th>';
        tblRow+='<th class="left" style="min-width:250px">EMPLEADO</th>';
        tblRow+='<th class="left" style="min-width:100px">AREA</th>';
        tblRow+='<th width="70px" style="text-align:right;">SUELDO<br>BASICO</th>';
        $.each(oData.oConcepto, function(oIndex, oRow){
            tblRow+='<th width="100px" title="'+oRow.formula+'" style="text-align:right;">'+oRow.concepto_nombre+'<input type="hidden" value="'+oRow.conceptoid+'" name="txtIDSCONCEPTO[]"></th>';
        });
        tblRow+='</tr>';
        $("#tblMain thead").html(tblRow);
        
        tblRow ='';
        var vImporte='';
        $.each(oData.oPersona, function(oIndex, oRow){
            tblRow+='<tr personaid="'+oRow.personaid+'">';
            tblRow+='<td>'+oRow.personaid+'<input type="hidden" value="'+oRow.personaid+'" name="txtIDSPERSONA[]"></td>';
            tblRow+='<td>'+oRow.persona_nombre+'</td>';
            tblRow+='<td>'+oRow.area_nombre+'</td>';
            tblRow+='<td>'+$.formatNumber(oRow.sueldobasico, {format:"#,##0.00", locale:"us"})+'</td>';
            $.each(oData.oConcepto, function(oIndexCon, oRowCon){
                vImporte='';
                if( typeof oData.oData[oData.oTipoPlanillaId]!='undefined'){
                    if( typeof oData.oData[oData.oTipoPlanillaId][oData.oEmpresaId]!='undefined'){
                        if( typeof oData.oData[oData.oTipoPlanillaId][oData.oEmpresaId][oRow.personaid]!='undefined'){
                            if( typeof oData.oData[oData.oTipoPlanillaId][oData.oEmpresaId][oRow.personaid][oData.oAnio]!='undefined'){
                                if( typeof oData.oData[oData.oTipoPlanillaId][oData.oEmpresaId][oRow.personaid][oData.oAnio][oData.oPeriodo]!='undefined'){
                                    if( typeof oData.oData[oData.oTipoPlanillaId][oData.oEmpresaId][oRow.personaid][oData.oAnio][oData.oPeriodo][oRowCon.conceptoid]!='undefined'){
                                        vImporte=oData.oData[oData.oTipoPlanillaId][oData.oEmpresaId][oRow.personaid][oData.oAnio][oData.oPeriodo][oRowCon.conceptoid];
                                    }
                                }
                            }
                        }
                    }
                }
                tblRow+='<td style="text-align:right">'+$.formatNumber(vImporte, {format:"#,##0.00", locale:"us"})+'</td>';
            });
            tblRow+='</tr>';
        });
        $("#lblMsg").html('<span class="badge badge-important">'+oData.oPersona.length+'</span> empleados');
        $("#tblMain tbody").html(tblRow);
        AsigFun();
    }
    function AsigFun(){
        $("#tblMain tbody tr").mouseover(function(e){$(this).addClass('over');}).mouseout(function(e){$(this).removeClass('over');});
        $("#tblMain tbody tr td").addClass("BORDER_ALL PADD_3");
        //$("#tblMain tbody tr td").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(1)").css({'text-align':'center'});
        $("#tblMain tbody tr td:nth-child(2), #tblMain tbody tr td:nth-child(3)").css({'text-align':'left'});
        $("#tblMain tbody tr td:nth-child(4)").css({'text-align':'right'});

    }
    var ajUpd=null;
    function Calcular(){
        if(ajUpd!=null) ajUpd.abort();
        ajUpd = $.ajax({
            type: "POST",
            dataType: 'json',
            url: "ajax/ajPlanillasCalculo.php",
            data: ({ miopcion:'recalcular', tipoplanillaid:$("#tipoplanillaid").val(), empresaid:$("#empresaid").val(), anio:$("#anio").val(), periodo:$("#periodo").val() }), 
            success: function(oRpta){ if(!oRpta.Err){ Show(); }else{ bootbox.alert(oRpta.Description); }}
        });
    }
    function Cerrar(){ $("#oEdit, #oFondo").hide().html(""); }
    $(function(){
        $("#btnCalcular").click(function(e){Calcular();});
        $("#btnRefresh").click(function(e){Show();}).click();
        $("#btnClose").click(function(e){parent.Cerrar();});
    });