<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    $array=$_GET;
    $swNew=intval($array['swnew']);
    $vProductoId=intval($array['productoid']);

    $oP=new Acceso_clsProducto();
    
    $row=array("titulo"=>'', "ape_pat"=>"", "ape_mat"=>"", "nombre"=>"", "tipo"=>"N", "raz_soc"=>"", "direccion"=>"", "nombre_comercial"=>"", "sexo"=>"M", "est_civil"=>"S", "nacimiento"=>date('Y-m-d'), "dni"=>"", "pernat_ruc"=>"", "ruc"=>"", "departamentoid"=>$vDepartamento, "provinciaid"=>$vProvincia, "distritoid"=>$vDistrito, "foto"=>'');

    $arrGrupos=array();
    if(!$swNew){	
        $row=$oP->getROW($vProductoId);
        $rsGru=$oP->Grupos($vProductoId);
        $arrGruposAux=array(); if($rsGru) $arrGruposAux=$rsGru->fetchAll(PDO::FETCH_ASSOC);
        foreach($arrGruposAux as $i=>$rowGru){ $arrGrupos[$rowGru['grupoid']]='Y'; }
    }
    $vMsgNoPermiso=""; $vPermisoEditName=TienePermiso($sessCodigo, "producto-edit", $vMsgNoPermiso);
    $vDecPrecio=2;
    $vDecPeso=2;
?>
<!DOCTYPE html>
<html>
    <head>
        <title>ACTUALIZANDO PRODUCTOS</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <? include(INTERFAZ."/php/head_number.php"); ?>
        <script language="javascript" type="text/javascript">
            var jsSelect="<?=$array['jsselect']?>";
            var jsClose="<?=$array['jsclose']?>";
        </script>
        <script language="javascript" type="text/javascript" src="clsProducto.js" ></script>
        <script language="javascript" type="text/javascript" src="js/productoedit.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardTabs.js"></script>
    </head>
    <body>
        <form id="frmPanel" class="form-horizontal">
            <input type="hidden" name="swnew" id="swnew" value="<?=$swNew?>">
            <input type="hidden" name="productoid" id="productoid" value="<?=$vProductoId?>">
            <input type="hidden" name="decpre" id="decpre" value="<?=$vDecPrecio?>">
            <input type="hidden" name="decpeso" id="decpeso" value="<?=$vDecPeso?>">
            <input type="hidden" value="<?=intval($vPermisoEditName)?>" name="editname" id="editname">
            <div id="divHeader">
                <?=btnSave()?>
                <?=getTitle(($swNew?"AGREGANDO UN NUEVO":"EDITANDO UN")." PRODUCTO")?>
                <?=btnClose()?>
                <div class="float-right" style="padding:4px;"><? if(!$swNew){?><span class="badge badge-warning"><?=$vProductoId?></span><? } ?><span class="badge badge-success" id="lblName"></span></div>
            </div>
            <div id="divMain">
                <div id="divGrid" style="padding:5px; overflow:hidden">

                    <ul class="nav nav-tabs" id="oTabsHeader" style="margin-bottom:0px;">
                        <li><a href="#oTabs-1" data-toggle="tab">General</a></li>
                        <li><a href="#oTabs-2" data-toggle="tab">Datos adicionales</a></li>
                        <li><a href="#oTabs-3" data-toggle="tab">Otros</a></li>
                    </ul>
                    <div class="tab-content" style="margin-top:0px; overflow:hidden;" id="oTabsContent">
                        <div id="oTabs-1" class="tab-pane" style="overflow:auto; padding:5px 0px 0px 0px;">
                            <?
                            $oL= new Acceso_clsLinea();
                            $rs=$oL->Leer();
                            $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrAux, "cboLinea", "LINEA", "lineaid", "nombre", intval($row['lineaid']), "0", "Seleccione", true, "col-sm-4");

                            getFormGroupText("txtNombre", "NOMBRE", $row['nombre'], 100);
                            getFormGroupText("txtPresentacion", "PRESENTACION", $row['presentacion'], 50);
                            getFormGroupText("txtAbreviatura", "ABREVIATURA", $row['abreviatura'], 50, "", "", "", "col-sm-4");
                            getFormGroupText("txtCodigoBarras", "COD. BARRAS.", $row['codigo_barras'], 50, "", "", "", "col-sm-4");
                            getFormGroupText("txtCodigoInterno", "COD.INTERNO.", $row['codigo_interno'], 50, "", "", "", "col-sm-4");

                            $oC= new Acceso_Catalogo_clsCategoria();
                            $rs=$oC->Leer();
                            $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrAux, "cboCategoria", "CATEGORIA", "categoriaid", "nombre", intval($row['categoriaid']), "0", "Seleccione", true, "col-sm-4");

                            $arrAux=array();
                            if(intval($row['categoriaid'])>0){
                                $oSC= new Acceso_Catalogo_clsSubCategoria();
                                $rs=$oSC->Leer("", intval($row['categoriaid']));
                                if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                            }
                            getFormGroupSelect($arrAux, "cboSubCategoria", "SUB CATEGORIA", "subcategoriaid", "nombre", intval($row['subcategoriaid']), "0", "Seleccione", true, "col-sm-4");
                            
                            $oM= new Acceso_clsMarca();
                            $rs=$oM->Leer();
                            $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrAux, "cboMarca", "MARCA", "marcaid", "nombre", intval($row['marcaid']), "0", "Seleccione", true, "col-sm-4");
                            
                            $oU= new Acceso_clsUnidadMedida();
                            $rs=$oU->Leer();
                            $arrAux=array(); if($rs)$arrAux=$rs->fetchAll(PDO::FETCH_ASSOC);
                            getFormGroupSelect($arrAux, "cboUnidadMedida", "UNIDAD MEDIDA", "unidadmedidaid", "nombre", intval($row['unidadmedidaid']), "0", "Seleccione", true, "col-sm-4");
                            
                            getFormGroupBegin();
                                ?>
                            <table class="standard" id="tblPrecios">
                                <thead>
                                    <tr class="title1">
                                        <th rowspan="2" width="120px">COMPRA</th>
                                        <th colspan="4">PRECIOS DE VENTA</th>
                                        <th rowspan="2" width="80px">PESO</th>
                                    </tr>
                                    <tr class="title1">
                                        <th width="120px">A</th><th width="120px">B</th><th width="120px">C</th><th width="120px">D</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="BORDER_ALL"><?=getInputText("txtPrecioCompra", "", number_format(doubleval($row['precio_com']), $vDecPrecio), 0, "standard-grid", "text-align:center; font-weight:bold; color:#F00; width:120px; height:25px;")?></td>
                                        <td class="BORDER_ALL"><?=getInputText("txtPrecioVA", "", number_format(doubleval($row['precio_va']), $vDecPrecio), 0, "standard-grid", "text-align:center; font-weight:bold; color:#00F; width:120px; height:25px;")?></td>
                                        <td class="BORDER_ALL"><?=getInputText("txtPrecioVB", "", number_format(doubleval($row['precio_vb']), $vDecPrecio), 0, "standard-grid", "text-align:center; font-weight:bold; color:#00F; width:120px; height:25px;")?></td>
                                        <td class="BORDER_ALL"><?=getInputText("txtPrecioVC", "", number_format(doubleval($row['precio_vc']), $vDecPrecio), 0, "standard-grid", "text-align:center; font-weight:bold; color:#00F; width:120px; height:25px;")?></td>
                                        <td class="BORDER_ALL"><?=getInputText("txtPrecioVD", "", number_format(doubleval($row['precio_vd']), $vDecPrecio), 0, "standard-grid", "text-align:center; font-weight:bold; color:#00F; width:120px; height:25px;")?></td>
                                        <td class="BORDER_ALL"><?=getInputText("txtPeso", "", number_format(doubleval($row['peso']), $vDecPeso), 0, "standard-grid", "text-align:center; font-weight:bold; color:#00F; width:80px; height:25px;")?></td>
                                    </tr>
                                </tbody>
                            </table>
                                <?
                            getFormGroupEnd();
                            ?>
                        </div>
                        <div id="oTabs-2" class="tab-pane" style="overflow:auto; padding:5px 0px 0px 0px;">
                            <?
                            getFormGroupBegin();
                            echo bCheckDefault("chkGrabado", "chkGrabado", "El producto es grabado", "", "", "btn-xs", "", $row['grabado']);
                            echo "&nbsp;";
                            echo bCheckDefault("chkServicio", "chkServicio", "Esto es un servicio", "", "", "btn-xs", "", $row['servicio']);
                            getFormGroupEnd();
                            
                            getFormGroupBegin("DESTINO A");
                            ?>
                            <div class="<?= clsBtnGroup('btn-group-xs')?>">
                            <?=bCheckDefault("chkCompra", "chkCompra", "Compras", "", "", "btn-xs", "", $row['destinado_compra']);?>
                            <?=bCheckDefault("chkVenta", "chkVenta", "Ventas", "", "", "btn-xs", "", $row['destinado_venta']);?>
                            </div>
                            <?
                            getFormGroupEnd();
                            
                            getFormGroupText("txtStand", "UBICACI&Oacute;N", $row['stand'], 50);
                            getFormGroupTextArea("txtObservacion", "OBSERVACI&Oacute;N", $row['observacion'], "Ingrese una observaci&oacute;n");

                            getFormGroupBegin();
                                ?>
                            <table class="standard">
                                <thead>
                                    <tr class="title1">
                                        <th colspan="3">STOCK</th>
                                    </tr>
                                    <tr class="title1">
                                        <th width="100px">ACTUAL</th><th width="100px">M&Iacute;NIMO</th><th width="100px">M&Aacute;XIMO</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="BORDER_ALL"></td>
                                        <td class="BORDER_ALL"><?=getInputText("txtStockMin", "", number_format(doubleval($row['stock_min']), 0), 0, "standard-grid", "text-align:center; font-weight:bold; color:#00F; width:100px; height:25px;")?></td>
                                        <td class="BORDER_ALL"><?=getInputText("txtStockMax", "", number_format(doubleval($row['stock_max']), 0), 0, "standard-grid", "text-align:center; font-weight:bold; color:#00F; width:100px; height:25px;")?></td>
                                    </tr>
                                </tbody>
                            </table>
                                <?
                            getFormGroupEnd();
                            
                            
                            getFormGroupBegin("");
                            ?>
                            <div class="<?=clsBtnGroup("btn-group-sm")?> <?=clsInputGroup("input-group-sm")?>">
                                <?=bCheckDefault("chkISC", "chkISC", "Afecto ISC", "", "", "", "width:150px;", $row['isc']);?>
                                <?=getInputText("txtISCPorcentaje", "%", number_format(doubleval($row['isc_porcentaje']), 2), 0, "form-control", "width:80px; height:34px; text-align:center;")?>
                            </div>
                            <?
                            getFormGroupEnd();

                            getFormGroupBegin("");
                            ?>
                            <div class="<?=clsBtnGroup("btn-group-sm")?> <?=clsInputGroup("input-group-sm")?>">
                                <?=bCheckDefault("chkPercepcion", "chkPercepcion", "Afecto Percepcion", "", "", "", "width:150px;", $row['percepcion']);?>
                                <?=getInputText("txtPercepcionPorcentaje", "%", number_format(doubleval($row['percepcion_porcentaje']), 2), 0, "form-control", "width:80px; height:34px; text-align:center;")?>
                            </div>
                            <?
                            getFormGroupEnd();
                            
                            ?>
                        </div>
                        <div id="oTabs-3" class="tab-pane" style="overflow:auto; padding:5px 0px 0px 0px;">
                            <div class="row">
                                <div class="col-sm-6">
                                    <table class="standard" id="tblGrupo">
                                        <thead>
                                            <tr class="title1">
                                                <th width="30px"><input type="checkbox" id="chkGruAll" name="chkGruAll"></th>
                                                <th class="left">GRUPO</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?
                                            $oGru=new Acceso_clsGrupo();
                                            $rsGru=$oGru->Leer();
                                            $arrGru=array(); if($rsGru) $arrGru=$rsGru->fetchAll(PDO::FETCH_ASSOC);
                                            foreach($arrGru as $i=>$rowGru){
                                                $swExiste=isset($arrGrupos[$rowGru['grupoid']]);
                                                ?>
                                                <tr>
                                                    <td><input type="checkbox" value="<?=intval($rowGru['grupoid'])?>" id="chkGru<?=intval($rowGru['grupoid'])?>" name="chkGru[]" <?=($swExiste?'checked':'')?>></td>
                                                    <td><label for="chkGru<?=intval($rowGru['grupoid'])?>"><?= Mostrar_Dato($rowGru['nombre'])?></label></td>
                                                </tr>
                                                <?
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="divBottom" class="BORDER_T">
                <div class="float-left">
                    <?=bSave("btnGuardar", "Guardar cambios")?>
                </div>
            </div>
        </form>
        <div id="capFondo" class="fondo">&nbsp;</div>
        <div id="capFrame" class="divFrame" style="width:90%; height:90%; top:5%; left:5%; z-index:99999; "></div>
    </body>
</html>