<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "actualizar":
            $vProductoId=intval($array['productoid']);
            $swNew=(intval($array['swnew'])==1);

            //BEGIN GRUPO
            $vArrayGrupo="";
            if(isset($array['chkGru'])){
                if(is_array($array['chkGru']))$vArrayGrupo=implode(",", $array['chkGru']);
            }
            if(trim($vArrayGrupo)!=''){
                $vArrayGrupo="array[$vArrayGrupo]";
            }else $vArrayGrupo="null";
            //END GRUPO


            $oP=new Acceso_clsProducto();

            $oP->pLineaId=intval($array['cboLinea']);
            $oP->pSubCategoriaId=intval($array['cboSubCategoria']);
            $oP->pMarcaId=intval($array['cboMarca']);
            $oP->pUnidadMedidaId=intval($array['cboUnidadMedida']);
            $oP->pNombre=Almacenar_Dato($array['txtNombre']);
            $oP->pPresentacion=Almacenar_Dato($array['txtPresentacion']);
            $oP->pAbreviatura=Almacenar_Dato($array['txtAbreviatura']);
            $oP->pCodigoBarras=Almacenar_Dato($array['txtCodigoBarras']);
            $oP->pCodigoInterno=Almacenar_Dato($array['txtCodigoInterno']);
            $oP->pPrecioCompra=doubleval(str_replace(",", "", $array['txtPrecioCompra']));
            $oP->pPrecioVA=doubleval(str_replace(",", "", $array['txtPrecioVA']));
            $oP->pPrecioVB=doubleval(str_replace(",", "", $array['txtPrecioVB']));
            $oP->pPrecioVC=doubleval(str_replace(",", "", $array['txtPrecioVC']));
            $oP->pPrecioVD=doubleval(str_replace(",", "", $array['txtPrecioVD']));
            $oP->pPeso=doubleval(str_replace(",", "", $array['txtPeso']));
            $oP->pStockMin=doubleval(str_replace(",", "", $array['txtStockMin']));
            $oP->pStockMax=doubleval(str_replace(",", "", $array['txtStockMax']));
            $oP->pGrabado=isset($array['chkGrabado']);
            $oP->pServicio=isset($array['chkServicio']);
            $oP->pDestinadoCompra=isset($array['chkCompra']);
            $oP->pDestinadoVenta=isset($array['chkVenta']);
            $oP->pStand=Almacenar_Dato($array['txtStand']);
            $oP->pObservacion=Almacenar_Dato($array['txtObservacion']);
            $oP->pISC=isset($array['chkISC']);
            $oP->pISCProcentaje=doubleval(str_replace(",", "", $array['txtISCPorcentaje']));
            $oP->pPercepcion=isset($array['chkPercepcion']);
            $oP->pPercepcionPorcentaje=doubleval(str_replace(",", "", $array['txtPercepcionPorcentaje']));

            $vMsgNoPermiso=""; $vTienePermiso=true;//TienePermiso($sessCodigo, ($swNew?"producto-add":"producto-edit"), $vMsgNoPermiso);

            $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                if ($swNew){
                    $intError=$oP->Agregar($vProductoId, $vArrayGrupo, $sessCodigo, miIP());
                }else{
                    $intError=$oP->Modificar($vProductoId, $vArrayGrupo, $sessCodigo, miIP());
                }
                if($intError>0) $msgError=$oP->getErrMsg($intError);
            }			

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            $jsondata['ProductoId'] = intval($vProductoId);
            echo json_encode($jsondata);
            break;
    }
?>