<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(HERRAMIENTAS_PHP."/reniec/reniec.php");
    require_once(HERRAMIENTAS_PHP."/sunat/sunat.php");
    require_once(HERRAMIENTAS_PHP."/curl.php");
    require_once(HERRAMIENTAS_PHP."/clsReniec.php");
    require_once(HERRAMIENTAS_PHP."/clsSunat.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "actualizar":
            $vPersonaId=intval($array['personaid']);
            $swNew=(intval($array['swnew'])==1);

            //BEGIN PHONE
            $arrPhone=array(); $vArrayPhone="";
            if(isset($array['phoneid'])){
                $arrPhone['phoneid']=$array['phoneid'];
                $arrPhone['phonetypeid']=$array['cboPhoneType'];
                $arrPhone['number']=$array['txtNumber'];
                $arrPhone['nombre']=$array['txtPhoneNombre'];
                $vMain=intval($array['optMainPhone']);
                $arrPhone['publico']=array(); if(isset($array['chkPublicoPho'])) $arrPhone['publico']=$array['chkPublicoPho'];

                foreach($arrPhone['phoneid'] as $i=>$vPhoneId){
                    if(trim($arrPhone['number'][$i])!=''){
                        $vArrayPhone.="['".intval($vPhoneId)."', '".intval($arrPhone['phonetypeid'][$i])."', '".trim($arrPhone['number'][$i])."', '".trim($arrPhone['nombre'][$i])."', '".(($i+1)==$vMain?"1":"0")."', '".(in_array(($i+1),$arrPhone['publico'])?'1':'0')."'],";
                    }
                }
            }
            if(trim($vArrayPhone)!=''){
                $vArrayPhone=substr($vArrayPhone, 0, strlen($vArrayPhone)-1);
                $vArrayPhone="array[$vArrayPhone]";
            }else $vArrayPhone="null";
            //END PHONE

            //BEGIN EMAIL
            $arrEmail=array(); $vArrayEmail="";
            if(isset($array['emailid'])){
                $arrEmail['emailid']=$array['emailid'];
                $arrEmail['emailtypeid']=$array['cboEmailType'];
                $arrEmail['email']=$array['txtEmail'];
                $arrEmail['name']=$array['txtEmailName'];
                $vMain=intval($array['optMainEmail']);
                $arrEmail['publico']=array(); if(isset($array['chkPublicoEma'])) $arrEmail['publico']=$array['chkPublicoEma'];

                foreach($arrEmail['emailid'] as $i=>$vEmailId){
                    if(trim($arrEmail['email'][$i])!=''){
                        $vArrayEmail.="['".intval($vEmailId)."', '".intval($arrEmail['emailtypeid'][$i])."', '".trim($arrEmail['email'][$i])."', '".(($i+1)==$vMain?"1":"0")."', '".(in_array(($i+1),$arrEmail['publico'])?'1':'0')."'],";
                    }
                }
            }
            if(trim($vArrayEmail)!=''){
                $vArrayEmail=substr($vArrayEmail, 0, strlen($vArrayEmail)-1);
                $vArrayEmail="array[$vArrayEmail]";
            }else $vArrayEmail="null";
            //END EMAIL

            //BEGIN SOCIAL MEDIA
            $vArraySocMed="";
            if(isset($array['chkSocMed'])){				
                foreach($array['chkSocMed'] as $i=>$vSocialMediaId){
                    $vArraySocMed.="['".intval($vSocialMediaId)."','".(isset($array['txtSocMed'.$vSocialMediaId])?trim($array['txtSocMed'.$vSocialMediaId]):"")."'],";
                }
            }
            if(trim($vArraySocMed)!=''){
                $vArraySocMed=substr($vArraySocMed, 0, strlen($vArraySocMed)-1);
                $vArraySocMed="array[$vArraySocMed]";
            }else $vArraySocMed="null";
            //END SOCIAL MEDIA

            //BEGIN ROL
            $vArrayRol="";
            if(isset($array['chkRol'])){
                if(is_array($array['chkRol']))$vArrayRol=implode(",", $array['chkRol']);
            }
            if(trim($vArrayRol)!=''){
                $vArrayRol="array[$vArrayRol]";
            }else $vArrayRol="null";
            //END ROL


            $oP=new Acceso_clsPersona();

            $oP->pTipo=Almacenar_Dato($array['optTP']);
            $oP->pTitulo=Almacenar_Dato($array['txtTitulo']);
            $oP->pApellido_Paterno=Almacenar_Dato($array['txtApePat']);
            $oP->pApellido_Materno=Almacenar_Dato($array['txtApeMat']);
            $oP->pNombre=Almacenar_Dato($array['txtNombre']);
            $oP->pDNI=Almacenar_Dato($array['txtDNI']);
            $oP->pPerNatRUC=Almacenar_Dato($array['txtPerNatRUC']);
            $oP->pSexo=Almacenar_Dato($array['cboSexo']);
            $oP->pEstado_Civil=Almacenar_Dato($array['cboEstado_Civil']);
            if (trim($array['txtNacimiento'])!=""){
                $oP->pNacimiento=CDate(trim($array['txtNacimiento']));
            }else{
                $oP->pNacimiento=date('Y-m-d');
            }

            $oP->pRazon_Social=Almacenar_Dato($array['txtRazon_Social']);
            $oP->pPerJurRUC=Almacenar_Dato($array['txtRUC']);

            $oP->pDireccion=Almacenar_Dato($array['txtDireccion']);
            $oP->pNombre_Comercial=Almacenar_Dato($array['txtNombreComercial']);
            $oP->pDistritoId=intval($array['cboDistrito']);
            $oP->pFoto=Almacenar_Dato($array['foto']);
            $oP->pLicencia=Almacenar_Dato($array['txtLicencia']);

            $vMsgNoPermiso=""; $vTienePermiso=TienePermiso($sessCodigo, ($swNew?"persona-add":"persona-edit"), $vMsgNoPermiso);

            $msgError="";
            if(!$vTienePermiso){
                $intError=1;
                $msgError=Mostrar_Dato($vMsgNoPermiso);
            }else{
                if ($swNew){
                    $intError=$oP->Agregar($vPersonaId, $vArrayPhone, $vArrayEmail, $vArraySocMed, $vArrayRol, $sessCodigo, miIP());
                }else{
                    $intError=$oP->Modificar($vPersonaId, $vArrayPhone, $vArrayEmail, $vArraySocMed, $vArrayRol, $sessCodigo, miIP());
                }
                if($intError>0) $msgError=$oP->getErrMsg($intError);
            }			

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = $msgError;
            $jsondata['PersonaId'] = intval($vPersonaId);
            echo json_encode($jsondata);
            break;
        case "reniec-captcha":
            $vDNI=trim($array['dni']);
            
            $oP=new Acceso_clsPersona();
            $vPersonaId=$oP->getIDBYDNI($vDNI);
            $vPersonaNombre="";
            if($vPersonaId>0){
                $vPersonaNombre=$oP->getNombre($vPersonaId);
            }
            
            $oR=new clsReniec();
            $vCookieTemp="";
            $vImagenCaptcha=$oR->getCaptcha($vCookieTemp);

            $jsondata['oIsImage'] = (trim($vImagenCaptcha)!=''?IsImage($vImagenCaptcha):false);
            $jsondata['oImage'] = $vImagenCaptcha;
            $jsondata['oCookie'] = $vCookieTemp;
            $jsondata['oPersonaId'] = $vPersonaId;
            $jsondata['oPersonaNombre'] = $vPersonaNombre;
            echo json_encode($jsondata);
            break;
        case "reniec-data":
            $vDNI=trim($array['dni']);
            $vCapcha=trim($array['captcha']);
            $vFileNameCookie=trim($array['cookie']);
            $vFileNameImage=trim($array['imagename']);

            $oR=new clsReniec();
            $myArr=$oR->getNombre($vFileNameCookie, $vDNI, $vCapcha);

            if(is_file($vFileNameImage))unlink($vFileNameImage);

            $vApePat=$vApeMat=$vNombre="";
            $intError=0; $msgError="";
            $vCookieTemp=""; $vImagenCaptcha="";
            if(isset($myArr['error'])){
                $intError=1; $msgError=trim($myArr['descripcion']);
                $vImagenCaptcha=$oR->getCaptcha($vCookieTemp);
            }else{
                $vApePat=$myArr['ape_pat'];
                $vApeMat=$myArr['ape_mat'];
                $vNombre=$myArr['nombre'];
            }

            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = $msgError;
            $jsondata['oApePat'] = $vApePat;
            $jsondata['oApeMat'] = $vApeMat;
            $jsondata['oNombre'] = $vNombre;
            
            $jsondata['oIsImage'] = ($vImagenCaptcha!=''?IsImage($vImagenCaptcha):false);
            $jsondata['oImage'] = $vImagenCaptcha;
            $jsondata['oCookie'] = $vCookieTemp;
            
            echo json_encode($jsondata);
            break;
        case "reniec-data-new":
            $vDNI=trim($array['dni']);

            $oP=new Acceso_clsPersona();
            $vPersonaId=$oP->getIDBYDNI($vDNI);
            $vPersonaNombre="";
            if($vPersonaId>0){
                $vPersonaNombre=$oP->getNombre($vPersonaId);
            }
            
            $oR=new Reniec();
            $myArr=$oR->search($vDNI);

            $vApePat=$vApeMat=$vNombre="";
            $intError=0; $msgError="";
            if(isset($myArr['error'])){
                $intError=1; $msgError=trim($myArr['descripcion']);
            }else{
                $vApePat=$myArr['ape_pat'];
                $vApeMat=$myArr['ape_mat'];
                $vNombre=$myArr['nombre'];
            }

            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = $msgError;
            $jsondata['oApePat'] = $vApePat;
            $jsondata['oApeMat'] = $vApeMat;
            $jsondata['oNombre'] = $vNombre;
            $jsondata['oPersonaId'] = $vPersonaId;
            $jsondata['oPersonaNombre'] = $vPersonaNombre;
            echo json_encode($jsondata);
            break;

        case "sunat-captcha":
            $vRUC=trim($array['ruc']);
            
            $oP=new Acceso_clsPersona();
            $vPersonaId=$oP->getIDBYRUC($vRUC);
            $vPersonaNombre="";
            if($vPersonaId>0){
                $vPersonaNombre=$oP->getNombre($vPersonaId);
            }
            
            $oR=new clsSunat();
            $vCookieTemp="";
            $vImagenCaptcha=$oR->getCaptcha($vCookieTemp);

            $jsondata['oIsImage'] = (trim($vImagenCaptcha)!=''?IsImage($vImagenCaptcha):false);
            $jsondata['oImage'] = $vImagenCaptcha;
            $jsondata['oCookie'] = $vCookieTemp;
            $jsondata['oPersonaId'] = $vPersonaId;
            $jsondata['oPersonaNombre'] = $vPersonaNombre;
            echo json_encode($jsondata);
            break;
        case "sunat-data":
            $vRUC=trim($array['ruc']);
            $vCapcha=trim($array['captcha']);
            $vFileNameCookie=trim($array['cookie']);
            $vFileNameImage=trim($array['imagename']);

            $oS=new clsSunat();
            $myArr=$oS->getRazSoc($vFileNameCookie, $vRUC, $vCapcha);

            if(is_file($vFileNameImage))unlink($vFileNameImage);

            $vRazSoc=$vDireccion=$vNombreComercial=$vEstado=$vCondicion="";
            $intError=0; $msgError="";
            $vCookieTemp=""; $vImagenCaptcha="";
            if(isset($myArr['error'])){
                $intError=1; $msgError=trim($myArr['descripcion']);
                $vImagenCaptcha=$oS->getCaptcha($vCookieTemp);
            }else{
                $vRazSoc=$myArr['raz_soc'];
                $vDireccion=$myArr['direccion'];
                $vNombreComercial=$myArr['nombre_comercial'];
                $vEstado=$myArr['estado'];
                $vCondicion=$myArr['condicion'];
            }
            
            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = $msgError;
            $jsondata['oRazSoc'] = $vRazSoc;
            $jsondata['oDireccion'] = $vDireccion;
            $jsondata['oNombreComercial'] = $vNombreComercial;
            $jsondata['oEstado'] = $vEstado;
            $jsondata['oCondicion'] = $vCondicion;
            
            $jsondata['oPersonaNombre'] = $vPersonaNombre;

            $jsondata['oIsImage'] = ($vImagenCaptcha!=''?IsImage($vImagenCaptcha):false);
            $jsondata['oImage'] = $vImagenCaptcha;
            $jsondata['oCookie'] = $vCookieTemp;
            
            echo json_encode($jsondata);
            break;
        case "sunat-data-new":
            $vRUC=trim($array['ruc']);
            
            $oP=new Acceso_clsPersona();
            $vPersonaId=$oP->getIDBYRUC($vRUC);
            $vPersonaNombre="";
            if($vPersonaId>0){
                $vPersonaNombre=$oP->getNombre($vPersonaId);
            }
            
            $oS=new Sunat();
            $myArr=$oS->search($vRUC);

            $vRazSoc=$vDireccion=$vNombreComercial="";
            $intError=0; $msgError="";
            if(isset($myArr['error'])){
                $intError=1; $msgError=trim($myArr['descripcion']);
            }else{
                $vRazSoc=$myArr['RazonSocial'];
                $vDireccion=$myArr['Direccion'];
                $vNombreComercial=$myArr['NombreComercial'];
            }
            
            $jsondata['oErr'] = $intError;
            $jsondata['oDescription'] = $msgError;
            $jsondata['oRazSoc'] = $vRazSoc;
            $jsondata['oDireccion'] = $vDireccion;
            $jsondata['oNombreComercial'] = $vNombreComercial;
            $jsondata['oPersonaId'] = $vPersonaId;
            $jsondata['oPersonaNombre'] = $vPersonaNombre;
            echo json_encode($jsondata);
            break;
            
    }
?>