<?
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");
    //$segProcesoMenu="PROCESO"; include(INTERFAZ."/seguridad_redirect_admin.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;

    $vPersonaEditId=intval($array['personaeditid']);
    $oP=new Acceso_Rastro_clsPersona();
    $oPer=new Acceso_clsPersona();
    $rowEdit=$oP->getROW($vPersonaEditId);
    $vPersona=0; $rowPer=false; $vNombreProceso='';
    if($rowEdit){
        $vPersona=intval($rowEdit['personaid']);
        $rowPer=$oPer->getROW($vPersona);
        switch($rowEdit['tipo']){
            case "N": $vNombreProceso=" - INSERCION"; break;
            case "E": $vNombreProceso=" - MODIFICACION"; break;
            case "D": $vNombreProceso=" - ELIMINACION"; break;
        }
    }
?>
<!DOCTYPE html>
<html>
    <head>
        <title>PERSONA - RASTRO - DETALLES</title>
        <? include(INTERFAZ."/php/head.php"); ?>
        <script language="javascript" type="text/javascript" src="<?=PLANTILLAS?>/clsConsulta_Persona.js" ></script>
        <script language="javascript" type="text/javascript" src="js/persona_rastro_detalles.js"></script>
        <script language="javascript" type="text/javascript" src="../js/frmStandardCols2.js"></script>
        <style type="text/css">
            .BodyContentL {font:12px/18px verdana; text-align:right; vertical-align:top; padding:3px}
            .BodyContentR {font:bold 12px/18px verdana; text-align:left; vertical-align:top; padding:3px}
            .Edit{ color:#F00; }
        </style>
    </head>
    <body>
        <? include(HERRAMIENTAS_PHP."/WaitLoadAjax.php"); ?>
        <input type="hidden" value="<?=$vPersonaEditId?>" name="personaeditid" id="personaeditid">
        <input type="hidden" value="<?=$vPersona?>" name="personaid" id="personaid">
        <div id="divHeader">
            <?=btnRefresh()?>
            <?=getTitle("HISTORIAL DE CAMBIOS: PROCESO # ".$vPersonaEditId.$vNombreProceso)?>
            <?=btnClose()?>
        </div>
        <div id="divMain">
            <div id="divGrid" style="padding:3px; overflow:hidden;">
                <div id="divLeft" style="overflow:hidden;">
                    <div id="divLeftTop1" class="BORDER_ALL BG_IMG1" style="height:23px; padding:3px; border-bottom:0px;"><b class="SUBTITULO">DATOS ANTERIORES</b></div>
                    <div id="divLeftMain" class="BORDER_ALL" style="border-bottom:0px; padding:10px;">
                        <table id="tblOld">
                            <tbody></tbody>
                        </table>
                    </div>
                    <div id="divLeftBottom1" class="BORDER_ALL BG1">
                        <div class="float-left FS_11" id="lblPieOld"></div>
                        <div class="float-right">
                            <? if($rowPer){?><?=bWarning("btnEdit", "Editar Datos Actuales", "pencil", "Modificar los datos actuales", "btn-sm")?><? }?>
                        </div>
                    </div>
                </div>
                <div id="divRight" style="overflow:hidden;">
                    <div id="divRightTop1" class="BORDER_ALL BG_IMG1" style="height:23px; padding:3px; border-bottom:0px;"><b class="SUBTITULO">DATOS NUEVOS</b></div>
                    <div id="divRightMain" class="BORDER_ALL" style="border-bottom:0px; padding:10px;">
                        <table id="tblNew">
                            <tbody></tbody>
                        </table>
                    </div>
                    <div id="divRightBottom1" class="BORDER_ALL BG1 standard">
                        <div class="float-left FS_11" id="lblPieNew"></div>
                        <div class="float-right">
                            <?
                            switch(intval($rowEdit['estado'])){
                                case 2:
                                    ?>
                                    <div class="<?=clsBtnGroup()?>">
                                        <?=bInfo("btnAceptar", "Registrar Cambios", "ok", "Aceptar los cambios realizados", "btn-sm")?>
                                        <?=bWarning("btnDescartar", "Descartar Cambios", "remove", "Cancelar los cambios realizados", "btn-sm")?>
                                    </div>
                                    <?
                                    break;
                                case 1:
                                    ?><b style="color:#06C; font-size:14px;">Cambio aceptado..!</b><?
                                    break;
                                case 0:
                                    ?><b style="color:#06C; font-size:14px;">Cambio descartado..!</b><?
                                    break;
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>