<?
   header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Pragma: no-cache");

    require_once("../../../config.php");
    require_once(INTERFAZ."/seguridad.php");
    require_once(LOGICA."/Acceso.php");

    if ($_GET) $array=$_GET;
    else $array=$_POST;
    $miopcion=$array["miopcion"];
    switch($miopcion){
        case "mostrar_modelos":
            
            $oT=new Acceso_Transportes_clsVehiculo();
            $rs=$oT->buscarModelos($array['marcaid']);
            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
            
        case "read":
            $oT=new Acceso_Transportes_clsVehiculo();
            $rs=$oT->Buscar($array['tipovehiculoid'],$array['marcaid'], $array['texto']);

            $arrDatos=array(); if($rs) $arrDatos=$rs->fetchAll(PDO::FETCH_ASSOC);

            $jsondata['oData'] = $arrDatos;
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "update":
            
            $oT=new Acceso_Transportes_clsVehiculo();
            
            $colorArr = json_decode($array['colorids']);
            $colorIdArr = "";
            $cont = 0;
            foreach($colorArr as $colorid){
                if($cont!=0) $colorIdArr .= ',';
                $colorId= intval($colorid[0]);
                $colorIdArr.= $colorId;
                $cont++;
            }
            $cont2 = 0;
            $tCombArr = json_decode($array['tipocombustiblesids']);
            $tCombIdArr = "";
            foreach($tCombArr as $tipocombustibleid){
                if($cont2!=0) $tCombIdArr .= ',';
                $tCombId= intval($tipocombustibleid[0]);
                $tCombIdArr.= $tCombId;
                $cont2++;
            }
            
            $oT->pTipoVehiculoId=Almacenar_Dato($array['cboTipoVehiculo']);
            $oT->pMarcaId=Almacenar_Dato($array['cboMarca']);
            $oT->pModeloId=Almacenar_Dato($array['cboModelo']);
            $oT->pTipoAroId = Almacenar_Dato($array['cboTipoAro']); 
            $oT->pTipoLlantaId = Almacenar_Dato($array['cboTipoLlanta']); 
            $oT->pTipoCobertorId = Almacenar_Dato($array['cboTipoCobertor']); 
            $oT->pPlaca=Almacenar_Dato($array['txtPlaca']);
            $oT->pSerieChasis=Almacenar_Dato($array['txtSerieChasis']);
            $oT->pAnioFab=Almacenar_Dato($array['txtAnioFab']);
            $oT->pAnioModelo=Almacenar_Dato($array['txtAnioModelo']);
            $oT->pAncho=Almacenar_Dato($array['txtAncho']);
            $oT->pLargo=Almacenar_Dato($array['txtLargo']);      
            $oT->pAlto=Almacenar_Dato($array['txtAlto']);      
            $oT->pCargaUtil=Almacenar_Dato($array['txtCargaUtil']);    
            $oT->pPesoBruto=Almacenar_Dato($array['txtPesoBruto']);
            $oT->pPesoNeto=Almacenar_Dato($array['txtPesoNeto']);
            $oT->pRuedas=Almacenar_Dato($array['txtRuedas']);
            $oT->pNEjes=Almacenar_Dato($array['txtEjes']);    
            $oT->pEstado=Almacenar_Dato(1);    
            $oT->pColores =  $colorIdArr;
            $oT->pTipoCombustibles =  $tCombIdArr;
            
            $vVehiculoId=intval($array['vehiculoid']);
            
            
            if (intval($array['swnew'])==1){
                $intError=$oT->Agregar($vVehiculoId);
            }else{
                $intError=$oT->Modificar($vVehiculoId);
            }
            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            echo json_encode($jsondata);
            break;
        case "delete":
            $arrCheck=array(); if(isset($array['chk'])) $arrCheck=$array['chk'];
            $swError=false; $msgError="Errores: ";
            
            $oT=new Acceso_Transportes_clsVehiculo();

            if (is_array($arrCheck)){
                foreach($arrCheck as $i => $vCategoriaId){
                    $intError=$oT->Eliminar($vCategoriaId);
                    if ($intError==0){
                    }else {
                        $swError=true;
                        $msgError.=$oT->getErrMsg($intError)." ";
                    }
                }
            }
            $jsondata['Err'] = ($swError?1:0);
            $jsondata['Description'] = ($swError?$msgError:"");
            echo json_encode($jsondata);
            break;
        case "change_status";
            $vVehiculoId=intval($array['vehiculoid']);

            $oT=new Acceso_Transportes_clsVehiculo();
            $intError=$oT->Cambiar_Estado($vVehiculoId, $sessCodigo, miIP());

            $rowTipo=$oT->getROW($vVehiculoId);

            $jsondata['Err'] = $intError;
            $jsondata['Description'] = ($intError==0?"":$oT->getErrMsg($intError));
            $jsondata['Status'] = ($rowTipo['estado']?1:0);
            $jsondata['oImages'] = IMAGES;
            echo json_encode($jsondata);
            break;
        case "change_order":
            $vStart=intval($array['start']);
            $arrIDS=array(); if(isset($array['ids']))$arrIDS=$array['ids'];

            $vArray=implode(",", $arrIDS);
            if(trim($vArray)!='') $vArray="array[$vArray]"; else $vArray="null";
            
            $oT=new Acceso_Tesoreria_clsCategoria();
            $vRpta=$oT->Cambiar_Orden($vArray, $vStart);

            $jsondata['Err'] = ($vRpta?0:1);
            $jsondata['Description'] = ($vRpta?"":"Error al cambiar de orden.");
            echo json_encode($jsondata);
            break;
       
   
    case "buscar_colores":
        $oT=new Acceso_Transportes_clsVehiculo();
        $vehiculoid = $array['vehiculoid'];
        $arrAux= $oT->getColores($vehiculoid);
        $arr = [];
        foreach($arrAux as $ar){
            $arr[] = $ar['colorid'];
        }
        echo json_encode($arr);
        
        break;
    case "buscar_tipocombustibles":
        $oT=new Acceso_Transportes_clsVehiculo();
        $vehiculoid = $array['vehiculoid'];
        $arrAux= $oT->getTipoCombustibles($vehiculoid);
        $arr = [];
        foreach($arrAux as $ar){
            $arr[] = $ar['combustibleid'];
        }
        echo json_encode($arr);
        
        break;            
   }
?>