<?
    require_once("Globals.php");
    
    function ShowHead(){
        global $pdf, $hNow, $wPage, $arrColor;
        global $rowEmpresa;

        $vY=$pdf->getY();
        $vX=$pdf->getX();
        
        $hAux=6; $fsTit=14; $fsAux=8;
        $wLabel=20; $wTexto=20;
        $wLeft=$wPage-$wLabel-$wTexto;
        
        $vValor=$rowEmpresa['nombre'];
        $pdf->SetTextColorArray($arrColor['azul']);
        $pdf->SetFont('helvetica', 'B', 14);
        $pdf->Cell($wLeft, $hAux, $vValor, 0, 0, "L");
        $pdf->SetTextColorArray($arrColor['negro']);

        $pdf->SetFont('helvetica', '', $fsAux);
        $vValor="FECHA:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLabel, $fsAux));
        $pdf->Cell($wLabel, $hAux, $vValor, 0, 0, "R");
        $vValor=date('d/m/Y');
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLabel, $fsAux));
        $pdf->Cell($wLabel, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor=$rowEmpresa['direccion'];
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeft, $fsAux));
        $pdf->Cell($wLeft, $hAux, $vValor, 0, 0, "L");

        $vValor="HORA:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLabel, $fsAux));
        $pdf->Cell($wLabel, $hAux, $vValor, 0, 0, "R");
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLabel, $fsAux));
        $pdf->Cell($wLabel, $hAux, date('h:i a'), 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="N° RUC: ".$rowEmpresa['ruc'];
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeft, $fsAux));
        $pdf->Cell($wLeft, $hAux, $vValor, 0, 0, "L");

        $vValor="PAGINA:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLabel, $fsAux));
        $pdf->Cell($wLabel, $hAux, $vValor, 0, 0, "R");
        $vValor=$pdf->getAliasNbPages();
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLabel, $fsAux));
        $pdf->Cell($wLabel, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $hAux=5;
        $pdf->Ln($hAux);
        $hNow+=$hAux;
    }
    function ShowHeadOrden(){
        global $pdf, $hNow, $wPage, $arrColor;
        global $rowOrden; 

        $vY=$pdf->getY();
        $vX=$pdf->getX();
        
        $hAux=10;
        
        $vValor="ORDEN DE COMPRA N° ".str_pad($rowOrden['correlativo'], 8, '0', STR_PAD_LEFT);
        $pdf->SetFont('helvetica', '', 16);
        $pdf->SetTextColorArray($arrColor['negro']);
        $pdf->Cell(0, $hAux, $vValor, 0, 0, "C");

        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vXRect=$pdf->getX();
        $vYRect=$pdf->getY();
        
        $hAux=5; $fsAux=9; $vCantFilas=5;
        $wLeftLabel=25;
        $wRightLabel=25; $wRightTexto=40;
        $wLeftTexto=($wPage-$wLeftLabel-$wRightLabel-$wRightTexto);
        
        $vValor="SEÑOR(ES):";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowOrden['proveedor_nombre'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="FECHA:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");
        $vValor=FormatDate($rowOrden['fecha']);
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="DIRECCION:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowOrden['proveedor_direccion'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="MONEDA:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");
        
        $vValor=$rowOrden['moneda_nombre'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="N° RUC:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowOrden['proveedor_dniruc'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="TELEFONO:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");
        
        $vValor=$rowOrden['proveedor_telefono'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="CONTACTO:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowOrden['contacto_nombre'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $vValor="FAX:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");
        
        $vValor=$rowOrden['contacto_fax'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="EMAIL:";
        $pdf->SetFont('helvetica', 'B', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowOrden['contacto_email'];
        $pdf->SetFont('helvetica', '', $fsAux);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");

        $pdf->Ln($hAux);
        $hNow+=$hAux;
        
        $pdf->RoundedRect($vXRect, $vYRect, $wPage, ($hAux*$vCantFilas), 2.00, '1111', '');

    }
    function ShowDetalleHead(){
        global $pdf, $hNow, $wPage, $arrCols, $vFontFamily;
        global $rowOrden;
        
        $vY=$pdf->getY();
        $vX=$pdf->getX();
        
        $hAux=7; $fsAux=9;
        $wAux=($wPage/2);
        
        $pdf->SetFont($vFontFamily, '', $fsAux);
        
        $vValor="Sirvase atender lo siguiente:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wAux, $fsAux));
        $pdf->Cell($wAux, $hAux, $vValor, 0, 0, "L");

        $vValor="USUARIO:".$rowOrden['usuario_usuario'];
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wAux, $fsAux));
        $pdf->Cell($wAux, $hAux, $vValor, 0, 0, "R");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        PrintRowHeader($pdf, $arrCols, $hAux, 1, true, 8, 'B', $vFontFamily);
        $pdf->Ln($hAux);
        $hNow+=$hAux;
        
    }
    function ShowDetalleFoot($vTipo=''){
        global $pdf, $hNow, $wPage, $vFontFamily;
        global $rowOrden;
        
        $hMarginTop=5; $hAux=5; $fsAux=8;
        
        if($vTipo=='height') return $hMarginTop+($hAux*2);

        $vY=$pdf->getY();
        $vX=$pdf->getX();

        $pdf->Ln($hMarginTop);
        $hNow+=$hMarginTop;
        
        $wAux=$wPage;
        
        $pdf->SetFont($vFontFamily, 'B', $fsAux);
        $vValor="OBSERVACIONES";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wAux, $fsAux));
        $pdf->Cell($wAux, $hAux, $vValor, 0, 0, "L");

        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $pdf->SetFont($vFontFamily, '', $fsAux);
        $vValor=$rowOrden['observacion'];
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wAux, $fsAux));
        $pdf->Cell($wAux, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

    }
    function ShowFoot($vTipo=''){
        global $pdf, $hNow, $wPage, $vFontFamily;
        global $rowOrden;
        
        $hAux=5; $fsAux=8; $vCantFilas=6;
        $wLeftLabel=30;
        $wRightLabel=20; $wRightTexto=30;
        $wLeftTexto=($wPage-$wLeftLabel-$wRightLabel-$wRightTexto);

        if($vTipo=='height') return ($hAux*$vCantFilas);

        $vY=$pdf->getY();
        $vX=$pdf->getX();

        $pdf->SetFont($vFontFamily, '', $fsAux);
        $vValor="TOTAL PRODUCTOS:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=doubleval($rowOrden['cantidad_total']);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="FECHA ENTREGA:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=FormatDate($rowOrden['entrega_fecha']);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $vValor="LUGAR ENTREGA:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowOrden['entrega_lugar'];
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;
        
        $vValor="CONDIC. PAGO:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftLabel, $fsAux));
        $pdf->Cell($wLeftLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=$rowOrden['condicionpago_nombre'];
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wLeftTexto, $fsAux));
        $pdf->Cell($wLeftTexto, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;

        $pdf->Ln($hAux);
        $hNow+=$hAux;
        
        $wAux=$wPage; $fsAux=7;
        $vValor="NOS RESERVAMOS EL DERECHO DE DEVOLVER LA MERCADERIA QUE NO ESTA DE ACUERDO A NUESTRAS ESPECIFICACIONES";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wAux, $fsAux));
        $pdf->Cell($wAux, $hAux, $vValor, 0, 0, "L");
        
        $pdf->Ln($hAux);
        $hNow+=$hAux;
        
        //BEGIN TOTALES
        $vXTot=$vX; $vYTot=$vY;
        $wMarAux=($wPage-$wRightLabel-$wRightTexto);
        $pdf->setXY($vXTot, $vYTot);
        
        $pdf->SetFont($vFontFamily, 'B', $fsAux);
        
        $pdf->setX($vXTot+$wMarAux);
        $vValor="SUBTOTAL:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=number_format(doubleval($rowOrden['exonerado'])+doubleval($rowOrden['grabado']), 2);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto, $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "R");
        $pdf->Ln($hAux);

        $pdf->setX($vXTot+$wMarAux);
        $vValor="DCTO(0 %):";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=number_format(doubleval($rowOrden['descuento_global']), 2);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto, $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "R");
        $pdf->Ln($hAux);
        $pdf->setX($vXTot+$wMarAux);
        
        $vValor="IGV:";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=number_format($rowOrden['igv'], 2);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto, $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "R");
        $pdf->Ln($hAux);

        $pdf->setX($vXTot+$wMarAux);
        $vValor="TOTAL ".$rowOrden['moneda_simbolo'].":";
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightLabel, $fsAux));
        $pdf->Cell($wRightLabel, $hAux, $vValor, 0, 0, "R");

        $vValor=number_format($rowOrden['total'], 2);
        $pdf->SetFontSize(FontSizeMin($pdf, $vValor, $wRightTexto, $fsAux));
        $pdf->Cell($wRightTexto, $hAux, $vValor, 0, 0, "R");
        $pdf->Ln($hAux);
        
        $pdf->RoundedRect($vXTot+$wMarAux, $vYTot, $wRightLabel+$wRightTexto, (4*$hAux), 2.00, '1111', '');        
        //END TOTALES
        
        $pdf->setXY($vX, $vY+($hAux*$vCantFilas));
        $pdf->SetFont($vFontFamily, '', $fsAux);
    }
    function ShowFootNota($vTipo=''){
        global $pdf, $hNow, $wPage, $vFontFamily;
        global $rowOrden;
        
        $hMarginTop=5;

        $vNotaValor="NOTA: SIRVASE ADJUNTAR LA PRESENTE O/C A LA FACTURA CORRESPONDIENTE AL MOMENTO DE PRESENTARLO A NUESTRA EMPRESA";
        $wNota=80; $wNotaMargin=2; $wNotaTexto=$wNota-($wNotaMargin*2);
        //$hFila=$pdf->getStringHeight($vNotaValor, $wNotaTexto);
        //$vFilaCant=$pdf->getNumLines($vNotaValor, $wNotaTexto);
        //$hNotaTexto=($hFila*$vFilaCant);
        $hNotaTexto=15;
        $hNota=$hNotaTexto+($wNotaMargin*2);
        
        if($vTipo=='height') return $hMarginTop+$hNotaTexto;

        $vY=$pdf->getY();
        $vX=$pdf->getX();
        
        if($hMarginTop>0){
            $pdf->Ln($hMarginTop);
            $hNow+=$hMarginTop;
        }

        $vXRect=$vX;
        $vYRect=$vY+$hMarginTop;
        $pdf->setXY($vXRect, $vYRect);
        $pdf->RoundedRect($vXRect, $vYRect, $wNota, $hNota, 2.00, '1111', '');
        $pdf->setXY($vXRect + $wNotaMargin, $vYRect + $wNotaMargin);
        $pdf->MultiCell($wNotaTexto, $hNotaTexto, $vNotaValor, 0, "C", false, '', '', '', '', '', false, false, $hNota, 'T', true);
        //END NOTA
    }
?>