<?
    function Codificar($vValor){
        return utf8_encode($vValor);
    }
    function Decodificar($vValor){
        return utf8_decode($vValor);
    }
    function Mostrar_Dato($vValor){
        return htmlentities(($vValor));
    }
    function Almacenar_Dato($vValor){
        return ($vValor);
    }
    function Mostrar_FileName($vValor){
        return (utf8_decode($vValor));
    }
    function Almacenar_Dato_Excel($vValor){
        return utf8_decode($vValor);
    }
    function DateAdd($vInterval, $vFecha, $vNumero){
        if(trim($vInterval)=="") $vInterval="day";
        $vFecha=strtotime("$vFecha -$vNumero $vInterval");
        return $vFecha;
    }
    function NewFileName($myPathFile, $myFileName){
        $oFTP=new FTP();
        $oFTP->pServer=FTP_DOMAIN;
        $oFTP->pUser=FTP_USER;
        $oFTP->pPassword=FTP_PASS;
        $oFTP->pPort=FTP_PORT;

        //SEPARAMOS EL NOMBRE DE LA EXTENSION
        $miArr=explode(".", $myFileName);
        if(count($miArr)>1){
            $fileExt=$miArr[count($miArr)-1]; //Extension
            $fileName=substr($myFileName, 0, strlen($myFileName) - strlen($fileExt)-1);
        }else{
            $fileExt="";
            $fileName=$myFileName;
        }

        $vContador=1;
        $myFile=$myPathFile.$myFileName;
        $myNewFileName=$myFileName;
        while(true){
            if ($oFTP->File_Exists($myPathFile, $myNewFileName)){
                $vContador++;
                $myNewFileName=$fileName."_".$vContador.".".$fileExt;
                $myFile=$myPathFile.$myNewFileName;
            }else{
                break;
            }
        }
        return $myNewFileName;
    }
    function NewFileNameLocal($myPathFile, $myFileName){
        $oSA=new clsSistema_Archivos();

        //SEPARAMOS EL NOMBRE DE LA EXTENSION
        $miArr=explode(".", $myFileName);
        if(count($miArr)>1){
            $fileExt=$miArr[count($miArr)-1]; //Extension
            $fileName=substr($myFileName, 0, strlen($myFileName) - strlen($fileExt)-1);
        }else{
            $fileExt="";
            $fileName=$myFileName;
        }

        $vContador=1;
        $myFile=$myPathFile.$myFileName;
        $myNewFileName=$myFileName;
        while(true){
            if ($oSA->Exists($myPathFile.$myNewFileName)){
                $vContador++;
                $myNewFileName=$fileName."_".$vContador.".".$fileExt;
                $myFile=$myPathFile.$myNewFileName;
            }else{
                break;
            }
        }
        return $myNewFileName;
    }
    function ShowExt($myArr){
        $vCadena="";
        foreach($myArr as $i => $vExtension){$vCadena.="".$vExtension.", ";}
        $vCadena=substr(trim($vCadena),0,strlen(trim($vCadena))-1);
        return trim($vCadena);
    }
    function UploadExt($myArr){
        $vCadena="";
        foreach($myArr as $i => $vExtension){$vCadena.="*.".$vExtension.";";}
        $vCadena=substr(trim($vCadena),0,strlen(trim($vCadena))-1);
        return trim($vCadena);
    }
    function UploadExtDesc($myArr){
        $vCadena="";
        foreach($myArr as $i => $vExtension){$vCadena.=" .".strtoupper($vExtension)."";}
        return trim($vCadena);
    }
    function FormatSizeFile($vSize) {
        $arrSize = array(" bytes", " Kb", " Mb", " Gb", " Tb", " Pb", " Eb", " Zb", " Yb");
        if ($vSize == 0) { return(''); } else {
        return (round($vSize/pow(1024, ($i = floor(log($vSize, 1024)))), $i > 1 ? 2 : 0) . $arrSize[$i]); }
    }
    function FormatDate($vFecha, $vFormat='d/m/Y'){
        $miFecha=explode("-", $vFecha);
        $vFecha=mktime(0, 0, 0, intval($miFecha[1]), intval($miFecha[2]), intval($miFecha[0]));
        return date($vFormat, $vFecha);
    }
    function CDate($vFecha, $vFormat='Y-m-d'){
        $miFecha=explode("/", $vFecha);
        $vFecha=mktime(0, 0, 0, intval($miFecha[1]), intval($miFecha[0]), intval($miFecha[2]));
        return date($vFormat, $vFecha);
    }
    function Dia_Semana($vFecha){
        $miFecha=explode("-", $vFecha);
        $vFecha= mktime(0, 0, 0, $miFecha[1], $miFecha[2], $miFecha[0]);
        $vDia=date("w",$vFecha);
        return ($vDia);
    }
    function MonthName($vMes, $vCorto=false){
        $vNombre_Mes="";
         switch ($vMes){
            case 1:$vNombre_Mes=($vCorto?"Ene":"Enero");	break;
            case 2:$vNombre_Mes=($vCorto?"Feb":"Febrero");	break;
            case 3:$vNombre_Mes=($vCorto?"Mar":"Marzo");	break;
            case 4:$vNombre_Mes=($vCorto?"Abr":"Abril");	break;
            case 5:$vNombre_Mes=($vCorto?"May":"Mayo");		break;
            case 6:$vNombre_Mes=($vCorto?"Jun":"Junio");	break;
            case 7:$vNombre_Mes=($vCorto?"Jul":"Julio");	break;
            case 8:$vNombre_Mes=($vCorto?"Ago":"Agosto");	break;
            case 9:$vNombre_Mes=($vCorto?"Sep":"Septiembre");	break;
            case 10:$vNombre_Mes=($vCorto?"Oct":"Octubre");	break;
            case 11:$vNombre_Mes=($vCorto?"Nov":"Noviembre");	break;
            case 12:$vNombre_Mes=($vCorto?"Dic":"Diciembre");	break;
        }
        return $vNombre_Mes;
    }
    function DayName($vDia, $vCorto=false){
        switch ($vDia){
            case 0:$vNombre_Dia=($vCorto?"Dom":"Domingo");	break;
            case 1:$vNombre_Dia=($vCorto?"Lun":"Lunes");	break;
            case 2:$vNombre_Dia=($vCorto?"Mar":"Martes");	break;
            case 3:$vNombre_Dia=($vCorto?"Mie":"Miercoles");	break;
            case 4:$vNombre_Dia=($vCorto?"Jue":"Jueves");	break;
            case 5:$vNombre_Dia=($vCorto?"Vie":"Viernes");	break;
            case 6:$vNombre_Dia=($vCorto?"Sab":"Sabado");	break;
            case 7:$vNombre_Dia=($vCorto?"Dom":"Domingo");	break;
       }
       return $vNombre_Dia;
    }
    function DiasMes($vMes, $vAno){ 
        $vUltimo=28; 
        while (checkdate($vMes, $vUltimo + 1,$vAno)){$vUltimo++;} 
        return $vUltimo; 
    } 
    function ShowSelectPage($vCount, $vName='txtCount'){
        $vTexto='<select id="'.$vName.'" name="'.$vName.'" style="width:70px" class="form-control Page">';
        $vTexto.='<option value="0" '.($vCount==0?"selected":"").' >All</option>';
        $vTexto.='<option value="10" '.($vCount==10?"selected":"").' >10</option>';
        $vTexto.='<option value="25" '.($vCount==25?"selected":"").' >25</option>';
        $vTexto.='<option value="50" '.($vCount==50?"selected":"").' >50</option>';
        $vTexto.='<option value="100" '.($vCount==100?"selected":"").' >100</option>';
        $vTexto.='<option value="250" '.($vCount==250?"selected":"").' >250</option>';
        $vTexto.='<option value="500" '.($vCount==500?"selected":"").' >500</option>';
        $vTexto.='<option value="1000" '.($vCount==1000?"selected":"").' >1000</option>';
        $vTexto.='</select>';
        return $vTexto;
    }
    function Pagination($vMaxPags, $vPagActual, $vFilas, $vTamPag){
        $vTotPaginas=ceil($vFilas/$vTamPag);
        $vAnterior = $vPagActual - 1;
        $vPosterior = $vPagActual + 1;

        $vMinimo = $vMaxPags ? max(1, $vPagActual-ceil($vMaxPags/2)):1;
        $vMaximo = $vMaxPags ? min($vTotPaginas, $vPagActual+floor($vMaxPags/2)): $vTotPaginas;

        $vTexto.='<ul class="pagination pagination-sm" style="margin:0px 5px 0px 0px; padding:0px; 5px;">';

        if ($vTotPaginas>1 && $vPagActual!=1) $vTexto.='<li><a href="javascript:void(0)" page="1"><i class="glyphicon glyphglyphicon glyphicon-fast-backward"></i></a></li>';
        //else $vTexto .= '<li class="disabled"><a href="javascript:void(0)"><i class="icon-fast-backward"></i></a></li>';

        if ($vPagActual>1) $vTexto.='<li><a href="javascript:void(0)" page="'.$vAnterior.'"><i class="glyphicon glyphglyphicon glyphicon-step-backward"></i></a></li>';
        //else $vTexto .= '<li class="disabled"><a href="javascript:void(0)"><i class="icon-step-backward"></i></a></li>';

        //if ($vMinimo!=1) $vTexto.= "... ";

        for ($i=$vMinimo; $i<$vPagActual; $i++) $vTexto.='<li><a href="javascript:void(0)" page="'.$i.'">'.$i.'</a></li>';

        $vTexto .= '<li class="active"><a href="javascript:void(0)">'.$vPagActual.'</a></li>';

        for ($i=$vPagActual+1; $i<=$vMaximo; $i++) $vTexto.='<li><a href="javascript:void(0)" page="'.$i.'">'.$i.'</a></li>';

        //if ($vMaximo!=$vTotPaginas) $vTexto.= "... ";

        if ($vPagActual<$vTotPaginas) $vTexto.='<li><a href="javascript:void(0)" page="'.$vPosterior.'"><i class="glyphicon glyphglyphicon glyphicon-step-forward"></i></a></li>';
        //else $vTexto.='<li class="disabled"><a href="javascript:void(0)"><i class="icon-step-forward"></i></a></li>';

        if ($vTotPaginas>1 && $vPagActual!=$vTotPaginas) $vTexto.='<li><a href="javascript:void(0)" page="'.intval($vTotPaginas).'"><i class="glyphicon glyphglyphicon glyphicon-fast-forward"></i></a></li>';
        //else $vTexto.='<li class="disabled"><a href="javascript:void(0)"><i class=" icon-fast-forward"></i></a></li>';


        $vTexto.="</ul>";

        return $vTexto;
    }
    function PaginationSmall($vPagActual, $vFilas, $vTamPag){
        $vTotPaginas=ceil($vFilas/$vTamPag);
        $vAnterior = $vPagActual - 1;
        $vPosterior = $vPagActual + 1;

        $vTexto.='<ul class="pagination pagination-sm" style="margin:0px 5px 0px 0px; padding:0px; 5px;">';

        if ($vTotPaginas>1 && $vPagActual!=1) $vTexto.='<li title="Primera p&aacute;gina"><a href="javascript:void(0)" page="1"><i class="glyphicon glyphglyphicon glyphicon-fast-backward"></i></a></li>';
        //else $vTexto .= '<li class="disabled"><a href="javascript:void(0)"><i class="icon-fast-backward"></i></a></li>';

        if ($vPagActual>1) $vTexto.='<li title="P&aacute;gina anterior"><a href="javascript:void(0)" page="'.$vAnterior.'"><i class="glyphicon glyphglyphicon glyphicon-step-backward"></i></a></li>';
        //else $vTexto .= '<li class="disabled"><a href="javascript:void(0)"><i class="icon-step-backward"></i></a></li>';

        if ($vPagActual<$vTotPaginas) $vTexto.='<li title="Siguiente p&aacute;gina"><a href="javascript:void(0)" page="'.$vPosterior.'"><i class="glyphicon glyphglyphicon glyphicon-step-forward"></i></a></li>';
        //else $vTexto.='<li class="disabled"><a href="javascript:void(0)"><i class="icon-step-forward"></i></a></li>';

        if ($vTotPaginas>1 && $vPagActual!=$vTotPaginas) $vTexto.='<li title="&Uacute;ltima p&aacute;gina"><a href="javascript:void(0)" page="'.intval($vTotPaginas).'"><i class="glyphicon glyphglyphicon glyphicon-fast-forward"></i></a></li>';
        //else $vTexto.='<li class="disabled"><a href="javascript:void(0)"><i class=" icon-fast-forward"></i></a></li>';

        $vTexto.="</ul>";
        $vTexto.="</div>";

        return $vTexto;
    }

    function miIP(){
        return $_SERVER['REMOTE_ADDR'];
    }
    function getExtension($vFileName){
        $arrList=explode(".", $vFileName);
        $vExt=strtolower($arrList[count($arrList)-1]);
        return $vExt;
    }
    function FileName($vFileName){
        $vMenuName=strtolower(trim($vFileName));
        $vMenuName=str_replace(" ", "", $vMenuName);
        $vMenuName=str_replace("_", "", $vMenuName);
        $vMenuName=str_replace("&", "", $vMenuName);
        return $vMenuName;
    }
    function FileNameVar($vFileName){
        $vMenuNameVar=strtoupper(trim($vFileName));
        $vMenuNameVar=str_replace(" ", "", $vMenuNameVar);
        $vMenuNameVar=str_replace("-", "", $vMenuNameVar);
        $vMenuNameVar=str_replace("_", "", $vMenuNameVar);
        $vMenuNameVar=str_replace("&", "", $vMenuNameVar);
        return $vMenuNameVar;
    }
    function TienePermiso($vPersonaId, $vNombrePermiso, &$vPermisoMsg){
        $oP=new Acceso_clsPermisos_Proceso();
        $rowPermiso=$oP->getROW($vPersonaId);
        $vTienePermiso=isset($rowPermiso[$vNombrePermiso]);
        $vPermisoMsg="";
        if(!$vTienePermiso){
            $oProc=new Acceso_clsProceso();
            $rowProc=$oProc->getROW(0, $vNombrePermiso);
            $vPermisoMsg=Mostrar_Dato($rowProc['mensaje']);
        }
        return $vTienePermiso;
    }
    function TienePermisoMenu($vCodigo_Usuario, $vNombreProceso){
            return true;
            /*
            $vArray="";
            if(is_array($vNombreProceso)){
                    foreach($vNombreProceso as $i=>$vProceso){
                            $vArray.="'".$vProceso."',";
                    }
                    $vArray=substr($vArray, 0, strlen($vArray)-1);
                    $vArray="array[".$vArray."]";
            }else $vArray="array['".$vNombreProceso."']";
            $oPerPro=new AccesoNegocio_clsPermisos_Web();
            return $oPerPro->Tiene_Permiso_Proceso($vCodigo_Usuario, $vArray);
            */
    }
    function isEmail($vEmail){
        $vMatch="/^[-_.[:alnum:]]+@((([[:alnum:]]|[[:alnum:]][[:alnum:]-]*[[:alnum:]])\.)+(ad|ae|aero|af|ag|ai|al|am|an|ao|aq|ar|arpa|as|at|au|aw|az|ba|bb|bd|be|bf|bg|bh|bi|biz|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|com|coop|cr|cs|cu|cv|cx|cy|cz|de|dj|dk|dm|do|dz|ec|edu|ee|eg|eh|er|es|et|eu|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gh|gi|gl|gm|gn|gov|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|in|info|int|io|iq|ir|is|it|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|mg|mh|mil|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|museum|mv|mw|mx|my|mz|na|name|nc|ne|net|nf|ng|ni|nl|no|np|nr|nt|nu|nz|om|org|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|pro|ps|pt|pw|py|qa|re|ro|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|su|sv|sy|sz|tc|td|tf|tg|th|tj|tk|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)$|(([0-9][0-9]?|[0-1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5])\.){3}([0-9][0-9]?|[0-1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5]))$/i";
        return(preg_match($vMatch, $vEmail));
    }
    function Generar_Clave($vLongitud){
        $vClave="";
        $vPatron="[^A-Z0-9]";
        $vFuente=eregi_replace($vPatron, "", md5(rand())).eregi_replace($vPatron, "", md5(rand())).eregi_replace($vPatron, "", md5(rand()));
        if($vLongitud<=0) $vLongitud=6;
        for($vContador=0; $vContador<$vLongitud; $vContador++){
            $vPosicion=rand(0, strlen($vFuente)-1);
            $vClave.=substr($vFuente, $vPosicion, 1);
        }
        return $vClave;
    }
    function IsImage($vFile){
        $vInfo=getimagesize($vFile);
        $vType=$vInfo[2];
        $vRpta=false;
        switch($vType){
            case IMAGETYPE_JPEG:
            case IMAGETYPE_GIF:
            case IMAGETYPE_PNG:
                $vRpta=true;
                break;
            default:
                $vRpta=false;
                break;
        }
        return $vRpta;
    }

    function ShowListSelect($myRs, $fldID, $fldList, $miValor){
        $vList=""; $arrData=array();
        if($myRs){
            if(!is_array($myRs)) $arrData=$myRs->fetchAll(PDO::FETCH_ASSOC);
            else $arrData=$myRs;
        }
        if(count($arrData)>0){
            foreach($arrData as $i => $row){
                $vList.="<option value='".$row[$fldID]."'  ";
                $vList.=$row[$fldID]==$miValor?" SELECTED ":"";
                $vList.=">".Mostrar_Dato($row[$fldList])."</option>";
            }
        }
        return $vList;
    }

    function Mostrar_Persona($vCodigo, $JSModificar){
        $texto="<table width=100% height=100%><tr>";
        if (intval($vCodigo)>0){
            $IMG=IMG_OTROS;
            $oPersona=new AccesoNegocio_clsPersona();
            $rowPersona=$oPersona->getROW(intval($vCodigo));
            if($rowPersona){
                switch(intval($rowPersona['codigo_cat'])){
                    case CATE_EMPLEADO: $vTitle="Empleado"; $IMG=IMG_EMPLEADO;break;
                    case CATE_ALUMNO: $vTitle="Alumno"; $IMG=IMG_ALUMNO;break;
                    case CATE_PADRE: $vTitle="Padre de Familia"; $IMG=IMG_PADRE;break;
                    case CATE_COLEGIO: $vTitle="Centro Educativo"; $IMG=IMG_COLEGIO;break;
                }

                $texto.="<td style=\"cursor:hand; width:25px;border-right:0px;\" align=\"center\" onClick=\"$JSModificar\" >";
                $texto.="	<img src=\"".$IMG."\" style=\"vertical-align:bottom\">";
                $texto.="</td>";
                $texto.="<td style=\"font-weight:bold; padding-left:2px; cursor:hand; border-left:0px;\" onClick=\"$JSModificar\">";
                if($rowPersona['tipo']=="N"){
                    $texto.=Mostrar_Dato(strtoupper($rowPersona['ape_pat']." ".$rowPersona['ape_mat'].", ".$rowPersona['nombre']));
                }else{
                    $texto.=Mostrar_Dato(strtoupper($rowPersona['raz_soc']));
                }
                $texto.="</td>";
            }else{
                $texto.="<td style=\"cursor:hand; width:25px;\">";
            }
        }else{
            $texto.="<td style=\"cursor:hand; width:25px;\">";
        }
        $texto.="</tr></table>";
        return $texto;
    }
    function QuitarTildes($vValor){
        $vValor=utf8_decode($vValor);
        return utf8_encode(strtr($vValor, utf8_decode('àáâãäçèéêëìíîïñòóôõöùúûüýÿÀÁÂÃÄÇÈÉÊËÌÍÎÏÑÒÓÔÕÖÙÚÛÜÝ'),'aaaaaceeeeiiiinooooouuuuyyAAAAACEEEEIIIINOOOOOUUUUY'));
    }
    function Proporcional($vWidth, $vHeight, $newWidth, $newHeight){
        if($vWidth>$newWidth || $vHeight>$newHeight){
            $heightRatio = $newHeight / $vHeight;
            $widthRatio  = $newWidth / $vWidth;			
            $optimalRatio=($heightRatio < $widthRatio ? $heightRatio : $widthRatio);
            $optimalHeight = $vHeight * $optimalRatio;
            $optimalWidth  = $vWidth  * $optimalRatio;
        }else{
            $optimalWidth = $vWidth;
            $optimalHeight= $vHeight;
        }
        return array('width' => $optimalWidth, 'height' => $optimalHeight);
    }
    function CorrectFileName($vName){
        $vFileNameAux= strtolower(trim($vName));
        $vFileNameAux=str_replace(" ", "", $vFileNameAux);
        $vFileNameAux=str_replace("_", "", $vFileNameAux);
        $vFileNameAux=str_replace("-", "", $vFileNameAux);
        $vFileNameAux=str_replace("&", "", $vFileNameAux);
        return $vFileNameAux;
    }

    function Extension($vFileName, $vPoint=true){
        $vExtension=pathinfo($vFileName, PATHINFO_EXTENSION);
        if($vExtension!=''){
            return ($vPoint?'.':'').$vExtension;
        }else return '';
    }
    function DelDec($vPromedio){
        $vValor=$vPromedio;
        if(is_numeric($vPromedio)){
            $vEntero=intval($vPromedio);
            $vDecimal=doubleval($vPromedio)-$vEntero;
            if($vDecimal==0){
                $vValor=sprintf("%02.0f", $vEntero);
            }
        }
        return $vValor;
    }
    function getPersona($vPersona, $vType='basic', $getPadre=0, $getMadre=0){
        $oP=new Acceso_clsPersona();
        $rowPerAux=$oP->getROW($vPersona);
        $rowPer=array();
        if($rowPerAux){
            switch($vType){
                case 'basic':
                    $rowPer=array("personaid"=>$rowPerAux['personaid'], "tipo"=>$rowPerAux['tipo'], "raz_soc"=>$rowPerAux['raz_soc'], "ape_pat"=>$rowPerAux['ape_pat_mayus'], "ape_mat"=>$rowPerAux['ape_mat_mayus'], "nombre"=>$rowPerAux['nombre_mayus'], "sexo"=>$rowPerAux['sexo'], "rol"=>$rowPerAux['rol'], "foto"=>$rowPerAux['foto'], "dni"=>$rowPerAux['dni']);
                    break;
                default:
                    $rowPer=$rowPerAux;
            }
        }

        $jsondata['rowPersona'] = $rowPer;
        $jsondata['oPathPhoto'] = "http://".FTP_DOMAIN.FTP_DIR.PATH_PERSON_PHOTO;
        return $jsondata;
    }
    function getProducto($vProductoId, $vType='basic'){
        $oP=new Acceso_clsProducto();
        $rowProAux=$oP->getROW($vProductoId);
        $rowPro=array();
        if($rowProAux){
            switch($vType){
                case 'basic':
                    $rowPer=array("productoid"=>$rowProAux['productoid'], "nombre"=>$rowProAux['nombre']);
                    break;
                default:
                    $rowPro=$rowProAux;
            }
        }

        $jsondata['rowProducto'] = $rowPer;
        return $jsondata;
    }

    function Romano($vNumero){
        $arrRomano=array(
            0 => array(0 => '', 1 => 'I', 2 => 'II', 3 => 'III', 4 => 'IV', 5 => 'V', 6 => 'VI', 7 => 'VII', 8 => 'VIII', 9 => 'IX'),
            1 => array(0 => '', 1 => 'X', 2 => 'XX', 3 => 'XXX', 4 => 'XL', 5 => 'L', 6 => 'LX', 7 => 'LXX', 8 => 'LXXX', 9 => 'XC'),
            2 => array(0 => '', 1 => 'C', 2 => 'CC', 3 => 'CCC', 4 => 'CD', 5 => 'D', 6 => 'DC', 7 => 'DCC', 8 => 'DCCC', 9 => 'CM'),
            3 => array(0 => '', 1 => 'M', 2 => 'MM', 3 => 'MMM')
        );
        $arrDivisores=array(1, 10, 100, 1000);

        $vValor='';
        for($vDivisor=3; $vDivisor>-1; $vDivisor--){
            $vAux=intval($vNumero/$arrDivisores[$vDivisor]);
            $vValor.= $arrRomano[$vDivisor][$vAux];
            $vNumero-=$arrDivisores[$vDivisor]*$vAux;
        }
        return $vValor; 
    }
    function SanitizeFilename($vFilename) {
        $vReplaceChars = array(
            'Š'=>'S', 'š'=>'s', 'Ð'=>'Dj','Ž'=>'Z', 'ž'=>'z', 'À'=>'A', 'Á'=>'A', 'Â'=>'A', 'Ã'=>'A', 'Ä'=>'A',
            'Å'=>'A', 'Æ'=>'A', 'Ç'=>'C', 'È'=>'E', 'É'=>'E', 'Ê'=>'E', 'Ë'=>'E', 'Ì'=>'I', 'Í'=>'I', 'Î'=>'I',
            'Ï'=>'I', 'Ñ'=>'N', 'Ò'=>'O', 'Ó'=>'O', 'Ô'=>'O', 'Õ'=>'O', 'Ö'=>'O', 'Ø'=>'O', 'Ù'=>'U', 'Ú'=>'U',
            'Û'=>'U', 'Ü'=>'U', 'Ý'=>'Y', 'Þ'=>'B', 'ß'=>'Ss','à'=>'a', 'á'=>'a', 'â'=>'a', 'ã'=>'a', 'ä'=>'a',
            'å'=>'a', 'æ'=>'a', 'ç'=>'c', 'è'=>'e', 'é'=>'e', 'ê'=>'e', 'ë'=>'e', 'ì'=>'i', 'í'=>'i', 'î'=>'i',
            'ï'=>'i', 'ð'=>'o', 'ñ'=>'n', 'ò'=>'o', 'ó'=>'o', 'ô'=>'o', 'õ'=>'o', 'ö'=>'o', 'ø'=>'o', 'ù'=>'u',
            'ú'=>'u', 'û'=>'u', 'ý'=>'y', 'ý'=>'y', 'þ'=>'b', 'ÿ'=>'y', 'ƒ'=>'f'
        );
        $vFilename = strtr($vFilename, $vReplaceChars);
        // convert & to "and", @ to "at", and # to "number"
        $vFilename = preg_replace(array('/[\&]/', '/[\@]/', '/[\#]/'), array('-and-', '-at-', '-number-'), $vFilename);
        $vFilename = preg_replace('/[^(\x20-\x7F)]*/','', $vFilename); // removes any special chars we missed
        $vFilename = str_replace(' ', '-', $vFilename); // convert space to hyphen 
        $vFilename = str_replace('\'', '', $vFilename); // removes apostrophes
        $vFilename = preg_replace('/[^\w\-\.]+/', '', $vFilename); // remove non-word chars (leaving hyphens and periods)
        $vFilename = preg_replace('/[\-]+/', '-', $vFilename); // converts groups of hyphens into one
        return strtolower($vFilename);
    }
    function ShowArrBadge($myArr, $vEstilo=''){
        $vCadena="";
        foreach($myArr as $i => $vExtension){$vCadena.='<span class="badge '.$vEstilo.'">'.$vExtension.'</span>';}
        return trim($vCadena);
    }
    function getMonthsRange($vDesde, $vHasta){
        $dtDesde=strtotime($vDesde);
        $dtHasta=strtotime($vHasta);
        $vAnoIni=intval(date('Y', $dtDesde)); $vMesIni=intval(date('m', $dtDesde));
        $vAnoFin=intval(date('Y', $dtHasta)); $vMesFin=intval(date('m', $dtHasta));

        $arrMeses=array();
        for($vAno=$vAnoIni; $vAno<=$vAnoFin; $vAno++){
            $vMesFinal=($vAno==$vAnoFin?$vMesFin:12);
            $vMesInicio=($vAno==$vAnoIni?$vMesIni:1);
            for($vMes=$vMesInicio; $vMes<=$vMesFinal; $vMes++){
                $arrMeses[]=array("year"=>$vAno, "month"=>$vMes);
            }
        }
        return $arrMeses;
    }

    function getMonths(){
        $arrMeses=array();
        for($vMes=1; $vMes<=12; $vMes++){
            $arrMeses[]=array("mesid"=>$vMes, "nombre"=>MonthName($vMes));
        }
        return $arrMeses;
    }
    
    function getDaysRange($vDesde, $vHasta, $swIncDom=false){
        $dtDesde=strtotime($vDesde);
        $dtHasta=strtotime($vHasta);			
        $arrAux=getMonthsRange($vDesde, $vHasta);
        $arrFechas=array();
        foreach($arrAux as $i=>$rowMes){
            $vMes=intval($rowMes['month']);
            $vAno=intval($rowMes['year']);
            $vDiaIni=intval(($vMes==date('m', $dtDesde) && $vAno==date('Y', $dtDesde))?date('d', $dtDesde):1);
            $vDiaFin=intval(($vMes==date('m', $dtHasta) && $vAno==date('Y', $dtHasta))?date('d', $dtHasta):DiasMes($vMes, $vAno));
            $arrDiaAux=array();
            for($vDia=$vDiaIni; $vDia<=$vDiaFin; $vDia++){
                $vFecAux=CDate($vDia."/".$vMes."/".$vAno);
                $vDiaSem=intval(FormatDate($vFecAux, "w"));
                $swIncluir=true;
                if(!$swIncDom){ $swIncluir=($vDiaSem!=0); }
                if($swIncluir){
                    $arrDiaAux[]=array("fecha"=>$vFecAux, "fechalatin"=>FormatDate($vFecAux), "day"=>intval(FormatDate($vFecAux, "d")), "dow"=>$vDiaSem, "nombre"=>DayName($vDiaSem, false), "abreviatura"=>DayName($vDiaSem, true));
                }
            }
            if(count($arrDiaAux)>0){
                $arrFechas[]=array("month"=>$vMes, "year"=>$vAno, "day_start"=>intval($vDiaIni), "day_end"=>intval($vDiaFin), "days"=>count($arrDiaAux), "oDias"=>$arrDiaAux);
            }
        }
        return $arrFechas;
    }
    
    function getDateFromStr($vValue){
        return date('d/m/Y', strtotime($vValue));
    }
?>