<?
class UpLoadFile{
	public $pFile;
	public $pMaxSize;
	public $pExtensions;
	public $pAlto;
	public $pAncho;
	public $arrErrores=array();

    function __construct(){ 
		$this->pFile="";
		$this->pMaxSize=1024;
		$this->pExtensions=array("rar","zip","gif","jpg","png");
		$this->pAlto=0;
		$this->pAncho=0;
		$this->arrErrores=array(
			100 => "El archivo tiene una extension no permitida.",
			101 => "El tama&ntilde;o del archivo excede el permitido.",
			102 => "Las dimensiones(ancho,alto) de la imagen no son las permitidas.",
			103 => "Error al subir el archivo."
		);
    }

	function MsgErr($vCodigo){
		return $this->arrErrores[intval($vCodigo)];
	}
	
	function Upload($vPath, $vNewName){
		$vNombre_Archivo=$_FILES[$this->pFile]['name'];

		//EXTENSIONS
		$miArr=explode(".",$vNombre_Archivo);
		$vExtension=$miArr[count($miArr)-1]; //Extension
		if (is_array($this->pExtensions)){
			if (count($this->pExtensions)>0){
				if (!in_array(trim(strtolower($vExtension)),$this->pExtensions)){
					return 100;
				}
			}
		}

		//MASIZE
		$vTamano=$_FILES[$this->pFile]['size']; //Tamano
		$vTamano=round(($vTamano/1024),2);
		if (doubleval($vTamano) > doubleval($this->pMaxSize)){
			return 101;
		}

		//WIDTH AND HEIGHT
		if (doubleval($this->pAncho)>0 && doubleval($this->pAlto)>0){
			$vDimensiones=getimagesize($_FILES[$this->pFile]['tmp_name']); //Dimensiones
			if (doubleval($vDimensiones[0])!=doubleval($this->pAncho) || doubleval($vDimensiones[1])!=doubleval($this->pAlto)){
				return 102;
			}
		}
		//UPLOAD
		if (!@move_uploaded_file($_FILES[$this->pFile]['tmp_name'],$vPath.$vNewName)){
			$this->arrErrores[103]="Error al subir el archivo con el nombre de '".$vNewName."' en la carpeta '".$vPath."'";
			return 103;
		}
		return 0;
	}
	function getDataFile(){
		$vNombre_Archivo=$_FILES[$this->pFile]['name'];
		//Obtenemos los datos del archivo
		$miArr=explode(".",$vNombre_Archivo);
		$vExtension=$miArr[count($miArr)-1]; //Extension
		$vTamano=$_FILES[$this->pFile]['size']; //Tamano
		$vTamano=round(($vTamano/1024),2);
		$vDimensiones=getimagesize($_FILES[$this->pFile]['tmp_name']); //Dimensiones
		
		$arrDatos_Archivo=array("nombre"=>$vNombre_Archivo, 
								"extension"=>$vExtension,
								"tamano"=>$vTamano,
								"ancho"=>$vDimensiones[0],
								"alto"=>$vDimensiones[1]
							);
		return $arrDatos_Archivo;
	}
}
?>