<?
	function Codificar($vValor){
		return utf8_encode($vValor);
	}
	function Decodificar($vValor){
		return utf8_decode($vValor);
	}
	function Mostrar_Dato($vValor){
		return htmlentities(utf8_decode($vValor));
	}
	function Almacenar_Dato($vValor){
		return ($vValor);
	}
	function Almacenar_Dato_Excel($vValor){
		return utf8_decode($vValor);
	}
	function DateAdd($vInterval, $vFecha, $vNumero){
		if(trim($vInterval)=="") $vInterval="day";
		$vFecha=strtotime("$vFecha -$vNumero $vInterval");
		return $vFecha;
	}
	function isEmail($vEmail) {
		$vMatch="/^[-_.[:alnum:]]+@((([[:alnum:]]|[[:alnum:]][[:alnum:]-]*[[:alnum:]])\.)+(ad|ae|aero|af|ag|ai|al|am|an|ao|aq|ar|arpa|as|at|au|aw|az|ba|bb|bd|be|bf|bg|bh|bi|biz|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|com|coop|cr|cs|cu|cv|cx|cy|cz|de|dj|dk|dm|do|dz|ec|edu|ee|eg|eh|er|es|et|eu|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gh|gi|gl|gm|gn|gov|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|in|info|int|io|iq|ir|is|it|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|mg|mh|mil|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|museum|mv|mw|mx|my|mz|na|name|nc|ne|net|nf|ng|ni|nl|no|np|nr|nt|nu|nz|om|org|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|pro|ps|pt|pw|py|qa|re|ro|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|su|sv|sy|sz|tc|td|tf|tg|th|tj|tk|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)$|(([0-9][0-9]?|[0-1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5])\.){3}([0-9][0-9]?|[0-1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5]))$/i";
		return(preg_match($vMatch, $vEmail));
	}
	function ShowExt($myArr){
		$vCadena="";
		foreach($myArr as $i => $vExtension){$vCadena.="".$vExtension.", ";}
		$vCadena=substr(trim($vCadena),0,strlen(trim($vCadena))-1);
		return trim($vCadena);
	}
	function UploadExt($myArr){
		$vCadena="";
		foreach($myArr as $i => $vExtension){$vCadena.="*.".$vExtension.";";}
		$vCadena=substr(trim($vCadena),0,strlen(trim($vCadena))-1);
		return trim($vCadena);
	}
	function UploadExtDesc($myArr){
		$vCadena="";
		foreach($myArr as $i => $vExtension){$vCadena.=" .".strtoupper($vExtension)."";}
		return trim($vCadena);
	}
	function FormatSizeFile($vSize) {
		$arrSize = array(" bytes", " Kb", " Mb", " Gb", " Tb", " Pb", " Eb", " Zb", " Yb");
		if ($vSize == 0) { return(''); } else {
		return (round($vSize/pow(1024, ($i = floor(log($vSize, 1024)))), $i > 1 ? 2 : 0) . $arrSize[$i]); }
	}
	function FormatDate($vFecha, $vFormat='d/m/Y'){
		$miFecha=split("-", $vFecha);
		$vFecha=mktime(0, 0, 0, intval($miFecha[1]), intval($miFecha[2]), intval($miFecha[0]));
		return date($vFormat, $vFecha);
	}
	function CDate($vFecha, $vFormat='Y-m-d'){
		$miFecha=split("/", $vFecha);
		$vFecha=mktime(0, 0, 0, intval($miFecha[1]), intval($miFecha[0]), intval($miFecha[2]));
		return date($vFormat, $vFecha);
	}

	function ShowListSelect($myRs, $fldID, $fldList, $miValor){
		$vList="";
		while($row=$myRs->fetch(PDO::FETCH_ASSOC)){
			$vList.="<option value='".$row[$fldID]."'  ";
			$vList.=$row[$fldID]==$miValor?" SELECTED ":"";
			$vList.=">".Mostrar_Dato($row[$fldList])."</option>";
		}
		return $vList;
	}
	function getDatePart($vFecha, $vLiteral){
		$miFecha=split("-", $vFecha);
		$vFecha=mktime(0, 0, 0, intval($miFecha[1]), intval($miFecha[2]), intval($miFecha[0]));
		return date($vLiteral, $vFecha);
	}
	function MonthName($vMes, $vCorto=false){
		$vNombre_Mes="";
		 switch ($vMes){
			case 1:$vNombre_Mes=($vCorto?"Ene":"Enero");		break;
			case 2:$vNombre_Mes=($vCorto?"Feb":"Febrero");		break;
			case 3:$vNombre_Mes=($vCorto?"Mar":"Marzo");		break;
			case 4:$vNombre_Mes=($vCorto?"Abr":"Abril");		break;
			case 5:$vNombre_Mes=($vCorto?"May":"Mayo");			break;
			case 6:$vNombre_Mes=($vCorto?"Jun":"Junio");		break;
			case 7:$vNombre_Mes=($vCorto?"Jul":"Julio");		break;
			case 8:$vNombre_Mes=($vCorto?"Ago":"Agosto");		break;
			case 9:$vNombre_Mes=($vCorto?"Set":"Setiembre");	break;
			case 10:$vNombre_Mes=($vCorto?"Oct":"Octubre");		break;
			case 11:$vNombre_Mes=($vCorto?"Nov":"Noviembre");	break;
			case 12:$vNombre_Mes=($vCorto?"Dic":"Diciembre");	break;
		}
		return $vNombre_Mes;
	}
	function DayName($vDia, $vCorto=false){
		 switch ($vDia){
			case 0:$vNombre_Dia=($vCorto?"Dom":"Domingo");		break;
			case 1:$vNombre_Dia=($vCorto?"Lun":"Lunes");		break;
			case 2:$vNombre_Dia=($vCorto?"mar":"Martes");		break;
			case 3:$vNombre_Dia=($vCorto?"Mie":"Miercoles");	break;
			case 4:$vNombre_Dia=($vCorto?"Jue":"Jueves");		break;
			case 5:$vNombre_Dia=($vCorto?"Vie":"Viernes");		break;
			case 6:$vNombre_Dia=($vCorto?"Sab":"Sabado");		break;
			case 7:$vNombre_Dia=($vCorto?"Dom":"Domingo");		break;
		}
		return $vNombre_Dia;
	}
	function WeekDay($vFecha){
		$vSeparador="-";
		//ereg( "([0-9]{2,4})$vSeparador([0-9]{1,2})$vSeparador([0-9]{1,2})", $vFecha, $miFecha);
		preg_match( "^([0-9]{2,4})$vSeparador([0-9]{1,2})$vSeparador([0-9]{1,2})^", $vFecha, $miFecha);
		$vFecha= mktime(0,0,0,$miFecha[2],$miFecha[3],$miFecha[1]);
		$vDia=date("w",$vFecha);
		return ($vDia);
	}
	function DaysNumber($vMes, $vAno){
		$myMes=$vMes+1;
		$myAnio=$vAno;
		if($myMes>12) {$myMes=1;$myAnio++;}
		$myDate=mktime(0,0,0,$myMes,0,$myAnio);
		$myDay=date("d",$myDate);
		return $myDay;
	}
	function NewFileNameLocal($myPathFile, $myFileName){
		$oSA=new clsSistema_Archivos();
		
		//SEPARAMOS EL NOMBRE DE LA EXTENSION
		$miArr=explode(".", $myFileName);
		if(count($miArr)>1){
			$fileExt=$miArr[count($miArr)-1]; //Extension
			$fileName=substr($myFileName, 0, strlen($myFileName) - strlen($fileExt)-1);
		}else{
			$fileExt="";
			$fileName=$myFileName;
		}
		
		$vContador=1;
		$myFile=$myPathFile.$myFileName;
		$myNewFileName=$myFileName;
		while(true){
			if ($oSA->Exists($myPathFile.$myNewFileName)){
				$vContador++;
				$myNewFileName=$fileName."_".$vContador.".".$fileExt;
				$myFile=$myPathFile.$myNewFileName;
			}else{
				break;
			}
		}
		return $myNewFileName;
	}
	function Paginar($vMaxPags, $vPagActual, $vFilas, $vTamPag){
		$vTotPaginas=ceil($vFilas/$vTamPag);
		$vAnterior = $vPagActual - 1;
		$vPosterior = $vPagActual + 1;
		
		$vMinimo = $vMaxPags ? max(1, $vPagActual-ceil($vMaxPags/2)):1;
		$vMaximo = $vMaxPags ? min($vTotPaginas, $vPagActual+floor($vMaxPags/2)): $vTotPaginas;

		$vTexto='<div class="pagination">';

		if ($vPagActual>1) $vTexto .='<a href="" class="prev-post" page="'.$vAnterior.'" title=""> </a>';
		//else $vTexto .= '<a href="" class="prev-post active-page" title=""> </a>';
		
		$vTexto.='<ul>';

		if ($vTotPaginas>1 && $vPagActual!=1) $vTexto .= '<li> <a href="" title="" page="1"> Inicio </a> </li>';
		//else $vTexto .= '<li> <a href="" title="" class="active-page"> Inicio </a> </li>';

		for ($i=$vMinimo; $i<$vPagActual; $i++) $vTexto .= '<li> <a href="" title="" page="'.$i.'"> '.$i.' </a> </li>';
		
		$vTexto .= '<li class="active-page"> '.$vPagActual.' </li>';
		
		for ($i=$vPagActual+1; $i<=$vMaximo; $i++) $vTexto .= '<li> <a href="" title="" page="'.$i.'"> '.$i.' </a> </li>';

		if ($vTotPaginas>1 && $vPagActual!=$vTotPaginas) $vTexto .= '<li> <a href="" title="" page="'.intval($vTotPaginas).'"> Fin </a> </li>';
		//else $vTexto .='<li> <a href="" title="" class="active-page"> Fin </a> </li>';

		$vTexto.='</ul>';
		
		if ($vPagActual<$vTotPaginas) $vTexto .= '<a href="" class="next-post" page="'.$vPosterior.'" title=""> </a>';
		//else $vTexto .= '<a href="" class="next-post active-page" title=""> </a>';
		
		$vTexto.='</div>';
	
		return $vTexto;
	}
	function FileName($vFileName){
		$vMenuName=strtolower(trim($vFileName));
		$vMenuName=str_replace(" ", "", $vMenuName);
		$vMenuName=str_replace("_", "", $vMenuName);
		$vMenuName=str_replace("-", "", $vMenuName);
		return $vMenuName;
	}
	function IP(){
		return $_SERVER['REMOTE_ADDR'];
	}
	function getFileNameHA($vName){
		global $vHTACCESS_NAME;
		$vValor="";
		switch($vName){
			case "index":
			case "/": 
				$vValor="/"; break;
			default: $vValor=$vName.(trim($vHTACCESS_NAME)==""?".php":$vHTACCESS_NAME.".html"); break;
		}
		return $vValor;
	}
	function Proporcional($vWidth, $vHeight, $newWidth, $newHeight){
		if($vWidth>$newWidth || $vHeight>$newHeight){
			$heightRatio = $newHeight / $vHeight;
			$widthRatio  = $newWidth / $vWidth;			
			$optimalRatio=($heightRatio < $widthRatio ? $heightRatio : $widthRatio);
			$optimalHeight = $vHeight * $optimalRatio;
			$optimalWidth  = $vWidth  * $optimalRatio;
		}else{
			$optimalWidth = $vWidth;
			$optimalHeight= $vHeight;
		}
		return array('width' => $optimalWidth, 'height' => $optimalHeight);
	}
	function Generar_Clave($vLongitud){
		$vClave="";
		$vPatron="[^A-Z0-9]";
		//$vFuente=eregi_replace($vPatron, "", md5(rand())).eregi_replace($vPatron, "", md5(rand())).eregi_replace($vPatron, "", md5(rand()));
		$vFuente=preg_replace($vPatron, "", md5(rand())).preg_replace($vPatron, "", md5(rand())).preg_replace($vPatron, "", md5(rand()));
		if($vLongitud<=0) $vLongitud=6;
		for($vContador=0; $vContador<$vLongitud; $vContador++){
			$vPosicion=rand(0, strlen($vFuente)-1);
			$vClave.=substr($vFuente, $vPosicion, 1);
		}
		return $vClave;
	}
	function Tiempo_Restante($vSegundos){ 
		$vTiempo=$vSegundos; 
		$vTiempo=abs($vTiempo); 
		$vDias=floor($vTiempo/86400); 
		$vResto_Dias=$vTiempo % 86400; 
		$vHoras=floor($vResto_Dias/3600); 
		$vResto_Horas=$vResto_Dias % 3600; 
		$vMinutos=floor($vResto_Horas/60); 
		$vResto_Minutos=$vResto_Horas % 60; 
		$vSegundos=floor($vResto_Minutos); 
		return array("dias"=>$vDias, "horas"=>$vHoras, "minutos"=>$vMinutos, "segundos"=>$vSegundos);
	}
	function Extension($vFileName, $vPoint=true){
		$vExtension=pathinfo($vFileName, PATHINFO_EXTENSION);
		if($vExtension!=''){
			return ($vPoint?'.':'').$vExtension;
		}else return '';
	}
?>
