<?php

require_once 'Generic.php';
class TransporteServicio extends Generic{
    
    public function buscarServicio_Conductor($idpersona){
        $statement = $this->instance->prepare("select * from transa.paservicio_conductor_listar(:id)");
        $statement->execute(array(
            "id" => $idpersona,
        ));
        
        $rpt = $statement->fetchAll(PDO::FETCH_OBJ);
        return $rpt;
    }
    
    public function buscarServicio_Ruta($servicioid){
        
        $statement = $this->instance->prepare("select * from transa.paservicio_ruta_listar(:id)");
        $statement->execute(array(
            "id" => $servicioid,
        ));
        
        $rpt = $statement->fetchAll(PDO::FETCH_OBJ);
        return $rpt;
    }
     public function buscarServicio_Leer($personaid){
        
        $statement = $this->instance->prepare("select * from transa.paservicio_leerConductor(:id)");
        $statement->execute(array(
            "id" => $personaid,
        ));
        
        $rpt = $statement->fetchAll(PDO::FETCH_OBJ);
        return $rpt;
    }
    
    public function cambiarKmInicio($itemid, $km){
    
        $statement = $this->instance->prepare("select * from transa.paservicio_rutas_cambiarkminicio(:id, :km)");
        $statement->execute(array(
            "id" => $itemid,
            "km" =>$km
        ));
        
        $row = $statement->fetchObject();
        return $row;
    
    
    }
    
    public function limpiarGasto($servicioid){
        $statement = $this->instance->prepare("delete from transa.ctaxrendir where servicioid = :servicioid");
        $statement->execute(array('servicioid'=>$servicioid));
        
    }
    public function agregarGasto( $liquidacion_detalleid, $ctaxrendirid, $documento,$numero,$observacion ,$moneda, $importe, $tipogastoid){
        ($ctaxrendirid == -1) ? $new = true: $new = false;
        $statement = $this->instance->prepare("select * from transa.paliquidaciondetalle_actualizar( :new,:liquidacion_detalle, :ctaxrendirid, :documento , :numero ,:observacion, :moneda, :importe, :tipogastoid )");
        $statement->execute(array(
            "new"=>$new,
            "liquidacion_detalle"=>$liquidacion_detalleid,
            "ctaxrendirid" => $ctaxrendirid,
            "documento" =>$documento,
            "numero" =>$numero, 
            "observacion"=>$observacion,
            "moneda" =>$moneda,
            "importe" =>$importe,
            "tipogastoid" =>$tipogastoid,
        ));
        
        $row = $statement->fetchObject();
        return $row;
        
    }
    
    public function buscarCuentas ($servicioid){
        $statement = $this->instance->prepare("select * from transa.paservicio_buscarctas(:id)");
        $statement->execute(array(
            "id" => $servicioid,
        ));
        
        $rpt = $statement->fetchAll(PDO::FETCH_OBJ);
        return $rpt;
        
    }
}