<?php

function generarDetalle($almacenes,$precio){
    $cadena= '[';
    
    foreach($almacenes as $key=>$value){
        $cadena.="['".$value."', '0', '0','".$precio."', '0', '0', '0']";
        if($key< sizeof($almacenes)-1) $cadena.=',';
    }
    $cadena .= ']';
    return $cadena;
    
}

require 'Datos/Productos.php';
$post = filter_input_array(INPUT_POST);
$productoid= $post['productoid'];
$precio= $post['precio'];
$personaid= $post['personaid'];
$almacenes= $post['almacen'];

$repo = new Productos();

$detalle= generarDetalle($almacenes,$precio);


try{
$rpt = $repo->actualizarPrecioAlmacen($productoid, $personaid, $detalle);
}catch(Exception $ex){
    echo json_encode(array(
    'error'=>  True,
    'status'=> False,
     'response' => 'Error al actualizar el precio!'
    )); 
    
    exit();
    
}

if($rpt->outerrornumber){
    
   echo json_encode(array(
    'error'=>  True,
    'status'=> False,
     'response' => 'Error al actualizar el precio!'
    )); 
}
else{
    echo json_encode(array(
    'error'=>  False,
    'status'=> True,
     'response' => 'Precio Actualizado!'
    )); 
    
}
