<?php


require 'Datos/Reportes.php';
$post = filter_input_array(INPUT_POST);

$repo = new Reportes();
$empresaid= $post['empresaid'];
$tipo =$post['tipo'];
$anio = $post['anio'];
$zona = $post['zona'];
$personaid =$post['personaid'];
$rpt =$repo->listarReporteMensual($empresaid,$tipo,$anio,$zona);
$almacenes = $repo->listarAlmacenes($empresaid, $personaid, $zona);


$meses = [];
$data =[];
$total_global= [
               'almacenid' =>'TOTAL',
               'Total' => 0
               ];

$mesesNombres = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto",
                "Setiembre","Octubre","Noviembre","Diciembre");

foreach ($rpt as $ele){
    $mes = $ele->mes;
    $almacen = $ele->almacenid;
    $indexmes = array_search((int)$mes, $meses);
    $indexalm = array_search((int)$almacen, array_column($data, 'almacenid'));
    
    if(is_bool($indexalm)){
        $data[] = [
               'almacenid' =>$almacen,
               'Total' => 0
               ];
        $indexalm = array_search((int)$almacen, array_column($data, 'almacenid'));

    }
    if(is_bool($indexmes)){
        $meses[] = (int)$mes;
    }
    $mes_nom = $mesesNombres[$mes-1];
    if(is_int($indexalm)){
        
        
        $totalz = $ele->total;
        $data[$indexalm][$mes_nom]+= $totalz+0.0;
        $data[$indexalm]['Total']+=$totalz+0.0;
    }
    
   $total_global[$mes_nom] += $data[$indexalm][$mes_nom];
   
    
}
foreach ($data as $obj){
    
   $total_global['Total'] += $obj['Total']; 
}

$data[]= $total_global;



echo json_encode([
    'error'=>False,
    'success'=>True,
    'totalMeses'=>max($meses),
    'lista'=>$data,
    'almacenes'=>$almacenes
]);






            
