<?php
require 'Datos/Reportes.php';
$post = filter_input_array(INPUT_POST);

$repo = new Reportes();

$empresaid= $post['empresaid'];
$zona = $post['zona'];
$personaid =$post['personaid'];
$inicio =$post['finicio'];
$fin =$post['ffin'];

$rpt = $repo->listarProductosMasVendidos($empresaid, $zona, $inicio, $fin);
$almacenes =$repo->listarAlmacenes($empresaid, $personaid, $zona);

$detalle=[];
$totales =[];
$productos=[];


foreach ($rpt as $ele){
    $almacen = $ele->almacenid;
    $producto = $ele->productoid;
    
    $indexProducto = array_search($producto, array_column($productos, 'productoid'));
    $indexAlmacen = array_search($almacen, array_column($almacenes,'almacenid'));
    if(is_bool($indexProducto)){
        
        $productos[]= [
            'productoid'=> $producto,
            'producto'=> $ele->producto,
        
        ];
       
        
        
        $indexProducto = array_search($producto, array_column($productos, 'productoid'));        

        $totales[]=[
            'producto'=>$indexProducto,
            'total'=>0,
        ];
        
         $detalle[] =[
            'cantidad'=>0,
            'producto'=> $indexProducto,
        ];
    }
    
    if(is_int($indexAlmacen)){
        $cantidad = (int)$ele->cantidad;
        $total = (double)$ele->total;
        $detalle[$indexProducto][$indexAlmacen]+=$cantidad;
        $detalle[$indexProducto]['cantidad']+=$cantidad;
    }
    if(is_int($indexProducto)){
        
        $totales[$indexProducto]['total']+=$total;

    }
    
   
}
echo json_encode([
    'error'=>False,
    'success'=>True,    
    'almacenes'=>$almacenes,
    'detalle'=>$detalle,
    'productos'=>$productos,
    'totales'=>$totales
]);


