<?php

require 'Datos/Reportes.php';
$post = filter_input_array(INPUT_POST);

$repo = new Reportes();
$empresaid= $post['empresaid'];
$zona = $post['zona'];
$personaid =$post['personaid'];
$anio =$post['anio'];

$rpt=$repo->listarResumenStockGeneral($empresaid,$anio,$zona);

$almacenes = $repo->listarAlmacenes($empresaid, $personaid, $zona);
$productos = $repo->listarProductos();

$stocks=[];

foreach ($rpt as $ele){
    
    $almacen = $ele->almacenid;
    $producto = $ele->productoid;
    
    $indexProducto = array_search($producto, array_column($stocks, 'productoid'));
    $indexDatosPro =  array_search($producto, array_column($productos, 'productoid'));

    if(is_bool($indexProducto)){
        
        $pro =$productos[$indexDatosPro];
        $stocks[]= [
            'producto'=> $pro->nombre,
            'productoid'=> $producto,
            'CANTIDAD'=> 0
        ];
        $indexProducto = array_search($producto, array_column($stocks, 'productoid'));
    }
    
    if(is_int($indexProducto)){
        $stock = $ele->stock;
        $stocks[$indexProducto][$almacen]+= $stock;
        $stocks[$indexProducto]['CANTIDAD']+= $stock;
    }
    
}




echo json_encode([
    'error'=>False,
    'success'=>True,
    'lista'=>$stocks,
    'almacenes'=>$almacenes
]);